﻿Shader "EVE/Terrain" {
	Properties {
		_Color ("Color Tint", Color) = (1,1,1,1)
		_MainTex ("Main (RGB)", 2D) = "white" {}
		_BumpMap ("Normalmap", 2D) = "bump" {}
		_SpecularColor ("Specular tint", Color) = (1,1,1,1)
		_SpecularPower ("Shininess", Float) = 0.078125
		_midTex ("Detail (RGB)", 2D) = "white" {}
		_steepTex ("Detail for Vertical Surfaces (RGB)", 2D) = "white" {}
		_DetailScale ("Detail Scale", Range(0,1000)) = 200
		_DetailVertScale ("Detail Scale", Range(0,1000)) = 200
		_DetailOffset ("Detail Offset", Vector) = (.5,.5,0,0)
		_DetailDist ("Detail Distance", Range(0,1)) = 0.00875
		_MinLight ("Minimum Light", Range(0,1)) = .5
		_Albedo ("Albedo Index", Range(0,5)) = 1.2
		_CityOverlayTex ("Overlay (RGB)", 2D) = "white" {}
		_CityOverlayDetailScale ("Overlay Detail Scale", Range(0,1000)) = 80
		_CityDarkOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
		_CityLightOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
		_SunDir ("Sun Direction", Vector) = (1,1,1,1)
		_PlanetOpacity ("PlanetOpacity", Float) = 1
		_OceanRadius ("Ocean Radius", Float) = 63000
		_OceanColor ("Ocean Color Tint", Color) = (1,1,1,1)
		_OceanDepthFactor ("Ocean Depth Factor", Float) = .002
		_PlanetOrigin ("Planet Center", Vector) = (0,0,0,1)
	}


	
SubShader {

Tags { "Queue"="Geometry" "RenderType"="Opaque" }
	Fog { Mode Global}
	ColorMask RGB
	Cull Back Lighting On ZWrite On
	
	Pass {

		Lighting On
		Tags { "LightMode"="ForwardBase"}
		
		Program "vp" {
// Vertex combos: 120
//   d3d9 - ALU: 39 to 48
//   d3d11 - ALU: 29 to 41, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = tmpvar_87.w;
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  highp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = tmpvar_87.w;
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  highp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 659
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 663
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 c_56;
  vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD4);
  float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  c_56.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_57 + normalize(xlv_TEXCOORD8))), tmpvar_58), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_56.w = (tmpvar_59 * 4.0);
  float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 20 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD8;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normal_88);
  normal_88 = tmpvar_93;
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * 4.0);
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  color_9.xyz = (c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD8;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normal_88);
  normal_88 = tmpvar_93;
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * 4.0);
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  color_9.xyz = (c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 611
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 615
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 619
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 623
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 627
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 629
lowp vec4 frag( in v2f IN ) {
    #line 631
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 635
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 639
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 643
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 647
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 651
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 655
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 659
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_85;
  mediump vec3 viewDir_91;
  viewDir_91 = xlv_TEXCOORD8;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w);
  mediump vec4 c_94;
  highp float nh_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(lightDir_90);
  lightDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(viewDir_91);
  viewDir_91 = tmpvar_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(normal_92);
  normal_92 = tmpvar_98;
  mediump float tmpvar_99;
  tmpvar_99 = dot (tmpvar_98, tmpvar_96);
  mediump float tmpvar_100;
  tmpvar_100 = clamp (dot (normalize((tmpvar_96 + tmpvar_97)), tmpvar_98), 0.0, 1.0);
  nh_95 = tmpvar_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_99) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_95, _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.xyz = tmpvar_101;
  c_94.w = (tmpvar_99 * (atten_93 * 4.0));
  highp vec3 tmpvar_102;
  tmpvar_102 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_102;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float tmpvar_105;
  tmpvar_105 = dot (normal_104, lightDir_103);
  color_9.xyz = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_105)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_105)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_85;
  mediump vec3 viewDir_91;
  viewDir_91 = xlv_TEXCOORD8;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w);
  mediump vec4 c_94;
  highp float nh_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(lightDir_90);
  lightDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(viewDir_91);
  viewDir_91 = tmpvar_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(normal_92);
  normal_92 = tmpvar_98;
  mediump float tmpvar_99;
  tmpvar_99 = dot (tmpvar_98, tmpvar_96);
  mediump float tmpvar_100;
  tmpvar_100 = clamp (dot (normalize((tmpvar_96 + tmpvar_97)), tmpvar_98), 0.0, 1.0);
  nh_95 = tmpvar_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_99) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_95, _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.xyz = tmpvar_101;
  c_94.w = (tmpvar_99 * (atten_93 * 4.0));
  highp vec3 tmpvar_102;
  tmpvar_102 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_102;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float tmpvar_105;
  tmpvar_105 = dot (normal_104, lightDir_103);
  color_9.xyz = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_105)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_105)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 652
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 656
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 660
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 664
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 668
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 672
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_85;
  mediump vec3 viewDir_90;
  viewDir_90 = xlv_TEXCOORD8;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float atten_92;
  atten_92 = (tmpvar_87.w * tmpvar_88.w);
  mediump vec4 c_93;
  highp float nh_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(lightDir_89);
  lightDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(viewDir_90);
  viewDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(normal_91);
  normal_91 = tmpvar_97;
  mediump float tmpvar_98;
  tmpvar_98 = dot (tmpvar_97, tmpvar_95);
  mediump float tmpvar_99;
  tmpvar_99 = clamp (dot (normalize((tmpvar_95 + tmpvar_96)), tmpvar_97), 0.0, 1.0);
  nh_94 = tmpvar_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_98) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_94, _SpecularPower) * _SpecularColor.w))) * (atten_92 * 4.0));
  c_93.xyz = tmpvar_100;
  c_93.w = (tmpvar_98 * (atten_92 * 4.0));
  highp vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_101;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float tmpvar_104;
  tmpvar_104 = dot (normal_103, lightDir_102);
  color_9.xyz = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_85;
  mediump vec3 viewDir_90;
  viewDir_90 = xlv_TEXCOORD8;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float atten_92;
  atten_92 = (tmpvar_87.w * tmpvar_88.w);
  mediump vec4 c_93;
  highp float nh_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(lightDir_89);
  lightDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(viewDir_90);
  viewDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(normal_91);
  normal_91 = tmpvar_97;
  mediump float tmpvar_98;
  tmpvar_98 = dot (tmpvar_97, tmpvar_95);
  mediump float tmpvar_99;
  tmpvar_99 = clamp (dot (normalize((tmpvar_95 + tmpvar_96)), tmpvar_97), 0.0, 1.0);
  nh_94 = tmpvar_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_98) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_94, _SpecularPower) * _SpecularColor.w))) * (atten_92 * 4.0));
  c_93.xyz = tmpvar_100;
  c_93.w = (tmpvar_98 * (atten_92 * 4.0));
  highp vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_101;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float tmpvar_104;
  tmpvar_104 = dot (normal_103, lightDir_102);
  color_9.xyz = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 632
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 644
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 648
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 652
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 656
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 660
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 664
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86.w;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86.w;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 659
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 663
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_58;
  tmpvar_58 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_60;
  if ((tmpvar_59.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_60 = _LightShadowData.x;
  } else {
    tmpvar_60 = 1.0;
  };
  float atten_61;
  atten_61 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_57.w) * tmpvar_58.w) * tmpvar_60);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp vec4 tmpvar_92;
  tmpvar_92 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_93;
  if ((tmpvar_92.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp vec4 tmpvar_92;
  tmpvar_92 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_93;
  if ((tmpvar_92.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 630
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 634
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 638
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 642
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 646
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 650
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 654
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 658
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 662
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 666
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 670
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 674
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 678
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 682
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp float tmpvar_92;
  tmpvar_92 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_91 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (_LightShadowData.x + (shadow_91 * (1.0 - _LightShadowData.x)));
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 639
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 643
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 647
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 651
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 655
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 659
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 663
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 667
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 671
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 675
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 679
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 683
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_56.x * 4.0));
  c_57.w = (tmpvar_60 * (tmpvar_56.x * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_86;
  mediump float lightShadowDataX_87;
  highp float dist_88;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_88 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = _LightShadowData.x;
  lightShadowDataX_87 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = max (float((dist_88 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_87);
  tmpvar_86 = tmpvar_91;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_85;
  mediump vec3 viewDir_93;
  viewDir_93 = xlv_TEXCOORD8;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float atten_95;
  atten_95 = tmpvar_86;
  mediump vec4 c_96;
  highp float nh_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(lightDir_92);
  lightDir_92 = tmpvar_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(viewDir_93);
  viewDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(normal_94);
  normal_94 = tmpvar_100;
  mediump float tmpvar_101;
  tmpvar_101 = dot (tmpvar_100, tmpvar_98);
  mediump float tmpvar_102;
  tmpvar_102 = clamp (dot (normalize((tmpvar_98 + tmpvar_99)), tmpvar_100), 0.0, 1.0);
  nh_97 = tmpvar_102;
  highp vec3 tmpvar_103;
  tmpvar_103 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_101) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_97, _SpecularPower) * _SpecularColor.w))) * (atten_95 * 4.0));
  c_96.xyz = tmpvar_103;
  c_96.w = (tmpvar_101 * (atten_95 * 4.0));
  lowp vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_105;
  lightDir_105 = tmpvar_104;
  mediump vec3 normal_106;
  normal_106 = xlv_TEXCOORD4;
  mediump float tmpvar_107;
  tmpvar_107 = dot (normal_106, lightDir_105);
  color_9.xyz = (c_96 * mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 628
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 632
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 637
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 649
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 653
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 657
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 661
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 665
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 669
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_87;
  mediump float lightShadowDataX_88;
  highp float dist_89;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = _LightShadowData.x;
  lightShadowDataX_88 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = max (float((dist_89 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_88);
  tmpvar_87 = tmpvar_92;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_86.w * tmpvar_87);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = (tmpvar_86.w * tmpvar_87.x);
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  lowp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 639
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 647
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 651
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 655
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 659
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 663
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 667
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 671
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_58;
  tmpvar_58 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_59;
  tmpvar_59 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_60;
  if ((tmpvar_59 < tmpvar_58)) {
    tmpvar_60 = _LightShadowData.x;
  } else {
    tmpvar_60 = 1.0;
  };
  float atten_61;
  atten_61 = (tmpvar_57.w * tmpvar_60);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  tmpvar_88 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_89;
  lowp vec4 tmpvar_90;
  tmpvar_90 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = dot (packDist_89, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_92;
  if ((tmpvar_91 < tmpvar_88)) {
    tmpvar_92 = _LightShadowData.x;
  } else {
    tmpvar_92 = 1.0;
  };
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_87.w * tmpvar_92);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  highp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  tmpvar_88 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_89;
  lowp vec4 tmpvar_90;
  tmpvar_90 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = dot (packDist_89, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_92;
  if ((tmpvar_91 < tmpvar_88)) {
    tmpvar_92 = _LightShadowData.x;
  } else {
    tmpvar_92 = 1.0;
  };
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_87.w * tmpvar_92);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  highp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 636
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 640
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 644
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 648
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 652
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 656
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 660
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 664
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 668
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 672
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 676
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 680
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_58;
  tmpvar_58 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_59;
  tmpvar_59 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_60;
  tmpvar_60 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_61;
  if ((tmpvar_60 < tmpvar_59)) {
    tmpvar_61 = _LightShadowData.x;
  } else {
    tmpvar_61 = 1.0;
  };
  float atten_62;
  atten_62 = ((tmpvar_57.w * tmpvar_58.w) * tmpvar_61);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD4);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD8))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  tmpvar_89 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_90;
  lowp vec4 tmpvar_91;
  tmpvar_91 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_90 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = dot (packDist_90, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_93;
  if ((tmpvar_92 < tmpvar_89)) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_93);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  tmpvar_89 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_90;
  lowp vec4 tmpvar_91;
  tmpvar_91 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_90 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = dot (packDist_90, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_93;
  if ((tmpvar_92 < tmpvar_89)) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_93);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 629
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 633
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 637
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 641
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 645
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 649
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 653
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 657
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 661
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 665
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 669
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 673
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 677
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 681
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_58;
  tmpvar_58 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_59;
  vec3 tmpvar_60;
  tmpvar_60 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_59.x = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_59.y = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_59.z = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_59.w = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_61;
  tmpvar_61 = lessThan (shadowVals_59, tmpvar_60.zzzz);
  vec4 tmpvar_62;
  tmpvar_62 = _LightShadowData.xxxx;
  float tmpvar_63;
  if (tmpvar_61.x) {
    tmpvar_63 = tmpvar_62.x;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_61.y) {
    tmpvar_64 = tmpvar_62.y;
  } else {
    tmpvar_64 = 1.0;
  };
  float tmpvar_65;
  if (tmpvar_61.z) {
    tmpvar_65 = tmpvar_62.z;
  } else {
    tmpvar_65 = 1.0;
  };
  float tmpvar_66;
  if (tmpvar_61.w) {
    tmpvar_66 = tmpvar_62.w;
  } else {
    tmpvar_66 = 1.0;
  };
  vec4 tmpvar_67;
  tmpvar_67.x = tmpvar_63;
  tmpvar_67.y = tmpvar_64;
  tmpvar_67.z = tmpvar_65;
  tmpvar_67.w = tmpvar_66;
  float atten_68;
  atten_68 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_57.w) * tmpvar_58.w) * dot (tmpvar_67, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_69;
  vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_71;
  tmpvar_71 = normalize(xlv_TEXCOORD4);
  float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  c_69.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_70 + normalize(xlv_TEXCOORD8))), tmpvar_71), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  float tmpvar_73;
  tmpvar_73 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec4 shadowVals_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_94;
  P_94 = (tmpvar_93.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_95;
  tmpvar_95 = texture2D (_ShadowMapTexture, P_94).x;
  shadowVals_92.x = tmpvar_95;
  highp vec2 P_96;
  P_96 = (tmpvar_93.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_97;
  tmpvar_97 = texture2D (_ShadowMapTexture, P_96).x;
  shadowVals_92.y = tmpvar_97;
  highp vec2 P_98;
  P_98 = (tmpvar_93.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_99;
  tmpvar_99 = texture2D (_ShadowMapTexture, P_98).x;
  shadowVals_92.z = tmpvar_99;
  highp vec2 P_100;
  P_100 = (tmpvar_93.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_101;
  tmpvar_101 = texture2D (_ShadowMapTexture, P_100).x;
  shadowVals_92.w = tmpvar_101;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_92, tmpvar_93.zzzz);
  highp vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  highp float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  highp float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  highp float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  highp vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  shadows_91 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_109;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_85;
  mediump vec3 viewDir_111;
  viewDir_111 = xlv_TEXCOORD8;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float atten_113;
  atten_113 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_114;
  highp float nh_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(lightDir_110);
  lightDir_110 = tmpvar_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(viewDir_111);
  viewDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(normal_112);
  normal_112 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (tmpvar_118, tmpvar_116);
  mediump float tmpvar_120;
  tmpvar_120 = clamp (dot (normalize((tmpvar_116 + tmpvar_117)), tmpvar_118), 0.0, 1.0);
  nh_115 = tmpvar_120;
  highp vec3 tmpvar_121;
  tmpvar_121 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_119) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_115, _SpecularPower) * _SpecularColor.w))) * (atten_113 * 4.0));
  c_114.xyz = tmpvar_121;
  c_114.w = (tmpvar_119 * (atten_113 * 4.0));
  highp vec3 tmpvar_122;
  tmpvar_122 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_123;
  lightDir_123 = tmpvar_122;
  mediump vec3 normal_124;
  normal_124 = xlv_TEXCOORD4;
  mediump float tmpvar_125;
  tmpvar_125 = dot (normal_124, lightDir_123);
  color_9.xyz = (c_114 * mix (1.0, clamp (floor((1.01 + tmpvar_125)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_125)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec4 shadowVals_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_94;
  P_94 = (tmpvar_93.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_95;
  tmpvar_95 = texture2D (_ShadowMapTexture, P_94).x;
  shadowVals_92.x = tmpvar_95;
  highp vec2 P_96;
  P_96 = (tmpvar_93.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_97;
  tmpvar_97 = texture2D (_ShadowMapTexture, P_96).x;
  shadowVals_92.y = tmpvar_97;
  highp vec2 P_98;
  P_98 = (tmpvar_93.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_99;
  tmpvar_99 = texture2D (_ShadowMapTexture, P_98).x;
  shadowVals_92.z = tmpvar_99;
  highp vec2 P_100;
  P_100 = (tmpvar_93.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_101;
  tmpvar_101 = texture2D (_ShadowMapTexture, P_100).x;
  shadowVals_92.w = tmpvar_101;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_92, tmpvar_93.zzzz);
  highp vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  highp float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  highp float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  highp float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  highp vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  shadows_91 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_109;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_85;
  mediump vec3 viewDir_111;
  viewDir_111 = xlv_TEXCOORD8;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float atten_113;
  atten_113 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_114;
  highp float nh_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(lightDir_110);
  lightDir_110 = tmpvar_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(viewDir_111);
  viewDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(normal_112);
  normal_112 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (tmpvar_118, tmpvar_116);
  mediump float tmpvar_120;
  tmpvar_120 = clamp (dot (normalize((tmpvar_116 + tmpvar_117)), tmpvar_118), 0.0, 1.0);
  nh_115 = tmpvar_120;
  highp vec3 tmpvar_121;
  tmpvar_121 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_119) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_115, _SpecularPower) * _SpecularColor.w))) * (atten_113 * 4.0));
  c_114.xyz = tmpvar_121;
  c_114.w = (tmpvar_119 * (atten_113 * 4.0));
  highp vec3 tmpvar_122;
  tmpvar_122 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_123;
  lightDir_123 = tmpvar_122;
  mediump vec3 normal_124;
  normal_124 = xlv_TEXCOORD4;
  mediump float tmpvar_125;
  tmpvar_125 = dot (normal_124, lightDir_123);
  color_9.xyz = (c_114 * mix (1.0, clamp (floor((1.01 + tmpvar_125)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_125)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 686
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 690
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 shadows_56;
  vec3 tmpvar_57;
  tmpvar_57 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_56.x = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[0].xyz)).x;
  shadows_56.y = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[1].xyz)).x;
  shadows_56.z = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[2].xyz)).x;
  shadows_56.w = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_58;
  tmpvar_58 = (_LightShadowData.xxxx + (shadows_56 * (1.0 - _LightShadowData.xxxx)));
  shadows_56 = tmpvar_58;
  float atten_59;
  atten_59 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_58, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD4);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD8))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_59 * 4.0));
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_93;
  coord_93 = (tmpvar_92 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_94;
  tmpvar_94 = shadow2DEXT (_ShadowMapTexture, coord_93);
  shadows_91.x = tmpvar_94;
  highp vec3 coord_95;
  coord_95 = (tmpvar_92 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, coord_95);
  shadows_91.y = tmpvar_96;
  highp vec3 coord_97;
  coord_97 = (tmpvar_92 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, coord_97);
  shadows_91.z = tmpvar_98;
  highp vec3 coord_99;
  coord_99 = (tmpvar_92 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_100;
  tmpvar_100 = shadow2DEXT (_ShadowMapTexture, coord_99);
  shadows_91.w = tmpvar_100;
  highp vec4 tmpvar_101;
  tmpvar_101 = (_LightShadowData.xxxx + (shadows_91 * (1.0 - _LightShadowData.xxxx)));
  shadows_91 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_85;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD8;
  mediump vec3 normal_105;
  normal_105 = xlv_TEXCOORD4;
  mediump float atten_106;
  atten_106 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_103);
  lightDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_104);
  viewDir_104 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normal_105);
  normal_105 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  highp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD4;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  color_9.xyz = (c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 686
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 690
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_58;
  shadowVals_58.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_59;
  tmpvar_59 = lessThan (shadowVals_58, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_60;
  tmpvar_60 = _LightShadowData.xxxx;
  float tmpvar_61;
  if (tmpvar_59.x) {
    tmpvar_61 = tmpvar_60.x;
  } else {
    tmpvar_61 = 1.0;
  };
  float tmpvar_62;
  if (tmpvar_59.y) {
    tmpvar_62 = tmpvar_60.y;
  } else {
    tmpvar_62 = 1.0;
  };
  float tmpvar_63;
  if (tmpvar_59.z) {
    tmpvar_63 = tmpvar_60.z;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_59.w) {
    tmpvar_64 = tmpvar_60.w;
  } else {
    tmpvar_64 = 1.0;
  };
  vec4 tmpvar_65;
  tmpvar_65.x = tmpvar_61;
  tmpvar_65.y = tmpvar_62;
  tmpvar_65.z = tmpvar_63;
  tmpvar_65.w = tmpvar_64;
  float atten_66;
  atten_66 = (tmpvar_57.w * dot (tmpvar_65, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(xlv_TEXCOORD4);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD8))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_66 * 4.0));
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  mediump vec4 shadows_89;
  highp vec4 shadowVals_90;
  highp float tmpvar_91;
  tmpvar_91 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_92;
  vec_92 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_93;
  lowp vec4 tmpvar_94;
  tmpvar_94 = textureCube (_ShadowMapTexture, vec_92);
  packDist_93 = tmpvar_94;
  shadowVals_90.x = dot (packDist_93, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_95;
  vec_95 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_96;
  lowp vec4 tmpvar_97;
  tmpvar_97 = textureCube (_ShadowMapTexture, vec_95);
  packDist_96 = tmpvar_97;
  shadowVals_90.y = dot (packDist_96, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_98;
  vec_98 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = textureCube (_ShadowMapTexture, vec_98);
  packDist_99 = tmpvar_100;
  shadowVals_90.z = dot (packDist_99, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_90.w = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_104;
  tmpvar_104 = lessThan (shadowVals_90, vec4(tmpvar_91));
  highp vec4 tmpvar_105;
  tmpvar_105 = _LightShadowData.xxxx;
  highp float tmpvar_106;
  if (tmpvar_104.x) {
    tmpvar_106 = tmpvar_105.x;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_104.y) {
    tmpvar_107 = tmpvar_105.y;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_104.z) {
    tmpvar_108 = tmpvar_105.z;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_104.w) {
    tmpvar_109 = tmpvar_105.w;
  } else {
    tmpvar_109 = 1.0;
  };
  highp vec4 tmpvar_110;
  tmpvar_110.x = tmpvar_106;
  tmpvar_110.y = tmpvar_107;
  tmpvar_110.z = tmpvar_108;
  tmpvar_110.w = tmpvar_109;
  shadows_89 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (shadows_89, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_88 = tmpvar_111;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_85;
  mediump vec3 viewDir_113;
  viewDir_113 = xlv_TEXCOORD8;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float atten_115;
  atten_115 = (tmpvar_87.w * tmpvar_88);
  mediump vec4 c_116;
  highp float nh_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(lightDir_112);
  lightDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(viewDir_113);
  viewDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(normal_114);
  normal_114 = tmpvar_120;
  mediump float tmpvar_121;
  tmpvar_121 = dot (tmpvar_120, tmpvar_118);
  mediump float tmpvar_122;
  tmpvar_122 = clamp (dot (normalize((tmpvar_118 + tmpvar_119)), tmpvar_120), 0.0, 1.0);
  nh_117 = tmpvar_122;
  highp vec3 tmpvar_123;
  tmpvar_123 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_121) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_117, _SpecularPower) * _SpecularColor.w))) * (atten_115 * 4.0));
  c_116.xyz = tmpvar_123;
  c_116.w = (tmpvar_121 * (atten_115 * 4.0));
  highp vec3 tmpvar_124;
  tmpvar_124 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_125;
  lightDir_125 = tmpvar_124;
  mediump vec3 normal_126;
  normal_126 = xlv_TEXCOORD4;
  mediump float tmpvar_127;
  tmpvar_127 = dot (normal_126, lightDir_125);
  color_9.xyz = (c_116 * mix (1.0, clamp (floor((1.01 + tmpvar_127)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_127)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  mediump vec4 shadows_89;
  highp vec4 shadowVals_90;
  highp float tmpvar_91;
  tmpvar_91 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_92;
  vec_92 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_93;
  lowp vec4 tmpvar_94;
  tmpvar_94 = textureCube (_ShadowMapTexture, vec_92);
  packDist_93 = tmpvar_94;
  shadowVals_90.x = dot (packDist_93, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_95;
  vec_95 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_96;
  lowp vec4 tmpvar_97;
  tmpvar_97 = textureCube (_ShadowMapTexture, vec_95);
  packDist_96 = tmpvar_97;
  shadowVals_90.y = dot (packDist_96, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_98;
  vec_98 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = textureCube (_ShadowMapTexture, vec_98);
  packDist_99 = tmpvar_100;
  shadowVals_90.z = dot (packDist_99, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_90.w = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_104;
  tmpvar_104 = lessThan (shadowVals_90, vec4(tmpvar_91));
  highp vec4 tmpvar_105;
  tmpvar_105 = _LightShadowData.xxxx;
  highp float tmpvar_106;
  if (tmpvar_104.x) {
    tmpvar_106 = tmpvar_105.x;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_104.y) {
    tmpvar_107 = tmpvar_105.y;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_104.z) {
    tmpvar_108 = tmpvar_105.z;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_104.w) {
    tmpvar_109 = tmpvar_105.w;
  } else {
    tmpvar_109 = 1.0;
  };
  highp vec4 tmpvar_110;
  tmpvar_110.x = tmpvar_106;
  tmpvar_110.y = tmpvar_107;
  tmpvar_110.z = tmpvar_108;
  tmpvar_110.w = tmpvar_109;
  shadows_89 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (shadows_89, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_88 = tmpvar_111;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_85;
  mediump vec3 viewDir_113;
  viewDir_113 = xlv_TEXCOORD8;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float atten_115;
  atten_115 = (tmpvar_87.w * tmpvar_88);
  mediump vec4 c_116;
  highp float nh_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(lightDir_112);
  lightDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(viewDir_113);
  viewDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(normal_114);
  normal_114 = tmpvar_120;
  mediump float tmpvar_121;
  tmpvar_121 = dot (tmpvar_120, tmpvar_118);
  mediump float tmpvar_122;
  tmpvar_122 = clamp (dot (normalize((tmpvar_118 + tmpvar_119)), tmpvar_120), 0.0, 1.0);
  nh_117 = tmpvar_122;
  highp vec3 tmpvar_123;
  tmpvar_123 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_121) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_117, _SpecularPower) * _SpecularColor.w))) * (atten_115 * 4.0));
  c_116.xyz = tmpvar_123;
  c_116.w = (tmpvar_121 * (atten_115 * 4.0));
  highp vec3 tmpvar_124;
  tmpvar_124 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_125;
  lightDir_125 = tmpvar_124;
  mediump vec3 normal_126;
  normal_126 = xlv_TEXCOORD4;
  mediump float tmpvar_127;
  tmpvar_127 = dot (normal_126, lightDir_125);
  color_9.xyz = (c_116 * mix (1.0, clamp (floor((1.01 + tmpvar_127)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_127)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 650
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 666
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 670
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 674
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 678
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 682
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 686
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_58;
  tmpvar_58 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_59;
  shadowVals_59.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_60;
  tmpvar_60 = lessThan (shadowVals_59, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_61;
  tmpvar_61 = _LightShadowData.xxxx;
  float tmpvar_62;
  if (tmpvar_60.x) {
    tmpvar_62 = tmpvar_61.x;
  } else {
    tmpvar_62 = 1.0;
  };
  float tmpvar_63;
  if (tmpvar_60.y) {
    tmpvar_63 = tmpvar_61.y;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_60.z) {
    tmpvar_64 = tmpvar_61.z;
  } else {
    tmpvar_64 = 1.0;
  };
  float tmpvar_65;
  if (tmpvar_60.w) {
    tmpvar_65 = tmpvar_61.w;
  } else {
    tmpvar_65 = 1.0;
  };
  vec4 tmpvar_66;
  tmpvar_66.x = tmpvar_62;
  tmpvar_66.y = tmpvar_63;
  tmpvar_66.z = tmpvar_64;
  tmpvar_66.w = tmpvar_65;
  float atten_67;
  atten_67 = ((tmpvar_57.w * tmpvar_58.w) * dot (tmpvar_66, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_68;
  vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_70;
  tmpvar_70 = normalize(xlv_TEXCOORD4);
  float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  c_68.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_69 + normalize(xlv_TEXCOORD8))), tmpvar_70), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_67 * 4.0));
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  float tmpvar_72;
  tmpvar_72 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  mediump vec4 shadows_90;
  highp vec4 shadowVals_91;
  highp float tmpvar_92;
  tmpvar_92 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_93;
  vec_93 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_94;
  lowp vec4 tmpvar_95;
  tmpvar_95 = textureCube (_ShadowMapTexture, vec_93);
  packDist_94 = tmpvar_95;
  shadowVals_91.x = dot (packDist_94, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_96;
  vec_96 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, vec_96);
  packDist_97 = tmpvar_98;
  shadowVals_91.y = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_99;
  vec_99 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_100;
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_ShadowMapTexture, vec_99);
  packDist_100 = tmpvar_101;
  shadowVals_91.z = dot (packDist_100, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_102;
  vec_102 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, vec_102);
  packDist_103 = tmpvar_104;
  shadowVals_91.w = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_105;
  tmpvar_105 = lessThan (shadowVals_91, vec4(tmpvar_92));
  highp vec4 tmpvar_106;
  tmpvar_106 = _LightShadowData.xxxx;
  highp float tmpvar_107;
  if (tmpvar_105.x) {
    tmpvar_107 = tmpvar_106.x;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_105.y) {
    tmpvar_108 = tmpvar_106.y;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_105.z) {
    tmpvar_109 = tmpvar_106.z;
  } else {
    tmpvar_109 = 1.0;
  };
  highp float tmpvar_110;
  if (tmpvar_105.w) {
    tmpvar_110 = tmpvar_106.w;
  } else {
    tmpvar_110 = 1.0;
  };
  highp vec4 tmpvar_111;
  tmpvar_111.x = tmpvar_107;
  tmpvar_111.y = tmpvar_108;
  tmpvar_111.z = tmpvar_109;
  tmpvar_111.w = tmpvar_110;
  shadows_90 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (shadows_90, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_89 = tmpvar_112;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_85;
  mediump vec3 viewDir_114;
  viewDir_114 = xlv_TEXCOORD8;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float atten_116;
  atten_116 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_89);
  mediump vec4 c_117;
  highp float nh_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(lightDir_113);
  lightDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(viewDir_114);
  viewDir_114 = tmpvar_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(normal_115);
  normal_115 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (tmpvar_121, tmpvar_119);
  mediump float tmpvar_123;
  tmpvar_123 = clamp (dot (normalize((tmpvar_119 + tmpvar_120)), tmpvar_121), 0.0, 1.0);
  nh_118 = tmpvar_123;
  highp vec3 tmpvar_124;
  tmpvar_124 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_122) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_118, _SpecularPower) * _SpecularColor.w))) * (atten_116 * 4.0));
  c_117.xyz = tmpvar_124;
  c_117.w = (tmpvar_122 * (atten_116 * 4.0));
  highp vec3 tmpvar_125;
  tmpvar_125 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_126;
  lightDir_126 = tmpvar_125;
  mediump vec3 normal_127;
  normal_127 = xlv_TEXCOORD4;
  mediump float tmpvar_128;
  tmpvar_128 = dot (normal_127, lightDir_126);
  color_9.xyz = (c_117 * mix (1.0, clamp (floor((1.01 + tmpvar_128)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_128)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  mediump vec4 shadows_90;
  highp vec4 shadowVals_91;
  highp float tmpvar_92;
  tmpvar_92 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_93;
  vec_93 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_94;
  lowp vec4 tmpvar_95;
  tmpvar_95 = textureCube (_ShadowMapTexture, vec_93);
  packDist_94 = tmpvar_95;
  shadowVals_91.x = dot (packDist_94, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_96;
  vec_96 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, vec_96);
  packDist_97 = tmpvar_98;
  shadowVals_91.y = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_99;
  vec_99 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_100;
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_ShadowMapTexture, vec_99);
  packDist_100 = tmpvar_101;
  shadowVals_91.z = dot (packDist_100, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_102;
  vec_102 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, vec_102);
  packDist_103 = tmpvar_104;
  shadowVals_91.w = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_105;
  tmpvar_105 = lessThan (shadowVals_91, vec4(tmpvar_92));
  highp vec4 tmpvar_106;
  tmpvar_106 = _LightShadowData.xxxx;
  highp float tmpvar_107;
  if (tmpvar_105.x) {
    tmpvar_107 = tmpvar_106.x;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_105.y) {
    tmpvar_108 = tmpvar_106.y;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_105.z) {
    tmpvar_109 = tmpvar_106.z;
  } else {
    tmpvar_109 = 1.0;
  };
  highp float tmpvar_110;
  if (tmpvar_105.w) {
    tmpvar_110 = tmpvar_106.w;
  } else {
    tmpvar_110 = 1.0;
  };
  highp vec4 tmpvar_111;
  tmpvar_111.x = tmpvar_107;
  tmpvar_111.y = tmpvar_108;
  tmpvar_111.z = tmpvar_109;
  tmpvar_111.w = tmpvar_110;
  shadows_90 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (shadows_90, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_89 = tmpvar_112;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_85;
  mediump vec3 viewDir_114;
  viewDir_114 = xlv_TEXCOORD8;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float atten_116;
  atten_116 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_89);
  mediump vec4 c_117;
  highp float nh_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(lightDir_113);
  lightDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(viewDir_114);
  viewDir_114 = tmpvar_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(normal_115);
  normal_115 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (tmpvar_121, tmpvar_119);
  mediump float tmpvar_123;
  tmpvar_123 = clamp (dot (normalize((tmpvar_119 + tmpvar_120)), tmpvar_121), 0.0, 1.0);
  nh_118 = tmpvar_123;
  highp vec3 tmpvar_124;
  tmpvar_124 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_122) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_118, _SpecularPower) * _SpecularColor.w))) * (atten_116 * 4.0));
  c_117.xyz = tmpvar_124;
  c_117.w = (tmpvar_122 * (atten_116 * 4.0));
  highp vec3 tmpvar_125;
  tmpvar_125 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_126;
  lightDir_126 = tmpvar_125;
  mediump vec3 normal_127;
  normal_127 = xlv_TEXCOORD4;
  mediump float tmpvar_128;
  tmpvar_128 = dot (normal_127, lightDir_126);
  color_9.xyz = (c_117 * mix (1.0, clamp (floor((1.01 + tmpvar_128)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_128)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 651
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 667
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 671
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 675
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 679
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 683
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 687
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = tmpvar_95.w;
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  highp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = tmpvar_95.w;
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  highp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 659
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 663
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 667
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 671
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD4);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD8))), tmpvar_63), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * 4.0);
  c_61.w = (tmpvar_64 * 4.0);
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_66;
  arg0_66 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_61 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_66, arg0_66)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 20 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_94);
  lightDir_94 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_95);
  viewDir_95 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_96);
  normal_96 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * specColor_2.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  highp vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_110;
  tmpvar_110 = clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_97 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_110)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_94);
  lightDir_94 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_95);
  viewDir_95 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_96);
  normal_96 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * specColor_2.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  highp vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_110;
  tmpvar_110 = clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_97 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_110)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 611
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 615
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 619
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 623
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 627
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 629
lowp vec4 frag( in v2f IN ) {
    #line 631
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 635
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 639
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 643
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 647
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 651
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 655
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 659
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 663
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 671
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_93;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD8;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float atten_101;
  atten_101 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w);
  mediump vec4 c_102;
  highp float nh_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(lightDir_98);
  lightDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(viewDir_99);
  viewDir_99 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(normal_100);
  normal_100 = tmpvar_106;
  mediump float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_104);
  mediump float tmpvar_108;
  tmpvar_108 = clamp (dot (normalize((tmpvar_104 + tmpvar_105)), tmpvar_106), 0.0, 1.0);
  nh_103 = tmpvar_108;
  highp vec3 tmpvar_109;
  tmpvar_109 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_103, _SpecularPower) * specColor_2.w))) * (atten_101 * 4.0));
  c_102.xyz = tmpvar_109;
  c_102.w = (tmpvar_107 * (atten_101 * 4.0));
  highp vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_110;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float tmpvar_113;
  tmpvar_113 = dot (normal_112, lightDir_111);
  highp vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_115;
  tmpvar_115 = clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_115)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_93;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD8;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float atten_101;
  atten_101 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w);
  mediump vec4 c_102;
  highp float nh_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(lightDir_98);
  lightDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(viewDir_99);
  viewDir_99 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(normal_100);
  normal_100 = tmpvar_106;
  mediump float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_104);
  mediump float tmpvar_108;
  tmpvar_108 = clamp (dot (normalize((tmpvar_104 + tmpvar_105)), tmpvar_106), 0.0, 1.0);
  nh_103 = tmpvar_108;
  highp vec3 tmpvar_109;
  tmpvar_109 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_103, _SpecularPower) * specColor_2.w))) * (atten_101 * 4.0));
  c_102.xyz = tmpvar_109;
  c_102.w = (tmpvar_107 * (atten_101 * 4.0));
  highp vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_110;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float tmpvar_113;
  tmpvar_113 = dot (normal_112, lightDir_111);
  highp vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_115;
  tmpvar_115 = clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_115)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 652
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 656
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 660
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 664
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 668
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 672
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 676
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 680
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 684
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_93;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD8;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float atten_100;
  atten_100 = (tmpvar_95.w * tmpvar_96.w);
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_97);
  lightDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_98);
  viewDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normal_99);
  normal_99 = tmpvar_105;
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * specColor_2.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  highp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD4;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  highp vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_114;
  tmpvar_114 = clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_114)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_93;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD8;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float atten_100;
  atten_100 = (tmpvar_95.w * tmpvar_96.w);
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_97);
  lightDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_98);
  viewDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normal_99);
  normal_99 = tmpvar_105;
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * specColor_2.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  highp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD4;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  highp vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_114;
  tmpvar_114 = clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_114)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 632
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 644
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 648
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 652
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 656
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 660
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 664
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 668
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 672
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 676
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94.w;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94.w;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 659
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 663
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 667
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 671
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_62;
  tmpvar_62 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_64;
  if ((tmpvar_63.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_64 = _LightShadowData.x;
  } else {
    tmpvar_64 = 1.0;
  };
  float atten_65;
  atten_65 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_61.w) * tmpvar_62.w) * tmpvar_64);
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD4);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD8))), tmpvar_68), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_65 * 4.0));
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_71;
  arg0_71 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_66 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_71, arg0_71)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 630
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 634
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 638
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 642
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 646
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 650
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 654
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 658
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 662
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 666
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 670
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 674
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 678
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 682
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 686
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 690
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp float tmpvar_100;
  tmpvar_100 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = (_LightShadowData.x + (shadow_99 * (1.0 - _LightShadowData.x)));
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 639
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 643
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 647
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 651
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 655
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 659
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 663
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 667
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 671
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 675
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 679
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 683
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 687
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 691
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (tmpvar_61.x * 4.0));
  c_62.w = (tmpvar_65 * (tmpvar_61.x * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_94;
  mediump float lightShadowDataX_95;
  highp float dist_96;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_96 = tmpvar_97;
  highp float tmpvar_98;
  tmpvar_98 = _LightShadowData.x;
  lightShadowDataX_95 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = max (float((dist_96 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_95);
  tmpvar_94 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_93;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD8;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float atten_103;
  atten_103 = tmpvar_94;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_100);
  lightDir_100 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_101);
  viewDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normal_102);
  normal_102 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * specColor_2.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  highp vec3 arg0_116;
  arg0_116 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_117;
  tmpvar_117 = clamp (((sqrt(dot (arg0_116, arg0_116)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_117)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_94;
  tmpvar_94 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 628
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 632
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 637
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 649
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 653
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 657
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 661
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 665
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 669
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 673
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 677
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 681
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_94.w * tmpvar_95);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = (tmpvar_94.w * tmpvar_95.x);
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  lowp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 639
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 647
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 651
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 655
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 659
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 663
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 667
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 671
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 675
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 679
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    #line 683
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_62;
  tmpvar_62 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_63;
  tmpvar_63 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_64;
  if ((tmpvar_63 < tmpvar_62)) {
    tmpvar_64 = _LightShadowData.x;
  } else {
    tmpvar_64 = 1.0;
  };
  float atten_65;
  atten_65 = (tmpvar_61.w * tmpvar_64);
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD4);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD8))), tmpvar_68), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_65 * 4.0));
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_71;
  arg0_71 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_66 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_71, arg0_71)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_100;
  if ((tmpvar_99 < tmpvar_96)) {
    tmpvar_100 = _LightShadowData.x;
  } else {
    tmpvar_100 = 1.0;
  };
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_95.w * tmpvar_100);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_100;
  if ((tmpvar_99 < tmpvar_96)) {
    tmpvar_100 = _LightShadowData.x;
  } else {
    tmpvar_100 = 1.0;
  };
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_95.w * tmpvar_100);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 636
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 640
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 644
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 648
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 652
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 656
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 660
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 664
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 668
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 672
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 676
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 680
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 684
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    #line 688
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_62;
  tmpvar_62 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_63;
  tmpvar_63 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_64;
  tmpvar_64 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_65;
  if ((tmpvar_64 < tmpvar_63)) {
    tmpvar_65 = _LightShadowData.x;
  } else {
    tmpvar_65 = 1.0;
  };
  float atten_66;
  atten_66 = ((tmpvar_61.w * tmpvar_62.w) * tmpvar_65);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(xlv_TEXCOORD4);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD8))), tmpvar_69), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_66 * 4.0));
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_72;
  arg0_72 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_67 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_72, arg0_72)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  tmpvar_97 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_98;
  lowp vec4 tmpvar_99;
  tmpvar_99 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_98 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = dot (packDist_98, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_101;
  if ((tmpvar_100 < tmpvar_97)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_101);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  tmpvar_97 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_98;
  lowp vec4 tmpvar_99;
  tmpvar_99 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_98 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = dot (packDist_98, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_101;
  if ((tmpvar_100 < tmpvar_97)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_101);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 629
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 633
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 637
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 641
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 645
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 649
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 653
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 657
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 661
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 665
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 669
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 673
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 677
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 681
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 685
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    #line 689
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_62;
  tmpvar_62 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_63;
  vec3 tmpvar_64;
  tmpvar_64 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_63.x = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_63.y = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_63.z = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_63.w = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_63, tmpvar_64.zzzz);
  vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  float atten_72;
  atten_72 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_61.w) * tmpvar_62.w) * dot (tmpvar_71, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_73;
  vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD4);
  float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  c_73.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_76) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_74 + normalize(xlv_TEXCOORD8))), tmpvar_75), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_72 * 4.0));
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  float tmpvar_77;
  tmpvar_77 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_78;
  arg0_78 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_73 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_78, arg0_78)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec4 shadowVals_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_102;
  P_102 = (tmpvar_101.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_103;
  tmpvar_103 = texture2D (_ShadowMapTexture, P_102).x;
  shadowVals_100.x = tmpvar_103;
  highp vec2 P_104;
  P_104 = (tmpvar_101.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_105;
  tmpvar_105 = texture2D (_ShadowMapTexture, P_104).x;
  shadowVals_100.y = tmpvar_105;
  highp vec2 P_106;
  P_106 = (tmpvar_101.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_107;
  tmpvar_107 = texture2D (_ShadowMapTexture, P_106).x;
  shadowVals_100.z = tmpvar_107;
  highp vec2 P_108;
  P_108 = (tmpvar_101.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_109;
  tmpvar_109 = texture2D (_ShadowMapTexture, P_108).x;
  shadowVals_100.w = tmpvar_109;
  bvec4 tmpvar_110;
  tmpvar_110 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  highp vec4 tmpvar_111;
  tmpvar_111 = _LightShadowData.xxxx;
  highp float tmpvar_112;
  if (tmpvar_110.x) {
    tmpvar_112 = tmpvar_111.x;
  } else {
    tmpvar_112 = 1.0;
  };
  highp float tmpvar_113;
  if (tmpvar_110.y) {
    tmpvar_113 = tmpvar_111.y;
  } else {
    tmpvar_113 = 1.0;
  };
  highp float tmpvar_114;
  if (tmpvar_110.z) {
    tmpvar_114 = tmpvar_111.z;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_110.w) {
    tmpvar_115 = tmpvar_111.w;
  } else {
    tmpvar_115 = 1.0;
  };
  highp vec4 tmpvar_116;
  tmpvar_116.x = tmpvar_112;
  tmpvar_116.y = tmpvar_113;
  tmpvar_116.z = tmpvar_114;
  tmpvar_116.w = tmpvar_115;
  shadows_99 = tmpvar_116;
  mediump float tmpvar_117;
  tmpvar_117 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_117;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_93;
  mediump vec3 viewDir_119;
  viewDir_119 = xlv_TEXCOORD8;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD4;
  mediump float atten_121;
  atten_121 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_122;
  highp float nh_123;
  mediump vec3 tmpvar_124;
  tmpvar_124 = normalize(lightDir_118);
  lightDir_118 = tmpvar_124;
  mediump vec3 tmpvar_125;
  tmpvar_125 = normalize(viewDir_119);
  viewDir_119 = tmpvar_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(normal_120);
  normal_120 = tmpvar_126;
  mediump float tmpvar_127;
  tmpvar_127 = dot (tmpvar_126, tmpvar_124);
  mediump float tmpvar_128;
  tmpvar_128 = clamp (dot (normalize((tmpvar_124 + tmpvar_125)), tmpvar_126), 0.0, 1.0);
  nh_123 = tmpvar_128;
  highp vec3 tmpvar_129;
  tmpvar_129 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_127) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_123, _SpecularPower) * specColor_2.w))) * (atten_121 * 4.0));
  c_122.xyz = tmpvar_129;
  c_122.w = (tmpvar_127 * (atten_121 * 4.0));
  highp vec3 tmpvar_130;
  tmpvar_130 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_131;
  lightDir_131 = tmpvar_130;
  mediump vec3 normal_132;
  normal_132 = xlv_TEXCOORD4;
  mediump float tmpvar_133;
  tmpvar_133 = dot (normal_132, lightDir_131);
  highp vec3 arg0_134;
  arg0_134 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_135;
  tmpvar_135 = clamp (((sqrt(dot (arg0_134, arg0_134)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_122 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_133)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_133)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_135)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec4 shadowVals_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_102;
  P_102 = (tmpvar_101.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_103;
  tmpvar_103 = texture2D (_ShadowMapTexture, P_102).x;
  shadowVals_100.x = tmpvar_103;
  highp vec2 P_104;
  P_104 = (tmpvar_101.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_105;
  tmpvar_105 = texture2D (_ShadowMapTexture, P_104).x;
  shadowVals_100.y = tmpvar_105;
  highp vec2 P_106;
  P_106 = (tmpvar_101.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_107;
  tmpvar_107 = texture2D (_ShadowMapTexture, P_106).x;
  shadowVals_100.z = tmpvar_107;
  highp vec2 P_108;
  P_108 = (tmpvar_101.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_109;
  tmpvar_109 = texture2D (_ShadowMapTexture, P_108).x;
  shadowVals_100.w = tmpvar_109;
  bvec4 tmpvar_110;
  tmpvar_110 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  highp vec4 tmpvar_111;
  tmpvar_111 = _LightShadowData.xxxx;
  highp float tmpvar_112;
  if (tmpvar_110.x) {
    tmpvar_112 = tmpvar_111.x;
  } else {
    tmpvar_112 = 1.0;
  };
  highp float tmpvar_113;
  if (tmpvar_110.y) {
    tmpvar_113 = tmpvar_111.y;
  } else {
    tmpvar_113 = 1.0;
  };
  highp float tmpvar_114;
  if (tmpvar_110.z) {
    tmpvar_114 = tmpvar_111.z;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_110.w) {
    tmpvar_115 = tmpvar_111.w;
  } else {
    tmpvar_115 = 1.0;
  };
  highp vec4 tmpvar_116;
  tmpvar_116.x = tmpvar_112;
  tmpvar_116.y = tmpvar_113;
  tmpvar_116.z = tmpvar_114;
  tmpvar_116.w = tmpvar_115;
  shadows_99 = tmpvar_116;
  mediump float tmpvar_117;
  tmpvar_117 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_117;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_93;
  mediump vec3 viewDir_119;
  viewDir_119 = xlv_TEXCOORD8;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD4;
  mediump float atten_121;
  atten_121 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_122;
  highp float nh_123;
  mediump vec3 tmpvar_124;
  tmpvar_124 = normalize(lightDir_118);
  lightDir_118 = tmpvar_124;
  mediump vec3 tmpvar_125;
  tmpvar_125 = normalize(viewDir_119);
  viewDir_119 = tmpvar_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(normal_120);
  normal_120 = tmpvar_126;
  mediump float tmpvar_127;
  tmpvar_127 = dot (tmpvar_126, tmpvar_124);
  mediump float tmpvar_128;
  tmpvar_128 = clamp (dot (normalize((tmpvar_124 + tmpvar_125)), tmpvar_126), 0.0, 1.0);
  nh_123 = tmpvar_128;
  highp vec3 tmpvar_129;
  tmpvar_129 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_127) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_123, _SpecularPower) * specColor_2.w))) * (atten_121 * 4.0));
  c_122.xyz = tmpvar_129;
  c_122.w = (tmpvar_127 * (atten_121 * 4.0));
  highp vec3 tmpvar_130;
  tmpvar_130 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_131;
  lightDir_131 = tmpvar_130;
  mediump vec3 normal_132;
  normal_132 = xlv_TEXCOORD4;
  mediump float tmpvar_133;
  tmpvar_133 = dot (normal_132, lightDir_131);
  highp vec3 arg0_134;
  arg0_134 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_135;
  tmpvar_135 = clamp (((sqrt(dot (arg0_134, arg0_134)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_122 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_133)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_133)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_135)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 686
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 690
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 694
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 698
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 shadows_61;
  vec3 tmpvar_62;
  tmpvar_62 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_61.x = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[0].xyz)).x;
  shadows_61.y = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[1].xyz)).x;
  shadows_61.z = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[2].xyz)).x;
  shadows_61.w = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_63;
  tmpvar_63 = (_LightShadowData.xxxx + (shadows_61 * (1.0 - _LightShadowData.xxxx)));
  shadows_61 = tmpvar_63;
  float atten_64;
  atten_64 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_63, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD4);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD8))), tmpvar_67), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_64 * 4.0));
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_70;
  arg0_70 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_65 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_70, arg0_70)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_101;
  coord_101 = (tmpvar_100 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, coord_101);
  shadows_99.x = tmpvar_102;
  highp vec3 coord_103;
  coord_103 = (tmpvar_100 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, coord_103);
  shadows_99.y = tmpvar_104;
  highp vec3 coord_105;
  coord_105 = (tmpvar_100 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_106;
  tmpvar_106 = shadow2DEXT (_ShadowMapTexture, coord_105);
  shadows_99.z = tmpvar_106;
  highp vec3 coord_107;
  coord_107 = (tmpvar_100 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_108;
  tmpvar_108 = shadow2DEXT (_ShadowMapTexture, coord_107);
  shadows_99.w = tmpvar_108;
  highp vec4 tmpvar_109;
  tmpvar_109 = (_LightShadowData.xxxx + (shadows_99 * (1.0 - _LightShadowData.xxxx)));
  shadows_99 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_110;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_93;
  mediump vec3 viewDir_112;
  viewDir_112 = xlv_TEXCOORD8;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD4;
  mediump float atten_114;
  atten_114 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_115;
  highp float nh_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(lightDir_111);
  lightDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(viewDir_112);
  viewDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(normal_113);
  normal_113 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (tmpvar_119, tmpvar_117);
  mediump float tmpvar_121;
  tmpvar_121 = clamp (dot (normalize((tmpvar_117 + tmpvar_118)), tmpvar_119), 0.0, 1.0);
  nh_116 = tmpvar_121;
  highp vec3 tmpvar_122;
  tmpvar_122 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_120) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_116, _SpecularPower) * specColor_2.w))) * (atten_114 * 4.0));
  c_115.xyz = tmpvar_122;
  c_115.w = (tmpvar_120 * (atten_114 * 4.0));
  highp vec3 tmpvar_123;
  tmpvar_123 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_124;
  lightDir_124 = tmpvar_123;
  mediump vec3 normal_125;
  normal_125 = xlv_TEXCOORD4;
  mediump float tmpvar_126;
  tmpvar_126 = dot (normal_125, lightDir_124);
  highp vec3 arg0_127;
  arg0_127 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_128;
  tmpvar_128 = clamp (((sqrt(dot (arg0_127, arg0_127)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_115 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_126)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_126)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_128)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 686
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 690
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 694
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 698
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_62;
  shadowVals_62.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_62, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  float atten_70;
  atten_70 = (tmpvar_61.w * dot (tmpvar_69, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_71;
  vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_73;
  tmpvar_73 = normalize(xlv_TEXCOORD4);
  float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  c_71.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_72 + normalize(xlv_TEXCOORD8))), tmpvar_73), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_70 * 4.0));
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  float tmpvar_75;
  tmpvar_75 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_76;
  arg0_76 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_71 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_76, arg0_76)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  mediump vec4 shadows_97;
  highp vec4 shadowVals_98;
  highp float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_100;
  vec_100 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_101;
  lowp vec4 tmpvar_102;
  tmpvar_102 = textureCube (_ShadowMapTexture, vec_100);
  packDist_101 = tmpvar_102;
  shadowVals_98.x = dot (packDist_101, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_103;
  vec_103 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = textureCube (_ShadowMapTexture, vec_103);
  packDist_104 = tmpvar_105;
  shadowVals_98.y = dot (packDist_104, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_98.z = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_98.w = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_112;
  tmpvar_112 = lessThan (shadowVals_98, vec4(tmpvar_99));
  highp vec4 tmpvar_113;
  tmpvar_113 = _LightShadowData.xxxx;
  highp float tmpvar_114;
  if (tmpvar_112.x) {
    tmpvar_114 = tmpvar_113.x;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_112.y) {
    tmpvar_115 = tmpvar_113.y;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_112.z) {
    tmpvar_116 = tmpvar_113.z;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_112.w) {
    tmpvar_117 = tmpvar_113.w;
  } else {
    tmpvar_117 = 1.0;
  };
  highp vec4 tmpvar_118;
  tmpvar_118.x = tmpvar_114;
  tmpvar_118.y = tmpvar_115;
  tmpvar_118.z = tmpvar_116;
  tmpvar_118.w = tmpvar_117;
  shadows_97 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (shadows_97, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_96 = tmpvar_119;
  mediump vec3 lightDir_120;
  lightDir_120 = tmpvar_93;
  mediump vec3 viewDir_121;
  viewDir_121 = xlv_TEXCOORD8;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD4;
  mediump float atten_123;
  atten_123 = (tmpvar_95.w * tmpvar_96);
  mediump vec4 c_124;
  highp float nh_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(lightDir_120);
  lightDir_120 = tmpvar_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(viewDir_121);
  viewDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(normal_122);
  normal_122 = tmpvar_128;
  mediump float tmpvar_129;
  tmpvar_129 = dot (tmpvar_128, tmpvar_126);
  mediump float tmpvar_130;
  tmpvar_130 = clamp (dot (normalize((tmpvar_126 + tmpvar_127)), tmpvar_128), 0.0, 1.0);
  nh_125 = tmpvar_130;
  highp vec3 tmpvar_131;
  tmpvar_131 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_129) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_125, _SpecularPower) * specColor_2.w))) * (atten_123 * 4.0));
  c_124.xyz = tmpvar_131;
  c_124.w = (tmpvar_129 * (atten_123 * 4.0));
  highp vec3 tmpvar_132;
  tmpvar_132 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_133;
  lightDir_133 = tmpvar_132;
  mediump vec3 normal_134;
  normal_134 = xlv_TEXCOORD4;
  mediump float tmpvar_135;
  tmpvar_135 = dot (normal_134, lightDir_133);
  highp vec3 arg0_136;
  arg0_136 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_137;
  tmpvar_137 = clamp (((sqrt(dot (arg0_136, arg0_136)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_124 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_135)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_135)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_137)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  mediump vec4 shadows_97;
  highp vec4 shadowVals_98;
  highp float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_100;
  vec_100 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_101;
  lowp vec4 tmpvar_102;
  tmpvar_102 = textureCube (_ShadowMapTexture, vec_100);
  packDist_101 = tmpvar_102;
  shadowVals_98.x = dot (packDist_101, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_103;
  vec_103 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = textureCube (_ShadowMapTexture, vec_103);
  packDist_104 = tmpvar_105;
  shadowVals_98.y = dot (packDist_104, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_98.z = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_98.w = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_112;
  tmpvar_112 = lessThan (shadowVals_98, vec4(tmpvar_99));
  highp vec4 tmpvar_113;
  tmpvar_113 = _LightShadowData.xxxx;
  highp float tmpvar_114;
  if (tmpvar_112.x) {
    tmpvar_114 = tmpvar_113.x;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_112.y) {
    tmpvar_115 = tmpvar_113.y;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_112.z) {
    tmpvar_116 = tmpvar_113.z;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_112.w) {
    tmpvar_117 = tmpvar_113.w;
  } else {
    tmpvar_117 = 1.0;
  };
  highp vec4 tmpvar_118;
  tmpvar_118.x = tmpvar_114;
  tmpvar_118.y = tmpvar_115;
  tmpvar_118.z = tmpvar_116;
  tmpvar_118.w = tmpvar_117;
  shadows_97 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (shadows_97, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_96 = tmpvar_119;
  mediump vec3 lightDir_120;
  lightDir_120 = tmpvar_93;
  mediump vec3 viewDir_121;
  viewDir_121 = xlv_TEXCOORD8;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD4;
  mediump float atten_123;
  atten_123 = (tmpvar_95.w * tmpvar_96);
  mediump vec4 c_124;
  highp float nh_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(lightDir_120);
  lightDir_120 = tmpvar_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(viewDir_121);
  viewDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(normal_122);
  normal_122 = tmpvar_128;
  mediump float tmpvar_129;
  tmpvar_129 = dot (tmpvar_128, tmpvar_126);
  mediump float tmpvar_130;
  tmpvar_130 = clamp (dot (normalize((tmpvar_126 + tmpvar_127)), tmpvar_128), 0.0, 1.0);
  nh_125 = tmpvar_130;
  highp vec3 tmpvar_131;
  tmpvar_131 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_129) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_125, _SpecularPower) * specColor_2.w))) * (atten_123 * 4.0));
  c_124.xyz = tmpvar_131;
  c_124.w = (tmpvar_129 * (atten_123 * 4.0));
  highp vec3 tmpvar_132;
  tmpvar_132 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_133;
  lightDir_133 = tmpvar_132;
  mediump vec3 normal_134;
  normal_134 = xlv_TEXCOORD4;
  mediump float tmpvar_135;
  tmpvar_135 = dot (normal_134, lightDir_133);
  highp vec3 arg0_136;
  arg0_136 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_137;
  tmpvar_137 = clamp (((sqrt(dot (arg0_136, arg0_136)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_124 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_135)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_135)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_137)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 650
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 666
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 670
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 674
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 678
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 682
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 686
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 690
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    #line 694
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_62;
  tmpvar_62 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_63;
  shadowVals_63.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_64;
  tmpvar_64 = lessThan (shadowVals_63, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_65;
  tmpvar_65 = _LightShadowData.xxxx;
  float tmpvar_66;
  if (tmpvar_64.x) {
    tmpvar_66 = tmpvar_65.x;
  } else {
    tmpvar_66 = 1.0;
  };
  float tmpvar_67;
  if (tmpvar_64.y) {
    tmpvar_67 = tmpvar_65.y;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_64.z) {
    tmpvar_68 = tmpvar_65.z;
  } else {
    tmpvar_68 = 1.0;
  };
  float tmpvar_69;
  if (tmpvar_64.w) {
    tmpvar_69 = tmpvar_65.w;
  } else {
    tmpvar_69 = 1.0;
  };
  vec4 tmpvar_70;
  tmpvar_70.x = tmpvar_66;
  tmpvar_70.y = tmpvar_67;
  tmpvar_70.z = tmpvar_68;
  tmpvar_70.w = tmpvar_69;
  float atten_71;
  atten_71 = ((tmpvar_61.w * tmpvar_62.w) * dot (tmpvar_70, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_72;
  vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD4);
  float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  c_72.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_75) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_73 + normalize(xlv_TEXCOORD8))), tmpvar_74), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_71 * 4.0));
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  float tmpvar_76;
  tmpvar_76 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_77;
  arg0_77 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_72 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_77, arg0_77)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  mediump vec4 shadows_98;
  highp vec4 shadowVals_99;
  highp float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_99.x = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_104;
  vec_104 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_105;
  lowp vec4 tmpvar_106;
  tmpvar_106 = textureCube (_ShadowMapTexture, vec_104);
  packDist_105 = tmpvar_106;
  shadowVals_99.y = dot (packDist_105, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_107;
  vec_107 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_108;
  lowp vec4 tmpvar_109;
  tmpvar_109 = textureCube (_ShadowMapTexture, vec_107);
  packDist_108 = tmpvar_109;
  shadowVals_99.z = dot (packDist_108, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_110;
  vec_110 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_111;
  lowp vec4 tmpvar_112;
  tmpvar_112 = textureCube (_ShadowMapTexture, vec_110);
  packDist_111 = tmpvar_112;
  shadowVals_99.w = dot (packDist_111, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_113;
  tmpvar_113 = lessThan (shadowVals_99, vec4(tmpvar_100));
  highp vec4 tmpvar_114;
  tmpvar_114 = _LightShadowData.xxxx;
  highp float tmpvar_115;
  if (tmpvar_113.x) {
    tmpvar_115 = tmpvar_114.x;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_113.y) {
    tmpvar_116 = tmpvar_114.y;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_113.z) {
    tmpvar_117 = tmpvar_114.z;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_113.w) {
    tmpvar_118 = tmpvar_114.w;
  } else {
    tmpvar_118 = 1.0;
  };
  highp vec4 tmpvar_119;
  tmpvar_119.x = tmpvar_115;
  tmpvar_119.y = tmpvar_116;
  tmpvar_119.z = tmpvar_117;
  tmpvar_119.w = tmpvar_118;
  shadows_98 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (shadows_98, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_97 = tmpvar_120;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_93;
  mediump vec3 viewDir_122;
  viewDir_122 = xlv_TEXCOORD8;
  mediump vec3 normal_123;
  normal_123 = xlv_TEXCOORD4;
  mediump float atten_124;
  atten_124 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_97);
  mediump vec4 c_125;
  highp float nh_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(lightDir_121);
  lightDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(viewDir_122);
  viewDir_122 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(normal_123);
  normal_123 = tmpvar_129;
  mediump float tmpvar_130;
  tmpvar_130 = dot (tmpvar_129, tmpvar_127);
  mediump float tmpvar_131;
  tmpvar_131 = clamp (dot (normalize((tmpvar_127 + tmpvar_128)), tmpvar_129), 0.0, 1.0);
  nh_126 = tmpvar_131;
  highp vec3 tmpvar_132;
  tmpvar_132 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_130) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_126, _SpecularPower) * specColor_2.w))) * (atten_124 * 4.0));
  c_125.xyz = tmpvar_132;
  c_125.w = (tmpvar_130 * (atten_124 * 4.0));
  highp vec3 tmpvar_133;
  tmpvar_133 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_134;
  lightDir_134 = tmpvar_133;
  mediump vec3 normal_135;
  normal_135 = xlv_TEXCOORD4;
  mediump float tmpvar_136;
  tmpvar_136 = dot (normal_135, lightDir_134);
  highp vec3 arg0_137;
  arg0_137 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_138;
  tmpvar_138 = clamp (((sqrt(dot (arg0_137, arg0_137)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_125 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_136)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_136)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_138)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  mediump vec4 shadows_98;
  highp vec4 shadowVals_99;
  highp float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_99.x = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_104;
  vec_104 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_105;
  lowp vec4 tmpvar_106;
  tmpvar_106 = textureCube (_ShadowMapTexture, vec_104);
  packDist_105 = tmpvar_106;
  shadowVals_99.y = dot (packDist_105, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_107;
  vec_107 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_108;
  lowp vec4 tmpvar_109;
  tmpvar_109 = textureCube (_ShadowMapTexture, vec_107);
  packDist_108 = tmpvar_109;
  shadowVals_99.z = dot (packDist_108, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_110;
  vec_110 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_111;
  lowp vec4 tmpvar_112;
  tmpvar_112 = textureCube (_ShadowMapTexture, vec_110);
  packDist_111 = tmpvar_112;
  shadowVals_99.w = dot (packDist_111, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_113;
  tmpvar_113 = lessThan (shadowVals_99, vec4(tmpvar_100));
  highp vec4 tmpvar_114;
  tmpvar_114 = _LightShadowData.xxxx;
  highp float tmpvar_115;
  if (tmpvar_113.x) {
    tmpvar_115 = tmpvar_114.x;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_113.y) {
    tmpvar_116 = tmpvar_114.y;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_113.z) {
    tmpvar_117 = tmpvar_114.z;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_113.w) {
    tmpvar_118 = tmpvar_114.w;
  } else {
    tmpvar_118 = 1.0;
  };
  highp vec4 tmpvar_119;
  tmpvar_119.x = tmpvar_115;
  tmpvar_119.y = tmpvar_116;
  tmpvar_119.z = tmpvar_117;
  tmpvar_119.w = tmpvar_118;
  shadows_98 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (shadows_98, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_97 = tmpvar_120;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_93;
  mediump vec3 viewDir_122;
  viewDir_122 = xlv_TEXCOORD8;
  mediump vec3 normal_123;
  normal_123 = xlv_TEXCOORD4;
  mediump float atten_124;
  atten_124 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_97);
  mediump vec4 c_125;
  highp float nh_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(lightDir_121);
  lightDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(viewDir_122);
  viewDir_122 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(normal_123);
  normal_123 = tmpvar_129;
  mediump float tmpvar_130;
  tmpvar_130 = dot (tmpvar_129, tmpvar_127);
  mediump float tmpvar_131;
  tmpvar_131 = clamp (dot (normalize((tmpvar_127 + tmpvar_128)), tmpvar_129), 0.0, 1.0);
  nh_126 = tmpvar_131;
  highp vec3 tmpvar_132;
  tmpvar_132 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_130) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_126, _SpecularPower) * specColor_2.w))) * (atten_124 * 4.0));
  c_125.xyz = tmpvar_132;
  c_125.w = (tmpvar_130 * (atten_124 * 4.0));
  highp vec3 tmpvar_133;
  tmpvar_133 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_134;
  lightDir_134 = tmpvar_133;
  mediump vec3 normal_135;
  normal_135 = xlv_TEXCOORD4;
  mediump float tmpvar_136;
  tmpvar_136 = dot (normal_135, lightDir_134);
  highp vec3 arg0_137;
  arg0_137 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_138;
  tmpvar_138 = clamp (((sqrt(dot (arg0_137, arg0_137)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_125 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_136)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_136)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_138)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 651
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 667
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 671
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 675
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 679
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 683
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 687
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 691
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    #line 695
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = tmpvar_87.w;
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  highp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = tmpvar_87.w;
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  highp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 659
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 663
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 c_56;
  vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD4);
  float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  c_56.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_57 + normalize(xlv_TEXCOORD8))), tmpvar_58), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_56.w = (tmpvar_59 * 4.0);
  float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 20 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD8;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normal_88);
  normal_88 = tmpvar_93;
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * 4.0);
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  color_9.xyz = (c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD8;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normal_88);
  normal_88 = tmpvar_93;
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * 4.0);
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  color_9.xyz = (c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 611
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 615
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 619
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 623
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 627
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 629
lowp vec4 frag( in v2f IN ) {
    #line 631
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 635
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 639
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 643
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 647
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 651
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 655
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 659
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_85;
  mediump vec3 viewDir_91;
  viewDir_91 = xlv_TEXCOORD8;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w);
  mediump vec4 c_94;
  highp float nh_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(lightDir_90);
  lightDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(viewDir_91);
  viewDir_91 = tmpvar_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(normal_92);
  normal_92 = tmpvar_98;
  mediump float tmpvar_99;
  tmpvar_99 = dot (tmpvar_98, tmpvar_96);
  mediump float tmpvar_100;
  tmpvar_100 = clamp (dot (normalize((tmpvar_96 + tmpvar_97)), tmpvar_98), 0.0, 1.0);
  nh_95 = tmpvar_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_99) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_95, _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.xyz = tmpvar_101;
  c_94.w = (tmpvar_99 * (atten_93 * 4.0));
  highp vec3 tmpvar_102;
  tmpvar_102 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_102;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float tmpvar_105;
  tmpvar_105 = dot (normal_104, lightDir_103);
  color_9.xyz = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_105)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_105)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_85;
  mediump vec3 viewDir_91;
  viewDir_91 = xlv_TEXCOORD8;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w);
  mediump vec4 c_94;
  highp float nh_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(lightDir_90);
  lightDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(viewDir_91);
  viewDir_91 = tmpvar_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(normal_92);
  normal_92 = tmpvar_98;
  mediump float tmpvar_99;
  tmpvar_99 = dot (tmpvar_98, tmpvar_96);
  mediump float tmpvar_100;
  tmpvar_100 = clamp (dot (normalize((tmpvar_96 + tmpvar_97)), tmpvar_98), 0.0, 1.0);
  nh_95 = tmpvar_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_99) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_95, _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.xyz = tmpvar_101;
  c_94.w = (tmpvar_99 * (atten_93 * 4.0));
  highp vec3 tmpvar_102;
  tmpvar_102 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_102;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float tmpvar_105;
  tmpvar_105 = dot (normal_104, lightDir_103);
  color_9.xyz = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_105)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_105)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 652
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 656
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 660
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 664
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 668
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 672
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_85;
  mediump vec3 viewDir_90;
  viewDir_90 = xlv_TEXCOORD8;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float atten_92;
  atten_92 = (tmpvar_87.w * tmpvar_88.w);
  mediump vec4 c_93;
  highp float nh_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(lightDir_89);
  lightDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(viewDir_90);
  viewDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(normal_91);
  normal_91 = tmpvar_97;
  mediump float tmpvar_98;
  tmpvar_98 = dot (tmpvar_97, tmpvar_95);
  mediump float tmpvar_99;
  tmpvar_99 = clamp (dot (normalize((tmpvar_95 + tmpvar_96)), tmpvar_97), 0.0, 1.0);
  nh_94 = tmpvar_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_98) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_94, _SpecularPower) * _SpecularColor.w))) * (atten_92 * 4.0));
  c_93.xyz = tmpvar_100;
  c_93.w = (tmpvar_98 * (atten_92 * 4.0));
  highp vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_101;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float tmpvar_104;
  tmpvar_104 = dot (normal_103, lightDir_102);
  color_9.xyz = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_85;
  mediump vec3 viewDir_90;
  viewDir_90 = xlv_TEXCOORD8;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float atten_92;
  atten_92 = (tmpvar_87.w * tmpvar_88.w);
  mediump vec4 c_93;
  highp float nh_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(lightDir_89);
  lightDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(viewDir_90);
  viewDir_90 = tmpvar_96;
  mediump vec3 tmpvar_97;
  tmpvar_97 = normalize(normal_91);
  normal_91 = tmpvar_97;
  mediump float tmpvar_98;
  tmpvar_98 = dot (tmpvar_97, tmpvar_95);
  mediump float tmpvar_99;
  tmpvar_99 = clamp (dot (normalize((tmpvar_95 + tmpvar_96)), tmpvar_97), 0.0, 1.0);
  nh_94 = tmpvar_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_98) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_94, _SpecularPower) * _SpecularColor.w))) * (atten_92 * 4.0));
  c_93.xyz = tmpvar_100;
  c_93.w = (tmpvar_98 * (atten_92 * 4.0));
  highp vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_101;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float tmpvar_104;
  tmpvar_104 = dot (normal_103, lightDir_102);
  color_9.xyz = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 632
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 644
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 648
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 652
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 656
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 660
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 664
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86.w;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86.w;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 659
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 663
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_58;
  tmpvar_58 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_60;
  if ((tmpvar_59.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_60 = _LightShadowData.x;
  } else {
    tmpvar_60 = 1.0;
  };
  float atten_61;
  atten_61 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_57.w) * tmpvar_58.w) * tmpvar_60);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp vec4 tmpvar_92;
  tmpvar_92 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_93;
  if ((tmpvar_92.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp vec4 tmpvar_92;
  tmpvar_92 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_93;
  if ((tmpvar_92.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 630
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 634
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 638
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 642
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 646
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 650
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 654
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 658
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 662
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 666
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 670
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 674
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 678
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 682
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump float shadow_91;
  lowp float tmpvar_92;
  tmpvar_92 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_91 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (_LightShadowData.x + (shadow_91 * (1.0 - _LightShadowData.x)));
  shadow_91 = tmpvar_93;
  tmpvar_90 = shadow_91;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 639
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 643
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 647
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 651
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 655
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 659
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 663
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 667
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 671
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 675
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 679
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 683
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_56.x * 4.0));
  c_57.w = (tmpvar_60 * (tmpvar_56.x * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_86;
  mediump float lightShadowDataX_87;
  highp float dist_88;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_88 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = _LightShadowData.x;
  lightShadowDataX_87 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = max (float((dist_88 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_87);
  tmpvar_86 = tmpvar_91;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_85;
  mediump vec3 viewDir_93;
  viewDir_93 = xlv_TEXCOORD8;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float atten_95;
  atten_95 = tmpvar_86;
  mediump vec4 c_96;
  highp float nh_97;
  mediump vec3 tmpvar_98;
  tmpvar_98 = normalize(lightDir_92);
  lightDir_92 = tmpvar_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(viewDir_93);
  viewDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(normal_94);
  normal_94 = tmpvar_100;
  mediump float tmpvar_101;
  tmpvar_101 = dot (tmpvar_100, tmpvar_98);
  mediump float tmpvar_102;
  tmpvar_102 = clamp (dot (normalize((tmpvar_98 + tmpvar_99)), tmpvar_100), 0.0, 1.0);
  nh_97 = tmpvar_102;
  highp vec3 tmpvar_103;
  tmpvar_103 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_101) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_97, _SpecularPower) * _SpecularColor.w))) * (atten_95 * 4.0));
  c_96.xyz = tmpvar_103;
  c_96.w = (tmpvar_101 * (atten_95 * 4.0));
  lowp vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_105;
  lightDir_105 = tmpvar_104;
  mediump vec3 normal_106;
  normal_106 = xlv_TEXCOORD4;
  mediump float tmpvar_107;
  tmpvar_107 = dot (normal_106, lightDir_105);
  color_9.xyz = (c_96 * mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_85;
  mediump vec3 viewDir_88;
  viewDir_88 = xlv_TEXCOORD8;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float atten_90;
  atten_90 = tmpvar_86;
  mediump vec4 c_91;
  highp float nh_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(lightDir_87);
  lightDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(viewDir_88);
  viewDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(normal_89);
  normal_89 = tmpvar_95;
  mediump float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_93);
  mediump float tmpvar_97;
  tmpvar_97 = clamp (dot (normalize((tmpvar_93 + tmpvar_94)), tmpvar_95), 0.0, 1.0);
  nh_92 = tmpvar_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_92, _SpecularPower) * _SpecularColor.w))) * (atten_90 * 4.0));
  c_91.xyz = tmpvar_98;
  c_91.w = (tmpvar_96 * (atten_90 * 4.0));
  lowp vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_99;
  mediump vec3 normal_101;
  normal_101 = xlv_TEXCOORD4;
  mediump float tmpvar_102;
  tmpvar_102 = dot (normal_101, lightDir_100);
  color_9.xyz = (c_91 * mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 628
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 632
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 637
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 649
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 653
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 657
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 661
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 665
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 669
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  float atten_56;
  atten_56 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_57;
  vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD4);
  float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  c_57.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_58 + normalize(xlv_TEXCOORD8))), tmpvar_59), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_87;
  mediump float lightShadowDataX_88;
  highp float dist_89;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = _LightShadowData.x;
  lightShadowDataX_88 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = max (float((dist_89 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_88);
  tmpvar_87 = tmpvar_92;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_86.w * tmpvar_87);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  lowp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  tmpvar_86 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_85;
  mediump vec3 viewDir_89;
  viewDir_89 = xlv_TEXCOORD8;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float atten_91;
  atten_91 = (tmpvar_86.w * tmpvar_87.x);
  mediump vec4 c_92;
  highp float nh_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(lightDir_88);
  lightDir_88 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95 = normalize(viewDir_89);
  viewDir_89 = tmpvar_95;
  mediump vec3 tmpvar_96;
  tmpvar_96 = normalize(normal_90);
  normal_90 = tmpvar_96;
  mediump float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_94);
  mediump float tmpvar_98;
  tmpvar_98 = clamp (dot (normalize((tmpvar_94 + tmpvar_95)), tmpvar_96), 0.0, 1.0);
  nh_93 = tmpvar_98;
  highp vec3 tmpvar_99;
  tmpvar_99 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_93, _SpecularPower) * _SpecularColor.w))) * (atten_91 * 4.0));
  c_92.xyz = tmpvar_99;
  c_92.w = (tmpvar_97 * (atten_91 * 4.0));
  lowp vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_100;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float tmpvar_103;
  tmpvar_103 = dot (normal_102, lightDir_101);
  color_9.xyz = (c_92 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 639
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 647
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 651
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 655
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 659
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 663
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 667
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 671
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_58;
  tmpvar_58 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_59;
  tmpvar_59 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_60;
  if ((tmpvar_59 < tmpvar_58)) {
    tmpvar_60 = _LightShadowData.x;
  } else {
    tmpvar_60 = 1.0;
  };
  float atten_61;
  atten_61 = (tmpvar_57.w * tmpvar_60);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  tmpvar_88 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_89;
  lowp vec4 tmpvar_90;
  tmpvar_90 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = dot (packDist_89, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_92;
  if ((tmpvar_91 < tmpvar_88)) {
    tmpvar_92 = _LightShadowData.x;
  } else {
    tmpvar_92 = 1.0;
  };
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_87.w * tmpvar_92);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  highp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  tmpvar_88 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_89;
  lowp vec4 tmpvar_90;
  tmpvar_90 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_89 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = dot (packDist_89, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_92;
  if ((tmpvar_91 < tmpvar_88)) {
    tmpvar_92 = _LightShadowData.x;
  } else {
    tmpvar_92 = 1.0;
  };
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_85;
  mediump vec3 viewDir_94;
  viewDir_94 = xlv_TEXCOORD8;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float atten_96;
  atten_96 = (tmpvar_87.w * tmpvar_92);
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_93);
  lightDir_93 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_94);
  viewDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_95);
  normal_95 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * (atten_96 * 4.0));
  highp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  color_9.xyz = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 636
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 640
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 644
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 648
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 652
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 656
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 660
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 664
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 668
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 672
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 676
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 680
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_58;
  tmpvar_58 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_59;
  tmpvar_59 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_60;
  tmpvar_60 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_61;
  if ((tmpvar_60 < tmpvar_59)) {
    tmpvar_61 = _LightShadowData.x;
  } else {
    tmpvar_61 = 1.0;
  };
  float atten_62;
  atten_62 = ((tmpvar_57.w * tmpvar_58.w) * tmpvar_61);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD4);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD8))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  tmpvar_89 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_90;
  lowp vec4 tmpvar_91;
  tmpvar_91 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_90 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = dot (packDist_90, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_93;
  if ((tmpvar_92 < tmpvar_89)) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_93);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  tmpvar_89 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_90;
  lowp vec4 tmpvar_91;
  tmpvar_91 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_90 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = dot (packDist_90, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_93;
  if ((tmpvar_92 < tmpvar_89)) {
    tmpvar_93 = _LightShadowData.x;
  } else {
    tmpvar_93 = 1.0;
  };
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_85;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump float atten_97;
  atten_97 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_93);
  mediump vec4 c_98;
  highp float nh_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(lightDir_94);
  lightDir_94 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(viewDir_95);
  viewDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(normal_96);
  normal_96 = tmpvar_102;
  mediump float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_100);
  mediump float tmpvar_104;
  tmpvar_104 = clamp (dot (normalize((tmpvar_100 + tmpvar_101)), tmpvar_102), 0.0, 1.0);
  nh_99 = tmpvar_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_99, _SpecularPower) * _SpecularColor.w))) * (atten_97 * 4.0));
  c_98.xyz = tmpvar_105;
  c_98.w = (tmpvar_103 * (atten_97 * 4.0));
  highp vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_107;
  lightDir_107 = tmpvar_106;
  mediump vec3 normal_108;
  normal_108 = xlv_TEXCOORD4;
  mediump float tmpvar_109;
  tmpvar_109 = dot (normal_108, lightDir_107);
  color_9.xyz = (c_98 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 629
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 633
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 637
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 641
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 645
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 649
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 653
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 657
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 661
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 665
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 669
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 673
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 677
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 681
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_58;
  tmpvar_58 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_59;
  vec3 tmpvar_60;
  tmpvar_60 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_59.x = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_59.y = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_59.z = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_59.w = texture2D (_ShadowMapTexture, (tmpvar_60.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_61;
  tmpvar_61 = lessThan (shadowVals_59, tmpvar_60.zzzz);
  vec4 tmpvar_62;
  tmpvar_62 = _LightShadowData.xxxx;
  float tmpvar_63;
  if (tmpvar_61.x) {
    tmpvar_63 = tmpvar_62.x;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_61.y) {
    tmpvar_64 = tmpvar_62.y;
  } else {
    tmpvar_64 = 1.0;
  };
  float tmpvar_65;
  if (tmpvar_61.z) {
    tmpvar_65 = tmpvar_62.z;
  } else {
    tmpvar_65 = 1.0;
  };
  float tmpvar_66;
  if (tmpvar_61.w) {
    tmpvar_66 = tmpvar_62.w;
  } else {
    tmpvar_66 = 1.0;
  };
  vec4 tmpvar_67;
  tmpvar_67.x = tmpvar_63;
  tmpvar_67.y = tmpvar_64;
  tmpvar_67.z = tmpvar_65;
  tmpvar_67.w = tmpvar_66;
  float atten_68;
  atten_68 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_57.w) * tmpvar_58.w) * dot (tmpvar_67, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_69;
  vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_71;
  tmpvar_71 = normalize(xlv_TEXCOORD4);
  float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  c_69.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_70 + normalize(xlv_TEXCOORD8))), tmpvar_71), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  float tmpvar_73;
  tmpvar_73 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec4 shadowVals_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_94;
  P_94 = (tmpvar_93.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_95;
  tmpvar_95 = texture2D (_ShadowMapTexture, P_94).x;
  shadowVals_92.x = tmpvar_95;
  highp vec2 P_96;
  P_96 = (tmpvar_93.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_97;
  tmpvar_97 = texture2D (_ShadowMapTexture, P_96).x;
  shadowVals_92.y = tmpvar_97;
  highp vec2 P_98;
  P_98 = (tmpvar_93.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_99;
  tmpvar_99 = texture2D (_ShadowMapTexture, P_98).x;
  shadowVals_92.z = tmpvar_99;
  highp vec2 P_100;
  P_100 = (tmpvar_93.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_101;
  tmpvar_101 = texture2D (_ShadowMapTexture, P_100).x;
  shadowVals_92.w = tmpvar_101;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_92, tmpvar_93.zzzz);
  highp vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  highp float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  highp float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  highp float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  highp vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  shadows_91 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_109;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_85;
  mediump vec3 viewDir_111;
  viewDir_111 = xlv_TEXCOORD8;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float atten_113;
  atten_113 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_114;
  highp float nh_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(lightDir_110);
  lightDir_110 = tmpvar_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(viewDir_111);
  viewDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(normal_112);
  normal_112 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (tmpvar_118, tmpvar_116);
  mediump float tmpvar_120;
  tmpvar_120 = clamp (dot (normalize((tmpvar_116 + tmpvar_117)), tmpvar_118), 0.0, 1.0);
  nh_115 = tmpvar_120;
  highp vec3 tmpvar_121;
  tmpvar_121 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_119) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_115, _SpecularPower) * _SpecularColor.w))) * (atten_113 * 4.0));
  c_114.xyz = tmpvar_121;
  c_114.w = (tmpvar_119 * (atten_113 * 4.0));
  highp vec3 tmpvar_122;
  tmpvar_122 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_123;
  lightDir_123 = tmpvar_122;
  mediump vec3 normal_124;
  normal_124 = xlv_TEXCOORD4;
  mediump float tmpvar_125;
  tmpvar_125 = dot (normal_124, lightDir_123);
  color_9.xyz = (c_114 * mix (1.0, clamp (floor((1.01 + tmpvar_125)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_125)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec4 shadowVals_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_94;
  P_94 = (tmpvar_93.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_95;
  tmpvar_95 = texture2D (_ShadowMapTexture, P_94).x;
  shadowVals_92.x = tmpvar_95;
  highp vec2 P_96;
  P_96 = (tmpvar_93.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_97;
  tmpvar_97 = texture2D (_ShadowMapTexture, P_96).x;
  shadowVals_92.y = tmpvar_97;
  highp vec2 P_98;
  P_98 = (tmpvar_93.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_99;
  tmpvar_99 = texture2D (_ShadowMapTexture, P_98).x;
  shadowVals_92.z = tmpvar_99;
  highp vec2 P_100;
  P_100 = (tmpvar_93.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_101;
  tmpvar_101 = texture2D (_ShadowMapTexture, P_100).x;
  shadowVals_92.w = tmpvar_101;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_92, tmpvar_93.zzzz);
  highp vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  highp float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  highp float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  highp float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  highp vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  shadows_91 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_109;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_85;
  mediump vec3 viewDir_111;
  viewDir_111 = xlv_TEXCOORD8;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float atten_113;
  atten_113 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_114;
  highp float nh_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(lightDir_110);
  lightDir_110 = tmpvar_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(viewDir_111);
  viewDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(normal_112);
  normal_112 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (tmpvar_118, tmpvar_116);
  mediump float tmpvar_120;
  tmpvar_120 = clamp (dot (normalize((tmpvar_116 + tmpvar_117)), tmpvar_118), 0.0, 1.0);
  nh_115 = tmpvar_120;
  highp vec3 tmpvar_121;
  tmpvar_121 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_119) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_115, _SpecularPower) * _SpecularColor.w))) * (atten_113 * 4.0));
  c_114.xyz = tmpvar_121;
  c_114.w = (tmpvar_119 * (atten_113 * 4.0));
  highp vec3 tmpvar_122;
  tmpvar_122 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_123;
  lightDir_123 = tmpvar_122;
  mediump vec3 normal_124;
  normal_124 = xlv_TEXCOORD4;
  mediump float tmpvar_125;
  tmpvar_125 = dot (normal_124, lightDir_123);
  color_9.xyz = (c_114 * mix (1.0, clamp (floor((1.01 + tmpvar_125)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_125)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 686
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 690
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 shadows_56;
  vec3 tmpvar_57;
  tmpvar_57 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_56.x = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[0].xyz)).x;
  shadows_56.y = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[1].xyz)).x;
  shadows_56.z = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[2].xyz)).x;
  shadows_56.w = shadow2D (_ShadowMapTexture, (tmpvar_57 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_58;
  tmpvar_58 = (_LightShadowData.xxxx + (shadows_56 * (1.0 - _LightShadowData.xxxx)));
  shadows_56 = tmpvar_58;
  float atten_59;
  atten_59 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_58, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD4);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = (((((mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color).xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD8))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_59 * 4.0));
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_86;
  highp vec2 P_87;
  P_87 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_86 = texture2D (_LightTexture0, P_87);
  highp float tmpvar_88;
  tmpvar_88 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_89;
  tmpvar_89 = texture2D (_LightTextureB0, vec2(tmpvar_88));
  lowp float tmpvar_90;
  mediump vec4 shadows_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_93;
  coord_93 = (tmpvar_92 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_94;
  tmpvar_94 = shadow2DEXT (_ShadowMapTexture, coord_93);
  shadows_91.x = tmpvar_94;
  highp vec3 coord_95;
  coord_95 = (tmpvar_92 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, coord_95);
  shadows_91.y = tmpvar_96;
  highp vec3 coord_97;
  coord_97 = (tmpvar_92 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, coord_97);
  shadows_91.z = tmpvar_98;
  highp vec3 coord_99;
  coord_99 = (tmpvar_92 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_100;
  tmpvar_100 = shadow2DEXT (_ShadowMapTexture, coord_99);
  shadows_91.w = tmpvar_100;
  highp vec4 tmpvar_101;
  tmpvar_101 = (_LightShadowData.xxxx + (shadows_91 * (1.0 - _LightShadowData.xxxx)));
  shadows_91 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (shadows_91, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_90 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = tmpvar_85;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD8;
  mediump vec3 normal_105;
  normal_105 = xlv_TEXCOORD4;
  mediump float atten_106;
  atten_106 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_86.w) * tmpvar_89.w) * tmpvar_90);
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_103);
  lightDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_104);
  viewDir_104 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normal_105);
  normal_105 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  highp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD4;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  color_9.xyz = (c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 686
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 690
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_58;
  shadowVals_58.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_58.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_59;
  tmpvar_59 = lessThan (shadowVals_58, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_60;
  tmpvar_60 = _LightShadowData.xxxx;
  float tmpvar_61;
  if (tmpvar_59.x) {
    tmpvar_61 = tmpvar_60.x;
  } else {
    tmpvar_61 = 1.0;
  };
  float tmpvar_62;
  if (tmpvar_59.y) {
    tmpvar_62 = tmpvar_60.y;
  } else {
    tmpvar_62 = 1.0;
  };
  float tmpvar_63;
  if (tmpvar_59.z) {
    tmpvar_63 = tmpvar_60.z;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_59.w) {
    tmpvar_64 = tmpvar_60.w;
  } else {
    tmpvar_64 = 1.0;
  };
  vec4 tmpvar_65;
  tmpvar_65.x = tmpvar_61;
  tmpvar_65.y = tmpvar_62;
  tmpvar_65.z = tmpvar_63;
  tmpvar_65.w = tmpvar_64;
  float atten_66;
  atten_66 = (tmpvar_57.w * dot (tmpvar_65, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(xlv_TEXCOORD4);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD8))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_66 * 4.0));
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  mediump vec4 shadows_89;
  highp vec4 shadowVals_90;
  highp float tmpvar_91;
  tmpvar_91 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_92;
  vec_92 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_93;
  lowp vec4 tmpvar_94;
  tmpvar_94 = textureCube (_ShadowMapTexture, vec_92);
  packDist_93 = tmpvar_94;
  shadowVals_90.x = dot (packDist_93, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_95;
  vec_95 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_96;
  lowp vec4 tmpvar_97;
  tmpvar_97 = textureCube (_ShadowMapTexture, vec_95);
  packDist_96 = tmpvar_97;
  shadowVals_90.y = dot (packDist_96, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_98;
  vec_98 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = textureCube (_ShadowMapTexture, vec_98);
  packDist_99 = tmpvar_100;
  shadowVals_90.z = dot (packDist_99, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_90.w = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_104;
  tmpvar_104 = lessThan (shadowVals_90, vec4(tmpvar_91));
  highp vec4 tmpvar_105;
  tmpvar_105 = _LightShadowData.xxxx;
  highp float tmpvar_106;
  if (tmpvar_104.x) {
    tmpvar_106 = tmpvar_105.x;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_104.y) {
    tmpvar_107 = tmpvar_105.y;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_104.z) {
    tmpvar_108 = tmpvar_105.z;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_104.w) {
    tmpvar_109 = tmpvar_105.w;
  } else {
    tmpvar_109 = 1.0;
  };
  highp vec4 tmpvar_110;
  tmpvar_110.x = tmpvar_106;
  tmpvar_110.y = tmpvar_107;
  tmpvar_110.z = tmpvar_108;
  tmpvar_110.w = tmpvar_109;
  shadows_89 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (shadows_89, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_88 = tmpvar_111;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_85;
  mediump vec3 viewDir_113;
  viewDir_113 = xlv_TEXCOORD8;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float atten_115;
  atten_115 = (tmpvar_87.w * tmpvar_88);
  mediump vec4 c_116;
  highp float nh_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(lightDir_112);
  lightDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(viewDir_113);
  viewDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(normal_114);
  normal_114 = tmpvar_120;
  mediump float tmpvar_121;
  tmpvar_121 = dot (tmpvar_120, tmpvar_118);
  mediump float tmpvar_122;
  tmpvar_122 = clamp (dot (normalize((tmpvar_118 + tmpvar_119)), tmpvar_120), 0.0, 1.0);
  nh_117 = tmpvar_122;
  highp vec3 tmpvar_123;
  tmpvar_123 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_121) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_117, _SpecularPower) * _SpecularColor.w))) * (atten_115 * 4.0));
  c_116.xyz = tmpvar_123;
  c_116.w = (tmpvar_121 * (atten_115 * 4.0));
  highp vec3 tmpvar_124;
  tmpvar_124 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_125;
  lightDir_125 = tmpvar_124;
  mediump vec3 normal_126;
  normal_126 = xlv_TEXCOORD4;
  mediump float tmpvar_127;
  tmpvar_127 = dot (normal_126, lightDir_125);
  color_9.xyz = (c_116 * mix (1.0, clamp (floor((1.01 + tmpvar_127)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_127)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTexture0, vec2(tmpvar_86));
  highp float tmpvar_88;
  mediump vec4 shadows_89;
  highp vec4 shadowVals_90;
  highp float tmpvar_91;
  tmpvar_91 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_92;
  vec_92 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_93;
  lowp vec4 tmpvar_94;
  tmpvar_94 = textureCube (_ShadowMapTexture, vec_92);
  packDist_93 = tmpvar_94;
  shadowVals_90.x = dot (packDist_93, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_95;
  vec_95 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_96;
  lowp vec4 tmpvar_97;
  tmpvar_97 = textureCube (_ShadowMapTexture, vec_95);
  packDist_96 = tmpvar_97;
  shadowVals_90.y = dot (packDist_96, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_98;
  vec_98 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = textureCube (_ShadowMapTexture, vec_98);
  packDist_99 = tmpvar_100;
  shadowVals_90.z = dot (packDist_99, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_90.w = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_104;
  tmpvar_104 = lessThan (shadowVals_90, vec4(tmpvar_91));
  highp vec4 tmpvar_105;
  tmpvar_105 = _LightShadowData.xxxx;
  highp float tmpvar_106;
  if (tmpvar_104.x) {
    tmpvar_106 = tmpvar_105.x;
  } else {
    tmpvar_106 = 1.0;
  };
  highp float tmpvar_107;
  if (tmpvar_104.y) {
    tmpvar_107 = tmpvar_105.y;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_104.z) {
    tmpvar_108 = tmpvar_105.z;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_104.w) {
    tmpvar_109 = tmpvar_105.w;
  } else {
    tmpvar_109 = 1.0;
  };
  highp vec4 tmpvar_110;
  tmpvar_110.x = tmpvar_106;
  tmpvar_110.y = tmpvar_107;
  tmpvar_110.z = tmpvar_108;
  tmpvar_110.w = tmpvar_109;
  shadows_89 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (shadows_89, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_88 = tmpvar_111;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_85;
  mediump vec3 viewDir_113;
  viewDir_113 = xlv_TEXCOORD8;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float atten_115;
  atten_115 = (tmpvar_87.w * tmpvar_88);
  mediump vec4 c_116;
  highp float nh_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(lightDir_112);
  lightDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(viewDir_113);
  viewDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(normal_114);
  normal_114 = tmpvar_120;
  mediump float tmpvar_121;
  tmpvar_121 = dot (tmpvar_120, tmpvar_118);
  mediump float tmpvar_122;
  tmpvar_122 = clamp (dot (normalize((tmpvar_118 + tmpvar_119)), tmpvar_120), 0.0, 1.0);
  nh_117 = tmpvar_122;
  highp vec3 tmpvar_123;
  tmpvar_123 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_121) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_117, _SpecularPower) * _SpecularColor.w))) * (atten_115 * 4.0));
  c_116.xyz = tmpvar_123;
  c_116.w = (tmpvar_121 * (atten_115 * 4.0));
  highp vec3 tmpvar_124;
  tmpvar_124 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_125;
  lightDir_125 = tmpvar_124;
  mediump vec3 normal_126;
  normal_126 = xlv_TEXCOORD4;
  mediump float tmpvar_127;
  tmpvar_127 = dot (normal_126, lightDir_125);
  color_9.xyz = (c_116 * mix (1.0, clamp (floor((1.01 + tmpvar_127)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_127)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 650
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 666
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 670
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 674
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 678
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 682
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 686
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  vec2 uv_30;
  vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_29);
  float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, tmpvar_32), tmpvar_33));
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(tmpvar_34);
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = tmpvar_34;
  vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(tmpvar_34);
  vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_29.yxz), mix ((tmpvar_35 * tmpvar_29.xzy), (tmpvar_36 * tmpvar_29.zxy), vec3(tmpvar_32)), vec3(tmpvar_33));
  uv_30.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  vec2 tmpvar_39;
  tmpvar_39 = (uv_30 * _DetailVertScale);
  vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  detail_4 = mix (texture2DGradARB (_steepTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw), texture2DGradARB (_midTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_15)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  vec2 uv_43;
  float r_44;
  if ((abs(tmpvar_42.z) > (1e-08 * abs(tmpvar_42.x)))) {
    float y_over_x_45;
    y_over_x_45 = (tmpvar_42.x / tmpvar_42.z);
    float s_46;
    float x_47;
    x_47 = (y_over_x_45 * inversesqrt(((y_over_x_45 * y_over_x_45) + 1.0)));
    s_46 = (sign(x_47) * (1.5708 - (sqrt((1.0 - abs(x_47))) * (1.5708 + (abs(x_47) * (-0.214602 + (abs(x_47) * (0.0865667 + (abs(x_47) * -0.0310296)))))))));
    r_44 = s_46;
    if ((tmpvar_42.z < 0.0)) {
      if ((tmpvar_42.x >= 0.0)) {
        r_44 = (s_46 + 3.14159);
      } else {
        r_44 = (r_44 - 3.14159);
      };
    };
  } else {
    r_44 = (sign(tmpvar_42.x) * 1.5708);
  };
  uv_43.x = (0.5 + (0.159155 * r_44));
  uv_43.y = (0.31831 * (1.5708 - (sign(tmpvar_42.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_42.y))) * (1.5708 + (abs(tmpvar_42.y) * (-0.214602 + (abs(tmpvar_42.y) * (0.0865667 + (abs(tmpvar_42.y) * -0.0310296)))))))))));
  vec2 uvCont_48;
  uvCont_48.y = uv_43.y;
  uvCont_48.x = abs((uv_43.x - 0.5));
  vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(uvCont_48);
  tmpvar_49.zw = dFdy(uvCont_48);
  vec2 tmpvar_50;
  tmpvar_50 = (texture2DGradARB (_BumpMap, uv_43, tmpvar_49.xy, tmpvar_49.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_50.y;
  localCoords_3.x = (tmpvar_50.x * 0.5);
  float r_51;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_52;
    y_over_x_52 = (tmpvar_15.x / tmpvar_15.z);
    float s_53;
    float x_54;
    x_54 = (y_over_x_52 * inversesqrt(((y_over_x_52 * y_over_x_52) + 1.0)));
    s_53 = (sign(x_54) * (1.5708 - (sqrt((1.0 - abs(x_54))) * (1.5708 + (abs(x_54) * (-0.214602 + (abs(x_54) * (0.0865667 + (abs(x_54) * -0.0310296)))))))));
    r_51 = s_53;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_51 = (s_53 + 3.14159);
      } else {
        r_51 = (r_51 - 3.14159);
      };
    };
  } else {
    r_51 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_51));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_55;
  tmpvar_55 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_55;
  norm_1.z = cos((6.28319 * tmpvar_55.x));
  norm_1.x = sin((6.28319 * tmpvar_55.x));
  norm_1.y = cos((3.14159 * tmpvar_55.y));
  norm_1 = -(norm_1);
  vec4 tmpvar_56;
  tmpvar_56 = (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_4 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_5, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_6 = tmpvar_56;
  vec4 tmpvar_57;
  tmpvar_57 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_58;
  tmpvar_58 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_59;
  shadowVals_59.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_59.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_60;
  tmpvar_60 = lessThan (shadowVals_59, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_61;
  tmpvar_61 = _LightShadowData.xxxx;
  float tmpvar_62;
  if (tmpvar_60.x) {
    tmpvar_62 = tmpvar_61.x;
  } else {
    tmpvar_62 = 1.0;
  };
  float tmpvar_63;
  if (tmpvar_60.y) {
    tmpvar_63 = tmpvar_61.y;
  } else {
    tmpvar_63 = 1.0;
  };
  float tmpvar_64;
  if (tmpvar_60.z) {
    tmpvar_64 = tmpvar_61.z;
  } else {
    tmpvar_64 = 1.0;
  };
  float tmpvar_65;
  if (tmpvar_60.w) {
    tmpvar_65 = tmpvar_61.w;
  } else {
    tmpvar_65 = 1.0;
  };
  vec4 tmpvar_66;
  tmpvar_66.x = tmpvar_62;
  tmpvar_66.y = tmpvar_63;
  tmpvar_66.z = tmpvar_64;
  tmpvar_66.w = tmpvar_65;
  float atten_67;
  atten_67 = ((tmpvar_57.w * tmpvar_58.w) * dot (tmpvar_66, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_68;
  vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_70;
  tmpvar_70 = normalize(xlv_TEXCOORD4);
  float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  c_68.xyz = ((((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_69 + normalize(xlv_TEXCOORD8))), tmpvar_70), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_67 * 4.0));
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  float tmpvar_72;
  tmpvar_72 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_6.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_6.w = 1.0;
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedgeciikmdgjlilikcjcdinokbkadgbngnabaaaaaahiaiaaaaadaaaaaa
cmaaaaaapeaaaaaaamacaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheobaabaaaaakaaaaaa
aiaaaaaapiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaaeabaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaaeabaaaaahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaaaeabaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcgeagaaaaeaaaabaajjabaaaafjaaaaae
egiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaacaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaa
fpaaaaaddcbabaaaadaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaa
gfaaaaadhccabaaaadaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaad
hccabaaaahaaaaaagfaaaaadhccabaaaaiaaaaaagiaaaaacacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaaaaaaaaajhccabaaaaeaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
acaaaaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaelaaaaaficcabaaaacaaaaaaakaabaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaiaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaaaeaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaagaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaahaaaaaaegiccaaaaaaaaaaa
biaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  mediump vec4 shadows_90;
  highp vec4 shadowVals_91;
  highp float tmpvar_92;
  tmpvar_92 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_93;
  vec_93 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_94;
  lowp vec4 tmpvar_95;
  tmpvar_95 = textureCube (_ShadowMapTexture, vec_93);
  packDist_94 = tmpvar_95;
  shadowVals_91.x = dot (packDist_94, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_96;
  vec_96 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, vec_96);
  packDist_97 = tmpvar_98;
  shadowVals_91.y = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_99;
  vec_99 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_100;
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_ShadowMapTexture, vec_99);
  packDist_100 = tmpvar_101;
  shadowVals_91.z = dot (packDist_100, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_102;
  vec_102 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, vec_102);
  packDist_103 = tmpvar_104;
  shadowVals_91.w = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_105;
  tmpvar_105 = lessThan (shadowVals_91, vec4(tmpvar_92));
  highp vec4 tmpvar_106;
  tmpvar_106 = _LightShadowData.xxxx;
  highp float tmpvar_107;
  if (tmpvar_105.x) {
    tmpvar_107 = tmpvar_106.x;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_105.y) {
    tmpvar_108 = tmpvar_106.y;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_105.z) {
    tmpvar_109 = tmpvar_106.z;
  } else {
    tmpvar_109 = 1.0;
  };
  highp float tmpvar_110;
  if (tmpvar_105.w) {
    tmpvar_110 = tmpvar_106.w;
  } else {
    tmpvar_110 = 1.0;
  };
  highp vec4 tmpvar_111;
  tmpvar_111.x = tmpvar_107;
  tmpvar_111.y = tmpvar_108;
  tmpvar_111.z = tmpvar_109;
  tmpvar_111.w = tmpvar_110;
  shadows_90 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (shadows_90, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_89 = tmpvar_112;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_85;
  mediump vec3 viewDir_114;
  viewDir_114 = xlv_TEXCOORD8;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float atten_116;
  atten_116 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_89);
  mediump vec4 c_117;
  highp float nh_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(lightDir_113);
  lightDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(viewDir_114);
  viewDir_114 = tmpvar_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(normal_115);
  normal_115 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (tmpvar_121, tmpvar_119);
  mediump float tmpvar_123;
  tmpvar_123 = clamp (dot (normalize((tmpvar_119 + tmpvar_120)), tmpvar_121), 0.0, 1.0);
  nh_118 = tmpvar_123;
  highp vec3 tmpvar_124;
  tmpvar_124 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_122) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_118, _SpecularPower) * _SpecularColor.w))) * (atten_116 * 4.0));
  c_117.xyz = tmpvar_124;
  c_117.w = (tmpvar_122 * (atten_116 * 4.0));
  highp vec3 tmpvar_125;
  tmpvar_125 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_126;
  lightDir_126 = tmpvar_125;
  mediump vec3 normal_127;
  normal_127 = xlv_TEXCOORD4;
  mediump float tmpvar_128;
  tmpvar_128 = dot (normal_127, lightDir_126);
  color_9.xyz = (c_117 * mix (1.0, clamp (floor((1.01 + tmpvar_128)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_128)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 detail_7;
  mediump float vertLerp_8;
  mediump vec4 color_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_12;
  highp float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    highp float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    highp float s_15;
    highp float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  highp vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  highp vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  lowp vec4 tmpvar_19;
  tmpvar_19 = texture2DGradEXT (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  tex_10 = tmpvar_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_21;
  tmpvar_21 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_20)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_8 = tmpvar_21;
  mediump vec4 tex_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_24;
  mediump float s_25;
  mediump float nylerp_26;
  mediump float zxlerp_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_23);
  highp float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  zxlerp_27 = tmpvar_29;
  highp float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  nylerp_26 = tmpvar_30;
  highp float tmpvar_31;
  tmpvar_31 = mix (tmpvar_23.x, tmpvar_23.z, zxlerp_27);
  s_25 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = sign(mix (tmpvar_23.y, s_25, nylerp_26));
  s_25 = tmpvar_32;
  mediump vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = -(s_25);
  mediump vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = s_25;
  mediump vec3 tmpvar_35;
  tmpvar_35.xy = vec2(1.0, 1.0);
  tmpvar_35.z = -(s_25);
  highp vec3 tmpvar_36;
  tmpvar_36 = mix ((tmpvar_35 * tmpvar_23.yxz), mix ((tmpvar_33 * tmpvar_23.xzy), (tmpvar_34 * tmpvar_23.zxy), vec3(zxlerp_27)), vec3(nylerp_26));
  uv_24.x = (((0.5 * tmpvar_36.y) / abs(tmpvar_36.x)) + 0.5);
  uv_24.y = (((0.5 * tmpvar_36.z) / abs(tmpvar_36.x)) + 0.5);
  highp vec2 tmpvar_37;
  tmpvar_37 = (uv_24 * _DetailScale);
  highp vec2 tmpvar_38;
  tmpvar_38 = abs((tmpvar_37 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_39;
  tmpvar_39.xy = dFdx(tmpvar_38);
  tmpvar_39.zw = dFdy(tmpvar_38);
  lowp vec4 tmpvar_40;
  tmpvar_40 = texture2DGradEXT (_midTex, tmpvar_37, tmpvar_39.xy, tmpvar_39.zw);
  tex_22 = tmpvar_40;
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailVertScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_steepTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  detail_7 = mix (tex_41, tex_22, vec4(vertLerp_8));
  mediump vec4 tex_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_62;
  highp float r_63;
  if ((abs(tmpvar_61.z) > (1e-08 * abs(tmpvar_61.x)))) {
    highp float y_over_x_64;
    y_over_x_64 = (tmpvar_61.x / tmpvar_61.z);
    highp float s_65;
    highp float x_66;
    x_66 = (y_over_x_64 * inversesqrt(((y_over_x_64 * y_over_x_64) + 1.0)));
    s_65 = (sign(x_66) * (1.5708 - (sqrt((1.0 - abs(x_66))) * (1.5708 + (abs(x_66) * (-0.214602 + (abs(x_66) * (0.0865667 + (abs(x_66) * -0.0310296)))))))));
    r_63 = s_65;
    if ((tmpvar_61.z < 0.0)) {
      if ((tmpvar_61.x >= 0.0)) {
        r_63 = (s_65 + 3.14159);
      } else {
        r_63 = (r_63 - 3.14159);
      };
    };
  } else {
    r_63 = (sign(tmpvar_61.x) * 1.5708);
  };
  uv_62.x = (0.5 + (0.159155 * r_63));
  uv_62.y = (0.31831 * (1.5708 - (sign(tmpvar_61.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_61.y))) * (1.5708 + (abs(tmpvar_61.y) * (-0.214602 + (abs(tmpvar_61.y) * (0.0865667 + (abs(tmpvar_61.y) * -0.0310296)))))))))));
  highp vec2 uvCont_67;
  uvCont_67.y = uv_62.y;
  uvCont_67.x = abs((uv_62.x - 0.5));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(uvCont_67);
  tmpvar_68.zw = dFdy(uvCont_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_BumpMap, uv_62, tmpvar_68.xy, tmpvar_68.zw);
  tex_60 = tmpvar_69;
  mediump vec2 tmpvar_70;
  tmpvar_70 = tex_60.wy;
  localCoords_6 = tmpvar_70;
  highp vec2 tmpvar_71;
  tmpvar_71 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_71.y;
  localCoords_6.x = (tmpvar_71.x * 0.5);
  highp float r_72;
  if ((abs(tmpvar_20.z) > (1e-08 * abs(tmpvar_20.x)))) {
    highp float y_over_x_73;
    y_over_x_73 = (tmpvar_20.x / tmpvar_20.z);
    float s_74;
    highp float x_75;
    x_75 = (y_over_x_73 * inversesqrt(((y_over_x_73 * y_over_x_73) + 1.0)));
    s_74 = (sign(x_75) * (1.5708 - (sqrt((1.0 - abs(x_75))) * (1.5708 + (abs(x_75) * (-0.214602 + (abs(x_75) * (0.0865667 + (abs(x_75) * -0.0310296)))))))));
    r_72 = s_74;
    if ((tmpvar_20.z < 0.0)) {
      if ((tmpvar_20.x >= 0.0)) {
        r_72 = (s_74 + 3.14159);
      } else {
        r_72 = (r_72 - 3.14159);
      };
    };
  } else {
    r_72 = (sign(tmpvar_20.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_72));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_20.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_20.y))) * (1.5708 + (abs(tmpvar_20.y) * (-0.214602 + (abs(tmpvar_20.y) * (0.0865667 + (abs(tmpvar_20.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = cos((6.28319 * tmpvar_76.x));
  norm_4.z = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = sin((6.28319 * tmpvar_76.x));
  norm_4.x = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((3.14159 * tmpvar_76.y));
  norm_4.y = tmpvar_79;
  norm_4 = -(norm_4);
  highp float tmpvar_80;
  tmpvar_80 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_80;
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_82;
  tmpvar_82 = (xlv_TEXCOORD0 + (0.75 * tmpvar_81));
  color_9 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_83;
  mediump vec4 tmpvar_84;
  tmpvar_84 = (mix (color_9, tex_10, vec4(handoff_2)) * _Color);
  color_9 = tmpvar_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_86;
  tmpvar_86 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_87;
  tmpvar_87 = texture2D (_LightTextureB0, vec2(tmpvar_86));
  lowp vec4 tmpvar_88;
  tmpvar_88 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_89;
  mediump vec4 shadows_90;
  highp vec4 shadowVals_91;
  highp float tmpvar_92;
  tmpvar_92 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_93;
  vec_93 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_94;
  lowp vec4 tmpvar_95;
  tmpvar_95 = textureCube (_ShadowMapTexture, vec_93);
  packDist_94 = tmpvar_95;
  shadowVals_91.x = dot (packDist_94, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_96;
  vec_96 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, vec_96);
  packDist_97 = tmpvar_98;
  shadowVals_91.y = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_99;
  vec_99 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_100;
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_ShadowMapTexture, vec_99);
  packDist_100 = tmpvar_101;
  shadowVals_91.z = dot (packDist_100, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_102;
  vec_102 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, vec_102);
  packDist_103 = tmpvar_104;
  shadowVals_91.w = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_105;
  tmpvar_105 = lessThan (shadowVals_91, vec4(tmpvar_92));
  highp vec4 tmpvar_106;
  tmpvar_106 = _LightShadowData.xxxx;
  highp float tmpvar_107;
  if (tmpvar_105.x) {
    tmpvar_107 = tmpvar_106.x;
  } else {
    tmpvar_107 = 1.0;
  };
  highp float tmpvar_108;
  if (tmpvar_105.y) {
    tmpvar_108 = tmpvar_106.y;
  } else {
    tmpvar_108 = 1.0;
  };
  highp float tmpvar_109;
  if (tmpvar_105.z) {
    tmpvar_109 = tmpvar_106.z;
  } else {
    tmpvar_109 = 1.0;
  };
  highp float tmpvar_110;
  if (tmpvar_105.w) {
    tmpvar_110 = tmpvar_106.w;
  } else {
    tmpvar_110 = 1.0;
  };
  highp vec4 tmpvar_111;
  tmpvar_111.x = tmpvar_107;
  tmpvar_111.y = tmpvar_108;
  tmpvar_111.z = tmpvar_109;
  tmpvar_111.w = tmpvar_110;
  shadows_90 = tmpvar_111;
  mediump float tmpvar_112;
  tmpvar_112 = dot (shadows_90, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_89 = tmpvar_112;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_85;
  mediump vec3 viewDir_114;
  viewDir_114 = xlv_TEXCOORD8;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float atten_116;
  atten_116 = ((tmpvar_87.w * tmpvar_88.w) * tmpvar_89);
  mediump vec4 c_117;
  highp float nh_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(lightDir_113);
  lightDir_113 = tmpvar_119;
  mediump vec3 tmpvar_120;
  tmpvar_120 = normalize(viewDir_114);
  viewDir_114 = tmpvar_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(normal_115);
  normal_115 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (tmpvar_121, tmpvar_119);
  mediump float tmpvar_123;
  tmpvar_123 = clamp (dot (normalize((tmpvar_119 + tmpvar_120)), tmpvar_121), 0.0, 1.0);
  nh_118 = tmpvar_123;
  highp vec3 tmpvar_124;
  tmpvar_124 = ((((tmpvar_84.xyz * _LightColor0.xyz) * tmpvar_122) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_118, _SpecularPower) * _SpecularColor.w))) * (atten_116 * 4.0));
  c_117.xyz = tmpvar_124;
  c_117.w = (tmpvar_122 * (atten_116 * 4.0));
  highp vec3 tmpvar_125;
  tmpvar_125 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_126;
  lightDir_126 = tmpvar_125;
  mediump vec3 normal_127;
  normal_127 = xlv_TEXCOORD4;
  mediump float tmpvar_128;
  tmpvar_128 = dot (normal_127, lightDir_126);
  color_9.xyz = (c_117 * mix (1.0, clamp (floor((1.01 + tmpvar_128)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_128)), 0.0, 1.0))).xyz;
  color_9.w = 1.0;
  tmpvar_1 = color_9;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 651
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 667
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 671
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 675
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 679
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    #line 683
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    #line 687
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedlnkgieihfikfkkphgmkfldmhdffajnjoabaaaaaacaaiaaaaadaaaaaa
cmaaaaaapeaaaaaapeabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheopiaaaaaaajaaaaaa
aiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaomaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaomaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaomaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcceagaaaaeaaaabaa
ijabaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaa
afaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaadhccabaaaahaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaahaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaa
acaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaa
anaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaa
dgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaa
egacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaa
aaaaaaaafgbfbaaaacaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaacaaaaaa
egacbaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaagaaaaaa
egiccaaaaaaaaaaabiaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = tmpvar_95.w;
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  highp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = tmpvar_95.w;
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  highp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 659
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 663
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 667
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 671
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD4);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD8))), tmpvar_63), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * 4.0);
  c_61.w = (tmpvar_64 * 4.0);
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_66;
  arg0_66 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_61 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_66, arg0_66)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 20 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_94);
  lightDir_94 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_95);
  viewDir_95 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_96);
  normal_96 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * specColor_2.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  highp vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_110;
  tmpvar_110 = clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_97 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_110)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 viewDir_95;
  viewDir_95 = xlv_TEXCOORD8;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD4;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_94);
  lightDir_94 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_95);
  viewDir_95 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normal_96);
  normal_96 = tmpvar_101;
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * specColor_2.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD4;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  highp vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_110;
  tmpvar_110 = clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_97 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_110)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 611
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 615
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 619
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 623
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 627
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 599
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 611
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 629
lowp vec4 frag( in v2f IN ) {
    #line 631
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 635
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 639
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 643
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 647
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 651
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 655
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 659
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 663
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 671
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_93;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD8;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float atten_101;
  atten_101 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w);
  mediump vec4 c_102;
  highp float nh_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(lightDir_98);
  lightDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(viewDir_99);
  viewDir_99 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(normal_100);
  normal_100 = tmpvar_106;
  mediump float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_104);
  mediump float tmpvar_108;
  tmpvar_108 = clamp (dot (normalize((tmpvar_104 + tmpvar_105)), tmpvar_106), 0.0, 1.0);
  nh_103 = tmpvar_108;
  highp vec3 tmpvar_109;
  tmpvar_109 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_103, _SpecularPower) * specColor_2.w))) * (atten_101 * 4.0));
  c_102.xyz = tmpvar_109;
  c_102.w = (tmpvar_107 * (atten_101 * 4.0));
  highp vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_110;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float tmpvar_113;
  tmpvar_113 = dot (normal_112, lightDir_111);
  highp vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_115;
  tmpvar_115 = clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_115)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_93;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD8;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float atten_101;
  atten_101 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w);
  mediump vec4 c_102;
  highp float nh_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(lightDir_98);
  lightDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(viewDir_99);
  viewDir_99 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(normal_100);
  normal_100 = tmpvar_106;
  mediump float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_104);
  mediump float tmpvar_108;
  tmpvar_108 = clamp (dot (normalize((tmpvar_104 + tmpvar_105)), tmpvar_106), 0.0, 1.0);
  nh_103 = tmpvar_108;
  highp vec3 tmpvar_109;
  tmpvar_109 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_103, _SpecularPower) * specColor_2.w))) * (atten_101 * 4.0));
  c_102.xyz = tmpvar_109;
  c_102.w = (tmpvar_107 * (atten_101 * 4.0));
  highp vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_110;
  mediump vec3 normal_112;
  normal_112 = xlv_TEXCOORD4;
  mediump float tmpvar_113;
  tmpvar_113 = dot (normal_112, lightDir_111);
  highp vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_115;
  tmpvar_115 = clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_115)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 652
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 656
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 660
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 664
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 668
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 672
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 676
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 680
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 684
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_93;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD8;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float atten_100;
  atten_100 = (tmpvar_95.w * tmpvar_96.w);
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_97);
  lightDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_98);
  viewDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normal_99);
  normal_99 = tmpvar_105;
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * specColor_2.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  highp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD4;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  highp vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_114;
  tmpvar_114 = clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_114)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_93;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD8;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD4;
  mediump float atten_100;
  atten_100 = (tmpvar_95.w * tmpvar_96.w);
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_97);
  lightDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_98);
  viewDir_98 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normal_99);
  normal_99 = tmpvar_105;
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * specColor_2.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  highp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD4;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  highp vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_114;
  tmpvar_114 = clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_114)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 632
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 592
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 615
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 644
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 648
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 652
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 656
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 660
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 664
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 668
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 672
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 676
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94.w;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94.w;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 614
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 618
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 622
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 626
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 614
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 643
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 647
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 651
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 655
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 659
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 663
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 667
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 671
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 675
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_62;
  tmpvar_62 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_64;
  if ((tmpvar_63.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_64 = _LightShadowData.x;
  } else {
    tmpvar_64 = 1.0;
  };
  float atten_65;
  atten_65 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_61.w) * tmpvar_62.w) * tmpvar_64);
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD4);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD8))), tmpvar_68), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_65 * 4.0));
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_71;
  arg0_71 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_66 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_71, arg0_71)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedmoagiapebmlegfnbkkhidhmbaifndnpeabaaaaaaomaiaaaaadaaaaaa
cmaaaaaapeaaaaaaamacaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheobaabaaaaakaaaaaa
aiaaaaaapiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaaeabaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaaeabaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapaaaaaaaeabaaaa
aeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaaeabaaaaagaaaaaaaaaaaaaa
adaaaaaaafaaaaaaaiahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaaeabaaaaahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaaaeabaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcniagaaaaeaaaabaalgabaaaafjaaaaae
egiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaamaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaa
fpaaaaaddcbabaaaadaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaa
gfaaaaadpccabaaaadaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaa
afaaaaaagfaaaaadiccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaad
hccabaaaahaaaaaagfaaaaadhccabaaaaiaaaaaagiaaaaacacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
aaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaa
elaaaaaficcabaaaacaaaaaadkaabaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhccabaaaaiaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaaipcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaapaaaaaa
pgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaa
aaaaaaaaegiocaaaaaaaaaaaacaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
aaaaaaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaeaaaaaapgapbaaaaaaaaaaa
egaobaaaabaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaa
acaaaaaaajaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaacaaaaaaaiaaaaaa
agaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
acaaaaaaakaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaa
aeaaaaaaegiocaaaacaaaaaaalaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaacaaaaaaegiccaaaadaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaacaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaa
kgbkbaaaacaaaaaaegacbaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaafaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaaj
bcaabaaaaaaaaaaaegiccaaaaaaaaaaabfaaaaaaegiccaaaaaaaaaaabfaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegiccaaaaaaaaaaabfaaaaaadgaaaaafdcaabaaaabaaaaaa
egbabaaaadaaaaaadgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaai
bcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaag
hccabaaaagaaaaaaegacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
iccabaaaafaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
aaaaaaakhccabaaaahaaaaaaegiccaaaaaaaaaaabiaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 630
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 634
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 638
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 642
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 646
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 606
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 630
#line 650
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 650
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 654
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 658
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 662
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 666
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 670
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 674
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 678
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 682
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 686
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 690
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump float shadow_99;
  lowp float tmpvar_100;
  tmpvar_100 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = (_LightShadowData.x + (shadow_99 * (1.0 - _LightShadowData.x)));
  shadow_99 = tmpvar_101;
  tmpvar_98 = shadow_99;
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 639
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 643
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 647
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 617
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 607
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 631
#line 651
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 651
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 655
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 659
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 663
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 667
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 671
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 675
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 679
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 683
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 687
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 691
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (tmpvar_61.x * 4.0));
  c_62.w = (tmpvar_65 * (tmpvar_61.x * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_94;
  mediump float lightShadowDataX_95;
  highp float dist_96;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_96 = tmpvar_97;
  highp float tmpvar_98;
  tmpvar_98 = _LightShadowData.x;
  lightShadowDataX_95 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = max (float((dist_96 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_95);
  tmpvar_94 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = tmpvar_93;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD8;
  mediump vec3 normal_102;
  normal_102 = xlv_TEXCOORD4;
  mediump float atten_103;
  atten_103 = tmpvar_94;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_100);
  lightDir_100 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_101);
  viewDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normal_102);
  normal_102 = tmpvar_108;
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * specColor_2.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD4;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  highp vec3 arg0_116;
  arg0_116 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_117;
  tmpvar_117 = clamp (((sqrt(dot (arg0_116, arg0_116)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_117)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_94;
  tmpvar_94 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_93;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD8;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float atten_98;
  atten_98 = tmpvar_94;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_95);
  lightDir_95 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_96);
  viewDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normal_97);
  normal_97 = tmpvar_103;
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * specColor_2.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD4;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  highp vec3 arg0_111;
  arg0_111 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_112;
  tmpvar_112 = clamp (((sqrt(dot (arg0_111, arg0_111)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_112)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 628
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 632
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 637
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 620
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    #line 649
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    #line 653
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    #line 657
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    #line 661
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    #line 665
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    #line 669
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    #line 673
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 677
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    #line 681
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_61;
  atten_61 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD4);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD8))), tmpvar_64), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_61 * 4.0));
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_67;
  arg0_67 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_62 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_67, arg0_67)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_94.w * tmpvar_95);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  lowp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_93;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD8;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float atten_99;
  atten_99 = (tmpvar_94.w * tmpvar_95.x);
  mediump vec4 c_100;
  highp float nh_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(lightDir_96);
  lightDir_96 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(viewDir_97);
  viewDir_97 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(normal_98);
  normal_98 = tmpvar_104;
  mediump float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_102);
  mediump float tmpvar_106;
  tmpvar_106 = clamp (dot (normalize((tmpvar_102 + tmpvar_103)), tmpvar_104), 0.0, 1.0);
  nh_101 = tmpvar_106;
  highp vec3 tmpvar_107;
  tmpvar_107 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_101, _SpecularPower) * specColor_2.w))) * (atten_99 * 4.0));
  c_100.xyz = tmpvar_107;
  c_100.w = (tmpvar_105 * (atten_99 * 4.0));
  lowp vec3 tmpvar_108;
  tmpvar_108 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_109;
  lightDir_109 = tmpvar_108;
  mediump vec3 normal_110;
  normal_110 = xlv_TEXCOORD4;
  mediump float tmpvar_111;
  tmpvar_111 = dot (normal_110, lightDir_109);
  highp vec3 arg0_112;
  arg0_112 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_113;
  tmpvar_113 = clamp (((sqrt(dot (arg0_112, arg0_112)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_100 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_111)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_111)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_113)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 631
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 635
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 639
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 623
#line 643
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 647
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 651
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 655
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 659
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 663
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 667
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 671
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 675
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 679
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    #line 683
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_62;
  tmpvar_62 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_63;
  tmpvar_63 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_64;
  if ((tmpvar_63 < tmpvar_62)) {
    tmpvar_64 = _LightShadowData.x;
  } else {
    tmpvar_64 = 1.0;
  };
  float atten_65;
  atten_65 = (tmpvar_61.w * tmpvar_64);
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD4);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD8))), tmpvar_68), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_65 * 4.0));
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_71;
  arg0_71 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_66 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_71, arg0_71)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_100;
  if ((tmpvar_99 < tmpvar_96)) {
    tmpvar_100 = _LightShadowData.x;
  } else {
    tmpvar_100 = 1.0;
  };
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_95.w * tmpvar_100);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_97;
  lowp vec4 tmpvar_98;
  tmpvar_98 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (packDist_97, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_100;
  if ((tmpvar_99 < tmpvar_96)) {
    tmpvar_100 = _LightShadowData.x;
  } else {
    tmpvar_100 = 1.0;
  };
  mediump vec3 lightDir_101;
  lightDir_101 = tmpvar_93;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD8;
  mediump vec3 normal_103;
  normal_103 = xlv_TEXCOORD4;
  mediump float atten_104;
  atten_104 = (tmpvar_95.w * tmpvar_100);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_101);
  lightDir_101 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_102);
  viewDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normal_103);
  normal_103 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * specColor_2.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD4;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  highp vec3 arg0_117;
  arg0_117 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_118;
  tmpvar_118 = clamp (((sqrt(dot (arg0_117, arg0_117)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_118)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 636
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 640
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 644
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 628
#line 648
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 648
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 652
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 656
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 660
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 664
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 668
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 672
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 676
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 680
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 684
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    #line 688
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_62;
  tmpvar_62 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_63;
  tmpvar_63 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_64;
  tmpvar_64 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_65;
  if ((tmpvar_64 < tmpvar_63)) {
    tmpvar_65 = _LightShadowData.x;
  } else {
    tmpvar_65 = 1.0;
  };
  float atten_66;
  atten_66 = ((tmpvar_61.w * tmpvar_62.w) * tmpvar_65);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(xlv_TEXCOORD4);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD8))), tmpvar_69), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_66 * 4.0));
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_72;
  arg0_72 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_67 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_72, arg0_72)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  tmpvar_97 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_98;
  lowp vec4 tmpvar_99;
  tmpvar_99 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_98 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = dot (packDist_98, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_101;
  if ((tmpvar_100 < tmpvar_97)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_101);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  tmpvar_97 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_98;
  lowp vec4 tmpvar_99;
  tmpvar_99 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_98 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = dot (packDist_98, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_101;
  if ((tmpvar_100 < tmpvar_97)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  mediump vec3 lightDir_102;
  lightDir_102 = tmpvar_93;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD8;
  mediump vec3 normal_104;
  normal_104 = xlv_TEXCOORD4;
  mediump float atten_105;
  atten_105 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_101);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_102);
  lightDir_102 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_103);
  viewDir_103 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normal_104);
  normal_104 = tmpvar_110;
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * specColor_2.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD4;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  highp vec3 arg0_118;
  arg0_118 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_119;
  tmpvar_119 = clamp (((sqrt(dot (arg0_118, arg0_118)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_119)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 629
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 633
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 637
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 641
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 645
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 629
#line 649
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 649
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 653
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 657
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 661
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 665
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 669
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 673
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 677
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 681
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 685
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    #line 689
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_62;
  tmpvar_62 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_63;
  vec3 tmpvar_64;
  tmpvar_64 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_63.x = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_63.y = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_63.z = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_63.w = texture2D (_ShadowMapTexture, (tmpvar_64.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_63, tmpvar_64.zzzz);
  vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  float atten_72;
  atten_72 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_61.w) * tmpvar_62.w) * dot (tmpvar_71, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_73;
  vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD4);
  float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  c_73.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_76) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_74 + normalize(xlv_TEXCOORD8))), tmpvar_75), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_72 * 4.0));
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  float tmpvar_77;
  tmpvar_77 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_78;
  arg0_78 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_73 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_78, arg0_78)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec4 shadowVals_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_102;
  P_102 = (tmpvar_101.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_103;
  tmpvar_103 = texture2D (_ShadowMapTexture, P_102).x;
  shadowVals_100.x = tmpvar_103;
  highp vec2 P_104;
  P_104 = (tmpvar_101.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_105;
  tmpvar_105 = texture2D (_ShadowMapTexture, P_104).x;
  shadowVals_100.y = tmpvar_105;
  highp vec2 P_106;
  P_106 = (tmpvar_101.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_107;
  tmpvar_107 = texture2D (_ShadowMapTexture, P_106).x;
  shadowVals_100.z = tmpvar_107;
  highp vec2 P_108;
  P_108 = (tmpvar_101.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_109;
  tmpvar_109 = texture2D (_ShadowMapTexture, P_108).x;
  shadowVals_100.w = tmpvar_109;
  bvec4 tmpvar_110;
  tmpvar_110 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  highp vec4 tmpvar_111;
  tmpvar_111 = _LightShadowData.xxxx;
  highp float tmpvar_112;
  if (tmpvar_110.x) {
    tmpvar_112 = tmpvar_111.x;
  } else {
    tmpvar_112 = 1.0;
  };
  highp float tmpvar_113;
  if (tmpvar_110.y) {
    tmpvar_113 = tmpvar_111.y;
  } else {
    tmpvar_113 = 1.0;
  };
  highp float tmpvar_114;
  if (tmpvar_110.z) {
    tmpvar_114 = tmpvar_111.z;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_110.w) {
    tmpvar_115 = tmpvar_111.w;
  } else {
    tmpvar_115 = 1.0;
  };
  highp vec4 tmpvar_116;
  tmpvar_116.x = tmpvar_112;
  tmpvar_116.y = tmpvar_113;
  tmpvar_116.z = tmpvar_114;
  tmpvar_116.w = tmpvar_115;
  shadows_99 = tmpvar_116;
  mediump float tmpvar_117;
  tmpvar_117 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_117;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_93;
  mediump vec3 viewDir_119;
  viewDir_119 = xlv_TEXCOORD8;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD4;
  mediump float atten_121;
  atten_121 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_122;
  highp float nh_123;
  mediump vec3 tmpvar_124;
  tmpvar_124 = normalize(lightDir_118);
  lightDir_118 = tmpvar_124;
  mediump vec3 tmpvar_125;
  tmpvar_125 = normalize(viewDir_119);
  viewDir_119 = tmpvar_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(normal_120);
  normal_120 = tmpvar_126;
  mediump float tmpvar_127;
  tmpvar_127 = dot (tmpvar_126, tmpvar_124);
  mediump float tmpvar_128;
  tmpvar_128 = clamp (dot (normalize((tmpvar_124 + tmpvar_125)), tmpvar_126), 0.0, 1.0);
  nh_123 = tmpvar_128;
  highp vec3 tmpvar_129;
  tmpvar_129 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_127) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_123, _SpecularPower) * specColor_2.w))) * (atten_121 * 4.0));
  c_122.xyz = tmpvar_129;
  c_122.w = (tmpvar_127 * (atten_121 * 4.0));
  highp vec3 tmpvar_130;
  tmpvar_130 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_131;
  lightDir_131 = tmpvar_130;
  mediump vec3 normal_132;
  normal_132 = xlv_TEXCOORD4;
  mediump float tmpvar_133;
  tmpvar_133 = dot (normal_132, lightDir_131);
  highp vec3 arg0_134;
  arg0_134 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_135;
  tmpvar_135 = clamp (((sqrt(dot (arg0_134, arg0_134)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_122 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_133)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_133)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_135)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec4 shadowVals_100;
  highp vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_102;
  P_102 = (tmpvar_101.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_103;
  tmpvar_103 = texture2D (_ShadowMapTexture, P_102).x;
  shadowVals_100.x = tmpvar_103;
  highp vec2 P_104;
  P_104 = (tmpvar_101.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_105;
  tmpvar_105 = texture2D (_ShadowMapTexture, P_104).x;
  shadowVals_100.y = tmpvar_105;
  highp vec2 P_106;
  P_106 = (tmpvar_101.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_107;
  tmpvar_107 = texture2D (_ShadowMapTexture, P_106).x;
  shadowVals_100.z = tmpvar_107;
  highp vec2 P_108;
  P_108 = (tmpvar_101.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_109;
  tmpvar_109 = texture2D (_ShadowMapTexture, P_108).x;
  shadowVals_100.w = tmpvar_109;
  bvec4 tmpvar_110;
  tmpvar_110 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  highp vec4 tmpvar_111;
  tmpvar_111 = _LightShadowData.xxxx;
  highp float tmpvar_112;
  if (tmpvar_110.x) {
    tmpvar_112 = tmpvar_111.x;
  } else {
    tmpvar_112 = 1.0;
  };
  highp float tmpvar_113;
  if (tmpvar_110.y) {
    tmpvar_113 = tmpvar_111.y;
  } else {
    tmpvar_113 = 1.0;
  };
  highp float tmpvar_114;
  if (tmpvar_110.z) {
    tmpvar_114 = tmpvar_111.z;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_110.w) {
    tmpvar_115 = tmpvar_111.w;
  } else {
    tmpvar_115 = 1.0;
  };
  highp vec4 tmpvar_116;
  tmpvar_116.x = tmpvar_112;
  tmpvar_116.y = tmpvar_113;
  tmpvar_116.z = tmpvar_114;
  tmpvar_116.w = tmpvar_115;
  shadows_99 = tmpvar_116;
  mediump float tmpvar_117;
  tmpvar_117 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_117;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_93;
  mediump vec3 viewDir_119;
  viewDir_119 = xlv_TEXCOORD8;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD4;
  mediump float atten_121;
  atten_121 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_122;
  highp float nh_123;
  mediump vec3 tmpvar_124;
  tmpvar_124 = normalize(lightDir_118);
  lightDir_118 = tmpvar_124;
  mediump vec3 tmpvar_125;
  tmpvar_125 = normalize(viewDir_119);
  viewDir_119 = tmpvar_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(normal_120);
  normal_120 = tmpvar_126;
  mediump float tmpvar_127;
  tmpvar_127 = dot (tmpvar_126, tmpvar_124);
  mediump float tmpvar_128;
  tmpvar_128 = clamp (dot (normalize((tmpvar_124 + tmpvar_125)), tmpvar_126), 0.0, 1.0);
  nh_123 = tmpvar_128;
  highp vec3 tmpvar_129;
  tmpvar_129 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_127) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_123, _SpecularPower) * specColor_2.w))) * (atten_121 * 4.0));
  c_122.xyz = tmpvar_129;
  c_122.w = (tmpvar_127 * (atten_121 * 4.0));
  highp vec3 tmpvar_130;
  tmpvar_130 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_131;
  lightDir_131 = tmpvar_130;
  mediump vec3 normal_132;
  normal_132 = xlv_TEXCOORD4;
  mediump float tmpvar_133;
  tmpvar_133 = dot (normal_132, lightDir_131);
  highp vec3 arg0_134;
  arg0_134 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_135;
  tmpvar_135 = clamp (((sqrt(dot (arg0_134, arg0_134)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_122 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_133)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_133)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_135)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 686
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 690
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 694
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 698
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 shadows_61;
  vec3 tmpvar_62;
  tmpvar_62 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_61.x = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[0].xyz)).x;
  shadows_61.y = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[1].xyz)).x;
  shadows_61.z = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[2].xyz)).x;
  shadows_61.w = shadow2D (_ShadowMapTexture, (tmpvar_62 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_63;
  tmpvar_63 = (_LightShadowData.xxxx + (shadows_61 * (1.0 - _LightShadowData.xxxx)));
  shadows_61 = tmpvar_63;
  float atten_64;
  atten_64 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_63, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD4);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD8))), tmpvar_67), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_64 * 4.0));
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_70;
  arg0_70 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_65 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_70, arg0_70)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 22 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_94;
  highp vec2 P_95;
  P_95 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_94 = texture2D (_LightTexture0, P_95);
  highp float tmpvar_96;
  tmpvar_96 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_97;
  tmpvar_97 = texture2D (_LightTextureB0, vec2(tmpvar_96));
  lowp float tmpvar_98;
  mediump vec4 shadows_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_101;
  coord_101 = (tmpvar_100 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, coord_101);
  shadows_99.x = tmpvar_102;
  highp vec3 coord_103;
  coord_103 = (tmpvar_100 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, coord_103);
  shadows_99.y = tmpvar_104;
  highp vec3 coord_105;
  coord_105 = (tmpvar_100 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_106;
  tmpvar_106 = shadow2DEXT (_ShadowMapTexture, coord_105);
  shadows_99.z = tmpvar_106;
  highp vec3 coord_107;
  coord_107 = (tmpvar_100 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_108;
  tmpvar_108 = shadow2DEXT (_ShadowMapTexture, coord_107);
  shadows_99.w = tmpvar_108;
  highp vec4 tmpvar_109;
  tmpvar_109 = (_LightShadowData.xxxx + (shadows_99 * (1.0 - _LightShadowData.xxxx)));
  shadows_99 = tmpvar_109;
  mediump float tmpvar_110;
  tmpvar_110 = dot (shadows_99, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_98 = tmpvar_110;
  mediump vec3 lightDir_111;
  lightDir_111 = tmpvar_93;
  mediump vec3 viewDir_112;
  viewDir_112 = xlv_TEXCOORD8;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD4;
  mediump float atten_114;
  atten_114 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_97.w) * tmpvar_98);
  mediump vec4 c_115;
  highp float nh_116;
  mediump vec3 tmpvar_117;
  tmpvar_117 = normalize(lightDir_111);
  lightDir_111 = tmpvar_117;
  mediump vec3 tmpvar_118;
  tmpvar_118 = normalize(viewDir_112);
  viewDir_112 = tmpvar_118;
  mediump vec3 tmpvar_119;
  tmpvar_119 = normalize(normal_113);
  normal_113 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (tmpvar_119, tmpvar_117);
  mediump float tmpvar_121;
  tmpvar_121 = clamp (dot (normalize((tmpvar_117 + tmpvar_118)), tmpvar_119), 0.0, 1.0);
  nh_116 = tmpvar_121;
  highp vec3 tmpvar_122;
  tmpvar_122 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_120) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_116, _SpecularPower) * specColor_2.w))) * (atten_114 * 4.0));
  c_115.xyz = tmpvar_122;
  c_115.w = (tmpvar_120 * (atten_114 * 4.0));
  highp vec3 tmpvar_123;
  tmpvar_123 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_124;
  lightDir_124 = tmpvar_123;
  mediump vec3 normal_125;
  normal_125 = xlv_TEXCOORD4;
  mediump float tmpvar_126;
  tmpvar_126 = dot (normal_125, lightDir_124);
  highp vec3 arg0_127;
  arg0_127 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_128;
  tmpvar_128 = clamp (((sqrt(dot (arg0_127, arg0_127)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_115 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_126)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_126)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_128)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 654
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 638
#line 658
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 670
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 674
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 678
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 682
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 686
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 690
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 694
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    #line 698
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_62;
  shadowVals_62.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_62.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_62, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  float atten_70;
  atten_70 = (tmpvar_61.w * dot (tmpvar_69, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_71;
  vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_73;
  tmpvar_73 = normalize(xlv_TEXCOORD4);
  float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  c_71.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_72 + normalize(xlv_TEXCOORD8))), tmpvar_73), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_70 * 4.0));
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  float tmpvar_75;
  tmpvar_75 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_76;
  arg0_76 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_71 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_76, arg0_76)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  mediump vec4 shadows_97;
  highp vec4 shadowVals_98;
  highp float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_100;
  vec_100 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_101;
  lowp vec4 tmpvar_102;
  tmpvar_102 = textureCube (_ShadowMapTexture, vec_100);
  packDist_101 = tmpvar_102;
  shadowVals_98.x = dot (packDist_101, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_103;
  vec_103 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = textureCube (_ShadowMapTexture, vec_103);
  packDist_104 = tmpvar_105;
  shadowVals_98.y = dot (packDist_104, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_98.z = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_98.w = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_112;
  tmpvar_112 = lessThan (shadowVals_98, vec4(tmpvar_99));
  highp vec4 tmpvar_113;
  tmpvar_113 = _LightShadowData.xxxx;
  highp float tmpvar_114;
  if (tmpvar_112.x) {
    tmpvar_114 = tmpvar_113.x;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_112.y) {
    tmpvar_115 = tmpvar_113.y;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_112.z) {
    tmpvar_116 = tmpvar_113.z;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_112.w) {
    tmpvar_117 = tmpvar_113.w;
  } else {
    tmpvar_117 = 1.0;
  };
  highp vec4 tmpvar_118;
  tmpvar_118.x = tmpvar_114;
  tmpvar_118.y = tmpvar_115;
  tmpvar_118.z = tmpvar_116;
  tmpvar_118.w = tmpvar_117;
  shadows_97 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (shadows_97, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_96 = tmpvar_119;
  mediump vec3 lightDir_120;
  lightDir_120 = tmpvar_93;
  mediump vec3 viewDir_121;
  viewDir_121 = xlv_TEXCOORD8;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD4;
  mediump float atten_123;
  atten_123 = (tmpvar_95.w * tmpvar_96);
  mediump vec4 c_124;
  highp float nh_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(lightDir_120);
  lightDir_120 = tmpvar_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(viewDir_121);
  viewDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(normal_122);
  normal_122 = tmpvar_128;
  mediump float tmpvar_129;
  tmpvar_129 = dot (tmpvar_128, tmpvar_126);
  mediump float tmpvar_130;
  tmpvar_130 = clamp (dot (normalize((tmpvar_126 + tmpvar_127)), tmpvar_128), 0.0, 1.0);
  nh_125 = tmpvar_130;
  highp vec3 tmpvar_131;
  tmpvar_131 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_129) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_125, _SpecularPower) * specColor_2.w))) * (atten_123 * 4.0));
  c_124.xyz = tmpvar_131;
  c_124.w = (tmpvar_129 * (atten_123 * 4.0));
  highp vec3 tmpvar_132;
  tmpvar_132 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_133;
  lightDir_133 = tmpvar_132;
  mediump vec3 normal_134;
  normal_134 = xlv_TEXCOORD4;
  mediump float tmpvar_135;
  tmpvar_135 = dot (normal_134, lightDir_133);
  highp vec3 arg0_136;
  arg0_136 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_137;
  tmpvar_137 = clamp (((sqrt(dot (arg0_136, arg0_136)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_124 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_135)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_135)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_137)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTexture0, vec2(tmpvar_94));
  highp float tmpvar_96;
  mediump vec4 shadows_97;
  highp vec4 shadowVals_98;
  highp float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_100;
  vec_100 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_101;
  lowp vec4 tmpvar_102;
  tmpvar_102 = textureCube (_ShadowMapTexture, vec_100);
  packDist_101 = tmpvar_102;
  shadowVals_98.x = dot (packDist_101, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_103;
  vec_103 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = textureCube (_ShadowMapTexture, vec_103);
  packDist_104 = tmpvar_105;
  shadowVals_98.y = dot (packDist_104, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_98.z = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_98.w = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_112;
  tmpvar_112 = lessThan (shadowVals_98, vec4(tmpvar_99));
  highp vec4 tmpvar_113;
  tmpvar_113 = _LightShadowData.xxxx;
  highp float tmpvar_114;
  if (tmpvar_112.x) {
    tmpvar_114 = tmpvar_113.x;
  } else {
    tmpvar_114 = 1.0;
  };
  highp float tmpvar_115;
  if (tmpvar_112.y) {
    tmpvar_115 = tmpvar_113.y;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_112.z) {
    tmpvar_116 = tmpvar_113.z;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_112.w) {
    tmpvar_117 = tmpvar_113.w;
  } else {
    tmpvar_117 = 1.0;
  };
  highp vec4 tmpvar_118;
  tmpvar_118.x = tmpvar_114;
  tmpvar_118.y = tmpvar_115;
  tmpvar_118.z = tmpvar_116;
  tmpvar_118.w = tmpvar_117;
  shadows_97 = tmpvar_118;
  mediump float tmpvar_119;
  tmpvar_119 = dot (shadows_97, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_96 = tmpvar_119;
  mediump vec3 lightDir_120;
  lightDir_120 = tmpvar_93;
  mediump vec3 viewDir_121;
  viewDir_121 = xlv_TEXCOORD8;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD4;
  mediump float atten_123;
  atten_123 = (tmpvar_95.w * tmpvar_96);
  mediump vec4 c_124;
  highp float nh_125;
  mediump vec3 tmpvar_126;
  tmpvar_126 = normalize(lightDir_120);
  lightDir_120 = tmpvar_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(viewDir_121);
  viewDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(normal_122);
  normal_122 = tmpvar_128;
  mediump float tmpvar_129;
  tmpvar_129 = dot (tmpvar_128, tmpvar_126);
  mediump float tmpvar_130;
  tmpvar_130 = clamp (dot (normalize((tmpvar_126 + tmpvar_127)), tmpvar_128), 0.0, 1.0);
  nh_125 = tmpvar_130;
  highp vec3 tmpvar_131;
  tmpvar_131 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_129) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_125, _SpecularPower) * specColor_2.w))) * (atten_123 * 4.0));
  c_124.xyz = tmpvar_131;
  c_124.w = (tmpvar_129 * (atten_123 * 4.0));
  highp vec3 tmpvar_132;
  tmpvar_132 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_133;
  lightDir_133 = tmpvar_132;
  mediump vec3 normal_134;
  normal_134 = xlv_TEXCOORD4;
  mediump float tmpvar_135;
  tmpvar_135 = dot (normal_134, lightDir_133);
  highp vec3 arg0_136;
  arg0_136 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_137;
  tmpvar_137 = clamp (((sqrt(dot (arg0_136, arg0_136)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_124 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_135)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_135)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_137)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 650
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 634
#line 654
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 666
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 670
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 674
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 678
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 682
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 686
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 690
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    #line 694
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 detail_5;
  vec4 main_6;
  vec4 color_7;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    float s_12;
    float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  main_6 = texture2DGradARB (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  vec2 uv_18;
  vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_17);
  float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_20), tmpvar_21));
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(tmpvar_22);
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = tmpvar_22;
  vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(tmpvar_22);
  vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_17.yxz), mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(tmpvar_20)), vec3(tmpvar_21));
  uv_18.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  vec2 tmpvar_27;
  tmpvar_27 = (uv_18 * _DetailScale);
  vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _DetailVertScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  detail_5 = mix (texture2DGradARB (_steepTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw), texture2DGradARB (_midTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_16)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD5);
  vec2 uv_44;
  float r_45;
  if ((abs(tmpvar_43.z) > (1e-08 * abs(tmpvar_43.x)))) {
    float y_over_x_46;
    y_over_x_46 = (tmpvar_43.x / tmpvar_43.z);
    float s_47;
    float x_48;
    x_48 = (y_over_x_46 * inversesqrt(((y_over_x_46 * y_over_x_46) + 1.0)));
    s_47 = (sign(x_48) * (1.5708 - (sqrt((1.0 - abs(x_48))) * (1.5708 + (abs(x_48) * (-0.214602 + (abs(x_48) * (0.0865667 + (abs(x_48) * -0.0310296)))))))));
    r_45 = s_47;
    if ((tmpvar_43.z < 0.0)) {
      if ((tmpvar_43.x >= 0.0)) {
        r_45 = (s_47 + 3.14159);
      } else {
        r_45 = (r_45 - 3.14159);
      };
    };
  } else {
    r_45 = (sign(tmpvar_43.x) * 1.5708);
  };
  uv_44.x = (0.5 + (0.159155 * r_45));
  uv_44.y = (0.31831 * (1.5708 - (sign(tmpvar_43.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_43.y))) * (1.5708 + (abs(tmpvar_43.y) * (-0.214602 + (abs(tmpvar_43.y) * (0.0865667 + (abs(tmpvar_43.y) * -0.0310296)))))))))));
  vec2 uvCont_49;
  uvCont_49.y = uv_44.y;
  uvCont_49.x = abs((uv_44.x - 0.5));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(uvCont_49);
  tmpvar_50.zw = dFdy(uvCont_49);
  vec2 tmpvar_51;
  tmpvar_51 = (texture2DGradARB (_BumpMap, uv_44, tmpvar_50.xy, tmpvar_50.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_51.y;
  localCoords_4.x = (tmpvar_51.x * 0.5);
  float r_52;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    float y_over_x_53;
    y_over_x_53 = (tmpvar_16.x / tmpvar_16.z);
    float s_54;
    float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_52));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_56;
  norm_2.z = cos((6.28319 * tmpvar_56.x));
  norm_2.x = sin((6.28319 * tmpvar_56.x));
  norm_2.y = cos((3.14159 * tmpvar_56.y));
  norm_2 = -(norm_2);
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_58;
  tmpvar_58 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_57 * tmpvar_57)));
  float tmpvar_59;
  tmpvar_59 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_57 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_58, 2.0)))), (float((_OceanRadius >= tmpvar_58)) * float((tmpvar_57 >= 0.0)))));
  vec4 tmpvar_60;
  tmpvar_60 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_5 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_59 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_59)), 0.0, 1.0))))), main_6, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))) * _Color);
  color_7 = tmpvar_60;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_6.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_61;
  tmpvar_61 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_62;
  tmpvar_62 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_63;
  shadowVals_63.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_63.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_64;
  tmpvar_64 = lessThan (shadowVals_63, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_65;
  tmpvar_65 = _LightShadowData.xxxx;
  float tmpvar_66;
  if (tmpvar_64.x) {
    tmpvar_66 = tmpvar_65.x;
  } else {
    tmpvar_66 = 1.0;
  };
  float tmpvar_67;
  if (tmpvar_64.y) {
    tmpvar_67 = tmpvar_65.y;
  } else {
    tmpvar_67 = 1.0;
  };
  float tmpvar_68;
  if (tmpvar_64.z) {
    tmpvar_68 = tmpvar_65.z;
  } else {
    tmpvar_68 = 1.0;
  };
  float tmpvar_69;
  if (tmpvar_64.w) {
    tmpvar_69 = tmpvar_65.w;
  } else {
    tmpvar_69 = 1.0;
  };
  vec4 tmpvar_70;
  tmpvar_70.x = tmpvar_66;
  tmpvar_70.y = tmpvar_67;
  tmpvar_70.z = tmpvar_68;
  tmpvar_70.w = tmpvar_69;
  float atten_71;
  atten_71 = ((tmpvar_61.w * tmpvar_62.w) * dot (tmpvar_70, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_72;
  vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD4);
  float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  c_72.xyz = ((((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_75) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_73 + normalize(xlv_TEXCOORD8))), tmpvar_74), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_71 * 4.0));
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  float tmpvar_76;
  tmpvar_76 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_77;
  arg0_77 = (xlv_TEXCOORD5 + 50.0);
  color_7.xyz = mix (tmpvar_60, (c_72 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0)), 1.0, main_6.w)), vec4(clamp (((sqrt(dot (arg0_77, arg0_77)) - _OceanRadius) / 50.0), 0.0, 1.0))).xyz;
  color_7.w = 1.0;
  gl_FragData[0] = color_7;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 21 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  mediump vec4 shadows_98;
  highp vec4 shadowVals_99;
  highp float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_99.x = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_104;
  vec_104 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_105;
  lowp vec4 tmpvar_106;
  tmpvar_106 = textureCube (_ShadowMapTexture, vec_104);
  packDist_105 = tmpvar_106;
  shadowVals_99.y = dot (packDist_105, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_107;
  vec_107 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_108;
  lowp vec4 tmpvar_109;
  tmpvar_109 = textureCube (_ShadowMapTexture, vec_107);
  packDist_108 = tmpvar_109;
  shadowVals_99.z = dot (packDist_108, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_110;
  vec_110 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_111;
  lowp vec4 tmpvar_112;
  tmpvar_112 = textureCube (_ShadowMapTexture, vec_110);
  packDist_111 = tmpvar_112;
  shadowVals_99.w = dot (packDist_111, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_113;
  tmpvar_113 = lessThan (shadowVals_99, vec4(tmpvar_100));
  highp vec4 tmpvar_114;
  tmpvar_114 = _LightShadowData.xxxx;
  highp float tmpvar_115;
  if (tmpvar_113.x) {
    tmpvar_115 = tmpvar_114.x;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_113.y) {
    tmpvar_116 = tmpvar_114.y;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_113.z) {
    tmpvar_117 = tmpvar_114.z;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_113.w) {
    tmpvar_118 = tmpvar_114.w;
  } else {
    tmpvar_118 = 1.0;
  };
  highp vec4 tmpvar_119;
  tmpvar_119.x = tmpvar_115;
  tmpvar_119.y = tmpvar_116;
  tmpvar_119.z = tmpvar_117;
  tmpvar_119.w = tmpvar_118;
  shadows_98 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (shadows_98, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_97 = tmpvar_120;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_93;
  mediump vec3 viewDir_122;
  viewDir_122 = xlv_TEXCOORD8;
  mediump vec3 normal_123;
  normal_123 = xlv_TEXCOORD4;
  mediump float atten_124;
  atten_124 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_97);
  mediump vec4 c_125;
  highp float nh_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(lightDir_121);
  lightDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(viewDir_122);
  viewDir_122 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(normal_123);
  normal_123 = tmpvar_129;
  mediump float tmpvar_130;
  tmpvar_130 = dot (tmpvar_129, tmpvar_127);
  mediump float tmpvar_131;
  tmpvar_131 = clamp (dot (normalize((tmpvar_127 + tmpvar_128)), tmpvar_129), 0.0, 1.0);
  nh_126 = tmpvar_131;
  highp vec3 tmpvar_132;
  tmpvar_132 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_130) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_126, _SpecularPower) * specColor_2.w))) * (atten_124 * 4.0));
  c_125.xyz = tmpvar_132;
  c_125.w = (tmpvar_130 * (atten_124 * 4.0));
  highp vec3 tmpvar_133;
  tmpvar_133 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_134;
  lightDir_134 = tmpvar_133;
  mediump vec3 normal_135;
  normal_135 = xlv_TEXCOORD4;
  mediump float tmpvar_136;
  tmpvar_136 = dot (normal_135, lightDir_134);
  highp vec3 arg0_137;
  arg0_137 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_138;
  tmpvar_138 = clamp (((sqrt(dot (arg0_137, arg0_137)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_125 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_136)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_136)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_138)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 detail_9;
  mediump float vertLerp_10;
  mediump vec4 color_11;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  highp float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    highp float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    highp float s_17;
    highp float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  highp vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  highp vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(uvCont_19);
  tmpvar_20.zw = dFdy(uvCont_19);
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2DGradEXT (_MainTex, uv_14, tmpvar_20.xy, tmpvar_20.zw);
  tex_12 = tmpvar_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_23;
  tmpvar_23 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_22)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_10 = tmpvar_23;
  mediump vec4 tex_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_26;
  mediump float s_27;
  mediump float nylerp_28;
  mediump float zxlerp_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_25);
  highp float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  zxlerp_29 = tmpvar_31;
  highp float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  nylerp_28 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = mix (tmpvar_25.x, tmpvar_25.z, zxlerp_29);
  s_27 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = sign(mix (tmpvar_25.y, s_27, nylerp_28));
  s_27 = tmpvar_34;
  mediump vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = -(s_27);
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = s_27;
  mediump vec3 tmpvar_37;
  tmpvar_37.xy = vec2(1.0, 1.0);
  tmpvar_37.z = -(s_27);
  highp vec3 tmpvar_38;
  tmpvar_38 = mix ((tmpvar_37 * tmpvar_25.yxz), mix ((tmpvar_35 * tmpvar_25.xzy), (tmpvar_36 * tmpvar_25.zxy), vec3(zxlerp_29)), vec3(nylerp_28));
  uv_26.x = (((0.5 * tmpvar_38.y) / abs(tmpvar_38.x)) + 0.5);
  uv_26.y = (((0.5 * tmpvar_38.z) / abs(tmpvar_38.x)) + 0.5);
  highp vec2 tmpvar_39;
  tmpvar_39 = (uv_26 * _DetailScale);
  highp vec2 tmpvar_40;
  tmpvar_40 = abs((tmpvar_39 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_41;
  tmpvar_41.xy = dFdx(tmpvar_40);
  tmpvar_41.zw = dFdy(tmpvar_40);
  lowp vec4 tmpvar_42;
  tmpvar_42 = texture2DGradEXT (_midTex, tmpvar_39, tmpvar_41.xy, tmpvar_41.zw);
  tex_24 = tmpvar_42;
  mediump vec4 tex_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_45;
  mediump float s_46;
  mediump float nylerp_47;
  mediump float zxlerp_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = abs(tmpvar_44);
  highp float tmpvar_50;
  tmpvar_50 = float((tmpvar_49.z >= tmpvar_49.x));
  zxlerp_48 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = float((max (tmpvar_49.x, tmpvar_49.z) >= tmpvar_49.y));
  nylerp_47 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = mix (tmpvar_44.x, tmpvar_44.z, zxlerp_48);
  s_46 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_44.y, s_46, nylerp_47));
  s_46 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(s_46);
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = s_46;
  mediump vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(s_46);
  highp vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_44.yxz), mix ((tmpvar_54 * tmpvar_44.xzy), (tmpvar_55 * tmpvar_44.zxy), vec3(zxlerp_48)), vec3(nylerp_47));
  uv_45.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_45.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  highp vec2 tmpvar_58;
  tmpvar_58 = (uv_45 * _DetailVertScale);
  highp vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (_steepTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  tex_43 = tmpvar_61;
  detail_9 = mix (tex_43, tex_24, vec4(vertLerp_10));
  mediump vec4 tex_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_64;
  highp float r_65;
  if ((abs(tmpvar_63.z) > (1e-08 * abs(tmpvar_63.x)))) {
    highp float y_over_x_66;
    y_over_x_66 = (tmpvar_63.x / tmpvar_63.z);
    highp float s_67;
    highp float x_68;
    x_68 = (y_over_x_66 * inversesqrt(((y_over_x_66 * y_over_x_66) + 1.0)));
    s_67 = (sign(x_68) * (1.5708 - (sqrt((1.0 - abs(x_68))) * (1.5708 + (abs(x_68) * (-0.214602 + (abs(x_68) * (0.0865667 + (abs(x_68) * -0.0310296)))))))));
    r_65 = s_67;
    if ((tmpvar_63.z < 0.0)) {
      if ((tmpvar_63.x >= 0.0)) {
        r_65 = (s_67 + 3.14159);
      } else {
        r_65 = (r_65 - 3.14159);
      };
    };
  } else {
    r_65 = (sign(tmpvar_63.x) * 1.5708);
  };
  uv_64.x = (0.5 + (0.159155 * r_65));
  uv_64.y = (0.31831 * (1.5708 - (sign(tmpvar_63.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_63.y))) * (1.5708 + (abs(tmpvar_63.y) * (-0.214602 + (abs(tmpvar_63.y) * (0.0865667 + (abs(tmpvar_63.y) * -0.0310296)))))))))));
  highp vec2 uvCont_69;
  uvCont_69.y = uv_64.y;
  uvCont_69.x = abs((uv_64.x - 0.5));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(uvCont_69);
  tmpvar_70.zw = dFdy(uvCont_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_BumpMap, uv_64, tmpvar_70.xy, tmpvar_70.zw);
  tex_62 = tmpvar_71;
  mediump vec2 tmpvar_72;
  tmpvar_72 = tex_62.wy;
  localCoords_8 = tmpvar_72;
  highp vec2 tmpvar_73;
  tmpvar_73 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_73.y;
  localCoords_8.x = (tmpvar_73.x * 0.5);
  highp float r_74;
  if ((abs(tmpvar_22.z) > (1e-08 * abs(tmpvar_22.x)))) {
    highp float y_over_x_75;
    y_over_x_75 = (tmpvar_22.x / tmpvar_22.z);
    float s_76;
    highp float x_77;
    x_77 = (y_over_x_75 * inversesqrt(((y_over_x_75 * y_over_x_75) + 1.0)));
    s_76 = (sign(x_77) * (1.5708 - (sqrt((1.0 - abs(x_77))) * (1.5708 + (abs(x_77) * (-0.214602 + (abs(x_77) * (0.0865667 + (abs(x_77) * -0.0310296)))))))));
    r_74 = s_76;
    if ((tmpvar_22.z < 0.0)) {
      if ((tmpvar_22.x >= 0.0)) {
        r_74 = (s_76 + 3.14159);
      } else {
        r_74 = (r_74 - 3.14159);
      };
    };
  } else {
    r_74 = (sign(tmpvar_22.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_74));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_22.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_22.y))) * (1.5708 + (abs(tmpvar_22.y) * (-0.214602 + (abs(tmpvar_22.y) * (0.0865667 + (abs(tmpvar_22.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = cos((6.28319 * tmpvar_78.x));
  norm_6.z = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = sin((6.28319 * tmpvar_78.x));
  norm_6.x = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = cos((3.14159 * tmpvar_78.y));
  norm_6.y = tmpvar_81;
  norm_6 = -(norm_6);
  highp float tmpvar_82;
  tmpvar_82 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_82;
  mediump vec4 tmpvar_83;
  tmpvar_83 = mix ((detail_9 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_84;
  tmpvar_84 = (xlv_TEXCOORD0 + (0.75 * tmpvar_83));
  color_11 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_86;
  tmpvar_86 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_85 * tmpvar_85)));
  highp float tmpvar_87;
  tmpvar_87 = (float((_OceanRadius >= tmpvar_86)) * float((tmpvar_85 >= 0.0)));
  sphereCheck_4 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_85 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_86, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_89;
  tmpvar_89 = mix (color_11, _OceanColor, vec4((clamp ((tmpvar_88 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_88)), 0.0, 1.0)))));
  color_11 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_90;
  mediump vec4 tmpvar_91;
  tmpvar_91 = (mix (color_11, tex_12, vec4(handoff_3)) * _Color);
  color_11 = tmpvar_91;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_92;
  tmpvar_92 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_12.w, 0.0, tmpvar_92);
  highp vec3 tmpvar_93;
  tmpvar_93 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(tmpvar_94));
  lowp vec4 tmpvar_96;
  tmpvar_96 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_97;
  mediump vec4 shadows_98;
  highp vec4 shadowVals_99;
  highp float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_101;
  vec_101 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, vec_101);
  packDist_102 = tmpvar_103;
  shadowVals_99.x = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_104;
  vec_104 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_105;
  lowp vec4 tmpvar_106;
  tmpvar_106 = textureCube (_ShadowMapTexture, vec_104);
  packDist_105 = tmpvar_106;
  shadowVals_99.y = dot (packDist_105, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_107;
  vec_107 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_108;
  lowp vec4 tmpvar_109;
  tmpvar_109 = textureCube (_ShadowMapTexture, vec_107);
  packDist_108 = tmpvar_109;
  shadowVals_99.z = dot (packDist_108, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_110;
  vec_110 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_111;
  lowp vec4 tmpvar_112;
  tmpvar_112 = textureCube (_ShadowMapTexture, vec_110);
  packDist_111 = tmpvar_112;
  shadowVals_99.w = dot (packDist_111, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_113;
  tmpvar_113 = lessThan (shadowVals_99, vec4(tmpvar_100));
  highp vec4 tmpvar_114;
  tmpvar_114 = _LightShadowData.xxxx;
  highp float tmpvar_115;
  if (tmpvar_113.x) {
    tmpvar_115 = tmpvar_114.x;
  } else {
    tmpvar_115 = 1.0;
  };
  highp float tmpvar_116;
  if (tmpvar_113.y) {
    tmpvar_116 = tmpvar_114.y;
  } else {
    tmpvar_116 = 1.0;
  };
  highp float tmpvar_117;
  if (tmpvar_113.z) {
    tmpvar_117 = tmpvar_114.z;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_113.w) {
    tmpvar_118 = tmpvar_114.w;
  } else {
    tmpvar_118 = 1.0;
  };
  highp vec4 tmpvar_119;
  tmpvar_119.x = tmpvar_115;
  tmpvar_119.y = tmpvar_116;
  tmpvar_119.z = tmpvar_117;
  tmpvar_119.w = tmpvar_118;
  shadows_98 = tmpvar_119;
  mediump float tmpvar_120;
  tmpvar_120 = dot (shadows_98, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_97 = tmpvar_120;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_93;
  mediump vec3 viewDir_122;
  viewDir_122 = xlv_TEXCOORD8;
  mediump vec3 normal_123;
  normal_123 = xlv_TEXCOORD4;
  mediump float atten_124;
  atten_124 = ((tmpvar_95.w * tmpvar_96.w) * tmpvar_97);
  mediump vec4 c_125;
  highp float nh_126;
  mediump vec3 tmpvar_127;
  tmpvar_127 = normalize(lightDir_121);
  lightDir_121 = tmpvar_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(viewDir_122);
  viewDir_122 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(normal_123);
  normal_123 = tmpvar_129;
  mediump float tmpvar_130;
  tmpvar_130 = dot (tmpvar_129, tmpvar_127);
  mediump float tmpvar_131;
  tmpvar_131 = clamp (dot (normalize((tmpvar_127 + tmpvar_128)), tmpvar_129), 0.0, 1.0);
  nh_126 = tmpvar_131;
  highp vec3 tmpvar_132;
  tmpvar_132 = ((((tmpvar_91.xyz * _LightColor0.xyz) * tmpvar_130) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_126, _SpecularPower) * specColor_2.w))) * (atten_124 * 4.0));
  c_125.xyz = tmpvar_132;
  c_125.w = (tmpvar_130 * (atten_124 * 4.0));
  highp vec3 tmpvar_133;
  tmpvar_133 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_134;
  lightDir_134 = tmpvar_133;
  mediump vec3 normal_135;
  normal_135 = xlv_TEXCOORD4;
  mediump float tmpvar_136;
  tmpvar_136 = dot (normal_135, lightDir_134);
  highp vec3 arg0_137;
  arg0_137 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_138;
  tmpvar_138 = clamp (((sqrt(dot (arg0_137, arg0_137)) - _OceanRadius) / 50.0), 0.0, 1.0);
  color_11.xyz = mix (tmpvar_91, (c_125 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_136)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_136)), 0.0, 1.0)), 1.0, tex_12.w)), vec4(tmpvar_138)).xyz;
  color_11.w = 1.0;
  tmpvar_1 = color_11;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 651
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
#line 635
#line 655
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    #line 667
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    #line 671
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    #line 675
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    #line 679
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    #line 683
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    #line 687
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 691
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    #line 695
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = tmpvar_139.w;
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  highp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = tmpvar_139.w;
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  highp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 667
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 671
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 675
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 679
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 c_93;
  vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD4);
  float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_94);
  c_93.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_94 + normalize(xlv_TEXCOORD8))), tmpvar_95), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_93.w = (tmpvar_96 * 4.0);
  float tmpvar_97;
  tmpvar_97 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_98;
  tmpvar_98 = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_98.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_98, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 21 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 viewDir_139;
  viewDir_139 = xlv_TEXCOORD8;
  mediump vec3 normal_140;
  normal_140 = xlv_TEXCOORD4;
  mediump vec4 c_141;
  highp float nh_142;
  mediump vec3 tmpvar_143;
  tmpvar_143 = normalize(lightDir_138);
  lightDir_138 = tmpvar_143;
  mediump vec3 tmpvar_144;
  tmpvar_144 = normalize(viewDir_139);
  viewDir_139 = tmpvar_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(normal_140);
  normal_140 = tmpvar_145;
  mediump float tmpvar_146;
  tmpvar_146 = dot (tmpvar_145, tmpvar_143);
  mediump float tmpvar_147;
  tmpvar_147 = clamp (dot (normalize((tmpvar_143 + tmpvar_144)), tmpvar_145), 0.0, 1.0);
  nh_142 = tmpvar_147;
  highp vec3 tmpvar_148;
  tmpvar_148 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_146) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_142, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_141.xyz = tmpvar_148;
  c_141.w = (tmpvar_146 * 4.0);
  lowp vec3 tmpvar_149;
  tmpvar_149 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_149;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float tmpvar_152;
  tmpvar_152 = dot (normal_151, lightDir_150);
  mediump vec4 tmpvar_153;
  tmpvar_153 = (c_141 * mix (1.0, clamp (floor((1.01 + tmpvar_152)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_152)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_153.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_153, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 viewDir_139;
  viewDir_139 = xlv_TEXCOORD8;
  mediump vec3 normal_140;
  normal_140 = xlv_TEXCOORD4;
  mediump vec4 c_141;
  highp float nh_142;
  mediump vec3 tmpvar_143;
  tmpvar_143 = normalize(lightDir_138);
  lightDir_138 = tmpvar_143;
  mediump vec3 tmpvar_144;
  tmpvar_144 = normalize(viewDir_139);
  viewDir_139 = tmpvar_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(normal_140);
  normal_140 = tmpvar_145;
  mediump float tmpvar_146;
  tmpvar_146 = dot (tmpvar_145, tmpvar_143);
  mediump float tmpvar_147;
  tmpvar_147 = clamp (dot (normalize((tmpvar_143 + tmpvar_144)), tmpvar_145), 0.0, 1.0);
  nh_142 = tmpvar_147;
  highp vec3 tmpvar_148;
  tmpvar_148 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_146) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_142, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_141.xyz = tmpvar_148;
  c_141.w = (tmpvar_146 * 4.0);
  lowp vec3 tmpvar_149;
  tmpvar_149 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_149;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float tmpvar_152;
  tmpvar_152 = dot (normal_151, lightDir_150);
  mediump vec4 tmpvar_153;
  tmpvar_153 = (c_141 * mix (1.0, clamp (floor((1.01 + tmpvar_152)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_152)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_153.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_153, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 643
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 647
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 651
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 655
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 663
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 667
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 671
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 675
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  mediump vec3 lightDir_142;
  lightDir_142 = tmpvar_137;
  mediump vec3 viewDir_143;
  viewDir_143 = xlv_TEXCOORD8;
  mediump vec3 normal_144;
  normal_144 = xlv_TEXCOORD4;
  mediump float atten_145;
  atten_145 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w);
  mediump vec4 c_146;
  highp float nh_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(lightDir_142);
  lightDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(viewDir_143);
  viewDir_143 = tmpvar_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(normal_144);
  normal_144 = tmpvar_150;
  mediump float tmpvar_151;
  tmpvar_151 = dot (tmpvar_150, tmpvar_148);
  mediump float tmpvar_152;
  tmpvar_152 = clamp (dot (normalize((tmpvar_148 + tmpvar_149)), tmpvar_150), 0.0, 1.0);
  nh_147 = tmpvar_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_151) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_147, _SpecularPower) * _SpecularColor.w))) * (atten_145 * 4.0));
  c_146.xyz = tmpvar_153;
  c_146.w = (tmpvar_151 * (atten_145 * 4.0));
  highp vec3 tmpvar_154;
  tmpvar_154 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_154;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float tmpvar_157;
  tmpvar_157 = dot (normal_156, lightDir_155);
  mediump vec4 tmpvar_158;
  tmpvar_158 = (c_146 * mix (1.0, clamp (floor((1.01 + tmpvar_157)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_157)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_158.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_158, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  mediump vec3 lightDir_142;
  lightDir_142 = tmpvar_137;
  mediump vec3 viewDir_143;
  viewDir_143 = xlv_TEXCOORD8;
  mediump vec3 normal_144;
  normal_144 = xlv_TEXCOORD4;
  mediump float atten_145;
  atten_145 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w);
  mediump vec4 c_146;
  highp float nh_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(lightDir_142);
  lightDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(viewDir_143);
  viewDir_143 = tmpvar_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(normal_144);
  normal_144 = tmpvar_150;
  mediump float tmpvar_151;
  tmpvar_151 = dot (tmpvar_150, tmpvar_148);
  mediump float tmpvar_152;
  tmpvar_152 = clamp (dot (normalize((tmpvar_148 + tmpvar_149)), tmpvar_150), 0.0, 1.0);
  nh_147 = tmpvar_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_151) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_147, _SpecularPower) * _SpecularColor.w))) * (atten_145 * 4.0));
  c_146.xyz = tmpvar_153;
  c_146.w = (tmpvar_151 * (atten_145 * 4.0));
  highp vec3 tmpvar_154;
  tmpvar_154 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_154;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float tmpvar_157;
  tmpvar_157 = dot (normal_156, lightDir_155);
  mediump vec4 tmpvar_158;
  tmpvar_158 = (c_146 * mix (1.0, clamp (floor((1.01 + tmpvar_157)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_157)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_158.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_158, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 644
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 656
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 660
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 664
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 668
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 672
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 676
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 680
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 684
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 688
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_141;
  lightDir_141 = tmpvar_137;
  mediump vec3 viewDir_142;
  viewDir_142 = xlv_TEXCOORD8;
  mediump vec3 normal_143;
  normal_143 = xlv_TEXCOORD4;
  mediump float atten_144;
  atten_144 = (tmpvar_139.w * tmpvar_140.w);
  mediump vec4 c_145;
  highp float nh_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(lightDir_141);
  lightDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(viewDir_142);
  viewDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(normal_143);
  normal_143 = tmpvar_149;
  mediump float tmpvar_150;
  tmpvar_150 = dot (tmpvar_149, tmpvar_147);
  mediump float tmpvar_151;
  tmpvar_151 = clamp (dot (normalize((tmpvar_147 + tmpvar_148)), tmpvar_149), 0.0, 1.0);
  nh_146 = tmpvar_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_150) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_146, _SpecularPower) * _SpecularColor.w))) * (atten_144 * 4.0));
  c_145.xyz = tmpvar_152;
  c_145.w = (tmpvar_150 * (atten_144 * 4.0));
  highp vec3 tmpvar_153;
  tmpvar_153 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_153;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float tmpvar_156;
  tmpvar_156 = dot (normal_155, lightDir_154);
  mediump vec4 tmpvar_157;
  tmpvar_157 = (c_145 * mix (1.0, clamp (floor((1.01 + tmpvar_156)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_156)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_157.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_157, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_141;
  lightDir_141 = tmpvar_137;
  mediump vec3 viewDir_142;
  viewDir_142 = xlv_TEXCOORD8;
  mediump vec3 normal_143;
  normal_143 = xlv_TEXCOORD4;
  mediump float atten_144;
  atten_144 = (tmpvar_139.w * tmpvar_140.w);
  mediump vec4 c_145;
  highp float nh_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(lightDir_141);
  lightDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(viewDir_142);
  viewDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(normal_143);
  normal_143 = tmpvar_149;
  mediump float tmpvar_150;
  tmpvar_150 = dot (tmpvar_149, tmpvar_147);
  mediump float tmpvar_151;
  tmpvar_151 = clamp (dot (normalize((tmpvar_147 + tmpvar_148)), tmpvar_149), 0.0, 1.0);
  nh_146 = tmpvar_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_150) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_146, _SpecularPower) * _SpecularColor.w))) * (atten_144 * 4.0));
  c_145.xyz = tmpvar_152;
  c_145.w = (tmpvar_150 * (atten_144 * 4.0));
  highp vec3 tmpvar_153;
  tmpvar_153 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_153;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float tmpvar_156;
  tmpvar_156 = dot (normal_155, lightDir_154);
  mediump vec4 tmpvar_157;
  tmpvar_157 = (c_145 * mix (1.0, clamp (floor((1.01 + tmpvar_156)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_156)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_157.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_157, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 627
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 631
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 636
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 648
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 652
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 656
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 660
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 664
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 668
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 672
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 676
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 680
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138.w;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138.w;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 667
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 671
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 675
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 679
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_96;
  tmpvar_96 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_97;
  if ((tmpvar_96.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_97 = _LightShadowData.x;
  } else {
    tmpvar_97 = 1.0;
  };
  float atten_98;
  atten_98 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_95.w) * tmpvar_97);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_104;
  tmpvar_104 = (c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_104, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp vec4 tmpvar_144;
  tmpvar_144 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_145;
  if ((tmpvar_144.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp vec4 tmpvar_144;
  tmpvar_144 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_145;
  if ((tmpvar_144.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 650
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 666
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 670
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 674
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 678
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 682
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 686
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 690
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 694
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp float tmpvar_144;
  tmpvar_144 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_143 = tmpvar_144;
  highp float tmpvar_145;
  tmpvar_145 = (_LightShadowData.x + (shadow_143 * (1.0 - _LightShadowData.x)));
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 651
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 667
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 671
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 675
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 679
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 683
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 687
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 691
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 695
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_93.x * 4.0));
  c_94.w = (tmpvar_97 * (tmpvar_93.x * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_138;
  mediump float lightShadowDataX_139;
  highp float dist_140;
  lowp float tmpvar_141;
  tmpvar_141 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_140 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = _LightShadowData.x;
  lightShadowDataX_139 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = max (float((dist_140 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_139);
  tmpvar_138 = tmpvar_143;
  mediump vec3 lightDir_144;
  lightDir_144 = tmpvar_137;
  mediump vec3 viewDir_145;
  viewDir_145 = xlv_TEXCOORD8;
  mediump vec3 normal_146;
  normal_146 = xlv_TEXCOORD4;
  mediump float atten_147;
  atten_147 = tmpvar_138;
  mediump vec4 c_148;
  highp float nh_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(lightDir_144);
  lightDir_144 = tmpvar_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(viewDir_145);
  viewDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(normal_146);
  normal_146 = tmpvar_152;
  mediump float tmpvar_153;
  tmpvar_153 = dot (tmpvar_152, tmpvar_150);
  mediump float tmpvar_154;
  tmpvar_154 = clamp (dot (normalize((tmpvar_150 + tmpvar_151)), tmpvar_152), 0.0, 1.0);
  nh_149 = tmpvar_154;
  highp vec3 tmpvar_155;
  tmpvar_155 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_153) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_149, _SpecularPower) * _SpecularColor.w))) * (atten_147 * 4.0));
  c_148.xyz = tmpvar_155;
  c_148.w = (tmpvar_153 * (atten_147 * 4.0));
  lowp vec3 tmpvar_156;
  tmpvar_156 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_157;
  lightDir_157 = tmpvar_156;
  mediump vec3 normal_158;
  normal_158 = xlv_TEXCOORD4;
  mediump float tmpvar_159;
  tmpvar_159 = dot (normal_158, lightDir_157);
  mediump vec4 tmpvar_160;
  tmpvar_160 = (c_148 * mix (1.0, clamp (floor((1.01 + tmpvar_159)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_159)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_160.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_160, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_138;
  tmpvar_138 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 632
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 636
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 641
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    #line 645
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 649
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 653
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 657
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 661
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 665
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 669
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 673
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 677
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 681
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 685
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_139;
  mediump float lightShadowDataX_140;
  highp float dist_141;
  lowp float tmpvar_142;
  tmpvar_142 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = _LightShadowData.x;
  lightShadowDataX_140 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = max (float((dist_141 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_140);
  tmpvar_139 = tmpvar_144;
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_138.w * tmpvar_139);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = (tmpvar_138.w * tmpvar_139.x);
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  lowp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 643
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 647
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 651
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 655
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 659
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 663
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 667
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 671
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 675
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 679
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_95;
  tmpvar_95 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_96;
  tmpvar_96 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_97;
  if ((tmpvar_96 < tmpvar_95)) {
    tmpvar_97 = _LightShadowData.x;
  } else {
    tmpvar_97 = 1.0;
  };
  float atten_98;
  atten_98 = (tmpvar_94.w * tmpvar_97);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_104;
  tmpvar_104 = (c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_104, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  tmpvar_140 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_141;
  lowp vec4 tmpvar_142;
  tmpvar_142 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = dot (packDist_141, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_144;
  if ((tmpvar_143 < tmpvar_140)) {
    tmpvar_144 = _LightShadowData.x;
  } else {
    tmpvar_144 = 1.0;
  };
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_139.w * tmpvar_144);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  highp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  tmpvar_140 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_141;
  lowp vec4 tmpvar_142;
  tmpvar_142 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = dot (packDist_141, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_144;
  if ((tmpvar_143 < tmpvar_140)) {
    tmpvar_144 = _LightShadowData.x;
  } else {
    tmpvar_144 = 1.0;
  };
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_139.w * tmpvar_144);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  highp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 632
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 636
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 640
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 644
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 648
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 652
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 656
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 660
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 664
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 668
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 672
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 676
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 680
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 684
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 688
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 692
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_95;
  tmpvar_95 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_97;
  tmpvar_97 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_98;
  if ((tmpvar_97 < tmpvar_96)) {
    tmpvar_98 = _LightShadowData.x;
  } else {
    tmpvar_98 = 1.0;
  };
  float atten_99;
  atten_99 = ((tmpvar_94.w * tmpvar_95.w) * tmpvar_98);
  vec4 c_100;
  vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_102;
  tmpvar_102 = normalize(xlv_TEXCOORD4);
  float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_101);
  c_100.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_101 + normalize(xlv_TEXCOORD8))), tmpvar_102), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_99 * 4.0));
  c_100.w = (tmpvar_103 * (atten_99 * 4.0));
  float tmpvar_104;
  tmpvar_104 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_105;
  tmpvar_105 = (c_100 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_105, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedgeciikmdgjlilikcjcdinokbkadgbngnabaaaaaahiaiaaaaadaaaaaa
cmaaaaaapeaaaaaaamacaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheobaabaaaaakaaaaaa
aiaaaaaapiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaaeabaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaaeabaaaaahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaaaeabaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcgeagaaaaeaaaabaajjabaaaafjaaaaae
egiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaacaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaa
fpaaaaaddcbabaaaadaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaa
gfaaaaadhccabaaaadaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaad
hccabaaaahaaaaaagfaaaaadhccabaaaaiaaaaaagiaaaaacacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaaaaaaaaajhccabaaaaeaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
acaaaaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaelaaaaaficcabaaaacaaaaaaakaabaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaiaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaaaeaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaagaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaahaaaaaaegiccaaaaaaaaaaa
biaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  tmpvar_141 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_142;
  lowp vec4 tmpvar_143;
  tmpvar_143 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_142 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = dot (packDist_142, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_145;
  if ((tmpvar_144 < tmpvar_141)) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_145);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  tmpvar_141 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_142;
  lowp vec4 tmpvar_143;
  tmpvar_143 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_142 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = dot (packDist_142, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_145;
  if ((tmpvar_144 < tmpvar_141)) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_145);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 633
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 637
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 641
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 645
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 649
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 653
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 657
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 661
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 665
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 669
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 673
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 677
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 681
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 685
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 689
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 693
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_96;
  vec3 tmpvar_97;
  tmpvar_97 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_96.x = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_96.y = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_96.z = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_96.w = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_98;
  tmpvar_98 = lessThan (shadowVals_96, tmpvar_97.zzzz);
  vec4 tmpvar_99;
  tmpvar_99 = _LightShadowData.xxxx;
  float tmpvar_100;
  if (tmpvar_98.x) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_98.y) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = 1.0;
  };
  float tmpvar_102;
  if (tmpvar_98.z) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = 1.0;
  };
  float tmpvar_103;
  if (tmpvar_98.w) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = 1.0;
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_95.w) * dot (tmpvar_104, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_106;
  vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_108;
  tmpvar_108 = normalize(xlv_TEXCOORD4);
  float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_107);
  c_106.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_107 + normalize(xlv_TEXCOORD8))), tmpvar_108), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.w = (tmpvar_109 * (atten_105 * 4.0));
  float tmpvar_110;
  tmpvar_110 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_111;
  tmpvar_111 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_111.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_111, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec4 shadowVals_144;
  highp vec3 tmpvar_145;
  tmpvar_145 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_146;
  P_146 = (tmpvar_145.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_147;
  tmpvar_147 = texture2D (_ShadowMapTexture, P_146).x;
  shadowVals_144.x = tmpvar_147;
  highp vec2 P_148;
  P_148 = (tmpvar_145.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_149;
  tmpvar_149 = texture2D (_ShadowMapTexture, P_148).x;
  shadowVals_144.y = tmpvar_149;
  highp vec2 P_150;
  P_150 = (tmpvar_145.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_151;
  tmpvar_151 = texture2D (_ShadowMapTexture, P_150).x;
  shadowVals_144.z = tmpvar_151;
  highp vec2 P_152;
  P_152 = (tmpvar_145.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_153;
  tmpvar_153 = texture2D (_ShadowMapTexture, P_152).x;
  shadowVals_144.w = tmpvar_153;
  bvec4 tmpvar_154;
  tmpvar_154 = lessThan (shadowVals_144, tmpvar_145.zzzz);
  highp vec4 tmpvar_155;
  tmpvar_155 = _LightShadowData.xxxx;
  highp float tmpvar_156;
  if (tmpvar_154.x) {
    tmpvar_156 = tmpvar_155.x;
  } else {
    tmpvar_156 = 1.0;
  };
  highp float tmpvar_157;
  if (tmpvar_154.y) {
    tmpvar_157 = tmpvar_155.y;
  } else {
    tmpvar_157 = 1.0;
  };
  highp float tmpvar_158;
  if (tmpvar_154.z) {
    tmpvar_158 = tmpvar_155.z;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_154.w) {
    tmpvar_159 = tmpvar_155.w;
  } else {
    tmpvar_159 = 1.0;
  };
  highp vec4 tmpvar_160;
  tmpvar_160.x = tmpvar_156;
  tmpvar_160.y = tmpvar_157;
  tmpvar_160.z = tmpvar_158;
  tmpvar_160.w = tmpvar_159;
  shadows_143 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_161;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_137;
  mediump vec3 viewDir_163;
  viewDir_163 = xlv_TEXCOORD8;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float atten_165;
  atten_165 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_166;
  highp float nh_167;
  mediump vec3 tmpvar_168;
  tmpvar_168 = normalize(lightDir_162);
  lightDir_162 = tmpvar_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(viewDir_163);
  viewDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(normal_164);
  normal_164 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (tmpvar_170, tmpvar_168);
  mediump float tmpvar_172;
  tmpvar_172 = clamp (dot (normalize((tmpvar_168 + tmpvar_169)), tmpvar_170), 0.0, 1.0);
  nh_167 = tmpvar_172;
  highp vec3 tmpvar_173;
  tmpvar_173 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_171) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_167, _SpecularPower) * _SpecularColor.w))) * (atten_165 * 4.0));
  c_166.xyz = tmpvar_173;
  c_166.w = (tmpvar_171 * (atten_165 * 4.0));
  highp vec3 tmpvar_174;
  tmpvar_174 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_175;
  lightDir_175 = tmpvar_174;
  mediump vec3 normal_176;
  normal_176 = xlv_TEXCOORD4;
  mediump float tmpvar_177;
  tmpvar_177 = dot (normal_176, lightDir_175);
  mediump vec4 tmpvar_178;
  tmpvar_178 = (c_166 * mix (1.0, clamp (floor((1.01 + tmpvar_177)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_177)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_178.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_178, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec4 shadowVals_144;
  highp vec3 tmpvar_145;
  tmpvar_145 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_146;
  P_146 = (tmpvar_145.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_147;
  tmpvar_147 = texture2D (_ShadowMapTexture, P_146).x;
  shadowVals_144.x = tmpvar_147;
  highp vec2 P_148;
  P_148 = (tmpvar_145.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_149;
  tmpvar_149 = texture2D (_ShadowMapTexture, P_148).x;
  shadowVals_144.y = tmpvar_149;
  highp vec2 P_150;
  P_150 = (tmpvar_145.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_151;
  tmpvar_151 = texture2D (_ShadowMapTexture, P_150).x;
  shadowVals_144.z = tmpvar_151;
  highp vec2 P_152;
  P_152 = (tmpvar_145.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_153;
  tmpvar_153 = texture2D (_ShadowMapTexture, P_152).x;
  shadowVals_144.w = tmpvar_153;
  bvec4 tmpvar_154;
  tmpvar_154 = lessThan (shadowVals_144, tmpvar_145.zzzz);
  highp vec4 tmpvar_155;
  tmpvar_155 = _LightShadowData.xxxx;
  highp float tmpvar_156;
  if (tmpvar_154.x) {
    tmpvar_156 = tmpvar_155.x;
  } else {
    tmpvar_156 = 1.0;
  };
  highp float tmpvar_157;
  if (tmpvar_154.y) {
    tmpvar_157 = tmpvar_155.y;
  } else {
    tmpvar_157 = 1.0;
  };
  highp float tmpvar_158;
  if (tmpvar_154.z) {
    tmpvar_158 = tmpvar_155.z;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_154.w) {
    tmpvar_159 = tmpvar_155.w;
  } else {
    tmpvar_159 = 1.0;
  };
  highp vec4 tmpvar_160;
  tmpvar_160.x = tmpvar_156;
  tmpvar_160.y = tmpvar_157;
  tmpvar_160.z = tmpvar_158;
  tmpvar_160.w = tmpvar_159;
  shadows_143 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_161;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_137;
  mediump vec3 viewDir_163;
  viewDir_163 = xlv_TEXCOORD8;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float atten_165;
  atten_165 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_166;
  highp float nh_167;
  mediump vec3 tmpvar_168;
  tmpvar_168 = normalize(lightDir_162);
  lightDir_162 = tmpvar_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(viewDir_163);
  viewDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(normal_164);
  normal_164 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (tmpvar_170, tmpvar_168);
  mediump float tmpvar_172;
  tmpvar_172 = clamp (dot (normalize((tmpvar_168 + tmpvar_169)), tmpvar_170), 0.0, 1.0);
  nh_167 = tmpvar_172;
  highp vec3 tmpvar_173;
  tmpvar_173 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_171) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_167, _SpecularPower) * _SpecularColor.w))) * (atten_165 * 4.0));
  c_166.xyz = tmpvar_173;
  c_166.w = (tmpvar_171 * (atten_165 * 4.0));
  highp vec3 tmpvar_174;
  tmpvar_174 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_175;
  lightDir_175 = tmpvar_174;
  mediump vec3 normal_176;
  normal_176 = xlv_TEXCOORD4;
  mediump float tmpvar_177;
  tmpvar_177 = dot (normal_176, lightDir_175);
  mediump vec4 tmpvar_178;
  tmpvar_178 = (c_166 * mix (1.0, clamp (floor((1.01 + tmpvar_177)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_177)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_178.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_178, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 694
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 698
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 702
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 shadows_93;
  vec3 tmpvar_94;
  tmpvar_94 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_93.x = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[0].xyz)).x;
  shadows_93.y = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[1].xyz)).x;
  shadows_93.z = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[2].xyz)).x;
  shadows_93.w = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_95;
  tmpvar_95 = (_LightShadowData.xxxx + (shadows_93 * (1.0 - _LightShadowData.xxxx)));
  shadows_93 = tmpvar_95;
  float atten_96;
  atten_96 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_95, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_97;
  vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_99;
  tmpvar_99 = normalize(xlv_TEXCOORD4);
  float tmpvar_100;
  tmpvar_100 = dot (tmpvar_99, tmpvar_98);
  c_97.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_100) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_98 + normalize(xlv_TEXCOORD8))), tmpvar_99), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.w = (tmpvar_100 * (atten_96 * 4.0));
  float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_102;
  tmpvar_102 = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_102.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_102, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec3 tmpvar_144;
  tmpvar_144 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_145;
  coord_145 = (tmpvar_144 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_146;
  tmpvar_146 = shadow2DEXT (_ShadowMapTexture, coord_145);
  shadows_143.x = tmpvar_146;
  highp vec3 coord_147;
  coord_147 = (tmpvar_144 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_148;
  tmpvar_148 = shadow2DEXT (_ShadowMapTexture, coord_147);
  shadows_143.y = tmpvar_148;
  highp vec3 coord_149;
  coord_149 = (tmpvar_144 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_150;
  tmpvar_150 = shadow2DEXT (_ShadowMapTexture, coord_149);
  shadows_143.z = tmpvar_150;
  highp vec3 coord_151;
  coord_151 = (tmpvar_144 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_152;
  tmpvar_152 = shadow2DEXT (_ShadowMapTexture, coord_151);
  shadows_143.w = tmpvar_152;
  highp vec4 tmpvar_153;
  tmpvar_153 = (_LightShadowData.xxxx + (shadows_143 * (1.0 - _LightShadowData.xxxx)));
  shadows_143 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_154;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_137;
  mediump vec3 viewDir_156;
  viewDir_156 = xlv_TEXCOORD8;
  mediump vec3 normal_157;
  normal_157 = xlv_TEXCOORD4;
  mediump float atten_158;
  atten_158 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_159;
  highp float nh_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(lightDir_155);
  lightDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(viewDir_156);
  viewDir_156 = tmpvar_162;
  mediump vec3 tmpvar_163;
  tmpvar_163 = normalize(normal_157);
  normal_157 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (tmpvar_163, tmpvar_161);
  mediump float tmpvar_165;
  tmpvar_165 = clamp (dot (normalize((tmpvar_161 + tmpvar_162)), tmpvar_163), 0.0, 1.0);
  nh_160 = tmpvar_165;
  highp vec3 tmpvar_166;
  tmpvar_166 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_164) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_160, _SpecularPower) * _SpecularColor.w))) * (atten_158 * 4.0));
  c_159.xyz = tmpvar_166;
  c_159.w = (tmpvar_164 * (atten_158 * 4.0));
  highp vec3 tmpvar_167;
  tmpvar_167 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_168;
  lightDir_168 = tmpvar_167;
  mediump vec3 normal_169;
  normal_169 = xlv_TEXCOORD4;
  mediump float tmpvar_170;
  tmpvar_170 = dot (normal_169, lightDir_168);
  mediump vec4 tmpvar_171;
  tmpvar_171 = (c_159 * mix (1.0, clamp (floor((1.01 + tmpvar_170)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_170)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_171, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 694
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 698
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 702
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_95;
  shadowVals_95.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_96;
  tmpvar_96 = lessThan (shadowVals_95, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_97;
  tmpvar_97 = _LightShadowData.xxxx;
  float tmpvar_98;
  if (tmpvar_96.x) {
    tmpvar_98 = tmpvar_97.x;
  } else {
    tmpvar_98 = 1.0;
  };
  float tmpvar_99;
  if (tmpvar_96.y) {
    tmpvar_99 = tmpvar_97.y;
  } else {
    tmpvar_99 = 1.0;
  };
  float tmpvar_100;
  if (tmpvar_96.z) {
    tmpvar_100 = tmpvar_97.z;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_96.w) {
    tmpvar_101 = tmpvar_97.w;
  } else {
    tmpvar_101 = 1.0;
  };
  vec4 tmpvar_102;
  tmpvar_102.x = tmpvar_98;
  tmpvar_102.y = tmpvar_99;
  tmpvar_102.z = tmpvar_100;
  tmpvar_102.w = tmpvar_101;
  float atten_103;
  atten_103 = (tmpvar_94.w * dot (tmpvar_102, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_104;
  vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_106;
  tmpvar_106 = normalize(xlv_TEXCOORD4);
  float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_105);
  c_104.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_105 + normalize(xlv_TEXCOORD8))), tmpvar_106), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.w = (tmpvar_107 * (atten_103 * 4.0));
  float tmpvar_108;
  tmpvar_108 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_109;
  tmpvar_109 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_109, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  mediump vec4 shadows_141;
  highp vec4 shadowVals_142;
  highp float tmpvar_143;
  tmpvar_143 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_144;
  vec_144 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_145;
  lowp vec4 tmpvar_146;
  tmpvar_146 = textureCube (_ShadowMapTexture, vec_144);
  packDist_145 = tmpvar_146;
  shadowVals_142.x = dot (packDist_145, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_147;
  vec_147 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_148;
  lowp vec4 tmpvar_149;
  tmpvar_149 = textureCube (_ShadowMapTexture, vec_147);
  packDist_148 = tmpvar_149;
  shadowVals_142.y = dot (packDist_148, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_150;
  vec_150 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = textureCube (_ShadowMapTexture, vec_150);
  packDist_151 = tmpvar_152;
  shadowVals_142.z = dot (packDist_151, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_142.w = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_156;
  tmpvar_156 = lessThan (shadowVals_142, vec4(tmpvar_143));
  highp vec4 tmpvar_157;
  tmpvar_157 = _LightShadowData.xxxx;
  highp float tmpvar_158;
  if (tmpvar_156.x) {
    tmpvar_158 = tmpvar_157.x;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_156.y) {
    tmpvar_159 = tmpvar_157.y;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_156.z) {
    tmpvar_160 = tmpvar_157.z;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_156.w) {
    tmpvar_161 = tmpvar_157.w;
  } else {
    tmpvar_161 = 1.0;
  };
  highp vec4 tmpvar_162;
  tmpvar_162.x = tmpvar_158;
  tmpvar_162.y = tmpvar_159;
  tmpvar_162.z = tmpvar_160;
  tmpvar_162.w = tmpvar_161;
  shadows_141 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (shadows_141, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_140 = tmpvar_163;
  mediump vec3 lightDir_164;
  lightDir_164 = tmpvar_137;
  mediump vec3 viewDir_165;
  viewDir_165 = xlv_TEXCOORD8;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float atten_167;
  atten_167 = (tmpvar_139.w * tmpvar_140);
  mediump vec4 c_168;
  highp float nh_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(lightDir_164);
  lightDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(viewDir_165);
  viewDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(normal_166);
  normal_166 = tmpvar_172;
  mediump float tmpvar_173;
  tmpvar_173 = dot (tmpvar_172, tmpvar_170);
  mediump float tmpvar_174;
  tmpvar_174 = clamp (dot (normalize((tmpvar_170 + tmpvar_171)), tmpvar_172), 0.0, 1.0);
  nh_169 = tmpvar_174;
  highp vec3 tmpvar_175;
  tmpvar_175 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_173) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_169, _SpecularPower) * _SpecularColor.w))) * (atten_167 * 4.0));
  c_168.xyz = tmpvar_175;
  c_168.w = (tmpvar_173 * (atten_167 * 4.0));
  highp vec3 tmpvar_176;
  tmpvar_176 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_177;
  lightDir_177 = tmpvar_176;
  mediump vec3 normal_178;
  normal_178 = xlv_TEXCOORD4;
  mediump float tmpvar_179;
  tmpvar_179 = dot (normal_178, lightDir_177);
  mediump vec4 tmpvar_180;
  tmpvar_180 = (c_168 * mix (1.0, clamp (floor((1.01 + tmpvar_179)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_179)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_180.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_180, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  mediump vec4 shadows_141;
  highp vec4 shadowVals_142;
  highp float tmpvar_143;
  tmpvar_143 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_144;
  vec_144 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_145;
  lowp vec4 tmpvar_146;
  tmpvar_146 = textureCube (_ShadowMapTexture, vec_144);
  packDist_145 = tmpvar_146;
  shadowVals_142.x = dot (packDist_145, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_147;
  vec_147 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_148;
  lowp vec4 tmpvar_149;
  tmpvar_149 = textureCube (_ShadowMapTexture, vec_147);
  packDist_148 = tmpvar_149;
  shadowVals_142.y = dot (packDist_148, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_150;
  vec_150 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = textureCube (_ShadowMapTexture, vec_150);
  packDist_151 = tmpvar_152;
  shadowVals_142.z = dot (packDist_151, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_142.w = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_156;
  tmpvar_156 = lessThan (shadowVals_142, vec4(tmpvar_143));
  highp vec4 tmpvar_157;
  tmpvar_157 = _LightShadowData.xxxx;
  highp float tmpvar_158;
  if (tmpvar_156.x) {
    tmpvar_158 = tmpvar_157.x;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_156.y) {
    tmpvar_159 = tmpvar_157.y;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_156.z) {
    tmpvar_160 = tmpvar_157.z;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_156.w) {
    tmpvar_161 = tmpvar_157.w;
  } else {
    tmpvar_161 = 1.0;
  };
  highp vec4 tmpvar_162;
  tmpvar_162.x = tmpvar_158;
  tmpvar_162.y = tmpvar_159;
  tmpvar_162.z = tmpvar_160;
  tmpvar_162.w = tmpvar_161;
  shadows_141 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (shadows_141, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_140 = tmpvar_163;
  mediump vec3 lightDir_164;
  lightDir_164 = tmpvar_137;
  mediump vec3 viewDir_165;
  viewDir_165 = xlv_TEXCOORD8;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float atten_167;
  atten_167 = (tmpvar_139.w * tmpvar_140);
  mediump vec4 c_168;
  highp float nh_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(lightDir_164);
  lightDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(viewDir_165);
  viewDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(normal_166);
  normal_166 = tmpvar_172;
  mediump float tmpvar_173;
  tmpvar_173 = dot (tmpvar_172, tmpvar_170);
  mediump float tmpvar_174;
  tmpvar_174 = clamp (dot (normalize((tmpvar_170 + tmpvar_171)), tmpvar_172), 0.0, 1.0);
  nh_169 = tmpvar_174;
  highp vec3 tmpvar_175;
  tmpvar_175 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_173) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_169, _SpecularPower) * _SpecularColor.w))) * (atten_167 * 4.0));
  c_168.xyz = tmpvar_175;
  c_168.w = (tmpvar_173 * (atten_167 * 4.0));
  highp vec3 tmpvar_176;
  tmpvar_176 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_177;
  lightDir_177 = tmpvar_176;
  mediump vec3 normal_178;
  normal_178 = xlv_TEXCOORD4;
  mediump float tmpvar_179;
  tmpvar_179 = dot (normal_178, lightDir_177);
  mediump vec4 tmpvar_180;
  tmpvar_180 = (c_168 * mix (1.0, clamp (floor((1.01 + tmpvar_179)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_179)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_180.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_180, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 654
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 670
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 674
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 678
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 682
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 686
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 690
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 694
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 698
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_95;
  tmpvar_95 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_96;
  shadowVals_96.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_97;
  tmpvar_97 = lessThan (shadowVals_96, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_98;
  tmpvar_98 = _LightShadowData.xxxx;
  float tmpvar_99;
  if (tmpvar_97.x) {
    tmpvar_99 = tmpvar_98.x;
  } else {
    tmpvar_99 = 1.0;
  };
  float tmpvar_100;
  if (tmpvar_97.y) {
    tmpvar_100 = tmpvar_98.y;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_97.z) {
    tmpvar_101 = tmpvar_98.z;
  } else {
    tmpvar_101 = 1.0;
  };
  float tmpvar_102;
  if (tmpvar_97.w) {
    tmpvar_102 = tmpvar_98.w;
  } else {
    tmpvar_102 = 1.0;
  };
  vec4 tmpvar_103;
  tmpvar_103.x = tmpvar_99;
  tmpvar_103.y = tmpvar_100;
  tmpvar_103.z = tmpvar_101;
  tmpvar_103.w = tmpvar_102;
  float atten_104;
  atten_104 = ((tmpvar_94.w * tmpvar_95.w) * dot (tmpvar_103, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_105;
  vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_107;
  tmpvar_107 = normalize(xlv_TEXCOORD4);
  float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_106);
  c_105.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_106 + normalize(xlv_TEXCOORD8))), tmpvar_107), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.w = (tmpvar_108 * (atten_104 * 4.0));
  float tmpvar_109;
  tmpvar_109 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_110;
  tmpvar_110 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_110.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_110, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  mediump vec4 shadows_142;
  highp vec4 shadowVals_143;
  highp float tmpvar_144;
  tmpvar_144 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_145;
  vec_145 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_146;
  lowp vec4 tmpvar_147;
  tmpvar_147 = textureCube (_ShadowMapTexture, vec_145);
  packDist_146 = tmpvar_147;
  shadowVals_143.x = dot (packDist_146, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_148;
  vec_148 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, vec_148);
  packDist_149 = tmpvar_150;
  shadowVals_143.y = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_151;
  vec_151 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_152;
  lowp vec4 tmpvar_153;
  tmpvar_153 = textureCube (_ShadowMapTexture, vec_151);
  packDist_152 = tmpvar_153;
  shadowVals_143.z = dot (packDist_152, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_154;
  vec_154 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_155;
  lowp vec4 tmpvar_156;
  tmpvar_156 = textureCube (_ShadowMapTexture, vec_154);
  packDist_155 = tmpvar_156;
  shadowVals_143.w = dot (packDist_155, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_157;
  tmpvar_157 = lessThan (shadowVals_143, vec4(tmpvar_144));
  highp vec4 tmpvar_158;
  tmpvar_158 = _LightShadowData.xxxx;
  highp float tmpvar_159;
  if (tmpvar_157.x) {
    tmpvar_159 = tmpvar_158.x;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_157.y) {
    tmpvar_160 = tmpvar_158.y;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_157.z) {
    tmpvar_161 = tmpvar_158.z;
  } else {
    tmpvar_161 = 1.0;
  };
  highp float tmpvar_162;
  if (tmpvar_157.w) {
    tmpvar_162 = tmpvar_158.w;
  } else {
    tmpvar_162 = 1.0;
  };
  highp vec4 tmpvar_163;
  tmpvar_163.x = tmpvar_159;
  tmpvar_163.y = tmpvar_160;
  tmpvar_163.z = tmpvar_161;
  tmpvar_163.w = tmpvar_162;
  shadows_142 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (shadows_142, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_141 = tmpvar_164;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_137;
  mediump vec3 viewDir_166;
  viewDir_166 = xlv_TEXCOORD8;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float atten_168;
  atten_168 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_141);
  mediump vec4 c_169;
  highp float nh_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(lightDir_165);
  lightDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(viewDir_166);
  viewDir_166 = tmpvar_172;
  mediump vec3 tmpvar_173;
  tmpvar_173 = normalize(normal_167);
  normal_167 = tmpvar_173;
  mediump float tmpvar_174;
  tmpvar_174 = dot (tmpvar_173, tmpvar_171);
  mediump float tmpvar_175;
  tmpvar_175 = clamp (dot (normalize((tmpvar_171 + tmpvar_172)), tmpvar_173), 0.0, 1.0);
  nh_170 = tmpvar_175;
  highp vec3 tmpvar_176;
  tmpvar_176 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_174) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_170, _SpecularPower) * _SpecularColor.w))) * (atten_168 * 4.0));
  c_169.xyz = tmpvar_176;
  c_169.w = (tmpvar_174 * (atten_168 * 4.0));
  highp vec3 tmpvar_177;
  tmpvar_177 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_178;
  lightDir_178 = tmpvar_177;
  mediump vec3 normal_179;
  normal_179 = xlv_TEXCOORD4;
  mediump float tmpvar_180;
  tmpvar_180 = dot (normal_179, lightDir_178);
  mediump vec4 tmpvar_181;
  tmpvar_181 = (c_169 * mix (1.0, clamp (floor((1.01 + tmpvar_180)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_180)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_181, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  mediump vec4 shadows_142;
  highp vec4 shadowVals_143;
  highp float tmpvar_144;
  tmpvar_144 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_145;
  vec_145 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_146;
  lowp vec4 tmpvar_147;
  tmpvar_147 = textureCube (_ShadowMapTexture, vec_145);
  packDist_146 = tmpvar_147;
  shadowVals_143.x = dot (packDist_146, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_148;
  vec_148 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, vec_148);
  packDist_149 = tmpvar_150;
  shadowVals_143.y = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_151;
  vec_151 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_152;
  lowp vec4 tmpvar_153;
  tmpvar_153 = textureCube (_ShadowMapTexture, vec_151);
  packDist_152 = tmpvar_153;
  shadowVals_143.z = dot (packDist_152, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_154;
  vec_154 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_155;
  lowp vec4 tmpvar_156;
  tmpvar_156 = textureCube (_ShadowMapTexture, vec_154);
  packDist_155 = tmpvar_156;
  shadowVals_143.w = dot (packDist_155, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_157;
  tmpvar_157 = lessThan (shadowVals_143, vec4(tmpvar_144));
  highp vec4 tmpvar_158;
  tmpvar_158 = _LightShadowData.xxxx;
  highp float tmpvar_159;
  if (tmpvar_157.x) {
    tmpvar_159 = tmpvar_158.x;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_157.y) {
    tmpvar_160 = tmpvar_158.y;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_157.z) {
    tmpvar_161 = tmpvar_158.z;
  } else {
    tmpvar_161 = 1.0;
  };
  highp float tmpvar_162;
  if (tmpvar_157.w) {
    tmpvar_162 = tmpvar_158.w;
  } else {
    tmpvar_162 = 1.0;
  };
  highp vec4 tmpvar_163;
  tmpvar_163.x = tmpvar_159;
  tmpvar_163.y = tmpvar_160;
  tmpvar_163.z = tmpvar_161;
  tmpvar_163.w = tmpvar_162;
  shadows_142 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (shadows_142, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_141 = tmpvar_164;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_137;
  mediump vec3 viewDir_166;
  viewDir_166 = xlv_TEXCOORD8;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float atten_168;
  atten_168 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_141);
  mediump vec4 c_169;
  highp float nh_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(lightDir_165);
  lightDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(viewDir_166);
  viewDir_166 = tmpvar_172;
  mediump vec3 tmpvar_173;
  tmpvar_173 = normalize(normal_167);
  normal_167 = tmpvar_173;
  mediump float tmpvar_174;
  tmpvar_174 = dot (tmpvar_173, tmpvar_171);
  mediump float tmpvar_175;
  tmpvar_175 = clamp (dot (normalize((tmpvar_171 + tmpvar_172)), tmpvar_173), 0.0, 1.0);
  nh_170 = tmpvar_175;
  highp vec3 tmpvar_176;
  tmpvar_176 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_174) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_170, _SpecularPower) * _SpecularColor.w))) * (atten_168 * 4.0));
  c_169.xyz = tmpvar_176;
  c_169.w = (tmpvar_174 * (atten_168 * 4.0));
  highp vec3 tmpvar_177;
  tmpvar_177 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_178;
  lightDir_178 = tmpvar_177;
  mediump vec3 normal_179;
  normal_179 = xlv_TEXCOORD4;
  mediump float tmpvar_180;
  tmpvar_180 = dot (normal_179, lightDir_178);
  mediump vec4 tmpvar_181;
  tmpvar_181 = (c_169 * mix (1.0, clamp (floor((1.01 + tmpvar_180)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_180)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_181, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 639
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 643
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 647
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 651
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 655
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 659
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 663
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 667
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 671
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 675
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 679
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 683
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 687
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 691
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 695
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 699
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedlnkgieihfikfkkphgmkfldmhdffajnjoabaaaaaacaaiaaaaadaaaaaa
cmaaaaaapeaaaaaapeabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheopiaaaaaaajaaaaaa
aiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaomaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaomaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaomaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcceagaaaaeaaaabaa
ijabaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaa
afaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaadhccabaaaahaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaahaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaa
acaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaa
anaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaa
dgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaa
egacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaa
aaaaaaaafgbfbaaaacaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaacaaaaaa
egacbaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaagaaaaaa
egiccaaaaaaaaaaabiaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = tmpvar_147.w;
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  highp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = tmpvar_147.w;
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  highp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 667
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 671
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 675
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 679
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 c_98;
  vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_100;
  tmpvar_100 = normalize(xlv_TEXCOORD4);
  float tmpvar_101;
  tmpvar_101 = dot (tmpvar_100, tmpvar_99);
  c_98.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_101) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_99 + normalize(xlv_TEXCOORD8))), tmpvar_100), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * 4.0);
  c_98.w = (tmpvar_101 * 4.0);
  float tmpvar_102;
  tmpvar_102 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_103;
  arg0_103 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_104;
  tmpvar_104 = mix (tmpvar_97, (c_98 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_103, arg0_103)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_104, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 21 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_145;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_146);
  lightDir_146 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_147);
  viewDir_147 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_148);
  normal_148 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * specColor_2.w))) * 4.0);
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * 4.0);
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  highp vec3 arg0_161;
  arg0_161 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_162;
  tmpvar_162 = clamp (((sqrt(dot (arg0_161, arg0_161)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_163;
  tmpvar_163 = mix (tmpvar_143, (c_149 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_162));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_163.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_163, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_145;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_146);
  lightDir_146 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_147);
  viewDir_147 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_148);
  normal_148 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * specColor_2.w))) * 4.0);
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * 4.0);
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  highp vec3 arg0_161;
  arg0_161 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_162;
  tmpvar_162 = clamp (((sqrt(dot (arg0_161, arg0_161)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_163;
  tmpvar_163 = mix (tmpvar_143, (c_149 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_162));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_163.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_163, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 643
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 647
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 651
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 655
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 663
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 667
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 671
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 675
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 679
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 683
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_145;
  mediump vec3 viewDir_151;
  viewDir_151 = xlv_TEXCOORD8;
  mediump vec3 normal_152;
  normal_152 = xlv_TEXCOORD4;
  mediump float atten_153;
  atten_153 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w);
  mediump vec4 c_154;
  highp float nh_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(lightDir_150);
  lightDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(viewDir_151);
  viewDir_151 = tmpvar_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(normal_152);
  normal_152 = tmpvar_158;
  mediump float tmpvar_159;
  tmpvar_159 = dot (tmpvar_158, tmpvar_156);
  mediump float tmpvar_160;
  tmpvar_160 = clamp (dot (normalize((tmpvar_156 + tmpvar_157)), tmpvar_158), 0.0, 1.0);
  nh_155 = tmpvar_160;
  highp vec3 tmpvar_161;
  tmpvar_161 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_159) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_155, _SpecularPower) * specColor_2.w))) * (atten_153 * 4.0));
  c_154.xyz = tmpvar_161;
  c_154.w = (tmpvar_159 * (atten_153 * 4.0));
  highp vec3 tmpvar_162;
  tmpvar_162 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_162;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float tmpvar_165;
  tmpvar_165 = dot (normal_164, lightDir_163);
  highp vec3 arg0_166;
  arg0_166 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_167;
  tmpvar_167 = clamp (((sqrt(dot (arg0_166, arg0_166)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_168;
  tmpvar_168 = mix (tmpvar_143, (c_154 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_165)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_165)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_167));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_168.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_168, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_145;
  mediump vec3 viewDir_151;
  viewDir_151 = xlv_TEXCOORD8;
  mediump vec3 normal_152;
  normal_152 = xlv_TEXCOORD4;
  mediump float atten_153;
  atten_153 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w);
  mediump vec4 c_154;
  highp float nh_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(lightDir_150);
  lightDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(viewDir_151);
  viewDir_151 = tmpvar_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(normal_152);
  normal_152 = tmpvar_158;
  mediump float tmpvar_159;
  tmpvar_159 = dot (tmpvar_158, tmpvar_156);
  mediump float tmpvar_160;
  tmpvar_160 = clamp (dot (normalize((tmpvar_156 + tmpvar_157)), tmpvar_158), 0.0, 1.0);
  nh_155 = tmpvar_160;
  highp vec3 tmpvar_161;
  tmpvar_161 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_159) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_155, _SpecularPower) * specColor_2.w))) * (atten_153 * 4.0));
  c_154.xyz = tmpvar_161;
  c_154.w = (tmpvar_159 * (atten_153 * 4.0));
  highp vec3 tmpvar_162;
  tmpvar_162 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_162;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float tmpvar_165;
  tmpvar_165 = dot (normal_164, lightDir_163);
  highp vec3 arg0_166;
  arg0_166 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_167;
  tmpvar_167 = clamp (((sqrt(dot (arg0_166, arg0_166)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_168;
  tmpvar_168 = mix (tmpvar_143, (c_154 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_165)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_165)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_167));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_168.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_168, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 644
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 656
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 660
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 664
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 668
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 672
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 676
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 680
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 684
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 688
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 692
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 696
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_149;
  lightDir_149 = tmpvar_145;
  mediump vec3 viewDir_150;
  viewDir_150 = xlv_TEXCOORD8;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float atten_152;
  atten_152 = (tmpvar_147.w * tmpvar_148.w);
  mediump vec4 c_153;
  highp float nh_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(lightDir_149);
  lightDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(viewDir_150);
  viewDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(normal_151);
  normal_151 = tmpvar_157;
  mediump float tmpvar_158;
  tmpvar_158 = dot (tmpvar_157, tmpvar_155);
  mediump float tmpvar_159;
  tmpvar_159 = clamp (dot (normalize((tmpvar_155 + tmpvar_156)), tmpvar_157), 0.0, 1.0);
  nh_154 = tmpvar_159;
  highp vec3 tmpvar_160;
  tmpvar_160 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_158) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_154, _SpecularPower) * specColor_2.w))) * (atten_152 * 4.0));
  c_153.xyz = tmpvar_160;
  c_153.w = (tmpvar_158 * (atten_152 * 4.0));
  highp vec3 tmpvar_161;
  tmpvar_161 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_161;
  mediump vec3 normal_163;
  normal_163 = xlv_TEXCOORD4;
  mediump float tmpvar_164;
  tmpvar_164 = dot (normal_163, lightDir_162);
  highp vec3 arg0_165;
  arg0_165 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_166;
  tmpvar_166 = clamp (((sqrt(dot (arg0_165, arg0_165)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_167;
  tmpvar_167 = mix (tmpvar_143, (c_153 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_164)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_164)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_166));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_167.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_167, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_149;
  lightDir_149 = tmpvar_145;
  mediump vec3 viewDir_150;
  viewDir_150 = xlv_TEXCOORD8;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float atten_152;
  atten_152 = (tmpvar_147.w * tmpvar_148.w);
  mediump vec4 c_153;
  highp float nh_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(lightDir_149);
  lightDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(viewDir_150);
  viewDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(normal_151);
  normal_151 = tmpvar_157;
  mediump float tmpvar_158;
  tmpvar_158 = dot (tmpvar_157, tmpvar_155);
  mediump float tmpvar_159;
  tmpvar_159 = clamp (dot (normalize((tmpvar_155 + tmpvar_156)), tmpvar_157), 0.0, 1.0);
  nh_154 = tmpvar_159;
  highp vec3 tmpvar_160;
  tmpvar_160 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_158) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_154, _SpecularPower) * specColor_2.w))) * (atten_152 * 4.0));
  c_153.xyz = tmpvar_160;
  c_153.w = (tmpvar_158 * (atten_152 * 4.0));
  highp vec3 tmpvar_161;
  tmpvar_161 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_161;
  mediump vec3 normal_163;
  normal_163 = xlv_TEXCOORD4;
  mediump float tmpvar_164;
  tmpvar_164 = dot (normal_163, lightDir_162);
  highp vec3 arg0_165;
  arg0_165 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_166;
  tmpvar_166 = clamp (((sqrt(dot (arg0_165, arg0_165)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_167;
  tmpvar_167 = mix (tmpvar_143, (c_153 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_164)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_164)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_166));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_167.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_167, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 627
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 631
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 636
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 648
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 652
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 656
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 660
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 664
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 668
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 672
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 676
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 680
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 684
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 688
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146.w;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146.w;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 667
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 671
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 675
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 679
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  float atten_102;
  atten_102 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_98.w) * tmpvar_99.w) * tmpvar_101);
  vec4 c_103;
  vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_105;
  tmpvar_105 = normalize(xlv_TEXCOORD4);
  float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_104);
  c_103.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_104 + normalize(xlv_TEXCOORD8))), tmpvar_105), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_102 * 4.0));
  c_103.w = (tmpvar_106 * (atten_102 * 4.0));
  float tmpvar_107;
  tmpvar_107 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_108;
  arg0_108 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_109;
  tmpvar_109 = mix (tmpvar_97, (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_108, arg0_108)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_109, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_153;
  if ((tmpvar_152.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_153;
  if ((tmpvar_152.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 650
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 666
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 670
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 674
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 678
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 682
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 686
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 690
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 694
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 698
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 702
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 706
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp float tmpvar_152;
  tmpvar_152 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_151 = tmpvar_152;
  highp float tmpvar_153;
  tmpvar_153 = (_LightShadowData.x + (shadow_151 * (1.0 - _LightShadowData.x)));
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 651
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 667
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 671
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 675
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 679
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 683
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 687
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 691
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 695
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 699
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 703
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 707
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (tmpvar_98.x * 4.0));
  c_99.w = (tmpvar_102 * (tmpvar_98.x * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedoilapkbekeadoeijedkpokimhcmjanliabaaaaaahmahaaaaadaaaaaa
cmaaaaaapeaaaaaapeabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheopiaaaaaaajaaaaaa
aiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaomaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaomaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaomaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefciaafaaaaeaaaabaa
gaabaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaa
agaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaadhccabaaaahaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaa
elaaaaaficcabaaaacaaaaaadkaabaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaahaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaadaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaadaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaakhccabaaaagaaaaaaegiccaaa
aaaaaaaabiaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_146;
  mediump float lightShadowDataX_147;
  highp float dist_148;
  lowp float tmpvar_149;
  tmpvar_149 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_148 = tmpvar_149;
  highp float tmpvar_150;
  tmpvar_150 = _LightShadowData.x;
  lightShadowDataX_147 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = max (float((dist_148 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_147);
  tmpvar_146 = tmpvar_151;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_145;
  mediump vec3 viewDir_153;
  viewDir_153 = xlv_TEXCOORD8;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float atten_155;
  atten_155 = tmpvar_146;
  mediump vec4 c_156;
  highp float nh_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(lightDir_152);
  lightDir_152 = tmpvar_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(viewDir_153);
  viewDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(normal_154);
  normal_154 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (tmpvar_160, tmpvar_158);
  mediump float tmpvar_162;
  tmpvar_162 = clamp (dot (normalize((tmpvar_158 + tmpvar_159)), tmpvar_160), 0.0, 1.0);
  nh_157 = tmpvar_162;
  highp vec3 tmpvar_163;
  tmpvar_163 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_161) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_157, _SpecularPower) * specColor_2.w))) * (atten_155 * 4.0));
  c_156.xyz = tmpvar_163;
  c_156.w = (tmpvar_161 * (atten_155 * 4.0));
  lowp vec3 tmpvar_164;
  tmpvar_164 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_164;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float tmpvar_167;
  tmpvar_167 = dot (normal_166, lightDir_165);
  highp vec3 arg0_168;
  arg0_168 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_169;
  tmpvar_169 = clamp (((sqrt(dot (arg0_168, arg0_168)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_170;
  tmpvar_170 = mix (tmpvar_143, (c_156 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_167)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_167)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_169));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_170.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_170, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_146;
  tmpvar_146 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 632
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 636
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 641
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    #line 645
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 649
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 653
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 657
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 661
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 665
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 669
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 673
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 677
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 681
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 685
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 689
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 693
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_147;
  mediump float lightShadowDataX_148;
  highp float dist_149;
  lowp float tmpvar_150;
  tmpvar_150 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = _LightShadowData.x;
  lightShadowDataX_148 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = max (float((dist_149 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_148);
  tmpvar_147 = tmpvar_152;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_146.w * tmpvar_147);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  lowp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = (tmpvar_146.w * tmpvar_147.x);
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  lowp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 643
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 647
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 651
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 655
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 659
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 663
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 667
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 671
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 675
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 679
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 683
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 687
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 691
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 695
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 699
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_100;
  tmpvar_100 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_101;
  if ((tmpvar_100 < tmpvar_99)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  float atten_102;
  atten_102 = (tmpvar_98.w * tmpvar_101);
  vec4 c_103;
  vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_105;
  tmpvar_105 = normalize(xlv_TEXCOORD4);
  float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_104);
  c_103.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_104 + normalize(xlv_TEXCOORD8))), tmpvar_105), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_102 * 4.0));
  c_103.w = (tmpvar_106 * (atten_102 * 4.0));
  float tmpvar_107;
  tmpvar_107 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_108;
  arg0_108 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_109;
  tmpvar_109 = mix (tmpvar_97, (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_108, arg0_108)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_109, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  tmpvar_148 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_152;
  if ((tmpvar_151 < tmpvar_148)) {
    tmpvar_152 = _LightShadowData.x;
  } else {
    tmpvar_152 = 1.0;
  };
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_147.w * tmpvar_152);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  highp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  tmpvar_148 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_152;
  if ((tmpvar_151 < tmpvar_148)) {
    tmpvar_152 = _LightShadowData.x;
  } else {
    tmpvar_152 = 1.0;
  };
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_147.w * tmpvar_152);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  highp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 632
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 636
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 640
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 644
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 648
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 652
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 656
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 660
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 664
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 668
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 672
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 676
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 680
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 684
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 688
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 692
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 696
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 700
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 704
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_99;
  tmpvar_99 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_101;
  tmpvar_101 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_102;
  if ((tmpvar_101 < tmpvar_100)) {
    tmpvar_102 = _LightShadowData.x;
  } else {
    tmpvar_102 = 1.0;
  };
  float atten_103;
  atten_103 = ((tmpvar_98.w * tmpvar_99.w) * tmpvar_102);
  vec4 c_104;
  vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_106;
  tmpvar_106 = normalize(xlv_TEXCOORD4);
  float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_105);
  c_104.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_105 + normalize(xlv_TEXCOORD8))), tmpvar_106), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_103 * 4.0));
  c_104.w = (tmpvar_107 * (atten_103 * 4.0));
  float tmpvar_108;
  tmpvar_108 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_110;
  tmpvar_110 = mix (tmpvar_97, (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_110.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_110, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  tmpvar_149 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_150;
  lowp vec4 tmpvar_151;
  tmpvar_151 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_150 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = dot (packDist_150, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_153;
  if ((tmpvar_152 < tmpvar_149)) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_153);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  tmpvar_149 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_150;
  lowp vec4 tmpvar_151;
  tmpvar_151 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_150 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = dot (packDist_150, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_153;
  if ((tmpvar_152 < tmpvar_149)) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_153);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 633
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 637
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 641
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 645
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 649
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 653
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 657
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 661
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 665
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 669
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 673
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 677
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 681
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 685
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 689
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 693
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 697
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 701
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 705
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_100;
  vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_100.x = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_100.y = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_100.z = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_100.w = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  float atten_109;
  atten_109 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_98.w) * tmpvar_99.w) * dot (tmpvar_108, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_110;
  vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD4);
  float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_111);
  c_110.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_111 + normalize(xlv_TEXCOORD8))), tmpvar_112), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_109 * 4.0));
  c_110.w = (tmpvar_113 * (atten_109 * 4.0));
  float tmpvar_114;
  tmpvar_114 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_115;
  arg0_115 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_116;
  tmpvar_116 = mix (tmpvar_97, (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_115, arg0_115)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_116, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec4 shadowVals_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_154;
  P_154 = (tmpvar_153.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_155;
  tmpvar_155 = texture2D (_ShadowMapTexture, P_154).x;
  shadowVals_152.x = tmpvar_155;
  highp vec2 P_156;
  P_156 = (tmpvar_153.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_157;
  tmpvar_157 = texture2D (_ShadowMapTexture, P_156).x;
  shadowVals_152.y = tmpvar_157;
  highp vec2 P_158;
  P_158 = (tmpvar_153.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_159;
  tmpvar_159 = texture2D (_ShadowMapTexture, P_158).x;
  shadowVals_152.z = tmpvar_159;
  highp vec2 P_160;
  P_160 = (tmpvar_153.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_161;
  tmpvar_161 = texture2D (_ShadowMapTexture, P_160).x;
  shadowVals_152.w = tmpvar_161;
  bvec4 tmpvar_162;
  tmpvar_162 = lessThan (shadowVals_152, tmpvar_153.zzzz);
  highp vec4 tmpvar_163;
  tmpvar_163 = _LightShadowData.xxxx;
  highp float tmpvar_164;
  if (tmpvar_162.x) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = 1.0;
  };
  highp float tmpvar_165;
  if (tmpvar_162.y) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = 1.0;
  };
  highp float tmpvar_166;
  if (tmpvar_162.z) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_162.w) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = 1.0;
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  shadows_151 = tmpvar_168;
  mediump float tmpvar_169;
  tmpvar_169 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_169;
  mediump vec3 lightDir_170;
  lightDir_170 = tmpvar_145;
  mediump vec3 viewDir_171;
  viewDir_171 = xlv_TEXCOORD8;
  mediump vec3 normal_172;
  normal_172 = xlv_TEXCOORD4;
  mediump float atten_173;
  atten_173 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_174;
  highp float nh_175;
  mediump vec3 tmpvar_176;
  tmpvar_176 = normalize(lightDir_170);
  lightDir_170 = tmpvar_176;
  mediump vec3 tmpvar_177;
  tmpvar_177 = normalize(viewDir_171);
  viewDir_171 = tmpvar_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(normal_172);
  normal_172 = tmpvar_178;
  mediump float tmpvar_179;
  tmpvar_179 = dot (tmpvar_178, tmpvar_176);
  mediump float tmpvar_180;
  tmpvar_180 = clamp (dot (normalize((tmpvar_176 + tmpvar_177)), tmpvar_178), 0.0, 1.0);
  nh_175 = tmpvar_180;
  highp vec3 tmpvar_181;
  tmpvar_181 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_179) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_175, _SpecularPower) * specColor_2.w))) * (atten_173 * 4.0));
  c_174.xyz = tmpvar_181;
  c_174.w = (tmpvar_179 * (atten_173 * 4.0));
  highp vec3 tmpvar_182;
  tmpvar_182 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_183;
  lightDir_183 = tmpvar_182;
  mediump vec3 normal_184;
  normal_184 = xlv_TEXCOORD4;
  mediump float tmpvar_185;
  tmpvar_185 = dot (normal_184, lightDir_183);
  highp vec3 arg0_186;
  arg0_186 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_187;
  tmpvar_187 = clamp (((sqrt(dot (arg0_186, arg0_186)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_188;
  tmpvar_188 = mix (tmpvar_143, (c_174 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_185)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_185)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_187));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_188.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_188, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec4 shadowVals_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_154;
  P_154 = (tmpvar_153.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_155;
  tmpvar_155 = texture2D (_ShadowMapTexture, P_154).x;
  shadowVals_152.x = tmpvar_155;
  highp vec2 P_156;
  P_156 = (tmpvar_153.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_157;
  tmpvar_157 = texture2D (_ShadowMapTexture, P_156).x;
  shadowVals_152.y = tmpvar_157;
  highp vec2 P_158;
  P_158 = (tmpvar_153.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_159;
  tmpvar_159 = texture2D (_ShadowMapTexture, P_158).x;
  shadowVals_152.z = tmpvar_159;
  highp vec2 P_160;
  P_160 = (tmpvar_153.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_161;
  tmpvar_161 = texture2D (_ShadowMapTexture, P_160).x;
  shadowVals_152.w = tmpvar_161;
  bvec4 tmpvar_162;
  tmpvar_162 = lessThan (shadowVals_152, tmpvar_153.zzzz);
  highp vec4 tmpvar_163;
  tmpvar_163 = _LightShadowData.xxxx;
  highp float tmpvar_164;
  if (tmpvar_162.x) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = 1.0;
  };
  highp float tmpvar_165;
  if (tmpvar_162.y) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = 1.0;
  };
  highp float tmpvar_166;
  if (tmpvar_162.z) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_162.w) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = 1.0;
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  shadows_151 = tmpvar_168;
  mediump float tmpvar_169;
  tmpvar_169 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_169;
  mediump vec3 lightDir_170;
  lightDir_170 = tmpvar_145;
  mediump vec3 viewDir_171;
  viewDir_171 = xlv_TEXCOORD8;
  mediump vec3 normal_172;
  normal_172 = xlv_TEXCOORD4;
  mediump float atten_173;
  atten_173 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_174;
  highp float nh_175;
  mediump vec3 tmpvar_176;
  tmpvar_176 = normalize(lightDir_170);
  lightDir_170 = tmpvar_176;
  mediump vec3 tmpvar_177;
  tmpvar_177 = normalize(viewDir_171);
  viewDir_171 = tmpvar_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(normal_172);
  normal_172 = tmpvar_178;
  mediump float tmpvar_179;
  tmpvar_179 = dot (tmpvar_178, tmpvar_176);
  mediump float tmpvar_180;
  tmpvar_180 = clamp (dot (normalize((tmpvar_176 + tmpvar_177)), tmpvar_178), 0.0, 1.0);
  nh_175 = tmpvar_180;
  highp vec3 tmpvar_181;
  tmpvar_181 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_179) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_175, _SpecularPower) * specColor_2.w))) * (atten_173 * 4.0));
  c_174.xyz = tmpvar_181;
  c_174.w = (tmpvar_179 * (atten_173 * 4.0));
  highp vec3 tmpvar_182;
  tmpvar_182 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_183;
  lightDir_183 = tmpvar_182;
  mediump vec3 normal_184;
  normal_184 = xlv_TEXCOORD4;
  mediump float tmpvar_185;
  tmpvar_185 = dot (normal_184, lightDir_183);
  highp vec3 arg0_186;
  arg0_186 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_187;
  tmpvar_187 = clamp (((sqrt(dot (arg0_186, arg0_186)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_188;
  tmpvar_188 = mix (tmpvar_143, (c_174 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_185)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_185)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_187));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_188.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_188, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 694
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 698
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 702
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 706
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 710
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 714
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 shadows_98;
  vec3 tmpvar_99;
  tmpvar_99 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_98.x = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[0].xyz)).x;
  shadows_98.y = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[1].xyz)).x;
  shadows_98.z = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[2].xyz)).x;
  shadows_98.w = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_100;
  tmpvar_100 = (_LightShadowData.xxxx + (shadows_98 * (1.0 - _LightShadowData.xxxx)));
  shadows_98 = tmpvar_100;
  float atten_101;
  atten_101 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_100, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_102;
  vec3 tmpvar_103;
  tmpvar_103 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_104;
  tmpvar_104 = normalize(xlv_TEXCOORD4);
  float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_103);
  c_102.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_103 + normalize(xlv_TEXCOORD8))), tmpvar_104), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_101 * 4.0));
  c_102.w = (tmpvar_105 * (atten_101 * 4.0));
  float tmpvar_106;
  tmpvar_106 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_107;
  arg0_107 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_108;
  tmpvar_108 = mix (tmpvar_97, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_106)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_106)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_107, arg0_107)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_108.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_108, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_153;
  coord_153 = (tmpvar_152 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_154;
  tmpvar_154 = shadow2DEXT (_ShadowMapTexture, coord_153);
  shadows_151.x = tmpvar_154;
  highp vec3 coord_155;
  coord_155 = (tmpvar_152 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_156;
  tmpvar_156 = shadow2DEXT (_ShadowMapTexture, coord_155);
  shadows_151.y = tmpvar_156;
  highp vec3 coord_157;
  coord_157 = (tmpvar_152 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_158;
  tmpvar_158 = shadow2DEXT (_ShadowMapTexture, coord_157);
  shadows_151.z = tmpvar_158;
  highp vec3 coord_159;
  coord_159 = (tmpvar_152 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_160;
  tmpvar_160 = shadow2DEXT (_ShadowMapTexture, coord_159);
  shadows_151.w = tmpvar_160;
  highp vec4 tmpvar_161;
  tmpvar_161 = (_LightShadowData.xxxx + (shadows_151 * (1.0 - _LightShadowData.xxxx)));
  shadows_151 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_162;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_145;
  mediump vec3 viewDir_164;
  viewDir_164 = xlv_TEXCOORD8;
  mediump vec3 normal_165;
  normal_165 = xlv_TEXCOORD4;
  mediump float atten_166;
  atten_166 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_167;
  highp float nh_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(lightDir_163);
  lightDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(viewDir_164);
  viewDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(normal_165);
  normal_165 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (tmpvar_171, tmpvar_169);
  mediump float tmpvar_173;
  tmpvar_173 = clamp (dot (normalize((tmpvar_169 + tmpvar_170)), tmpvar_171), 0.0, 1.0);
  nh_168 = tmpvar_173;
  highp vec3 tmpvar_174;
  tmpvar_174 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_172) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_168, _SpecularPower) * specColor_2.w))) * (atten_166 * 4.0));
  c_167.xyz = tmpvar_174;
  c_167.w = (tmpvar_172 * (atten_166 * 4.0));
  highp vec3 tmpvar_175;
  tmpvar_175 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_176;
  lightDir_176 = tmpvar_175;
  mediump vec3 normal_177;
  normal_177 = xlv_TEXCOORD4;
  mediump float tmpvar_178;
  tmpvar_178 = dot (normal_177, lightDir_176);
  highp vec3 arg0_179;
  arg0_179 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_180;
  tmpvar_180 = clamp (((sqrt(dot (arg0_179, arg0_179)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_181;
  tmpvar_181 = mix (tmpvar_143, (c_167 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_178)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_178)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_180));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_181, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 694
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 698
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 702
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 706
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 710
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 714
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_99;
  shadowVals_99.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_100;
  tmpvar_100 = lessThan (shadowVals_99, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_101;
  tmpvar_101 = _LightShadowData.xxxx;
  float tmpvar_102;
  if (tmpvar_100.x) {
    tmpvar_102 = tmpvar_101.x;
  } else {
    tmpvar_102 = 1.0;
  };
  float tmpvar_103;
  if (tmpvar_100.y) {
    tmpvar_103 = tmpvar_101.y;
  } else {
    tmpvar_103 = 1.0;
  };
  float tmpvar_104;
  if (tmpvar_100.z) {
    tmpvar_104 = tmpvar_101.z;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_100.w) {
    tmpvar_105 = tmpvar_101.w;
  } else {
    tmpvar_105 = 1.0;
  };
  vec4 tmpvar_106;
  tmpvar_106.x = tmpvar_102;
  tmpvar_106.y = tmpvar_103;
  tmpvar_106.z = tmpvar_104;
  tmpvar_106.w = tmpvar_105;
  float atten_107;
  atten_107 = (tmpvar_98.w * dot (tmpvar_106, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_108;
  vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_110;
  tmpvar_110 = normalize(xlv_TEXCOORD4);
  float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_109);
  c_108.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_109 + normalize(xlv_TEXCOORD8))), tmpvar_110), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_107 * 4.0));
  c_108.w = (tmpvar_111 * (atten_107 * 4.0));
  float tmpvar_112;
  tmpvar_112 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_114;
  tmpvar_114 = mix (tmpvar_97, (c_108 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_114.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_114, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  mediump vec4 shadows_149;
  highp vec4 shadowVals_150;
  highp float tmpvar_151;
  tmpvar_151 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_152;
  vec_152 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_153;
  lowp vec4 tmpvar_154;
  tmpvar_154 = textureCube (_ShadowMapTexture, vec_152);
  packDist_153 = tmpvar_154;
  shadowVals_150.x = dot (packDist_153, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_155;
  vec_155 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_156;
  lowp vec4 tmpvar_157;
  tmpvar_157 = textureCube (_ShadowMapTexture, vec_155);
  packDist_156 = tmpvar_157;
  shadowVals_150.y = dot (packDist_156, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_158;
  vec_158 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_159;
  lowp vec4 tmpvar_160;
  tmpvar_160 = textureCube (_ShadowMapTexture, vec_158);
  packDist_159 = tmpvar_160;
  shadowVals_150.z = dot (packDist_159, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_161;
  vec_161 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_162;
  lowp vec4 tmpvar_163;
  tmpvar_163 = textureCube (_ShadowMapTexture, vec_161);
  packDist_162 = tmpvar_163;
  shadowVals_150.w = dot (packDist_162, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_164;
  tmpvar_164 = lessThan (shadowVals_150, vec4(tmpvar_151));
  highp vec4 tmpvar_165;
  tmpvar_165 = _LightShadowData.xxxx;
  highp float tmpvar_166;
  if (tmpvar_164.x) {
    tmpvar_166 = tmpvar_165.x;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_164.y) {
    tmpvar_167 = tmpvar_165.y;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_164.z) {
    tmpvar_168 = tmpvar_165.z;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_164.w) {
    tmpvar_169 = tmpvar_165.w;
  } else {
    tmpvar_169 = 1.0;
  };
  highp vec4 tmpvar_170;
  tmpvar_170.x = tmpvar_166;
  tmpvar_170.y = tmpvar_167;
  tmpvar_170.z = tmpvar_168;
  tmpvar_170.w = tmpvar_169;
  shadows_149 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (shadows_149, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_148 = tmpvar_171;
  mediump vec3 lightDir_172;
  lightDir_172 = tmpvar_145;
  mediump vec3 viewDir_173;
  viewDir_173 = xlv_TEXCOORD8;
  mediump vec3 normal_174;
  normal_174 = xlv_TEXCOORD4;
  mediump float atten_175;
  atten_175 = (tmpvar_147.w * tmpvar_148);
  mediump vec4 c_176;
  highp float nh_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(lightDir_172);
  lightDir_172 = tmpvar_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(viewDir_173);
  viewDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(normal_174);
  normal_174 = tmpvar_180;
  mediump float tmpvar_181;
  tmpvar_181 = dot (tmpvar_180, tmpvar_178);
  mediump float tmpvar_182;
  tmpvar_182 = clamp (dot (normalize((tmpvar_178 + tmpvar_179)), tmpvar_180), 0.0, 1.0);
  nh_177 = tmpvar_182;
  highp vec3 tmpvar_183;
  tmpvar_183 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_181) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_177, _SpecularPower) * specColor_2.w))) * (atten_175 * 4.0));
  c_176.xyz = tmpvar_183;
  c_176.w = (tmpvar_181 * (atten_175 * 4.0));
  highp vec3 tmpvar_184;
  tmpvar_184 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_185;
  lightDir_185 = tmpvar_184;
  mediump vec3 normal_186;
  normal_186 = xlv_TEXCOORD4;
  mediump float tmpvar_187;
  tmpvar_187 = dot (normal_186, lightDir_185);
  highp vec3 arg0_188;
  arg0_188 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_189;
  tmpvar_189 = clamp (((sqrt(dot (arg0_188, arg0_188)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_190;
  tmpvar_190 = mix (tmpvar_143, (c_176 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_187)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_187)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_189));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_190.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_190, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  mediump vec4 shadows_149;
  highp vec4 shadowVals_150;
  highp float tmpvar_151;
  tmpvar_151 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_152;
  vec_152 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_153;
  lowp vec4 tmpvar_154;
  tmpvar_154 = textureCube (_ShadowMapTexture, vec_152);
  packDist_153 = tmpvar_154;
  shadowVals_150.x = dot (packDist_153, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_155;
  vec_155 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_156;
  lowp vec4 tmpvar_157;
  tmpvar_157 = textureCube (_ShadowMapTexture, vec_155);
  packDist_156 = tmpvar_157;
  shadowVals_150.y = dot (packDist_156, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_158;
  vec_158 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_159;
  lowp vec4 tmpvar_160;
  tmpvar_160 = textureCube (_ShadowMapTexture, vec_158);
  packDist_159 = tmpvar_160;
  shadowVals_150.z = dot (packDist_159, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_161;
  vec_161 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_162;
  lowp vec4 tmpvar_163;
  tmpvar_163 = textureCube (_ShadowMapTexture, vec_161);
  packDist_162 = tmpvar_163;
  shadowVals_150.w = dot (packDist_162, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_164;
  tmpvar_164 = lessThan (shadowVals_150, vec4(tmpvar_151));
  highp vec4 tmpvar_165;
  tmpvar_165 = _LightShadowData.xxxx;
  highp float tmpvar_166;
  if (tmpvar_164.x) {
    tmpvar_166 = tmpvar_165.x;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_164.y) {
    tmpvar_167 = tmpvar_165.y;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_164.z) {
    tmpvar_168 = tmpvar_165.z;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_164.w) {
    tmpvar_169 = tmpvar_165.w;
  } else {
    tmpvar_169 = 1.0;
  };
  highp vec4 tmpvar_170;
  tmpvar_170.x = tmpvar_166;
  tmpvar_170.y = tmpvar_167;
  tmpvar_170.z = tmpvar_168;
  tmpvar_170.w = tmpvar_169;
  shadows_149 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (shadows_149, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_148 = tmpvar_171;
  mediump vec3 lightDir_172;
  lightDir_172 = tmpvar_145;
  mediump vec3 viewDir_173;
  viewDir_173 = xlv_TEXCOORD8;
  mediump vec3 normal_174;
  normal_174 = xlv_TEXCOORD4;
  mediump float atten_175;
  atten_175 = (tmpvar_147.w * tmpvar_148);
  mediump vec4 c_176;
  highp float nh_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(lightDir_172);
  lightDir_172 = tmpvar_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(viewDir_173);
  viewDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(normal_174);
  normal_174 = tmpvar_180;
  mediump float tmpvar_181;
  tmpvar_181 = dot (tmpvar_180, tmpvar_178);
  mediump float tmpvar_182;
  tmpvar_182 = clamp (dot (normalize((tmpvar_178 + tmpvar_179)), tmpvar_180), 0.0, 1.0);
  nh_177 = tmpvar_182;
  highp vec3 tmpvar_183;
  tmpvar_183 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_181) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_177, _SpecularPower) * specColor_2.w))) * (atten_175 * 4.0));
  c_176.xyz = tmpvar_183;
  c_176.w = (tmpvar_181 * (atten_175 * 4.0));
  highp vec3 tmpvar_184;
  tmpvar_184 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_185;
  lightDir_185 = tmpvar_184;
  mediump vec3 normal_186;
  normal_186 = xlv_TEXCOORD4;
  mediump float tmpvar_187;
  tmpvar_187 = dot (normal_186, lightDir_185);
  highp vec3 arg0_188;
  arg0_188 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_189;
  tmpvar_189 = clamp (((sqrt(dot (arg0_188, arg0_188)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_190;
  tmpvar_190 = mix (tmpvar_143, (c_176 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_187)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_187)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_189));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_190.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_190, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 654
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 670
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 674
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 678
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 682
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 686
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 690
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 694
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 698
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 702
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 706
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 710
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_99;
  tmpvar_99 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_100;
  shadowVals_100.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_101;
  tmpvar_101 = lessThan (shadowVals_100, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_102;
  tmpvar_102 = _LightShadowData.xxxx;
  float tmpvar_103;
  if (tmpvar_101.x) {
    tmpvar_103 = tmpvar_102.x;
  } else {
    tmpvar_103 = 1.0;
  };
  float tmpvar_104;
  if (tmpvar_101.y) {
    tmpvar_104 = tmpvar_102.y;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_101.z) {
    tmpvar_105 = tmpvar_102.z;
  } else {
    tmpvar_105 = 1.0;
  };
  float tmpvar_106;
  if (tmpvar_101.w) {
    tmpvar_106 = tmpvar_102.w;
  } else {
    tmpvar_106 = 1.0;
  };
  vec4 tmpvar_107;
  tmpvar_107.x = tmpvar_103;
  tmpvar_107.y = tmpvar_104;
  tmpvar_107.z = tmpvar_105;
  tmpvar_107.w = tmpvar_106;
  float atten_108;
  atten_108 = ((tmpvar_98.w * tmpvar_99.w) * dot (tmpvar_107, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_109;
  vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_111;
  tmpvar_111 = normalize(xlv_TEXCOORD4);
  float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_110);
  c_109.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_110 + normalize(xlv_TEXCOORD8))), tmpvar_111), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_108 * 4.0));
  c_109.w = (tmpvar_112 * (atten_108 * 4.0));
  float tmpvar_113;
  tmpvar_113 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_115;
  tmpvar_115 = mix (tmpvar_97, (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_115, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  mediump vec4 shadows_150;
  highp vec4 shadowVals_151;
  highp float tmpvar_152;
  tmpvar_152 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_151.x = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_156;
  vec_156 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_157;
  lowp vec4 tmpvar_158;
  tmpvar_158 = textureCube (_ShadowMapTexture, vec_156);
  packDist_157 = tmpvar_158;
  shadowVals_151.y = dot (packDist_157, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_159;
  vec_159 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_160;
  lowp vec4 tmpvar_161;
  tmpvar_161 = textureCube (_ShadowMapTexture, vec_159);
  packDist_160 = tmpvar_161;
  shadowVals_151.z = dot (packDist_160, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_162;
  vec_162 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_163;
  lowp vec4 tmpvar_164;
  tmpvar_164 = textureCube (_ShadowMapTexture, vec_162);
  packDist_163 = tmpvar_164;
  shadowVals_151.w = dot (packDist_163, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_165;
  tmpvar_165 = lessThan (shadowVals_151, vec4(tmpvar_152));
  highp vec4 tmpvar_166;
  tmpvar_166 = _LightShadowData.xxxx;
  highp float tmpvar_167;
  if (tmpvar_165.x) {
    tmpvar_167 = tmpvar_166.x;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_165.y) {
    tmpvar_168 = tmpvar_166.y;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_165.z) {
    tmpvar_169 = tmpvar_166.z;
  } else {
    tmpvar_169 = 1.0;
  };
  highp float tmpvar_170;
  if (tmpvar_165.w) {
    tmpvar_170 = tmpvar_166.w;
  } else {
    tmpvar_170 = 1.0;
  };
  highp vec4 tmpvar_171;
  tmpvar_171.x = tmpvar_167;
  tmpvar_171.y = tmpvar_168;
  tmpvar_171.z = tmpvar_169;
  tmpvar_171.w = tmpvar_170;
  shadows_150 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (shadows_150, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_149 = tmpvar_172;
  mediump vec3 lightDir_173;
  lightDir_173 = tmpvar_145;
  mediump vec3 viewDir_174;
  viewDir_174 = xlv_TEXCOORD8;
  mediump vec3 normal_175;
  normal_175 = xlv_TEXCOORD4;
  mediump float atten_176;
  atten_176 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_149);
  mediump vec4 c_177;
  highp float nh_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(lightDir_173);
  lightDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(viewDir_174);
  viewDir_174 = tmpvar_180;
  mediump vec3 tmpvar_181;
  tmpvar_181 = normalize(normal_175);
  normal_175 = tmpvar_181;
  mediump float tmpvar_182;
  tmpvar_182 = dot (tmpvar_181, tmpvar_179);
  mediump float tmpvar_183;
  tmpvar_183 = clamp (dot (normalize((tmpvar_179 + tmpvar_180)), tmpvar_181), 0.0, 1.0);
  nh_178 = tmpvar_183;
  highp vec3 tmpvar_184;
  tmpvar_184 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_182) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_178, _SpecularPower) * specColor_2.w))) * (atten_176 * 4.0));
  c_177.xyz = tmpvar_184;
  c_177.w = (tmpvar_182 * (atten_176 * 4.0));
  highp vec3 tmpvar_185;
  tmpvar_185 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_186;
  lightDir_186 = tmpvar_185;
  mediump vec3 normal_187;
  normal_187 = xlv_TEXCOORD4;
  mediump float tmpvar_188;
  tmpvar_188 = dot (normal_187, lightDir_186);
  highp vec3 arg0_189;
  arg0_189 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_190;
  tmpvar_190 = clamp (((sqrt(dot (arg0_189, arg0_189)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_191;
  tmpvar_191 = mix (tmpvar_143, (c_177 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_188)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_188)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_190));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_191.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_191, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  mediump vec4 shadows_150;
  highp vec4 shadowVals_151;
  highp float tmpvar_152;
  tmpvar_152 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_151.x = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_156;
  vec_156 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_157;
  lowp vec4 tmpvar_158;
  tmpvar_158 = textureCube (_ShadowMapTexture, vec_156);
  packDist_157 = tmpvar_158;
  shadowVals_151.y = dot (packDist_157, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_159;
  vec_159 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_160;
  lowp vec4 tmpvar_161;
  tmpvar_161 = textureCube (_ShadowMapTexture, vec_159);
  packDist_160 = tmpvar_161;
  shadowVals_151.z = dot (packDist_160, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_162;
  vec_162 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_163;
  lowp vec4 tmpvar_164;
  tmpvar_164 = textureCube (_ShadowMapTexture, vec_162);
  packDist_163 = tmpvar_164;
  shadowVals_151.w = dot (packDist_163, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_165;
  tmpvar_165 = lessThan (shadowVals_151, vec4(tmpvar_152));
  highp vec4 tmpvar_166;
  tmpvar_166 = _LightShadowData.xxxx;
  highp float tmpvar_167;
  if (tmpvar_165.x) {
    tmpvar_167 = tmpvar_166.x;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_165.y) {
    tmpvar_168 = tmpvar_166.y;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_165.z) {
    tmpvar_169 = tmpvar_166.z;
  } else {
    tmpvar_169 = 1.0;
  };
  highp float tmpvar_170;
  if (tmpvar_165.w) {
    tmpvar_170 = tmpvar_166.w;
  } else {
    tmpvar_170 = 1.0;
  };
  highp vec4 tmpvar_171;
  tmpvar_171.x = tmpvar_167;
  tmpvar_171.y = tmpvar_168;
  tmpvar_171.z = tmpvar_169;
  tmpvar_171.w = tmpvar_170;
  shadows_150 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (shadows_150, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_149 = tmpvar_172;
  mediump vec3 lightDir_173;
  lightDir_173 = tmpvar_145;
  mediump vec3 viewDir_174;
  viewDir_174 = xlv_TEXCOORD8;
  mediump vec3 normal_175;
  normal_175 = xlv_TEXCOORD4;
  mediump float atten_176;
  atten_176 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_149);
  mediump vec4 c_177;
  highp float nh_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(lightDir_173);
  lightDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(viewDir_174);
  viewDir_174 = tmpvar_180;
  mediump vec3 tmpvar_181;
  tmpvar_181 = normalize(normal_175);
  normal_175 = tmpvar_181;
  mediump float tmpvar_182;
  tmpvar_182 = dot (tmpvar_181, tmpvar_179);
  mediump float tmpvar_183;
  tmpvar_183 = clamp (dot (normalize((tmpvar_179 + tmpvar_180)), tmpvar_181), 0.0, 1.0);
  nh_178 = tmpvar_183;
  highp vec3 tmpvar_184;
  tmpvar_184 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_182) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_178, _SpecularPower) * specColor_2.w))) * (atten_176 * 4.0));
  c_177.xyz = tmpvar_184;
  c_177.w = (tmpvar_182 * (atten_176 * 4.0));
  highp vec3 tmpvar_185;
  tmpvar_185 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_186;
  lightDir_186 = tmpvar_185;
  mediump vec3 normal_187;
  normal_187 = xlv_TEXCOORD4;
  mediump float tmpvar_188;
  tmpvar_188 = dot (normal_187, lightDir_186);
  highp vec3 arg0_189;
  arg0_189 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_190;
  tmpvar_190 = clamp (((sqrt(dot (arg0_189, arg0_189)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_191;
  tmpvar_191 = mix (tmpvar_143, (c_177 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_188)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_188)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_190));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_191.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_191, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 639
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 643
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 647
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 651
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 655
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 659
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 663
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 667
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 671
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 675
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 679
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 683
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 687
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 691
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 695
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 699
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 703
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 707
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 711
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedlnkgieihfikfkkphgmkfldmhdffajnjoabaaaaaacaaiaaaaadaaaaaa
cmaaaaaapeaaaaaapeabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheopiaaaaaaajaaaaaa
aiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaomaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaomaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaomaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcceagaaaaeaaaabaa
ijabaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaa
afaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaadhccabaaaahaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaahaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaa
acaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaa
anaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaaaaaaaaabfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaa
dgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaa
egacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaa
aaaaaaaafgbfbaaaacaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaacaaaaaa
egacbaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaagaaaaaa
egiccaaaaaaaaaaabiaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = tmpvar_139.w;
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  highp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = tmpvar_139.w;
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  highp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 667
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 671
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 675
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 679
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 c_93;
  vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD4);
  float tmpvar_96;
  tmpvar_96 = dot (tmpvar_95, tmpvar_94);
  c_93.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_96) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_94 + normalize(xlv_TEXCOORD8))), tmpvar_95), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_93.w = (tmpvar_96 * 4.0);
  float tmpvar_97;
  tmpvar_97 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_98;
  tmpvar_98 = (c_93 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_98.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_98, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 21 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 viewDir_139;
  viewDir_139 = xlv_TEXCOORD8;
  mediump vec3 normal_140;
  normal_140 = xlv_TEXCOORD4;
  mediump vec4 c_141;
  highp float nh_142;
  mediump vec3 tmpvar_143;
  tmpvar_143 = normalize(lightDir_138);
  lightDir_138 = tmpvar_143;
  mediump vec3 tmpvar_144;
  tmpvar_144 = normalize(viewDir_139);
  viewDir_139 = tmpvar_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(normal_140);
  normal_140 = tmpvar_145;
  mediump float tmpvar_146;
  tmpvar_146 = dot (tmpvar_145, tmpvar_143);
  mediump float tmpvar_147;
  tmpvar_147 = clamp (dot (normalize((tmpvar_143 + tmpvar_144)), tmpvar_145), 0.0, 1.0);
  nh_142 = tmpvar_147;
  highp vec3 tmpvar_148;
  tmpvar_148 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_146) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_142, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_141.xyz = tmpvar_148;
  c_141.w = (tmpvar_146 * 4.0);
  lowp vec3 tmpvar_149;
  tmpvar_149 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_149;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float tmpvar_152;
  tmpvar_152 = dot (normal_151, lightDir_150);
  mediump vec4 tmpvar_153;
  tmpvar_153 = (c_141 * mix (1.0, clamp (floor((1.01 + tmpvar_152)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_152)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_153.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_153, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 viewDir_139;
  viewDir_139 = xlv_TEXCOORD8;
  mediump vec3 normal_140;
  normal_140 = xlv_TEXCOORD4;
  mediump vec4 c_141;
  highp float nh_142;
  mediump vec3 tmpvar_143;
  tmpvar_143 = normalize(lightDir_138);
  lightDir_138 = tmpvar_143;
  mediump vec3 tmpvar_144;
  tmpvar_144 = normalize(viewDir_139);
  viewDir_139 = tmpvar_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(normal_140);
  normal_140 = tmpvar_145;
  mediump float tmpvar_146;
  tmpvar_146 = dot (tmpvar_145, tmpvar_143);
  mediump float tmpvar_147;
  tmpvar_147 = clamp (dot (normalize((tmpvar_143 + tmpvar_144)), tmpvar_145), 0.0, 1.0);
  nh_142 = tmpvar_147;
  highp vec3 tmpvar_148;
  tmpvar_148 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_146) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_142, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_141.xyz = tmpvar_148;
  c_141.w = (tmpvar_146 * 4.0);
  lowp vec3 tmpvar_149;
  tmpvar_149 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_149;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float tmpvar_152;
  tmpvar_152 = dot (normal_151, lightDir_150);
  mediump vec4 tmpvar_153;
  tmpvar_153 = (c_141 * mix (1.0, clamp (floor((1.01 + tmpvar_152)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_152)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_153.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_153, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 643
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 647
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 651
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 655
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 663
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 667
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 671
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 675
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  mediump vec3 lightDir_142;
  lightDir_142 = tmpvar_137;
  mediump vec3 viewDir_143;
  viewDir_143 = xlv_TEXCOORD8;
  mediump vec3 normal_144;
  normal_144 = xlv_TEXCOORD4;
  mediump float atten_145;
  atten_145 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w);
  mediump vec4 c_146;
  highp float nh_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(lightDir_142);
  lightDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(viewDir_143);
  viewDir_143 = tmpvar_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(normal_144);
  normal_144 = tmpvar_150;
  mediump float tmpvar_151;
  tmpvar_151 = dot (tmpvar_150, tmpvar_148);
  mediump float tmpvar_152;
  tmpvar_152 = clamp (dot (normalize((tmpvar_148 + tmpvar_149)), tmpvar_150), 0.0, 1.0);
  nh_147 = tmpvar_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_151) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_147, _SpecularPower) * _SpecularColor.w))) * (atten_145 * 4.0));
  c_146.xyz = tmpvar_153;
  c_146.w = (tmpvar_151 * (atten_145 * 4.0));
  highp vec3 tmpvar_154;
  tmpvar_154 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_154;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float tmpvar_157;
  tmpvar_157 = dot (normal_156, lightDir_155);
  mediump vec4 tmpvar_158;
  tmpvar_158 = (c_146 * mix (1.0, clamp (floor((1.01 + tmpvar_157)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_157)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_158.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_158, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  mediump vec3 lightDir_142;
  lightDir_142 = tmpvar_137;
  mediump vec3 viewDir_143;
  viewDir_143 = xlv_TEXCOORD8;
  mediump vec3 normal_144;
  normal_144 = xlv_TEXCOORD4;
  mediump float atten_145;
  atten_145 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w);
  mediump vec4 c_146;
  highp float nh_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(lightDir_142);
  lightDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(viewDir_143);
  viewDir_143 = tmpvar_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(normal_144);
  normal_144 = tmpvar_150;
  mediump float tmpvar_151;
  tmpvar_151 = dot (tmpvar_150, tmpvar_148);
  mediump float tmpvar_152;
  tmpvar_152 = clamp (dot (normalize((tmpvar_148 + tmpvar_149)), tmpvar_150), 0.0, 1.0);
  nh_147 = tmpvar_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_151) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_147, _SpecularPower) * _SpecularColor.w))) * (atten_145 * 4.0));
  c_146.xyz = tmpvar_153;
  c_146.w = (tmpvar_151 * (atten_145 * 4.0));
  highp vec3 tmpvar_154;
  tmpvar_154 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_154;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float tmpvar_157;
  tmpvar_157 = dot (normal_156, lightDir_155);
  mediump vec4 tmpvar_158;
  tmpvar_158 = (c_146 * mix (1.0, clamp (floor((1.01 + tmpvar_157)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_157)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_158.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_158, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 644
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 656
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 660
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 664
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 668
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 672
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 676
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 680
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 684
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 688
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_141;
  lightDir_141 = tmpvar_137;
  mediump vec3 viewDir_142;
  viewDir_142 = xlv_TEXCOORD8;
  mediump vec3 normal_143;
  normal_143 = xlv_TEXCOORD4;
  mediump float atten_144;
  atten_144 = (tmpvar_139.w * tmpvar_140.w);
  mediump vec4 c_145;
  highp float nh_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(lightDir_141);
  lightDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(viewDir_142);
  viewDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(normal_143);
  normal_143 = tmpvar_149;
  mediump float tmpvar_150;
  tmpvar_150 = dot (tmpvar_149, tmpvar_147);
  mediump float tmpvar_151;
  tmpvar_151 = clamp (dot (normalize((tmpvar_147 + tmpvar_148)), tmpvar_149), 0.0, 1.0);
  nh_146 = tmpvar_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_150) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_146, _SpecularPower) * _SpecularColor.w))) * (atten_144 * 4.0));
  c_145.xyz = tmpvar_152;
  c_145.w = (tmpvar_150 * (atten_144 * 4.0));
  highp vec3 tmpvar_153;
  tmpvar_153 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_153;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float tmpvar_156;
  tmpvar_156 = dot (normal_155, lightDir_154);
  mediump vec4 tmpvar_157;
  tmpvar_157 = (c_145 * mix (1.0, clamp (floor((1.01 + tmpvar_156)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_156)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_157.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_157, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_141;
  lightDir_141 = tmpvar_137;
  mediump vec3 viewDir_142;
  viewDir_142 = xlv_TEXCOORD8;
  mediump vec3 normal_143;
  normal_143 = xlv_TEXCOORD4;
  mediump float atten_144;
  atten_144 = (tmpvar_139.w * tmpvar_140.w);
  mediump vec4 c_145;
  highp float nh_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(lightDir_141);
  lightDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(viewDir_142);
  viewDir_142 = tmpvar_148;
  mediump vec3 tmpvar_149;
  tmpvar_149 = normalize(normal_143);
  normal_143 = tmpvar_149;
  mediump float tmpvar_150;
  tmpvar_150 = dot (tmpvar_149, tmpvar_147);
  mediump float tmpvar_151;
  tmpvar_151 = clamp (dot (normalize((tmpvar_147 + tmpvar_148)), tmpvar_149), 0.0, 1.0);
  nh_146 = tmpvar_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_150) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_146, _SpecularPower) * _SpecularColor.w))) * (atten_144 * 4.0));
  c_145.xyz = tmpvar_152;
  c_145.w = (tmpvar_150 * (atten_144 * 4.0));
  highp vec3 tmpvar_153;
  tmpvar_153 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_153;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float tmpvar_156;
  tmpvar_156 = dot (normal_155, lightDir_154);
  mediump vec4 tmpvar_157;
  tmpvar_157 = (c_145 * mix (1.0, clamp (floor((1.01 + tmpvar_156)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_156)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_157.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_157, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 627
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 631
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 636
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 648
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 652
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 656
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 660
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 664
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 668
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 672
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 676
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 680
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138.w;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138.w;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 667
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 671
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 675
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 679
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_96;
  tmpvar_96 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_97;
  if ((tmpvar_96.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_97 = _LightShadowData.x;
  } else {
    tmpvar_97 = 1.0;
  };
  float atten_98;
  atten_98 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_95.w) * tmpvar_97);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_104;
  tmpvar_104 = (c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_104, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp vec4 tmpvar_144;
  tmpvar_144 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_145;
  if ((tmpvar_144.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp vec4 tmpvar_144;
  tmpvar_144 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_145;
  if ((tmpvar_144.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 650
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 666
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 670
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 674
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 678
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 682
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 686
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 690
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 694
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump float shadow_143;
  lowp float tmpvar_144;
  tmpvar_144 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_143 = tmpvar_144;
  highp float tmpvar_145;
  tmpvar_145 = (_LightShadowData.x + (shadow_143 * (1.0 - _LightShadowData.x)));
  shadow_143 = tmpvar_145;
  tmpvar_142 = shadow_143;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 651
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 667
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 671
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 675
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 679
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 683
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 687
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 691
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 695
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_93.x * 4.0));
  c_94.w = (tmpvar_97 * (tmpvar_93.x * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_138;
  mediump float lightShadowDataX_139;
  highp float dist_140;
  lowp float tmpvar_141;
  tmpvar_141 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_140 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = _LightShadowData.x;
  lightShadowDataX_139 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = max (float((dist_140 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_139);
  tmpvar_138 = tmpvar_143;
  mediump vec3 lightDir_144;
  lightDir_144 = tmpvar_137;
  mediump vec3 viewDir_145;
  viewDir_145 = xlv_TEXCOORD8;
  mediump vec3 normal_146;
  normal_146 = xlv_TEXCOORD4;
  mediump float atten_147;
  atten_147 = tmpvar_138;
  mediump vec4 c_148;
  highp float nh_149;
  mediump vec3 tmpvar_150;
  tmpvar_150 = normalize(lightDir_144);
  lightDir_144 = tmpvar_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(viewDir_145);
  viewDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(normal_146);
  normal_146 = tmpvar_152;
  mediump float tmpvar_153;
  tmpvar_153 = dot (tmpvar_152, tmpvar_150);
  mediump float tmpvar_154;
  tmpvar_154 = clamp (dot (normalize((tmpvar_150 + tmpvar_151)), tmpvar_152), 0.0, 1.0);
  nh_149 = tmpvar_154;
  highp vec3 tmpvar_155;
  tmpvar_155 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_153) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_149, _SpecularPower) * _SpecularColor.w))) * (atten_147 * 4.0));
  c_148.xyz = tmpvar_155;
  c_148.w = (tmpvar_153 * (atten_147 * 4.0));
  lowp vec3 tmpvar_156;
  tmpvar_156 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_157;
  lightDir_157 = tmpvar_156;
  mediump vec3 normal_158;
  normal_158 = xlv_TEXCOORD4;
  mediump float tmpvar_159;
  tmpvar_159 = dot (normal_158, lightDir_157);
  mediump vec4 tmpvar_160;
  tmpvar_160 = (c_148 * mix (1.0, clamp (floor((1.01 + tmpvar_159)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_159)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_160.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_160, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_138;
  tmpvar_138 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_139;
  lightDir_139 = tmpvar_137;
  mediump vec3 viewDir_140;
  viewDir_140 = xlv_TEXCOORD8;
  mediump vec3 normal_141;
  normal_141 = xlv_TEXCOORD4;
  mediump float atten_142;
  atten_142 = tmpvar_138;
  mediump vec4 c_143;
  highp float nh_144;
  mediump vec3 tmpvar_145;
  tmpvar_145 = normalize(lightDir_139);
  lightDir_139 = tmpvar_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(viewDir_140);
  viewDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(normal_141);
  normal_141 = tmpvar_147;
  mediump float tmpvar_148;
  tmpvar_148 = dot (tmpvar_147, tmpvar_145);
  mediump float tmpvar_149;
  tmpvar_149 = clamp (dot (normalize((tmpvar_145 + tmpvar_146)), tmpvar_147), 0.0, 1.0);
  nh_144 = tmpvar_149;
  highp vec3 tmpvar_150;
  tmpvar_150 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_148) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_144, _SpecularPower) * _SpecularColor.w))) * (atten_142 * 4.0));
  c_143.xyz = tmpvar_150;
  c_143.w = (tmpvar_148 * (atten_142 * 4.0));
  lowp vec3 tmpvar_151;
  tmpvar_151 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_151;
  mediump vec3 normal_153;
  normal_153 = xlv_TEXCOORD4;
  mediump float tmpvar_154;
  tmpvar_154 = dot (normal_153, lightDir_152);
  mediump vec4 tmpvar_155;
  tmpvar_155 = (c_143 * mix (1.0, clamp (floor((1.01 + tmpvar_154)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_154)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_155.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_155, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 632
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 636
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 641
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    #line 645
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 649
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 653
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 657
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 661
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 665
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 669
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    #line 673
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 677
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 681
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 685
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  float atten_93;
  atten_93 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_94;
  vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_96;
  tmpvar_96 = normalize(xlv_TEXCOORD4);
  float tmpvar_97;
  tmpvar_97 = dot (tmpvar_96, tmpvar_95);
  c_94.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_97) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_95 + normalize(xlv_TEXCOORD8))), tmpvar_96), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_93 * 4.0));
  c_94.w = (tmpvar_97 * (atten_93 * 4.0));
  float tmpvar_98;
  tmpvar_98 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_99;
  tmpvar_99 = (c_94 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_99.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_99, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_139;
  mediump float lightShadowDataX_140;
  highp float dist_141;
  lowp float tmpvar_142;
  tmpvar_142 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = _LightShadowData.x;
  lightShadowDataX_140 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = max (float((dist_141 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_140);
  tmpvar_139 = tmpvar_144;
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_138.w * tmpvar_139);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  lowp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  tmpvar_138 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_140;
  lightDir_140 = tmpvar_137;
  mediump vec3 viewDir_141;
  viewDir_141 = xlv_TEXCOORD8;
  mediump vec3 normal_142;
  normal_142 = xlv_TEXCOORD4;
  mediump float atten_143;
  atten_143 = (tmpvar_138.w * tmpvar_139.x);
  mediump vec4 c_144;
  highp float nh_145;
  mediump vec3 tmpvar_146;
  tmpvar_146 = normalize(lightDir_140);
  lightDir_140 = tmpvar_146;
  mediump vec3 tmpvar_147;
  tmpvar_147 = normalize(viewDir_141);
  viewDir_141 = tmpvar_147;
  mediump vec3 tmpvar_148;
  tmpvar_148 = normalize(normal_142);
  normal_142 = tmpvar_148;
  mediump float tmpvar_149;
  tmpvar_149 = dot (tmpvar_148, tmpvar_146);
  mediump float tmpvar_150;
  tmpvar_150 = clamp (dot (normalize((tmpvar_146 + tmpvar_147)), tmpvar_148), 0.0, 1.0);
  nh_145 = tmpvar_150;
  highp vec3 tmpvar_151;
  tmpvar_151 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_149) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_145, _SpecularPower) * _SpecularColor.w))) * (atten_143 * 4.0));
  c_144.xyz = tmpvar_151;
  c_144.w = (tmpvar_149 * (atten_143 * 4.0));
  lowp vec3 tmpvar_152;
  tmpvar_152 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_152;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float tmpvar_155;
  tmpvar_155 = dot (normal_154, lightDir_153);
  mediump vec4 tmpvar_156;
  tmpvar_156 = (c_144 * mix (1.0, clamp (floor((1.01 + tmpvar_155)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_155)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_156.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_156, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 643
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 647
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 651
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 655
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 659
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 663
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 667
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 671
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 675
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 679
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_95;
  tmpvar_95 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_96;
  tmpvar_96 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_97;
  if ((tmpvar_96 < tmpvar_95)) {
    tmpvar_97 = _LightShadowData.x;
  } else {
    tmpvar_97 = 1.0;
  };
  float atten_98;
  atten_98 = (tmpvar_94.w * tmpvar_97);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_104;
  tmpvar_104 = (c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_104, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  tmpvar_140 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_141;
  lowp vec4 tmpvar_142;
  tmpvar_142 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = dot (packDist_141, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_144;
  if ((tmpvar_143 < tmpvar_140)) {
    tmpvar_144 = _LightShadowData.x;
  } else {
    tmpvar_144 = 1.0;
  };
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_139.w * tmpvar_144);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  highp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  tmpvar_140 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_141;
  lowp vec4 tmpvar_142;
  tmpvar_142 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_141 = tmpvar_142;
  highp float tmpvar_143;
  tmpvar_143 = dot (packDist_141, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_144;
  if ((tmpvar_143 < tmpvar_140)) {
    tmpvar_144 = _LightShadowData.x;
  } else {
    tmpvar_144 = 1.0;
  };
  mediump vec3 lightDir_145;
  lightDir_145 = tmpvar_137;
  mediump vec3 viewDir_146;
  viewDir_146 = xlv_TEXCOORD8;
  mediump vec3 normal_147;
  normal_147 = xlv_TEXCOORD4;
  mediump float atten_148;
  atten_148 = (tmpvar_139.w * tmpvar_144);
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_145);
  lightDir_145 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_146);
  viewDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_147);
  normal_147 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * _SpecularColor.w))) * (atten_148 * 4.0));
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * (atten_148 * 4.0));
  highp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  mediump vec4 tmpvar_161;
  tmpvar_161 = (c_149 * mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_161.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_161, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 632
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 636
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 640
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 644
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 648
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 652
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 656
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 660
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 664
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 668
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 672
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 676
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 680
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 684
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 688
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 692
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_95;
  tmpvar_95 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_96;
  tmpvar_96 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_97;
  tmpvar_97 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_98;
  if ((tmpvar_97 < tmpvar_96)) {
    tmpvar_98 = _LightShadowData.x;
  } else {
    tmpvar_98 = 1.0;
  };
  float atten_99;
  atten_99 = ((tmpvar_94.w * tmpvar_95.w) * tmpvar_98);
  vec4 c_100;
  vec3 tmpvar_101;
  tmpvar_101 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_102;
  tmpvar_102 = normalize(xlv_TEXCOORD4);
  float tmpvar_103;
  tmpvar_103 = dot (tmpvar_102, tmpvar_101);
  c_100.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_103) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_101 + normalize(xlv_TEXCOORD8))), tmpvar_102), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_99 * 4.0));
  c_100.w = (tmpvar_103 * (atten_99 * 4.0));
  float tmpvar_104;
  tmpvar_104 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_105;
  tmpvar_105 = (c_100 * mix (1.0, clamp (floor((1.01 + tmpvar_104)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_104)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_105, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  tmpvar_141 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_142;
  lowp vec4 tmpvar_143;
  tmpvar_143 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_142 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = dot (packDist_142, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_145;
  if ((tmpvar_144 < tmpvar_141)) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_145);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  tmpvar_141 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_142;
  lowp vec4 tmpvar_143;
  tmpvar_143 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_142 = tmpvar_143;
  highp float tmpvar_144;
  tmpvar_144 = dot (packDist_142, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_145;
  if ((tmpvar_144 < tmpvar_141)) {
    tmpvar_145 = _LightShadowData.x;
  } else {
    tmpvar_145 = 1.0;
  };
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_137;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump float atten_149;
  atten_149 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_145);
  mediump vec4 c_150;
  highp float nh_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(lightDir_146);
  lightDir_146 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(viewDir_147);
  viewDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(normal_148);
  normal_148 = tmpvar_154;
  mediump float tmpvar_155;
  tmpvar_155 = dot (tmpvar_154, tmpvar_152);
  mediump float tmpvar_156;
  tmpvar_156 = clamp (dot (normalize((tmpvar_152 + tmpvar_153)), tmpvar_154), 0.0, 1.0);
  nh_151 = tmpvar_156;
  highp vec3 tmpvar_157;
  tmpvar_157 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_155) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_151, _SpecularPower) * _SpecularColor.w))) * (atten_149 * 4.0));
  c_150.xyz = tmpvar_157;
  c_150.w = (tmpvar_155 * (atten_149 * 4.0));
  highp vec3 tmpvar_158;
  tmpvar_158 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_159;
  lightDir_159 = tmpvar_158;
  mediump vec3 normal_160;
  normal_160 = xlv_TEXCOORD4;
  mediump float tmpvar_161;
  tmpvar_161 = dot (normal_160, lightDir_159);
  mediump vec4 tmpvar_162;
  tmpvar_162 = (c_150 * mix (1.0, clamp (floor((1.01 + tmpvar_161)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_161)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_162.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_162, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 633
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 637
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 641
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 645
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 649
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 653
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 657
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 661
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 665
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 669
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 673
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 677
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 681
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 685
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 689
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 693
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_95;
  tmpvar_95 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_96;
  vec3 tmpvar_97;
  tmpvar_97 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_96.x = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_96.y = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_96.z = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_96.w = texture2D (_ShadowMapTexture, (tmpvar_97.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_98;
  tmpvar_98 = lessThan (shadowVals_96, tmpvar_97.zzzz);
  vec4 tmpvar_99;
  tmpvar_99 = _LightShadowData.xxxx;
  float tmpvar_100;
  if (tmpvar_98.x) {
    tmpvar_100 = tmpvar_99.x;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_98.y) {
    tmpvar_101 = tmpvar_99.y;
  } else {
    tmpvar_101 = 1.0;
  };
  float tmpvar_102;
  if (tmpvar_98.z) {
    tmpvar_102 = tmpvar_99.z;
  } else {
    tmpvar_102 = 1.0;
  };
  float tmpvar_103;
  if (tmpvar_98.w) {
    tmpvar_103 = tmpvar_99.w;
  } else {
    tmpvar_103 = 1.0;
  };
  vec4 tmpvar_104;
  tmpvar_104.x = tmpvar_100;
  tmpvar_104.y = tmpvar_101;
  tmpvar_104.z = tmpvar_102;
  tmpvar_104.w = tmpvar_103;
  float atten_105;
  atten_105 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_94.w) * tmpvar_95.w) * dot (tmpvar_104, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_106;
  vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_108;
  tmpvar_108 = normalize(xlv_TEXCOORD4);
  float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_107);
  c_106.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_107 + normalize(xlv_TEXCOORD8))), tmpvar_108), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.w = (tmpvar_109 * (atten_105 * 4.0));
  float tmpvar_110;
  tmpvar_110 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_111;
  tmpvar_111 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_111.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_111, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec4 shadowVals_144;
  highp vec3 tmpvar_145;
  tmpvar_145 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_146;
  P_146 = (tmpvar_145.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_147;
  tmpvar_147 = texture2D (_ShadowMapTexture, P_146).x;
  shadowVals_144.x = tmpvar_147;
  highp vec2 P_148;
  P_148 = (tmpvar_145.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_149;
  tmpvar_149 = texture2D (_ShadowMapTexture, P_148).x;
  shadowVals_144.y = tmpvar_149;
  highp vec2 P_150;
  P_150 = (tmpvar_145.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_151;
  tmpvar_151 = texture2D (_ShadowMapTexture, P_150).x;
  shadowVals_144.z = tmpvar_151;
  highp vec2 P_152;
  P_152 = (tmpvar_145.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_153;
  tmpvar_153 = texture2D (_ShadowMapTexture, P_152).x;
  shadowVals_144.w = tmpvar_153;
  bvec4 tmpvar_154;
  tmpvar_154 = lessThan (shadowVals_144, tmpvar_145.zzzz);
  highp vec4 tmpvar_155;
  tmpvar_155 = _LightShadowData.xxxx;
  highp float tmpvar_156;
  if (tmpvar_154.x) {
    tmpvar_156 = tmpvar_155.x;
  } else {
    tmpvar_156 = 1.0;
  };
  highp float tmpvar_157;
  if (tmpvar_154.y) {
    tmpvar_157 = tmpvar_155.y;
  } else {
    tmpvar_157 = 1.0;
  };
  highp float tmpvar_158;
  if (tmpvar_154.z) {
    tmpvar_158 = tmpvar_155.z;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_154.w) {
    tmpvar_159 = tmpvar_155.w;
  } else {
    tmpvar_159 = 1.0;
  };
  highp vec4 tmpvar_160;
  tmpvar_160.x = tmpvar_156;
  tmpvar_160.y = tmpvar_157;
  tmpvar_160.z = tmpvar_158;
  tmpvar_160.w = tmpvar_159;
  shadows_143 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_161;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_137;
  mediump vec3 viewDir_163;
  viewDir_163 = xlv_TEXCOORD8;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float atten_165;
  atten_165 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_166;
  highp float nh_167;
  mediump vec3 tmpvar_168;
  tmpvar_168 = normalize(lightDir_162);
  lightDir_162 = tmpvar_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(viewDir_163);
  viewDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(normal_164);
  normal_164 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (tmpvar_170, tmpvar_168);
  mediump float tmpvar_172;
  tmpvar_172 = clamp (dot (normalize((tmpvar_168 + tmpvar_169)), tmpvar_170), 0.0, 1.0);
  nh_167 = tmpvar_172;
  highp vec3 tmpvar_173;
  tmpvar_173 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_171) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_167, _SpecularPower) * _SpecularColor.w))) * (atten_165 * 4.0));
  c_166.xyz = tmpvar_173;
  c_166.w = (tmpvar_171 * (atten_165 * 4.0));
  highp vec3 tmpvar_174;
  tmpvar_174 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_175;
  lightDir_175 = tmpvar_174;
  mediump vec3 normal_176;
  normal_176 = xlv_TEXCOORD4;
  mediump float tmpvar_177;
  tmpvar_177 = dot (normal_176, lightDir_175);
  mediump vec4 tmpvar_178;
  tmpvar_178 = (c_166 * mix (1.0, clamp (floor((1.01 + tmpvar_177)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_177)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_178.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_178, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec4 shadowVals_144;
  highp vec3 tmpvar_145;
  tmpvar_145 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_146;
  P_146 = (tmpvar_145.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_147;
  tmpvar_147 = texture2D (_ShadowMapTexture, P_146).x;
  shadowVals_144.x = tmpvar_147;
  highp vec2 P_148;
  P_148 = (tmpvar_145.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_149;
  tmpvar_149 = texture2D (_ShadowMapTexture, P_148).x;
  shadowVals_144.y = tmpvar_149;
  highp vec2 P_150;
  P_150 = (tmpvar_145.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_151;
  tmpvar_151 = texture2D (_ShadowMapTexture, P_150).x;
  shadowVals_144.z = tmpvar_151;
  highp vec2 P_152;
  P_152 = (tmpvar_145.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_153;
  tmpvar_153 = texture2D (_ShadowMapTexture, P_152).x;
  shadowVals_144.w = tmpvar_153;
  bvec4 tmpvar_154;
  tmpvar_154 = lessThan (shadowVals_144, tmpvar_145.zzzz);
  highp vec4 tmpvar_155;
  tmpvar_155 = _LightShadowData.xxxx;
  highp float tmpvar_156;
  if (tmpvar_154.x) {
    tmpvar_156 = tmpvar_155.x;
  } else {
    tmpvar_156 = 1.0;
  };
  highp float tmpvar_157;
  if (tmpvar_154.y) {
    tmpvar_157 = tmpvar_155.y;
  } else {
    tmpvar_157 = 1.0;
  };
  highp float tmpvar_158;
  if (tmpvar_154.z) {
    tmpvar_158 = tmpvar_155.z;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_154.w) {
    tmpvar_159 = tmpvar_155.w;
  } else {
    tmpvar_159 = 1.0;
  };
  highp vec4 tmpvar_160;
  tmpvar_160.x = tmpvar_156;
  tmpvar_160.y = tmpvar_157;
  tmpvar_160.z = tmpvar_158;
  tmpvar_160.w = tmpvar_159;
  shadows_143 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_161;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_137;
  mediump vec3 viewDir_163;
  viewDir_163 = xlv_TEXCOORD8;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float atten_165;
  atten_165 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_166;
  highp float nh_167;
  mediump vec3 tmpvar_168;
  tmpvar_168 = normalize(lightDir_162);
  lightDir_162 = tmpvar_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(viewDir_163);
  viewDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(normal_164);
  normal_164 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (tmpvar_170, tmpvar_168);
  mediump float tmpvar_172;
  tmpvar_172 = clamp (dot (normalize((tmpvar_168 + tmpvar_169)), tmpvar_170), 0.0, 1.0);
  nh_167 = tmpvar_172;
  highp vec3 tmpvar_173;
  tmpvar_173 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_171) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_167, _SpecularPower) * _SpecularColor.w))) * (atten_165 * 4.0));
  c_166.xyz = tmpvar_173;
  c_166.w = (tmpvar_171 * (atten_165 * 4.0));
  highp vec3 tmpvar_174;
  tmpvar_174 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_175;
  lightDir_175 = tmpvar_174;
  mediump vec3 normal_176;
  normal_176 = xlv_TEXCOORD4;
  mediump float tmpvar_177;
  tmpvar_177 = dot (normal_176, lightDir_175);
  mediump vec4 tmpvar_178;
  tmpvar_178 = (c_166 * mix (1.0, clamp (floor((1.01 + tmpvar_177)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_177)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_178.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_178, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 694
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 698
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 702
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 shadows_93;
  vec3 tmpvar_94;
  tmpvar_94 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_93.x = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[0].xyz)).x;
  shadows_93.y = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[1].xyz)).x;
  shadows_93.z = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[2].xyz)).x;
  shadows_93.w = shadow2D (_ShadowMapTexture, (tmpvar_94 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_95;
  tmpvar_95 = (_LightShadowData.xxxx + (shadows_93 * (1.0 - _LightShadowData.xxxx)));
  shadows_93 = tmpvar_95;
  float atten_96;
  atten_96 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_95, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_97;
  vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_99;
  tmpvar_99 = normalize(xlv_TEXCOORD4);
  float tmpvar_100;
  tmpvar_100 = dot (tmpvar_99, tmpvar_98);
  c_97.xyz = (((((mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_100) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_98 + normalize(xlv_TEXCOORD8))), tmpvar_99), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_96 * 4.0));
  c_97.w = (tmpvar_100 * (atten_96 * 4.0));
  float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_102;
  tmpvar_102 = (c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_102.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_102, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_138;
  highp vec2 P_139;
  P_139 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_138 = texture2D (_LightTexture0, P_139);
  highp float tmpvar_140;
  tmpvar_140 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_141;
  tmpvar_141 = texture2D (_LightTextureB0, vec2(tmpvar_140));
  lowp float tmpvar_142;
  mediump vec4 shadows_143;
  highp vec3 tmpvar_144;
  tmpvar_144 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_145;
  coord_145 = (tmpvar_144 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_146;
  tmpvar_146 = shadow2DEXT (_ShadowMapTexture, coord_145);
  shadows_143.x = tmpvar_146;
  highp vec3 coord_147;
  coord_147 = (tmpvar_144 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_148;
  tmpvar_148 = shadow2DEXT (_ShadowMapTexture, coord_147);
  shadows_143.y = tmpvar_148;
  highp vec3 coord_149;
  coord_149 = (tmpvar_144 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_150;
  tmpvar_150 = shadow2DEXT (_ShadowMapTexture, coord_149);
  shadows_143.z = tmpvar_150;
  highp vec3 coord_151;
  coord_151 = (tmpvar_144 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_152;
  tmpvar_152 = shadow2DEXT (_ShadowMapTexture, coord_151);
  shadows_143.w = tmpvar_152;
  highp vec4 tmpvar_153;
  tmpvar_153 = (_LightShadowData.xxxx + (shadows_143 * (1.0 - _LightShadowData.xxxx)));
  shadows_143 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (shadows_143, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_142 = tmpvar_154;
  mediump vec3 lightDir_155;
  lightDir_155 = tmpvar_137;
  mediump vec3 viewDir_156;
  viewDir_156 = xlv_TEXCOORD8;
  mediump vec3 normal_157;
  normal_157 = xlv_TEXCOORD4;
  mediump float atten_158;
  atten_158 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_138.w) * tmpvar_141.w) * tmpvar_142);
  mediump vec4 c_159;
  highp float nh_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(lightDir_155);
  lightDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(viewDir_156);
  viewDir_156 = tmpvar_162;
  mediump vec3 tmpvar_163;
  tmpvar_163 = normalize(normal_157);
  normal_157 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (tmpvar_163, tmpvar_161);
  mediump float tmpvar_165;
  tmpvar_165 = clamp (dot (normalize((tmpvar_161 + tmpvar_162)), tmpvar_163), 0.0, 1.0);
  nh_160 = tmpvar_165;
  highp vec3 tmpvar_166;
  tmpvar_166 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_164) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_160, _SpecularPower) * _SpecularColor.w))) * (atten_158 * 4.0));
  c_159.xyz = tmpvar_166;
  c_159.w = (tmpvar_164 * (atten_158 * 4.0));
  highp vec3 tmpvar_167;
  tmpvar_167 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_168;
  lightDir_168 = tmpvar_167;
  mediump vec3 normal_169;
  normal_169 = xlv_TEXCOORD4;
  mediump float tmpvar_170;
  tmpvar_170 = dot (normal_169, lightDir_168);
  mediump vec4 tmpvar_171;
  tmpvar_171 = (c_159 * mix (1.0, clamp (floor((1.01 + tmpvar_170)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_170)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_171, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 694
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 698
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 702
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_95;
  shadowVals_95.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_95.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_96;
  tmpvar_96 = lessThan (shadowVals_95, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_97;
  tmpvar_97 = _LightShadowData.xxxx;
  float tmpvar_98;
  if (tmpvar_96.x) {
    tmpvar_98 = tmpvar_97.x;
  } else {
    tmpvar_98 = 1.0;
  };
  float tmpvar_99;
  if (tmpvar_96.y) {
    tmpvar_99 = tmpvar_97.y;
  } else {
    tmpvar_99 = 1.0;
  };
  float tmpvar_100;
  if (tmpvar_96.z) {
    tmpvar_100 = tmpvar_97.z;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_96.w) {
    tmpvar_101 = tmpvar_97.w;
  } else {
    tmpvar_101 = 1.0;
  };
  vec4 tmpvar_102;
  tmpvar_102.x = tmpvar_98;
  tmpvar_102.y = tmpvar_99;
  tmpvar_102.z = tmpvar_100;
  tmpvar_102.w = tmpvar_101;
  float atten_103;
  atten_103 = (tmpvar_94.w * dot (tmpvar_102, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_104;
  vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_106;
  tmpvar_106 = normalize(xlv_TEXCOORD4);
  float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_105);
  c_104.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_105 + normalize(xlv_TEXCOORD8))), tmpvar_106), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.w = (tmpvar_107 * (atten_103 * 4.0));
  float tmpvar_108;
  tmpvar_108 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_109;
  tmpvar_109 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_109, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedgeciikmdgjlilikcjcdinokbkadgbngnabaaaaaahiaiaaaaadaaaaaa
cmaaaaaapeaaaaaaamacaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheobaabaaaaakaaaaaa
aiaaaaaapiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaaeabaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaaeabaaaaahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaaaeabaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcgeagaaaaeaaaabaajjabaaaafjaaaaae
egiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaacaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaa
fpaaaaaddcbabaaaadaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaa
gfaaaaadhccabaaaadaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaad
hccabaaaahaaaaaagfaaaaadhccabaaaaiaaaaaagiaaaaacacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaaaaaaaaajhccabaaaaeaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
acaaaaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaelaaaaaficcabaaaacaaaaaaakaabaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaiaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaaaeaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaagaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaahaaaaaaegiccaaaaaaaaaaa
biaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  mediump vec4 shadows_141;
  highp vec4 shadowVals_142;
  highp float tmpvar_143;
  tmpvar_143 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_144;
  vec_144 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_145;
  lowp vec4 tmpvar_146;
  tmpvar_146 = textureCube (_ShadowMapTexture, vec_144);
  packDist_145 = tmpvar_146;
  shadowVals_142.x = dot (packDist_145, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_147;
  vec_147 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_148;
  lowp vec4 tmpvar_149;
  tmpvar_149 = textureCube (_ShadowMapTexture, vec_147);
  packDist_148 = tmpvar_149;
  shadowVals_142.y = dot (packDist_148, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_150;
  vec_150 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = textureCube (_ShadowMapTexture, vec_150);
  packDist_151 = tmpvar_152;
  shadowVals_142.z = dot (packDist_151, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_142.w = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_156;
  tmpvar_156 = lessThan (shadowVals_142, vec4(tmpvar_143));
  highp vec4 tmpvar_157;
  tmpvar_157 = _LightShadowData.xxxx;
  highp float tmpvar_158;
  if (tmpvar_156.x) {
    tmpvar_158 = tmpvar_157.x;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_156.y) {
    tmpvar_159 = tmpvar_157.y;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_156.z) {
    tmpvar_160 = tmpvar_157.z;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_156.w) {
    tmpvar_161 = tmpvar_157.w;
  } else {
    tmpvar_161 = 1.0;
  };
  highp vec4 tmpvar_162;
  tmpvar_162.x = tmpvar_158;
  tmpvar_162.y = tmpvar_159;
  tmpvar_162.z = tmpvar_160;
  tmpvar_162.w = tmpvar_161;
  shadows_141 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (shadows_141, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_140 = tmpvar_163;
  mediump vec3 lightDir_164;
  lightDir_164 = tmpvar_137;
  mediump vec3 viewDir_165;
  viewDir_165 = xlv_TEXCOORD8;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float atten_167;
  atten_167 = (tmpvar_139.w * tmpvar_140);
  mediump vec4 c_168;
  highp float nh_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(lightDir_164);
  lightDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(viewDir_165);
  viewDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(normal_166);
  normal_166 = tmpvar_172;
  mediump float tmpvar_173;
  tmpvar_173 = dot (tmpvar_172, tmpvar_170);
  mediump float tmpvar_174;
  tmpvar_174 = clamp (dot (normalize((tmpvar_170 + tmpvar_171)), tmpvar_172), 0.0, 1.0);
  nh_169 = tmpvar_174;
  highp vec3 tmpvar_175;
  tmpvar_175 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_173) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_169, _SpecularPower) * _SpecularColor.w))) * (atten_167 * 4.0));
  c_168.xyz = tmpvar_175;
  c_168.w = (tmpvar_173 * (atten_167 * 4.0));
  highp vec3 tmpvar_176;
  tmpvar_176 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_177;
  lightDir_177 = tmpvar_176;
  mediump vec3 normal_178;
  normal_178 = xlv_TEXCOORD4;
  mediump float tmpvar_179;
  tmpvar_179 = dot (normal_178, lightDir_177);
  mediump vec4 tmpvar_180;
  tmpvar_180 = (c_168 * mix (1.0, clamp (floor((1.01 + tmpvar_179)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_179)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_180.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_180, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTexture0, vec2(tmpvar_138));
  highp float tmpvar_140;
  mediump vec4 shadows_141;
  highp vec4 shadowVals_142;
  highp float tmpvar_143;
  tmpvar_143 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_144;
  vec_144 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_145;
  lowp vec4 tmpvar_146;
  tmpvar_146 = textureCube (_ShadowMapTexture, vec_144);
  packDist_145 = tmpvar_146;
  shadowVals_142.x = dot (packDist_145, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_147;
  vec_147 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_148;
  lowp vec4 tmpvar_149;
  tmpvar_149 = textureCube (_ShadowMapTexture, vec_147);
  packDist_148 = tmpvar_149;
  shadowVals_142.y = dot (packDist_148, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_150;
  vec_150 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = textureCube (_ShadowMapTexture, vec_150);
  packDist_151 = tmpvar_152;
  shadowVals_142.z = dot (packDist_151, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_142.w = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_156;
  tmpvar_156 = lessThan (shadowVals_142, vec4(tmpvar_143));
  highp vec4 tmpvar_157;
  tmpvar_157 = _LightShadowData.xxxx;
  highp float tmpvar_158;
  if (tmpvar_156.x) {
    tmpvar_158 = tmpvar_157.x;
  } else {
    tmpvar_158 = 1.0;
  };
  highp float tmpvar_159;
  if (tmpvar_156.y) {
    tmpvar_159 = tmpvar_157.y;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_156.z) {
    tmpvar_160 = tmpvar_157.z;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_156.w) {
    tmpvar_161 = tmpvar_157.w;
  } else {
    tmpvar_161 = 1.0;
  };
  highp vec4 tmpvar_162;
  tmpvar_162.x = tmpvar_158;
  tmpvar_162.y = tmpvar_159;
  tmpvar_162.z = tmpvar_160;
  tmpvar_162.w = tmpvar_161;
  shadows_141 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (shadows_141, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_140 = tmpvar_163;
  mediump vec3 lightDir_164;
  lightDir_164 = tmpvar_137;
  mediump vec3 viewDir_165;
  viewDir_165 = xlv_TEXCOORD8;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float atten_167;
  atten_167 = (tmpvar_139.w * tmpvar_140);
  mediump vec4 c_168;
  highp float nh_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(lightDir_164);
  lightDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(viewDir_165);
  viewDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(normal_166);
  normal_166 = tmpvar_172;
  mediump float tmpvar_173;
  tmpvar_173 = dot (tmpvar_172, tmpvar_170);
  mediump float tmpvar_174;
  tmpvar_174 = clamp (dot (normalize((tmpvar_170 + tmpvar_171)), tmpvar_172), 0.0, 1.0);
  nh_169 = tmpvar_174;
  highp vec3 tmpvar_175;
  tmpvar_175 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_173) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_169, _SpecularPower) * _SpecularColor.w))) * (atten_167 * 4.0));
  c_168.xyz = tmpvar_175;
  c_168.w = (tmpvar_173 * (atten_167 * 4.0));
  highp vec3 tmpvar_176;
  tmpvar_176 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_177;
  lightDir_177 = tmpvar_176;
  mediump vec3 normal_178;
  normal_178 = xlv_TEXCOORD4;
  mediump float tmpvar_179;
  tmpvar_179 = dot (normal_178, lightDir_177);
  mediump vec4 tmpvar_180;
  tmpvar_180 = (c_168 * mix (1.0, clamp (floor((1.01 + tmpvar_179)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_179)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_180.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_180, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 654
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 670
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 674
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 678
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 682
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 686
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 690
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 694
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 698
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec3 norm_1;
  vec2 uv_2;
  vec2 localCoords_3;
  vec4 citylightoverlaydetail_4;
  vec4 citydarkoverlaydetail_5;
  vec4 cityoverlay_6;
  vec4 detail_7;
  vec4 main_8;
  vec4 color_9;
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  main_8 = texture2DGradARB (_MainTex, uv_11, tmpvar_17.xy, tmpvar_17.zw);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _DetailVertScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  detail_7 = mix (texture2DGradARB (_steepTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw), texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_18)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec2 uv_46;
  float r_47;
  if ((abs(tmpvar_45.z) > (1e-08 * abs(tmpvar_45.x)))) {
    float y_over_x_48;
    y_over_x_48 = (tmpvar_45.x / tmpvar_45.z);
    float s_49;
    float x_50;
    x_50 = (y_over_x_48 * inversesqrt(((y_over_x_48 * y_over_x_48) + 1.0)));
    s_49 = (sign(x_50) * (1.5708 - (sqrt((1.0 - abs(x_50))) * (1.5708 + (abs(x_50) * (-0.214602 + (abs(x_50) * (0.0865667 + (abs(x_50) * -0.0310296)))))))));
    r_47 = s_49;
    if ((tmpvar_45.z < 0.0)) {
      if ((tmpvar_45.x >= 0.0)) {
        r_47 = (s_49 + 3.14159);
      } else {
        r_47 = (r_47 - 3.14159);
      };
    };
  } else {
    r_47 = (sign(tmpvar_45.x) * 1.5708);
  };
  uv_46.x = (0.5 + (0.159155 * r_47));
  uv_46.y = (0.31831 * (1.5708 - (sign(tmpvar_45.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_45.y))) * (1.5708 + (abs(tmpvar_45.y) * (-0.214602 + (abs(tmpvar_45.y) * (0.0865667 + (abs(tmpvar_45.y) * -0.0310296)))))))))));
  vec2 uvCont_51;
  uvCont_51.y = uv_46.y;
  uvCont_51.x = abs((uv_46.x - 0.5));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(uvCont_51);
  tmpvar_52.zw = dFdy(uvCont_51);
  cityoverlay_6 = texture2DGradARB (_CityOverlayTex, uv_46, tmpvar_52.xy, tmpvar_52.zw);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec2 uv_54;
  vec3 tmpvar_55;
  tmpvar_55 = abs(tmpvar_53);
  float tmpvar_56;
  tmpvar_56 = float((tmpvar_55.z >= tmpvar_55.x));
  float tmpvar_57;
  tmpvar_57 = float((max (tmpvar_55.x, tmpvar_55.z) >= tmpvar_55.y));
  float tmpvar_58;
  tmpvar_58 = sign(mix (tmpvar_53.y, mix (tmpvar_53.x, tmpvar_53.z, tmpvar_56), tmpvar_57));
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = -(tmpvar_58);
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = tmpvar_58;
  vec3 tmpvar_61;
  tmpvar_61.xy = vec2(1.0, 1.0);
  tmpvar_61.z = -(tmpvar_58);
  vec3 tmpvar_62;
  tmpvar_62 = mix ((tmpvar_61 * tmpvar_53.yxz), mix ((tmpvar_59 * tmpvar_53.xzy), (tmpvar_60 * tmpvar_53.zxy), vec3(tmpvar_56)), vec3(tmpvar_57));
  uv_54.x = (((0.5 * tmpvar_62.y) / abs(tmpvar_62.x)) + 0.5);
  uv_54.y = (((0.5 * tmpvar_62.z) / abs(tmpvar_62.x)) + 0.5);
  vec2 tmpvar_63;
  tmpvar_63 = (uv_54 * _CityOverlayDetailScale);
  vec2 tmpvar_64;
  tmpvar_64 = abs((tmpvar_63 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_65;
  tmpvar_65.xy = dFdx(tmpvar_64);
  tmpvar_65.zw = dFdy(tmpvar_64);
  citydarkoverlaydetail_5 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_63, tmpvar_65.xy, tmpvar_65.zw);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec2 uv_67;
  vec3 tmpvar_68;
  tmpvar_68 = abs(tmpvar_66);
  float tmpvar_69;
  tmpvar_69 = float((tmpvar_68.z >= tmpvar_68.x));
  float tmpvar_70;
  tmpvar_70 = float((max (tmpvar_68.x, tmpvar_68.z) >= tmpvar_68.y));
  float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_66.y, mix (tmpvar_66.x, tmpvar_66.z, tmpvar_69), tmpvar_70));
  vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(tmpvar_71);
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = tmpvar_71;
  vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(tmpvar_71);
  vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_66.yxz), mix ((tmpvar_72 * tmpvar_66.xzy), (tmpvar_73 * tmpvar_66.zxy), vec3(tmpvar_69)), vec3(tmpvar_70));
  uv_67.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  vec2 tmpvar_76;
  tmpvar_76 = (uv_67 * _CityOverlayDetailScale);
  vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  citylightoverlaydetail_4 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec2 uv_80;
  float r_81;
  if ((abs(tmpvar_79.z) > (1e-08 * abs(tmpvar_79.x)))) {
    float y_over_x_82;
    y_over_x_82 = (tmpvar_79.x / tmpvar_79.z);
    float s_83;
    float x_84;
    x_84 = (y_over_x_82 * inversesqrt(((y_over_x_82 * y_over_x_82) + 1.0)));
    s_83 = (sign(x_84) * (1.5708 - (sqrt((1.0 - abs(x_84))) * (1.5708 + (abs(x_84) * (-0.214602 + (abs(x_84) * (0.0865667 + (abs(x_84) * -0.0310296)))))))));
    r_81 = s_83;
    if ((tmpvar_79.z < 0.0)) {
      if ((tmpvar_79.x >= 0.0)) {
        r_81 = (s_83 + 3.14159);
      } else {
        r_81 = (r_81 - 3.14159);
      };
    };
  } else {
    r_81 = (sign(tmpvar_79.x) * 1.5708);
  };
  uv_80.x = (0.5 + (0.159155 * r_81));
  uv_80.y = (0.31831 * (1.5708 - (sign(tmpvar_79.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_79.y))) * (1.5708 + (abs(tmpvar_79.y) * (-0.214602 + (abs(tmpvar_79.y) * (0.0865667 + (abs(tmpvar_79.y) * -0.0310296)))))))))));
  vec2 uvCont_85;
  uvCont_85.y = uv_80.y;
  uvCont_85.x = abs((uv_80.x - 0.5));
  vec4 tmpvar_86;
  tmpvar_86.xy = dFdx(uvCont_85);
  tmpvar_86.zw = dFdy(uvCont_85);
  vec2 tmpvar_87;
  tmpvar_87 = (texture2DGradARB (_BumpMap, uv_80, tmpvar_86.xy, tmpvar_86.zw).wy - vec2(0.5, 0.5));
  localCoords_3.y = tmpvar_87.y;
  localCoords_3.x = (tmpvar_87.x * 0.5);
  float r_88;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    float y_over_x_89;
    y_over_x_89 = (tmpvar_18.x / tmpvar_18.z);
    float s_90;
    float x_91;
    x_91 = (y_over_x_89 * inversesqrt(((y_over_x_89 * y_over_x_89) + 1.0)));
    s_90 = (sign(x_91) * (1.5708 - (sqrt((1.0 - abs(x_91))) * (1.5708 + (abs(x_91) * (-0.214602 + (abs(x_91) * (0.0865667 + (abs(x_91) * -0.0310296)))))))));
    r_88 = s_90;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_88 = (s_90 + 3.14159);
      } else {
        r_88 = (r_88 - 3.14159);
      };
    };
  } else {
    r_88 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_2.x = (0.5 + (0.159155 * r_88));
  uv_2.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  uv_2.x = (uv_2.x - 0.5);
  vec2 tmpvar_92;
  tmpvar_92 = (uv_2 + localCoords_3);
  uv_2 = tmpvar_92;
  norm_1.z = cos((6.28319 * tmpvar_92.x));
  norm_1.x = sin((6.28319 * tmpvar_92.x));
  norm_1.y = cos((3.14159 * tmpvar_92.y));
  norm_1 = -(norm_1);
  cityoverlay_6.w = (cityoverlay_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * cityoverlay_6.w);
  citylightoverlaydetail_4.w = (citylightoverlaydetail_4.w * cityoverlay_6.w);
  vec4 tmpvar_93;
  tmpvar_93 = (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_7 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), main_8, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_4, citylightoverlaydetail_4.wwww) * _Color);
  color_9 = tmpvar_93;
  vec4 tmpvar_94;
  tmpvar_94 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_95;
  tmpvar_95 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_96;
  shadowVals_96.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_96.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_97;
  tmpvar_97 = lessThan (shadowVals_96, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_98;
  tmpvar_98 = _LightShadowData.xxxx;
  float tmpvar_99;
  if (tmpvar_97.x) {
    tmpvar_99 = tmpvar_98.x;
  } else {
    tmpvar_99 = 1.0;
  };
  float tmpvar_100;
  if (tmpvar_97.y) {
    tmpvar_100 = tmpvar_98.y;
  } else {
    tmpvar_100 = 1.0;
  };
  float tmpvar_101;
  if (tmpvar_97.z) {
    tmpvar_101 = tmpvar_98.z;
  } else {
    tmpvar_101 = 1.0;
  };
  float tmpvar_102;
  if (tmpvar_97.w) {
    tmpvar_102 = tmpvar_98.w;
  } else {
    tmpvar_102 = 1.0;
  };
  vec4 tmpvar_103;
  tmpvar_103.x = tmpvar_99;
  tmpvar_103.y = tmpvar_100;
  tmpvar_103.z = tmpvar_101;
  tmpvar_103.w = tmpvar_102;
  float atten_104;
  atten_104 = ((tmpvar_94.w * tmpvar_95.w) * dot (tmpvar_103, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_105;
  vec3 tmpvar_106;
  tmpvar_106 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_107;
  tmpvar_107 = normalize(xlv_TEXCOORD4);
  float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_106);
  c_105.xyz = ((((tmpvar_93.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_106 + normalize(xlv_TEXCOORD8))), tmpvar_107), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.w = (tmpvar_108 * (atten_104 * 4.0));
  float tmpvar_109;
  tmpvar_109 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_110;
  tmpvar_110 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_109)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_109)), 0.0, 1.0)));
  citydarkoverlaydetail_5.w = (citydarkoverlaydetail_5.w * (1.0 - clamp (tmpvar_110.w, 0.0, 1.0)));
  color_9.xyz = mix (tmpvar_110, citydarkoverlaydetail_5, citydarkoverlaydetail_5.wwww).xyz;
  color_9.w = 1.0;
  gl_FragData[0] = color_9;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  mediump vec4 shadows_142;
  highp vec4 shadowVals_143;
  highp float tmpvar_144;
  tmpvar_144 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_145;
  vec_145 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_146;
  lowp vec4 tmpvar_147;
  tmpvar_147 = textureCube (_ShadowMapTexture, vec_145);
  packDist_146 = tmpvar_147;
  shadowVals_143.x = dot (packDist_146, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_148;
  vec_148 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, vec_148);
  packDist_149 = tmpvar_150;
  shadowVals_143.y = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_151;
  vec_151 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_152;
  lowp vec4 tmpvar_153;
  tmpvar_153 = textureCube (_ShadowMapTexture, vec_151);
  packDist_152 = tmpvar_153;
  shadowVals_143.z = dot (packDist_152, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_154;
  vec_154 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_155;
  lowp vec4 tmpvar_156;
  tmpvar_156 = textureCube (_ShadowMapTexture, vec_154);
  packDist_155 = tmpvar_156;
  shadowVals_143.w = dot (packDist_155, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_157;
  tmpvar_157 = lessThan (shadowVals_143, vec4(tmpvar_144));
  highp vec4 tmpvar_158;
  tmpvar_158 = _LightShadowData.xxxx;
  highp float tmpvar_159;
  if (tmpvar_157.x) {
    tmpvar_159 = tmpvar_158.x;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_157.y) {
    tmpvar_160 = tmpvar_158.y;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_157.z) {
    tmpvar_161 = tmpvar_158.z;
  } else {
    tmpvar_161 = 1.0;
  };
  highp float tmpvar_162;
  if (tmpvar_157.w) {
    tmpvar_162 = tmpvar_158.w;
  } else {
    tmpvar_162 = 1.0;
  };
  highp vec4 tmpvar_163;
  tmpvar_163.x = tmpvar_159;
  tmpvar_163.y = tmpvar_160;
  tmpvar_163.z = tmpvar_161;
  tmpvar_163.w = tmpvar_162;
  shadows_142 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (shadows_142, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_141 = tmpvar_164;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_137;
  mediump vec3 viewDir_166;
  viewDir_166 = xlv_TEXCOORD8;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float atten_168;
  atten_168 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_141);
  mediump vec4 c_169;
  highp float nh_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(lightDir_165);
  lightDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(viewDir_166);
  viewDir_166 = tmpvar_172;
  mediump vec3 tmpvar_173;
  tmpvar_173 = normalize(normal_167);
  normal_167 = tmpvar_173;
  mediump float tmpvar_174;
  tmpvar_174 = dot (tmpvar_173, tmpvar_171);
  mediump float tmpvar_175;
  tmpvar_175 = clamp (dot (normalize((tmpvar_171 + tmpvar_172)), tmpvar_173), 0.0, 1.0);
  nh_170 = tmpvar_175;
  highp vec3 tmpvar_176;
  tmpvar_176 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_174) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_170, _SpecularPower) * _SpecularColor.w))) * (atten_168 * 4.0));
  c_169.xyz = tmpvar_176;
  c_169.w = (tmpvar_174 * (atten_168 * 4.0));
  highp vec3 tmpvar_177;
  tmpvar_177 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_178;
  lightDir_178 = tmpvar_177;
  mediump vec3 normal_179;
  normal_179 = xlv_TEXCOORD4;
  mediump float tmpvar_180;
  tmpvar_180 = dot (normal_179, lightDir_178);
  mediump vec4 tmpvar_181;
  tmpvar_181 = (c_169 * mix (1.0, clamp (floor((1.01 + tmpvar_180)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_180)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_181, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float handoff_2;
  mediump float detailLevel_3;
  mediump vec3 norm_4;
  highp vec2 uv_5;
  highp vec2 localCoords_6;
  mediump vec4 citylightoverlaydetail_7;
  mediump vec4 citydarkoverlaydetail_8;
  mediump vec4 cityoverlay_9;
  mediump vec4 detail_10;
  mediump float vertLerp_11;
  mediump vec4 color_12;
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  highp float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    highp float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    highp float s_18;
    highp float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  highp vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  highp vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  lowp vec4 tmpvar_22;
  tmpvar_22 = texture2DGradEXT (_MainTex, uv_15, tmpvar_21.xy, tmpvar_21.zw);
  tex_13 = tmpvar_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_24;
  tmpvar_24 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_23)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_11 = tmpvar_24;
  mediump vec4 tex_25;
  highp vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_27;
  mediump float s_28;
  mediump float nylerp_29;
  mediump float zxlerp_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = abs(tmpvar_26);
  highp float tmpvar_32;
  tmpvar_32 = float((tmpvar_31.z >= tmpvar_31.x));
  zxlerp_30 = tmpvar_32;
  highp float tmpvar_33;
  tmpvar_33 = float((max (tmpvar_31.x, tmpvar_31.z) >= tmpvar_31.y));
  nylerp_29 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = mix (tmpvar_26.x, tmpvar_26.z, zxlerp_30);
  s_28 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_26.y, s_28, nylerp_29));
  s_28 = tmpvar_35;
  mediump vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(s_28);
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = s_28;
  mediump vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(s_28);
  highp vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_26.yxz), mix ((tmpvar_36 * tmpvar_26.xzy), (tmpvar_37 * tmpvar_26.zxy), vec3(zxlerp_30)), vec3(nylerp_29));
  uv_27.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  highp vec2 tmpvar_40;
  tmpvar_40 = (uv_27 * _DetailScale);
  highp vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DGradEXT (_midTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  tex_25 = tmpvar_43;
  mediump vec4 tex_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_46;
  mediump float s_47;
  mediump float nylerp_48;
  mediump float zxlerp_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_45);
  highp float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  zxlerp_49 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  nylerp_48 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = mix (tmpvar_45.x, tmpvar_45.z, zxlerp_49);
  s_47 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = sign(mix (tmpvar_45.y, s_47, nylerp_48));
  s_47 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = -(s_47);
  mediump vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = s_47;
  mediump vec3 tmpvar_57;
  tmpvar_57.xy = vec2(1.0, 1.0);
  tmpvar_57.z = -(s_47);
  highp vec3 tmpvar_58;
  tmpvar_58 = mix ((tmpvar_57 * tmpvar_45.yxz), mix ((tmpvar_55 * tmpvar_45.xzy), (tmpvar_56 * tmpvar_45.zxy), vec3(zxlerp_49)), vec3(nylerp_48));
  uv_46.x = (((0.5 * tmpvar_58.y) / abs(tmpvar_58.x)) + 0.5);
  uv_46.y = (((0.5 * tmpvar_58.z) / abs(tmpvar_58.x)) + 0.5);
  highp vec2 tmpvar_59;
  tmpvar_59 = (uv_46 * _DetailVertScale);
  highp vec2 tmpvar_60;
  tmpvar_60 = abs((tmpvar_59 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_61;
  tmpvar_61.xy = dFdx(tmpvar_60);
  tmpvar_61.zw = dFdy(tmpvar_60);
  lowp vec4 tmpvar_62;
  tmpvar_62 = texture2DGradEXT (_steepTex, tmpvar_59, tmpvar_61.xy, tmpvar_61.zw);
  tex_44 = tmpvar_62;
  detail_10 = mix (tex_44, tex_25, vec4(vertLerp_11));
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_65;
  highp float r_66;
  if ((abs(tmpvar_64.z) > (1e-08 * abs(tmpvar_64.x)))) {
    highp float y_over_x_67;
    y_over_x_67 = (tmpvar_64.x / tmpvar_64.z);
    highp float s_68;
    highp float x_69;
    x_69 = (y_over_x_67 * inversesqrt(((y_over_x_67 * y_over_x_67) + 1.0)));
    s_68 = (sign(x_69) * (1.5708 - (sqrt((1.0 - abs(x_69))) * (1.5708 + (abs(x_69) * (-0.214602 + (abs(x_69) * (0.0865667 + (abs(x_69) * -0.0310296)))))))));
    r_66 = s_68;
    if ((tmpvar_64.z < 0.0)) {
      if ((tmpvar_64.x >= 0.0)) {
        r_66 = (s_68 + 3.14159);
      } else {
        r_66 = (r_66 - 3.14159);
      };
    };
  } else {
    r_66 = (sign(tmpvar_64.x) * 1.5708);
  };
  uv_65.x = (0.5 + (0.159155 * r_66));
  uv_65.y = (0.31831 * (1.5708 - (sign(tmpvar_64.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_64.y))) * (1.5708 + (abs(tmpvar_64.y) * (-0.214602 + (abs(tmpvar_64.y) * (0.0865667 + (abs(tmpvar_64.y) * -0.0310296)))))))))));
  highp vec2 uvCont_70;
  uvCont_70.y = uv_65.y;
  uvCont_70.x = abs((uv_65.x - 0.5));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(uvCont_70);
  tmpvar_71.zw = dFdy(uvCont_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityOverlayTex, uv_65, tmpvar_71.xy, tmpvar_71.zw);
  tex_63 = tmpvar_72;
  cityoverlay_9 = tex_63;
  mediump vec4 tex_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_75;
  mediump float s_76;
  mediump float nylerp_77;
  mediump float zxlerp_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = abs(tmpvar_74);
  highp float tmpvar_80;
  tmpvar_80 = float((tmpvar_79.z >= tmpvar_79.x));
  zxlerp_78 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = float((max (tmpvar_79.x, tmpvar_79.z) >= tmpvar_79.y));
  nylerp_77 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = mix (tmpvar_74.x, tmpvar_74.z, zxlerp_78);
  s_76 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = sign(mix (tmpvar_74.y, s_76, nylerp_77));
  s_76 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84.xz = vec2(1.0, 1.0);
  tmpvar_84.y = -(s_76);
  mediump vec3 tmpvar_85;
  tmpvar_85.xz = vec2(1.0, 1.0);
  tmpvar_85.y = s_76;
  mediump vec3 tmpvar_86;
  tmpvar_86.xy = vec2(1.0, 1.0);
  tmpvar_86.z = -(s_76);
  highp vec3 tmpvar_87;
  tmpvar_87 = mix ((tmpvar_86 * tmpvar_74.yxz), mix ((tmpvar_84 * tmpvar_74.xzy), (tmpvar_85 * tmpvar_74.zxy), vec3(zxlerp_78)), vec3(nylerp_77));
  uv_75.x = (((0.5 * tmpvar_87.y) / abs(tmpvar_87.x)) + 0.5);
  uv_75.y = (((0.5 * tmpvar_87.z) / abs(tmpvar_87.x)) + 0.5);
  highp vec2 tmpvar_88;
  tmpvar_88 = (uv_75 * _CityOverlayDetailScale);
  highp vec2 tmpvar_89;
  tmpvar_89 = abs((tmpvar_88 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_90;
  tmpvar_90.xy = dFdx(tmpvar_89);
  tmpvar_90.zw = dFdy(tmpvar_89);
  lowp vec4 tmpvar_91;
  tmpvar_91 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_88, tmpvar_90.xy, tmpvar_90.zw);
  tex_73 = tmpvar_91;
  citydarkoverlaydetail_8 = tex_73;
  mediump vec4 tex_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_94;
  mediump float s_95;
  mediump float nylerp_96;
  mediump float zxlerp_97;
  highp vec3 tmpvar_98;
  tmpvar_98 = abs(tmpvar_93);
  highp float tmpvar_99;
  tmpvar_99 = float((tmpvar_98.z >= tmpvar_98.x));
  zxlerp_97 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = float((max (tmpvar_98.x, tmpvar_98.z) >= tmpvar_98.y));
  nylerp_96 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = mix (tmpvar_93.x, tmpvar_93.z, zxlerp_97);
  s_95 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = sign(mix (tmpvar_93.y, s_95, nylerp_96));
  s_95 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103.xz = vec2(1.0, 1.0);
  tmpvar_103.y = -(s_95);
  mediump vec3 tmpvar_104;
  tmpvar_104.xz = vec2(1.0, 1.0);
  tmpvar_104.y = s_95;
  mediump vec3 tmpvar_105;
  tmpvar_105.xy = vec2(1.0, 1.0);
  tmpvar_105.z = -(s_95);
  highp vec3 tmpvar_106;
  tmpvar_106 = mix ((tmpvar_105 * tmpvar_93.yxz), mix ((tmpvar_103 * tmpvar_93.xzy), (tmpvar_104 * tmpvar_93.zxy), vec3(zxlerp_97)), vec3(nylerp_96));
  uv_94.x = (((0.5 * tmpvar_106.y) / abs(tmpvar_106.x)) + 0.5);
  uv_94.y = (((0.5 * tmpvar_106.z) / abs(tmpvar_106.x)) + 0.5);
  highp vec2 tmpvar_107;
  tmpvar_107 = (uv_94 * _CityOverlayDetailScale);
  highp vec2 tmpvar_108;
  tmpvar_108 = abs((tmpvar_107 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_109;
  tmpvar_109.xy = dFdx(tmpvar_108);
  tmpvar_109.zw = dFdy(tmpvar_108);
  lowp vec4 tmpvar_110;
  tmpvar_110 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_107, tmpvar_109.xy, tmpvar_109.zw);
  tex_92 = tmpvar_110;
  citylightoverlaydetail_7 = tex_92;
  mediump vec4 tex_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_113;
  highp float r_114;
  if ((abs(tmpvar_112.z) > (1e-08 * abs(tmpvar_112.x)))) {
    highp float y_over_x_115;
    y_over_x_115 = (tmpvar_112.x / tmpvar_112.z);
    highp float s_116;
    highp float x_117;
    x_117 = (y_over_x_115 * inversesqrt(((y_over_x_115 * y_over_x_115) + 1.0)));
    s_116 = (sign(x_117) * (1.5708 - (sqrt((1.0 - abs(x_117))) * (1.5708 + (abs(x_117) * (-0.214602 + (abs(x_117) * (0.0865667 + (abs(x_117) * -0.0310296)))))))));
    r_114 = s_116;
    if ((tmpvar_112.z < 0.0)) {
      if ((tmpvar_112.x >= 0.0)) {
        r_114 = (s_116 + 3.14159);
      } else {
        r_114 = (r_114 - 3.14159);
      };
    };
  } else {
    r_114 = (sign(tmpvar_112.x) * 1.5708);
  };
  uv_113.x = (0.5 + (0.159155 * r_114));
  uv_113.y = (0.31831 * (1.5708 - (sign(tmpvar_112.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_112.y))) * (1.5708 + (abs(tmpvar_112.y) * (-0.214602 + (abs(tmpvar_112.y) * (0.0865667 + (abs(tmpvar_112.y) * -0.0310296)))))))))));
  highp vec2 uvCont_118;
  uvCont_118.y = uv_113.y;
  uvCont_118.x = abs((uv_113.x - 0.5));
  highp vec4 tmpvar_119;
  tmpvar_119.xy = dFdx(uvCont_118);
  tmpvar_119.zw = dFdy(uvCont_118);
  lowp vec4 tmpvar_120;
  tmpvar_120 = texture2DGradEXT (_BumpMap, uv_113, tmpvar_119.xy, tmpvar_119.zw);
  tex_111 = tmpvar_120;
  mediump vec2 tmpvar_121;
  tmpvar_121 = tex_111.wy;
  localCoords_6 = tmpvar_121;
  highp vec2 tmpvar_122;
  tmpvar_122 = (localCoords_6 - vec2(0.5, 0.5));
  localCoords_6.y = tmpvar_122.y;
  localCoords_6.x = (tmpvar_122.x * 0.5);
  highp float r_123;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    highp float y_over_x_124;
    y_over_x_124 = (tmpvar_23.x / tmpvar_23.z);
    float s_125;
    highp float x_126;
    x_126 = (y_over_x_124 * inversesqrt(((y_over_x_124 * y_over_x_124) + 1.0)));
    s_125 = (sign(x_126) * (1.5708 - (sqrt((1.0 - abs(x_126))) * (1.5708 + (abs(x_126) * (-0.214602 + (abs(x_126) * (0.0865667 + (abs(x_126) * -0.0310296)))))))));
    r_123 = s_125;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_123 = (s_125 + 3.14159);
      } else {
        r_123 = (r_123 - 3.14159);
      };
    };
  } else {
    r_123 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_5.x = (0.5 + (0.159155 * r_123));
  uv_5.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  uv_5.x = (uv_5.x - 0.5);
  highp vec2 tmpvar_127;
  tmpvar_127 = (uv_5 + localCoords_6);
  uv_5 = tmpvar_127;
  highp float tmpvar_128;
  tmpvar_128 = cos((6.28319 * tmpvar_127.x));
  norm_4.z = tmpvar_128;
  highp float tmpvar_129;
  tmpvar_129 = sin((6.28319 * tmpvar_127.x));
  norm_4.x = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((3.14159 * tmpvar_127.y));
  norm_4.y = tmpvar_130;
  norm_4 = -(norm_4);
  highp float tmpvar_131;
  tmpvar_131 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_3 = tmpvar_131;
  mediump vec4 tmpvar_132;
  tmpvar_132 = mix ((detail_10 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_3));
  highp vec4 tmpvar_133;
  tmpvar_133 = (xlv_TEXCOORD0 + (0.75 * tmpvar_132));
  color_12 = tmpvar_133;
  highp float tmpvar_134;
  tmpvar_134 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_2 = tmpvar_134;
  highp float tmpvar_135;
  tmpvar_135 = (tex_63.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_9.w = tmpvar_135;
  citydarkoverlaydetail_8.w = (tex_73.w * cityoverlay_9.w);
  citylightoverlaydetail_7.w = (tex_92.w * cityoverlay_9.w);
  mediump vec4 tmpvar_136;
  tmpvar_136 = (mix (mix (color_12, tex_13, vec4(handoff_2)), citylightoverlaydetail_7, citylightoverlaydetail_7.wwww) * _Color);
  color_12 = tmpvar_136;
  highp vec3 tmpvar_137;
  tmpvar_137 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_138;
  tmpvar_138 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_139;
  tmpvar_139 = texture2D (_LightTextureB0, vec2(tmpvar_138));
  lowp vec4 tmpvar_140;
  tmpvar_140 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_141;
  mediump vec4 shadows_142;
  highp vec4 shadowVals_143;
  highp float tmpvar_144;
  tmpvar_144 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_145;
  vec_145 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_146;
  lowp vec4 tmpvar_147;
  tmpvar_147 = textureCube (_ShadowMapTexture, vec_145);
  packDist_146 = tmpvar_147;
  shadowVals_143.x = dot (packDist_146, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_148;
  vec_148 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, vec_148);
  packDist_149 = tmpvar_150;
  shadowVals_143.y = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_151;
  vec_151 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_152;
  lowp vec4 tmpvar_153;
  tmpvar_153 = textureCube (_ShadowMapTexture, vec_151);
  packDist_152 = tmpvar_153;
  shadowVals_143.z = dot (packDist_152, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_154;
  vec_154 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_155;
  lowp vec4 tmpvar_156;
  tmpvar_156 = textureCube (_ShadowMapTexture, vec_154);
  packDist_155 = tmpvar_156;
  shadowVals_143.w = dot (packDist_155, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_157;
  tmpvar_157 = lessThan (shadowVals_143, vec4(tmpvar_144));
  highp vec4 tmpvar_158;
  tmpvar_158 = _LightShadowData.xxxx;
  highp float tmpvar_159;
  if (tmpvar_157.x) {
    tmpvar_159 = tmpvar_158.x;
  } else {
    tmpvar_159 = 1.0;
  };
  highp float tmpvar_160;
  if (tmpvar_157.y) {
    tmpvar_160 = tmpvar_158.y;
  } else {
    tmpvar_160 = 1.0;
  };
  highp float tmpvar_161;
  if (tmpvar_157.z) {
    tmpvar_161 = tmpvar_158.z;
  } else {
    tmpvar_161 = 1.0;
  };
  highp float tmpvar_162;
  if (tmpvar_157.w) {
    tmpvar_162 = tmpvar_158.w;
  } else {
    tmpvar_162 = 1.0;
  };
  highp vec4 tmpvar_163;
  tmpvar_163.x = tmpvar_159;
  tmpvar_163.y = tmpvar_160;
  tmpvar_163.z = tmpvar_161;
  tmpvar_163.w = tmpvar_162;
  shadows_142 = tmpvar_163;
  mediump float tmpvar_164;
  tmpvar_164 = dot (shadows_142, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_141 = tmpvar_164;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_137;
  mediump vec3 viewDir_166;
  viewDir_166 = xlv_TEXCOORD8;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float atten_168;
  atten_168 = ((tmpvar_139.w * tmpvar_140.w) * tmpvar_141);
  mediump vec4 c_169;
  highp float nh_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(lightDir_165);
  lightDir_165 = tmpvar_171;
  mediump vec3 tmpvar_172;
  tmpvar_172 = normalize(viewDir_166);
  viewDir_166 = tmpvar_172;
  mediump vec3 tmpvar_173;
  tmpvar_173 = normalize(normal_167);
  normal_167 = tmpvar_173;
  mediump float tmpvar_174;
  tmpvar_174 = dot (tmpvar_173, tmpvar_171);
  mediump float tmpvar_175;
  tmpvar_175 = clamp (dot (normalize((tmpvar_171 + tmpvar_172)), tmpvar_173), 0.0, 1.0);
  nh_170 = tmpvar_175;
  highp vec3 tmpvar_176;
  tmpvar_176 = ((((tmpvar_136.xyz * _LightColor0.xyz) * tmpvar_174) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_170, _SpecularPower) * _SpecularColor.w))) * (atten_168 * 4.0));
  c_169.xyz = tmpvar_176;
  c_169.w = (tmpvar_174 * (atten_168 * 4.0));
  highp vec3 tmpvar_177;
  tmpvar_177 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_178;
  lightDir_178 = tmpvar_177;
  mediump vec3 normal_179;
  normal_179 = xlv_TEXCOORD4;
  mediump float tmpvar_180;
  tmpvar_180 = dot (normal_179, lightDir_178);
  mediump vec4 tmpvar_181;
  tmpvar_181 = (c_169 * mix (1.0, clamp (floor((1.01 + tmpvar_180)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_180)), 0.0, 1.0)));
  citydarkoverlaydetail_8.w = (citydarkoverlaydetail_8.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_12.xyz = mix (tmpvar_181, citydarkoverlaydetail_8, citydarkoverlaydetail_8.wwww).xyz;
  color_12.w = 1.0;
  tmpvar_1 = color_12;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 639
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 643
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 647
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 651
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 655
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 659
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 663
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 667
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 671
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 675
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 679
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 683
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 687
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 691
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 695
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color = lightColor;
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 699
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w;
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = tmpvar_147.w;
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  highp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = tmpvar_147.w;
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  highp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 667
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 671
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 675
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 679
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 c_98;
  vec3 tmpvar_99;
  tmpvar_99 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_100;
  tmpvar_100 = normalize(xlv_TEXCOORD4);
  float tmpvar_101;
  tmpvar_101 = dot (tmpvar_100, tmpvar_99);
  c_98.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_101) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_99 + normalize(xlv_TEXCOORD8))), tmpvar_100), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * 4.0);
  c_98.w = (tmpvar_101 * 4.0);
  float tmpvar_102;
  tmpvar_102 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_103;
  arg0_103 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_104;
  tmpvar_104 = mix (tmpvar_97, (c_98 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_102)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_102)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_103, arg0_103)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_104.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_104, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_SunDir]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 39 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
dcl_texcoord8 o7
def c11, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c12, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r1.w, c11.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
dp4 r2.x, r1, c4
dp4 r2.z, r1, c6
dp4 r2.y, r1, c5
add r2.w, r0, c11.z
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o3.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.w, r1.y, c11
mul_sat r2.x, -r0.w, c11.y
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r1.xyz, -r1, c8
dp3 r0.w, r1, r1
rsq r0.w, r0.w
mul o7.xyz, r0.w, -r1
mov r1.xyz, c10
mad o5.x, r2, r1.w, c12
mov o1, v1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
add o6.xyz, -c8, r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 336 // 332 used size, 21 vars
Vector 272 [_SunDir] 3
Vector 320 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 35 instructions, 2 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_145;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_146);
  lightDir_146 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_147);
  viewDir_147 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_148);
  normal_148 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * specColor_2.w))) * 4.0);
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * 4.0);
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  highp vec3 arg0_161;
  arg0_161 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_162;
  tmpvar_162 = clamp (((sqrt(dot (arg0_161, arg0_161)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_163;
  tmpvar_163 = mix (tmpvar_143, (c_149 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_162));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_163.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_163, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_146;
  lightDir_146 = tmpvar_145;
  mediump vec3 viewDir_147;
  viewDir_147 = xlv_TEXCOORD8;
  mediump vec3 normal_148;
  normal_148 = xlv_TEXCOORD4;
  mediump vec4 c_149;
  highp float nh_150;
  mediump vec3 tmpvar_151;
  tmpvar_151 = normalize(lightDir_146);
  lightDir_146 = tmpvar_151;
  mediump vec3 tmpvar_152;
  tmpvar_152 = normalize(viewDir_147);
  viewDir_147 = tmpvar_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(normal_148);
  normal_148 = tmpvar_153;
  mediump float tmpvar_154;
  tmpvar_154 = dot (tmpvar_153, tmpvar_151);
  mediump float tmpvar_155;
  tmpvar_155 = clamp (dot (normalize((tmpvar_151 + tmpvar_152)), tmpvar_153), 0.0, 1.0);
  nh_150 = tmpvar_155;
  highp vec3 tmpvar_156;
  tmpvar_156 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_154) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_150, _SpecularPower) * specColor_2.w))) * 4.0);
  c_149.xyz = tmpvar_156;
  c_149.w = (tmpvar_154 * 4.0);
  lowp vec3 tmpvar_157;
  tmpvar_157 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_158;
  lightDir_158 = tmpvar_157;
  mediump vec3 normal_159;
  normal_159 = xlv_TEXCOORD4;
  mediump float tmpvar_160;
  tmpvar_160 = dot (normal_159, lightDir_158);
  highp vec3 arg0_161;
  arg0_161 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_162;
  tmpvar_162 = clamp (((sqrt(dot (arg0_161, arg0_161)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_163;
  tmpvar_163 = mix (tmpvar_143, (c_149 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_160)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_160)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_162));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_163.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_163, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 615
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 619
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 623
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 627
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    #line 631
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 603
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 586
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 590
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 615
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 633
lowp vec4 frag( in v2f IN ) {
    #line 635
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 639
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 643
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 647
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 651
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 655
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 663
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 667
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 671
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 675
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 679
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 683
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = ((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
dp4 r0.w, v0, c7
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c11
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_145;
  mediump vec3 viewDir_151;
  viewDir_151 = xlv_TEXCOORD8;
  mediump vec3 normal_152;
  normal_152 = xlv_TEXCOORD4;
  mediump float atten_153;
  atten_153 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w);
  mediump vec4 c_154;
  highp float nh_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(lightDir_150);
  lightDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(viewDir_151);
  viewDir_151 = tmpvar_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(normal_152);
  normal_152 = tmpvar_158;
  mediump float tmpvar_159;
  tmpvar_159 = dot (tmpvar_158, tmpvar_156);
  mediump float tmpvar_160;
  tmpvar_160 = clamp (dot (normalize((tmpvar_156 + tmpvar_157)), tmpvar_158), 0.0, 1.0);
  nh_155 = tmpvar_160;
  highp vec3 tmpvar_161;
  tmpvar_161 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_159) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_155, _SpecularPower) * specColor_2.w))) * (atten_153 * 4.0));
  c_154.xyz = tmpvar_161;
  c_154.w = (tmpvar_159 * (atten_153 * 4.0));
  highp vec3 tmpvar_162;
  tmpvar_162 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_162;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float tmpvar_165;
  tmpvar_165 = dot (normal_164, lightDir_163);
  highp vec3 arg0_166;
  arg0_166 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_167;
  tmpvar_167 = clamp (((sqrt(dot (arg0_166, arg0_166)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_168;
  tmpvar_168 = mix (tmpvar_143, (c_154 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_165)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_165)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_167));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_168.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_168, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  mediump vec3 lightDir_150;
  lightDir_150 = tmpvar_145;
  mediump vec3 viewDir_151;
  viewDir_151 = xlv_TEXCOORD8;
  mediump vec3 normal_152;
  normal_152 = xlv_TEXCOORD4;
  mediump float atten_153;
  atten_153 = ((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w);
  mediump vec4 c_154;
  highp float nh_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(lightDir_150);
  lightDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(viewDir_151);
  viewDir_151 = tmpvar_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(normal_152);
  normal_152 = tmpvar_158;
  mediump float tmpvar_159;
  tmpvar_159 = dot (tmpvar_158, tmpvar_156);
  mediump float tmpvar_160;
  tmpvar_160 = clamp (dot (normalize((tmpvar_156 + tmpvar_157)), tmpvar_158), 0.0, 1.0);
  nh_155 = tmpvar_160;
  highp vec3 tmpvar_161;
  tmpvar_161 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_159) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_155, _SpecularPower) * specColor_2.w))) * (atten_153 * 4.0));
  c_154.xyz = tmpvar_161;
  c_154.w = (tmpvar_159 * (atten_153 * 4.0));
  highp vec3 tmpvar_162;
  tmpvar_162 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_162;
  mediump vec3 normal_164;
  normal_164 = xlv_TEXCOORD4;
  mediump float tmpvar_165;
  tmpvar_165 = dot (normal_164, lightDir_163);
  highp vec3 arg0_166;
  arg0_166 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_167;
  tmpvar_167 = clamp (((sqrt(dot (arg0_166, arg0_166)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_168;
  tmpvar_168 = mix (tmpvar_143, (c_154 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_165)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_165)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_167));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_168.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_168, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 644
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 614
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 597
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 601
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 656
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 660
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 664
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 668
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 672
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 676
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 680
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 684
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 688
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 692
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 696
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2))).w * textureCube (_LightTexture0, xlv_TEXCOORD2).w);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 43 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_149;
  lightDir_149 = tmpvar_145;
  mediump vec3 viewDir_150;
  viewDir_150 = xlv_TEXCOORD8;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float atten_152;
  atten_152 = (tmpvar_147.w * tmpvar_148.w);
  mediump vec4 c_153;
  highp float nh_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(lightDir_149);
  lightDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(viewDir_150);
  viewDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(normal_151);
  normal_151 = tmpvar_157;
  mediump float tmpvar_158;
  tmpvar_158 = dot (tmpvar_157, tmpvar_155);
  mediump float tmpvar_159;
  tmpvar_159 = clamp (dot (normalize((tmpvar_155 + tmpvar_156)), tmpvar_157), 0.0, 1.0);
  nh_154 = tmpvar_159;
  highp vec3 tmpvar_160;
  tmpvar_160 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_158) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_154, _SpecularPower) * specColor_2.w))) * (atten_152 * 4.0));
  c_153.xyz = tmpvar_160;
  c_153.w = (tmpvar_158 * (atten_152 * 4.0));
  highp vec3 tmpvar_161;
  tmpvar_161 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_161;
  mediump vec3 normal_163;
  normal_163 = xlv_TEXCOORD4;
  mediump float tmpvar_164;
  tmpvar_164 = dot (normal_163, lightDir_162);
  highp vec3 arg0_165;
  arg0_165 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_166;
  tmpvar_166 = clamp (((sqrt(dot (arg0_165, arg0_165)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_167;
  tmpvar_167 = mix (tmpvar_143, (c_153 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_164)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_164)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_166));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_167.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_167, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_149;
  lightDir_149 = tmpvar_145;
  mediump vec3 viewDir_150;
  viewDir_150 = xlv_TEXCOORD8;
  mediump vec3 normal_151;
  normal_151 = xlv_TEXCOORD4;
  mediump float atten_152;
  atten_152 = (tmpvar_147.w * tmpvar_148.w);
  mediump vec4 c_153;
  highp float nh_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(lightDir_149);
  lightDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(viewDir_150);
  viewDir_150 = tmpvar_156;
  mediump vec3 tmpvar_157;
  tmpvar_157 = normalize(normal_151);
  normal_151 = tmpvar_157;
  mediump float tmpvar_158;
  tmpvar_158 = dot (tmpvar_157, tmpvar_155);
  mediump float tmpvar_159;
  tmpvar_159 = clamp (dot (normalize((tmpvar_155 + tmpvar_156)), tmpvar_157), 0.0, 1.0);
  nh_154 = tmpvar_159;
  highp vec3 tmpvar_160;
  tmpvar_160 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_158) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_154, _SpecularPower) * specColor_2.w))) * (atten_152 * 4.0));
  c_153.xyz = tmpvar_160;
  c_153.w = (tmpvar_158 * (atten_152 * 4.0));
  highp vec3 tmpvar_161;
  tmpvar_161 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_162;
  lightDir_162 = tmpvar_161;
  mediump vec3 normal_163;
  normal_163 = xlv_TEXCOORD4;
  mediump float tmpvar_164;
  tmpvar_164 = dot (normal_163, lightDir_162);
  highp vec3 arg0_165;
  arg0_165 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_166;
  tmpvar_166 = clamp (((sqrt(dot (arg0_165, arg0_165)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_167;
  tmpvar_167 = mix (tmpvar_143, (c_153 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_164)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_164)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_166));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_167.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_167, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 627
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 631
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 636
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 596
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 589
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 593
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 619
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 648
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 652
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 656
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 660
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 664
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 668
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 672
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 676
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 680
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 684
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 688
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = texture2D (_LightTexture0, xlv_TEXCOORD2).w;
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 13 [_SunDir]
Vector 14 [_PlanetOrigin]
"vs_3_0
; 42 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c15, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c16, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c13, c13
rsq r0.x, r0.x
mov r0.w, c15.x
mul r0.xyz, r0.x, c13
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c15.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c15.y
add r0.y, r0, c15.w
mad o6.x, r0, r0.y, c16
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
mov r0.xyz, c14
mov o1, v1
mul o8.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o5.xyz, -r1
add o7.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 43 instructions, 2 temp regs, 0 temp arrays:
// ALU 37 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146.w;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146.w;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 626
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 630
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 635
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 588
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 592
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 618
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 647
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 651
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 655
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 659
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 663
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 667
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 671
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 675
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 679
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 683
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 687
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  float tmpvar_101;
  if ((tmpvar_100.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  float atten_102;
  atten_102 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_98.w) * tmpvar_99.w) * tmpvar_101);
  vec4 c_103;
  vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_105;
  tmpvar_105 = normalize(xlv_TEXCOORD4);
  float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_104);
  c_103.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_104 + normalize(xlv_TEXCOORD8))), tmpvar_105), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_102 * 4.0));
  c_103.w = (tmpvar_106 * (atten_102 * 4.0));
  float tmpvar_107;
  tmpvar_107 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_108;
  arg0_108 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_109;
  tmpvar_109 = mix (tmpvar_97, (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_108, arg0_108)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_109, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_153;
  if ((tmpvar_152.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp vec4 tmpvar_152;
  tmpvar_152 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  highp float tmpvar_153;
  if ((tmpvar_152.x < (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 634
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 638
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 642
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 646
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 650
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 620
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 610
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 603
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 607
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 634
#line 654
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 654
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 658
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 662
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 666
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 670
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 674
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 678
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 682
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 686
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 690
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 694
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 698
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 702
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 706
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x * (1.0 - _LightShadowData.x))));
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump float shadow_151;
  lowp float tmpvar_152;
  tmpvar_152 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD3);
  shadow_151 = tmpvar_152;
  highp float tmpvar_153;
  tmpvar_153 = (_LightShadowData.x + (shadow_151 * (1.0 - _LightShadowData.x)));
  shadow_151 = tmpvar_153;
  tmpvar_150 = shadow_151;
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 635
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 639
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 643
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 647
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 651
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 621
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 611
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 604
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 608
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 635
#line 655
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 655
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 659
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 663
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 667
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 671
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 675
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 679
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 683
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 687
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 691
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 695
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 699
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 703
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 707
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (tmpvar_98.x * 4.0));
  c_99.w = (tmpvar_102 * (tmpvar_98.x * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Matrix 4 [_Object2World]
Vector 11 [_SunDir]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
dcl_texcoord8 o8
def c13, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c14, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
mov r1.w, c13.x
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
mov r1.xyz, v2
add r2.w, r0, c13.z
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mul o4.xyz, r1.x, r2
frc r1.y, r2.w
add_sat r1.y, r2.w, -r1
add r1.z, r1.y, c13.w
mul_sat r0.w, -r0, c13.y
mad o6.x, r0.w, r1.z, c14.y
dp4 r1.w, v0, c3
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c14.x
mul r2.y, r2, c9.x
mad o3.xy, r2.z, c10.zwzw, r2
dp4 r2.z, v0, c6
dp4 r2.x, v0, c4
dp4 r2.y, v0, c5
add r2.xyz, -r2, c8
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mov o0, r1
mov o3.zw, r1
mov r1.xyz, c12
mov o1, v1
mul o8.xyz, r0.w, -r2
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
add o7.xyz, -c8, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 2 temp regs, 0 temp arrays:
// ALU 32 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_146;
  mediump float lightShadowDataX_147;
  highp float dist_148;
  lowp float tmpvar_149;
  tmpvar_149 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_148 = tmpvar_149;
  highp float tmpvar_150;
  tmpvar_150 = _LightShadowData.x;
  lightShadowDataX_147 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = max (float((dist_148 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_147);
  tmpvar_146 = tmpvar_151;
  mediump vec3 lightDir_152;
  lightDir_152 = tmpvar_145;
  mediump vec3 viewDir_153;
  viewDir_153 = xlv_TEXCOORD8;
  mediump vec3 normal_154;
  normal_154 = xlv_TEXCOORD4;
  mediump float atten_155;
  atten_155 = tmpvar_146;
  mediump vec4 c_156;
  highp float nh_157;
  mediump vec3 tmpvar_158;
  tmpvar_158 = normalize(lightDir_152);
  lightDir_152 = tmpvar_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(viewDir_153);
  viewDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(normal_154);
  normal_154 = tmpvar_160;
  mediump float tmpvar_161;
  tmpvar_161 = dot (tmpvar_160, tmpvar_158);
  mediump float tmpvar_162;
  tmpvar_162 = clamp (dot (normalize((tmpvar_158 + tmpvar_159)), tmpvar_160), 0.0, 1.0);
  nh_157 = tmpvar_162;
  highp vec3 tmpvar_163;
  tmpvar_163 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_161) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_157, _SpecularPower) * specColor_2.w))) * (atten_155 * 4.0));
  c_156.xyz = tmpvar_163;
  c_156.w = (tmpvar_161 * (atten_155 * 4.0));
  lowp vec3 tmpvar_164;
  tmpvar_164 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_165;
  lightDir_165 = tmpvar_164;
  mediump vec3 normal_166;
  normal_166 = xlv_TEXCOORD4;
  mediump float tmpvar_167;
  tmpvar_167 = dot (normal_166, lightDir_165);
  highp vec3 arg0_168;
  arg0_168 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_169;
  tmpvar_169 = clamp (((sqrt(dot (arg0_168, arg0_168)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_170;
  tmpvar_170 = mix (tmpvar_143, (c_156 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_167)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_167)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_169));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_170.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_170, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_146;
  tmpvar_146 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_147;
  lightDir_147 = tmpvar_145;
  mediump vec3 viewDir_148;
  viewDir_148 = xlv_TEXCOORD8;
  mediump vec3 normal_149;
  normal_149 = xlv_TEXCOORD4;
  mediump float atten_150;
  atten_150 = tmpvar_146;
  mediump vec4 c_151;
  highp float nh_152;
  mediump vec3 tmpvar_153;
  tmpvar_153 = normalize(lightDir_147);
  lightDir_147 = tmpvar_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(viewDir_148);
  viewDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(normal_149);
  normal_149 = tmpvar_155;
  mediump float tmpvar_156;
  tmpvar_156 = dot (tmpvar_155, tmpvar_153);
  mediump float tmpvar_157;
  tmpvar_157 = clamp (dot (normalize((tmpvar_153 + tmpvar_154)), tmpvar_155), 0.0, 1.0);
  nh_152 = tmpvar_157;
  highp vec3 tmpvar_158;
  tmpvar_158 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_156) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_152, _SpecularPower) * specColor_2.w))) * (atten_150 * 4.0));
  c_151.xyz = tmpvar_158;
  c_151.w = (tmpvar_156 * (atten_150 * 4.0));
  lowp vec3 tmpvar_159;
  tmpvar_159 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_160;
  lightDir_160 = tmpvar_159;
  mediump vec3 normal_161;
  normal_161 = xlv_TEXCOORD4;
  mediump float tmpvar_162;
  tmpvar_162 = dot (normal_161, lightDir_160);
  highp vec3 arg0_163;
  arg0_163 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_164;
  tmpvar_164 = clamp (((sqrt(dot (arg0_163, arg0_163)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_165;
  tmpvar_165 = mix (tmpvar_143, (c_151 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_162)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_162)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_164));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_165.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_165, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 632
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 636
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 641
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 594
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 598
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 643
lowp vec4 frag( in v2f IN ) {
    #line 645
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    #line 649
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    #line 653
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    #line 657
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    #line 661
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    uv += localCoords;
    mediump vec3 norm;
    #line 665
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    #line 669
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    #line 673
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    #line 677
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    #line 681
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 685
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    #line 689
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 693
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = gl_Normal;
  vec4 tmpvar_6;
  tmpvar_6.x = gl_MultiTexCoord0.x;
  tmpvar_6.y = gl_MultiTexCoord0.y;
  tmpvar_6.z = gl_MultiTexCoord1.x;
  tmpvar_6.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_7;
  tmpvar_7 = -(tmpvar_6.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_8;
  tmpvar_8 = dot (tmpvar_7, normalize(_SunDir));
  vec4 o_9;
  vec4 tmpvar_10;
  tmpvar_10 = (tmpvar_2 * 0.5);
  vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_10.x;
  tmpvar_11.y = (tmpvar_10.y * _ProjectionParams.x);
  o_9.xy = (tmpvar_11 + tmpvar_10.w);
  o_9.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD3 = o_9;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = tmpvar_7;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_8)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_8)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec2 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  float atten_98;
  atten_98 = (texture2D (_LightTexture0, xlv_TEXCOORD2).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x);
  vec4 c_99;
  vec3 tmpvar_100;
  tmpvar_100 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_101;
  tmpvar_101 = normalize(xlv_TEXCOORD4);
  float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_100);
  c_99.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_100 + normalize(xlv_TEXCOORD8))), tmpvar_101), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_98 * 4.0));
  c_99.w = (tmpvar_102 * (atten_98 * 4.0));
  float tmpvar_103;
  tmpvar_103 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_104;
  arg0_104 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_105;
  tmpvar_105 = mix (tmpvar_97, (c_99 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_103)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_103)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_104, arg0_104)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_105.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_105, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 15 [_SunDir]
Vector 16 [_PlanetOrigin]
"vs_3_0
; 47 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c17, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c18, 0.50000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c15, c15
rsq r0.x, r0.x
mov r0.w, c17.x
dp4 r3.w, v0, c3
dp4 r3.z, v0, c2
mul r0.xyz, r0.x, c15
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r0.x, r2, r2
add r2.w, r1, c17.z
rsq r0.x, r0.x
frc r0.y, r2.w
mul o5.xyz, r0.x, r2
add_sat r0.y, r2.w, -r0
add r2.x, r0.y, c17.w
mul_sat r0.w, -r1, c17.y
mad o7.x, r0.w, r2, c18.y
dp4 r3.x, v0, c0
dp4 r3.y, v0, c1
mul r0.xyz, r3.xyww, c18.x
mul r0.y, r0, c13.x
mad o4.xy, r0.z, c14.zwzw, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
dp3 r1.w, r2, r2
rsq r0.x, r1.w
mul o9.xyz, r0.x, -r2
rcp o2.w, r0.x
mov r0.xyz, c16
mov o0, r3
mov o1, v1
mov o4.zw, r3
mov o2.xyz, v2
mov o6.xyz, -r1
add o8.xyz, -c12, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 48 instructions, 3 temp regs, 0 temp arrays:
// ALU 40 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp float tmpvar_147;
  mediump float lightShadowDataX_148;
  highp float dist_149;
  lowp float tmpvar_150;
  tmpvar_150 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3).x;
  dist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = _LightShadowData.x;
  lightShadowDataX_148 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = max (float((dist_149 > (xlv_TEXCOORD3.z / xlv_TEXCOORD3.w))), lightShadowDataX_148);
  tmpvar_147 = tmpvar_152;
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_146.w * tmpvar_147);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  lowp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.w = 0.0;
  tmpvar_8.xyz = tmpvar_1;
  highp vec4 tmpvar_9;
  tmpvar_9.x = _glesMultiTexCoord0.x;
  tmpvar_9.y = _glesMultiTexCoord0.y;
  tmpvar_9.z = _glesMultiTexCoord1.x;
  tmpvar_9.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_10;
  tmpvar_10 = -(tmpvar_9.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_11;
  tmpvar_11 = normalize(_SunDir);
  highp float tmpvar_12;
  tmpvar_12 = dot (tmpvar_10, tmpvar_11);
  NdotL_2 = tmpvar_12;
  mediump float tmpvar_13;
  tmpvar_13 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_13;
  highp vec4 o_14;
  highp vec4 tmpvar_15;
  tmpvar_15 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_16;
  tmpvar_16.x = tmpvar_15.x;
  tmpvar_16.y = (tmpvar_15.y * _ProjectionParams.x);
  o_14.xy = (tmpvar_16 + tmpvar_15.w);
  o_14.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD3 = o_14;
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_8).xyz);
  xlv_TEXCOORD5 = tmpvar_10;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec2 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  lowp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  tmpvar_146 = texture2D (_LightTexture0, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD3);
  mediump vec3 lightDir_148;
  lightDir_148 = tmpvar_145;
  mediump vec3 viewDir_149;
  viewDir_149 = xlv_TEXCOORD8;
  mediump vec3 normal_150;
  normal_150 = xlv_TEXCOORD4;
  mediump float atten_151;
  atten_151 = (tmpvar_146.w * tmpvar_147.x);
  mediump vec4 c_152;
  highp float nh_153;
  mediump vec3 tmpvar_154;
  tmpvar_154 = normalize(lightDir_148);
  lightDir_148 = tmpvar_154;
  mediump vec3 tmpvar_155;
  tmpvar_155 = normalize(viewDir_149);
  viewDir_149 = tmpvar_155;
  mediump vec3 tmpvar_156;
  tmpvar_156 = normalize(normal_150);
  normal_150 = tmpvar_156;
  mediump float tmpvar_157;
  tmpvar_157 = dot (tmpvar_156, tmpvar_154);
  mediump float tmpvar_158;
  tmpvar_158 = clamp (dot (normalize((tmpvar_154 + tmpvar_155)), tmpvar_156), 0.0, 1.0);
  nh_153 = tmpvar_158;
  highp vec3 tmpvar_159;
  tmpvar_159 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_157) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_153, _SpecularPower) * specColor_2.w))) * (atten_151 * 4.0));
  c_152.xyz = tmpvar_159;
  c_152.w = (tmpvar_157 * (atten_151 * 4.0));
  lowp vec3 tmpvar_160;
  tmpvar_160 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_161;
  lightDir_161 = tmpvar_160;
  mediump vec3 normal_162;
  normal_162 = xlv_TEXCOORD4;
  mediump float tmpvar_163;
  tmpvar_163 = dot (normal_162, lightDir_161);
  highp vec3 arg0_164;
  arg0_164 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_165;
  tmpvar_165 = clamp (((sqrt(dot (arg0_164, arg0_164)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_166;
  tmpvar_166 = mix (tmpvar_143, (c_152 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_163)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_163)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_165));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_166.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_166, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 635
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 639
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 643
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 613
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 596
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 600
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 647
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 647
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 651
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 655
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 659
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 663
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 667
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 671
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 675
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 679
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 683
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 687
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 691
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 695
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 699
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  float tmpvar_99;
  tmpvar_99 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_100;
  tmpvar_100 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_101;
  if ((tmpvar_100 < tmpvar_99)) {
    tmpvar_101 = _LightShadowData.x;
  } else {
    tmpvar_101 = 1.0;
  };
  float atten_102;
  atten_102 = (tmpvar_98.w * tmpvar_101);
  vec4 c_103;
  vec3 tmpvar_104;
  tmpvar_104 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_105;
  tmpvar_105 = normalize(xlv_TEXCOORD4);
  float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_104);
  c_103.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_104 + normalize(xlv_TEXCOORD8))), tmpvar_105), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_102 * 4.0));
  c_103.w = (tmpvar_106 * (atten_102 * 4.0));
  float tmpvar_107;
  tmpvar_107 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_108;
  arg0_108 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_109;
  tmpvar_109 = mix (tmpvar_97, (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_107)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_107)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_108, arg0_108)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_109.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_109, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedgeciikmdgjlilikcjcdinokbkadgbngnabaaaaaahiaiaaaaadaaaaaa
cmaaaaaapeaaaaaaamacaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheobaabaaaaakaaaaaa
aiaaaaaapiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaaeabaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaaaeabaaaaahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaiaaaaaeabaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcgeagaaaaeaaaabaajjabaaaafjaaaaae
egiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaacaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaa
fpaaaaaddcbabaaaadaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaa
gfaaaaadhccabaaaadaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagfaaaaad
hccabaaaahaaaaaagfaaaaadhccabaaaaiaaaaaagiaaaaacacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaa
egbobaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
adaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaaaaaaaaajhccabaaaaeaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
acaaaaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaelaaaaaficcabaaaacaaaaaaakaabaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaiaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadgaaaaafhccabaaaacaaaaaaegbcbaaaacaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
fgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaaaeaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaaegiccaaaaaaaaaaabfaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaaaaaaaaa
bfaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaagaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaadaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaihcaabaaaaaaaaaaafgbfbaaa
acaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaacaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaacaaaaaaegacbaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaahaaaaaaegiccaaaaaaaaaaa
biaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  tmpvar_148 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_152;
  if ((tmpvar_151 < tmpvar_148)) {
    tmpvar_152 = _LightShadowData.x;
  } else {
    tmpvar_152 = 1.0;
  };
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_147.w * tmpvar_152);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  highp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  tmpvar_148 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_149;
  lowp vec4 tmpvar_150;
  tmpvar_150 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_149 = tmpvar_150;
  highp float tmpvar_151;
  tmpvar_151 = dot (packDist_149, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_152;
  if ((tmpvar_151 < tmpvar_148)) {
    tmpvar_152 = _LightShadowData.x;
  } else {
    tmpvar_152 = 1.0;
  };
  mediump vec3 lightDir_153;
  lightDir_153 = tmpvar_145;
  mediump vec3 viewDir_154;
  viewDir_154 = xlv_TEXCOORD8;
  mediump vec3 normal_155;
  normal_155 = xlv_TEXCOORD4;
  mediump float atten_156;
  atten_156 = (tmpvar_147.w * tmpvar_152);
  mediump vec4 c_157;
  highp float nh_158;
  mediump vec3 tmpvar_159;
  tmpvar_159 = normalize(lightDir_153);
  lightDir_153 = tmpvar_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(viewDir_154);
  viewDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(normal_155);
  normal_155 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (tmpvar_161, tmpvar_159);
  mediump float tmpvar_163;
  tmpvar_163 = clamp (dot (normalize((tmpvar_159 + tmpvar_160)), tmpvar_161), 0.0, 1.0);
  nh_158 = tmpvar_163;
  highp vec3 tmpvar_164;
  tmpvar_164 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_162) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_158, _SpecularPower) * specColor_2.w))) * (atten_156 * 4.0));
  c_157.xyz = tmpvar_164;
  c_157.w = (tmpvar_162 * (atten_156 * 4.0));
  highp vec3 tmpvar_165;
  tmpvar_165 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_166;
  lightDir_166 = tmpvar_165;
  mediump vec3 normal_167;
  normal_167 = xlv_TEXCOORD4;
  mediump float tmpvar_168;
  tmpvar_168 = dot (normal_167, lightDir_166);
  highp vec3 arg0_169;
  arg0_169 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_170;
  tmpvar_170 = clamp (((sqrt(dot (arg0_169, arg0_169)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_171;
  tmpvar_171 = mix (tmpvar_143, (c_157 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_168)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_168)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_170));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_171.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_171, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 632
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 636
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 640
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 644
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 648
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 618
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 601
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 605
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 632
#line 652
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 652
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 656
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 660
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 664
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 668
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 672
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 676
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 680
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 684
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 688
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 692
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 696
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 700
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 704
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_99;
  tmpvar_99 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  float tmpvar_100;
  tmpvar_100 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  float tmpvar_101;
  tmpvar_101 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD3), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_102;
  if ((tmpvar_101 < tmpvar_100)) {
    tmpvar_102 = _LightShadowData.x;
  } else {
    tmpvar_102 = 1.0;
  };
  float atten_103;
  atten_103 = ((tmpvar_98.w * tmpvar_99.w) * tmpvar_102);
  vec4 c_104;
  vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_106;
  tmpvar_106 = normalize(xlv_TEXCOORD4);
  float tmpvar_107;
  tmpvar_107 = dot (tmpvar_106, tmpvar_105);
  c_104.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_107) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_105 + normalize(xlv_TEXCOORD8))), tmpvar_106), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_103 * 4.0));
  c_104.w = (tmpvar_107 * (atten_103 * 4.0));
  float tmpvar_108;
  tmpvar_108 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_109;
  arg0_109 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_110;
  tmpvar_110 = mix (tmpvar_97, (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_109, arg0_109)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_110.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_110, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  tmpvar_149 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_150;
  lowp vec4 tmpvar_151;
  tmpvar_151 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_150 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = dot (packDist_150, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_153;
  if ((tmpvar_152 < tmpvar_149)) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_153);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  tmpvar_149 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_150;
  lowp vec4 tmpvar_151;
  tmpvar_151 = textureCube (_ShadowMapTexture, xlv_TEXCOORD3);
  packDist_150 = tmpvar_151;
  highp float tmpvar_152;
  tmpvar_152 = dot (packDist_150, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_153;
  if ((tmpvar_152 < tmpvar_149)) {
    tmpvar_153 = _LightShadowData.x;
  } else {
    tmpvar_153 = 1.0;
  };
  mediump vec3 lightDir_154;
  lightDir_154 = tmpvar_145;
  mediump vec3 viewDir_155;
  viewDir_155 = xlv_TEXCOORD8;
  mediump vec3 normal_156;
  normal_156 = xlv_TEXCOORD4;
  mediump float atten_157;
  atten_157 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_153);
  mediump vec4 c_158;
  highp float nh_159;
  mediump vec3 tmpvar_160;
  tmpvar_160 = normalize(lightDir_154);
  lightDir_154 = tmpvar_160;
  mediump vec3 tmpvar_161;
  tmpvar_161 = normalize(viewDir_155);
  viewDir_155 = tmpvar_161;
  mediump vec3 tmpvar_162;
  tmpvar_162 = normalize(normal_156);
  normal_156 = tmpvar_162;
  mediump float tmpvar_163;
  tmpvar_163 = dot (tmpvar_162, tmpvar_160);
  mediump float tmpvar_164;
  tmpvar_164 = clamp (dot (normalize((tmpvar_160 + tmpvar_161)), tmpvar_162), 0.0, 1.0);
  nh_159 = tmpvar_164;
  highp vec3 tmpvar_165;
  tmpvar_165 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_163) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_159, _SpecularPower) * specColor_2.w))) * (atten_157 * 4.0));
  c_158.xyz = tmpvar_165;
  c_158.w = (tmpvar_163 * (atten_157 * 4.0));
  highp vec3 tmpvar_166;
  tmpvar_166 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_167;
  lightDir_167 = tmpvar_166;
  mediump vec3 normal_168;
  normal_168 = xlv_TEXCOORD4;
  mediump float tmpvar_169;
  tmpvar_169 = dot (normal_168, lightDir_167);
  highp vec3 arg0_170;
  arg0_170 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_171;
  tmpvar_171 = clamp (((sqrt(dot (arg0_170, arg0_170)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_172;
  tmpvar_172 = mix (tmpvar_143, (c_158 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_169)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_169)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_171));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_172.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_172, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 633
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 637
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 641
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 645
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 649
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 602
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 606
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 633
#line 653
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 653
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 657
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 661
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 665
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 669
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 673
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 677
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 681
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 685
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 689
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 693
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 697
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 701
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 705
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5));
  vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz)));
  vec4 shadowVals_100;
  vec3 tmpvar_101;
  tmpvar_101 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadowVals_100.x = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_100.y = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_100.z = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_100.w = texture2D (_ShadowMapTexture, (tmpvar_101.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_102;
  tmpvar_102 = lessThan (shadowVals_100, tmpvar_101.zzzz);
  vec4 tmpvar_103;
  tmpvar_103 = _LightShadowData.xxxx;
  float tmpvar_104;
  if (tmpvar_102.x) {
    tmpvar_104 = tmpvar_103.x;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_102.y) {
    tmpvar_105 = tmpvar_103.y;
  } else {
    tmpvar_105 = 1.0;
  };
  float tmpvar_106;
  if (tmpvar_102.z) {
    tmpvar_106 = tmpvar_103.z;
  } else {
    tmpvar_106 = 1.0;
  };
  float tmpvar_107;
  if (tmpvar_102.w) {
    tmpvar_107 = tmpvar_103.w;
  } else {
    tmpvar_107 = 1.0;
  };
  vec4 tmpvar_108;
  tmpvar_108.x = tmpvar_104;
  tmpvar_108.y = tmpvar_105;
  tmpvar_108.z = tmpvar_106;
  tmpvar_108.w = tmpvar_107;
  float atten_109;
  atten_109 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_98.w) * tmpvar_99.w) * dot (tmpvar_108, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_110;
  vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_112;
  tmpvar_112 = normalize(xlv_TEXCOORD4);
  float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_111);
  c_110.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_111 + normalize(xlv_TEXCOORD8))), tmpvar_112), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_109 * 4.0));
  c_110.w = (tmpvar_113 * (atten_109 * 4.0));
  float tmpvar_114;
  tmpvar_114 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_115;
  arg0_115 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_116;
  tmpvar_116 = mix (tmpvar_97, (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_115, arg0_115)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_116, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec4 shadowVals_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_154;
  P_154 = (tmpvar_153.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_155;
  tmpvar_155 = texture2D (_ShadowMapTexture, P_154).x;
  shadowVals_152.x = tmpvar_155;
  highp vec2 P_156;
  P_156 = (tmpvar_153.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_157;
  tmpvar_157 = texture2D (_ShadowMapTexture, P_156).x;
  shadowVals_152.y = tmpvar_157;
  highp vec2 P_158;
  P_158 = (tmpvar_153.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_159;
  tmpvar_159 = texture2D (_ShadowMapTexture, P_158).x;
  shadowVals_152.z = tmpvar_159;
  highp vec2 P_160;
  P_160 = (tmpvar_153.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_161;
  tmpvar_161 = texture2D (_ShadowMapTexture, P_160).x;
  shadowVals_152.w = tmpvar_161;
  bvec4 tmpvar_162;
  tmpvar_162 = lessThan (shadowVals_152, tmpvar_153.zzzz);
  highp vec4 tmpvar_163;
  tmpvar_163 = _LightShadowData.xxxx;
  highp float tmpvar_164;
  if (tmpvar_162.x) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = 1.0;
  };
  highp float tmpvar_165;
  if (tmpvar_162.y) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = 1.0;
  };
  highp float tmpvar_166;
  if (tmpvar_162.z) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_162.w) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = 1.0;
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  shadows_151 = tmpvar_168;
  mediump float tmpvar_169;
  tmpvar_169 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_169;
  mediump vec3 lightDir_170;
  lightDir_170 = tmpvar_145;
  mediump vec3 viewDir_171;
  viewDir_171 = xlv_TEXCOORD8;
  mediump vec3 normal_172;
  normal_172 = xlv_TEXCOORD4;
  mediump float atten_173;
  atten_173 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_174;
  highp float nh_175;
  mediump vec3 tmpvar_176;
  tmpvar_176 = normalize(lightDir_170);
  lightDir_170 = tmpvar_176;
  mediump vec3 tmpvar_177;
  tmpvar_177 = normalize(viewDir_171);
  viewDir_171 = tmpvar_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(normal_172);
  normal_172 = tmpvar_178;
  mediump float tmpvar_179;
  tmpvar_179 = dot (tmpvar_178, tmpvar_176);
  mediump float tmpvar_180;
  tmpvar_180 = clamp (dot (normalize((tmpvar_176 + tmpvar_177)), tmpvar_178), 0.0, 1.0);
  nh_175 = tmpvar_180;
  highp vec3 tmpvar_181;
  tmpvar_181 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_179) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_175, _SpecularPower) * specColor_2.w))) * (atten_173 * 4.0));
  c_174.xyz = tmpvar_181;
  c_174.w = (tmpvar_179 * (atten_173 * 4.0));
  highp vec3 tmpvar_182;
  tmpvar_182 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_183;
  lightDir_183 = tmpvar_182;
  mediump vec3 normal_184;
  normal_184 = xlv_TEXCOORD4;
  mediump float tmpvar_185;
  tmpvar_185 = dot (normal_184, lightDir_183);
  highp vec3 arg0_186;
  arg0_186 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_187;
  tmpvar_187 = clamp (((sqrt(dot (arg0_186, arg0_186)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_188;
  tmpvar_188 = mix (tmpvar_143, (c_174 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_185)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_185)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_187));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_188.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_188, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec4 shadowVals_152;
  highp vec3 tmpvar_153;
  tmpvar_153 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec2 P_154;
  P_154 = (tmpvar_153.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_155;
  tmpvar_155 = texture2D (_ShadowMapTexture, P_154).x;
  shadowVals_152.x = tmpvar_155;
  highp vec2 P_156;
  P_156 = (tmpvar_153.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_157;
  tmpvar_157 = texture2D (_ShadowMapTexture, P_156).x;
  shadowVals_152.y = tmpvar_157;
  highp vec2 P_158;
  P_158 = (tmpvar_153.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_159;
  tmpvar_159 = texture2D (_ShadowMapTexture, P_158).x;
  shadowVals_152.z = tmpvar_159;
  highp vec2 P_160;
  P_160 = (tmpvar_153.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_161;
  tmpvar_161 = texture2D (_ShadowMapTexture, P_160).x;
  shadowVals_152.w = tmpvar_161;
  bvec4 tmpvar_162;
  tmpvar_162 = lessThan (shadowVals_152, tmpvar_153.zzzz);
  highp vec4 tmpvar_163;
  tmpvar_163 = _LightShadowData.xxxx;
  highp float tmpvar_164;
  if (tmpvar_162.x) {
    tmpvar_164 = tmpvar_163.x;
  } else {
    tmpvar_164 = 1.0;
  };
  highp float tmpvar_165;
  if (tmpvar_162.y) {
    tmpvar_165 = tmpvar_163.y;
  } else {
    tmpvar_165 = 1.0;
  };
  highp float tmpvar_166;
  if (tmpvar_162.z) {
    tmpvar_166 = tmpvar_163.z;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_162.w) {
    tmpvar_167 = tmpvar_163.w;
  } else {
    tmpvar_167 = 1.0;
  };
  highp vec4 tmpvar_168;
  tmpvar_168.x = tmpvar_164;
  tmpvar_168.y = tmpvar_165;
  tmpvar_168.z = tmpvar_166;
  tmpvar_168.w = tmpvar_167;
  shadows_151 = tmpvar_168;
  mediump float tmpvar_169;
  tmpvar_169 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_169;
  mediump vec3 lightDir_170;
  lightDir_170 = tmpvar_145;
  mediump vec3 viewDir_171;
  viewDir_171 = xlv_TEXCOORD8;
  mediump vec3 normal_172;
  normal_172 = xlv_TEXCOORD4;
  mediump float atten_173;
  atten_173 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_174;
  highp float nh_175;
  mediump vec3 tmpvar_176;
  tmpvar_176 = normalize(lightDir_170);
  lightDir_170 = tmpvar_176;
  mediump vec3 tmpvar_177;
  tmpvar_177 = normalize(viewDir_171);
  viewDir_171 = tmpvar_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(normal_172);
  normal_172 = tmpvar_178;
  mediump float tmpvar_179;
  tmpvar_179 = dot (tmpvar_178, tmpvar_176);
  mediump float tmpvar_180;
  tmpvar_180 = clamp (dot (normalize((tmpvar_176 + tmpvar_177)), tmpvar_178), 0.0, 1.0);
  nh_175 = tmpvar_180;
  highp vec3 tmpvar_181;
  tmpvar_181 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_179) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_175, _SpecularPower) * specColor_2.w))) * (atten_173 * 4.0));
  c_174.xyz = tmpvar_181;
  c_174.w = (tmpvar_179 * (atten_173 * 4.0));
  highp vec3 tmpvar_182;
  tmpvar_182 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_183;
  lightDir_183 = tmpvar_182;
  mediump vec3 normal_184;
  normal_184 = xlv_TEXCOORD4;
  mediump float tmpvar_185;
  tmpvar_185 = dot (normal_184, lightDir_183);
  highp vec3 arg0_186;
  arg0_186 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_187;
  tmpvar_187 = clamp (((sqrt(dot (arg0_186, arg0_186)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_188;
  tmpvar_188 = mix (tmpvar_143, (c_174 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_185)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_185)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_187));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_188.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_188, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 694
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 698
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 702
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 706
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 710
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 714
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 shadows_98;
  vec3 tmpvar_99;
  tmpvar_99 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  shadows_98.x = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[0].xyz)).x;
  shadows_98.y = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[1].xyz)).x;
  shadows_98.z = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[2].xyz)).x;
  shadows_98.w = shadow2D (_ShadowMapTexture, (tmpvar_99 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_100;
  tmpvar_100 = (_LightShadowData.xxxx + (shadows_98 * (1.0 - _LightShadowData.xxxx)));
  shadows_98 = tmpvar_100;
  float atten_101;
  atten_101 = (((float((xlv_TEXCOORD2.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz))).w) * dot (tmpvar_100, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_102;
  vec3 tmpvar_103;
  tmpvar_103 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_104;
  tmpvar_104 = normalize(xlv_TEXCOORD4);
  float tmpvar_105;
  tmpvar_105 = dot (tmpvar_104, tmpvar_103);
  c_102.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_105) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_103 + normalize(xlv_TEXCOORD8))), tmpvar_104), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_101 * 4.0));
  c_102.w = (tmpvar_105 * (atten_101 * 4.0));
  float tmpvar_106;
  tmpvar_106 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_107;
  arg0_107 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_108;
  tmpvar_108 = mix (tmpvar_97, (c_102 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_106)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_106)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_107, arg0_107)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_108.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_108, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_LightMatrix0]
Vector 17 [_SunDir]
Vector 18 [_PlanetOrigin]
"vs_3_0
; 48 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c19, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c20, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c17, c17
rsq r0.x, r0.x
mov r0.w, c19.x
mul r0.xyz, r0.x, c17
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
add r2.w, r1, c19.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c10
dp4 r0.w, v0, c11
mul_sat r0.x, -r1.w, c19.y
add r0.y, r0, c19.w
mad o7.x, r0, r0.y, c20
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
add r2.xyz, -r0, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
dp4 o4.w, r0, c7
dp4 o4.z, r0, c6
dp4 o4.y, r0, c5
dp4 o4.x, r0, c4
mov r0.xyz, c18
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 464 // 460 used size, 23 vars
Matrix 80 [_LightMatrix0] 4
Vector 400 [_SunDir] 3
Vector 448 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityShadows" 2
BindCB "UnityPerDraw" 3
// 47 instructions, 2 temp regs, 0 temp arrays:
// ALU 41 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD3 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  lowp vec4 tmpvar_146;
  highp vec2 P_147;
  P_147 = ((xlv_TEXCOORD2.xy / xlv_TEXCOORD2.w) + 0.5);
  tmpvar_146 = texture2D (_LightTexture0, P_147);
  highp float tmpvar_148;
  tmpvar_148 = dot (xlv_TEXCOORD2.xyz, xlv_TEXCOORD2.xyz);
  lowp vec4 tmpvar_149;
  tmpvar_149 = texture2D (_LightTextureB0, vec2(tmpvar_148));
  lowp float tmpvar_150;
  mediump vec4 shadows_151;
  highp vec3 tmpvar_152;
  tmpvar_152 = (xlv_TEXCOORD3.xyz / xlv_TEXCOORD3.w);
  highp vec3 coord_153;
  coord_153 = (tmpvar_152 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_154;
  tmpvar_154 = shadow2DEXT (_ShadowMapTexture, coord_153);
  shadows_151.x = tmpvar_154;
  highp vec3 coord_155;
  coord_155 = (tmpvar_152 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_156;
  tmpvar_156 = shadow2DEXT (_ShadowMapTexture, coord_155);
  shadows_151.y = tmpvar_156;
  highp vec3 coord_157;
  coord_157 = (tmpvar_152 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_158;
  tmpvar_158 = shadow2DEXT (_ShadowMapTexture, coord_157);
  shadows_151.z = tmpvar_158;
  highp vec3 coord_159;
  coord_159 = (tmpvar_152 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_160;
  tmpvar_160 = shadow2DEXT (_ShadowMapTexture, coord_159);
  shadows_151.w = tmpvar_160;
  highp vec4 tmpvar_161;
  tmpvar_161 = (_LightShadowData.xxxx + (shadows_151 * (1.0 - _LightShadowData.xxxx)));
  shadows_151 = tmpvar_161;
  mediump float tmpvar_162;
  tmpvar_162 = dot (shadows_151, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_150 = tmpvar_162;
  mediump vec3 lightDir_163;
  lightDir_163 = tmpvar_145;
  mediump vec3 viewDir_164;
  viewDir_164 = xlv_TEXCOORD8;
  mediump vec3 normal_165;
  normal_165 = xlv_TEXCOORD4;
  mediump float atten_166;
  atten_166 = (((float((xlv_TEXCOORD2.z > 0.0)) * tmpvar_146.w) * tmpvar_149.w) * tmpvar_150);
  mediump vec4 c_167;
  highp float nh_168;
  mediump vec3 tmpvar_169;
  tmpvar_169 = normalize(lightDir_163);
  lightDir_163 = tmpvar_169;
  mediump vec3 tmpvar_170;
  tmpvar_170 = normalize(viewDir_164);
  viewDir_164 = tmpvar_170;
  mediump vec3 tmpvar_171;
  tmpvar_171 = normalize(normal_165);
  normal_165 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (tmpvar_171, tmpvar_169);
  mediump float tmpvar_173;
  tmpvar_173 = clamp (dot (normalize((tmpvar_169 + tmpvar_170)), tmpvar_171), 0.0, 1.0);
  nh_168 = tmpvar_173;
  highp vec3 tmpvar_174;
  tmpvar_174 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_172) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_168, _SpecularPower) * specColor_2.w))) * (atten_166 * 4.0));
  c_167.xyz = tmpvar_174;
  c_167.w = (tmpvar_172 * (atten_166 * 4.0));
  highp vec3 tmpvar_175;
  tmpvar_175 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_176;
  lightDir_176 = tmpvar_175;
  mediump vec3 normal_177;
  normal_177 = xlv_TEXCOORD4;
  mediump float tmpvar_178;
  tmpvar_178 = dot (normal_177, lightDir_176);
  highp vec3 arg0_179;
  arg0_179 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_180;
  tmpvar_180 = clamp (((sqrt(dot (arg0_179, arg0_179)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_181;
  tmpvar_181 = mix (tmpvar_143, (c_167 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_178)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_178)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_180));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_181.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_181, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 642
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 646
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 650
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 654
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 658
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 628
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 618
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 611
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 615
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 642
#line 662
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 662
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 666
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 670
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 674
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 678
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 682
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 686
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 690
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 694
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 698
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 702
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 706
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 710
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 714
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 shadowVals_99;
  shadowVals_99.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_99.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_100;
  tmpvar_100 = lessThan (shadowVals_99, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_101;
  tmpvar_101 = _LightShadowData.xxxx;
  float tmpvar_102;
  if (tmpvar_100.x) {
    tmpvar_102 = tmpvar_101.x;
  } else {
    tmpvar_102 = 1.0;
  };
  float tmpvar_103;
  if (tmpvar_100.y) {
    tmpvar_103 = tmpvar_101.y;
  } else {
    tmpvar_103 = 1.0;
  };
  float tmpvar_104;
  if (tmpvar_100.z) {
    tmpvar_104 = tmpvar_101.z;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_100.w) {
    tmpvar_105 = tmpvar_101.w;
  } else {
    tmpvar_105 = 1.0;
  };
  vec4 tmpvar_106;
  tmpvar_106.x = tmpvar_102;
  tmpvar_106.y = tmpvar_103;
  tmpvar_106.z = tmpvar_104;
  tmpvar_106.w = tmpvar_105;
  float atten_107;
  atten_107 = (tmpvar_98.w * dot (tmpvar_106, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_108;
  vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_110;
  tmpvar_110 = normalize(xlv_TEXCOORD4);
  float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_109);
  c_108.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_109 + normalize(xlv_TEXCOORD8))), tmpvar_110), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_107 * 4.0));
  c_108.w = (tmpvar_111 * (atten_107 * 4.0));
  float tmpvar_112;
  tmpvar_112 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_113;
  arg0_113 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_114;
  tmpvar_114 = mix (tmpvar_97, (c_108 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_113, arg0_113)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_114.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_114, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  mediump vec4 shadows_149;
  highp vec4 shadowVals_150;
  highp float tmpvar_151;
  tmpvar_151 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_152;
  vec_152 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_153;
  lowp vec4 tmpvar_154;
  tmpvar_154 = textureCube (_ShadowMapTexture, vec_152);
  packDist_153 = tmpvar_154;
  shadowVals_150.x = dot (packDist_153, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_155;
  vec_155 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_156;
  lowp vec4 tmpvar_157;
  tmpvar_157 = textureCube (_ShadowMapTexture, vec_155);
  packDist_156 = tmpvar_157;
  shadowVals_150.y = dot (packDist_156, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_158;
  vec_158 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_159;
  lowp vec4 tmpvar_160;
  tmpvar_160 = textureCube (_ShadowMapTexture, vec_158);
  packDist_159 = tmpvar_160;
  shadowVals_150.z = dot (packDist_159, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_161;
  vec_161 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_162;
  lowp vec4 tmpvar_163;
  tmpvar_163 = textureCube (_ShadowMapTexture, vec_161);
  packDist_162 = tmpvar_163;
  shadowVals_150.w = dot (packDist_162, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_164;
  tmpvar_164 = lessThan (shadowVals_150, vec4(tmpvar_151));
  highp vec4 tmpvar_165;
  tmpvar_165 = _LightShadowData.xxxx;
  highp float tmpvar_166;
  if (tmpvar_164.x) {
    tmpvar_166 = tmpvar_165.x;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_164.y) {
    tmpvar_167 = tmpvar_165.y;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_164.z) {
    tmpvar_168 = tmpvar_165.z;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_164.w) {
    tmpvar_169 = tmpvar_165.w;
  } else {
    tmpvar_169 = 1.0;
  };
  highp vec4 tmpvar_170;
  tmpvar_170.x = tmpvar_166;
  tmpvar_170.y = tmpvar_167;
  tmpvar_170.z = tmpvar_168;
  tmpvar_170.w = tmpvar_169;
  shadows_149 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (shadows_149, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_148 = tmpvar_171;
  mediump vec3 lightDir_172;
  lightDir_172 = tmpvar_145;
  mediump vec3 viewDir_173;
  viewDir_173 = xlv_TEXCOORD8;
  mediump vec3 normal_174;
  normal_174 = xlv_TEXCOORD4;
  mediump float atten_175;
  atten_175 = (tmpvar_147.w * tmpvar_148);
  mediump vec4 c_176;
  highp float nh_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(lightDir_172);
  lightDir_172 = tmpvar_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(viewDir_173);
  viewDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(normal_174);
  normal_174 = tmpvar_180;
  mediump float tmpvar_181;
  tmpvar_181 = dot (tmpvar_180, tmpvar_178);
  mediump float tmpvar_182;
  tmpvar_182 = clamp (dot (normalize((tmpvar_178 + tmpvar_179)), tmpvar_180), 0.0, 1.0);
  nh_177 = tmpvar_182;
  highp vec3 tmpvar_183;
  tmpvar_183 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_181) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_177, _SpecularPower) * specColor_2.w))) * (atten_175 * 4.0));
  c_176.xyz = tmpvar_183;
  c_176.w = (tmpvar_181 * (atten_175 * 4.0));
  highp vec3 tmpvar_184;
  tmpvar_184 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_185;
  lightDir_185 = tmpvar_184;
  mediump vec3 normal_186;
  normal_186 = xlv_TEXCOORD4;
  mediump float tmpvar_187;
  tmpvar_187 = dot (normal_186, lightDir_185);
  highp vec3 arg0_188;
  arg0_188 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_189;
  tmpvar_189 = clamp (((sqrt(dot (arg0_188, arg0_188)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_190;
  tmpvar_190 = mix (tmpvar_143, (c_176 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_187)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_187)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_189));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_190.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_190, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTexture0, vec2(tmpvar_146));
  highp float tmpvar_148;
  mediump vec4 shadows_149;
  highp vec4 shadowVals_150;
  highp float tmpvar_151;
  tmpvar_151 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_152;
  vec_152 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_153;
  lowp vec4 tmpvar_154;
  tmpvar_154 = textureCube (_ShadowMapTexture, vec_152);
  packDist_153 = tmpvar_154;
  shadowVals_150.x = dot (packDist_153, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_155;
  vec_155 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_156;
  lowp vec4 tmpvar_157;
  tmpvar_157 = textureCube (_ShadowMapTexture, vec_155);
  packDist_156 = tmpvar_157;
  shadowVals_150.y = dot (packDist_156, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_158;
  vec_158 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_159;
  lowp vec4 tmpvar_160;
  tmpvar_160 = textureCube (_ShadowMapTexture, vec_158);
  packDist_159 = tmpvar_160;
  shadowVals_150.z = dot (packDist_159, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_161;
  vec_161 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_162;
  lowp vec4 tmpvar_163;
  tmpvar_163 = textureCube (_ShadowMapTexture, vec_161);
  packDist_162 = tmpvar_163;
  shadowVals_150.w = dot (packDist_162, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_164;
  tmpvar_164 = lessThan (shadowVals_150, vec4(tmpvar_151));
  highp vec4 tmpvar_165;
  tmpvar_165 = _LightShadowData.xxxx;
  highp float tmpvar_166;
  if (tmpvar_164.x) {
    tmpvar_166 = tmpvar_165.x;
  } else {
    tmpvar_166 = 1.0;
  };
  highp float tmpvar_167;
  if (tmpvar_164.y) {
    tmpvar_167 = tmpvar_165.y;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_164.z) {
    tmpvar_168 = tmpvar_165.z;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_164.w) {
    tmpvar_169 = tmpvar_165.w;
  } else {
    tmpvar_169 = 1.0;
  };
  highp vec4 tmpvar_170;
  tmpvar_170.x = tmpvar_166;
  tmpvar_170.y = tmpvar_167;
  tmpvar_170.z = tmpvar_168;
  tmpvar_170.w = tmpvar_169;
  shadows_149 = tmpvar_170;
  mediump float tmpvar_171;
  tmpvar_171 = dot (shadows_149, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_148 = tmpvar_171;
  mediump vec3 lightDir_172;
  lightDir_172 = tmpvar_145;
  mediump vec3 viewDir_173;
  viewDir_173 = xlv_TEXCOORD8;
  mediump vec3 normal_174;
  normal_174 = xlv_TEXCOORD4;
  mediump float atten_175;
  atten_175 = (tmpvar_147.w * tmpvar_148);
  mediump vec4 c_176;
  highp float nh_177;
  mediump vec3 tmpvar_178;
  tmpvar_178 = normalize(lightDir_172);
  lightDir_172 = tmpvar_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(viewDir_173);
  viewDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(normal_174);
  normal_174 = tmpvar_180;
  mediump float tmpvar_181;
  tmpvar_181 = dot (tmpvar_180, tmpvar_178);
  mediump float tmpvar_182;
  tmpvar_182 = clamp (dot (normalize((tmpvar_178 + tmpvar_179)), tmpvar_180), 0.0, 1.0);
  nh_177 = tmpvar_182;
  highp vec3 tmpvar_183;
  tmpvar_183 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_181) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_177, _SpecularPower) * specColor_2.w))) * (atten_175 * 4.0));
  c_176.xyz = tmpvar_183;
  c_176.w = (tmpvar_181 * (atten_175 * 4.0));
  highp vec3 tmpvar_184;
  tmpvar_184 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_185;
  lightDir_185 = tmpvar_184;
  mediump vec3 normal_186;
  normal_186 = xlv_TEXCOORD4;
  mediump float tmpvar_187;
  tmpvar_187 = dot (normal_186, lightDir_185);
  highp vec3 arg0_188;
  arg0_188 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_189;
  tmpvar_189 = clamp (((sqrt(dot (arg0_188, arg0_188)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_190;
  tmpvar_190 = mix (tmpvar_143, (c_176 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_187)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_187)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_189));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_190.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_190, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 638
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 642
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 646
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 650
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 654
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 624
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 614
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 607
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 611
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 638
#line 658
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 658
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 662
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 666
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 670
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 674
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 678
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 682
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 686
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 690
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 694
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 698
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 702
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 706
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 710
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform vec3 _SunDir;
uniform mat4 _LightMatrix0;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = gl_Normal;
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_SunDir));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform vec4 _OceanColor;
uniform float _OceanDepthFactor;
uniform float _OceanRadius;
uniform float _PlanetOpacity;
uniform float _DetailDist;
uniform float _DetailVertScale;
uniform float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 specColor_1;
  vec3 norm_2;
  vec2 uv_3;
  vec2 localCoords_4;
  vec4 citylightoverlaydetail_5;
  vec4 citydarkoverlaydetail_6;
  vec4 cityoverlay_7;
  vec4 detail_8;
  vec4 main_9;
  vec4 color_10;
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  float r_13;
  if ((abs(tmpvar_11.z) > (1e-08 * abs(tmpvar_11.x)))) {
    float y_over_x_14;
    y_over_x_14 = (tmpvar_11.x / tmpvar_11.z);
    float s_15;
    float x_16;
    x_16 = (y_over_x_14 * inversesqrt(((y_over_x_14 * y_over_x_14) + 1.0)));
    s_15 = (sign(x_16) * (1.5708 - (sqrt((1.0 - abs(x_16))) * (1.5708 + (abs(x_16) * (-0.214602 + (abs(x_16) * (0.0865667 + (abs(x_16) * -0.0310296)))))))));
    r_13 = s_15;
    if ((tmpvar_11.z < 0.0)) {
      if ((tmpvar_11.x >= 0.0)) {
        r_13 = (s_15 + 3.14159);
      } else {
        r_13 = (r_13 - 3.14159);
      };
    };
  } else {
    r_13 = (sign(tmpvar_11.x) * 1.5708);
  };
  uv_12.x = (0.5 + (0.159155 * r_13));
  uv_12.y = (0.31831 * (1.5708 - (sign(tmpvar_11.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_11.y))) * (1.5708 + (abs(tmpvar_11.y) * (-0.214602 + (abs(tmpvar_11.y) * (0.0865667 + (abs(tmpvar_11.y) * -0.0310296)))))))))));
  vec2 uvCont_17;
  uvCont_17.y = uv_12.y;
  uvCont_17.x = abs((uv_12.x - 0.5));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(uvCont_17);
  tmpvar_18.zw = dFdy(uvCont_17);
  main_9 = texture2DGradARB (_MainTex, uv_12, tmpvar_18.xy, tmpvar_18.zw);
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _DetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec2 uv_34;
  vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_33);
  float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_36), tmpvar_37));
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(tmpvar_38);
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = tmpvar_38;
  vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(tmpvar_38);
  vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_33.yxz), mix ((tmpvar_39 * tmpvar_33.xzy), (tmpvar_40 * tmpvar_33.zxy), vec3(tmpvar_36)), vec3(tmpvar_37));
  uv_34.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  vec2 tmpvar_43;
  tmpvar_43 = (uv_34 * _DetailVertScale);
  vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _DetailVertScale)));
  vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  detail_8 = mix (texture2DGradARB (_steepTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw), texture2DGradARB (_midTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_19)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0)));
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec2 uv_47;
  float r_48;
  if ((abs(tmpvar_46.z) > (1e-08 * abs(tmpvar_46.x)))) {
    float y_over_x_49;
    y_over_x_49 = (tmpvar_46.x / tmpvar_46.z);
    float s_50;
    float x_51;
    x_51 = (y_over_x_49 * inversesqrt(((y_over_x_49 * y_over_x_49) + 1.0)));
    s_50 = (sign(x_51) * (1.5708 - (sqrt((1.0 - abs(x_51))) * (1.5708 + (abs(x_51) * (-0.214602 + (abs(x_51) * (0.0865667 + (abs(x_51) * -0.0310296)))))))));
    r_48 = s_50;
    if ((tmpvar_46.z < 0.0)) {
      if ((tmpvar_46.x >= 0.0)) {
        r_48 = (s_50 + 3.14159);
      } else {
        r_48 = (r_48 - 3.14159);
      };
    };
  } else {
    r_48 = (sign(tmpvar_46.x) * 1.5708);
  };
  uv_47.x = (0.5 + (0.159155 * r_48));
  uv_47.y = (0.31831 * (1.5708 - (sign(tmpvar_46.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_46.y))) * (1.5708 + (abs(tmpvar_46.y) * (-0.214602 + (abs(tmpvar_46.y) * (0.0865667 + (abs(tmpvar_46.y) * -0.0310296)))))))))));
  vec2 uvCont_52;
  uvCont_52.y = uv_47.y;
  uvCont_52.x = abs((uv_47.x - 0.5));
  vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(uvCont_52);
  tmpvar_53.zw = dFdy(uvCont_52);
  cityoverlay_7 = texture2DGradARB (_CityOverlayTex, uv_47, tmpvar_53.xy, tmpvar_53.zw);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec2 uv_55;
  vec3 tmpvar_56;
  tmpvar_56 = abs(tmpvar_54);
  float tmpvar_57;
  tmpvar_57 = float((tmpvar_56.z >= tmpvar_56.x));
  float tmpvar_58;
  tmpvar_58 = float((max (tmpvar_56.x, tmpvar_56.z) >= tmpvar_56.y));
  float tmpvar_59;
  tmpvar_59 = sign(mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, tmpvar_57), tmpvar_58));
  vec3 tmpvar_60;
  tmpvar_60.xz = vec2(1.0, 1.0);
  tmpvar_60.y = -(tmpvar_59);
  vec3 tmpvar_61;
  tmpvar_61.xz = vec2(1.0, 1.0);
  tmpvar_61.y = tmpvar_59;
  vec3 tmpvar_62;
  tmpvar_62.xy = vec2(1.0, 1.0);
  tmpvar_62.z = -(tmpvar_59);
  vec3 tmpvar_63;
  tmpvar_63 = mix ((tmpvar_62 * tmpvar_54.yxz), mix ((tmpvar_60 * tmpvar_54.xzy), (tmpvar_61 * tmpvar_54.zxy), vec3(tmpvar_57)), vec3(tmpvar_58));
  uv_55.x = (((0.5 * tmpvar_63.y) / abs(tmpvar_63.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_63.z) / abs(tmpvar_63.x)) + 0.5);
  vec2 tmpvar_64;
  tmpvar_64 = (uv_55 * _CityOverlayDetailScale);
  vec2 tmpvar_65;
  tmpvar_65 = abs((tmpvar_64 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_66;
  tmpvar_66.xy = dFdx(tmpvar_65);
  tmpvar_66.zw = dFdy(tmpvar_65);
  citydarkoverlaydetail_6 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_64, tmpvar_66.xy, tmpvar_66.zw);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec2 uv_68;
  vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_67);
  float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  float tmpvar_72;
  tmpvar_72 = sign(mix (tmpvar_67.y, mix (tmpvar_67.x, tmpvar_67.z, tmpvar_70), tmpvar_71));
  vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = -(tmpvar_72);
  vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = tmpvar_72;
  vec3 tmpvar_75;
  tmpvar_75.xy = vec2(1.0, 1.0);
  tmpvar_75.z = -(tmpvar_72);
  vec3 tmpvar_76;
  tmpvar_76 = mix ((tmpvar_75 * tmpvar_67.yxz), mix ((tmpvar_73 * tmpvar_67.xzy), (tmpvar_74 * tmpvar_67.zxy), vec3(tmpvar_70)), vec3(tmpvar_71));
  uv_68.x = (((0.5 * tmpvar_76.y) / abs(tmpvar_76.x)) + 0.5);
  uv_68.y = (((0.5 * tmpvar_76.z) / abs(tmpvar_76.x)) + 0.5);
  vec2 tmpvar_77;
  tmpvar_77 = (uv_68 * _CityOverlayDetailScale);
  vec2 tmpvar_78;
  tmpvar_78 = abs((tmpvar_77 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_79;
  tmpvar_79.xy = dFdx(tmpvar_78);
  tmpvar_79.zw = dFdy(tmpvar_78);
  citylightoverlaydetail_5 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_77, tmpvar_79.xy, tmpvar_79.zw);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(xlv_TEXCOORD5);
  vec2 uv_81;
  float r_82;
  if ((abs(tmpvar_80.z) > (1e-08 * abs(tmpvar_80.x)))) {
    float y_over_x_83;
    y_over_x_83 = (tmpvar_80.x / tmpvar_80.z);
    float s_84;
    float x_85;
    x_85 = (y_over_x_83 * inversesqrt(((y_over_x_83 * y_over_x_83) + 1.0)));
    s_84 = (sign(x_85) * (1.5708 - (sqrt((1.0 - abs(x_85))) * (1.5708 + (abs(x_85) * (-0.214602 + (abs(x_85) * (0.0865667 + (abs(x_85) * -0.0310296)))))))));
    r_82 = s_84;
    if ((tmpvar_80.z < 0.0)) {
      if ((tmpvar_80.x >= 0.0)) {
        r_82 = (s_84 + 3.14159);
      } else {
        r_82 = (r_82 - 3.14159);
      };
    };
  } else {
    r_82 = (sign(tmpvar_80.x) * 1.5708);
  };
  uv_81.x = (0.5 + (0.159155 * r_82));
  uv_81.y = (0.31831 * (1.5708 - (sign(tmpvar_80.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_80.y))) * (1.5708 + (abs(tmpvar_80.y) * (-0.214602 + (abs(tmpvar_80.y) * (0.0865667 + (abs(tmpvar_80.y) * -0.0310296)))))))))));
  vec2 uvCont_86;
  uvCont_86.y = uv_81.y;
  uvCont_86.x = abs((uv_81.x - 0.5));
  vec4 tmpvar_87;
  tmpvar_87.xy = dFdx(uvCont_86);
  tmpvar_87.zw = dFdy(uvCont_86);
  vec2 tmpvar_88;
  tmpvar_88 = (texture2DGradARB (_BumpMap, uv_81, tmpvar_87.xy, tmpvar_87.zw).wy - vec2(0.5, 0.5));
  localCoords_4.y = tmpvar_88.y;
  localCoords_4.x = (tmpvar_88.x * 0.5);
  float r_89;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    float y_over_x_90;
    y_over_x_90 = (tmpvar_19.x / tmpvar_19.z);
    float s_91;
    float x_92;
    x_92 = (y_over_x_90 * inversesqrt(((y_over_x_90 * y_over_x_90) + 1.0)));
    s_91 = (sign(x_92) * (1.5708 - (sqrt((1.0 - abs(x_92))) * (1.5708 + (abs(x_92) * (-0.214602 + (abs(x_92) * (0.0865667 + (abs(x_92) * -0.0310296)))))))));
    r_89 = s_91;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_89 = (s_91 + 3.14159);
      } else {
        r_89 = (r_89 - 3.14159);
      };
    };
  } else {
    r_89 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_89));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  uv_3.x = (uv_3.x - 0.5);
  vec2 tmpvar_93;
  tmpvar_93 = (uv_3 + localCoords_4);
  uv_3 = tmpvar_93;
  norm_2.z = cos((6.28319 * tmpvar_93.x));
  norm_2.x = sin((6.28319 * tmpvar_93.x));
  norm_2.y = cos((3.14159 * tmpvar_93.y));
  norm_2 = -(norm_2);
  float tmpvar_94;
  tmpvar_94 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  float tmpvar_95;
  tmpvar_95 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_94 * tmpvar_94)));
  float tmpvar_96;
  tmpvar_96 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_94 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_95, 2.0)))), (float((_OceanRadius >= tmpvar_95)) * float((tmpvar_94 >= 0.0)))));
  cityoverlay_7.w = (cityoverlay_7.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * cityoverlay_7.w);
  citylightoverlaydetail_5.w = (citylightoverlaydetail_5.w * cityoverlay_7.w);
  vec4 tmpvar_97;
  tmpvar_97 = (mix (mix (mix ((xlv_TEXCOORD0 + (0.75 * mix ((detail_8 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0))))), _OceanColor, vec4((clamp ((tmpvar_96 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_96)), 0.0, 1.0))))), main_9, vec4(clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0))), citylightoverlaydetail_5, citylightoverlaydetail_5.wwww) * _Color);
  color_10 = tmpvar_97;
  specColor_1.xyz = _SpecularColor.xyz;
  specColor_1.w = mix (main_9.w, 0.0, clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0));
  vec4 tmpvar_98;
  tmpvar_98 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD2, xlv_TEXCOORD2)));
  vec4 tmpvar_99;
  tmpvar_99 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  vec4 shadowVals_100;
  shadowVals_100.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_100.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_101;
  tmpvar_101 = lessThan (shadowVals_100, vec4(((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_102;
  tmpvar_102 = _LightShadowData.xxxx;
  float tmpvar_103;
  if (tmpvar_101.x) {
    tmpvar_103 = tmpvar_102.x;
  } else {
    tmpvar_103 = 1.0;
  };
  float tmpvar_104;
  if (tmpvar_101.y) {
    tmpvar_104 = tmpvar_102.y;
  } else {
    tmpvar_104 = 1.0;
  };
  float tmpvar_105;
  if (tmpvar_101.z) {
    tmpvar_105 = tmpvar_102.z;
  } else {
    tmpvar_105 = 1.0;
  };
  float tmpvar_106;
  if (tmpvar_101.w) {
    tmpvar_106 = tmpvar_102.w;
  } else {
    tmpvar_106 = 1.0;
  };
  vec4 tmpvar_107;
  tmpvar_107.x = tmpvar_103;
  tmpvar_107.y = tmpvar_104;
  tmpvar_107.z = tmpvar_105;
  tmpvar_107.w = tmpvar_106;
  float atten_108;
  atten_108 = ((tmpvar_98.w * tmpvar_99.w) * dot (tmpvar_107, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_109;
  vec3 tmpvar_110;
  tmpvar_110 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_111;
  tmpvar_111 = normalize(xlv_TEXCOORD4);
  float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_110);
  c_109.xyz = ((((tmpvar_97.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_110 + normalize(xlv_TEXCOORD8))), tmpvar_111), 0.0, 1.0), _SpecularPower) * specColor_1.w))) * (atten_108 * 4.0));
  c_109.w = (tmpvar_112 * (atten_108 * 4.0));
  float tmpvar_113;
  tmpvar_113 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  vec3 arg0_114;
  arg0_114 = (xlv_TEXCOORD5 + 50.0);
  vec4 tmpvar_115;
  tmpvar_115 = mix (tmpvar_97, (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_113)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_113)), 0.0, 1.0)), 1.0, main_9.w)), vec4(clamp (((sqrt(dot (arg0_114, arg0_114)) - _OceanRadius) / 50.0), 0.0, 1.0)));
  citydarkoverlaydetail_6.w = (citydarkoverlaydetail_6.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_10.xyz = mix (tmpvar_115, citydarkoverlaydetail_6, citydarkoverlaydetail_6.wwww).xyz;
  color_10.w = 1.0;
  gl_FragData[0] = color_10;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_LightMatrix0]
Vector 14 [_SunDir]
Vector 15 [_PlanetOrigin]
"vs_3_0
; 44 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord7 o8
dcl_texcoord8 o9
def c16, 0.00000000, 10.00000000, 1.00976563, -1.00000000
def c17, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c14, c14
rsq r0.x, r0.x
mov r0.w, c16.x
mul r0.xyz, r0.x, c14
mov r1.xy, v3
mov r1.z, v4.x
dp3 r1.w, -r1, r0
mov r0.xyz, v2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
add r2.w, r1, c16.z
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o5.xyz, r0.x, r2
frc r0.y, r2.w
add_sat r0.y, r2.w, -r0
dp4 r0.z, v0, c6
mul_sat r0.x, -r1.w, c16.y
add r0.y, r0, c16.w
mad o7.x, r0, r0.y, c17
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r2.xyz, -r0, c12
dp3 r1.w, r2, r2
rsq r1.w, r1.w
dp4 o3.z, r0, c10
dp4 o3.y, r0, c9
dp4 o3.x, r0, c8
add o4.xyz, r0, -c13
mov r0.xyz, c15
mov o1, v1
mul o9.xyz, r1.w, -r2
mov o2.xyz, v2
rcp o2.w, r1.w
mov o6.xyz, -r1
add o8.xyz, -c12, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 400 // 396 used size, 22 vars
Matrix 16 [_LightMatrix0] 4
Vector 336 [_SunDir] 3
Vector 384 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 44 instructions, 2 temp regs, 0 temp arrays:
// ALU 38 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  mediump vec4 shadows_150;
  highp vec4 shadowVals_151;
  highp float tmpvar_152;
  tmpvar_152 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_151.x = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_156;
  vec_156 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_157;
  lowp vec4 tmpvar_158;
  tmpvar_158 = textureCube (_ShadowMapTexture, vec_156);
  packDist_157 = tmpvar_158;
  shadowVals_151.y = dot (packDist_157, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_159;
  vec_159 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_160;
  lowp vec4 tmpvar_161;
  tmpvar_161 = textureCube (_ShadowMapTexture, vec_159);
  packDist_160 = tmpvar_161;
  shadowVals_151.z = dot (packDist_160, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_162;
  vec_162 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_163;
  lowp vec4 tmpvar_164;
  tmpvar_164 = textureCube (_ShadowMapTexture, vec_162);
  packDist_163 = tmpvar_164;
  shadowVals_151.w = dot (packDist_163, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_165;
  tmpvar_165 = lessThan (shadowVals_151, vec4(tmpvar_152));
  highp vec4 tmpvar_166;
  tmpvar_166 = _LightShadowData.xxxx;
  highp float tmpvar_167;
  if (tmpvar_165.x) {
    tmpvar_167 = tmpvar_166.x;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_165.y) {
    tmpvar_168 = tmpvar_166.y;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_165.z) {
    tmpvar_169 = tmpvar_166.z;
  } else {
    tmpvar_169 = 1.0;
  };
  highp float tmpvar_170;
  if (tmpvar_165.w) {
    tmpvar_170 = tmpvar_166.w;
  } else {
    tmpvar_170 = 1.0;
  };
  highp vec4 tmpvar_171;
  tmpvar_171.x = tmpvar_167;
  tmpvar_171.y = tmpvar_168;
  tmpvar_171.z = tmpvar_169;
  tmpvar_171.w = tmpvar_170;
  shadows_150 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (shadows_150, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_149 = tmpvar_172;
  mediump vec3 lightDir_173;
  lightDir_173 = tmpvar_145;
  mediump vec3 viewDir_174;
  viewDir_174 = xlv_TEXCOORD8;
  mediump vec3 normal_175;
  normal_175 = xlv_TEXCOORD4;
  mediump float atten_176;
  atten_176 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_149);
  mediump vec4 c_177;
  highp float nh_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(lightDir_173);
  lightDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(viewDir_174);
  viewDir_174 = tmpvar_180;
  mediump vec3 tmpvar_181;
  tmpvar_181 = normalize(normal_175);
  normal_175 = tmpvar_181;
  mediump float tmpvar_182;
  tmpvar_182 = dot (tmpvar_181, tmpvar_179);
  mediump float tmpvar_183;
  tmpvar_183 = clamp (dot (normalize((tmpvar_179 + tmpvar_180)), tmpvar_181), 0.0, 1.0);
  nh_178 = tmpvar_183;
  highp vec3 tmpvar_184;
  tmpvar_184 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_182) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_178, _SpecularPower) * specColor_2.w))) * (atten_176 * 4.0));
  c_177.xyz = tmpvar_184;
  c_177.w = (tmpvar_182 * (atten_176 * 4.0));
  highp vec3 tmpvar_185;
  tmpvar_185 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_186;
  lightDir_186 = tmpvar_185;
  mediump vec3 normal_187;
  normal_187 = xlv_TEXCOORD4;
  mediump float tmpvar_188;
  tmpvar_188 = dot (normal_187, lightDir_186);
  highp vec3 arg0_189;
  arg0_189 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_190;
  tmpvar_190 = clamp (((sqrt(dot (arg0_189, arg0_189)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_191;
  tmpvar_191 = mix (tmpvar_143, (c_177 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_188)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_188)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_190));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_191.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_191, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform mediump vec3 _SunDir;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  mediump float NdotL_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.w = 0.0;
  tmpvar_7.xyz = tmpvar_1;
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = tmpvar_1;
  mediump vec3 tmpvar_10;
  tmpvar_10 = normalize(_SunDir);
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, tmpvar_10);
  NdotL_2 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_2)), 0.0, 1.0), clamp ((10.0 * -(NdotL_2)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD3 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
  xlv_TEXCOORD4 = normalize((_Object2World * tmpvar_7).xyz);
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD8 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _OceanColor;
uniform highp float _OceanDepthFactor;
uniform highp float _OceanRadius;
uniform highp float _PlanetOpacity;
uniform highp float _DetailDist;
uniform highp float _DetailVertScale;
uniform highp float _DetailScale;
uniform sampler2D _steepTex;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 specColor_2;
  mediump float handoff_3;
  mediump float sphereCheck_4;
  mediump float detailLevel_5;
  mediump vec3 norm_6;
  highp vec2 uv_7;
  highp vec2 localCoords_8;
  mediump vec4 citylightoverlaydetail_9;
  mediump vec4 citydarkoverlaydetail_10;
  mediump vec4 cityoverlay_11;
  mediump vec4 detail_12;
  mediump float vertLerp_13;
  mediump vec4 color_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_17;
  highp float r_18;
  if ((abs(tmpvar_16.z) > (1e-08 * abs(tmpvar_16.x)))) {
    highp float y_over_x_19;
    y_over_x_19 = (tmpvar_16.x / tmpvar_16.z);
    highp float s_20;
    highp float x_21;
    x_21 = (y_over_x_19 * inversesqrt(((y_over_x_19 * y_over_x_19) + 1.0)));
    s_20 = (sign(x_21) * (1.5708 - (sqrt((1.0 - abs(x_21))) * (1.5708 + (abs(x_21) * (-0.214602 + (abs(x_21) * (0.0865667 + (abs(x_21) * -0.0310296)))))))));
    r_18 = s_20;
    if ((tmpvar_16.z < 0.0)) {
      if ((tmpvar_16.x >= 0.0)) {
        r_18 = (s_20 + 3.14159);
      } else {
        r_18 = (r_18 - 3.14159);
      };
    };
  } else {
    r_18 = (sign(tmpvar_16.x) * 1.5708);
  };
  uv_17.x = (0.5 + (0.159155 * r_18));
  uv_17.y = (0.31831 * (1.5708 - (sign(tmpvar_16.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_16.y))) * (1.5708 + (abs(tmpvar_16.y) * (-0.214602 + (abs(tmpvar_16.y) * (0.0865667 + (abs(tmpvar_16.y) * -0.0310296)))))))))));
  highp vec2 uvCont_22;
  uvCont_22.y = uv_17.y;
  uvCont_22.x = abs((uv_17.x - 0.5));
  highp vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(uvCont_22);
  tmpvar_23.zw = dFdy(uvCont_22);
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2DGradEXT (_MainTex, uv_17, tmpvar_23.xy, tmpvar_23.zw);
  tex_15 = tmpvar_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = normalize(xlv_TEXCOORD5);
  highp float tmpvar_26;
  tmpvar_26 = clamp (((32.0 * (clamp (dot (xlv_TEXCOORD1.xyz, -(tmpvar_25)), 0.0, 1.0) - 0.95)) + 0.5), 0.0, 1.0);
  vertLerp_13 = tmpvar_26;
  mediump vec4 tex_27;
  highp vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_29;
  mediump float s_30;
  mediump float nylerp_31;
  mediump float zxlerp_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = abs(tmpvar_28);
  highp float tmpvar_34;
  tmpvar_34 = float((tmpvar_33.z >= tmpvar_33.x));
  zxlerp_32 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = float((max (tmpvar_33.x, tmpvar_33.z) >= tmpvar_33.y));
  nylerp_31 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = mix (tmpvar_28.x, tmpvar_28.z, zxlerp_32);
  s_30 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_28.y, s_30, nylerp_31));
  s_30 = tmpvar_37;
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(s_30);
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = s_30;
  mediump vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(s_30);
  highp vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_28.yxz), mix ((tmpvar_38 * tmpvar_28.xzy), (tmpvar_39 * tmpvar_28.zxy), vec3(zxlerp_32)), vec3(nylerp_31));
  uv_29.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  highp vec2 tmpvar_42;
  tmpvar_42 = (uv_29 * _DetailScale);
  highp vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DGradEXT (_midTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  tex_27 = tmpvar_45;
  mediump vec4 tex_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_48;
  mediump float s_49;
  mediump float nylerp_50;
  mediump float zxlerp_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_47);
  highp float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  zxlerp_51 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  nylerp_50 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = mix (tmpvar_47.x, tmpvar_47.z, zxlerp_51);
  s_49 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = sign(mix (tmpvar_47.y, s_49, nylerp_50));
  s_49 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = -(s_49);
  mediump vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = s_49;
  mediump vec3 tmpvar_59;
  tmpvar_59.xy = vec2(1.0, 1.0);
  tmpvar_59.z = -(s_49);
  highp vec3 tmpvar_60;
  tmpvar_60 = mix ((tmpvar_59 * tmpvar_47.yxz), mix ((tmpvar_57 * tmpvar_47.xzy), (tmpvar_58 * tmpvar_47.zxy), vec3(zxlerp_51)), vec3(nylerp_50));
  uv_48.x = (((0.5 * tmpvar_60.y) / abs(tmpvar_60.x)) + 0.5);
  uv_48.y = (((0.5 * tmpvar_60.z) / abs(tmpvar_60.x)) + 0.5);
  highp vec2 tmpvar_61;
  tmpvar_61 = (uv_48 * _DetailVertScale);
  highp vec2 tmpvar_62;
  tmpvar_62 = abs((tmpvar_61 - (0.5 * _DetailVertScale)));
  highp vec4 tmpvar_63;
  tmpvar_63.xy = dFdx(tmpvar_62);
  tmpvar_63.zw = dFdy(tmpvar_62);
  lowp vec4 tmpvar_64;
  tmpvar_64 = texture2DGradEXT (_steepTex, tmpvar_61, tmpvar_63.xy, tmpvar_63.zw);
  tex_46 = tmpvar_64;
  detail_12 = mix (tex_46, tex_27, vec4(vertLerp_13));
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_67;
  highp float r_68;
  if ((abs(tmpvar_66.z) > (1e-08 * abs(tmpvar_66.x)))) {
    highp float y_over_x_69;
    y_over_x_69 = (tmpvar_66.x / tmpvar_66.z);
    highp float s_70;
    highp float x_71;
    x_71 = (y_over_x_69 * inversesqrt(((y_over_x_69 * y_over_x_69) + 1.0)));
    s_70 = (sign(x_71) * (1.5708 - (sqrt((1.0 - abs(x_71))) * (1.5708 + (abs(x_71) * (-0.214602 + (abs(x_71) * (0.0865667 + (abs(x_71) * -0.0310296)))))))));
    r_68 = s_70;
    if ((tmpvar_66.z < 0.0)) {
      if ((tmpvar_66.x >= 0.0)) {
        r_68 = (s_70 + 3.14159);
      } else {
        r_68 = (r_68 - 3.14159);
      };
    };
  } else {
    r_68 = (sign(tmpvar_66.x) * 1.5708);
  };
  uv_67.x = (0.5 + (0.159155 * r_68));
  uv_67.y = (0.31831 * (1.5708 - (sign(tmpvar_66.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_66.y))) * (1.5708 + (abs(tmpvar_66.y) * (-0.214602 + (abs(tmpvar_66.y) * (0.0865667 + (abs(tmpvar_66.y) * -0.0310296)))))))))));
  highp vec2 uvCont_72;
  uvCont_72.y = uv_67.y;
  uvCont_72.x = abs((uv_67.x - 0.5));
  highp vec4 tmpvar_73;
  tmpvar_73.xy = dFdx(uvCont_72);
  tmpvar_73.zw = dFdy(uvCont_72);
  lowp vec4 tmpvar_74;
  tmpvar_74 = texture2DGradEXT (_CityOverlayTex, uv_67, tmpvar_73.xy, tmpvar_73.zw);
  tex_65 = tmpvar_74;
  cityoverlay_11 = tex_65;
  mediump vec4 tex_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_77;
  mediump float s_78;
  mediump float nylerp_79;
  mediump float zxlerp_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = abs(tmpvar_76);
  highp float tmpvar_82;
  tmpvar_82 = float((tmpvar_81.z >= tmpvar_81.x));
  zxlerp_80 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = float((max (tmpvar_81.x, tmpvar_81.z) >= tmpvar_81.y));
  nylerp_79 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = mix (tmpvar_76.x, tmpvar_76.z, zxlerp_80);
  s_78 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = sign(mix (tmpvar_76.y, s_78, nylerp_79));
  s_78 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86.xz = vec2(1.0, 1.0);
  tmpvar_86.y = -(s_78);
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = s_78;
  mediump vec3 tmpvar_88;
  tmpvar_88.xy = vec2(1.0, 1.0);
  tmpvar_88.z = -(s_78);
  highp vec3 tmpvar_89;
  tmpvar_89 = mix ((tmpvar_88 * tmpvar_76.yxz), mix ((tmpvar_86 * tmpvar_76.xzy), (tmpvar_87 * tmpvar_76.zxy), vec3(zxlerp_80)), vec3(nylerp_79));
  uv_77.x = (((0.5 * tmpvar_89.y) / abs(tmpvar_89.x)) + 0.5);
  uv_77.y = (((0.5 * tmpvar_89.z) / abs(tmpvar_89.x)) + 0.5);
  highp vec2 tmpvar_90;
  tmpvar_90 = (uv_77 * _CityOverlayDetailScale);
  highp vec2 tmpvar_91;
  tmpvar_91 = abs((tmpvar_90 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_92;
  tmpvar_92.xy = dFdx(tmpvar_91);
  tmpvar_92.zw = dFdy(tmpvar_91);
  lowp vec4 tmpvar_93;
  tmpvar_93 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_90, tmpvar_92.xy, tmpvar_92.zw);
  tex_75 = tmpvar_93;
  citydarkoverlaydetail_10 = tex_75;
  mediump vec4 tex_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_96;
  mediump float s_97;
  mediump float nylerp_98;
  mediump float zxlerp_99;
  highp vec3 tmpvar_100;
  tmpvar_100 = abs(tmpvar_95);
  highp float tmpvar_101;
  tmpvar_101 = float((tmpvar_100.z >= tmpvar_100.x));
  zxlerp_99 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = float((max (tmpvar_100.x, tmpvar_100.z) >= tmpvar_100.y));
  nylerp_98 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = mix (tmpvar_95.x, tmpvar_95.z, zxlerp_99);
  s_97 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = sign(mix (tmpvar_95.y, s_97, nylerp_98));
  s_97 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105.xz = vec2(1.0, 1.0);
  tmpvar_105.y = -(s_97);
  mediump vec3 tmpvar_106;
  tmpvar_106.xz = vec2(1.0, 1.0);
  tmpvar_106.y = s_97;
  mediump vec3 tmpvar_107;
  tmpvar_107.xy = vec2(1.0, 1.0);
  tmpvar_107.z = -(s_97);
  highp vec3 tmpvar_108;
  tmpvar_108 = mix ((tmpvar_107 * tmpvar_95.yxz), mix ((tmpvar_105 * tmpvar_95.xzy), (tmpvar_106 * tmpvar_95.zxy), vec3(zxlerp_99)), vec3(nylerp_98));
  uv_96.x = (((0.5 * tmpvar_108.y) / abs(tmpvar_108.x)) + 0.5);
  uv_96.y = (((0.5 * tmpvar_108.z) / abs(tmpvar_108.x)) + 0.5);
  highp vec2 tmpvar_109;
  tmpvar_109 = (uv_96 * _CityOverlayDetailScale);
  highp vec2 tmpvar_110;
  tmpvar_110 = abs((tmpvar_109 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_111;
  tmpvar_111.xy = dFdx(tmpvar_110);
  tmpvar_111.zw = dFdy(tmpvar_110);
  lowp vec4 tmpvar_112;
  tmpvar_112 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_109, tmpvar_111.xy, tmpvar_111.zw);
  tex_94 = tmpvar_112;
  citylightoverlaydetail_9 = tex_94;
  mediump vec4 tex_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_115;
  highp float r_116;
  if ((abs(tmpvar_114.z) > (1e-08 * abs(tmpvar_114.x)))) {
    highp float y_over_x_117;
    y_over_x_117 = (tmpvar_114.x / tmpvar_114.z);
    highp float s_118;
    highp float x_119;
    x_119 = (y_over_x_117 * inversesqrt(((y_over_x_117 * y_over_x_117) + 1.0)));
    s_118 = (sign(x_119) * (1.5708 - (sqrt((1.0 - abs(x_119))) * (1.5708 + (abs(x_119) * (-0.214602 + (abs(x_119) * (0.0865667 + (abs(x_119) * -0.0310296)))))))));
    r_116 = s_118;
    if ((tmpvar_114.z < 0.0)) {
      if ((tmpvar_114.x >= 0.0)) {
        r_116 = (s_118 + 3.14159);
      } else {
        r_116 = (r_116 - 3.14159);
      };
    };
  } else {
    r_116 = (sign(tmpvar_114.x) * 1.5708);
  };
  uv_115.x = (0.5 + (0.159155 * r_116));
  uv_115.y = (0.31831 * (1.5708 - (sign(tmpvar_114.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_114.y))) * (1.5708 + (abs(tmpvar_114.y) * (-0.214602 + (abs(tmpvar_114.y) * (0.0865667 + (abs(tmpvar_114.y) * -0.0310296)))))))))));
  highp vec2 uvCont_120;
  uvCont_120.y = uv_115.y;
  uvCont_120.x = abs((uv_115.x - 0.5));
  highp vec4 tmpvar_121;
  tmpvar_121.xy = dFdx(uvCont_120);
  tmpvar_121.zw = dFdy(uvCont_120);
  lowp vec4 tmpvar_122;
  tmpvar_122 = texture2DGradEXT (_BumpMap, uv_115, tmpvar_121.xy, tmpvar_121.zw);
  tex_113 = tmpvar_122;
  mediump vec2 tmpvar_123;
  tmpvar_123 = tex_113.wy;
  localCoords_8 = tmpvar_123;
  highp vec2 tmpvar_124;
  tmpvar_124 = (localCoords_8 - vec2(0.5, 0.5));
  localCoords_8.y = tmpvar_124.y;
  localCoords_8.x = (tmpvar_124.x * 0.5);
  highp float r_125;
  if ((abs(tmpvar_25.z) > (1e-08 * abs(tmpvar_25.x)))) {
    highp float y_over_x_126;
    y_over_x_126 = (tmpvar_25.x / tmpvar_25.z);
    float s_127;
    highp float x_128;
    x_128 = (y_over_x_126 * inversesqrt(((y_over_x_126 * y_over_x_126) + 1.0)));
    s_127 = (sign(x_128) * (1.5708 - (sqrt((1.0 - abs(x_128))) * (1.5708 + (abs(x_128) * (-0.214602 + (abs(x_128) * (0.0865667 + (abs(x_128) * -0.0310296)))))))));
    r_125 = s_127;
    if ((tmpvar_25.z < 0.0)) {
      if ((tmpvar_25.x >= 0.0)) {
        r_125 = (s_127 + 3.14159);
      } else {
        r_125 = (r_125 - 3.14159);
      };
    };
  } else {
    r_125 = (sign(tmpvar_25.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_125));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_25.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_25.y))) * (1.5708 + (abs(tmpvar_25.y) * (-0.214602 + (abs(tmpvar_25.y) * (0.0865667 + (abs(tmpvar_25.y) * -0.0310296)))))))))));
  uv_7.x = (uv_7.x - 0.5);
  highp vec2 tmpvar_129;
  tmpvar_129 = (uv_7 + localCoords_8);
  uv_7 = tmpvar_129;
  highp float tmpvar_130;
  tmpvar_130 = cos((6.28319 * tmpvar_129.x));
  norm_6.z = tmpvar_130;
  highp float tmpvar_131;
  tmpvar_131 = sin((6.28319 * tmpvar_129.x));
  norm_6.x = tmpvar_131;
  highp float tmpvar_132;
  tmpvar_132 = cos((3.14159 * tmpvar_129.y));
  norm_6.y = tmpvar_132;
  norm_6 = -(norm_6);
  highp float tmpvar_133;
  tmpvar_133 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD1.w), 0.0, 1.0);
  detailLevel_5 = tmpvar_133;
  mediump vec4 tmpvar_134;
  tmpvar_134 = mix ((detail_12 - 0.5), vec4(0.0, 0.0, 0.0, 0.0), vec4(detailLevel_5));
  highp vec4 tmpvar_135;
  tmpvar_135 = (xlv_TEXCOORD0 + (0.75 * tmpvar_134));
  color_14 = tmpvar_135;
  highp float tmpvar_136;
  tmpvar_136 = dot (xlv_TEXCOORD7, xlv_TEXCOORD8);
  highp float tmpvar_137;
  tmpvar_137 = sqrt((dot (xlv_TEXCOORD7, xlv_TEXCOORD7) - (tmpvar_136 * tmpvar_136)));
  highp float tmpvar_138;
  tmpvar_138 = (float((_OceanRadius >= tmpvar_137)) * float((tmpvar_136 >= 0.0)));
  sphereCheck_4 = tmpvar_138;
  highp float tmpvar_139;
  tmpvar_139 = (xlv_TEXCOORD1.w - mix (xlv_TEXCOORD1.w, (tmpvar_136 - sqrt(((_OceanRadius * _OceanRadius) - pow (tmpvar_137, 2.0)))), sphereCheck_4));
  highp vec4 tmpvar_140;
  tmpvar_140 = mix (color_14, _OceanColor, vec4((clamp ((tmpvar_139 * _OceanDepthFactor), 0.0, 1.0) + ((_OceanDepthFactor * 15.0) * clamp (floor((1.0 + tmpvar_139)), 0.0, 1.0)))));
  color_14 = tmpvar_140;
  highp float tmpvar_141;
  tmpvar_141 = clamp (pow (_PlanetOpacity, 2.0), 0.0, 1.0);
  handoff_3 = tmpvar_141;
  highp float tmpvar_142;
  tmpvar_142 = (tex_65.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_11.w = tmpvar_142;
  citydarkoverlaydetail_10.w = (tex_75.w * cityoverlay_11.w);
  citylightoverlaydetail_9.w = (tex_94.w * cityoverlay_11.w);
  mediump vec4 tmpvar_143;
  tmpvar_143 = (mix (mix (color_14, tex_15, vec4(handoff_3)), citylightoverlaydetail_9, citylightoverlaydetail_9.wwww) * _Color);
  color_14 = tmpvar_143;
  specColor_2.xyz = _SpecularColor.xyz;
  highp float tmpvar_144;
  tmpvar_144 = clamp ((sqrt(dot (xlv_TEXCOORD5, xlv_TEXCOORD5)) - _OceanRadius), 0.0, 1.0);
  specColor_2.w = mix (tex_15.w, 0.0, tmpvar_144);
  highp vec3 tmpvar_145;
  tmpvar_145 = _WorldSpaceLightPos0.xyz;
  highp float tmpvar_146;
  tmpvar_146 = dot (xlv_TEXCOORD2, xlv_TEXCOORD2);
  lowp vec4 tmpvar_147;
  tmpvar_147 = texture2D (_LightTextureB0, vec2(tmpvar_146));
  lowp vec4 tmpvar_148;
  tmpvar_148 = textureCube (_LightTexture0, xlv_TEXCOORD2);
  highp float tmpvar_149;
  mediump vec4 shadows_150;
  highp vec4 shadowVals_151;
  highp float tmpvar_152;
  tmpvar_152 = ((sqrt(dot (xlv_TEXCOORD3, xlv_TEXCOORD3)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_153;
  vec_153 = (xlv_TEXCOORD3 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_154;
  lowp vec4 tmpvar_155;
  tmpvar_155 = textureCube (_ShadowMapTexture, vec_153);
  packDist_154 = tmpvar_155;
  shadowVals_151.x = dot (packDist_154, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_156;
  vec_156 = (xlv_TEXCOORD3 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_157;
  lowp vec4 tmpvar_158;
  tmpvar_158 = textureCube (_ShadowMapTexture, vec_156);
  packDist_157 = tmpvar_158;
  shadowVals_151.y = dot (packDist_157, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_159;
  vec_159 = (xlv_TEXCOORD3 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_160;
  lowp vec4 tmpvar_161;
  tmpvar_161 = textureCube (_ShadowMapTexture, vec_159);
  packDist_160 = tmpvar_161;
  shadowVals_151.z = dot (packDist_160, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_162;
  vec_162 = (xlv_TEXCOORD3 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_163;
  lowp vec4 tmpvar_164;
  tmpvar_164 = textureCube (_ShadowMapTexture, vec_162);
  packDist_163 = tmpvar_164;
  shadowVals_151.w = dot (packDist_163, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_165;
  tmpvar_165 = lessThan (shadowVals_151, vec4(tmpvar_152));
  highp vec4 tmpvar_166;
  tmpvar_166 = _LightShadowData.xxxx;
  highp float tmpvar_167;
  if (tmpvar_165.x) {
    tmpvar_167 = tmpvar_166.x;
  } else {
    tmpvar_167 = 1.0;
  };
  highp float tmpvar_168;
  if (tmpvar_165.y) {
    tmpvar_168 = tmpvar_166.y;
  } else {
    tmpvar_168 = 1.0;
  };
  highp float tmpvar_169;
  if (tmpvar_165.z) {
    tmpvar_169 = tmpvar_166.z;
  } else {
    tmpvar_169 = 1.0;
  };
  highp float tmpvar_170;
  if (tmpvar_165.w) {
    tmpvar_170 = tmpvar_166.w;
  } else {
    tmpvar_170 = 1.0;
  };
  highp vec4 tmpvar_171;
  tmpvar_171.x = tmpvar_167;
  tmpvar_171.y = tmpvar_168;
  tmpvar_171.z = tmpvar_169;
  tmpvar_171.w = tmpvar_170;
  shadows_150 = tmpvar_171;
  mediump float tmpvar_172;
  tmpvar_172 = dot (shadows_150, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_149 = tmpvar_172;
  mediump vec3 lightDir_173;
  lightDir_173 = tmpvar_145;
  mediump vec3 viewDir_174;
  viewDir_174 = xlv_TEXCOORD8;
  mediump vec3 normal_175;
  normal_175 = xlv_TEXCOORD4;
  mediump float atten_176;
  atten_176 = ((tmpvar_147.w * tmpvar_148.w) * tmpvar_149);
  mediump vec4 c_177;
  highp float nh_178;
  mediump vec3 tmpvar_179;
  tmpvar_179 = normalize(lightDir_173);
  lightDir_173 = tmpvar_179;
  mediump vec3 tmpvar_180;
  tmpvar_180 = normalize(viewDir_174);
  viewDir_174 = tmpvar_180;
  mediump vec3 tmpvar_181;
  tmpvar_181 = normalize(normal_175);
  normal_175 = tmpvar_181;
  mediump float tmpvar_182;
  tmpvar_182 = dot (tmpvar_181, tmpvar_179);
  mediump float tmpvar_183;
  tmpvar_183 = clamp (dot (normalize((tmpvar_179 + tmpvar_180)), tmpvar_181), 0.0, 1.0);
  nh_178 = tmpvar_183;
  highp vec3 tmpvar_184;
  tmpvar_184 = ((((tmpvar_143.xyz * _LightColor0.xyz) * tmpvar_182) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_178, _SpecularPower) * specColor_2.w))) * (atten_176 * 4.0));
  c_177.xyz = tmpvar_184;
  c_177.w = (tmpvar_182 * (atten_176 * 4.0));
  highp vec3 tmpvar_185;
  tmpvar_185 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_186;
  lightDir_186 = tmpvar_185;
  mediump vec3 normal_187;
  normal_187 = xlv_TEXCOORD4;
  mediump float tmpvar_188;
  tmpvar_188 = dot (normal_187, lightDir_186);
  highp vec3 arg0_189;
  arg0_189 = (xlv_TEXCOORD5 + 50.0);
  highp float tmpvar_190;
  tmpvar_190 = clamp (((sqrt(dot (arg0_189, arg0_189)) - _OceanRadius) / 50.0), 0.0, 1.0);
  mediump vec4 tmpvar_191;
  tmpvar_191 = mix (tmpvar_143, (c_177 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_188)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_188)), 0.0, 1.0)), 1.0, tex_15.w)), vec4(tmpvar_190));
  citydarkoverlaydetail_10.w = (citydarkoverlaydetail_10.w * (1.0 - clamp (tmpvar_191.w, 0.0, 1.0)));
  color_14.xyz = mix (tmpvar_191, citydarkoverlaydetail_10, citydarkoverlaydetail_10.wwww).xyz;
  color_14.w = 1.0;
  tmpvar_1 = color_14;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 639
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 643
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    #line 647
    o.sphereCoords = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    mediump float NdotL = dot( o.sphereCoords, normalize(_SunDir));
    #line 651
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos);
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 655
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
out highp vec3 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD3 = vec3(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereCoords);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.L);
    xlv_TEXCOORD8 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 625
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereCoords;
    highp float terminator;
    highp vec3 L;
    highp vec3 viewDir;
};
#line 615
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform mediump vec3 _SunDir;
uniform highp float _PlanetOpacity;
uniform highp float _OceanRadius;
#line 608
uniform highp float _OceanDepthFactor;
uniform lowp vec4 _OceanColor;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CityOverlayTex;
#line 612
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 639
#line 659
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 659
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereCoords);
    #line 663
    highp vec3 sphereNrm = normalize(IN.sphereCoords);
    mediump float vertLerp = xll_saturate_f(((32.0 * (xll_saturate_f(dot( IN.objnormal.xyz, (-sphereNrm))) - 0.95)) + 0.5));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereCoords, _DetailScale);
    mediump vec4 vert = GetSphereDetailMap( _steepTex, IN.sphereCoords, _DetailVertScale);
    #line 667
    detail = mix( vert, detail, vec4( vertLerp));
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereCoords);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereCoords, _CityOverlayDetailScale);
    #line 671
    mediump vec4 encnorm = GetSphereMap( _BumpMap, IN.sphereCoords);
    highp vec2 localCoords = encnorm.wy;
    localCoords -= vec2( 0.5, 0.5);
    localCoords.x *= 0.5;
    #line 675
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereNrm.x, sphereNrm.z)));
    uv.y = (0.31831 * acos(sphereNrm.y));
    uv.x -= 0.5;
    #line 679
    uv += localCoords;
    mediump vec3 norm;
    norm.z = cos((6.28319 * uv.x));
    norm.x = sin((6.28319 * uv.x));
    #line 683
    norm.y = cos((3.14159 * uv.y));
    norm = (-norm);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.objnormal.w));
    color = (IN.color + (0.75 * mix( (detail.xyzw - 0.5), vec4( 0.0), vec4( detailLevel))));
    #line 687
    highp float tc = dot( IN.L, IN.viewDir);
    highp float d = sqrt((dot( IN.L, IN.L) - dot( tc, tc)));
    mediump float sphereCheck = (step( d, _OceanRadius) * step( 0.0, tc));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - pow( d, 2.0)));
    #line 691
    highp float sphereDist = mix( IN.objnormal.w, (tc - tlc), sphereCheck);
    highp float oceandepth = (IN.objnormal.w - sphereDist);
    highp float depthFactor = xll_saturate_f((oceandepth * _OceanDepthFactor));
    highp float vertexDepth = ((_OceanDepthFactor * 15.0) * xll_saturate_f(floor((1.0 + oceandepth))));
    #line 695
    color = mix( color, _OceanColor, vec4( (depthFactor + vertexDepth)));
    mediump float handoff = xll_saturate_f(pow( _PlanetOpacity, 2.0));
    color = mix( color, main, vec4( handoff));
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    #line 699
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    #line 703
    mediump vec4 specColor = _SpecularColor;
    specColor.w = mix( main.w, 0.0, xll_saturate_f((length(IN.sphereCoords) - _OceanRadius)));
    mediump vec4 lightColor = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    lightColor *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 707
    color = mix( color, lightColor, vec4( xll_saturate_f(((length((IN.sphereCoords + 50.0)) - _OceanRadius) / 50.0))));
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( color, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w = 1.0;
    #line 711
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
in highp vec3 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD2);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereCoords = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.L = vec3(xlv_TEXCOORD7);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 120
//   d3d9 - ALU: 141 to 220, TEX: 9 to 24
//   d3d11 - ALU: 117 to 183, TEX: 0 to 6, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.w, v3, v3
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c3.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
mul_pp_sat r0.y, -r0, c14.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 132 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
"ps_3_0
; 141 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord8 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v2, v2
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v2
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v4, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.w, v2, r2
add_pp r2.x, r0.w, c15
mul r1.w, r0.x, c4
frc_pp r2.y, r2.x
mov_pp r0.xyz, c1
mul_pp r1.xyz, r3, r1.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r1.w, r1
add_pp_sat r2.x, r2, -r2.y
add_pp r1.x, r2, c15.y
mul_pp_sat r0.w, -r0, c14
mad_pp r0.w, r0, r1.x, c9.y
mul r0.xyz, r0, c14.z
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 288 used size, 20 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
// 129 instructions, 5 temp regs, 0 temp arrays:
// ALU 110 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
"ps_3_0
; 148 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.w, v3, v3
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c3.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
mov_pp r2.xyz, c1
add_pp_sat r0.z, r0, -r0.w
mul_pp r1.xyz, r3, r1.x
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r2.xyz, r2, r0.x, r1
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c13.w
add_pp r1.z, r0, c15.y
dp3 r0.x, v2, v2
texld r0.w, r1, s4
cmp r0.z, -v2, c9.x, c9.y
mul_pp r0.z, r0, r0.w
mul_pp_sat r0.y, -r0, c14.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.z, r0
mad_pp r0.w, r0.y, r1.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 139 instructions, 5 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedglgfofodecmmnaedcbnmnbcmmgdfcmpgabaaaaaagebdaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapapaaaaomaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaaiaaaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcpmbbaaaaeaaaaaaahpaeaaaafjaaaaaeegiocaaaaaaaaaaabgaaaaaa
fjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaa
fkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaae
aahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadpcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaaidcaabaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaacgbjbaaa
afaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaafaaaaaadkaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaia
ebaaaaaaafaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaajicaabaaa
acaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaabnaaaaai
icaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaaabaaaaah
icaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
aaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaadbaaaaah
bcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaa
akaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaa
dkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaaaaaaaaaa
diaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaiaebaaaaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
jgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaa
ggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaaaaaaaaaa
bcaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaa
beaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaag
dcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaa
agaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaa
ogakbaaaabaaaaaaegaabaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaia
ebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaa
alaaaaafdcaabaaaadaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaa
acaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaogakbaaaaaaaaaaaaaaaaaai
hcaabaaaabaaaaaaegacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaabacaaaai
icaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadpdcaaaaaj
hcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaa
aaaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaaalpaaaaaalp
aaaaaalpaaaaaaaaapcaaaaiicaabaaaaaaaaaaapgbpbaaaacaaaaaafgifcaaa
aaaaaaaabeaaaaaadcaaaaakhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaia
ebaaaaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaamhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaaabaaaaaa
deaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaa
acaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaaakaabaiaibaaaaaa
acaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaa
abaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaa
abaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaaabaaaaah
ccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaai
dcaabaaaabaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahecaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaabnaaaaaiecaabaaaabaaaaaackaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaackaabaaaabaaaaaa
akaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaadkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaaamaaaaaf
bcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaia
ibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaaiedefjlo
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaa
abeaaaaakeanmjdpaaaaaaaibcaabaaaabaaaaaackaabaiambaaaaaaacaaaaaa
abeaaaaaaaaaiadpelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ecaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaah
ccaabaaaacaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
adaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaaacaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaa
acaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajicaabaaaaaaaaaaa
dkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaahaaaaaaegbcbaaaahaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaabaaaaaajbcaabaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaabaaaaaaagaabaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaa
dcaaaaajhcaabaaaacaaaaaaegbcbaaaahaaaaaapgapbaaaaaaaaaaaegacbaaa
abaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaaaaaaaaaegbcbaaaaeaaaaaabacaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaacpaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaaakiacaaa
aaaaaaaabaaaaaaabjaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkiacaaaaaaaaaaabbaaaaaadiaaaaaj
ocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaaagijcaaaaaaaaaaabbaaaaaa
diaaaaahocaabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaabaaaaaadcaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaajgahbaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaadaaaaaapgbpbaaaadaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaa
aagabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackbabaaa
adaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaefaaaaajpcaabaaa
abaaaaaaagaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
abaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 144 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_cube s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4 r0.w, c0, c0
rsq r2.x, r0.w
pow r0, r1.w, c3.x
mul r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s5
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 142 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s4
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
mul_pp r0.x, r0.w, c14.z
mad_pp r0.w, r0.y, r0.z, c9.y
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c10, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c11, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c12, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c13, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c14, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c15, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c16, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c10.y, c10
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c10.y, c10.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c10.x, c10
cmp r0.x, -r0, c10, c10.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c14.w, c14.w
mad r2.y, r0.x, c14.w, c14.w
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c14.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c14.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c14.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c14, c14.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c12, c12.z
mad r2.x, r3.y, r3, c12.w
mad r2.x, r2, r3, c13
mad r2.x, r2, r3, c13.y
mad r2.x, r2, r3, c13.z
mul r2.y, v1.w, c8.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c11.z
add_pp r0.xyz, r0, c15.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c13.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c11
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c10.y
mad r2.y, r2.x, c10.z, c10.w
mad r2.y, r2, r2.x, c11.x
mul_pp r0.xyz, r0, c15.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c10.x, c10
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11.z, r2.x
mad r0.w, r1.y, c11, r0
mul r1.y, r1.x, c14.x
mul r0.w, r0, c12.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c14.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.w, v4, v4
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c2
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c4.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c16.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, c5.w
mul_pp r1.xyz, r3, r1.x
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v3, s6
rcp r0.w, v3.w
mad r0.w, -v3.z, r0, r0.x
mov r1.w, c1.x
cmp r2.z, r0.w, c10.y, r1.w
rcp r0.x, v2.w
mad r2.xy, v2, r0.x, c14.w
dp3 r0.x, v2, v2
add_pp r0.z, r0, c16.y
mul_pp_sat r0.y, -r0, c15.w
texld r0.w, r2, s4
cmp r1.w, -v2.z, c10.x, c10.y
mul_pp r0.w, r1, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c10.y
mul_pp r0.x, r0, c15.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c10.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 152 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c10, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c11, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c12, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c13, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c14, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c15, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c16, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c10.y, c10
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c10.y, c10.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c10.x, c10
cmp r0.x, -r0, c10, c10.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c14.w, c14.w
mad r2.y, r0.x, c14.w, c14.w
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c14.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c14.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c14.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c14, c14.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c12, c12.z
mad r2.x, r3.y, r3, c12.w
mad r2.x, r2, r3, c13
mad r2.x, r2, r3, c13.y
mad r2.x, r2, r3, c13.z
mul r2.y, v1.w, c8.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c11.z
add_pp r0.xyz, r0, c15.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c13.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c11
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c10.y
mad r2.y, r2.x, c10.z, c10.w
mad r2.y, r2, r2.x, c11.x
mul_pp r0.xyz, r0, c15.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c10.x, c10
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11.z, r2.x
mad r0.w, r1.y, c11, r0
mul r1.y, r1.x, c14.x
mul r0.w, r0, c12.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c14.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.w, v4, v4
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c2
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c4.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c16.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, c5.w
mul_pp r1.xyz, r3, r1.x
mad r1.xyz, r2, r0.x, r1
mov r0.x, c1
add r1.w, c10.y, -r0.x
rcp r0.w, v2.w
texldp r0.x, v3, s6
mad r2.z, r0.x, r1.w, c1.x
mad r2.xy, v2, r0.w, c14.w
dp3 r0.x, v2, v2
add_pp r0.z, r0, c16.y
mul_pp_sat r0.y, -r0, c15.w
texld r0.w, r2, s4
cmp r1.w, -v2.z, c10.x, c10.y
mul_pp r0.w, r1, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c10.y
mul_pp r0.x, r0, c15.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c10.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 142 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
mul_pp_sat r0.y, -r0, c14.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v2, s4
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 132 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v4, v4
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s5
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v3, s4
mul r0.x, r0.w, r0
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 153 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
mul_pp r3.xyz, r1, c4
dp3_pp r0.x, v6, v6
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r3, r0.y
mov_pp r0.xyz, c3
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r1
texld r0, v3, s4
dp4 r0.y, r0, c17
dp3 r1.w, v3, v3
rsq r0.x, r1.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.x, -r0, c16.z, r0.y
mul r2.xyz, r0.z, c0
dp3_pp r0.z, v4, r2
add_pp r0.w, r0.z, c18.y
mov r0.y, c2.x
cmp r0.y, r0.x, c11, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
frc_pp r1.w, r0
add_pp_sat r0.y, r0.w, -r1.w
add_pp r0.w, r0.y, c18.z
mul_pp_sat r0.y, -r0.z, c18.x
mad_pp r0.w, r0.y, r0, c11.y
mul_pp r0.x, r0, c16.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 141 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 153 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r1.w, r0.x, c6
mul_pp r1.xyz, c6, r1
texld r0, v3, s4
mad r1.xyz, r1, r1.w, r2
dp4 r1.w, r0, c17
dp3 r0.x, v3, v3
rsq r0.x, r0.x
rcp r0.w, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.y, v4, r0
mul r0.w, r0, c1
mad r0.w, -r0, c16.z, r1
add_pp r1.w, r0.y, c18.y
mov r0.x, c2
cmp r0.z, r0.w, c11.y, r0.x
dp3 r0.x, v2, v2
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.z
frc_pp r2.x, r1.w
add_pp_sat r0.z, r1.w, -r2.x
add_pp r0.z, r0, c18
mul_pp_sat r0.y, -r0, c18.x
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c16.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 143 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 161 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c19, -0.50000000, 0.75000000, 0.25000000, 4.00000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c14.y, c14
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c14.y, c14.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.x, c14
cmp r0.x, -r0, c14, c14.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c18.w, c18.w
mad r2.y, r0.x, c18.w, c18.w
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c18.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c18.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c18.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c18, c18.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c16, c16.z
mad r2.x, r3.y, r3, c16.w
mad r2.x, r2, r3, c17
mad r2.x, r2, r3, c17.y
mad r2.x, r2, r3, c17.z
mul r2.y, v1.w, c12.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c15.z
add_pp r0.xyz, r0, c19.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c17.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c15
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c14.y
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mul_pp r0.xyz, r0, c19.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c14.x, c14
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c15.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c15.z, r2.x
mad r0.w, r1.y, c15, r0
mul r1.y, r1.x, c18.x
mul r0.w, r0, c16.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c18.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c7
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c8.x
rcp r1.w, v3.w
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c6
mul_pp r2.xyz, r3, r0.y
mul r0.w, r0.x, c9
mov_pp r0.xyz, c6
mul_pp r1.xyz, c9, r0
mad r1.xyz, r1, r0.w, r2
mad r0.xy, v3, r1.w, c5
texld r0.x, r0, s6
mad r2.xy, v3, r1.w, c4
mov r0.w, r0.x
texld r0.x, r2, s6
mad r2.xy, v3, r1.w, c3
mov r0.z, r0.x
texld r0.x, r2, s6
mad r2.xy, v3, r1.w, c2
mov r0.y, r0.x
texld r0.x, r2, s6
mad r0, -v3.z, r1.w, r0
mov r1.w, c1.x
dp4 r2.x, c0, c0
rsq r2.x, r2.x
cmp r0, r0, c14.y, r1.w
mul r2.xyz, r2.x, c0
dp3_pp r1.w, v4, r2
dp4_pp r2.z, r0, c19.z
add_pp r0.y, r1.w, c20
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c20
rcp r0.x, v2.w
mad r2.xy, v2, r0.x, c18.w
texld r0.w, r2, s4
dp3 r0.x, v2, v2
cmp r2.x, -v2.z, c14, c14.y
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp_sat r0.y, -r1.w, c20.x
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c14.y
mul_pp r0.x, r0, c19.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 155 instructions, 5 temp regs, 0 temp arrays:
// ALU 125 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c19, -0.50000000, 0.75000000, 0.25000000, 4.00000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c14.y, c14
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c14.y, c14.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.x, c14
cmp r0.x, -r0, c14, c14.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c18.w, c18.w
mad r2.y, r0.x, c18.w, c18.w
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c18.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c18.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c18.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c18, c18.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c16, c16.z
mad r2.x, r3.y, r3, c16.w
mad r2.x, r2, r3, c17
mad r2.x, r2, r3, c17.y
mad r2.x, r2, r3, c17.z
mul r2.y, v1.w, c12.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c15.z
add_pp r0.xyz, r0, c19.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c17.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c15
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c14.y
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mul_pp r0.xyz, r0, c19.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c14.x, c14
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c15.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c15.z, r2.x
mad r0.w, r1.y, c15, r0
mul r1.y, r1.x, c18.x
mul r0.w, r0, c16.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c18.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
mul_pp r3.xyz, r1, c7
dp3_pp r0.x, v6, v6
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c8.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c6
mov r0.w, r0.x
mul_pp r1.xyz, r3, r0.y
mov_pp r0.xyz, c6
rcp r1.w, v3.w
mul r0.w, r0, c9
mul_pp r0.xyz, c9, r0
mad r2.xyz, r0, r0.w, r1
mad r0.xyz, v3, r1.w, c5
mad r1.xyz, v3, r1.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
texld r0.x, r0, s6
mul r3.xyz, r0.w, c0
mov_pp r0.w, r0.x
mad r0.xyz, v3, r1.w, c4
texld r0.x, r0, s6
texld r1.x, r1, s6
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v3, r1.w, c2
mov r0.x, c1
add r1.w, c14.y, -r0.x
texld r0.x, r1, s6
mad r0, r0, r1.w, c1.x
dp4_pp r1.w, r0, c19.z
dp3_pp r1.z, v4, r3
add_pp r0.y, r1.z, c20
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c20
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c18.w
texld r0.w, r1, s4
dp3 r0.x, v2, v2
cmp r1.x, -v2.z, c14, c14.y
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp_sat r0.y, -r1.z, c20.x
mul_pp r0.x, r0, r1.w
mad_pp r0.w, r0.y, r0.z, c14.y
mul_pp r0.x, r0, c19.w
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 152 instructions, 5 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 160 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r1.w, r0.x, c6
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r0.xyz, v3, c16.zwww
texld r0, r0, s4
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s4
dp4 r3.z, r0, c17
add r1.xyz, v3, c16.wwzw
texld r1, r1, s4
dp4 r3.y, r1, c17
add r0.xyz, v3, c16.z
texld r0, r0, s4
dp3 r1.x, v3, v3
rsq r1.x, r1.x
dp4 r3.x, r0, c17
rcp r0.x, r1.x
dp4 r1.x, c0, c0
mul r0.x, r0, c1.w
rsq r1.x, r1.x
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v4, r1
mad r0, -r0.x, c18.x, r3
mov r1.w, c2.x
cmp r0, r0, c11.y, r1.w
dp4_pp r0.y, r0, c18.y
add_pp r0.z, r1.x, c19.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
frc_pp r0.w, r0.z
add_pp_sat r0.y, r0.z, -r0.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r1.x, c18.w
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c18.z
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 152 instructions, 5 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 161 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.x, r2, r2.w
mul r2.y, v1.w, c9.x
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r0.w, r0.x, c6
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r2
add r0.xyz, v3, c16.zwww
texld r0, r0, s4
add r2.xyz, v3, c16.wzww
dp4 r3.w, r0, c17
texld r0, r2, s4
add r2.xyz, v3, c16.wwzw
dp4 r3.z, r0, c17
texld r0, r2, s4
add r2.xyz, v3, c16.z
dp4 r3.y, r0, c17
texld r0, r2, s4
dp4 r3.x, r0, c17
dp3 r1.w, v3, v3
rsq r0.x, r1.w
dp4 r0.y, c0, c0
rsq r1.w, r0.y
mul r2.xyz, r1.w, c0
dp3_pp r1.w, v4, r2
rcp r0.x, r0.x
mul r0.x, r0, c1.w
add_pp r2.x, r1.w, c19
mad r0, -r0.x, c18.x, r3
mov r2.w, c2.x
cmp r0, r0, c11.y, r2.w
dp4_pp r0.y, r0, c18.y
dp3 r0.x, v2, v2
frc_pp r0.z, r2.x
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.y
add_pp_sat r0.y, r2.x, -r0.z
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r1.w, c18.w
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 154 instructions, 5 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
mul r0.w, r0.x, r0.y
dp4 r1.x, c0, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
rsq r2.w, r1.x
mad r1.xyz, r0, r0.w, r2
mul r2.xyz, r2.w, c0
dp3_pp r0.w, v3, r2
add_pp r0.y, r0.w, c18.w
frc_pp r0.z, r0.y
add_pp_sat r2.x, r0.y, -r0.z
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul_pp r0.x, r0, c18.y
mul r1.xyz, r1, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 165 instructions, 5 temp regs, 0 temp arrays:
// ALU 144 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord7 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v3, v3
rsq r0.w, r0.x
mul r1.xyz, r0.w, v3
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
rcp r0.w, r0.w
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v5
dp3 r0.x, v4, r0
abs r1.w, r1.z
dp3 r2.w, v4, v4
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r0.xyz, r1.x, r2, r0
mul_pp r3.xyz, r0, c2
dp3_pp r0.x, v2, v2
rsq_pp r0.y, r0.x
mul_pp r2.xyz, r0.y, v2
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
dp3_pp r0.x, v5, v5
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
dp3_pp r1.x, r1, r2
mul_pp r0.xyz, r2.w, r0
mul_pp r4.xyz, r3, c1
dp3_pp_sat r2.x, r0, r2
add_sat r0.w, r0, -c9.x
mad_pp r2.y, r0.w, -r1.w, r1.w
pow r0, r2.x, c3.x
dp4_pp r0.y, c0, c0
mov r0.w, r0.x
rsq_pp r0.y, r0.y
mul r2.y, r0.w, r2
mul_pp r0.xyz, r0.y, c0
dp3_pp r0.w, v2, r0
mov_pp r0.xyz, c1
mul_pp r1.xyz, r4, r1.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.y, r1
add_pp r2.x, r0.w, c18.w
mul r1.xyz, r0, c18.y
add r0.xyz, v3, c12.x
dp3 r0.x, r0, r0
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 320 used size, 20 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 288 [_OceanRadius]
Float 292 [_OceanDepthFactor]
Vector 304 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
// 162 instructions, 5 temp regs, 0 temp arrays:
// ALU 142 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
dp3_pp r2.w, v3, v3
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v3
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c3.x
add_sat r0.y, r3.x, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.w, c0, c0
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
rsq r2.w, r2.w
mul r0.xyz, r2.w, c0
dp3_pp r2.w, v3, r0
rcp r0.w, v2.w
mad r3.xy, v2, r0.w, c17.z
dp3 r0.x, v2, v2
texld r0.w, r3, s4
cmp r0.y, -v2.z, c12.z, c12.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
add_pp r0.y, r2.w, c18.w
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 172 instructions, 5 temp regs, 0 temp arrays:
// ALU 149 float, 1 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 180 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_cube s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4 r0.z, c0, c0
rsq r1.x, r0.z
mul r0.w, r0.x, r0.y
mul r1.xyz, r1.x, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
dp3_pp r2.w, v3, r1
add_pp r0.y, r2.w, c18.w
dp3 r0.x, v2, v2
texld r0.w, v2, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r2, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 167 instructions, 5 temp regs, 0 temp arrays:
// ALU 145 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r2.xyz, r4, r2.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r2
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v3, r1
add_pp r2.y, r2.x, c18.w
texld r0.w, v2, s4
mul_pp r0.w, r0, c18.y
mul r1.xyz, r0, r0.w
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
frc_pp r2.z, r2.y
add_pp_sat r0.w, r2.y, -r2.z
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.x, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 164 instructions, 5 temp regs, 0 temp arrays:
// ALU 143 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 189 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c14, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c15, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c16, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c17, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c20, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c13.w, c13.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c13, c13.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c13.z, c13.w
cmp r0.x, -r0, c13.z, c13.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c13.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c13.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c18.x
mad r2.x, r0.y, c18.z, c18.z
mad r2.y, r0.x, c18.z, c18.z
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c18.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c18.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c18.y, c18.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c8.x
mul_sat r1.w, r1, c15.x
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c19.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c10.x, c10.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c16.x, c16.y
mad r3.w, r3, r2, c15
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c12
mad r3.w, r3, r2, c16.z
cmp r4.z, r0.x, c13.w, c13
add r0.y, -r0, c10.x
cmp r0.x, r0.y, c13.w, c13.z
mad r0.y, r3.w, r2.w, c16.w
mad r0.y, r0, r2.w, c17.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c13
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c11.x
mul r0.x, r0.y, c11
mad r0.x, r0, c17.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c17.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c13.w
mad r2.x, r1.w, c14, c14.y
mad r2.x, r2, r1.w, c14.z
rsq r2.y, r2.y
add r2.w, -r2.z, c15.y
cmp r1.y, r1, c13.z, c13.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c14
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c15.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c15.y, r1.z
mul r1.z, r1.w, c17
mul r1.y, r1.x, c15.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c18.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c9, c9
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c4.x
add_sat r0.y, r3.x, -c10.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r1, c2
mov_pp r3.xyz, c2
mul r0.w, r0.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.w, v4, r0
mul_pp r3.xyz, c5, r3
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r3, r0.w, r2
texldp r0.x, v3, s6
rcp r0.y, v3.w
mad r0.y, -v3.z, r0, r0.x
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c18.z
mov r0.z, c1.x
cmp r0.z, r0.y, c13.w, r0
dp3 r0.x, v2, v2
texld r0.w, r3, s4
cmp r0.y, -v2.z, c13.z, c13.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r0.z
add_pp r0.y, r2.w, c19.w
mul_pp r0.x, r0, c19.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c13.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c10
add_pp r0.w, r0, c20.x
mul_pp_sat r0.y, -r2.w, c19.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c13.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c13.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c13
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 177 instructions, 5 temp regs, 0 temp arrays:
// ALU 152 float, 1 int, 8 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 188 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c14, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c15, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c16, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c17, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c20, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c13.w, c13.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c13, c13.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c13.z, c13.w
cmp r0.x, -r0, c13.z, c13.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c13.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c13.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c18.x
mad r2.x, r0.y, c18.z, c18.z
mad r2.y, r0.x, c18.z, c18.z
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c18.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c18.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c18.y, c18.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c8.x
mul_sat r1.w, r1, c15.x
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c19.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c10.x, c10.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c16.x, c16.y
mad r3.w, r3, r2, c15
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c12
mad r3.w, r3, r2, c16.z
cmp r4.z, r0.x, c13.w, c13
add r0.y, -r0, c10.x
cmp r0.x, r0.y, c13.w, c13.z
mad r0.y, r3.w, r2.w, c16.w
mad r0.y, r0, r2.w, c17.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c13
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c11.x
mul r0.x, r0.y, c11
mad r0.x, r0, c17.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c17.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c13.w
mad r2.x, r1.w, c14, c14.y
mad r2.x, r2, r1.w, c14.z
rsq r2.y, r2.y
add r2.w, -r2.z, c15.y
cmp r1.y, r1, c13.z, c13.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c14
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c15.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c15.y, r1.z
mul r1.z, r1.w, c17
mul r1.y, r1.x, c15.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c18.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c9, c9
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c4.x
add_sat r0.y, r3.x, -c10.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r1, c2
mov_pp r3.xyz, c2
mul r0.w, r0.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.w, v4, r0
mov r0.x, c1
add r0.z, c13.w, -r0.x
texldp r0.x, v3, s6
mad r0.z, r0.x, r0, c1.x
dp3 r0.x, v2, v2
mul_pp r3.xyz, c5, r3
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r3, r0.w, r2
rcp r0.y, v2.w
mad r3.xy, v2, r0.y, c18.z
texld r0.w, r3, s4
cmp r0.y, -v2.z, c13.z, c13.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r0.z
add_pp r0.y, r2.w, c19.w
mul_pp r0.x, r0, c19.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c13.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c10
add_pp r0.w, r0, c20.x
mul_pp_sat r0.y, -r2.w, c19.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c13.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c13.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c13
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 177 instructions, 5 temp regs, 0 temp arrays:
// ALU 153 float, 1 int, 8 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhfchcchckhmkogclafmcaflgfifbloakabaaaaaaimbiaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapapaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
aiaaaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcambhaaaa
eaaaaaaamdafaaaafjaaaaaeegiocaaaaaaaaaaabiaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaiaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadpcbabaaa
adaaaaaagcbaaaadpcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadhcbabaaaahaaaaaagcbaaaadhcbabaaaaiaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaa
egbcbaaaahaaaaaaegbcbaaaahaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
ahaaaaaaegbcbaaaaiaaaaaadcaaaaakbcaabaaaaaaaaaaabkaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaiecaabaaaaaaaaaaaakiacaaaaaaaaaaabgaaaaaa
akaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
aaaaaaaadcaaaaambcaabaaaaaaaaaaaakiacaaaaaaaaaaabgaaaaaaakiacaaa
aaaaaaaabgaaaaaaakaabaiaebaaaaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaa
bkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaadkbabaiaebaaaaaa
acaaaaaaabaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaiadpaaaaiadpaaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadkbabaaaacaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaadkbabaaaacaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaaiadpdicaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaabkiacaaa
aaaaaaaabgaaaaaaebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaai
ecaabaaaaaaaaaaabkiacaaaaaaaaaaabgaaaaaaabeaaaaaaaaahaebdcaaaaaj
bcaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
dgaaaaaifcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dgaaaaaidcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
baaaaaahccaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaf
ecaabaaaaaaaaaaabkaabaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaaaacaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaa
aaaaaaaabgaaaaaadiaaaaahhcaabaaaadaaaaaakgakbaaaaaaaaaaacgbjbaaa
agaaaaaabnaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaia
ibaaaaaaadaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaackaabaaaaaaaaaaa
bkaabaiaebaaaaaaadaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaabkaabaaaadaaaaaadcaaaaakecaabaaaaaaaaaaabkbabaia
ebaaaaaaagaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaadeaaaaajicaabaaa
abaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaadaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaa
aaaaaaaadkaabaaaabaaaaaackaabaaaaaaaaaaackaabaaaadaaaaaadbaaaaah
icaabaaaacaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaaaaaaaaa
dkaabaiaebaaaaaaacaaaaaackaabaaaaaaaaaaaclaaaaafccaabaaaabaaaaaa
ckaabaaaaaaaaaaadgaaaaagecaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
diaaaaahhcaabaaaaeaaaaaaegacbaaaacaaaaaaggaibaaaadaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaajgaebaiaebaaaaaa
aeaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
jgaebaaaaeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaacaaaaaa
ggaibaaaadaaaaaaegacbaaaabaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaakmcaabaaaaaaaaaaa
fgajbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpaoaaaaai
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpdiaaaaaidcaabaaaabaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaa
bcaaaaaadiaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaaagiacaaaaaaaaaaa
beaaaaaadcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaaeaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaadcaaaaaodcaabaaaacaaaaaaagiacaia
ebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
ogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaa
alaaaaafmcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaaacaaaaaa
egaabaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaogakbaaaaaaaaaaaeghobaaa
acaaaaaaaagabaaaafaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaaaaaaaaai
hcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaacaaaaaabacaaaai
ecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaajecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadpdcaaaaaj
hcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaa
aaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalp
aaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaafgifcaaa
aaaaaaaabeaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaia
ebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaa
abaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaaabaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaaaaaaaaaa
bhaaaaaadcaaaaajncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaa
agajbaaaabaaaaaadeaaaaajbcaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaa
bkaabaiaibaaaaaaadaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaddaaaaajccaabaaaabaaaaaa
akaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajecaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajecaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaaj
ccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaadiphhpdp
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdp
dbaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaa
adaaaaaaabaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaadbaaaaaigcaabaaaabaaaaaaagacbaaaadaaaaaaagacbaiaebaaaaaa
adaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaanlapejma
aaaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaaddaaaaah
ccaabaaaabaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaadbaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadeaaaaahicaabaaa
abaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahccaabaaaabaaaaaa
dkaabaaaabaaaaaabkaabaaaabaaaaaadhaaaaakbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaakaabaaaabaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaa
abaaaaaaamaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakicaabaaa
abaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaadaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaackaabaia
ibaaaaaaadaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaacaaaaaackaabaia
mbaaaaaaadaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaackaabaaa
acaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaa
dcaaaaajicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaacaaaaaa
dcaaaaajecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaackaabaaa
abaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaabaaaaaaabeaaaaaidpjkcdo
alaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaabaaaaaa
bkaabaaaacaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaa
aaaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaaaaaaaaai
hcaabaaaabaaaaaaigadbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaadiaaaaaj
bcaabaaaacaaaaaadkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaa
ddaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
ncaabaaaaaaaaaaaagaabaaaacaaaaaaagajbaaaabaaaaaaagaobaaaaaaaaaaa
diaaaaaincaabaaaaaaaaaaaagaobaaaaaaaaaaaagijcaaaaaaaaaaaapaaaaaa
diaaaaaihcaabaaaabaaaaaaigadbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaa
dkaabaaaabaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaaiaaaaaaegbcbaaa
aiaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaabaaaaaajccaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaacaaaaaabkaabaaaacaaaaaadiaaaaaiocaabaaaacaaaaaafgafbaaa
acaaaaaaagijcaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaaegbcbaaa
aiaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaabaaaaaahbcaabaaaacaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaa
acaaaaaadiaaaaahhcaabaaaadaaaaaaagaabaaaacaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaacaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaaeaaaaaaagaabaaa
acaaaaaaegbcbaaaafaaaaaabacaaaahbcaabaaaacaaaaaaegacbaaaadaaaaaa
egacbaaaaeaaaaaabaaaaaahccaabaaaacaaaaaaegacbaaaaeaaaaaajgahbaaa
acaaaaaacpaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaacaaaaaadiaaaaajncaabaaaacaaaaaaagijcaaaaaaaaaaaafaaaaaa
agijcaaaaaaaaaaabbaaaaaadiaaaaahncaabaaaacaaaaaafgafbaaaaaaaaaaa
agaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaafgafbaaa
acaaaaaaigadbaaaacaaaaaaaoaaaaahdcaabaaaacaaaaaaegbabaaaadaaaaaa
pgbpbaaaadaaaaaaaaaaaaakdcaabaaaacaaaaaaegaabaaaacaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaaacaaaaaaegaabaaa
acaaaaaaeghobaaaadaaaaaaaagabaaaabaaaaaadbaaaaahccaabaaaaaaaaaaa
abeaaaaaaaaaaaaackbabaaaadaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaa
bkaabaaaaaaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaefaaaaajpcaabaaaacaaaaaaagaabaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
acaaaaaaaoaaaaahhcaabaaaacaaaaaaegbcbaaaaeaaaaaapgbpbaaaaeaaaaaa
ehaaaaalbcaabaaaacaaaaaaegaabaaaacaaaaaaaghabaaaafaaaaaaaagabaaa
aaaaaaaackaabaaaacaaaaaaaaaaaaajccaabaaaacaaaaaaakiacaiaebaaaaaa
acaaaaaabiaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaacaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaaakiacaaaacaaaaaabiaaaaaadiaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaabaaaaaafgafbaaa
aaaaaaaaegacbaaaabaaaaaabbaaaaajccaabaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaihcaabaaaacaaaaaafgafbaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaacaaaaaa
aaaaaaahbcaabaaaacaaaaaabkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaaaaaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaialpdcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpaaaaaaaibcaabaaaacaaaaaabkaabaiaebaaaaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaaaaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaaa
abaaaaaafgafbaaaaaaaaaaaigadbaiaebaaaaaaaaaaaaaaaaaaaaakhcaabaaa
acaaaaaaegbcbaaaagaaaaaaaceaaaaaaaaaeiecaaaaeiecaaaaeiecaaaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaaakiacaiaebaaaaaaaaaaaaaabgaaaaaadicaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaknhkddmdcaaaaajhccabaaaaaaaaaaafgafbaaa
aaaaaaaaegacbaaaabaaaaaaigadbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaa
abeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r2.xyz, r4, r2.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r2
mul_pp r1.xyz, r1.x, c0
dp3_pp r0.w, v3, r1
add_pp r2.x, r0.w, c18.w
texldp r1.x, v2, s4
mul_pp r1.x, r1, c18.y
mul r1.xyz, r0, r1.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 165 instructions, 5 temp regs, 0 temp arrays:
// ALU 144 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 179 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v7, r2
dp3_pp r0.y, v4, v4
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r1.xyz, r1.x, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
dp3_pp r2.w, v4, r1
add_pp r0.y, r2.w, c18.w
texld r0.w, v2, s5
texldp r0.x, v3, s4
mul r0.x, r0.w, r0
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r2, r0.x
add r0.xyz, v5, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 167 instructions, 5 temp regs, 0 temp arrays:
// ALU 145 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 189 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.97000003, 4.00000000, 10.00000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
add r2.w, -r2.z, c16.y
cmp r1.y, r1, c14.z, c14.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.z, r1.w, c18
mul r1.y, r1.x, c16.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c19.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c5.x
add_sat r0.y, r3.x, -c11.x
mul_pp r4.xyz, r1, c3
mov r2.w, r0.x
mad_pp r0.w, r0.y, -r1, r1
mul r0.w, r2, r0
mov_pp r0.xyz, c3
dp3 r2.w, v3, v3
rsq r2.w, r2.w
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s4
dp4 r0.y, r0, c21
rcp r2.w, r2.w
mul r0.x, r2.w, c1.w
mad r0.x, -r0, c20.y, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mov r0.y, c2.x
cmp r0.y, r0.x, c14.w, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
dp3_pp r0.w, v4, r3
add_pp r0.y, r0.w, c22.x
mul_pp r0.x, r0, c20.z
frc_pp r0.z, r0.y
add_pp_sat r2.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r2.w, r2, c22.y
mul_pp_sat r0.y, -r0.w, c20.w
mul_pp r0.y, r0, r2.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 174 instructions, 5 temp regs, 0 temp arrays:
// ALU 151 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 190 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.97000003, 4.00000000, 10.00000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
add r2.w, -r2.z, c16.y
cmp r1.y, r1, c14.z, c14.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.z, r1.w, c18
mul r1.y, r1.x, c16.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c19.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v7, r2
dp3_pp r0.y, v4, v4
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c5.x
add_sat r0.y, r1, -c11.x
mul_pp r4.xyz, r3, c3
mul_pp r2.xyz, r4, r2.x
mov r1.x, r0
mad_pp r0.w, r0.y, -r1, r1
mov_pp r0.xyz, c3
mul r0.w, r1.x, r0
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r2
texld r0, v3, s4
dp4 r0.y, r0, c21
dp3 r2.x, v3, v3
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c20.y, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c14.w, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v4, r0
add_pp r0.y, r2.x, c22.x
dp3 r0.x, v2, v2
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r0.x, r0, r2.y
mul_pp r0.x, r0, c20.z
mul r1.xyz, r1, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r0.w, r0, c22.y
mul_pp_sat r0.y, -r2.x, c20.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 176 instructions, 5 temp regs, 0 temp arrays:
// ALU 152 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 198 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c17, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c18, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c19, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c20, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c21, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c22, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c23, 0.75000000, 0.25000000, 4.00000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c17.w, c17.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c17, c17.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c17.z, c17.w
cmp r0.x, -r0, c17.z, c17.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c17.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c17.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c17.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c22.x
mad r2.x, r0.y, c22.z, c22.z
mad r2.y, r0.x, c22.z, c22.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c22.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c22.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c22.y, c22.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c12.x
mul_sat r1.w, r1, c19.x
add_pp r0.xyz, r0, c22.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c23.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c14.x, c14.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c20.x, c20.y
mad r3.w, r3, r2, c19
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c16
mad r3.w, r3, r2, c20.z
cmp r4.z, r0.x, c17.w, c17
add r0.y, -r0, c14.x
cmp r0.x, r0.y, c17.w, c17.z
mad r0.y, r3.w, r2.w, c20.w
mad r0.y, r0, r2.w, c21.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c17
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c15.x
mul r0.x, r0.y, c15
mad r0.x, r0, c21.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c21.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c17.w
mad r2.x, r1.w, c18, c18.y
mad r2.x, r2, r1.w, c18.z
rsq r2.y, r2.y
add r2.w, -r2.z, c19.y
cmp r1.y, r1, c17.z, c17.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c18
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c19.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c19.y, r1.z
mul r1.z, r1.w, c21
mul r1.y, r1.x, c19.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c22.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c7
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c8.x
add_sat r0.y, r3.x, -c14.x
mul_pp r4.xyz, r1, c6
mul_pp r2.xyz, r4, r2.x
mad_pp r0.w, r0.y, -r1, r1
mov r2.w, r0.x
mul r2.w, r2, r0
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r3.xyz, r0, r2.w, r2
rcp r0.w, v3.w
mad r0.xy, v3, r0.w, c5
mad r2.xy, v3, r0.w, c4
texld r0.x, r0, s6
mov r2.w, r0.x
texld r2.x, r2, s6
mov r2.z, r2.x
mad r2.xy, v3, r0.w, c2
mad r0.xy, v3, r0.w, c3
texld r2.x, r2, s6
texld r0.x, r0, s6
mov r2.y, r0.x
mad r0, -v3.z, r0.w, r2
mov r2.x, c1
cmp r0, r0, c17.w, r2.x
dp4_pp r2.z, r0, c23.y
dp4 r2.y, c0, c0
rsq r2.x, r2.y
mul r0.xyz, r2.x, c0
dp3_pp r2.w, v4, r0
rcp r0.w, v2.w
mad r2.xy, v2, r0.w, c22.z
dp3 r0.x, v2, v2
texld r0.w, r2, s4
cmp r0.y, -v2.z, c17.z, c17.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r2.z
add_pp r0.y, r2.w, c24.x
mul_pp r0.x, r0, c23.z
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r3, r0.x
add r0.xyz, v5, c17.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c14
add_pp r0.w, r0, c24.y
mul_pp_sat r0.y, -r2.w, c23.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c17.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c17.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c17
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 188 instructions, 5 temp regs, 0 temp arrays:
// ALU 157 float, 1 int, 8 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 197 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c17, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c18, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c19, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c20, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c21, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c22, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c23, 0.75000000, 0.25000000, 4.00000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c17.w, c17.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c17, c17.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c17.z, c17.w
cmp r0.x, -r0, c17.z, c17.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c17.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c17.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c17.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c22.x
mad r2.x, r0.y, c22.z, c22.z
mad r2.y, r0.x, c22.z, c22.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c22.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c22.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c22.y, c22.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c12.x
mul_sat r1.w, r1, c19.x
add_pp r0.xyz, r0, c22.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c23.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c14.x, c14.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c20.x, c20.y
mad r3.w, r3, r2, c19
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c16
mad r3.w, r3, r2, c20.z
cmp r4.z, r0.x, c17.w, c17
add r0.y, -r0, c14.x
cmp r0.x, r0.y, c17.w, c17.z
mad r0.y, r3.w, r2.w, c20.w
mad r0.y, r0, r2.w, c21.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c17
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c15.x
mul r0.x, r0.y, c15
mad r0.x, r0, c21.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c21.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c17.w
mad r2.x, r1.w, c18, c18.y
mad r2.x, r2, r1.w, c18.z
rsq r2.y, r2.y
add r2.w, -r2.z, c19.y
cmp r1.y, r1, c17.z, c17.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c18
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c19.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c19.y, r1.z
mul r1.z, r1.w, c21
mul r1.y, r1.x, c19.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c22.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c7
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r1.x, r1, r3
rcp r3.x, r0.w
pow r0, r2.w, c8.x
add_sat r0.y, r3.x, -c14.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r2, c6
mov_pp r3.xyz, c6
rcp r2.w, v3.w
mul r0.w, r0.x, r0.y
mad r0.xyz, v3, r2.w, c5
mul_pp r1.xyz, r4, r1.x
mul_pp r3.xyz, c9, r3
mad r3.xyz, r3, r0.w, r1
mad r1.xyz, v3, r2.w, c3
texld r0.x, r0, s6
mov_pp r0.w, r0.x
mad r0.xyz, v3, r2.w, c4
texld r0.x, r0, s6
texld r1.x, r1, s6
mov_pp r0.y, r1.x
mad r1.xyz, v3, r2.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s6
mov r2.w, c1.x
add r1.x, c17.w, -r2.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c23.y
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r2.w, v4, r0
rcp r0.w, v2.w
mad r1.xy, v2, r0.w, c22.z
dp3 r0.x, v2, v2
texld r0.w, r1, s4
cmp r0.y, -v2.z, c17.z, c17.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r1.z
add_pp r0.y, r2.w, c24.x
mul_pp r0.x, r0, c23.z
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c17.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c14
add_pp r0.w, r0, c24.y
mul_pp_sat r0.y, -r2.w, c23.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c17.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c17.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c17
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 185 instructions, 5 temp regs, 0 temp arrays:
// ALU 158 float, 1 int, 8 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 196 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.00781250, -0.00781250, 0.97000003
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 0.25000000, 4.00000000, 10.00000000, 1.00976563
def c23, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
cmp r1.y, r1, c14.z, c14.w
add r2.w, -r2.z, c16.y
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
cmp r2.y, r1.z, r2.z, r2.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.y, r1.x, c16.z
mul r1.z, r1.w, c18
add r1.x, r1.z, c19.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r2, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r3.x, r1.w
add_pp r2.xyz, r2, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
dp3_pp r1.x, v7, v7
mul_pp r3.xyz, r3.x, v4
mul_pp r0.xyz, r0.x, c0
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v7, r0
dp3_pp r1.w, r1, r1
mul_pp r4.xyz, r2, c3
dp3_pp r3.w, r0, r3
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r1
dp3_pp_sat r1.w, r0, r3
rcp r3.x, r0.w
pow r0, r1.w, c5.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r2.w, r2.w
mul r1.w, r0.x, r0.y
add r0.xyz, v3, c20.yzzw
texld r0, r0, s4
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.zyzw
mul_pp r1.xyz, r4, r3.w
texld r0, r0, s4
dp4 r4.z, r0, c21
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r1.w, r1
add r1.xyz, v3, c20.zzyw
texld r1, r1, s4
dp4 r4.y, r1, c21
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c20.y
texld r0, r0, s4
rcp r1.x, r1.x
dp4 r4.x, r0, c21
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c20.w, r4
cmp r0, r0, c14.w, r1.x
dp4_pp r0.y, r0, c22.x
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
dp3_pp r0.w, v4, r1
add_pp r0.y, r0.w, c22.w
mul_pp r0.x, r0, c22.y
frc_pp r0.z, r0.y
add_pp_sat r1.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r1.w, r1, c23.x
mul_pp_sat r0.y, -r0.w, c22.z
mul_pp r0.y, r0, r1.w
mad_pp r0.y, r2.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 185 instructions, 5 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpghnhamhhpflceokffebbeogglllighkabaaaaaalibjaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaaeabaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaaaeabaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaaeabaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcdibiaaaa
eaaaaaaaaoagaaaafjaaaaaeegiocaaaaaaaaaaabiaaaaaafjaaaaaeegiocaaa
abaaaaaaacaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafidaaaaeaahabaaaaeaaaaaa
ffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaa
gcbaaaadhcbabaaaagaaaaaagcbaaaadhcbabaaaahaaaaaagcbaaaadhcbabaaa
aiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaahaaaaaaegbcbaaaahaaaaaabaaaaaahccaabaaaaaaaaaaa
egbcbaaaahaaaaaaegbcbaaaaiaaaaaadcaaaaakbcaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaabnaaaaaiecaabaaaaaaaaaaaakiacaaaaaaaaaaa
bgaaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaambcaabaaaaaaaaaaaakiacaaaaaaaaaaabgaaaaaa
akiacaaaaaaaaaaabgaaaaaaakaabaiaebaaaaaaaaaaaaaaelaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaadkbabaia
ebaaaaaaacaaaaaaabaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaiadpaaaaiadpaaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaiadpdicaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaa
bkiacaaaaaaaaaaabgaaaaaaebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
diaaaaaiecaabaaaaaaaaaaabkiacaaaaaaaaaaabgaaaaaaabeaaaaaaaaahaeb
dcaaaaajbcaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaaifcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadgaaaaaidcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaa
eeaaaaafecaabaaaaaaaaaaabkaabaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaacaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaia
ebaaaaaaaaaaaaaabgaaaaaadiaaaaahhcaabaaaadaaaaaakgakbaaaaaaaaaaa
cgbjbaaaagaaaaaabnaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaadaaaaaa
bkaabaiaibaaaaaaadaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaaagaaaaaackaabaaa
aaaaaaaabkaabaiaebaaaaaaadaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaabkaabaaaadaaaaaadcaaaaakecaabaaaaaaaaaaa
bkbabaiaebaaaaaaagaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaadeaaaaaj
icaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaadaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
ecaabaaaaaaaaaaadkaabaaaabaaaaaackaabaaaaaaaaaaackaabaaaadaaaaaa
dbaaaaahicaabaaaacaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaa
aaaaaaaadkaabaiaebaaaaaaacaaaaaackaabaaaaaaaaaaaclaaaaafccaabaaa
abaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaacaaaaaabkaabaiaebaaaaaa
abaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaaacaaaaaaggaibaaaadaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaajgaebaia
ebaaaaaaaeaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaa
abaaaaaajgaebaaaaeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
acaaaaaaggaibaaaadaaaaaaegacbaaaabaaaaaadcaaaaajhcaabaaaabaaaaaa
pgapbaaaabaaaaaaegacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaakmcaabaaa
aaaaaaaafgajbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
aoaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpdiaaaaaidcaabaaaabaaaaaaogakbaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadiaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaaagiacaaa
aaaaaaaabeaaaaaadcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
adaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaadcaaaaaodcaabaaaacaaaaaa
agiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaa
acaaaaaaalaaaaafmcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaa
acaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaogakbaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaaeaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaacaaaaaa
bacaaaaiecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
acaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaa
egacbaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
aaaaaaaabhaaaaaadcaaaaajncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaa
acaaaaaaagajbaaaabaaaaaadeaaaaajbcaabaaaabaaaaaaakaabaiaibaaaaaa
adaaaaaabkaabaiaibaaaaaaadaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaddaaaaajccaabaaa
abaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahccaabaaa
abaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajecaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaochgdidodcaaaaaj
ecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaebnkjlo
dcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
diphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapmjdpdbaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaia
ibaaaaaaadaaaaaaabaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaaagacbaaaadaaaaaaagacbaia
ebaaaaaaadaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
nlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaadbaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadeaaaaah
icaabaaaabaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahccaabaaa
abaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaadhaaaaakbcaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
bcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadp
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdodgaaaaag
bcaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaalaaaaafbcaabaaaadaaaaaa
akaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
icaabaaaabaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaadagojjlmabeaaaaa
chbgjidndcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaa
adaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaadaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaacaaaaaa
ckaabaiambaaaaaaadaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaa
ckaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
acaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapejeaabaaaaahecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaa
acaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaa
ckaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaabaaaaaaabeaaaaa
idpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaa
abaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaa
eghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
aaaaaaaihcaabaaaabaaaaaaigadbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaajbcaabaaaacaaaaaadkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaa
bfaaaaaaddaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajncaabaaaaaaaaaaaagaabaaaacaaaaaaagajbaaaabaaaaaaagaobaaa
aaaaaaaadiaaaaaincaabaaaaaaaaaaaagaobaaaaaaaaaaaagijcaaaaaaaaaaa
apaaaaaadiaaaaaihcaabaaaabaaaaaaigadbaaaaaaaaaaaegiccaaaaaaaaaaa
afaaaaaadcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaiaebaaaaaa
abaaaaaadkaabaaaabaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaaiaaaaaa
egbcbaaaaiaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaabaaaaaaj
ccaabaaaacaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
eeaaaaafccaabaaaacaaaaaabkaabaaaacaaaaaadiaaaaaiocaabaaaacaaaaaa
fgafbaaaacaaaaaaagijcaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaa
egbcbaaaaiaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaabaaaaaahbcaabaaa
acaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaafbcaabaaaacaaaaaa
akaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaaagaabaaaacaaaaaaegacbaaa
adaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaaeaaaaaa
agaabaaaacaaaaaaegbcbaaaafaaaaaabacaaaahbcaabaaaacaaaaaaegacbaaa
adaaaaaaegacbaaaaeaaaaaabaaaaaahccaabaaaacaaaaaaegacbaaaaeaaaaaa
jgahbaaaacaaaaaacpaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaakaabaaaacaaaaaadiaaaaajncaabaaaacaaaaaaagijcaaaaaaaaaaa
afaaaaaaagijcaaaaaaaaaaabbaaaaaadiaaaaahncaabaaaacaaaaaafgafbaaa
aaaaaaaaagaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgafbaaaacaaaaaaigadbaaaacaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaadkiacaaaabaaaaaaabaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaomfbhidpaaaaaaak
hcaabaaaacaaaaaaegbcbaaaaeaaaaaaaceaaaaaaaaaaadmaaaaaadmaaaaaadm
aaaaaaaaefaaaaajpcaabaaaacaaaaaaegacbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaaaaaaaaabbaaaaakbcaabaaaacaaaaaaegaobaaaacaaaaaaaceaaaaa
aaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakhcaabaaaadaaaaaaegbcbaaa
aeaaaaaaaceaaaaaaaaaaalmaaaaaalmaaaaaadmaaaaaaaaefaaaaajpcaabaaa
adaaaaaaegacbaaaadaaaaaaeghobaaaaeaaaaaaaagabaaaaaaaaaaabbaaaaak
ccaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdh
impinfdbaaaaaaakhcaabaaaadaaaaaaegbcbaaaaeaaaaaaaceaaaaaaaaaaalm
aaaaaadmaaaaaalmaaaaaaaaefaaaaajpcaabaaaadaaaaaaegacbaaaadaaaaaa
eghobaaaaeaaaaaaaagabaaaaaaaaaaabbaaaaakecaabaaaacaaaaaaegaobaaa
adaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakhcaabaaa
adaaaaaaegbcbaaaaeaaaaaaaceaaaaaaaaaaadmaaaaaalmaaaaaalmaaaaaaaa
efaaaaajpcaabaaaadaaaaaaegacbaaaadaaaaaaeghobaaaaeaaaaaaaagabaaa
aaaaaaaabbaaaaakicaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadp
ibiaiadlicabibdhimpinfdbdbaaaaahpcaabaaaacaaaaaaegaobaaaacaaaaaa
fgafbaaaaaaaaaaadhaaaaanpcaabaaaacaaaaaaegaobaaaacaaaaaaagiacaaa
acaaaaaabiaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbbaaaaak
ccaabaaaaaaaaaaaegaobaaaacaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiado
aaaaiadobaaaaaahbcaabaaaacaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
efaaaaajpcaabaaaacaaaaaaagaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaacaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiaeadiaaaaah
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegacbaaaabaaaaaabbaaaaajccaabaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaihcaabaaaacaaaaaafgafbaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
afaaaaaaegacbaaaacaaaaaaaaaaaaahbcaabaaaacaaaaaabkaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaialpdcaaaaajccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpaaaaaaaibcaabaaa
acaaaaaabkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaa
aaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaaaabaaaaaafgafbaaaaaaaaaaaigadbaiaebaaaaaa
aaaaaaaaaaaaaaakhcaabaaaacaaaaaaegbcbaaaagaaaaaaaceaaaaaaaaaeiec
aaaaeiecaaaaeiecaaaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaj
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaabgaaaaaa
dicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaknhkddmdcaaaaaj
hccabaaaaaaaaaaafgafbaaaaaaaaaaaegacbaaaabaaaaaaigadbaaaaaaaaaaa
dgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 197 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.00781250, -0.00781250, 0.97000003
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 0.25000000, 4.00000000, 10.00000000, 1.00976563
def c23, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
cmp r1.y, r1, c14.z, c14.w
add r2.w, -r2.z, c16.y
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
cmp r2.y, r1.z, r2.z, r2.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.y, r1.x, c16.z
mul r1.z, r1.w, c18
add r1.x, r1.z, c19.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r2, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r3.x, r1.w
add_pp r2.xyz, r2, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
dp3_pp r1.x, v7, v7
mul_pp r3.xyz, r3.x, v4
mul_pp r0.xyz, r0.x, c0
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v7, r0
dp3_pp r1.w, r1, r1
mul_pp r4.xyz, r2, c3
dp3_pp r3.w, r0, r3
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r1
dp3_pp_sat r1.w, r0, r3
rcp r3.x, r0.w
pow r0, r1.w, c5.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r2.w, r2.w
mul r1.w, r0.x, r0.y
add r0.xyz, v3, c20.yzzw
texld r0, r0, s4
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.zyzw
mul_pp r1.xyz, r4, r3.w
texld r0, r0, s4
dp4 r4.z, r0, c21
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r1.w, r1
add r1.xyz, v3, c20.zzyw
texld r1, r1, s4
dp4 r4.y, r1, c21
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c20.y
texld r0, r0, s4
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r4.x, r0, c21
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c20.w, r4
cmp r0, r0, c14.w, r1.x
dp4_pp r0.y, r0, c22.x
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3 r0.x, v2, v2
dp3_pp r1.w, v4, r1
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.y
add_pp r0.y, r1.w, c22.w
mul_pp r0.x, r0, c22.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r0.w, r0, c23.x
mul_pp_sat r0.y, -r1.w, c22.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r2.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 187 instructions, 5 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.w, v3, v3
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c3.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
mul_pp_sat r0.y, -r0, c14.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 132 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
"ps_3_0
; 141 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord8 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v2, v2
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v2
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v4, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.w, v2, r2
add_pp r2.x, r0.w, c15
mul r1.w, r0.x, c4
frc_pp r2.y, r2.x
mov_pp r0.xyz, c1
mul_pp r1.xyz, r3, r1.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r1.w, r1
add_pp_sat r2.x, r2, -r2.y
add_pp r1.x, r2, c15.y
mul_pp_sat r0.w, -r0, c14
mad_pp r0.w, r0, r1.x, c9.y
mul r0.xyz, r0, c14.z
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 288 used size, 20 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
// 129 instructions, 5 temp regs, 0 temp arrays:
// ALU 110 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
"ps_3_0
; 148 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.w, v3, v3
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c3.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
mov_pp r2.xyz, c1
add_pp_sat r0.z, r0, -r0.w
mul_pp r1.xyz, r3, r1.x
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r2.xyz, r2, r0.x, r1
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c13.w
add_pp r1.z, r0, c15.y
dp3 r0.x, v2, v2
texld r0.w, r1, s4
cmp r0.z, -v2, c9.x, c9.y
mul_pp r0.z, r0, r0.w
mul_pp_sat r0.y, -r0, c14.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.z, r0
mad_pp r0.w, r0.y, r1.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 139 instructions, 5 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 144 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_cube s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4 r0.w, c0, c0
rsq r2.x, r0.w
pow r0, r1.w, c3.x
mul r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s5
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 142 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s4
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
mul_pp r0.x, r0.w, c14.z
mad_pp r0.w, r0.y, r0.z, c9.y
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbajgcbjbdhnnefpghbgbdfdkdblmfinhabaaaaaafebcaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaaomaaaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaeaaaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcombaaaaaeaaaaaaadlaeaaaafjaaaaaeegiocaaaaaaaaaaabgaaaaaa
fjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaaddcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaai
dcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
cgbjbaaaafaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaafaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaafaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
bnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaia
ebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaa
aaaaaaaabeaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaa
agiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaa
aaaaaaaaalaaaaafdcaabaaaadaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaa
aaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaogakbaaaaaaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaa
bacaaaaiicaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
aaaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiicaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaiaebaaaaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaamhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahecaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaa
dkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
amaaaaafbcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
acaaaaaaabeaaaaakeanmjdpaaaaaaaibcaabaaaabaaaaaackaabaiambaaaaaa
acaaaaaaabeaaaaaaaaaiadpelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaaaaaaaaihcaabaaa
abaaaaaaegacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajicaabaaa
aaaaaaaadkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaaahaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaabaaaaaajbcaabaaaabaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaaabaaaaaaegiccaaaabaaaaaa
aaaaaaaadcaaaaajhcaabaaaacaaaaaaegbcbaaaahaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaaaaaaaaaegbcbaaaaeaaaaaa
bacaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaadaaaaaabaaaaaah
bcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaacpaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaadkiacaaaaaaaaaaabbaaaaaa
diaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaaagijcaaaaaaaaaaa
bbaaaaaadiaaaaahocaabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaajgahbaaa
abaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaaadaaaaaaeghobaaaadaaaaaa
aagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
bbaaaaajicaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadp
diaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaf
iccabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c10, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c11, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c12, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c13, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c14, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c15, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c16, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c10.y, c10
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c10.y, c10.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c10.x, c10
cmp r0.x, -r0, c10, c10.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c14.w, c14.w
mad r2.y, r0.x, c14.w, c14.w
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c14.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c14.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c14.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c14, c14.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c12, c12.z
mad r2.x, r3.y, r3, c12.w
mad r2.x, r2, r3, c13
mad r2.x, r2, r3, c13.y
mad r2.x, r2, r3, c13.z
mul r2.y, v1.w, c8.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c11.z
add_pp r0.xyz, r0, c15.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c13.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c11
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c10.y
mad r2.y, r2.x, c10.z, c10.w
mad r2.y, r2, r2.x, c11.x
mul_pp r0.xyz, r0, c15.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c10.x, c10
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11.z, r2.x
mad r0.w, r1.y, c11, r0
mul r1.y, r1.x, c14.x
mul r0.w, r0, c12.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c14.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.w, v4, v4
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c2
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c4.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c16.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, c5.w
mul_pp r1.xyz, r3, r1.x
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v3, s6
rcp r0.w, v3.w
mad r0.w, -v3.z, r0, r0.x
mov r1.w, c1.x
cmp r2.z, r0.w, c10.y, r1.w
rcp r0.x, v2.w
mad r2.xy, v2, r0.x, c14.w
dp3 r0.x, v2, v2
add_pp r0.z, r0, c16.y
mul_pp_sat r0.y, -r0, c15.w
texld r0.w, r2, s4
cmp r1.w, -v2.z, c10.x, c10.y
mul_pp r0.w, r1, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c10.y
mul_pp r0.x, r0, c15.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c10.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 152 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c10, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c11, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c12, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c13, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c14, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c15, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c16, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c10.y, c10
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c10.y, c10.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c10.x, c10
cmp r0.x, -r0, c10, c10.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c14.w, c14.w
mad r2.y, r0.x, c14.w, c14.w
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c14.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c14.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c14.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c14, c14.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c12, c12.z
mad r2.x, r3.y, r3, c12.w
mad r2.x, r2, r3, c13
mad r2.x, r2, r3, c13.y
mad r2.x, r2, r3, c13.z
mul r2.y, v1.w, c8.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c11.z
add_pp r0.xyz, r0, c15.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c13.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c11
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c10.y
mad r2.y, r2.x, c10.z, c10.w
mad r2.y, r2, r2.x, c11.x
mul_pp r0.xyz, r0, c15.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c10.x, c10
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11.z, r2.x
mad r0.w, r1.y, c11, r0
mul r1.y, r1.x, c14.x
mul r0.w, r0, c12.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c14.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.w, v4, v4
rsq_pp r1.w, r0.w
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r1.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c2
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c4.x
dp4 r2.x, c0, c0
rsq r0.y, r2.x
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c16.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, c5.w
mul_pp r1.xyz, r3, r1.x
mad r1.xyz, r2, r0.x, r1
mov r0.x, c1
add r1.w, c10.y, -r0.x
rcp r0.w, v2.w
texldp r0.x, v3, s6
mad r2.z, r0.x, r1.w, c1.x
mad r2.xy, v2, r0.w, c14.w
dp3 r0.x, v2, v2
add_pp r0.z, r0, c16.y
mul_pp_sat r0.y, -r0, c15.w
texld r0.w, r2, s4
cmp r1.w, -v2.z, c10.x, c10.y
mul_pp r0.w, r1, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c10.y
mul_pp r0.x, r0, c15.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c10.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 142 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v3, v3
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v5, v5
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
mul_pp_sat r0.y, -r0, c14.w
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v2, s4
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 132 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedlpepfkbenejihokmnfcmbholajddiiheabaaaaaahabcaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapalaaaaomaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaaiaaaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcaibbaaaaeaaaaaaaecaeaaaafjaaaaaeegiocaaaaaaaaaaabgaaaaaa
fjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadlcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaai
dcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
cgbjbaaaafaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaafaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaafaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
bnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaia
ebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaa
aaaaaaaabeaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaa
agiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaa
aaaaaaaaalaaaaafdcaabaaaadaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaa
aaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaogakbaaaaaaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaa
bacaaaaiicaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
aaaaaaaaaaaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiicaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaiaebaaaaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaamhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahecaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaaakaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaa
dkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
amaaaaafbcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
acaaaaaaabeaaaaakeanmjdpaaaaaaaibcaabaaaabaaaaaackaabaiambaaaaaa
acaaaaaaabeaaaaaaaaaiadpelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaaaaaaaaihcaabaaa
abaaaaaaegacbaiaebaaaaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajicaabaaa
aaaaaaaadkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaaahaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaabaaaaaajbcaabaaaabaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaaabaaaaaaegiccaaaabaaaaaa
aaaaaaaadcaaaaajhcaabaaaacaaaaaaegbcbaaaahaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaaaaaaaaaegbcbaaaaeaaaaaa
bacaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaadaaaaaabaaaaaah
bcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaacpaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaadkiacaaaaaaaaaaabbaaaaaa
diaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaaagijcaaaaaaaaaaa
bbaaaaaadiaaaaahocaabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaajgahbaaa
abaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaadaaaaaapgbpbaaaadaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c9, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c10, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c11, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c12, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c13, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c14, -0.50000000, 0.75000000, 4.00000000, 10.00000000
def c15, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c9.y, c9
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c9.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c9.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c13.w, c13.w
mad r2.y, r0.x, c13.w, c13.w
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c13.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c13.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c13.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c13, c13.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c11, c11.z
mad r2.x, r3.y, r3, c11.w
mad r2.x, r2, r3, c12
mad r2.x, r2, r3, c12.y
mad r2.x, r2, r3, c12.z
mul r2.y, v1.w, c7.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c10.z
add_pp r0.xyz, r0, c14.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c12.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c10
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c9.y
mad r2.y, r2.x, c9.z, c9.w
mad r2.y, r2, r2.x, c10.x
mul_pp r0.xyz, r0, c14.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c9.x, c9
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c10.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c10.z, r2.x
mad r0.w, r1.y, c10, r0
mul r1.y, r1.x, c13.x
mul r0.w, r0, c11.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c13.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.y, v4, v4
rsq_pp r0.w, r0.y
dp3_pp r0.x, c0, c0
mul_pp r2.xyz, r0.w, v4
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r1, c1
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r1.x, r1, r2
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
dp4_pp r0.w, c0, c0
rsq_pp r2.x, r0.w
pow r0, r1.w, c3.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v4, r2
add_pp r0.z, r0.y, c15.x
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c1
mul r0.x, r0, c4.w
add_pp r0.z, r0, c15.y
texld r0.w, v2, s5
mul_pp_sat r0.y, -r0, c14.w
mul_pp r1.xyz, r3, r1.x
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v3, s4
mul r0.x, r0.w, r0
mad_pp r0.w, r0.y, r0.z, c9.y
mul_pp r0.x, r0, c14.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c9.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 153 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
mul_pp r3.xyz, r1, c4
dp3_pp r0.x, v6, v6
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r3, r0.y
mov_pp r0.xyz, c3
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r1
texld r0, v3, s4
dp4 r0.y, r0, c17
dp3 r1.w, v3, v3
rsq r0.x, r1.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.x, -r0, c16.z, r0.y
mul r2.xyz, r0.z, c0
dp3_pp r0.z, v4, r2
add_pp r0.w, r0.z, c18.y
mov r0.y, c2.x
cmp r0.y, r0.x, c11, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
frc_pp r1.w, r0
add_pp_sat r0.y, r0.w, -r1.w
add_pp r0.w, r0.y, c18.z
mul_pp_sat r0.y, -r0.z, c18.x
mad_pp r0.w, r0.y, r0, c11.y
mul_pp r0.x, r0, c16.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 141 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 153 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r1.w, r0.x, c6
mul_pp r1.xyz, c6, r1
texld r0, v3, s4
mad r1.xyz, r1, r1.w, r2
dp4 r1.w, r0, c17
dp3 r0.x, v3, v3
rsq r0.x, r0.x
rcp r0.w, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.y, v4, r0
mul r0.w, r0, c1
mad r0.w, -r0, c16.z, r1
add_pp r1.w, r0.y, c18.y
mov r0.x, c2
cmp r0.z, r0.w, c11.y, r0.x
dp3 r0.x, v2, v2
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.z
frc_pp r2.x, r1.w
add_pp_sat r0.z, r1.w, -r2.x
add_pp r0.z, r0, c18
mul_pp_sat r0.y, -r0, c18.x
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c16.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 143 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 161 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c19, -0.50000000, 0.75000000, 0.25000000, 4.00000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c14.y, c14
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c14.y, c14.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.x, c14
cmp r0.x, -r0, c14, c14.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c18.w, c18.w
mad r2.y, r0.x, c18.w, c18.w
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c18.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c18.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c18.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c18, c18.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c16, c16.z
mad r2.x, r3.y, r3, c16.w
mad r2.x, r2, r3, c17
mad r2.x, r2, r3, c17.y
mad r2.x, r2, r3, c17.z
mul r2.y, v1.w, c12.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c15.z
add_pp r0.xyz, r0, c19.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c17.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c15
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c14.y
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mul_pp r0.xyz, r0, c19.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c14.x, c14
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c15.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c15.z, r2.x
mad r0.w, r1.y, c15, r0
mul r1.y, r1.x, c18.x
mul r0.w, r0, c16.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c18.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c7
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c8.x
rcp r1.w, v3.w
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c6
mul_pp r2.xyz, r3, r0.y
mul r0.w, r0.x, c9
mov_pp r0.xyz, c6
mul_pp r1.xyz, c9, r0
mad r1.xyz, r1, r0.w, r2
mad r0.xy, v3, r1.w, c5
texld r0.x, r0, s6
mad r2.xy, v3, r1.w, c4
mov r0.w, r0.x
texld r0.x, r2, s6
mad r2.xy, v3, r1.w, c3
mov r0.z, r0.x
texld r0.x, r2, s6
mad r2.xy, v3, r1.w, c2
mov r0.y, r0.x
texld r0.x, r2, s6
mad r0, -v3.z, r1.w, r0
mov r1.w, c1.x
dp4 r2.x, c0, c0
rsq r2.x, r2.x
cmp r0, r0, c14.y, r1.w
mul r2.xyz, r2.x, c0
dp3_pp r1.w, v4, r2
dp4_pp r2.z, r0, c19.z
add_pp r0.y, r1.w, c20
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c20
rcp r0.x, v2.w
mad r2.xy, v2, r0.x, c18.w
texld r0.w, r2, s4
dp3 r0.x, v2, v2
cmp r2.x, -v2.z, c14, c14.y
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp_sat r0.y, -r1.w, c20.x
mul_pp r0.x, r0, r2.z
mad_pp r0.w, r0.y, r0.z, c14.y
mul_pp r0.x, r0, c19.w
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 155 instructions, 5 temp regs, 0 temp arrays:
// ALU 125 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c19, -0.50000000, 0.75000000, 0.25000000, 4.00000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c14.y, c14
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c14.y, c14.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.x, c14
cmp r0.x, -r0, c14, c14.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c18.w, c18.w
mad r2.y, r0.x, c18.w, c18.w
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c18.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c18.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c18.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c18, c18.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c16, c16.z
mad r2.x, r3.y, r3, c16.w
mad r2.x, r2, r3, c17
mad r2.x, r2, r3, c17.y
mad r2.x, r2, r3, c17.z
mul r2.y, v1.w, c12.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c15.z
add_pp r0.xyz, r0, c19.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c17.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c15
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c14.y
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mul_pp r0.xyz, r0, c19.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c14.x, c14
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c15.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c15.z, r2.x
mad r0.w, r1.y, c15, r0
mul r1.y, r1.x, c18.x
mul r0.w, r0, c16.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c18.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
mul_pp r3.xyz, r1, c7
dp3_pp r0.x, v6, v6
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c8.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c6
mov r0.w, r0.x
mul_pp r1.xyz, r3, r0.y
mov_pp r0.xyz, c6
rcp r1.w, v3.w
mul r0.w, r0, c9
mul_pp r0.xyz, c9, r0
mad r2.xyz, r0, r0.w, r1
mad r0.xyz, v3, r1.w, c5
mad r1.xyz, v3, r1.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
texld r0.x, r0, s6
mul r3.xyz, r0.w, c0
mov_pp r0.w, r0.x
mad r0.xyz, v3, r1.w, c4
texld r0.x, r0, s6
texld r1.x, r1, s6
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v3, r1.w, c2
mov r0.x, c1
add r1.w, c14.y, -r0.x
texld r0.x, r1, s6
mad r0, r0, r1.w, c1.x
dp4_pp r1.w, r0, c19.z
dp3_pp r1.z, v4, r3
add_pp r0.y, r1.z, c20
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c20
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c18.w
texld r0.w, r1, s4
dp3 r0.x, v2, v2
cmp r1.x, -v2.z, c14, c14.y
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s5
mul_pp r0.x, r0.w, r0
mul_pp_sat r0.y, -r1.z, c20.x
mul_pp r0.x, r0, r1.w
mad_pp r0.w, r0.y, r0.z, c14.y
mul_pp r0.x, r0, c19.w
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 416 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 152 instructions, 5 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 160 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.y, v1.w, c9.x
mul r2.x, r2, r2.w
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r1.w, r0.x, c6
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r0.xyz, v3, c16.zwww
texld r0, r0, s4
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s4
dp4 r3.z, r0, c17
add r1.xyz, v3, c16.wwzw
texld r1, r1, s4
dp4 r3.y, r1, c17
add r0.xyz, v3, c16.z
texld r0, r0, s4
dp3 r1.x, v3, v3
rsq r1.x, r1.x
dp4 r3.x, r0, c17
rcp r0.x, r1.x
dp4 r1.x, c0, c0
mul r0.x, r0, c1.w
rsq r1.x, r1.x
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v4, r1
mad r0, -r0.x, c18.x, r3
mov r1.w, c2.x
cmp r0, r0, c11.y, r1.w
dp4_pp r0.y, r0, c18.y
add_pp r0.z, r1.x, c19.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
frc_pp r0.w, r0.z
add_pp_sat r0.y, r0.z, -r0.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r1.x, c18.w
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c18.z
mul r0.xyz, r2, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 152 instructions, 5 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 161 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c11, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, -0.94999999, 32.00000000, 0.50000000
def c16, -0.50000000, 0.75000000, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyw, r1.yzzx
max r0.z, r0.w, r0.y
add r0.y, r0, -r0.w
add r1.w, r1.z, -r1.x
cmp r3.x, r0.y, c11.y, c11
mad r0.y, r3.x, r1.w, r1.x
add r0.x, -r0, r0.z
cmp r1.w, r0.x, c11.y, c11.x
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c11.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c11.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
abs r1.w, r1.z
mad r2.x, r0.y, c15.w, c15.w
mad r2.y, r0.x, c15.w, c15.w
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c15.w, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c15.w, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
dp3_sat r3.y, -r1, v1
max r2.w, r0, r1
rcp r3.x, r2.w
min r2.w, r0, r1
mul r2.w, r2, r3.x
add r3.z, r3.y, c15.y
mul r3.x, r2.w, r2.w
add_pp r0.xyz, r0, -r2
mad_sat r3.z, r3, c15, c15.w
mad_pp r0.xyz, r3.z, r0, r2
mad r3.y, r3.x, c13, c13.z
mad r2.x, r3.y, r3, c13.w
mad r2.x, r2, r3, c14
mad r2.x, r2, r3, c14.y
mad r2.x, r2, r3, c14.z
mul r2.x, r2, r2.w
mul r2.y, v1.w, c9.x
add r0.w, r0, -r1
mul_sat r2.y, r2, c12.z
add_pp r0.xyz, r0, c16.x
mad_pp r0.xyz, r2.y, -r0, r0
add r2.y, -r2.x, c14.w
cmp r0.w, -r0, r2.x, r2.y
abs r2.x, r1.y
add r1.w, -r0, c12
cmp r1.z, r1, r0.w, r1.w
add r2.z, -r2.x, c11.y
mad r2.y, r2.x, c11.z, c11.w
mad r2.y, r2, r2.x, c12.x
mul_pp r0.xyz, r0, c16.y
rsq r2.z, r2.z
add r0.xyz, v0, r0
cmp r1.x, r1, r1.z, -r1.z
cmp r1.y, r1, c11.x, c11
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c12.y
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c12.z, r2.x
mad r0.w, r1.y, c12, r0
mul r1.y, r1.x, c15.x
mul r0.w, r0, c13.x
mov r2.y, r0.w
abs r2.x, r1.y
dsx r1.zw, r2.xyxy
add r1.x, r1.y, c15.w
mov r1.y, r0.w
dsy r2.xy, r2
texldd r1.xyz, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r3.xyz, r1.x, r2, r0
dp3_pp r0.w, c0, c0
rsq_pp r0.y, r0.w
dp3_pp r0.x, v6, v6
dp3_pp r1.w, v4, v4
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r1
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r1.w, v4
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r1.w, r0, r2
pow r0, r1.w, c5.x
dp3_pp r0.y, r1, r2
mov_pp r1.xyz, c3
mul_pp r2.xyz, r3, r0.y
mul r0.w, r0.x, c6
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r2
add r0.xyz, v3, c16.zwww
texld r0, r0, s4
add r2.xyz, v3, c16.wzww
dp4 r3.w, r0, c17
texld r0, r2, s4
add r2.xyz, v3, c16.wwzw
dp4 r3.z, r0, c17
texld r0, r2, s4
add r2.xyz, v3, c16.z
dp4 r3.y, r0, c17
texld r0, r2, s4
dp4 r3.x, r0, c17
dp3 r1.w, v3, v3
rsq r0.x, r1.w
dp4 r0.y, c0, c0
rsq r1.w, r0.y
mul r2.xyz, r1.w, c0
dp3_pp r1.w, v4, r2
rcp r0.x, r0.x
mul r0.x, r0, c1.w
add_pp r2.x, r1.w, c19
mad r0, -r0.x, c18.x, r3
mov r2.w, c2.x
cmp r0, r0, c11.y, r2.w
dp4_pp r0.y, r0, c18.y
dp3 r0.x, v2, v2
frc_pp r0.z, r2.x
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.y
add_pp_sat r0.y, r2.x, -r0.z
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r1.w, c18.w
mad_pp r0.w, r0.y, r0.z, c11.y
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 352 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 154 instructions, 5 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
mul r0.w, r0.x, r0.y
dp4 r1.x, c0, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
rsq r2.w, r1.x
mad r1.xyz, r0, r0.w, r2
mul r2.xyz, r2.w, c0
dp3_pp r0.w, v3, r2
add_pp r0.y, r0.w, c18.w
frc_pp r0.z, r0.y
add_pp_sat r2.x, r0.y, -r0.z
dp3 r0.x, v2, v2
texld r0.x, r0.x, s4
mul_pp r0.x, r0, c18.y
mul r1.xyz, r1, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 165 instructions, 5 temp regs, 0 temp arrays:
// ALU 144 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord7 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v3, v3
rsq r0.w, r0.x
mul r1.xyz, r0.w, v3
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
rcp r0.w, r0.w
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v5
dp3 r0.x, v4, r0
abs r1.w, r1.z
dp3 r2.w, v4, v4
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r0.xyz, r1.x, r2, r0
mul_pp r3.xyz, r0, c2
dp3_pp r0.x, v2, v2
rsq_pp r0.y, r0.x
mul_pp r2.xyz, r0.y, v2
dp3_pp r0.x, c0, c0
rsq_pp r0.y, r0.x
dp3_pp r0.x, v5, v5
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v5, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
dp3_pp r1.x, r1, r2
mul_pp r0.xyz, r2.w, r0
mul_pp r4.xyz, r3, c1
dp3_pp_sat r2.x, r0, r2
add_sat r0.w, r0, -c9.x
mad_pp r2.y, r0.w, -r1.w, r1.w
pow r0, r2.x, c3.x
dp4_pp r0.y, c0, c0
mov r0.w, r0.x
rsq_pp r0.y, r0.y
mul r2.y, r0.w, r2
mul_pp r0.xyz, r0.y, c0
dp3_pp r0.w, v2, r0
mov_pp r0.xyz, c1
mul_pp r1.xyz, r4, r1.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.y, r1
add_pp r2.x, r0.w, c18.w
mul r1.xyz, r0, c18.y
add r0.xyz, v3, c12.x
dp3 r0.x, r0, r0
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 320 used size, 20 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 288 [_OceanRadius]
Float 292 [_OceanDepthFactor]
Vector 304 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
// 162 instructions, 5 temp regs, 0 temp arrays:
// ALU 142 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
dp3_pp r2.w, v3, v3
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v3
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v6, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c3.x
add_sat r0.y, r3.x, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.w, c0, c0
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
rsq r2.w, r2.w
mul r0.xyz, r2.w, c0
dp3_pp r2.w, v3, r0
rcp r0.w, v2.w
mad r3.xy, v2, r0.w, c17.z
dp3 r0.x, v2, v2
texld r0.w, r3, s4
cmp r0.y, -v2.z, c12.z, c12.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
add_pp r0.y, r2.w, c18.w
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 172 instructions, 5 temp regs, 0 temp arrays:
// ALU 149 float, 1 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 180 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_cube s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4 r0.z, c0, c0
rsq r1.x, r0.z
mul r0.w, r0.x, r0.y
mul r1.xyz, r1.x, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
dp3_pp r2.w, v3, r1
add_pp r0.y, r2.w, c18.w
dp3 r0.x, v2, v2
texld r0.w, v2, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r2, r0.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 167 instructions, 5 temp regs, 0 temp arrays:
// ALU 145 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r2.xyz, r4, r2.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r2
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v3, r1
add_pp r2.y, r2.x, c18.w
texld r0.w, v2, s4
mul_pp r0.w, r0, c18.y
mul r1.xyz, r0, r0.w
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
frc_pp r2.z, r2.y
add_pp_sat r0.w, r2.y, -r2.z
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.x, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 164 instructions, 5 temp regs, 0 temp arrays:
// ALU 143 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 189 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c14, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c15, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c16, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c17, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c20, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c13.w, c13.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c13, c13.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c13.z, c13.w
cmp r0.x, -r0, c13.z, c13.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c13.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c13.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c18.x
mad r2.x, r0.y, c18.z, c18.z
mad r2.y, r0.x, c18.z, c18.z
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c18.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c18.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c18.y, c18.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c8.x
mul_sat r1.w, r1, c15.x
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c19.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c10.x, c10.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c16.x, c16.y
mad r3.w, r3, r2, c15
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c12
mad r3.w, r3, r2, c16.z
cmp r4.z, r0.x, c13.w, c13
add r0.y, -r0, c10.x
cmp r0.x, r0.y, c13.w, c13.z
mad r0.y, r3.w, r2.w, c16.w
mad r0.y, r0, r2.w, c17.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c13
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c11.x
mul r0.x, r0.y, c11
mad r0.x, r0, c17.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c17.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c13.w
mad r2.x, r1.w, c14, c14.y
mad r2.x, r2, r1.w, c14.z
rsq r2.y, r2.y
add r2.w, -r2.z, c15.y
cmp r1.y, r1, c13.z, c13.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c14
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c15.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c15.y, r1.z
mul r1.z, r1.w, c17
mul r1.y, r1.x, c15.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c18.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c9, c9
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c4.x
add_sat r0.y, r3.x, -c10.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r1, c2
mov_pp r3.xyz, c2
mul r0.w, r0.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.w, v4, r0
mul_pp r3.xyz, c5, r3
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r3, r0.w, r2
texldp r0.x, v3, s6
rcp r0.y, v3.w
mad r0.y, -v3.z, r0, r0.x
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c18.z
mov r0.z, c1.x
cmp r0.z, r0.y, c13.w, r0
dp3 r0.x, v2, v2
texld r0.w, r3, s4
cmp r0.y, -v2.z, c13.z, c13.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r0.z
add_pp r0.y, r2.w, c19.w
mul_pp r0.x, r0, c19.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c13.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c10
add_pp r0.w, r0, c20.x
mul_pp_sat r0.y, -r2.w, c19.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c13.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c13.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c13
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 177 instructions, 5 temp regs, 0 temp arrays:
// ALU 152 float, 1 int, 8 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 188 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c14, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c15, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c16, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c17, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c20, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c13.w, c13.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c13, c13.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c13.z, c13.w
cmp r0.x, -r0, c13.z, c13.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c13.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c13.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c18.x
mad r2.x, r0.y, c18.z, c18.z
mad r2.y, r0.x, c18.z, c18.z
mul r0.xy, r2, c6.x
mov r0.z, c6.x
mad r3.xy, c18.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c7.x
mov r0.z, c7.x
mad r2.zw, c18.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c18.y, c18.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c8.x
mul_sat r1.w, r1, c15.x
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c19.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c10.x, c10.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c16.x, c16.y
mad r3.w, r3, r2, c15
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c12
mad r3.w, r3, r2, c16.z
cmp r4.z, r0.x, c13.w, c13
add r0.y, -r0, c10.x
cmp r0.x, r0.y, c13.w, c13.z
mad r0.y, r3.w, r2.w, c16.w
mad r0.y, r0, r2.w, c17.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c13
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c11.x
mul r0.x, r0.y, c11
mad r0.x, r0, c17.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c17.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c13.w
mad r2.x, r1.w, c14, c14.y
mad r2.x, r2, r1.w, c14.z
rsq r2.y, r2.y
add r2.w, -r2.z, c15.y
cmp r1.y, r1, c13.z, c13.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c14
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c15.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c15.y, r1.z
mul r1.z, r1.w, c17
mul r1.y, r1.x, c15.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c18.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c9, c9
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c3
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c4.x
add_sat r0.y, r3.x, -c10.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r1, c2
mov_pp r3.xyz, c2
mul r0.w, r0.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.w, v4, r0
mov r0.x, c1
add r0.z, c13.w, -r0.x
texldp r0.x, v3, s6
mad r0.z, r0.x, r0, c1.x
dp3 r0.x, v2, v2
mul_pp r3.xyz, c5, r3
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r3, r0.w, r2
rcp r0.y, v2.w
mad r3.xy, v2, r0.y, c18.z
texld r0.w, r3, s4
cmp r0.y, -v2.z, c13.z, c13.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r0.z
add_pp r0.y, r2.w, c19.w
mul_pp r0.x, r0, c19.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c13.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c10
add_pp r0.w, r0, c20.x
mul_pp_sat r0.y, -r2.w, c19.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c13.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c13.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c13
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 177 instructions, 5 temp regs, 0 temp arrays:
// ALU 153 float, 1 int, 8 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r0.w, r0.x
mul r1.xyz, r0.w, v4
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v6
dp3 r0.x, v5, r0
abs r1.w, r1.z
dp3 r2.w, v5, v5
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v6, v6
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v6, r2
dp3_pp r0.y, v3, v3
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v3
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r2.xyz, r4, r2.x
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r2
mul_pp r1.xyz, r1.x, c0
dp3_pp r0.w, v3, r1
add_pp r2.x, r0.w, c18.w
texldp r1.x, v2, s4
mul_pp r1.x, r1, c18.y
mul r1.xyz, r0, r1.x
add r0.xyz, v4, c12.x
dp3 r0.x, r0, r0
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r2.x, r2, c19
mul_pp_sat r0.y, -r0.w, c18.z
mul_pp r0.y, r0, r2.x
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 165 instructions, 5 temp regs, 0 temp arrays:
// ALU 144 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 179 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
def c12, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c13, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c14, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c15, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c16, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c17, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c18, 0.75000000, 4.00000000, 10.00000000, 1.00976563
def c19, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c12.w, c12.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c12, c12.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c12.z, c12.w
cmp r0.x, -r0, c12.z, c12.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c12.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c12.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c17.x
mad r2.x, r0.y, c17.z, c17.z
mad r2.y, r0.x, c17.z, c17.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r3.xy, c17.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c6.x
mov r0.z, c6.x
mad r2.zw, c17.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c17.y, c17.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c7.x
mul_sat r1.w, r1, c14.x
add_pp r0.xyz, r0, c17.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c18.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c9.x, c9.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c15.x, c15.y
mad r3.w, r3, r2, c14
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c11
mad r3.w, r3, r2, c15.z
cmp r4.z, r0.x, c12.w, c12
add r0.y, -r0, c9.x
cmp r0.x, r0.y, c12.w, c12.z
mad r0.y, r3.w, r2.w, c15.w
mad r0.y, r0, r2.w, c16.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c12
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c10.x
mul r0.x, r0.y, c10
mad r0.x, r0, c16.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c16.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c12.w
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c13.z
rsq r2.y, r2.y
add r2.w, -r2.z, c14.y
cmp r1.y, r1, c12.z, c12.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c14.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14.y, r1.z
mul r1.z, r1.w, c16
mul r1.y, r1.x, c14.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c8, c8
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c2
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v7, r2
dp3_pp r0.y, v4, v4
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c3.x
add_sat r0.y, r1, -c9.x
mad_pp r0.y, r0, -r1.w, r1.w
dp4_pp r0.z, c0, c0
rsq_pp r1.x, r0.z
mul r0.w, r0.x, r0.y
mul_pp r1.xyz, r1.x, c0
mul_pp r4.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
dp3_pp r2.w, v4, r1
add_pp r0.y, r2.w, c18.w
texld r0.w, v2, s5
texldp r0.x, v3, s4
mul r0.x, r0.w, r0
mul_pp r0.x, r0, c18.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r2, r0.x
add r0.xyz, v5, c12.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c9
add_pp r0.w, r0, c19.x
mul_pp_sat r0.y, -r2.w, c18.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c12.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c12.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c12
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 167 instructions, 5 temp regs, 0 temp arrays:
// ALU 145 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 189 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.97000003, 4.00000000, 10.00000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
add r2.w, -r2.z, c16.y
cmp r1.y, r1, c14.z, c14.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.z, r1.w, c18
mul r1.y, r1.x, c16.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c19.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c5.x
add_sat r0.y, r3.x, -c11.x
mul_pp r4.xyz, r1, c3
mov r2.w, r0.x
mad_pp r0.w, r0.y, -r1, r1
mul r0.w, r2, r0
mov_pp r0.xyz, c3
dp3 r2.w, v3, v3
rsq r2.w, r2.w
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r4, r2.x
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s4
dp4 r0.y, r0, c21
rcp r2.w, r2.w
mul r0.x, r2.w, c1.w
mad r0.x, -r0, c20.y, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mov r0.y, c2.x
cmp r0.y, r0.x, c14.w, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
dp3_pp r0.w, v4, r3
add_pp r0.y, r0.w, c22.x
mul_pp r0.x, r0, c20.z
frc_pp r0.z, r0.y
add_pp_sat r2.w, r0.y, -r0.z
mul r2.xyz, r2, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r2.w, r2, c22.y
mul_pp_sat r0.y, -r0.w, c20.w
mul_pp r0.y, r0, r2.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 174 instructions, 5 temp regs, 0 temp arrays:
// ALU 151 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 190 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.97000003, 4.00000000, 10.00000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
add r2.w, -r2.z, c16.y
cmp r1.y, r1, c14.z, c14.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.z, r1.w, c18
mul r1.y, r1.x, c16.z
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c19.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r3.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r1.xyz, r0.x, v7, r2
dp3_pp r0.y, v4, v4
dp3_pp r2.w, r1, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r1, r0
dp3_pp r2.x, r2, r0
rcp r1.y, r0.w
pow r0, r1.x, c5.x
add_sat r0.y, r1, -c11.x
mul_pp r4.xyz, r3, c3
mul_pp r2.xyz, r4, r2.x
mov r1.x, r0
mad_pp r0.w, r0.y, -r1, r1
mov_pp r0.xyz, c3
mul r0.w, r1.x, r0
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r2
texld r0, v3, s4
dp4 r0.y, r0, c21
dp3 r2.x, v3, v3
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c20.y, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c14.w, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v4, r0
add_pp r0.y, r2.x, c22.x
dp3 r0.x, v2, v2
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r0.x, r0, r2.y
mul_pp r0.x, r0, c20.z
mul r1.xyz, r1, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r0.w, r0, c22.y
mul_pp_sat r0.y, -r2.x, c20.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r3
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r3
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 176 instructions, 5 temp regs, 0 temp arrays:
// ALU 152 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 198 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c17, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c18, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c19, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c20, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c21, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c22, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c23, 0.75000000, 0.25000000, 4.00000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c17.w, c17.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c17, c17.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c17.z, c17.w
cmp r0.x, -r0, c17.z, c17.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c17.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c17.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c17.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c22.x
mad r2.x, r0.y, c22.z, c22.z
mad r2.y, r0.x, c22.z, c22.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c22.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c22.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c22.y, c22.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c12.x
mul_sat r1.w, r1, c19.x
add_pp r0.xyz, r0, c22.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c23.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c14.x, c14.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c20.x, c20.y
mad r3.w, r3, r2, c19
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c16
mad r3.w, r3, r2, c20.z
cmp r4.z, r0.x, c17.w, c17
add r0.y, -r0, c14.x
cmp r0.x, r0.y, c17.w, c17.z
mad r0.y, r3.w, r2.w, c20.w
mad r0.y, r0, r2.w, c21.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c17
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c15.x
mul r0.x, r0.y, c15
mad r0.x, r0, c21.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c21.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c17.w
mad r2.x, r1.w, c18, c18.y
mad r2.x, r2, r1.w, c18.z
rsq r2.y, r2.y
add r2.w, -r2.z, c19.y
cmp r1.y, r1, c17.z, c17.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c18
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c19.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c19.y, r1.z
mul r1.z, r1.w, c21
mul r1.y, r1.x, c19.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c22.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r1.xyz, r1, c7
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r2
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r2.x, r2, r3
rcp r3.x, r0.w
pow r0, r2.w, c8.x
add_sat r0.y, r3.x, -c14.x
mul_pp r4.xyz, r1, c6
mul_pp r2.xyz, r4, r2.x
mad_pp r0.w, r0.y, -r1, r1
mov r2.w, r0.x
mul r2.w, r2, r0
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r3.xyz, r0, r2.w, r2
rcp r0.w, v3.w
mad r0.xy, v3, r0.w, c5
mad r2.xy, v3, r0.w, c4
texld r0.x, r0, s6
mov r2.w, r0.x
texld r2.x, r2, s6
mov r2.z, r2.x
mad r2.xy, v3, r0.w, c2
mad r0.xy, v3, r0.w, c3
texld r2.x, r2, s6
texld r0.x, r0, s6
mov r2.y, r0.x
mad r0, -v3.z, r0.w, r2
mov r2.x, c1
cmp r0, r0, c17.w, r2.x
dp4_pp r2.z, r0, c23.y
dp4 r2.y, c0, c0
rsq r2.x, r2.y
mul r0.xyz, r2.x, c0
dp3_pp r2.w, v4, r0
rcp r0.w, v2.w
mad r2.xy, v2, r0.w, c22.z
dp3 r0.x, v2, v2
texld r0.w, r2, s4
cmp r0.y, -v2.z, c17.z, c17.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r2.z
add_pp r0.y, r2.w, c24.x
mul_pp r0.x, r0, c23.z
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r2.xyz, r3, r0.x
add r0.xyz, v5, c17.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c14
add_pp r0.w, r0, c24.y
mul_pp_sat r0.y, -r2.w, c23.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c17.w
mad_pp r2.xyz, r2, r0.y, -r1
mul_sat r0.x, r0, c17.y
mad_pp oC0.xyz, r0.x, r2, r1
mov_pp oC0.w, c17
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 188 instructions, 5 temp regs, 0 temp arrays:
// ALU 157 float, 1 int, 8 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_LightTexture0] 2D
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 197 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c17, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c18, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c19, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c20, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c21, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c22, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c23, 0.75000000, 0.25000000, 4.00000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c17.w, c17.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c17, c17.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c17.z, c17.w
cmp r0.x, -r0, c17.z, c17.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c17.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c17.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c17.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c22.x
mad r2.x, r0.y, c22.z, c22.z
mad r2.y, r0.x, c22.z, c22.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r3.xy, c22.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c11.x
mov r0.z, c11.x
mad r2.zw, c22.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c22.y, c22.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c12.x
mul_sat r1.w, r1, c19.x
add_pp r0.xyz, r0, c22.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c23.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c14.x, c14.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c20.x, c20.y
mad r3.w, r3, r2, c19
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c16
mad r3.w, r3, r2, c20.z
cmp r4.z, r0.x, c17.w, c17
add r0.y, -r0, c14.x
cmp r0.x, r0.y, c17.w, c17.z
mad r0.y, r3.w, r2.w, c20.w
mad r0.y, r0, r2.w, c21.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c17
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c15.x
mul r0.x, r0.y, c15
mad r0.x, r0, c21.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c21.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c17.w
mad r2.x, r1.w, c18, c18.y
mad r2.x, r2, r1.w, c18.z
rsq r2.y, r2.y
add r2.w, -r2.z, c19.y
cmp r1.y, r1, c17.z, c17.w
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c18
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c19.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c19.y, r1.z
mul r1.z, r1.w, c21
mul r1.y, r1.x, c19.z
dp3_pp r2.w, v4, v4
rsq_pp r3.x, r2.w
mul_pp r3.xyz, r3.x, v4
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c22.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
add_pp r2.xyz, r1, -r0
mul_sat r1.x, c13, c13
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c7
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.x, v7, v7
rsq_pp r0.x, r0.x
mad_pp r0.xyz, r0.x, v7, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r0.xyz, r2.w, r0
dp3_pp_sat r2.w, r0, r3
dp3_pp r1.x, r1, r3
rcp r3.x, r0.w
pow r0, r2.w, c8.x
add_sat r0.y, r3.x, -c14.x
mad_pp r0.y, r0, -r1.w, r1.w
mul_pp r4.xyz, r2, c6
mov_pp r3.xyz, c6
rcp r2.w, v3.w
mul r0.w, r0.x, r0.y
mad r0.xyz, v3, r2.w, c5
mul_pp r1.xyz, r4, r1.x
mul_pp r3.xyz, c9, r3
mad r3.xyz, r3, r0.w, r1
mad r1.xyz, v3, r2.w, c3
texld r0.x, r0, s6
mov_pp r0.w, r0.x
mad r0.xyz, v3, r2.w, c4
texld r0.x, r0, s6
texld r1.x, r1, s6
mov_pp r0.y, r1.x
mad r1.xyz, v3, r2.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s6
mov r2.w, c1.x
add r1.x, c17.w, -r2.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c23.y
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r2.w, v4, r0
rcp r0.w, v2.w
mad r1.xy, v2, r0.w, c22.z
dp3 r0.x, v2, v2
texld r0.w, r1, s4
cmp r0.y, -v2.z, c17.z, c17.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s5
mul_pp r0.x, r0.y, r0
mul_pp r0.x, r0, r1.z
add_pp r0.y, r2.w, c24.x
mul_pp r0.x, r0, c23.z
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c17.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c14
add_pp r0.w, r0, c24.y
mul_pp_sat r0.y, -r2.w, c23.w
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r1.w, -r0, r0
add_pp r0.y, r0, c17.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c17.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c17
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 448 used size, 22 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 185 instructions, 5 temp regs, 0 temp arrays:
// ALU 158 float, 1 int, 8 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTexture0] 2D
"ps_3_0
; 196 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.00781250, -0.00781250, 0.97000003
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 0.25000000, 4.00000000, 10.00000000, 1.00976563
def c23, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
cmp r1.y, r1, c14.z, c14.w
add r2.w, -r2.z, c16.y
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
cmp r2.y, r1.z, r2.z, r2.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.y, r1.x, c16.z
mul r1.z, r1.w, c18
add r1.x, r1.z, c19.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r2, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r3.x, r1.w
add_pp r2.xyz, r2, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
dp3_pp r1.x, v7, v7
mul_pp r3.xyz, r3.x, v4
mul_pp r0.xyz, r0.x, c0
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v7, r0
dp3_pp r1.w, r1, r1
mul_pp r4.xyz, r2, c3
dp3_pp r3.w, r0, r3
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r1
dp3_pp_sat r1.w, r0, r3
rcp r3.x, r0.w
pow r0, r1.w, c5.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r2.w, r2.w
mul r1.w, r0.x, r0.y
add r0.xyz, v3, c20.yzzw
texld r0, r0, s4
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.zyzw
mul_pp r1.xyz, r4, r3.w
texld r0, r0, s4
dp4 r4.z, r0, c21
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r1.w, r1
add r1.xyz, v3, c20.zzyw
texld r1, r1, s4
dp4 r4.y, r1, c21
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c20.y
texld r0, r0, s4
rcp r1.x, r1.x
dp4 r4.x, r0, c21
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c20.w, r4
cmp r0, r0, c14.w, r1.x
dp4_pp r0.y, r0, c22.x
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s5
mul r0.x, r0, r0.y
dp3_pp r0.w, v4, r1
add_pp r0.y, r0.w, c22.w
mul_pp r0.x, r0, c22.y
frc_pp r0.z, r0.y
add_pp_sat r1.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r1.w, r1, c23.x
mul_pp_sat r0.y, -r0.w, c22.z
mul_pp r0.y, r0, r1.w
mad_pp r0.y, r2.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 185 instructions, 5 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 4 [_ShadowMapTexture] CUBE
SetTexture 5 [_LightTextureB0] 2D
SetTexture 6 [_LightTexture0] CUBE
"ps_3_0
; 197 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s4
dcl_2d s5
dcl_cube s6
def c14, 50.00000000, 0.02000000, 0.00000000, 1.00000000
def c15, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c16, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c17, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c18, 0.99999559, 1.57079601, 0.15915494, 15.00000000
def c19, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c20, 0.75000000, 0.00781250, -0.00781250, 0.97000003
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 0.25000000, 4.00000000, 10.00000000, 1.00976563
def c23, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r0.w, r0.x
mul r1.xyz, r0.w, v5
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c14.w, c14.z
mad r0.y, r3.x, r0.z, r1.x
cmp r1.w, r0.x, c14, c14.z
add r0.y, -r1, r0
mad r0.x, r1.w, r0.y, r1.y
cmp r0.y, r0.x, c14.z, c14.w
cmp r0.x, -r0, c14.z, c14.w
add r2.w, r0.x, -r0.y
mov r0.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c14.w
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.w
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r2.w
mov r0.xy, c14.w
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
dp3_sat r1.w, -r1, v1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r1.w, r1, c19.x
mad r2.x, r0.y, c19.z, c19.z
mad r2.y, r0.x, c19.z, c19.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r3.xy, c19.z, -r0.z, r0
abs r3.xy, r3
dsy r3.zw, r3.xyxy
mul r2.xy, r2, c8.x
mov r0.z, c8.x
mad r2.zw, c19.z, -r0.z, r2.xyxy
dsx r3.xy, r3
texldd r0.xyz, r0, s1, r3, r3.zwzw
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r2.zw, r2
texldd r2.xyz, r2, s2, r3, r2.zwzw
add_pp r0.xyz, r0, -r2
mad_sat r1.w, r1, c19.y, c19.z
mad_pp r0.xyz, r1.w, r0, r2
mul r1.w, v1, c9.x
mul_sat r1.w, r1, c16.x
add_pp r0.xyz, r0, c19.w
mad_pp r0.xyz, r1.w, -r0, r0
mul_pp r0.xyz, r0, c20.x
add r2.xyz, v0, r0
mov r0.xyz, v7
dp3 r0.x, v6, r0
abs r1.w, r1.z
dp3 r2.w, v6, v6
mad r0.y, -r0.x, r0.x, r2.w
max r2.w, r4.x, r1
min r0.z, r4.x, r1.w
rcp r2.w, r2.w
mul r0.z, r0, r2.w
rsq r0.y, r0.y
rcp r0.y, r0.y
mul r3.w, r0.y, r0.y
mad r3.w, c11.x, c11.x, -r3
rsq r4.y, r3.w
mul r2.w, r0.z, r0.z
mad r3.w, r2, c17.x, c17.y
mad r3.w, r3, r2, c16
rcp r4.y, r4.y
add r4.y, r0.x, -r4
add_pp r3.xyz, -r2, c13
mad r3.w, r3, r2, c17.z
cmp r4.z, r0.x, c14.w, c14
add r0.y, -r0, c11.x
cmp r0.x, r0.y, c14.w, c14.z
mad r0.y, r3.w, r2.w, c17.w
mad r0.y, r0, r2.w, c18.x
mul r2.w, r0.y, r0.z
mul r0.x, r0, r4.z
add r4.y, r4, -v1.w
mul r0.x, r0, r4.y
add r3.w, -r0.x, c14
frc r4.y, r3.w
add_sat r0.y, r3.w, -r4
mul_sat r0.z, -r0.x, c12.x
mul r0.x, r0.y, c12
mad r0.x, r0, c18.w, r0.z
mad_pp r0.xyz, r0.x, r3, r2
add r2.x, -r2.w, c18.y
add r1.w, r4.x, -r1
cmp r2.z, -r1.w, r2.w, r2.x
abs r1.w, r1.y
add r2.y, -r1.w, c14.w
mad r2.x, r1.w, c15, c15.y
mad r2.x, r2, r1.w, c15.z
rsq r2.y, r2.y
cmp r1.y, r1, c14.z, c14.w
add r2.w, -r2.z, c16.y
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c15
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
cmp r2.y, r1.z, r2.z, r2.w
mad r1.z, -r2.x, c16.x, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c16.y, r1.z
mul r1.y, r1.x, c16.z
mul r1.z, r1.w, c18
add r1.x, r1.z, c19.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r2, r1, s0, r1.zwzw, r2
dp3_pp r1.w, v4, v4
rsq_pp r3.x, r1.w
add_pp r2.xyz, r2, -r0
mul_sat r1.x, c10, c10
mad_pp r1.xyz, r1.x, r2, r0
mul_pp r2.xyz, r1, c4
dp3_pp r0.x, c0, c0
rsq_pp r0.x, r0.x
dp3_pp r1.x, v7, v7
mul_pp r3.xyz, r3.x, v4
mul_pp r0.xyz, r0.x, c0
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v7, r0
dp3_pp r1.w, r1, r1
mul_pp r4.xyz, r2, c3
dp3_pp r3.w, r0, r3
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r1
dp3_pp_sat r1.w, r0, r3
rcp r3.x, r0.w
pow r0, r1.w, c5.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r2.w, r2.w
mul r1.w, r0.x, r0.y
add r0.xyz, v3, c20.yzzw
texld r0, r0, s4
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.zyzw
mul_pp r1.xyz, r4, r3.w
texld r0, r0, s4
dp4 r4.z, r0, c21
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r1.w, r1
add r1.xyz, v3, c20.zzyw
texld r1, r1, s4
dp4 r4.y, r1, c21
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c20.y
texld r0, r0, s4
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r4.x, r0, c21
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c20.w, r4
cmp r0, r0, c14.w, r1.x
dp4_pp r0.y, r0, c22.x
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3 r0.x, v2, v2
dp3_pp r1.w, v4, r1
texld r0.w, v2, s6
texld r0.x, r0.x, s5
mul r0.x, r0, r0.w
mul r0.x, r0, r0.y
add_pp r0.y, r1.w, c22.w
mul_pp r0.x, r0, c22.y
frc_pp r0.z, r0.y
add_pp_sat r0.w, r0.y, -r0.z
mul r1.xyz, r3, r0.x
add r0.xyz, v5, c14.x
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r0.x, r0.x
add r0.x, r0, -c11
add_pp r0.w, r0, c23.x
mul_pp_sat r0.y, -r1.w, c22.z
mul_pp r0.y, r0, r0.w
mad_pp r0.y, r2.w, -r0, r0
add_pp r0.y, r0, c14.w
mad_pp r1.xyz, r1, r0.y, -r2
mul_sat r0.x, r0, c14.y
mad_pp oC0.xyz, r0.x, r1, r2
mov_pp oC0.w, c14
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 384 used size, 21 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 187 instructions, 5 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 164 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r5.xy, r3, c9.x
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c10.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c7.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c14.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c10
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r2.x, r2.x
cmp r0.y, r0, c10, c10.x
mul_sat r2.z, r2, c11.w
add_pp r1.xyz, r1, c15.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c15.w
add r2.z, -r2.y, c12.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c11.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c11.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c12, r0.z
mul r0.y, r0.x, c12
mul r0.z, r0.w, c14.y
add r0.x, r0.z, c10.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c10.y, c10
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c8.x, c8.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r0.w, r0, r0.x
mul_pp r1.w, r0, r2
add_pp r2.xyz, r2, -r1
mad_pp r2.xyz, r1.w, r2, r1
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r2.w, v3, v3
mul_pp r2.xyz, r2, c2
mul_pp r2.xyz, r2, c1
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v5, v5
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v5, r3
dp3_pp r3.w, r0, r0
rsq_pp r3.w, r3.w
rsq_pp r2.w, r2.w
mul_pp r4.xyz, r3.w, r0
mul_pp r0.xyz, r2.w, v3
dp3_pp_sat r2.w, r0, r4
pow r1, r2.w, c3.x
dp3_pp r1.w, r0, r3
mov r2.w, r1.x
mul_pp r1.xyz, r1.w, r2
mov_pp r0.xyz, c1
dp4 r2.y, c0, c0
mul_pp r0.xyz, c4, r0
mul r2.x, r2.w, c4.w
mad r1.xyz, r0, r2.x, r1
rsq r2.y, r2.y
mul r2.xyz, r2.y, c0
dp3_pp r0.z, v3, r2
add_pp r2.x, r0.z, c16.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
mul_pp r0.y, r0.x, c14.z
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.y
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
add_pp r1.w, r0.y, c16.z
mul_pp_sat r0.y, -r0.z, c16.x
mad_pp r0.y, r0, r1.w, c10.x
mul_pp r1.w, r0.x, c14.z
mul_pp r1, r1, r0.y
texldd r2, r5, s4, r5.zwzw, r6
mov_pp_sat r1.w, r1
add_pp r0.xyz, r2, -r1
add_pp r1.w, -r1, c10.x
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r1
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord8 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
texldd r2.w, r2, s3, r2.zwzw, r3
cmp r1.w, -v0, c10.y, c10.x
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
texldd r0, r4, s5, r4.zwzw, r5
mul_pp r1.w, r2, r1
add_pp r0.xyz, r0, -r1
mul_pp r0.w, r1, r0
mad_pp r0.xyz, r0.w, r0, r1
mul_pp r0.xyz, r0, c2
mul_pp r3.xyz, r0, c1
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.w, c0
rsq_pp r0.y, r0.y
mad_pp r1.xyz, r0.y, v4, r2
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
mul_pp r1.xyz, r0.w, r1
dp3_pp r2.w, r0, r2
dp3_pp_sat r1.x, r0, r1
pow r0, r1.x, c3.x
dp4_pp r1.y, c0, c0
rsq_pp r0.y, r1.y
mul_pp r1.xyz, r0.y, c0
dp3_pp r0.w, v2, r1
add_pp r1.x, r0.w, c16.y
mul r1.z, r0.x, c4.w
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
mov_pp r0.xyz, c1
mul_pp r2.xyz, r2.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r1.z, r2
mul_pp_sat r0.w, -r0, c16.x
add_pp r1.x, r1, c16.z
mad_pp r1.x, r0.w, r1, c10
mul_pp r0.w, r2, c14.z
mul r0.xyz, r0, c14.z
mul_pp r0, r0, r1.x
texldd r2, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r1.xyz, r2, -r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r2, r1
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 336 used size, 21 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 332 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 150 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
"ps_3_0
; 169 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r5.xy, r3, c9.x
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c10.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c7.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c14.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c10
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r2.x, r2.x
cmp r0.y, r0, c10, c10.x
mul_sat r2.z, r2, c11.w
add_pp r1.xyz, r1, c15.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c15.w
add r2.z, -r2.y, c12.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c11.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c11.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c12, r0.z
mul r0.y, r0.x, c12
mul r0.z, r0.w, c14.y
add r0.x, r0.z, c10.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c10.y, c10
mul_pp r3.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v3, v3
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c8.x, c8.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
add_pp r2.xyz, r2, -r1
mul_pp r1.w, r3, r2
mad_pp r2.xyz, r1.w, r2, r1
mul_pp r2.xyz, r2, c2
mul_pp r2.xyz, r2, c1
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v5, v5
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v5, r3
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r2.w, r0
mul_pp r0.xyz, r0.w, v3
dp3_pp_sat r0.w, r0, r4
pow r1, r0.w, c3.x
dp3_pp r1.w, r0, r3
mov r0.w, r1.x
mul_pp r1.xyz, r1.w, r2
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
mul r0.w, r0, c4
mul_pp r0.xyz, c4, r0
mad r1.xyz, r0, r0.w, r1
rsq r2.x, r2.x
mul r0.xyz, r2.x, c0
dp3_pp r2.z, v3, r0
rcp r0.w, v2.w
mad r2.xy, v2, r0.w, c10.z
texld r0.w, r2, s7
add_pp r2.x, r2.z, c16.y
dp3 r0.x, v2, v2
cmp r0.y, -v2.z, c10, c10.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.w, r0.y, r0.x
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.y, r2.x
add_pp_sat r1.x, r2, -r2.y
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2.z, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 132 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 165 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4 r0.y, c0, c0
rsq r2.x, r0.y
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mul r0.w, r0.x, c4
add_pp r2.y, r2.x, c16
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
texld r0.w, v2, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 155 instructions, 6 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 163 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul r0.w, r0.x, c4
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r1
mul_pp r2.xyz, r2.x, c0
dp3_pp r1.x, v3, r2
add_pp r1.z, r1.x, c16.y
texld r0.w, v2, s7
mul_pp r1.y, r0.w, c14.z
mul_pp r0.w, r0, r1
frc_pp r2.x, r1.z
mul r0.xyz, r0, r1.y
add_pp_sat r1.y, r1.z, -r2.x
add_pp r1.y, r1, c16.z
mul_pp_sat r1.x, -r1, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c11, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c12, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c13, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c14, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c15, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c16, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c17, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r2.xyz, r0.x, v5
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r2.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c11.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c11.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c11.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c11.z, c11.z
mad r3.y, r0.x, c11.z, c11.z
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c11.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r2.z
max r2.w, r4.x, r0
mul r1.xy, r3, c7.x
mov r1.z, c7.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r3.zwzw
dp3_sat r3.z, -r2, v1
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2
add r3.z, r3, c15.w
mad_sat r2.w, r3.z, c16.x, c16.y
mad_pp r0.xyz, r2.w, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
mad r1.y, r1, r1.x, c14
mul r1.z, v1.w, c8.x
mul_sat r1.z, r1, c12.w
add_pp r0.xyz, r0, c16.z
mad_pp r0.xyz, r1.z, -r0, r0
mad r1.y, r1, r1.x, c14.z
mad r1.z, r1.y, r1.x, c14.w
mul r2.w, r1.z, r1
mul r1.xy, r3, c10.x
mul_pp r0.xyz, r0, c16.w
mov r1.z, c10.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r5.xy, r1.zwzw
add r3.x, -r2.w, c15
add r0.w, r4.x, -r0
cmp r0.w, -r0, r2, r3.x
abs r3.x, r2.y
add r2.w, -r0, c13.x
cmp r2.z, r2, r0.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
add r3.z, -r3.x, c11.x
mad r3.y, r3.x, c12.x, c12
mad r3.y, r3, r3.x, c11.w
rsq r3.z, r3.z
cmp r2.y, r2, c11, c11.x
add r0.xyz, v0, r0
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c12.z
mul r3.x, r3, r3.z
mul r3.y, r2, r3.x
mad r0.w, -r3.y, c12, r3.x
mad r0.w, r2.y, c13.x, r0
mul r0.w, r0, c13.y
mul r2.x, r2, c15.y
add r3.x, r2, c11.z
mov r2.y, r0.w
abs r2.x, r2
mov r3.y, r0.w
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r3, s0, r3.zwzw, r4
add_pp r2.xyz, r2, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r0.xyz, r0.w, r2, r0
texldd r0.w, r3, s3, r3.zwzw, r4
dsx r1.zw, r1
texldd r2, r1, s5, r1.zwzw, r5
cmp r4.z, -v0.w, c11.y, c11.x
mul_pp r3.w, r0, r4.z
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r3, r2
mad_pp r0.xyz, r0.w, r2, r0
dp3_pp r3.x, c0, c0
rsq_pp r2.w, r3.x
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r2.w, c0
dp3_pp r4.x, v6, v6
rsq_pp r2.w, r4.x
mad_pp r4.xyz, r2.w, v6, r3
dp3_pp r2.x, r4, r4
rsq_pp r2.x, r2.x
mul_pp r4.xyz, r2.x, r4
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v4
dp3_pp_sat r2.w, r2, r4
mul_pp r4.xyz, r0, c3
pow r0, r2.w, c4.x
dp3_pp r2.w, r2, r3
mul_pp r4.xyz, r4, c2
mov_pp r3.xyz, c2
mul_pp r3.xyz, c5, r3
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
mul_pp r2.xyz, r2.w, r4
rsq r0.x, r0.y
mad r2.xyz, r3, r0.w, r2
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v4, r0
texldd r1, r1, s4, r1.zwzw, r5
texldp r0.x, v3, s9
rcp r0.y, v3.w
mad r0.y, -v3.z, r0, r0.x
mov r0.z, c1.x
cmp r0.y, r0, c11.x, r0.z
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c11.z
texld r0.w, r3, s7
add_pp r3.x, r3.z, c17.y
dp3 r0.x, v2, v2
cmp r0.z, -v2, c11.y, c11.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
frc_pp r3.y, r3.x
add_pp_sat r2.x, r3, -r3.y
add_pp r2.y, r2.x, c17.z
mul_pp_sat r2.x, -r3.z, c17
mad_pp r2.x, r2, r2.y, c11
mul_pp r0.w, r0, c15.z
mul_pp r0, r0, r2.x
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c11
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c11.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 165 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 173 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c11, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c12, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c13, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c14, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c15, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c16, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c17, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r2.xyz, r0.x, v5
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r2.w, r0.y, c11.y, c11.x
mad r0.y, r2.w, r0.z, r2.x
cmp r0.w, r0.x, c11.y, c11.x
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c11.y
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c11.y
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c11.y
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c11.z, c11.z
mad r3.y, r0.x, c11.z, c11.z
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c11.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r2.z
max r2.w, r4.x, r0
mul r1.xy, r3, c7.x
mov r1.z, c7.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r3.zwzw
dp3_sat r3.z, -r2, v1
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2
add r3.z, r3, c15.w
mad_sat r2.w, r3.z, c16.x, c16.y
mad_pp r0.xyz, r2.w, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
mad r1.y, r1, r1.x, c14
mul r1.z, v1.w, c8.x
mul_sat r1.z, r1, c12.w
add_pp r0.xyz, r0, c16.z
mad_pp r0.xyz, r1.z, -r0, r0
mad r1.y, r1, r1.x, c14.z
mad r1.z, r1.y, r1.x, c14.w
mul r2.w, r1.z, r1
mul r1.xy, r3, c10.x
mul_pp r0.xyz, r0, c16.w
mov r1.z, c10.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r5.xy, r1.zwzw
add r3.x, -r2.w, c15
add r0.w, r4.x, -r0
cmp r0.w, -r0, r2, r3.x
abs r3.x, r2.y
add r2.w, -r0, c13.x
cmp r2.z, r2, r0.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
add r3.z, -r3.x, c11.y
mad r3.y, r3.x, c12.x, c12
mad r3.y, r3, r3.x, c11.w
rsq r3.z, r3.z
cmp r2.y, r2, c11.x, c11
add r0.xyz, v0, r0
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c12.z
mul r3.x, r3, r3.z
mul r3.y, r2, r3.x
mad r0.w, -r3.y, c12, r3.x
mad r0.w, r2.y, c13.x, r0
mul r0.w, r0, c13.y
mul r2.x, r2, c15.y
add r3.x, r2, c11.z
mov r2.y, r0.w
abs r2.x, r2
mov r3.y, r0.w
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r3, s0, r3.zwzw, r4
add_pp r2.xyz, r2, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r0.xyz, r0.w, r2, r0
texldd r0.w, r3, s3, r3.zwzw, r4
dsx r1.zw, r1
texldd r2, r1, s5, r1.zwzw, r5
cmp r4.z, -v0.w, c11.x, c11.y
mul_pp r3.w, r0, r4.z
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r3, r2
mad_pp r0.xyz, r0.w, r2, r0
dp3_pp r3.x, c0, c0
rsq_pp r2.w, r3.x
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r2.w, c0
dp3_pp r4.x, v6, v6
rsq_pp r2.w, r4.x
mad_pp r4.xyz, r2.w, v6, r3
dp3_pp r2.x, r4, r4
rsq_pp r2.x, r2.x
mul_pp r4.xyz, r2.x, r4
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v4
dp3_pp_sat r2.w, r2, r4
mul_pp r4.xyz, r0, c3
pow r0, r2.w, c4.x
dp3_pp r2.w, r2, r3
mul_pp r4.xyz, r4, c2
mov_pp r3.xyz, c2
mul_pp r3.xyz, c5, r3
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
mul_pp r2.xyz, r2.w, r4
rsq r0.x, r0.y
mad r2.xyz, r3, r0.w, r2
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v4, r0
mov r0.x, c1
rcp r0.z, v2.w
mad r3.xy, v2, r0.z, c11.z
texld r0.w, r3, s7
add r0.y, c11, -r0.x
texldp r0.x, v3, s9
mad r0.y, r0.x, r0, c1.x
add_pp r3.x, r3.z, c17.y
dp3 r0.x, v2, v2
cmp r0.z, -v2, c11.x, c11.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
frc_pp r3.y, r3.x
add_pp_sat r2.x, r3, -r3.y
add_pp r2.y, r2.x, c17.z
mul_pp_sat r2.x, -r3.z, c17
texldd r1, r1, s4, r1.zwzw, r5
mad_pp r2.x, r2, r2.y, c11.y
mul_pp r0.w, r0, c15.z
mul_pp r0, r0, r2.x
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c11.y
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 165 instructions, 6 temp regs, 0 temp arrays:
// ALU 136 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 163 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r0.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul r1.w, r0.x, c4
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r0.w, r3
mad r1.xyz, r0, r1.w, r1
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r1.w, r0.y, c16.y
texldp r0.x, v2, s7
mul_pp r0.z, r0.x, c14
mul r1.xyz, r1, r0.z
frc_pp r2.x, r1.w
add_pp_sat r0.z, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
mul_pp r1.w, r0.x, c14.z
add_pp r0.z, r0, c16
mul_pp_sat r0.y, -r0, c16.x
mad_pp r0.y, r0, r0.z, c10.x
mul_pp r0, r1, r0.y
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 164 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v4, r2
mul r0.w, r0.x, c4
add_pp r2.y, r2.x, c16
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
texldp r0.x, v3, s7
texld r0.w, v2, s8
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 155 instructions, 6 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkbcmhkoekgkgigbeokfgjgachdciljlhabaaaaaaaibgaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaaaeabaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaeaaaaaaaeabaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaapalaaaaaeabaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaaaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciibeaaaa
eaaaaaaaccafaaaafjaaaaaeegiocaaaaaaaaaaabnaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaa
gcbaaaaddcbabaaaadaaaaaagcbaaaadlcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadhcbabaaaaiaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaaidcaabaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
agaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaacgbjbaaaagaaaaaabnaaaaaj
icaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaacaaaaaackbabaaaagaaaaaadkaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaa
bkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaaagaaaaaa
dkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaajicaabaaaacaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaabnaaaaaiicaabaaaacaaaaaa
dkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaacaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaadkaabaaa
acaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaadbaaaaahbcaabaaaadaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaadkaabaaaaaaaaaaa
dgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaa
adaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaiaebaaaaaaadaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaajgaebaaaadaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaggaibaaaacaaaaaa
egacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaacaaaaaaegacbaaa
aaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
mcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaaaaaaaaaabgaaaaaadcaaaaao
dcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaabgaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaa
egaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaabaaaaaa
amaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
ogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaaogakbaaaabaaaaaa
egaabaaaabaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabiaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaapgipcaaa
aaaaaaaabmaaaaaadcaaaaaodcaabaaaadaaaaaaagiacaiaebaaaaaaaaaaaaaa
biaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaadaaaaaaegaabaiaibaaaaaaadaaaaaaalaaaaafmcaabaaa
adaaaaaaagaebaaaadaaaaaaamaaaaafdcaabaaaadaaaaaaegaabaaaadaaaaaa
ejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaacaaaaaaaagabaaa
aeaaaaaaogakbaaaadaaaaaaegaabaaaadaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaiaebaaaaaaadaaaaaabacaaaaiecaabaaaaaaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaaaaaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaajecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadpdcaaaaajhcaabaaaabaaaaaa
kgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaaaaaaaaakhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaaaa
apcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaafgifcaaaaaaaaaaabiaaaaaa
dcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaa
egacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaa
aaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaaabaaaaaadeaaaaajecaabaaa
aaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaaaoaaaaak
ecaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpckaabaaa
aaaaaaaaddaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaadiaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaacaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadbaaaaaidcaabaaaadaaaaaa
igaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaaabaaaaahicaabaaaaaaaaaaa
akaabaaaadaaaaaaabeaaaaanlapejmaaaaaaaahecaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaaaaaaaaaaaddaaaaahicaabaaaaaaaaaaaakaabaaaacaaaaaa
bkaabaaaacaaaaaadbaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaia
ebaaaaaaaaaaaaaadeaaaaahicaabaaaabaaaaaaakaabaaaacaaaaaabkaabaaa
acaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
dhaaaaakecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaa
ckaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
idpjccdoabeaaaaaaaaaaadpdiaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
abeaaaaaidpjccdodgaaaaagecaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
alaaaaafbcaabaaaaeaaaaaackaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaa
ckaabaaaaaaaaaaadcaaaaakecaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaaiedefjlodcaaaaakecaabaaa
aaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaakeanmjdp
aaaaaaaiicaabaaaaaaaaaaackaabaiambaaaaaaacaaaaaaabeaaaaaaaaaiadp
elaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaaabaaaaaa
dkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahicaabaaaabaaaaaa
bkaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaa
aeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaa
eghobaaaadaaaaaaaagabaaaafaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaa
aaaaaaaihcaabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaadaaaaaa
diaaaaajecaabaaaaaaaaaaadkiacaaaaaaaaaaabjaaaaaadkiacaaaaaaaaaaa
bjaaaaaaddaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
abaaaaaadcaaaaaomcaabaaaaaaaaaaapgipcaiaebaaaaaaaaaaaaaabmaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaafaaaaaaaagabaaaahaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaa
aaaaaaaaeghobaaaaeaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaa
aaaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaa
adaaaaaabnaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaa
dhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaa
diaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaabdaaaaaadiaaaaai
hcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaaajaaaaaabaaaaaah
icaabaaaabaaaaaaegbcbaaaaiaaaaaaegbcbaaaaiaaaaaaeeaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaabaaaaaajbcaabaaaacaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaa
acaaaaaadiaaaaaihcaabaaaacaaaaaaagaabaaaacaaaaaaegiccaaaabaaaaaa
aaaaaaaadcaaaaajhcaabaaaadaaaaaaegbcbaaaaiaaaaaapgapbaaaabaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
adaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahicaabaaaabaaaaaa
egbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaaeaaaaaapgapbaaaabaaaaaaegbcbaaaafaaaaaa
bacaaaahicaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaaaeaaaaaabaaaaaah
bcaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaacaaaaaacpaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akiacaaaaaaaaaaabeaaaaaabjaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkiacaaaaaaaaaaabfaaaaaa
diaaaaajocaabaaaacaaaaaaagijcaaaaaaaaaaaajaaaaaaagijcaaaaaaaaaaa
bfaaaaaadiaaaaahocaabaaaacaaaaaapgapbaaaabaaaaaafgaobaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaaagaabaaaacaaaaaajgahbaaa
acaaaaaaaoaaaaahgcaabaaaacaaaaaaagbbbaaaaeaaaaaapgbpbaaaaeaaaaaa
efaaaaajpcaabaaaadaaaaaajgafbaaaacaaaaaaeghobaaaahaaaaaaaagabaaa
aaaaaaaaefaaaaajpcaabaaaaeaaaaaaegbabaaaadaaaaaaeghobaaaagaaaaaa
aagabaaaabaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaadaaaaaadkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaah
icaabaaaadaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabbaaaaajbcaabaaa
abaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaa
abaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
afaaaaaaegacbaaaabaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaa
acaaaaaaagaabaaaabaaaaaadgajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaa
egacbaiaebaaaaaaadaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaadgcaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaia
ebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaajgahbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaa
aaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 174 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.x, c12.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.x, c12.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12, c12.x
cmp r0.x, -r0, c12.y, c12
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c12.z, c12.z
mad r3.y, r0.x, c12.z, c12.z
mul r4.xy, r3, c11.x
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c12.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c8.x
mov r1.w, c8.x
mad r2.zw, c12.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.x
mad_sat r2.w, r3.z, c18.y, c18.z
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c16.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c14.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c13.x, c13
mul r2.z, v1.w, c9.x
mad r2.y, r2, r2.x, c12.w
cmp r1.y, r1, c12, c12.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c13.w
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c12.x
mul_pp r0.xyz, r0, c19.x
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c13.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c13, r2.x
mad r0.w, r1.y, c14.x, r0
mul r0.w, r0, c14.y
mul r1.x, r1, c16.y
add r2.x, r1, c12.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c12.y, c12.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c4
pow r0, r1.w, c5.x
mov r0.w, r0.x
dp3_pp r1.w, r1, r2
mul r2.x, r0.w, c6.w
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r2.x, r1
dp3 r0.w, v3, v3
rsq r2.x, r0.w
texld r0, v3, s7
dp4 r0.y, r0, c17
rcp r2.x, r2.x
mul r0.x, r2, c1.w
mad r0.x, -r0, c16.z, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r0.w, v4, r2
add_pp r2.y, r0.w, c19.z
mov r0.y, c2.x
cmp r0.y, r0.x, c12.x, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r2.x, r0, r0.y
mul_pp r0.x, r2, c16.w
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.y, r2, -r2.z
mul_pp r1.x, r2, r1.w
mul_pp_sat r0.w, -r0, c19.y
add_pp r1.y, r1, c19.w
mad_pp r1.y, r0.w, r1, c12.x
mul_pp r0.w, r1.x, c16
mul_pp r0, r0, r1.y
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 162 instructions, 6 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 175 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.x, c12.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.x, c12.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12, c12.x
cmp r0.x, -r0, c12.y, c12
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c12.z, c12.z
mad r3.y, r0.x, c12.z, c12.z
mul r4.xy, r3, c11.x
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c12.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c8.x
mov r1.w, c8.x
mad r2.zw, c12.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.x
mad_sat r2.w, r3.z, c18.y, c18.z
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c16.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c14.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c13.x, c13
mul r2.z, v1.w, c9.x
mad r2.y, r2, r2.x, c12.w
cmp r1.y, r1, c12, c12.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c13.w
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c12.x
mul_pp r0.xyz, r0, c19.x
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c13.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c13, r2.x
mad r0.w, r1.y, c14.x, r0
mul r0.w, r0, c14.y
mul r1.x, r1, c16.y
add r2.x, r1, c12.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c12.y, c12.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c4
pow r0, r1.w, c5.x
dp3_pp r1.w, r1, r2
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
dp3 r2.x, v3, v3
mul_pp r1.xyz, r1.w, r3
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r1
texld r0, v3, s7
dp4 r0.y, r0, c17
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c16.z, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c12.x, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v4, r0
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.y
mul_pp r0.x, r0.w, c16.w
add_pp r2.y, r2.x, c19.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c19.w
mul_pp_sat r1.x, -r2, c19.y
mad_pp r1.x, r1, r1.y, c12
mul_pp r0.w, r0, c16
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 183 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 0.25000000, 4.00000000
def c20, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c21, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r3.xyz, r0.x, v5
abs r4.xyz, r3
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
cmp r2.x, r0.y, c15, c15.y
add r0.z, r3, -r3.x
mad r0.y, r2.x, r0.z, r3.x
cmp r0.w, r0.x, c15.x, c15.y
add r0.y, -r3, r0
mad r0.x, r0.w, r0.y, r3.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c15.z, c15.z
mad r2.y, r0.x, c15.z, c15.z
mul r0.xy, r2, c10.x
mul r1.xy, r2, c11.x
mov r0.z, c10.x
mad r0.zw, c15.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r2.zwzw
mov r1.z, c11.x
mad r1.zw, c15.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r2.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r2.zwzw
abs r0.w, r3.z
max r2.z, r4.x, r0.w
min r1.w, r4.x, r0
dp3_sat r2.w, -r3, v1
rcp r2.z, r2.z
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2.z
add r2.w, r2, c20.x
mad_sat r2.z, r2.w, c20.y, c20
mad_pp r0.xyz, r2.z, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c17.z, c17.w
mad r1.y, r1, r1.x, c18.x
mad r1.y, r1, r1.x, c18
mad r1.y, r1, r1.x, c18.z
mad r1.x, r1.y, r1, c18.w
mul r1.y, r1.x, r1.w
mul r1.z, v1.w, c12.x
mul r2.xy, r2, c14.x
mul_sat r1.z, r1, c16.w
add_pp r0.xyz, r0, c20.w
mad_pp r0.xyz, r1.z, -r0, r0
mov r1.x, c14
mad r1.zw, c15.z, -r1.x, r2.xyxy
mul_pp r0.xyz, r0, c21.x
add r1.x, -r1.y, c19
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1.y, r1.x
abs r1.y, r3
add r1.x, -r0.w, c17
cmp r1.x, r3.z, r0.w, r1
add r2.w, -r1.y, c15.x
mad r2.z, r1.y, c16.x, c16.y
mad r2.z, r2, r1.y, c15.w
rsq r2.w, r2.w
mad r1.y, r2.z, r1, c16.z
rcp r2.w, r2.w
mul r2.z, r1.y, r2.w
cmp r1.y, r3, c15, c15.x
mul r2.w, r1.y, r2.z
mad r0.w, -r2, c16, r2.z
mad r0.w, r1.y, c17.x, r0
cmp r1.x, r3, r1, -r1
mul r1.y, r1.x, c19
mul r0.w, r0, c17.y
add r1.x, r1.y, c15.z
abs r2.z, r1.y
mov r2.w, r0
mov r1.y, r0.w
dsy r4.zw, r2
dsx r4.xy, r2.zwzw
abs r1.zw, r1
dsy r2.zw, r1
texldd r3.xyz, r1, s0, r4, r4.zwzw
add r0.xyz, v0, r0
add_pp r3.xyz, r3, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r0.xyz, r0.w, r3, r0
texldd r0.w, r1, s3, r4, r4.zwzw
dsx r1.zw, r1
texldd r3, r2, s5, r1.zwzw, r2.zwzw
cmp r5.x, -v0.w, c15.y, c15
mul_pp r1.y, r0.w, r5.x
mul_pp r0.w, r1.y, r3
add_pp r3.xyz, r3, -r0
mad_pp r0.xyz, r0.w, r3, r0
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r1.x, c0
dp3_pp r3.w, v6, v6
rsq_pp r1.x, r3.w
mad_pp r5.xyz, r1.x, v6, r4
mul_pp r3.xyz, r0.w, v4
dp3_pp r1.x, r5, r5
rsq_pp r1.x, r1.x
mul_pp r5.xyz, r1.x, r5
dp3_pp_sat r1.x, r3, r5
mul_pp r5.xyz, r0, c7
pow r0, r1.x, c8.x
mov r0.w, r0.x
mul r1.x, r0.w, c9.w
mov_pp r0.xyz, c6
dp3_pp r3.w, r3, r4
rcp r0.w, v3.w
mul_pp r5.xyz, r5, c6
mul_pp r0.xyz, c9, r0
mul_pp r3.xyz, r3.w, r5
mad r3.xyz, r0, r1.x, r3
mad r0.xy, v3, r0.w, c5
mad r4.xy, v3, r0.w, c4
texld r1.x, r4, s9
mov r4.z, r1.x
mad r4.xy, v3, r0.w, c2
texld r0.x, r0, s9
mov r4.w, r0.x
mad r0.xy, v3, r0.w, c3
texld r4.x, r4, s9
texld r0.x, r0, s9
mov r4.y, r0.x
mad r0, -v3.z, r0.w, r4
mov r4.x, c1
cmp r0, r0, c15.x, r4.x
dp4 r1.x, c0, c0
rsq r4.x, r1.x
dp4_pp r1.x, r0, c19.z
mul r0.xyz, r4.x, c0
dp3_pp r4.z, v4, r0
rcp r0.w, v2.w
mad r4.xy, v2, r0.w, c15.z
dp3 r0.x, v2, v2
texld r0.w, r4, s7
cmp r0.y, -v2.z, c15, c15.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.x
mul_pp r0.x, r0.w, c19.w
add_pp r1.x, r4.z, c21.z
frc_pp r4.x, r1
mul_pp r0.w, r0, r3
texldd r2, r2, s4, r1.zwzw, r2.zwzw
mul r0.xyz, r3, r0.x
add_pp_sat r1.x, r1, -r4
add_pp r3.x, r1, c21.w
mul_pp_sat r1.x, -r4.z, c21.y
mad_pp r1.x, r1, r3, c15
mul_pp r0.w, r0, c19
mul_pp r0, r0, r1.x
mov_pp_sat r0.w, r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r2, r1.y
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 176 instructions, 6 temp regs, 0 temp arrays:
// ALU 140 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c15, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 0.25000000, 4.00000000
def c20, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c21, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r3.xyz, r0.x, v5
abs r4.xyz, r3
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
cmp r2.x, r0.y, c15.y, c15
add r0.z, r3, -r3.x
mad r0.y, r2.x, r0.z, r3.x
cmp r0.w, r0.x, c15.y, c15.x
add r0.y, -r3, r0
mad r0.x, r0.w, r0.y, r3.y
cmp r0.y, r0.x, c15.x, c15
cmp r0.x, -r0, c15, c15.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c15.y
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.y
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r1.w
mov r0.xy, c15.y
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c15.z, c15.z
mad r2.y, r0.x, c15.z, c15.z
mul r0.xy, r2, c10.x
mul r1.xy, r2, c11.x
mov r0.z, c10.x
mad r0.zw, c15.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r2.zwzw
mov r1.z, c11.x
mad r1.zw, c15.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r2.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r2.zwzw
abs r0.w, r3.z
max r2.z, r4.x, r0.w
min r1.w, r4.x, r0
dp3_sat r2.w, -r3, v1
rcp r2.z, r2.z
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2.z
add r2.w, r2, c20.x
mad_sat r2.z, r2.w, c20.y, c20
mad_pp r0.xyz, r2.z, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c17.z, c17.w
mad r1.y, r1, r1.x, c18.x
mad r1.y, r1, r1.x, c18
mad r1.y, r1, r1.x, c18.z
mad r1.x, r1.y, r1, c18.w
mul r1.y, r1.x, r1.w
mul r1.z, v1.w, c12.x
mul r2.xy, r2, c14.x
mul_sat r1.z, r1, c16.w
add_pp r0.xyz, r0, c20.w
mad_pp r0.xyz, r1.z, -r0, r0
mov r1.x, c14
mad r1.zw, c15.z, -r1.x, r2.xyxy
mul_pp r0.xyz, r0, c21.x
add r1.x, -r1.y, c19
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1.y, r1.x
abs r1.y, r3
add r1.x, -r0.w, c17
cmp r1.x, r3.z, r0.w, r1
add r2.w, -r1.y, c15.y
mad r2.z, r1.y, c16.x, c16.y
mad r2.z, r2, r1.y, c15.w
rsq r2.w, r2.w
mad r1.y, r2.z, r1, c16.z
rcp r2.w, r2.w
mul r2.z, r1.y, r2.w
cmp r1.y, r3, c15.x, c15
mul r2.w, r1.y, r2.z
mad r0.w, -r2, c16, r2.z
mad r0.w, r1.y, c17.x, r0
cmp r1.x, r3, r1, -r1
mul r1.y, r1.x, c19
mul r0.w, r0, c17.y
add r1.x, r1.y, c15.z
abs r2.z, r1.y
mov r2.w, r0
mov r1.y, r0.w
dsy r4.zw, r2
dsx r4.xy, r2.zwzw
abs r1.zw, r1
dsy r2.zw, r1
texldd r3.xyz, r1, s0, r4, r4.zwzw
add r0.xyz, v0, r0
add_pp r3.xyz, r3, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r0.xyz, r0.w, r3, r0
texldd r0.w, r1, s3, r4, r4.zwzw
dsx r1.zw, r1
texldd r3, r2, s5, r1.zwzw, r2.zwzw
cmp r5.x, -v0.w, c15, c15.y
mul_pp r1.y, r0.w, r5.x
mul_pp r0.w, r1.y, r3
add_pp r3.xyz, r3, -r0
mad_pp r0.xyz, r0.w, r3, r0
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r1.x, c0
dp3_pp r3.w, v6, v6
rsq_pp r1.x, r3.w
mad_pp r5.xyz, r1.x, v6, r4
mul_pp r3.xyz, r0.w, v4
dp3_pp r3.w, r3, r4
dp3_pp r1.x, r5, r5
rsq_pp r1.x, r1.x
mul_pp r5.xyz, r1.x, r5
dp3_pp_sat r1.x, r3, r5
mul_pp r5.xyz, r0, c7
pow r0, r1.x, c8.x
mul_pp r5.xyz, r5, c6
mov_pp r4.xyz, c6
rcp r4.w, v3.w
mul r0.w, r0.x, c9
mad r0.xyz, v3, r4.w, c5
texldd r2, r2, s4, r1.zwzw, r2.zwzw
texld r0.x, r0, s9
mul_pp r4.xyz, c9, r4
mul_pp r3.xyz, r3.w, r5
mad r3.xyz, r4, r0.w, r3
mov_pp r0.w, r0.x
mad r0.xyz, v3, r4.w, c4
texld r0.x, r0, s9
mad r4.xyz, v3, r4.w, c3
texld r1.x, r4, s9
mov_pp r0.y, r1.x
mad r4.xyz, v3, r4.w, c2
mov_pp r0.z, r0.x
texld r0.x, r4, s9
mov r1.x, c1
add r4.x, c15.y, -r1
mad r0, r0, r4.x, c1.x
dp4 r1.x, c0, c0
rsq r4.x, r1.x
dp4_pp r1.x, r0, c19.z
mul r0.xyz, r4.x, c0
dp3_pp r4.z, v4, r0
rcp r0.w, v2.w
mad r4.xy, v2, r0.w, c15.z
dp3 r0.x, v2, v2
texld r0.w, r4, s7
cmp r0.y, -v2.z, c15.x, c15
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.x
mul_pp r0.x, r0.w, c19.w
add_pp r1.x, r4.z, c21.z
frc_pp r4.x, r1
mul_pp r0.w, r0, r3
mul r0.xyz, r3, r0.x
add_pp_sat r1.x, r1, -r4
add_pp r3.x, r1, c21.w
mul_pp_sat r1.x, -r4.z, c21.y
mad_pp r1.x, r1, r3, c15.y
mul_pp r0.w, r0, c19
mul_pp r0, r0, r1.x
mov_pp_sat r0.w, r0
add_pp r1.x, -r0.w, c15.y
mul_pp r0.w, r2, r1.y
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 173 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeglflofhdecihbbfceippkpeojplliakabaaaaaakibiaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapapaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
aiaaaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaaaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefccibhaaaa
eaaaaaaamkafaaaafjaaaaaeegiocaaaaaaaaaaabnaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaiaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaa
aiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaa
ffffaaaafibiaaaeaahabaaaaiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagcbaaaadpcbabaaaadaaaaaagcbaaaadpcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
hcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaai
dcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
cgbjbaaaagaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaagaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaagaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
bnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaia
ebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabgaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bgaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaaimcaabaaaaaaaaaaa
agaebaaaaaaaaaaaagiacaaaaaaaaaaabiaaaaaadiaaaaaidcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgipcaaaaaaaaaaabmaaaaaadcaaaaaodcaabaaaadaaaaaa
agiacaiaebaaaaaaaaaaaaaabiaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaadaaaaaaegaabaiaibaaaaaa
adaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaaadaaaaaaamaaaaafdcaabaaa
adaaaaaaegaabaaaadaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaafaaaaaaogakbaaaadaaaaaaegaabaaaadaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaadaaaaaa
bacaaaaiecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
adaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabiaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaa
egacbaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaaoaaaaakecaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpckaabaaaaaaaaaaaddaaaaajicaabaaaaaaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
dbaaaaaidcaabaaaadaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaa
abaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaanlapejmaaaaaaaah
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaddaaaaahicaabaaa
aaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadeaaaaahicaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadhaaaaakecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
ckaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagecaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaackaabaaaaaaaaaaa
amaaaaafbcaabaaaafaaaaaackaabaaaaaaaaaaadcaaaaakecaabaaaaaaaaaaa
ckaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaa
iedefjlodcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaa
acaaaaaaabeaaaaakeanmjdpaaaaaaaiicaabaaaaaaaaaaackaabaiambaaaaaa
acaaaaaaabeaaaaaaaaaiadpelaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahicaabaaaabaaaaaabkaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaaeaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaadaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
aeaaaaaaegaabaaaafaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaadaaaaaadiaaaaajecaabaaaaaaaaaaadkiacaaaaaaaaaaa
bjaaaaaadkiacaaaaaaaaaaabjaaaaaaddaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaapgipcaia
ebaaaaaaaaaaaaaabmaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaa
afaaaaaaaagabaaaaiaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaia
ebaaaaaaabaaaaaaegacbaaaadaaaaaabnaaaaahicaabaaaabaaaaaaabeaaaaa
aaaaaaaadkbabaaaabaaaaaadhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaabdaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaaajaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaiaaaaaaegbcbaaa
aiaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaajbcaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaaihcaabaaaacaaaaaaagaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaaegbcbaaa
aiaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaapgapbaaa
abaaaaaaegbcbaaaafaaaaaabacaaaahicaabaaaabaaaaaaegacbaaaadaaaaaa
egacbaaaaeaaaaaabaaaaaahbcaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaa
acaaaaaacpaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabeaaaaaabjaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
dkiacaaaaaaaaaaabfaaaaaadiaaaaajocaabaaaacaaaaaaagijcaaaaaaaaaaa
ajaaaaaaagijcaaaaaaaaaaabfaaaaaadiaaaaahocaabaaaacaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaaaaaaaajicaabaaaabaaaaaaakiacaia
ebaaaaaaacaaaaaabiaaaaaaabeaaaaaaaaaiadpaoaaaaahocaabaaaacaaaaaa
agbjbaaaaeaaaaaapgbpbaaaaeaaaaaaaaaaaaaihcaabaaaadaaaaaajgahbaaa
acaaaaaaegiccaaaaaaaaaaaabaaaaaaehaaaaalbcaabaaaadaaaaaaegaabaaa
adaaaaaaaghabaaaaiaaaaaaaagabaaaaaaaaaaackaabaaaadaaaaaaaaaaaaai
hcaabaaaaeaaaaaajgahbaaaacaaaaaaegiccaaaaaaaaaaaacaaaaaaehaaaaal
ccaabaaaadaaaaaaegaabaaaaeaaaaaaaghabaaaaiaaaaaaaagabaaaaaaaaaaa
ckaabaaaaeaaaaaaaaaaaaaihcaabaaaaeaaaaaajgahbaaaacaaaaaaegiccaaa
aaaaaaaaadaaaaaaaaaaaaaiocaabaaaacaaaaaafgaobaaaacaaaaaaagijcaaa
aaaaaaaaaeaaaaaaehaaaaalicaabaaaadaaaaaajgafbaaaacaaaaaaaghabaaa
aiaaaaaaaagabaaaaaaaaaaadkaabaaaacaaaaaaehaaaaalecaabaaaadaaaaaa
egaabaaaaeaaaaaaaghabaaaaiaaaaaaaagabaaaaaaaaaaackaabaaaaeaaaaaa
dcaaaaakpcaabaaaadaaaaaaegaobaaaadaaaaaapgapbaaaabaaaaaaagiacaaa
acaaaaaabiaaaaaabbaaaaakicaabaaaabaaaaaaegaobaaaadaaaaaaaceaaaaa
aaaaiadoaaaaiadoaaaaiadoaaaaiadoaoaaaaahgcaabaaaacaaaaaaagbbbaaa
adaaaaaapgbpbaaaadaaaaaaaaaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaefaaaaajpcaabaaaadaaaaaa
jgafbaaaacaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaackbabaaaadaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahccaabaaaacaaaaaadkaabaaa
adaaaaaabkaabaaaacaaaaaabaaaaaahecaabaaaacaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaefaaaaajpcaabaaaadaaaaaakgakbaaaacaaaaaaeghobaaa
ahaaaaaaaagabaaaacaaaaaadiaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaa
acaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaah
icaabaaaadaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabbaaaaajbcaabaaa
abaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaa
abaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
afaaaaaaegacbaaaabaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaa
acaaaaaaagaabaaaabaaaaaadgajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaa
egacbaiaebaaaaaaadaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaadgcaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaia
ebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaajgahbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaa
aaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 181 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, -0.94999999
def c19, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c12.x, c12.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c12.x, c12.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c12, c12.x
cmp r1.x, -r1, c12.y, c12
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c12.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c12.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c12.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c12.z, c12.z
mad r3.x, r1, c12.z, c12.z
mul r5.xy, r3, c11.x
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c12.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c12.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.w
mad_sat r2.w, r3.z, c19.x, c19.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c9.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c16.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c12
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r0.y, r0, c12, c12.x
mul_sat r2.z, r2, c13.w
add_pp r1.xyz, r1, c19.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c19.w
add r2.z, -r2.y, c14.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c13.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c13.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c14, r0.z
mul r0.y, r0.x, c14
mul r0.z, r0.w, c16.y
add r0.x, r0.z, c12.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c12.y, c12
mul_pp r4.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v6, r3
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c10.x, c10.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r1.w, r4, r2
add_pp r2.xyz, r2, -r1
mad_pp r2.xyz, r1.w, r2, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r2, c4
mul_pp r4.xyz, r2.w, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, v4
dp3_pp_sat r0.w, r0, r4
dp3_pp r2.w, r0, r3
pow r1, r0.w, c5.x
mov r0.w, r1.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul r1.w, r0, c6
add r0.xyz, v3, c16.zwww
texld r0, r0, s7
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s7
dp4 r3.z, r0, c17
mul_pp r1.xyz, c6, r1
mul_pp r2.xyz, r2.w, r2
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v3, c16.wwzw
texld r1, r1, s7
dp4 r3.y, r1, c17
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c16.z
texld r0, r0, s7
rcp r1.x, r1.x
dp4 r3.x, r0, c17
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c18.x, r3
cmp r0, r0, c12.x, r1.x
dp4_pp r0.y, r0, c18.y
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r0.w, v4, r1
add_pp r1.y, r0.w, c20
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r1.x, r0, r0.y
mul_pp r0.x, r1, c18.z
mul r0.xyz, r2, r0.x
mul_pp r1.x, r1, r2.w
mul_pp_sat r0.w, -r0, c20.x
add_pp r1.y, r1, c20.z
mad_pp r1.y, r0.w, r1, c12.x
mul_pp r0.w, r1.x, c18.z
mul_pp r0, r0, r1.y
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r4
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 173 instructions, 6 temp regs, 0 temp arrays:
// ALU 142 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedjenfaljiidoggcedegpeecamehkohjdpabaaaaaakibiaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaaeabaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaaaeabaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaaeabaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaaaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefccibhaaaa
eaaaaaaamkafaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaa
abaaaaaaacaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaa
agaaaaaaffffaaaafidaaaaeaahabaaaahaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaa
gcbaaaadhcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaa
dgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dgaaaaaidcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaacgbjbaaaagaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaa
acaaaaaabkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaagaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaa
dkaabaaaabaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaa
aaaaaaaabkbabaiaebaaaaaaagaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaa
deaaaaajicaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaa
acaaaaaabnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaa
acaaaaaaabaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaa
acaaaaaadbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaaf
ccaabaaaaaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaia
ebaaaaaaaaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaa
acaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaa
jgaebaiaebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaabaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaa
agiacaaaaaaaaaaabcaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaa
aaaaaaaabcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaa
aagabaaaadaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaaimcaabaaa
aaaaaaaaagaebaaaaaaaaaaaagiacaaaaaaaaaaabeaaaaaadiaaaaaidcaabaaa
aaaaaaaaegaabaaaaaaaaaaapgipcaaaaaaaaaaabiaaaaaadcaaaaaodcaabaaa
adaaaaaaagiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaadaaaaaaegaabaia
ibaaaaaaadaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaaadaaaaaaamaaaaaf
dcaabaaaadaaaaaaegaabaaaadaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaa
aaaaaaaaeghobaaaacaaaaaaaagabaaaaeaaaaaaogakbaaaadaaaaaaegaabaaa
adaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaa
adaaaaaabacaaaaiecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaa
acaaaaaaaaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlp
dccaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaa
aaaaaadpdcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaadaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaa
acaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaa
aaaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaa
egbcbaaaabaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaaoaaaaakecaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpckaabaaaaaaaaaaaddaaaaajicaabaaaaaaaaaaa
akaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajicaabaaa
abaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaadiphhpdp
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdp
dbaaaaajicaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaa
acaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaa
dcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadbaaaaaidcaabaaaadaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaa
acaaaaaaabaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaanlapejma
aaaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaddaaaaah
icaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaiicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadeaaaaahicaabaaa
abaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaadhaaaaakecaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagecaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaackaabaaa
aaaaaaaaamaaaaafbcaabaaaafaaaaaackaabaaaaaaaaaaadcaaaaakecaabaaa
aaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaa
abeaaaaaiedefjlodcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaia
ibaaaaaaacaaaaaaabeaaaaakeanmjdpaaaaaaaiicaabaaaaaaaaaaackaabaia
mbaaaaaaacaaaaaaabeaaaaaaaaaiadpelaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahicaabaaaabaaaaaabkaabaaaadaaaaaadkaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
alaaaaafccaabaaaaeaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaafaaaaaa
bkaabaaaacaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaacaaaaaaeghobaaa
aaaaaaaaaagabaaaacaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaan
pcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaafaaaaaa
egaabaaaaeaaaaaaegaabaaaafaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaia
ebaaaaaaabaaaaaaegacbaaaadaaaaaadiaaaaajecaabaaaaaaaaaaadkiacaaa
aaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaaabaaaaaakgakbaaa
aaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaa
pgipcaiaebaaaaaaaaaaaaaabiaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaa
aaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaa
aaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaa
eghobaaaafaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaa
ejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaa
agaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaaihcaabaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaadaaaaaabnaaaaahicaabaaaabaaaaaa
abeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaajicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaaaaaaaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaiaaaaaa
egbcbaaaaiaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaaj
bcaabaaaacaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
eeaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
agaabaaaacaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaa
egbcbaaaaiaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaa
adaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaa
pgapbaaaabaaaaaaegbcbaaaafaaaaaabacaaaahicaabaaaabaaaaaaegacbaaa
adaaaaaaegacbaaaaeaaaaaabaaaaaahbcaabaaaacaaaaaaegacbaaaaeaaaaaa
egacbaaaacaaaaaacpaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadiaaaaajocaabaaaacaaaaaaagijcaaa
aaaaaaaaafaaaaaaagijcaaaaaaaaaaabbaaaaaadiaaaaahocaabaaaacaaaaaa
pgapbaaaabaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkiacaaaabaaaaaa
abaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaomfbhidp
aaaaaaakocaabaaaacaaaaaaagbjbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaadm
aaaaaadmaaaaaadmefaaaaajpcaabaaaadaaaaaajgahbaaaacaaaaaaeghobaaa
ahaaaaaaaagabaaaaaaaaaaabbaaaaakbcaabaaaadaaaaaaegaobaaaadaaaaaa
aceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaacaaaaaa
agbjbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaalmaaaaaalmaaaaaadmefaaaaaj
pcaabaaaaeaaaaaajgahbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaa
bbaaaaakccaabaaaadaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaiadpibiaiadl
icabibdhimpinfdbaaaaaaakocaabaaaacaaaaaaagbjbaaaaeaaaaaaaceaaaaa
aaaaaaaaaaaaaalmaaaaaadmaaaaaalmefaaaaajpcaabaaaaeaaaaaajgahbaaa
acaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaabbaaaaakecaabaaaadaaaaaa
egaobaaaaeaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaak
ocaabaaaacaaaaaaagbjbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaalm
aaaaaalmefaaaaajpcaabaaaaeaaaaaajgahbaaaacaaaaaaeghobaaaahaaaaaa
aagabaaaaaaaaaaabbaaaaakicaabaaaadaaaaaaegaobaaaaeaaaaaaaceaaaaa
aaaaiadpibiaiadlicabibdhimpinfdbdbaaaaahpcaabaaaadaaaaaaegaobaaa
adaaaaaapgapbaaaabaaaaaadhaaaaanpcaabaaaadaaaaaaegaobaaaadaaaaaa
agiacaaaacaaaaaabiaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
bbaaaaakicaabaaaabaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadoaaaaiado
aaaaiadoaaaaiadobaaaaaahccaabaaaacaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaacaaaaaaeghobaaaagaaaaaa
aagabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaa
adaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaah
icaabaaaadaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabbaaaaajbcaabaaa
abaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaa
abaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
afaaaaaaegacbaaaabaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaa
acaaaaaaagaabaaaabaaaaaadgajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaa
egacbaiaebaaaaaaadaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaadgcaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaia
ebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaajgahbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaa
aaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 182 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, -0.94999999
def c19, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c12.x, c12.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c12.x, c12.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c12, c12.x
cmp r1.x, -r1, c12.y, c12
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c12.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c12.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c12.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c12.z, c12.z
mad r3.x, r1, c12.z, c12.z
mul r5.xy, r3, c11.x
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c12.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c12.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.w
mad_sat r2.w, r3.z, c19.x, c19.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.xy, c12.z, -r1.w, r5
abs r3.xy, r3
mul r2.z, v1.w, c9.x
add r1.w, -r2.x, c16.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c12
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r0.y, r0, c12, c12.x
dsy r6.xy, r3
dsx r5.zw, r3.xyxy
texldd r3, r5, s5, r5.zwzw, r6
mul_sat r2.z, r2, c13.w
add_pp r1.xyz, r1, c19.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c19.w
add r2.z, -r2.y, c14.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c13.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c13.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c14, r0.z
mul r0.y, r0.x, c14
mul r0.z, r0.w, c16.y
add r0.x, r0.z, c12.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r4
texldd r0.w, r0, s3, r0.zwzw, r4
cmp r0.x, -v0.w, c12.y, c12
mul_pp r2.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v4, v4
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c10.x, c10.x
mad_pp r1.xyz, r1.w, r2, r1
add_pp r2.xyz, r3, -r1
mul_pp r1.w, r2, r3
mad_pp r2.xyz, r1.w, r2, r1
mul_pp r2.xyz, r2, c4
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v6, r3
dp3_pp r3.w, r0, r0
rsq_pp r3.w, r3.w
mul_pp r4.xyz, r3.w, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, v4
dp3_pp_sat r0.w, r0, r4
dp3_pp r4.x, r0, r3
pow r1, r0.w, c5.x
mov r0.w, r1.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul r1.w, r0, c6
add r0.xyz, v3, c16.zwww
texld r0, r0, s7
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s7
dp4 r3.z, r0, c17
mul_pp r1.xyz, c6, r1
mul_pp r2.xyz, r4.x, r2
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v3, c16.wwzw
texld r1, r1, s7
dp4 r3.y, r1, c17
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c16.z
texld r0, r0, s7
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r3.x, r0, c17
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c18.x, r3
cmp r0, r0, c12.x, r1.x
dp4_pp r0.y, r0, c18.y
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v4, r1
add_pp r1.y, r1.x, c20
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r4.x
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c20.z
mul_pp_sat r1.x, -r1, c20
mad_pp r1.x, r1, r1.y, c12
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 175 instructions, 6 temp regs, 0 temp arrays:
// ALU 143 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
pow r0, r3.x, c3.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c9.x
mad_pp r0.y, r0, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r3.x, r0.z
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
mul r3.xyz, r3.x, c0
dp3_pp r0.z, v3, r3
add_pp r0.w, r0.z, c20.x
frc_pp r3.x, r0.w
add_pp_sat r0.w, r0, -r3.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
mul_pp r0.y, r0.x, c18.x
mul r2.xyz, r2, r0.y
add_pp r0.w, r0, c20.y
mul_pp_sat r0.y, -r0.z, c19.w
mul_pp r0.y, r0, r0.w
mad_pp r0.z, r5.w, -r0.y, r0.y
add r3.xyz, v4, c17.z
dp3 r0.y, r3, r3
add_pp r0.w, r0.z, c13.x
mul_pp r0.z, r0.x, r2.w
rsq r0.y, r0.y
rcp r0.x, r0.y
add r3.x, r0, -c9
mul_pp r2.w, r0.z, c18.x
mad_pp r0, r2, r0.w, -r1
mul_sat r2.x, r3, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 186 instructions, 7 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 199 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord7 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v3, v3
rsq r6.z, r0.x
mul r2.xyz, r6.z, v3
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r1.w, r0.y, c13.x, c13.y
mad r0.y, r1.w, r0.z, r2.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.w, r0.x, -r0.y
mov r1.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r0
mad r1.xyz, r1.w, r1, r0
mov r0.z, -r2.w
dp3_sat r2.w, -r2, v1
mov r0.xy, c13.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r2.w, r2, c18.z
mad r3.x, r0.y, c13.z, c13.z
mad r3.y, r0.x, c13.z, c13.z
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
mul r1.xy, r3, c6.x
mov r1.z, c6.x
mad r1.zw, c13.z, -r1.z, r1.xyxy
texldd r0, r0, s1, r0.zwzw, r3.zwzw
abs r1.zw, r1
dsx r3.zw, r1
dsy r1.zw, r1
texldd r1, r1, s2, r3.zwzw, r1.zwzw
add_pp r0, r0, -r1
mad_sat r2.w, r2, c19.x, c19.y
mad_pp r0, r2.w, r0, r1
mul r1.x, v1.w, c7
mul_sat r1.x, r1, c14.w
add_pp r0, r0, c18.w
mad_pp r0, r1.x, -r0, r0
mov r1.xyz, v5
mul_pp r0, r0, c19.z
add r0, v0, r0
dp3 r4.y, v4, r1
dp3 r1.w, v4, v4
mad r1.x, -r4.y, r4.y, r1.w
rsq r2.w, r1.x
rcp r4.z, r2.w
mul r3.w, r4.z, r4.z
abs r2.w, r2.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r2
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r1, -r0, c11
min r3.z, r4.x, r2.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r1, r4.z, r1, r0
mad r4.y, r4, r3.w, c16
mad r0.x, r4.y, r3.w, c16.z
mad r0.z, r0.x, r3.w, c16.w
mul r0.w, r0.z, r3.z
mul r4.zw, r3.xyxy, c12.x
mov r0.x, c12
mad r0.xy, c13.z, -r0.x, r4.zwzw
abs r0.xy, r0
add r0.z, r4.x, -r2.w
add r3.x, -r0.w, c17
cmp r3.x, -r0.z, r0.w, r3
abs r0.z, r2.y
add r3.y, -r3.x, c15.x
cmp r2.z, r2, r3.x, r3.y
add r2.w, -r0.z, c13.x
mad r0.w, r0.z, c14.x, c14.y
mad r0.w, r0, r0.z, c13
rsq r2.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
mad r0.z, r0.w, r0, c14
rcp r2.w, r2.w
mul r0.w, r0.z, r2
cmp r0.z, r2.y, c13.y, c13.x
mul r2.y, r0.z, r0.w
mad r0.w, -r2.y, c14, r0
mul r2.y, r2.x, c17
mad r0.z, r0, c15.x, r0.w
mul r2.x, r0.z, c15.y
add r4.x, r2.y, c13.z
mov r0.w, r2.x
abs r0.z, r2.y
dsx r5.xy, r0.zwzw
dsy r5.zw, r0
mov r4.y, r2.x
texldd r3, r4, s0, r5, r5.zwzw
add_pp r2, r3, -r1
texldd r5.w, r4, s3, r5, r5.zwzw
cmp r3.z, -v0.w, c13.y, c13.x
dsy r6.xy, r0
dsx r3.xy, r0
texldd r0, r4.zwzw, s5, r3, r6
mul_pp r3.z, r5.w, r3
mul_pp r4.x, r3.z, r0.w
mul_sat r0.w, c8.x, c8.x
mad_pp r1, r0.w, r2, r1
mov_pp r0.w, r4.x
add_pp r0, r0, -r1
mad_pp r0, r4.x, r0, r1
mul_pp r1, r0, c2
dp3_pp r0.x, v2, v2
rsq_pp r0.x, r0.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
rcp r4.x, r6.z
add_sat r4.x, r4, -c9
mul_pp r0.xyz, r0.x, v2
mul_pp r5.xyz, r0.w, c0
dp3_pp r2.w, v5, v5
rsq_pp r0.w, r2.w
dp3_pp r2.w, r0, r5
mad_pp r5.xyz, r0.w, v5, r5
mul_pp r2.xyz, r1, c1
dp3_pp r0.w, r5, r5
rsq_pp r0.w, r0.w
mul_pp r5.xyz, r0.w, r5
dp3_pp_sat r4.y, r0, r5
pow r0, r4.y, c3.x
dp4_pp r5.x, c0, c0
rsq_pp r0.y, r5.x
mul_pp r2.xyz, r2.w, r2
mul_pp r5.xyz, r0.y, c0
dp3_pp r0.w, v2, r5
mad_pp r4.x, r4, -r3.w, r3.w
mul r5.x, r0, r4
add_pp r4.x, r0.w, c20
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r5.x, r2
frc_pp r4.y, r4.x
add_pp_sat r2.x, r4, -r4.y
add_pp r4.x, r2, c20.y
mul_pp_sat r0.w, -r0, c19
add r2.xyz, v3, c17.z
mul_pp r4.x, r0.w, r4
dp3 r0.w, r2, r2
mad_pp r2.x, r3.w, -r4, r4
add_pp r2.y, r2.x, c13.x
rsq r0.w, r0.w
rcp r2.x, r0.w
add r2.x, r2, -c9
mul_sat r2.x, r2, c17.w
mul r0.xyz, r0, c18.x
mul_pp r0.w, r2, c18.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r4.zwzw, s4, r3, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r3.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 336 used size, 21 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 288 [_OceanRadius]
Float 292 [_OceanDepthFactor]
Vector 304 [_OceanColor] 4
Float 332 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 183 instructions, 7 temp regs, 0 temp arrays:
// ALU 157 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeihlcoibkfiekjemilogagilonjdbcnbabaaaaaabibjaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcmibhaaaaeaaaaaaapcafaaaafjaaaaaeegiocaaa
aaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
gcbaaaadpcbabaaaabaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacahaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaabaaaaaahccaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaagaaaaaadcaaaaakbcaabaaaaaaaaaaa
bkaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaiecaabaaaaaaaaaaaakiacaaa
aaaaaaaabcaaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaambcaabaaaaaaaaaaaakiacaaaaaaaaaaa
bcaaaaaaakiacaaaaaaaaaaabcaaaaaaakaabaiaebaaaaaaaaaaaaaaelaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkbabaiaebaaaaaaacaaaaaaabaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaiadpaaaaiadpaaaaaaaadiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaaibcaabaaaaaaaaaaa
akaabaiaebaaaaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaiadpdicaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkiacaaaaaaaaaaabcaaaaaaebcaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaiecaabaaaaaaaaaaabkiacaaaaaaaaaaabcaaaaaaabeaaaaa
aaaahaebdcaaaaajbcaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadgaaaaaifcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadgaaaaaidcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaafecaabaaaaaaaaaaabkaabaaaaaaaaaaaelaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaaaacaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaa
akiacaiaebaaaaaaaaaaaaaabcaaaaaadiaaaaahhcaabaaaadaaaaaakgakbaaa
aaaaaaaacgbjbaaaaeaaaaaabnaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaa
adaaaaaabkaabaiaibaaaaaaadaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaa
ckaabaaaaaaaaaaabkaabaiaebaaaaaaadaaaaaadcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaadaaaaaadcaaaaakecaabaaa
aaaaaaaabkbabaiaebaaaaaaaeaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaa
deaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaa
adaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaa
adaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaackaabaaaaaaaaaaackaabaaa
adaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaabaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaacaaaaaabkaabaia
ebaaaaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaaacaaaaaaggaibaaa
adaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaa
jgaebaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaajgaebaaaaeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaacaaaaaaggaibaaaadaaaaaaegacbaaaabaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
mcaabaaaaaaaaaaafgajbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaidcaabaaaabaaaaaaogakbaaaaaaaaaaa
agiacaaaaaaaaaaaaoaaaaaadcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaadiaaaaaidcaabaaa
acaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaabaaaaaaadiaaaaaimcaabaaa
aaaaaaaakgaobaaaaaaaaaaapgipcaaaaaaaaaaabeaaaaaadcaaaaaomcaabaaa
acaaaaaaagiacaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaacaaaaaadgaaaaagmcaabaaaacaaaaaakgaobaia
ibaaaaaaacaaaaaaalaaaaafdcaabaaaaeaaaaaaogakbaaaacaaaaaaamaaaaaf
mcaabaaaacaaaaaakgaobaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
acaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaaaeaaaaaaogakbaaa
acaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaiaebaaaaaa
acaaaaaabacaaaaiicaabaaaadaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaa
adaaaaaaaaaaaaahicaabaaaadaaaaaadkaabaaaadaaaaaaabeaaaaaddddhdlp
dccaaaajicaabaaaadaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaaaecabeaaaaa
aaaaaadpdcaaaaajpcaabaaaabaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaa
egaobaaaacaaaaaaaaaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaalpapcaaaaibcaabaaaacaaaaaapgbpbaaa
acaaaaaafgifcaaaaaaaaaaabaaaaaaadcaaaaakpcaabaaaabaaaaaaagaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaeadp
egbobaaaabaaaaaaaaaaaaajpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
egiocaaaaaaaaaaabdaaaaaadcaaaaajpcaabaaaabaaaaaaagaabaaaaaaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadeaaaaajbcaabaaaaaaaaaaaakaabaia
ibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaaaoaaaaakbcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaaaaaaaaaddaaaaaj
bcaabaaaacaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaa
diaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
bcaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajccaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
ccaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaochgdido
dcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aebnkjlodcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaadiphhpdpdiaaaaahccaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaadcaaaaajccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaaadaaaaaa
bkaabaiaibaaaaaaadaaaaaaabaaaaahccaabaaaacaaaaaackaabaaaacaaaaaa
bkaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaaadaaaaaa
igaabaiaebaaaaaaadaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaanlapejmaaaaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaaddaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaa
dbaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaaacaaaaaa
deaaaaahecaabaaaacaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaabnaaaaai
ecaabaaaacaaaaaackaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaaabaaaaah
bcaabaaaacaaaaaackaabaaaacaaaaaaakaabaaaacaaaaaadhaaaaakbcaabaaa
aaaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaajbcaabaaaadaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
aeaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaia
ibaaaaaaadaaaaaaabeaaaaaiedefjlodcaaaaakbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaakeanmjdpaaaaaaaibcaabaaa
acaaaaaackaabaiambaaaaaaadaaaaaaabeaaaaaaaaaiadpelaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahecaabaaaacaaaaaaakaabaaaaaaaaaaa
akaabaaaacaaaaaadcaaaaajecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
ckaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaadiaaaaahccaabaaaadaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaaadaaaaaaamaaaaaf
ccaabaaaafaaaaaabkaabaaaadaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaegaabaaaaeaaaaaaegaabaaa
afaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaaeghobaaaadaaaaaa
aagabaaaadaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaaaaaaaaipcaabaaa
aeaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadiaaaaajbcaabaaa
aaaaaaaadkiacaaaaaaaaaaabbaaaaaadkiacaaaaaaaaaaabbaaaaaaddaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajpcaabaaa
abaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaabnaaaaah
bcaabaaaaaaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaadcaaaaaodcaabaaa
acaaaaaapgipcaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaia
ibaaaaaaacaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaacaaaaaaamaaaaaf
dcaabaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
aaaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaaegaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaa
aagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaacaaaaaadiaaaaahicaabaaa
aeaaaaaaakaabaaaaaaaaaaadkaabaaaaeaaaaaadiaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaaipcaabaaaafaaaaaaegaobaia
ebaaaaaaabaaaaaaegaobaaaaeaaaaaadcaaaaajpcaabaaaabaaaaaapgapbaaa
aeaaaaaaegaobaaaafaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaadiaaaaaihcaabaaaacaaaaaa
egacbaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaadcaaaaakccaabaaaaaaaaaaa
bkaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaadkaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaadcaaaaajhcaabaaaafaaaaaaegbcbaaaagaaaaaakgakbaaaaaaaaaaa
egacbaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaafaaaaaaegacbaaa
afaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaafaaaaaabaaaaaahecaabaaaaaaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhcaabaaaagaaaaaakgakbaaaaaaaaaaaegbcbaaaadaaaaaa
bacaaaahecaabaaaaaaaaaaaegacbaaaafaaaaaaegacbaaaagaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaacpaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaj
hcaabaaaaeaaaaaaegiccaaaaaaaaaaaabaaaaaaegiccaaaaaaaaaaaanaaaaaa
diaaaaahhcaabaaaaeaaaaaafgafbaaaaaaaaaaaegacbaaaaeaaaaaadcaaaaaj
hcaabaaaacaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaaeaaaaaa
diaaaaahicaabaaaaeaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiaeadiaaaaak
hcaabaaaaeaaaaaaegacbaaaacaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajccaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaai
ocaabaaaaaaaaaaafgafbaaaaaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaadaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaaaaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialp
dcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaa
aaaaiadpaaaaaaaiecaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaajccaabaaaaaaaaaaadkaabaaaacaaaaaackaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaakpcaabaaaacaaaaaaegaobaaaaeaaaaaafgafbaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaaaaaaaakocaabaaaaaaaaaaaagbjbaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaeiecaaaaeiecaaaaeiecbaaaaaahccaabaaa
aaaaaaaajgahbaaaaaaaaaaajgahbaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaaaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaia
ebaaaaaaaaaaaaaabcaaaaaadicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaknhkddmdcaaaaajpcaabaaaabaaaaaafgafbaaaaaaaaaaadgajbaaa
acaaaaaadgajbaaaabaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
aaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadp
diaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
ocaabaaaaaaaaaaafgaobaiaebaaaaaaabaaaaaaagajbaaaadaaaaaadcaaaaaj
hccabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaajgahbaaaabaaaaaa
dgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
"ps_3_0
; 206 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
pow r0, r3.x, c3.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c9.x
mad_pp r0.y, r0, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r3.x, r0.z
mul r0.w, r0.x, r0.y
mul r3.xyz, r3.x, c0
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v3, r3
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c13.z
dp3 r0.x, v2, v2
add_pp r0.y, r3.z, c20.x
texld r0.w, r3, s7
cmp r0.z, -v2, c13.y, c13.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.w, r0.z, r0.x
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c18
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c20
mul_pp_sat r2.x, -r3.z, c19.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v4, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 193 instructions, 7 temp regs, 0 temp arrays:
// ALU 164 float, 1 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 202 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_cube s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v3, v3
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.x, v3, r3
add_pp r0.y, r3.x, c20.x
frc_pp r0.z, r0.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
texld r0.w, v2, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c18
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c19.w
add_pp r2.y, r3, c20
mul_pp r3.x, r2, r2.y
add r2.xyz, v4, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 188 instructions, 7 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r1.w, r0.x
mul r1.xyz, r1.w, v4
abs r2.xyz, r1
max r0.x, r2, r2.z
add r0.y, r2.z, -r2.x
add r0.x, r0, -r2.y
add r0.z, r1, -r1.x
cmp r2.z, r0.y, c13.x, c13.y
mad r0.y, r2.z, r0.z, r1.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.y, r0.x, -r0
mov r4.z, -r2.y
mov r4.xy, c13.x
mov r3.y, r2
mov r0.y, -r2
dp3_sat r2.y, -r1, v1
mov r0.xz, c13.x
add r2.y, r2, c18.z
mul r0.xyz, r1.xzyw, r0
mov r3.xz, c13.x
mad r3.xyz, r1.zxyw, r3, -r0
mad r0.xyz, r2.z, r3, r0
mul r3.xyz, r1.yxzw, r4
mad r0.xyz, r1.yxzw, -r4, r0
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.w, r0.x, c13.z, c13.z
mad r2.z, r0.y, c13, c13
mul r4.xy, r2.zwzw, c6.x
mov r0.z, c6.x
mad r0.zw, c13.z, -r0.z, r4.xyxy
mul r3.zw, r2, c5.x
mov r0.x, c5
mad r0.xy, c13.z, -r0.x, r3.zwzw
abs r0.xy, r0
dsy r3.xy, r0
dsx r0.xy, r0
texldd r3, r3.zwzw, s1, r0, r3
abs r0.zw, r0
dsx r0.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r4, s2, r0, r0.zwzw
add_pp r3, r3, -r0
mad_sat r2.y, r2, c19.x, c19
mad_pp r0, r2.y, r3, r0
mov r3.xyz, v6
mul r2.y, v1.w, c7.x
dp3 r4.x, v5, r3
mul_sat r2.y, r2, c14.w
add_pp r0, r0, c18.w
mad_pp r0, r2.y, -r0, r0
mul_pp r0, r0, c19.z
add r3, v0, r0
dp3 r2.y, v5, v5
mad r2.y, -r4.x, r4.x, r2
rsq r2.y, r2.y
rcp r4.y, r2.y
mul r4.w, r4.y, r4.y
abs r2.y, r1.z
mad r5.x, c9, c9, -r4.w
max r4.w, r2.x, r2.y
rsq r5.x, r5.x
add_pp r0, -r3, c11
min r4.z, r2.x, r2.y
rcp r5.y, r5.x
rcp r4.w, r4.w
mul r5.x, r4.z, r4.w
add r4.z, r4.x, -r5.y
add r4.w, r4.z, -v1
mul r5.y, r5.x, r5.x
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
mad r4.x, r5.y, c15.z, c15.w
mad r4.x, r4, r5.y, c16
mad r5.z, r4.x, r5.y, c16.y
frc r4.w, r4.z
add_sat r4.x, r4.z, -r4.w
mul_sat r4.y, -r4, c10.x
mul r4.x, r4, c10
mad r4.x, r4, c18.y, r4.y
mad_pp r4, r4.x, r0, r3
mul r0.zw, r2, c12.x
mad r0.x, r5.z, r5.y, c16.z
mad r2.z, r0.x, r5.y, c16.w
mov r0.x, c12
mad r0.xy, c13.z, -r0.x, r0.zwzw
abs r3.xy, r0
mul r2.z, r2, r5.x
add r0.x, r2, -r2.y
add r0.y, -r2.z, c17.x
cmp r2.y, -r0.x, r2.z, r0
abs r0.x, r1.y
add r2.z, -r2.y, c15.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
mul r1.x, r1, c17.y
add r2.x, -r0, c13
mad r0.y, r0.x, c14.x, c14
mad r0.y, r0, r0.x, c13.w
rsq r2.x, r2.x
add r6.z, r1.x, c13
mad r0.x, r0.y, r0, c14.z
rcp r2.x, r2.x
mul r0.y, r0.x, r2.x
cmp r0.x, r1.y, c13.y, c13
mul r1.y, r0.x, r0
mad r0.y, -r1, c14.w, r0
mad r0.x, r0, c15, r0.y
mul r1.z, r0.x, c15.y
mov r0.y, r1.z
abs r0.x, r1
mov r6.w, r1.z
dsx r1.xy, r0
dsy r6.xy, r0
texldd r2, r6.zwzw, s0, r1, r6
add_pp r5, r2, -r4
texldd r6.w, r6.zwzw, s3, r1, r6
cmp r1.z, -v0.w, c13.y, c13.x
mul_sat r1.y, c8.x, c8.x
mad_pp r4, r1.y, r5, r4
dsy r0.xy, r3
dsx r2.xy, r3
texldd r3, r0.zwzw, s5, r2, r0
mul_pp r2.z, r6.w, r1
mul_pp r1.x, r2.z, r3.w
mov_pp r3.w, r1.x
add_pp r3, r3, -r4
mad_pp r3, r1.x, r3, r4
mul_pp r3, r3, c2
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r6.xyz, r1.x, c0
dp3_pp r1.x, v3, v3
rsq_pp r4.w, r1.x
mul_pp r5.xyz, r4.w, v3
dp3_pp r1.y, v6, v6
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v6, r6
dp3_pp r5.w, r1, r1
rsq_pp r5.w, r5.w
dp3_pp r4.w, r5, r6
mul_pp r4.xyz, r3, c1
mul_pp r1.xyz, r5.w, r1
mul_pp r4.xyz, r4.w, r4
dp3_pp_sat r5.x, r5, r1
rcp r1.w, r1.w
add_sat r5.y, r1.w, -c9.x
pow r1, r5.x, c3.x
mad_pp r1.y, r5, -r2.w, r2.w
dp4_pp r1.z, c0, c0
rsq_pp r1.z, r1.z
mul_pp r5.xyz, r1.z, c0
mul r1.w, r1.x, r1.y
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r1.w, r4
dp3_pp r5.x, v3, r5
add_pp r4.y, r5.x, c20.x
frc_pp r4.z, r4.y
add_pp_sat r4.y, r4, -r4.z
texld r1.w, v2, s7
mul_pp r4.x, r1.w, c18
mul r1.xyz, r1, r4.x
mul_pp r1.w, r1, r4
texldd r0, r0.zwzw, s4, r2, r0
mul_pp_sat r4.x, -r5, c19.w
add_pp r4.y, r4, c20
mul_pp r5.x, r4, r4.y
add r4.xyz, v4, c17.z
mad_pp r5.x, r2.w, -r5, r5
dp3 r2.w, r4, r4
rsq r2.w, r2.w
rcp r2.w, r2.w
add r2.w, r2, -c9.x
add_pp r4.x, r5, c13
mul_pp r1.w, r1, c18.x
mad_pp r1, r1, r4.x, -r3
mul_sat r2.w, r2, c17
mad_pp r1, r2.w, r1, r3
add_pp r3.xyz, r0, -r1
mov_pp_sat r1.w, r1
add_pp r0.y, -r1.w, c13.x
mul_pp r0.x, r0.w, r2.z
mul_pp r0.x, r0, r0.y
mad_pp oC0.xyz, r0.x, r3, r1
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 185 instructions, 7 temp regs, 0 temp arrays:
// ALU 158 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
Float 13 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 211 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c14, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c15, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c16, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c17, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c18, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c19, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c20, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c14.x, c14.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c14.z, c14.z
mad r3.x, r1, c14.z, c14.z
mul r1.xy, r3, c6.x
mov r0.w, c6.x
mad r1.zw, c14.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c7.x
mov r0.w, c7.x
mad r2.zw, c14.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c19.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c20.x, c20.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c8.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c15
add_pp r1, r1, c19.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c20.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c10.x, c10.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c12
cmp r4.z, r4.x, c14.x, c14.y
add r4.y, -r4, c10.x
cmp r4.x, r4.y, c14, c14.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c14.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c11.x
mad r4.x, r3.w, c16.z, c16.w
mad r4.x, r4, r3.w, c17
mul r4.y, r4.z, c11.x
mad r4.y, r4, c19, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c17.y
mad r1.x, r4, r3.w, c17.z
mad r1.z, r1.x, r3.w, c17.w
mul r1.z, r1, r3
mul r4.xy, r3, c13.x
mov r1.x, c13
mad r1.xy, c14.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c18.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c14.x
mad r1.z, r0.w, c15.x, c15.y
mad r1.z, r1, r0.w, c14.w
rsq r1.w, r1.w
cmp r0.y, r0, c14, c14.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c16.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c15.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c15.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c16, r0.z
mul r0.y, r0.x, c16
mul r0.z, r0.w, c18.y
add r0.x, r0.z, c14.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c14.y, c14.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c9, c9
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c3
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c2
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c10.x
pow r0, r3.x, c4.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v4, r3
add_pp r0.y, r3.z, c21.x
texldp r0.x, v3, s9
rcp r0.z, v3.w
mad r0.z, -v3, r0, r0.x
mov r0.w, c1.x
cmp r3.w, r0.z, c14.x, r0
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c14.z
dp3 r0.x, v2, v2
texld r0.w, r3, s7
cmp r0.z, -v2, c14.y, c14.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r3
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c19
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c21
mul_pp_sat r2.x, -r3.z, c20.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c18.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c10
add_pp r2.y, r3.x, c14.x
mul_pp r0.w, r0, c19.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c18.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c14
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c14.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 198 instructions, 7 temp regs, 0 temp arrays:
// ALU 167 float, 1 int, 8 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
Float 13 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 210 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c14, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c15, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c16, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c17, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c18, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c19, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c20, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c14.y, c14.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c14.y, c14.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14.x, c14
cmp r1.x, -r1, c14, c14.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c14.z, c14.z
mad r3.x, r1, c14.z, c14.z
mul r1.xy, r3, c6.x
mov r0.w, c6.x
mad r1.zw, c14.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c7.x
mov r0.w, c7.x
mad r2.zw, c14.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c19.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c20.x, c20.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c8.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c15
add_pp r1, r1, c19.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c20.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c10.x, c10.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c12
cmp r4.z, r4.x, c14.y, c14.x
add r4.y, -r4, c10.x
cmp r4.x, r4.y, c14.y, c14
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c14.y
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c11.x
mad r4.x, r3.w, c16.z, c16.w
mad r4.x, r4, r3.w, c17
mul r4.y, r4.z, c11.x
mad r4.y, r4, c19, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c17.y
mad r1.x, r4, r3.w, c17.z
mad r1.z, r1.x, r3.w, c17.w
mul r1.z, r1, r3
mul r4.xy, r3, c13.x
mov r1.x, c13
mad r1.xy, c14.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c18.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c14.y
mad r1.z, r0.w, c15.x, c15.y
mad r1.z, r1, r0.w, c14.w
rsq r1.w, r1.w
cmp r0.y, r0, c14.x, c14
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c16.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c15.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c15.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c16, r0.z
mul r0.y, r0.x, c16
mul r0.z, r0.w, c18.y
add r0.x, r0.z, c14.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c14.x, c14.y
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c9, c9
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c3
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c2
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c10.x
pow r0, r3.x, c4.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v4, r3
mov r0.x, c1
add r0.w, c14.y, -r0.x
rcp r0.z, v2.w
mad r3.xy, v2, r0.z, c14.z
texldp r0.x, v3, s9
mad r3.w, r0.x, r0, c1.x
dp3 r0.x, v2, v2
add_pp r0.y, r3.z, c21.x
texld r0.w, r3, s7
cmp r0.z, -v2, c14.x, c14.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r3
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c19
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c21
mul_pp_sat r2.x, -r3.z, c20.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c18.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c10
add_pp r2.y, r3.x, c14
mul_pp r0.w, r0, c19.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c18.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c14.y
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 198 instructions, 7 temp regs, 0 temp arrays:
// ALU 168 float, 1 int, 8 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 200 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.y, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r2, r4.z, r2, r1
mad r4.y, r4, r3.w, c16
mad r1.x, r4.y, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r5.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r5
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsy r5.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r4, r0, s0, r0.zwzw, r6
add_pp r3, r4, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsx r4.xy, r1
cmp r4.z, -v0.w, c13.y, c13.x
texldd r1, r5, s5, r4, r5.zwzw
mul_pp r4.z, r0.w, r4
mul_pp r6.x, r4.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v3, v3
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r4.w, r4.w
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
mul r3.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r3.w, r2
dp3_pp r0.w, v3, r3
add_pp r0.z, r0.w, c20.x
texldp r0.x, v2, s7
frc_pp r3.x, r0.z
add_pp_sat r0.z, r0, -r3.x
mul_pp r0.y, r0.x, c18.x
mul r2.xyz, r2, r0.y
add_pp r0.z, r0, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
mul_pp r0.y, r0, r0.z
mad_pp r0.z, r4.w, -r0.y, r0.y
add r3.xyz, v4, c17.z
dp3 r0.y, r3, r3
add_pp r0.w, r0.z, c13.x
mul_pp r0.z, r0.x, r2.w
rsq r0.y, r0.y
rcp r0.x, r0.y
add r3.x, r0, -c9
mul_pp r2.w, r0.z, c18.x
mad_pp r0, r2, r0.w, -r1
mul_sat r2.x, r3, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r4, r5.zwzw
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r4.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 186 instructions, 7 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c7.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r2, r4.z, r2, r1
mad r4.y, r4, r3.w, c16
mad r1.x, r4.y, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r5.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r5
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsy r5.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r4, r0, s0, r0.zwzw, r6
add_pp r3, r4, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsx r4.xy, r1
cmp r4.z, -v0.w, c13.y, c13.x
texldd r1, r5, s5, r4, r5.zwzw
mul_pp r4.z, r0.w, r4
mul_pp r6.x, r4.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r4.w, r4.w
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.x, v4, r3
add_pp r0.y, r3.x, c20.x
frc_pp r0.z, r0.y
texldp r0.x, v3, s7
texld r0.w, v2, s8
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c18
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c19.w
add_pp r2.y, r3, c20
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r4.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r4, r5.zwzw
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r4.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 188 instructions, 7 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 211 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c21, 0.97000003, 4.00000000, 15.00000000, -0.94999999
def c22, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c23, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c21
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c22.x, c22.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c22.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c11.x, c11.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c13
cmp r4.z, r4.x, c15.x, c15.y
add r4.y, -r4, c11.x
cmp r4.x, r4.y, c15, c15.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c15.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c12.x
mad r4.x, r3.w, c17.z, c17.w
mad r4.x, r4, r3.w, c18
mul r4.y, r4.z, c12.x
mad r4.y, r4, c21.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c18.y
mad r1.x, r4, r3.w, c18.z
mad r1.z, r1.x, r3.w, c18.w
mul r1.z, r1, r3
mul r4.xy, r3, c14.x
mov r1.x, c14
mad r1.xy, c15.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c19.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c15.x
mad r1.z, r0.w, c16.x, c16.y
mad r1.z, r1, r0.w, c15.w
rsq r1.w, r1.w
cmp r0.y, r0, c15, c15.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c17.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c16.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c16.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c15.y, c15.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c3
pow r0, r3.x, c5.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c11.x
mov r3.x, r0
mad_pp r0.w, r0.y, -r5, r5
mul r0.w, r3.x, r0
mov_pp r0.xyz, c3
dp3 r3.x, v3, v3
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s7
dp4 r0.y, r0, c20
rsq r3.x, r3.x
rcp r0.x, r3.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c21.x, r0.y
dp4 r0.z, c0, c0
mov r3.x, c2
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
cmp r0.w, r0, c15.x, r3.x
dp3_pp r3.x, v4, r0
add_pp r0.y, r3.x, c23
frc_pp r0.z, r0.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c21.y
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c23
add_pp r2.y, r3, c23.z
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r3.x, c15.x
mul_pp r0.w, r0, c21.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c19.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 195 instructions, 7 temp regs, 0 temp arrays:
// ALU 166 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbnhigaoopjecmmipkefekomjbogadekjabaaaaaabablaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaaeabaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaaaeabaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaaeabaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcjabjaaaa
eaaaaaaageagaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaa
abaaaaaaacaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaa
aeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaa
agaaaaaaffffaaaafidaaaaeaahabaaaahaaaaaaffffaaaagcbaaaadpcbabaaa
abaaaaaagcbaaaadpcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaa
gcbaaaadhcbabaaaahaaaaaagcbaaaadhcbabaaaaiaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaahaaaaaa
egbcbaaaahaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaa
aiaaaaaadcaaaaakbcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
bnaaaaaiecaabaaaaaaaaaaaakiacaaaaaaaaaaabgaaaaaaakaabaaaaaaaaaaa
diaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaam
bcaabaaaaaaaaaaaakiacaaaaaaaaaaabgaaaaaaakiacaaaaaaaaaaabgaaaaaa
akaabaiaebaaaaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaa
bnaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadkbabaiaebaaaaaaacaaaaaaabaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadpaaaaiadp
aaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadkbabaaa
acaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaadkbabaaa
acaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaabkiacaaaaaaaaaaabgaaaaaa
ebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiecaabaaaaaaaaaaa
bkiacaaaaaaaaaaabgaaaaaaabeaaaaaaaaahaebdcaaaaajbcaabaaaaaaaaaaa
ckaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaaifcaabaaa
abaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaaidcaabaaa
acaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaahccaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafecaabaaaaaaaaaaa
bkaabaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaacaaaaj
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaabgaaaaaa
diaaaaahhcaabaaaadaaaaaakgakbaaaaaaaaaaacgbjbaaaagaaaaaabnaaaaaj
icaabaaaaaaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaa
abaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaabaaaaaackbabaaaagaaaaaackaabaaaaaaaaaaabkaabaiaebaaaaaa
adaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
bkaabaaaadaaaaaadcaaaaakecaabaaaaaaaaaaabkbabaiaebaaaaaaagaaaaaa
ckaabaaaaaaaaaaadkaabaaaabaaaaaadeaaaaajicaabaaaabaaaaaaakaabaia
ibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaiaibaaaaaaadaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaaaaaaaaadkaabaaa
abaaaaaackaabaaaaaaaaaaackaabaaaadaaaaaadbaaaaahicaabaaaacaaaaaa
abeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaa
acaaaaaackaabaaaaaaaaaaaclaaaaafccaabaaaabaaaaaackaabaaaaaaaaaaa
dgaaaaagecaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaadiaaaaahhcaabaaa
aeaaaaaaegacbaaaacaaaaaaggaibaaaadaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaaaadaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaaj
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaajgaebaaaaeaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaacaaaaaaggaibaaaadaaaaaa
egacbaaaabaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaakmcaabaaaaaaaaaaafgajbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpaoaaaaaimcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdiaaaaai
dcaabaaaabaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaabcaaaaaadcaaaaao
mcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaa
kgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaa
amaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaaacaaaaaa
ogakbaaaabaaaaaadiaaaaaidcaabaaaacaaaaaaogakbaaaaaaaaaaaagiacaaa
aaaaaaaabeaaaaaadiaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaapgipcaaa
aaaaaaaabiaaaaaadcaaaaaomcaabaaaacaaaaaaagiacaiaebaaaaaaaaaaaaaa
beaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaacaaaaaa
dgaaaaagmcaabaaaacaaaaaakgaobaiaibaaaaaaacaaaaaaalaaaaafdcaabaaa
aeaaaaaaogakbaaaacaaaaaaamaaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaacaaaaaaaagabaaa
aeaaaaaaegaabaaaaeaaaaaaogakbaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegaobaiaebaaaaaaacaaaaaabacaaaaiicaabaaaadaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaahicaabaaaadaaaaaa
dkaabaaaadaaaaaaabeaaaaaddddhdlpdccaaaajicaabaaaadaaaaaadkaabaaa
adaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadpdcaaaaajpcaabaaaabaaaaaa
pgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaaaaaaaakpcaabaaa
abaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaalp
apcaaaaibcaabaaaacaaaaaapgbpbaaaacaaaaaafgifcaaaaaaaaaaabeaaaaaa
dcaaaaakpcaabaaaabaaaaaaagaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
egaobaaaabaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
aaaaeadpaaaaeadpaaaaeadpaaaaeadpegbobaaaabaaaaaaaaaaaaajpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaegiocaaaaaaaaaaabhaaaaaadcaaaaaj
pcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
deaaaaajbcaabaaaaaaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaa
adaaaaaaaoaaaaakbcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaaaaaaaaaddaaaaajbcaabaaaacaaaaaaakaabaiaibaaaaaa
adaaaaaabkaabaiaibaaaaaaadaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaaakaabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaacaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaa
acaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaa
acaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaaabaaaaah
ccaabaaaacaaaaaackaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaadaaaaaaigaabaiaebaaaaaaadaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaaddaaaaahbcaabaaaacaaaaaa
akaabaaaadaaaaaabkaabaaaadaaaaaadbaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaaakaabaiaebaaaaaaacaaaaaadeaaaaahecaabaaaacaaaaaaakaabaaa
adaaaaaabkaabaaaadaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaacaaaaaaabaaaaahbcaabaaaacaaaaaackaabaaaacaaaaaa
akaabaaaacaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaia
ebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaaakaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackaabaia
ibaaaaaaadaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakbcaabaaa
aaaaaaaaakaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaaiedefjlo
dcaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaa
abeaaaaakeanmjdpaaaaaaaibcaabaaaacaaaaaackaabaiambaaaaaaadaaaaaa
abeaaaaaaaaaiadpelaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaah
ecaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajecaabaaa
acaaaaaackaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaackaabaaaacaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
acaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaadaaaaaaaagabaaaafaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaiaebaaaaaaabaaaaaa
egaobaaaacaaaaaadiaaaaajbcaabaaaaaaaaaaadkiacaaaaaaaaaaabfaaaaaa
dkiacaaaaaaaaaaabfaaaaaaddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaajpcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaa
aeaaaaaaegaobaaaabaaaaaabnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaaaaa
dkbabaaaabaaaaaadhaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadcaaaaaodcaabaaaacaaaaaapgipcaiaebaaaaaaaaaaaaaa
biaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaafdcaabaaa
adaaaaaaegaabaaaacaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaaacaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaaaagabaaa
ahaaaaaaegaabaaaadaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaadaaaaaa
ogakbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaagaaaaaaegaabaaaadaaaaaa
egaabaaaacaaaaaadiaaaaahicaabaaaaeaaaaaaakaabaaaaaaaaaaadkaabaaa
aeaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaa
aaaaaaaipcaabaaaafaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaaeaaaaaa
dcaaaaajpcaabaaaabaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaaegiocaaaaaaaaaaa
apaaaaaadiaaaaaihcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaa
afaaaaaadcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaiaebaaaaaa
acaaaaaadkaabaaaacaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaaiaaaaaa
egbcbaaaaiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaabaaaaaaj
icaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaaeaaaaaa
pgapbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaafaaaaaa
egbcbaaaaiaaaaaakgakbaaaaaaaaaaaegacbaaaaeaaaaaabaaaaaahecaabaaa
aaaaaaaaegacbaaaafaaaaaaegacbaaaafaaaaaaeeaaaaafecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaa
afaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaa
kgakbaaaaaaaaaaaegbcbaaaafaaaaaabacaaaahecaabaaaaaaaaaaaegacbaaa
afaaaaaaegacbaaaagaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaagaaaaaa
egacbaaaaeaaaaaacpaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaai
ecaabaaaaaaaaaaackaabaaaaaaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
ecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaajhcaabaaaaeaaaaaaegiccaaaaaaaaaaa
afaaaaaaegiccaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaaeaaaaaafgafbaaa
aaaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaa
pgapbaaaaaaaaaaaegacbaaaaeaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaadkiacaaaabaaaaaaabaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaomfbhidpefaaaaaj
pcaabaaaaeaaaaaaegbcbaaaaeaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaa
bbaaaaakecaabaaaaaaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaiadpibiaiadl
icabibdhimpinfdbdbaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaa
aaaaaaaadhaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaacaaaaaa
biaaaaaaabeaaaaaaaaaiadpbaaaaaahecaabaaaaaaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaefaaaaajpcaabaaaaeaaaaaakgakbaaaaaaaaaaaeghobaaa
agaaaaaaaagabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaeaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaiaeadiaaaaahhcaabaaaaeaaaaaafgafbaaaaaaaaaaaegacbaaaacaaaaaa
diaaaaahicaabaaaaeaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaabbaaaaaj
ccaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaa
fgafbaaaaaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egbcbaaaafaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaaaaaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
ecaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaaj
ccaabaaaaaaaaaaadkaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaa
dcaaaaakpcaabaaaacaaaaaaegaobaaaaeaaaaaafgafbaaaaaaaaaaaegaobaia
ebaaaaaaabaaaaaaaaaaaaakocaabaaaaaaaaaaaagbjbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaeiecaaaaeiecaaaaeiecbaaaaaahccaabaaaaaaaaaaajgahbaaa
aaaaaaaajgahbaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaa
bgaaaaaadicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaknhkddm
dcaaaaajpcaabaaaabaaaaaafgafbaaaaaaaaaaadgajbaaaacaaaaaadgajbaaa
abaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaaiccaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaiocaabaaaaaaaaaaa
fgaobaiaebaaaaaaabaaaaaaagajbaaaadaaaaaadcaaaaajhccabaaaaaaaaaaa
agaabaaaaaaaaaaajgahbaaaaaaaaaaajgahbaaaabaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 212 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c21, 0.97000003, 4.00000000, 15.00000000, -0.94999999
def c22, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c23, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c21
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c22.x, c22.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c22.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c11.x, c11.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c13
cmp r4.z, r4.x, c15.x, c15.y
add r4.y, -r4, c11.x
cmp r4.x, r4.y, c15, c15.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c15.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c12.x
mad r4.x, r3.w, c17.z, c17.w
mad r4.x, r4, r3.w, c18
mul r4.y, r4.z, c12.x
mad r4.y, r4, c21.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c18.y
mad r1.x, r4, r3.w, c18.z
mad r1.z, r1.x, r3.w, c18.w
mul r1.z, r1, r3
mul r4.xy, r3, c14.x
mov r1.x, c14
mad r1.xy, c15.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c19.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c15.x
mad r1.z, r0.w, c16.x, c16.y
mad r1.z, r1, r0.w, c15.w
rsq r1.w, r1.w
cmp r0.y, r0, c15, c15.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c17.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c16.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c16.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c15.y, c15.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c3
pow r0, r3.x, c5.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c11.x
mov r3.x, r0
mad_pp r0.w, r0.y, -r5, r5
mul r0.w, r3.x, r0
mov_pp r0.xyz, c3
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s7
dp4 r0.y, r0, c20
dp3 r3.x, v3, v3
rsq r0.x, r3.x
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c21.x, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r3.x, v4, r0
mov r3.y, c2.x
cmp r0.y, r0.w, c15.x, r3
dp3 r0.x, v2, v2
add_pp r0.z, r3.x, c23.y
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c21.y
add_pp_sat r3.y, r0.z, -r0
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c23
add_pp r2.y, r3, c23.z
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r3.x, c15.x
mul_pp r0.w, r0, c21.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c19.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 197 instructions, 7 temp regs, 0 temp arrays:
// ALU 167 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
Float 17 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 220 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c18, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c19, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c20, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c21, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c22, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c23, 0.25000000, 4.00000000, 15.00000000, -0.94999999
def c24, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c25, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c18.x, c18.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c18.x, c18.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c18, c18.x
cmp r1.x, -r1, c18.y, c18
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c18.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c18.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c18.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c18.z, c18.z
mad r3.x, r1, c18.z, c18.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c18.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c11.x
mov r0.w, c11.x
mad r2.zw, c18.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c23
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c24.x, c24.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c12.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c19
add_pp r1, r1, c24.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c24.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c14.x, c14.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c16
cmp r4.z, r4.x, c18.x, c18.y
add r4.y, -r4, c14.x
cmp r4.x, r4.y, c18, c18.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c18.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c15.x
mad r4.x, r3.w, c20.z, c20.w
mad r4.x, r4, r3.w, c21
mul r4.y, r4.z, c15.x
mad r4.y, r4, c23.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c21.y
mad r1.x, r4, r3.w, c21.z
mad r1.z, r1.x, r3.w, c21.w
mul r1.z, r1, r3
mul r4.xy, r3, c17.x
mov r1.x, c17
mad r1.xy, c18.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c22.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c18.x
mad r1.z, r0.w, c19.x, c19.y
mad r1.z, r1, r0.w, c18.w
rsq r1.w, r1.w
cmp r0.y, r0, c18, c18.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c20.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c19.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c19.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c20, r0.z
mul r0.y, r0.x, c20
mul r0.z, r0.w, c22.y
add r0.x, r0.z, c18.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c18.y, c18.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c13, c13
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r2, r0, c7
dp3_pp r1.x, c0, c0
rsq_pp r0.x, r1.x
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r1
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r1.w, r0, r3
dp3_pp r3.w, r0, r1
mul_pp r6.xyz, r2, c6
pow r0, r1.w, c8.x
rcp r3.x, r6.w
add_sat r0.y, r3.x, -c14.x
mul_pp r1.xyz, r3.w, r6
mad_pp r0.w, r0.y, -r5, r5
mov r1.w, r0.x
mul r1.w, r1, r0
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r3.xyz, r0, r1.w, r1
rcp r0.w, v3.w
mad r0.xy, v3, r0.w, c5
mad r1.xy, v3, r0.w, c4
texld r0.x, r0, s9
mov r1.w, r0.x
texld r1.x, r1, s9
mov r1.z, r1.x
mad r1.xy, v3, r0.w, c2
mad r0.xy, v3, r0.w, c3
texld r1.x, r1, s9
texld r0.x, r0, s9
mov r1.y, r0.x
mad r0, -v3.z, r0.w, r1
mov r1.x, c1
cmp r0, r0, c18.x, r1.x
dp4_pp r0.y, r0, c23.x
dp4 r1.y, c0, c0
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.z, v4, r1
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c18.z
texld r0.w, r1, s7
cmp r1.x, -v2.z, c18.y, c18
dp3 r0.x, v2, v2
add_pp r0.z, r1, c25.y
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s8
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
add_pp_sat r1.x, r0.z, -r0.y
mul_pp r0.x, r0.w, c23.y
add_pp r1.y, r1.x, c25.z
mul_pp_sat r1.x, -r1.z, c25
mul_pp r1.w, r1.x, r1.y
add r1.xyz, v5, c22.z
dp3 r1.x, r1, r1
mad_pp r1.w, r5, -r1, r1
rsq r1.x, r1.x
mul_pp r0.w, r0, r3
rcp r1.x, r1.x
add r1.x, r1, -c14
add_pp r1.y, r1.w, c18.x
mul_sat r1.x, r1, c22.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c23.y
mad_pp r0, r0, r1.y, -r2
mad_pp r0, r1.x, r0, r2
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c18
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c18.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 209 instructions, 7 temp regs, 0 temp arrays:
// ALU 172 float, 1 int, 8 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
Float 17 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 219 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c18, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c19, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c20, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c21, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c22, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c23, 0.25000000, 4.00000000, 15.00000000, -0.94999999
def c24, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c25, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c18.y, c18.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c18.y, c18.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c18.x, c18
cmp r1.x, -r1, c18, c18.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c18.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c18.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c18.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c18.z, c18.z
mad r3.x, r1, c18.z, c18.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c18.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c11.x
mov r0.w, c11.x
mad r2.zw, c18.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c23
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c24.x, c24.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c12.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c19
add_pp r1, r1, c24.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c24.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c14.x, c14.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c16
cmp r4.z, r4.x, c18.y, c18.x
add r4.y, -r4, c14.x
cmp r4.x, r4.y, c18.y, c18
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c18.y
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c15.x
mad r4.x, r3.w, c20.z, c20.w
mad r4.x, r4, r3.w, c21
mul r4.y, r4.z, c15.x
mad r4.y, r4, c23.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c21.y
mad r1.x, r4, r3.w, c21.z
mad r1.z, r1.x, r3.w, c21.w
mul r1.z, r1, r3
mul r4.xy, r3, c17.x
mov r1.x, c17
mad r1.xy, c18.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c22.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c18.y
mad r1.z, r0.w, c19.x, c19.y
mad r1.z, r1, r0.w, c18.w
rsq r1.w, r1.w
cmp r0.y, r0, c18.x, c18
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c20.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c19.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c19.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c20, r0.z
mul r0.y, r0.x, c20
mul r0.z, r0.w, c22.y
add r0.x, r0.z, c18.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c18.x, c18.y
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c13, c13
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c7
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c6
pow r0, r3.x, c8.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c14.x
mad_pp r0.y, r0, -r5.w, r5.w
mov_pp r3.xyz, c6
rcp r3.w, v3.w
mul r0.w, r0.x, r0.y
mad r0.xyz, v3, r3.w, c5
texld r0.x, r0, s9
mul_pp r3.xyz, c9, r3
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r3, r0.w, r2
mad r3.xyz, v3, r3.w, c4
mov_pp r0.w, r0.x
texld r0.x, r3, s9
mad r3.xyz, v3, r3.w, c3
mov_pp r0.z, r0.x
texld r0.x, r3, s9
mad r3.xyz, v3, r3.w, c2
mov_pp r0.y, r0.x
texld r0.x, r3, s9
mov r3.x, c1
add r3.x, c18.y, -r3
mad r0, r0, r3.x, c1.x
dp4_pp r0.y, r0, c23.x
dp4 r3.y, c0, c0
rsq r3.y, r3.y
mul r3.xyz, r3.y, c0
dp3_pp r3.z, v4, r3
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c18.z
texld r0.w, r3, s7
cmp r3.x, -v2.z, c18, c18.y
dp3 r0.x, v2, v2
add_pp r0.z, r3, c25.y
mul_pp r0.w, r3.x, r0
texld r0.x, r0.x, s8
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c23.y
add_pp_sat r3.x, r0.z, -r0.y
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c25.z
mul_pp_sat r2.x, -r3.z, c25
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c22.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c14
add_pp r2.y, r3.x, c18
mul_pp r0.w, r0, c23.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c22.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c18.y
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c18.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 206 instructions, 7 temp regs, 0 temp arrays:
// ALU 173 float, 1 int, 8 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 219 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c23, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r7.x, r0.x
mul r0.xyz, r7.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c22.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c23.x, c23.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c23.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c11.x, c11.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r2, -r1, c13
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c15.x, c15.y
add r4.z, -r4, c11.x
cmp r4.y, r4.z, c15.x, c15
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c15.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c12
mad r4.y, r3.w, c17.z, c17.w
mad r4.y, r4, r3.w, c18.x
mul r4.z, r4.w, c12.x
mad r4.z, r4, c22.y, r5.x
mad_pp r1, r4.z, r2, r1
mad r4.y, r4, r3.w, c18
mad r2.x, r4.y, r3.w, c18.z
mad r2.z, r2.x, r3.w, c18.w
mul r2.z, r2, r3
mul r5.xy, r3, c14.x
mov r2.x, c14
mad r2.xy, c15.z, -r2.x, r5
abs r2.xy, r2
add r2.w, -r2.z, c19.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r2.z, r2.w
abs r0.w, r0.y
add r2.w, -r0, c15.x
mad r2.z, r0.w, c16.x, c16.y
mad r2.z, r2, r0.w, c15.w
rsq r2.w, r2.w
cmp r0.y, r0, c15, c15.x
dsy r6.xy, r2
dsx r5.zw, r2.xyxy
add r3.y, -r3.x, c17.x
rcp r2.w, r2.w
mad r0.w, r2.z, r0, c16.z
mul r0.w, r0, r2
mul r2.z, r0.y, r0.w
cmp r2.w, r0.z, r3.x, r3.y
mad r0.z, -r2, c16.w, r0.w
cmp r0.w, r0.x, r2, -r2
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r2.w, r0.y
abs r2.z, r0
dsy r6.zw, r2
dsx r0.zw, r2
texldd r3, r0, s0, r0.zwzw, r6.zwzw
add_pp r4, r3, -r1
texldd r0.w, r0, s3, r0.zwzw, r6.zwzw
cmp r3.x, -v0.w, c15.y, c15
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r6.z, r0.w, r3.x
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r4, r1
mul_pp r2.w, r6.z, r2
mov_pp r1.xyz, r2
mov_pp r1.w, r2
add_pp r1, r1, -r0
mad_pp r0, r2.w, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r4.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r2.w, r0, r3
dp3_pp r6.w, r0, r4
mul_pp r2.xyz, r1, c3
pow r0, r2.w, c5.x
rcp r3.x, r7.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r3.w, r3.w
mul r2.w, r0.x, r0.y
add r0.xyz, v3, c20.xyyw
texld r0, r0, s7
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.yxyw
texld r0, r0, s7
dp4 r4.z, r0, c21
mul_pp r2.xyz, r6.w, r2
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r2.w, r2
add r2.xyz, v3, c20.yyxw
texld r2, r2, s7
dp4 r4.y, r2, c21
dp3 r0.w, v3, v3
rsq r2.x, r0.w
add r0.xyz, v3, c20.x
texld r0, r0, s7
dp4 r2.y, c0, c0
rcp r2.x, r2.x
dp4 r4.x, r0, c21
mul r0.x, r2, c1.w
mov r2.x, c2
mad r0, -r0.x, c20.z, r4
cmp r0, r0, c15.x, r2.x
dp4_pp r0.y, r0, c20.w
rsq r2.y, r2.y
mul r2.xyz, r2.y, c0
dp3_pp r2.x, v4, r2
add_pp r0.z, r2.x, c24.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c22
add_pp_sat r2.y, r0.z, -r0
mul_pp r0.w, r0, r6
add_pp r2.y, r2, c24
mul_pp_sat r2.x, -r2, c23.w
mul_pp r2.w, r2.x, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r2.w, r3, -r2, r2
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r2.w, c15.x
mul_sat r2.x, r2, c19.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c22.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r6.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 206 instructions, 7 temp regs, 0 temp arrays:
// ALU 174 float, 1 int, 7 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 220 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c23, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r7.x, r0.x
mul r0.xyz, r7.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c22.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c23.x, c23.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c23.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c11.x, c11.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r2, -r1, c13
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c15.x, c15.y
add r4.z, -r4, c11.x
cmp r4.y, r4.z, c15.x, c15
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c15.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c12
mad r4.y, r3.w, c17.z, c17.w
mad r4.y, r4, r3.w, c18.x
mul r4.z, r4.w, c12.x
mad r4.z, r4, c22.y, r5.x
mad_pp r1, r4.z, r2, r1
mad r4.y, r4, r3.w, c18
mad r2.x, r4.y, r3.w, c18.z
mad r2.z, r2.x, r3.w, c18.w
mul r2.z, r2, r3
mul r5.xy, r3, c14.x
mov r2.x, c14
mad r2.xy, c15.z, -r2.x, r5
abs r2.xy, r2
add r2.w, -r2.z, c19.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r2.z, r2.w
abs r0.w, r0.y
add r2.w, -r0, c15.x
mad r2.z, r0.w, c16.x, c16.y
mad r2.z, r2, r0.w, c15.w
rsq r2.w, r2.w
cmp r0.y, r0, c15, c15.x
dsy r6.xy, r2
dsx r5.zw, r2.xyxy
add r3.y, -r3.x, c17.x
rcp r2.w, r2.w
mad r0.w, r2.z, r0, c16.z
mul r0.w, r0, r2
mul r2.z, r0.y, r0.w
cmp r2.w, r0.z, r3.x, r3.y
mad r0.z, -r2, c16.w, r0.w
cmp r0.w, r0.x, r2, -r2
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r2.w, r0.y
abs r2.z, r0
dsy r6.zw, r2
dsx r0.zw, r2
texldd r3, r0, s0, r0.zwzw, r6.zwzw
add_pp r4, r3, -r1
texldd r0.w, r0, s3, r0.zwzw, r6.zwzw
cmp r3.x, -v0.w, c15.y, c15
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r6.z, r0.w, r3.x
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r4, r1
mul_pp r2.w, r6.z, r2
mov_pp r1.xyz, r2
mov_pp r1.w, r2
add_pp r1, r1, -r0
mad_pp r0, r2.w, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r4.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r2.w, r0, r3
dp3_pp r6.w, r0, r4
mul_pp r2.xyz, r1, c3
pow r0, r2.w, c5.x
rcp r3.x, r7.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r3.w, r3.w
mul r2.w, r0.x, r0.y
add r0.xyz, v3, c20.xyyw
texld r0, r0, s7
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.yxyw
texld r0, r0, s7
dp4 r4.z, r0, c21
add r0.xyz, v3, c20.x
texld r0, r0, s7
mul_pp r2.xyz, r6.w, r2
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r2.w, r2
add r2.xyz, v3, c20.yyxw
texld r2, r2, s7
dp4 r4.y, r2, c21
dp3 r2.x, v3, v3
rsq r2.x, r2.x
dp4 r4.x, r0, c21
rcp r0.x, r2.x
dp4 r2.x, c0, c0
mul r0.x, r0, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v4, r2
mov r2.w, c2.x
mad r0, -r0.x, c20.z, r4
cmp r0, r0, c15.x, r2.w
dp4_pp r0.y, r0, c20.w
add_pp r0.z, r2.x, c24.x
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c22
add_pp_sat r2.y, r0.z, -r0
mul_pp r0.w, r0, r6
add_pp r2.y, r2, c24
mul_pp_sat r2.x, -r2, c23.w
mul_pp r2.w, r2.x, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r2.w, r3, -r2, r2
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r2.w, c15.x
mul_sat r2.x, r2, c19.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c22.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r6.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 208 instructions, 7 temp regs, 0 temp arrays:
// ALU 175 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 164 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r5.xy, r3, c9.x
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c10.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c7.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c14.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c10
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r2.x, r2.x
cmp r0.y, r0, c10, c10.x
mul_sat r2.z, r2, c11.w
add_pp r1.xyz, r1, c15.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c15.w
add r2.z, -r2.y, c12.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c11.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c11.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c12, r0.z
mul r0.y, r0.x, c12
mul r0.z, r0.w, c14.y
add r0.x, r0.z, c10.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c10.y, c10
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c8.x, c8.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r0.w, r0, r0.x
mul_pp r1.w, r0, r2
add_pp r2.xyz, r2, -r1
mad_pp r2.xyz, r1.w, r2, r1
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r2.w, v3, v3
mul_pp r2.xyz, r2, c2
mul_pp r2.xyz, r2, c1
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v5, v5
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v5, r3
dp3_pp r3.w, r0, r0
rsq_pp r3.w, r3.w
rsq_pp r2.w, r2.w
mul_pp r4.xyz, r3.w, r0
mul_pp r0.xyz, r2.w, v3
dp3_pp_sat r2.w, r0, r4
pow r1, r2.w, c3.x
dp3_pp r1.w, r0, r3
mov r2.w, r1.x
mul_pp r1.xyz, r1.w, r2
mov_pp r0.xyz, c1
dp4 r2.y, c0, c0
mul_pp r0.xyz, c4, r0
mul r2.x, r2.w, c4.w
mad r1.xyz, r0, r2.x, r1
rsq r2.y, r2.y
mul r2.xyz, r2.y, c0
dp3_pp r0.z, v3, r2
add_pp r2.x, r0.z, c16.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
mul_pp r0.y, r0.x, c14.z
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.y
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
add_pp r1.w, r0.y, c16.z
mul_pp_sat r0.y, -r0.z, c16.x
mad_pp r0.y, r0, r1.w, c10.x
mul_pp r1.w, r0.x, c14.z
mul_pp r1, r1, r0.y
texldd r2, r5, s4, r5.zwzw, r6
mov_pp_sat r1.w, r1
add_pp r0.xyz, r2, -r1
add_pp r1.w, -r1, c10.x
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r1
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord8 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
texldd r2.w, r2, s3, r2.zwzw, r3
cmp r1.w, -v0, c10.y, c10.x
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r1.xyz, r0.w, r1, r0
texldd r0, r4, s5, r4.zwzw, r5
mul_pp r1.w, r2, r1
add_pp r0.xyz, r0, -r1
mul_pp r0.w, r1, r0
mad_pp r0.xyz, r0.w, r0, r1
mul_pp r0.xyz, r0, c2
mul_pp r3.xyz, r0, c1
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.w, c0
rsq_pp r0.y, r0.y
mad_pp r1.xyz, r0.y, v4, r2
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
mul_pp r1.xyz, r0.w, r1
dp3_pp r2.w, r0, r2
dp3_pp_sat r1.x, r0, r1
pow r0, r1.x, c3.x
dp4_pp r1.y, c0, c0
rsq_pp r0.y, r1.y
mul_pp r1.xyz, r0.y, c0
dp3_pp r0.w, v2, r1
add_pp r1.x, r0.w, c16.y
mul r1.z, r0.x, c4.w
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
mov_pp r0.xyz, c1
mul_pp r2.xyz, r2.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r1.z, r2
mul_pp_sat r0.w, -r0, c16.x
add_pp r1.x, r1, c16.z
mad_pp r1.x, r0.w, r1, c10
mul_pp r0.w, r2, c14.z
mul r0.xyz, r0, c14.z
mul_pp r0, r0, r1.x
texldd r2, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r1.xyz, r2, -r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r2, r1
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 336 used size, 21 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 332 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 150 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
"ps_3_0
; 169 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r5.xy, r3, c9.x
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c10.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c7.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c14.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c10
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r2.x, r2.x
cmp r0.y, r0, c10, c10.x
mul_sat r2.z, r2, c11.w
add_pp r1.xyz, r1, c15.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c15.w
add r2.z, -r2.y, c12.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c11.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c11.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c12, r0.z
mul r0.y, r0.x, c12
mul r0.z, r0.w, c14.y
add r0.x, r0.z, c10.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c10.y, c10
mul_pp r3.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v3, v3
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c8.x, c8.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
add_pp r2.xyz, r2, -r1
mul_pp r1.w, r3, r2
mad_pp r2.xyz, r1.w, r2, r1
mul_pp r2.xyz, r2, c2
mul_pp r2.xyz, r2, c1
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v5, v5
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v5, r3
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r2.w, r0
mul_pp r0.xyz, r0.w, v3
dp3_pp_sat r0.w, r0, r4
pow r1, r0.w, c3.x
dp3_pp r1.w, r0, r3
mov r0.w, r1.x
mul_pp r1.xyz, r1.w, r2
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
mul r0.w, r0, c4
mul_pp r0.xyz, c4, r0
mad r1.xyz, r0, r0.w, r1
rsq r2.x, r2.x
mul r0.xyz, r2.x, c0
dp3_pp r2.z, v3, r0
rcp r0.w, v2.w
mad r2.xy, v2, r0.w, c10.z
texld r0.w, r2, s7
add_pp r2.x, r2.z, c16.y
dp3 r0.x, v2, v2
cmp r0.y, -v2.z, c10, c10.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.w, r0.y, r0.x
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.y, r2.x
add_pp_sat r1.x, r2, -r2.y
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2.z, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 132 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 165 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4 r0.y, c0, c0
rsq r2.x, r0.y
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mul r0.w, r0.x, c4
add_pp r2.y, r2.x, c16
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
texld r0.w, v2, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 155 instructions, 6 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 163 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul r0.w, r0.x, c4
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r0.w, r1
mul_pp r2.xyz, r2.x, c0
dp3_pp r1.x, v3, r2
add_pp r1.z, r1.x, c16.y
texld r0.w, v2, s7
mul_pp r1.y, r0.w, c14.z
mul_pp r0.w, r0, r1
frc_pp r2.x, r1.z
mul r0.xyz, r0, r1.y
add_pp_sat r1.y, r1.z, -r2.x
add_pp r1.y, r1, c16.z
mul_pp_sat r1.x, -r1, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c11, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c12, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c13, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c14, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c15, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c16, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c17, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r2.xyz, r0.x, v5
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r2.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c11.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c11.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c11.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c11.z, c11.z
mad r3.y, r0.x, c11.z, c11.z
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c11.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r2.z
max r2.w, r4.x, r0
mul r1.xy, r3, c7.x
mov r1.z, c7.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r3.zwzw
dp3_sat r3.z, -r2, v1
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2
add r3.z, r3, c15.w
mad_sat r2.w, r3.z, c16.x, c16.y
mad_pp r0.xyz, r2.w, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
mad r1.y, r1, r1.x, c14
mul r1.z, v1.w, c8.x
mul_sat r1.z, r1, c12.w
add_pp r0.xyz, r0, c16.z
mad_pp r0.xyz, r1.z, -r0, r0
mad r1.y, r1, r1.x, c14.z
mad r1.z, r1.y, r1.x, c14.w
mul r2.w, r1.z, r1
mul r1.xy, r3, c10.x
mul_pp r0.xyz, r0, c16.w
mov r1.z, c10.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r5.xy, r1.zwzw
add r3.x, -r2.w, c15
add r0.w, r4.x, -r0
cmp r0.w, -r0, r2, r3.x
abs r3.x, r2.y
add r2.w, -r0, c13.x
cmp r2.z, r2, r0.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
add r3.z, -r3.x, c11.x
mad r3.y, r3.x, c12.x, c12
mad r3.y, r3, r3.x, c11.w
rsq r3.z, r3.z
cmp r2.y, r2, c11, c11.x
add r0.xyz, v0, r0
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c12.z
mul r3.x, r3, r3.z
mul r3.y, r2, r3.x
mad r0.w, -r3.y, c12, r3.x
mad r0.w, r2.y, c13.x, r0
mul r0.w, r0, c13.y
mul r2.x, r2, c15.y
add r3.x, r2, c11.z
mov r2.y, r0.w
abs r2.x, r2
mov r3.y, r0.w
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r3, s0, r3.zwzw, r4
add_pp r2.xyz, r2, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r0.xyz, r0.w, r2, r0
texldd r0.w, r3, s3, r3.zwzw, r4
dsx r1.zw, r1
texldd r2, r1, s5, r1.zwzw, r5
cmp r4.z, -v0.w, c11.y, c11.x
mul_pp r3.w, r0, r4.z
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r3, r2
mad_pp r0.xyz, r0.w, r2, r0
dp3_pp r3.x, c0, c0
rsq_pp r2.w, r3.x
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r2.w, c0
dp3_pp r4.x, v6, v6
rsq_pp r2.w, r4.x
mad_pp r4.xyz, r2.w, v6, r3
dp3_pp r2.x, r4, r4
rsq_pp r2.x, r2.x
mul_pp r4.xyz, r2.x, r4
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v4
dp3_pp_sat r2.w, r2, r4
mul_pp r4.xyz, r0, c3
pow r0, r2.w, c4.x
dp3_pp r2.w, r2, r3
mul_pp r4.xyz, r4, c2
mov_pp r3.xyz, c2
mul_pp r3.xyz, c5, r3
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
mul_pp r2.xyz, r2.w, r4
rsq r0.x, r0.y
mad r2.xyz, r3, r0.w, r2
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v4, r0
texldd r1, r1, s4, r1.zwzw, r5
texldp r0.x, v3, s9
rcp r0.y, v3.w
mad r0.y, -v3.z, r0, r0.x
mov r0.z, c1.x
cmp r0.y, r0, c11.x, r0.z
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c11.z
texld r0.w, r3, s7
add_pp r3.x, r3.z, c17.y
dp3 r0.x, v2, v2
cmp r0.z, -v2, c11.y, c11.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
frc_pp r3.y, r3.x
add_pp_sat r2.x, r3, -r3.y
add_pp r2.y, r2.x, c17.z
mul_pp_sat r2.x, -r3.z, c17
mad_pp r2.x, r2, r2.y, c11
mul_pp r0.w, r0, c15.z
mul_pp r0, r0, r2.x
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c11
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c11.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 165 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedacjhkmpedecogeeieooakgfbggdbmihaabaaaaaagmbhaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapapaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
aiaaaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaaaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcombfaaaa
eaaaaaaahlafaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaa
aiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaa
ffffaaaafibiaaaeaahabaaaaiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagcbaaaadpcbabaaaadaaaaaagcbaaaadpcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
hcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaai
dcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
cgbjbaaaagaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaagaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaagaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
bnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaia
ebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaaimcaabaaaaaaaaaaa
agaebaaaaaaaaaaaagiacaaaaaaaaaaabeaaaaaadiaaaaaidcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgipcaaaaaaaaaaabiaaaaaadcaaaaaodcaabaaaadaaaaaa
agiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaadaaaaaaegaabaiaibaaaaaa
adaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaaadaaaaaaamaaaaafdcaabaaa
adaaaaaaegaabaaaadaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaafaaaaaaogakbaaaadaaaaaaegaabaaaadaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaadaaaaaa
bacaaaaiecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
adaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaa
egacbaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaaoaaaaakecaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpckaabaaaaaaaaaaaddaaaaajicaabaaaaaaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
dbaaaaaidcaabaaaadaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaa
abaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaanlapejmaaaaaaaah
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaddaaaaahicaabaaa
aaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadeaaaaahicaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadhaaaaakecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
ckaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagecaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaackaabaaaaaaaaaaa
amaaaaafbcaabaaaafaaaaaackaabaaaaaaaaaaadcaaaaakecaabaaaaaaaaaaa
ckaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaa
iedefjlodcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaa
acaaaaaaabeaaaaakeanmjdpaaaaaaaiicaabaaaaaaaaaaackaabaiambaaaaaa
acaaaaaaabeaaaaaaaaaiadpelaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahicaabaaaabaaaaaabkaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaaeaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaadaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
aeaaaaaaegaabaaaafaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaadaaaaaadiaaaaajecaabaaaaaaaaaaadkiacaaaaaaaaaaa
bfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaapgipcaia
ebaaaaaaaaaaaaaabiaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaa
afaaaaaaaagabaaaaiaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaia
ebaaaaaaabaaaaaaegacbaaaadaaaaaabnaaaaahicaabaaaabaaaaaaabeaaaaa
aaaaaaaadkbabaaaabaaaaaadhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaaapaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaiaaaaaaegbcbaaa
aiaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaajbcaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaaihcaabaaaacaaaaaaagaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaaegbcbaaa
aiaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaapgapbaaa
abaaaaaaegbcbaaaafaaaaaabacaaaahicaabaaaabaaaaaaegacbaaaadaaaaaa
egacbaaaaeaaaaaabaaaaaahbcaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaa
acaaaaaacpaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
dkiacaaaaaaaaaaabbaaaaaadiaaaaajocaabaaaacaaaaaaagijcaaaaaaaaaaa
afaaaaaaagijcaaaaaaaaaaabbaaaaaadiaaaaahocaabaaaacaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaaoaaaaahgcaabaaaacaaaaaaagbbbaaa
adaaaaaapgbpbaaaadaaaaaaaaaaaaakgcaabaaaacaaaaaafgagbaaaacaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaefaaaaajpcaabaaaadaaaaaa
jgafbaaaacaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahicaabaaa
abaaaaaaabeaaaaaaaaaaaaackbabaaaadaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
adaaaaaadkaabaaaabaaaaaabaaaaaahccaabaaaacaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaacaaaaaaeghobaaa
ahaaaaaaaagabaaaacaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaaaadaaaaaaaoaaaaahocaabaaaacaaaaaaagbjbaaaaeaaaaaapgbpbaaa
aeaaaaaaefaaaaajpcaabaaaadaaaaaajgafbaaaacaaaaaaeghobaaaaiaaaaaa
aagabaaaaaaaaaaadbaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaadkaabaaa
acaaaaaadhaaaaakccaabaaaacaaaaaabkaabaaaacaaaaaaakiacaaaacaaaaaa
biaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
bkaabaaaacaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiaeadiaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
diaaaaahicaabaaaadaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabbaaaaaj
bcaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
agaabaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaacambebcaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
pcaabaaaacaaaaaaagaabaaaabaaaaaadgajbaaaadaaaaaadcaaaaakhcaabaaa
aaaaaaaaegacbaiaebaaaaaaadaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaa
dgcaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaiaebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaa
abeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 173 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c11, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c12, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c13, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c14, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c15, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c16, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c17, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r2.xyz, r0.x, v5
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r2.w, r0.y, c11.y, c11.x
mad r0.y, r2.w, r0.z, r2.x
cmp r0.w, r0.x, c11.y, c11.x
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c11.x, c11
cmp r0.x, -r0, c11, c11.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c11.y
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c11.y
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c11.y
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c11.z, c11.z
mad r3.y, r0.x, c11.z, c11.z
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c11.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r2.z
max r2.w, r4.x, r0
mul r1.xy, r3, c7.x
mov r1.z, c7.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r3.zwzw
dp3_sat r3.z, -r2, v1
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2
add r3.z, r3, c15.w
mad_sat r2.w, r3.z, c16.x, c16.y
mad_pp r0.xyz, r2.w, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
mad r1.y, r1, r1.x, c14
mul r1.z, v1.w, c8.x
mul_sat r1.z, r1, c12.w
add_pp r0.xyz, r0, c16.z
mad_pp r0.xyz, r1.z, -r0, r0
mad r1.y, r1, r1.x, c14.z
mad r1.z, r1.y, r1.x, c14.w
mul r2.w, r1.z, r1
mul r1.xy, r3, c10.x
mul_pp r0.xyz, r0, c16.w
mov r1.z, c10.x
mad r1.zw, c11.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r5.xy, r1.zwzw
add r3.x, -r2.w, c15
add r0.w, r4.x, -r0
cmp r0.w, -r0, r2, r3.x
abs r3.x, r2.y
add r2.w, -r0, c13.x
cmp r2.z, r2, r0.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
add r3.z, -r3.x, c11.y
mad r3.y, r3.x, c12.x, c12
mad r3.y, r3, r3.x, c11.w
rsq r3.z, r3.z
cmp r2.y, r2, c11.x, c11
add r0.xyz, v0, r0
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c12.z
mul r3.x, r3, r3.z
mul r3.y, r2, r3.x
mad r0.w, -r3.y, c12, r3.x
mad r0.w, r2.y, c13.x, r0
mul r0.w, r0, c13.y
mul r2.x, r2, c15.y
add r3.x, r2, c11.z
mov r2.y, r0.w
abs r2.x, r2
mov r3.y, r0.w
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r3, s0, r3.zwzw, r4
add_pp r2.xyz, r2, -r0
mul_sat r0.w, c9.x, c9.x
mad_pp r0.xyz, r0.w, r2, r0
texldd r0.w, r3, s3, r3.zwzw, r4
dsx r1.zw, r1
texldd r2, r1, s5, r1.zwzw, r5
cmp r4.z, -v0.w, c11.x, c11.y
mul_pp r3.w, r0, r4.z
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r3, r2
mad_pp r0.xyz, r0.w, r2, r0
dp3_pp r3.x, c0, c0
rsq_pp r2.w, r3.x
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r2.w, c0
dp3_pp r4.x, v6, v6
rsq_pp r2.w, r4.x
mad_pp r4.xyz, r2.w, v6, r3
dp3_pp r2.x, r4, r4
rsq_pp r2.x, r2.x
mul_pp r4.xyz, r2.x, r4
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v4
dp3_pp_sat r2.w, r2, r4
mul_pp r4.xyz, r0, c3
pow r0, r2.w, c4.x
dp3_pp r2.w, r2, r3
mul_pp r4.xyz, r4, c2
mov_pp r3.xyz, c2
mul_pp r3.xyz, c5, r3
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
mul_pp r2.xyz, r2.w, r4
rsq r0.x, r0.y
mad r2.xyz, r3, r0.w, r2
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v4, r0
mov r0.x, c1
rcp r0.z, v2.w
mad r3.xy, v2, r0.z, c11.z
texld r0.w, r3, s7
add r0.y, c11, -r0.x
texldp r0.x, v3, s9
mad r0.y, r0.x, r0, c1.x
add_pp r3.x, r3.z, c17.y
dp3 r0.x, v2, v2
cmp r0.z, -v2, c11.x, c11.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
frc_pp r3.y, r3.x
add_pp_sat r2.x, r3, -r3.y
add_pp r2.y, r2.x, c17.z
mul_pp_sat r2.x, -r3.z, c17
texldd r1, r1, s4, r1.zwzw, r5
mad_pp r2.x, r2, r2.y, c11.y
mul_pp r0.w, r0, c15.z
mul_pp r0, r0, r2.x
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c11.y
mul_pp r0.w, r1, r3
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c11.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 165 instructions, 6 temp regs, 0 temp arrays:
// ALU 136 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 163 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v3, v3
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v5, v5
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v5, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v3
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r0.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul r1.w, r0.x, c4
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r0.w, r3
mad r1.xyz, r0, r1.w, r1
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.y, v3, r2
add_pp r1.w, r0.y, c16.y
texldp r0.x, v2, s7
mul_pp r0.z, r0.x, c14
mul r1.xyz, r1, r0.z
frc_pp r2.x, r1.w
add_pp_sat r0.z, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
mul_pp r1.w, r0.x, c14.z
add_pp r0.z, r0, c16
mul_pp_sat r0.y, -r0, c16.x
mad_pp r0.y, r0, r0.z, c10.x
mul_pp r0, r1, r0.y
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 164 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 4.00000000, -0.94999999
def c15, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c16, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.x, c10.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r4.xy, r3, c9.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c6.x
mov r1.w, c6.x
mad r2.zw, c10.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c14.w
mad_sat r2.w, r3.z, c15.x, c15.y
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c12.z, c12.w
mad r2.y, r2, r2.x, c13.x
mad r2.y, r2, r2.x, c13
mad r2.y, r2, r2.x, c13.z
mad r2.x, r2.y, r2, c13.w
mul r2.x, r2, r1.w
mov r1.w, c9.x
mad r3.zw, c10.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c14.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c11.x, c11
mul r2.z, v1.w, c7.x
mad r2.y, r2, r2.x, c10.w
cmp r1.y, r1, c10, c10.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c11.w
add_pp r0.xyz, r0, c15.z
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c10.x
mul_pp r0.xyz, r0, c15.w
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c11.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c11, r2.x
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r2.x, r1, c10.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c8.x, c8.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c10.y, c10.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c2
pow r0, r1.w, c3.x
dp3_pp r1.w, r1, r2
dp4_pp r0.y, c0, c0
rsq_pp r2.x, r0.y
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v4, r2
mul r0.w, r0.x, c4
add_pp r2.y, r2.x, c16
mul_pp r3.xyz, r3, c1
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
texldp r0.x, v3, s7
texld r0.w, v2, s8
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c14.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c16.z
mul_pp_sat r1.x, -r2, c16
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c14.z
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c10
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c10.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 155 instructions, 6 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 174 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.x, c12.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.x, c12.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12, c12.x
cmp r0.x, -r0, c12.y, c12
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c12.z, c12.z
mad r3.y, r0.x, c12.z, c12.z
mul r4.xy, r3, c11.x
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c12.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c8.x
mov r1.w, c8.x
mad r2.zw, c12.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.x
mad_sat r2.w, r3.z, c18.y, c18.z
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c16.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c14.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c13.x, c13
mul r2.z, v1.w, c9.x
mad r2.y, r2, r2.x, c12.w
cmp r1.y, r1, c12, c12.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c13.w
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c12.x
mul_pp r0.xyz, r0, c19.x
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c13.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c13, r2.x
mad r0.w, r1.y, c14.x, r0
mul r0.w, r0, c14.y
mul r1.x, r1, c16.y
add r2.x, r1, c12.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c12.y, c12.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c4
pow r0, r1.w, c5.x
mov r0.w, r0.x
dp3_pp r1.w, r1, r2
mul r2.x, r0.w, c6.w
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r2.x, r1
dp3 r0.w, v3, v3
rsq r2.x, r0.w
texld r0, v3, s7
dp4 r0.y, r0, c17
rcp r2.x, r2.x
mul r0.x, r2, c1.w
mad r0.x, -r0, c16.z, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r0.w, v4, r2
add_pp r2.y, r0.w, c19.z
mov r0.y, c2.x
cmp r0.y, r0.x, c12.x, r0
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r2.x, r0, r0.y
mul_pp r0.x, r2, c16.w
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.y, r2, -r2.z
mul_pp r1.x, r2, r1.w
mul_pp_sat r0.w, -r0, c19.y
add_pp r1.y, r1, c19.w
mad_pp r1.y, r0.w, r1, c12.x
mul_pp r0.w, r1.x, c16
mul_pp r0, r0, r1.y
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 162 instructions, 6 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 175 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.97000003, 4.00000000
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c19, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.x, c12.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.x, c12.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12, c12.x
cmp r0.x, -r0, c12.y, c12
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c12.z, c12.z
mad r3.y, r0.x, c12.z, c12.z
mul r4.xy, r3, c11.x
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c12.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r3.zwzw
abs r0.w, r1.z
mul r2.xy, r3, c8.x
mov r1.w, c8.x
mad r2.zw, c12.z, -r1.w, r2.xyxy
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r1, v1
max r2.w, r5.x, r0
min r1.w, r5.x, r0
rcp r2.w, r2.w
add_pp r0.xyz, r0, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.x
mad_sat r2.w, r3.z, c18.y, c18.z
mad_pp r0.xyz, r2.w, r0, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r4.xyxy
abs r3.zw, r3
add r0.w, r5.x, -r0
add r1.w, -r2.x, c16.x
cmp r0.w, -r0, r2.x, r1
abs r2.x, r1.y
add r1.w, -r0, c14.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
mad r2.y, r2.x, c13.x, c13
mul r2.z, v1.w, c9.x
mad r2.y, r2, r2.x, c12.w
cmp r1.y, r1, c12, c12.x
dsy r5.xy, r3.zwzw
dsx r4.zw, r3
mul_sat r2.z, r2, c13.w
add_pp r0.xyz, r0, c18.w
mad_pp r0.xyz, r2.z, -r0, r0
add r2.z, -r2.x, c12.x
mul_pp r0.xyz, r0, c19.x
rsq r2.z, r2.z
add r0.xyz, v0, r0
rcp r2.z, r2.z
mad r2.x, r2.y, r2, c13.z
mul r2.x, r2, r2.z
mul r2.y, r1, r2.x
mad r0.w, -r2.y, c13, r2.x
mad r0.w, r1.y, c14.x, r0
mul r0.w, r0, c14.y
mul r1.x, r1, c16.y
add r2.x, r1, c12.z
mov r1.y, r0.w
abs r1.x, r1
mov r2.y, r0.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1.xyz, r2, s0, r2.zwzw, r3
add_pp r1.xyz, r1, -r0
mul_sat r0.w, c10.x, c10.x
mad_pp r0.xyz, r0.w, r1, r0
texldd r0.w, r2, s3, r2.zwzw, r3
texldd r1, r4, s5, r4.zwzw, r5
cmp r3.z, -v0.w, c12.y, c12.x
mul_pp r2.w, r0, r3.z
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r2, r1
mad_pp r0.xyz, r0.w, r1, r0
dp3_pp r2.x, c0, c0
rsq_pp r1.w, r2.x
dp3_pp r0.w, v4, v4
mul_pp r2.xyz, r1.w, c0
dp3_pp r3.x, v6, v6
rsq_pp r1.w, r3.x
mad_pp r3.xyz, r1.w, v6, r2
dp3_pp r1.x, r3, r3
rsq_pp r1.x, r1.x
mul_pp r3.xyz, r1.x, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, v4
dp3_pp_sat r1.w, r1, r3
mul_pp r3.xyz, r0, c4
pow r0, r1.w, c5.x
dp3_pp r1.w, r1, r2
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
dp3 r2.x, v3, v3
mul_pp r1.xyz, r1.w, r3
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mad r1.xyz, r0, r0.w, r1
texld r0, v3, s7
dp4 r0.y, r0, c17
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c16.z, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c12.x, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v4, r0
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.y
mul_pp r0.x, r0.w, c16.w
add_pp r2.y, r2.x, c19.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c19.w
mul_pp_sat r1.x, -r2, c19.y
mad_pp r1.x, r1, r1.y, c12
mul_pp r0.w, r0, c16
mul_pp r0, r0, r1.x
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 183 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 0.25000000, 4.00000000
def c20, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c21, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r3.xyz, r0.x, v5
abs r4.xyz, r3
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
cmp r2.x, r0.y, c15, c15.y
add r0.z, r3, -r3.x
mad r0.y, r2.x, r0.z, r3.x
cmp r0.w, r0.x, c15.x, c15.y
add r0.y, -r3, r0
mad r0.x, r0.w, r0.y, r3.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c15.z, c15.z
mad r2.y, r0.x, c15.z, c15.z
mul r0.xy, r2, c10.x
mul r1.xy, r2, c11.x
mov r0.z, c10.x
mad r0.zw, c15.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r2.zwzw
mov r1.z, c11.x
mad r1.zw, c15.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r2.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r2.zwzw
abs r0.w, r3.z
max r2.z, r4.x, r0.w
min r1.w, r4.x, r0
dp3_sat r2.w, -r3, v1
rcp r2.z, r2.z
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2.z
add r2.w, r2, c20.x
mad_sat r2.z, r2.w, c20.y, c20
mad_pp r0.xyz, r2.z, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c17.z, c17.w
mad r1.y, r1, r1.x, c18.x
mad r1.y, r1, r1.x, c18
mad r1.y, r1, r1.x, c18.z
mad r1.x, r1.y, r1, c18.w
mul r1.y, r1.x, r1.w
mul r1.z, v1.w, c12.x
mul r2.xy, r2, c14.x
mul_sat r1.z, r1, c16.w
add_pp r0.xyz, r0, c20.w
mad_pp r0.xyz, r1.z, -r0, r0
mov r1.x, c14
mad r1.zw, c15.z, -r1.x, r2.xyxy
mul_pp r0.xyz, r0, c21.x
add r1.x, -r1.y, c19
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1.y, r1.x
abs r1.y, r3
add r1.x, -r0.w, c17
cmp r1.x, r3.z, r0.w, r1
add r2.w, -r1.y, c15.x
mad r2.z, r1.y, c16.x, c16.y
mad r2.z, r2, r1.y, c15.w
rsq r2.w, r2.w
mad r1.y, r2.z, r1, c16.z
rcp r2.w, r2.w
mul r2.z, r1.y, r2.w
cmp r1.y, r3, c15, c15.x
mul r2.w, r1.y, r2.z
mad r0.w, -r2, c16, r2.z
mad r0.w, r1.y, c17.x, r0
cmp r1.x, r3, r1, -r1
mul r1.y, r1.x, c19
mul r0.w, r0, c17.y
add r1.x, r1.y, c15.z
abs r2.z, r1.y
mov r2.w, r0
mov r1.y, r0.w
dsy r4.zw, r2
dsx r4.xy, r2.zwzw
abs r1.zw, r1
dsy r2.zw, r1
texldd r3.xyz, r1, s0, r4, r4.zwzw
add r0.xyz, v0, r0
add_pp r3.xyz, r3, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r0.xyz, r0.w, r3, r0
texldd r0.w, r1, s3, r4, r4.zwzw
dsx r1.zw, r1
texldd r3, r2, s5, r1.zwzw, r2.zwzw
cmp r5.x, -v0.w, c15.y, c15
mul_pp r1.y, r0.w, r5.x
mul_pp r0.w, r1.y, r3
add_pp r3.xyz, r3, -r0
mad_pp r0.xyz, r0.w, r3, r0
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r1.x, c0
dp3_pp r3.w, v6, v6
rsq_pp r1.x, r3.w
mad_pp r5.xyz, r1.x, v6, r4
mul_pp r3.xyz, r0.w, v4
dp3_pp r1.x, r5, r5
rsq_pp r1.x, r1.x
mul_pp r5.xyz, r1.x, r5
dp3_pp_sat r1.x, r3, r5
mul_pp r5.xyz, r0, c7
pow r0, r1.x, c8.x
mov r0.w, r0.x
mul r1.x, r0.w, c9.w
mov_pp r0.xyz, c6
dp3_pp r3.w, r3, r4
rcp r0.w, v3.w
mul_pp r5.xyz, r5, c6
mul_pp r0.xyz, c9, r0
mul_pp r3.xyz, r3.w, r5
mad r3.xyz, r0, r1.x, r3
mad r0.xy, v3, r0.w, c5
mad r4.xy, v3, r0.w, c4
texld r1.x, r4, s9
mov r4.z, r1.x
mad r4.xy, v3, r0.w, c2
texld r0.x, r0, s9
mov r4.w, r0.x
mad r0.xy, v3, r0.w, c3
texld r4.x, r4, s9
texld r0.x, r0, s9
mov r4.y, r0.x
mad r0, -v3.z, r0.w, r4
mov r4.x, c1
cmp r0, r0, c15.x, r4.x
dp4 r1.x, c0, c0
rsq r4.x, r1.x
dp4_pp r1.x, r0, c19.z
mul r0.xyz, r4.x, c0
dp3_pp r4.z, v4, r0
rcp r0.w, v2.w
mad r4.xy, v2, r0.w, c15.z
dp3 r0.x, v2, v2
texld r0.w, r4, s7
cmp r0.y, -v2.z, c15, c15.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.x
mul_pp r0.x, r0.w, c19.w
add_pp r1.x, r4.z, c21.z
frc_pp r4.x, r1
mul_pp r0.w, r0, r3
texldd r2, r2, s4, r1.zwzw, r2.zwzw
mul r0.xyz, r3, r0.x
add_pp_sat r1.x, r1, -r4
add_pp r3.x, r1, c21.w
mul_pp_sat r1.x, -r4.z, c21.y
mad_pp r1.x, r1, r3, c15
mul_pp r0.w, r0, c19
mul_pp r0, r0, r1.x
mov_pp_sat r0.w, r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r2, r1.y
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 176 instructions, 6 temp regs, 0 temp arrays:
// ALU 140 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c15, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 0.25000000, 4.00000000
def c20, -0.94999999, 32.00000000, 0.50000000, -0.50000000
def c21, 0.75000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r3.xyz, r0.x, v5
abs r4.xyz, r3
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
cmp r2.x, r0.y, c15.y, c15
add r0.z, r3, -r3.x
mad r0.y, r2.x, r0.z, r3.x
cmp r0.w, r0.x, c15.y, c15.x
add r0.y, -r3, r0
mad r0.x, r0.w, r0.y, r3.y
cmp r0.y, r0.x, c15.x, c15
cmp r0.x, -r0, c15, c15.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c15.y
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.y
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r1.w
mov r0.xy, c15.y
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c15.z, c15.z
mad r2.y, r0.x, c15.z, c15.z
mul r0.xy, r2, c10.x
mul r1.xy, r2, c11.x
mov r0.z, c10.x
mad r0.zw, c15.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r0.zw, r0
texldd r0.xyz, r0, s1, r0.zwzw, r2.zwzw
mov r1.z, c11.x
mad r1.zw, c15.z, -r1.z, r1.xyxy
abs r1.zw, r1
dsy r2.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s2, r1.zwzw, r2.zwzw
abs r0.w, r3.z
max r2.z, r4.x, r0.w
min r1.w, r4.x, r0
dp3_sat r2.w, -r3, v1
rcp r2.z, r2.z
add_pp r0.xyz, r0, -r1
mul r1.w, r1, r2.z
add r2.w, r2, c20.x
mad_sat r2.z, r2.w, c20.y, c20
mad_pp r0.xyz, r2.z, r0, r1
mul r1.x, r1.w, r1.w
mad r1.y, r1.x, c17.z, c17.w
mad r1.y, r1, r1.x, c18.x
mad r1.y, r1, r1.x, c18
mad r1.y, r1, r1.x, c18.z
mad r1.x, r1.y, r1, c18.w
mul r1.y, r1.x, r1.w
mul r1.z, v1.w, c12.x
mul r2.xy, r2, c14.x
mul_sat r1.z, r1, c16.w
add_pp r0.xyz, r0, c20.w
mad_pp r0.xyz, r1.z, -r0, r0
mov r1.x, c14
mad r1.zw, c15.z, -r1.x, r2.xyxy
mul_pp r0.xyz, r0, c21.x
add r1.x, -r1.y, c19
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1.y, r1.x
abs r1.y, r3
add r1.x, -r0.w, c17
cmp r1.x, r3.z, r0.w, r1
add r2.w, -r1.y, c15.y
mad r2.z, r1.y, c16.x, c16.y
mad r2.z, r2, r1.y, c15.w
rsq r2.w, r2.w
mad r1.y, r2.z, r1, c16.z
rcp r2.w, r2.w
mul r2.z, r1.y, r2.w
cmp r1.y, r3, c15.x, c15
mul r2.w, r1.y, r2.z
mad r0.w, -r2, c16, r2.z
mad r0.w, r1.y, c17.x, r0
cmp r1.x, r3, r1, -r1
mul r1.y, r1.x, c19
mul r0.w, r0, c17.y
add r1.x, r1.y, c15.z
abs r2.z, r1.y
mov r2.w, r0
mov r1.y, r0.w
dsy r4.zw, r2
dsx r4.xy, r2.zwzw
abs r1.zw, r1
dsy r2.zw, r1
texldd r3.xyz, r1, s0, r4, r4.zwzw
add r0.xyz, v0, r0
add_pp r3.xyz, r3, -r0
mul_sat r0.w, c13.x, c13.x
mad_pp r0.xyz, r0.w, r3, r0
texldd r0.w, r1, s3, r4, r4.zwzw
dsx r1.zw, r1
texldd r3, r2, s5, r1.zwzw, r2.zwzw
cmp r5.x, -v0.w, c15, c15.y
mul_pp r1.y, r0.w, r5.x
mul_pp r0.w, r1.y, r3
add_pp r3.xyz, r3, -r0
mad_pp r0.xyz, r0.w, r3, r0
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
mul_pp r4.xyz, r1.x, c0
dp3_pp r3.w, v6, v6
rsq_pp r1.x, r3.w
mad_pp r5.xyz, r1.x, v6, r4
mul_pp r3.xyz, r0.w, v4
dp3_pp r3.w, r3, r4
dp3_pp r1.x, r5, r5
rsq_pp r1.x, r1.x
mul_pp r5.xyz, r1.x, r5
dp3_pp_sat r1.x, r3, r5
mul_pp r5.xyz, r0, c7
pow r0, r1.x, c8.x
mul_pp r5.xyz, r5, c6
mov_pp r4.xyz, c6
rcp r4.w, v3.w
mul r0.w, r0.x, c9
mad r0.xyz, v3, r4.w, c5
texldd r2, r2, s4, r1.zwzw, r2.zwzw
texld r0.x, r0, s9
mul_pp r4.xyz, c9, r4
mul_pp r3.xyz, r3.w, r5
mad r3.xyz, r4, r0.w, r3
mov_pp r0.w, r0.x
mad r0.xyz, v3, r4.w, c4
texld r0.x, r0, s9
mad r4.xyz, v3, r4.w, c3
texld r1.x, r4, s9
mov_pp r0.y, r1.x
mad r4.xyz, v3, r4.w, c2
mov_pp r0.z, r0.x
texld r0.x, r4, s9
mov r1.x, c1
add r4.x, c15.y, -r1
mad r0, r0, r4.x, c1.x
dp4 r1.x, c0, c0
rsq r4.x, r1.x
dp4_pp r1.x, r0, c19.z
mul r0.xyz, r4.x, c0
dp3_pp r4.z, v4, r0
rcp r0.w, v2.w
mad r4.xy, v2, r0.w, c15.z
dp3 r0.x, v2, v2
texld r0.w, r4, s7
cmp r0.y, -v2.z, c15.x, c15
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.x
mul_pp r0.x, r0.w, c19.w
add_pp r1.x, r4.z, c21.z
frc_pp r4.x, r1
mul_pp r0.w, r0, r3
mul r0.xyz, r3, r0.x
add_pp_sat r1.x, r1, -r4
add_pp r3.x, r1, c21.w
mul_pp_sat r1.x, -r4.z, c21.y
mad_pp r1.x, r1, r3, c15.y
mul_pp r0.w, r0, c19
mul_pp r0, r0, r1.x
mov_pp_sat r0.w, r0
add_pp r1.x, -r0.w, c15.y
mul_pp r0.w, r2, r1.y
add_pp r2.xyz, r2, -r0
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 173 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 181 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, -0.94999999
def c19, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c12.x, c12.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c12.x, c12.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c12, c12.x
cmp r1.x, -r1, c12.y, c12
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c12.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c12.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c12.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c12.z, c12.z
mad r3.x, r1, c12.z, c12.z
mul r5.xy, r3, c11.x
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c12.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c12.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.w
mad_sat r2.w, r3.z, c19.x, c19.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.zw, c12.z, -r1.w, r5.xyxy
abs r3.zw, r3
mul r2.z, v1.w, c9.x
dsy r6.xy, r3.zwzw
dsx r5.zw, r3
add r1.w, -r2.x, c16.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c12
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r0.y, r0, c12, c12.x
mul_sat r2.z, r2, c13.w
add_pp r1.xyz, r1, c19.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c19.w
add r2.z, -r2.y, c14.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c13.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c13.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c14, r0.z
mul r0.y, r0.x, c14
mul r0.z, r0.w, c16.y
add r0.x, r0.z, c12.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r3.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r3
texldd r0.w, r0, s3, r0.zwzw, r3
cmp r0.x, -v0.w, c12.y, c12
mul_pp r4.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v4, v4
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v6, r3
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c10.x, c10.x
mad_pp r1.xyz, r1.w, r2, r1
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r1.w, r4, r2
add_pp r2.xyz, r2, -r1
mad_pp r2.xyz, r1.w, r2, r1
dp3_pp r2.w, r0, r0
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r2, c4
mul_pp r4.xyz, r2.w, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, v4
dp3_pp_sat r0.w, r0, r4
dp3_pp r2.w, r0, r3
pow r1, r0.w, c5.x
mov r0.w, r1.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul r1.w, r0, c6
add r0.xyz, v3, c16.zwww
texld r0, r0, s7
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s7
dp4 r3.z, r0, c17
mul_pp r1.xyz, c6, r1
mul_pp r2.xyz, r2.w, r2
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v3, c16.wwzw
texld r1, r1, s7
dp4 r3.y, r1, c17
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c16.z
texld r0, r0, s7
rcp r1.x, r1.x
dp4 r3.x, r0, c17
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c18.x, r3
cmp r0, r0, c12.x, r1.x
dp4_pp r0.y, r0, c18.y
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r0.w, v4, r1
add_pp r1.y, r0.w, c20
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r1.x, r0, r0.y
mul_pp r0.x, r1, c18.z
mul r0.xyz, r2, r0.x
mul_pp r1.x, r1, r2.w
mul_pp_sat r0.w, -r0, c20.x
add_pp r1.y, r1, c20.z
mad_pp r1.y, r0.w, r1, c12.x
mul_pp r0.w, r1.x, c18.z
mul_pp r0, r0, r1.y
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r4
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 173 instructions, 6 temp regs, 0 temp arrays:
// ALU 142 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 182 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c12, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 0.00781250, -0.00781250
def c17, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c18, 0.97000003, 0.25000000, 4.00000000, -0.94999999
def c19, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c20, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r0.xyz, r0.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c12.x, c12.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c12.x, c12.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c12, c12.x
cmp r1.x, -r1, c12.y, c12
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c12.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c12.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c12.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c12.z, c12.z
mad r3.x, r1, c12.z, c12.z
mul r5.xy, r3, c11.x
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c12.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
texldd r1.xyz, r1, s1, r1.zwzw, r3.zwzw
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c12.z, -r0.w, r2.xyxy
abs r0.w, r0.z
abs r2.zw, r2
dsy r3.zw, r2
dsx r2.zw, r2
texldd r2.xyz, r2, s2, r2.zwzw, r3.zwzw
dp3_sat r3.z, -r0, v1
max r2.w, r4.x, r0
min r1.w, r4.x, r0
rcp r2.w, r2.w
add_pp r1.xyz, r1, -r2
mul r1.w, r1, r2
add r3.z, r3, c18.w
mad_sat r2.w, r3.z, c19.x, c19.y
mad_pp r1.xyz, r2.w, r1, r2
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c14.z, c14.w
mad r2.y, r2, r2.x, c15.x
mad r2.y, r2, r2.x, c15
mad r2.y, r2, r2.x, c15.z
mad r2.x, r2.y, r2, c15.w
mul r2.x, r2, r1.w
mov r1.w, c11.x
mad r3.xy, c12.z, -r1.w, r5
abs r3.xy, r3
mul r2.z, v1.w, c9.x
add r1.w, -r2.x, c16.x
add r0.w, r4.x, -r0
cmp r2.y, -r0.w, r2.x, r1.w
abs r0.w, r0.y
add r2.x, -r0.w, c12
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r0.y, r0, c12, c12.x
dsy r6.xy, r3
dsx r5.zw, r3.xyxy
texldd r3, r5, s5, r5.zwzw, r6
mul_sat r2.z, r2, c13.w
add_pp r1.xyz, r1, c19.z
mad_pp r1.xyz, r2.z, -r1, r1
mul_pp r1.xyz, r1, c19.w
add r2.z, -r2.y, c14.x
add r1.xyz, v0, r1
rcp r2.x, r2.x
mad r0.w, r1, r0, c13.z
mul r0.w, r0, r2.x
cmp r2.x, r0.z, r2.y, r2.z
mul r1.w, r0.y, r0
mad r0.z, -r1.w, c13.w, r0.w
cmp r0.w, r0.x, r2.x, -r2.x
mad r0.x, r0.y, c14, r0.z
mul r0.y, r0.x, c14
mul r0.z, r0.w, c16.y
add r0.x, r0.z, c12.z
mov r2.y, r0
abs r2.x, r0.z
dsx r0.zw, r2.xyxy
dsy r4.xy, r2
texldd r2.xyz, r0, s0, r0.zwzw, r4
texldd r0.w, r0, s3, r0.zwzw, r4
cmp r0.x, -v0.w, c12.y, c12
mul_pp r2.w, r0, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
dp3_pp r0.w, v4, v4
add_pp r2.xyz, r2, -r1
mul_sat r1.w, c10.x, c10.x
mad_pp r1.xyz, r1.w, r2, r1
add_pp r2.xyz, r3, -r1
mul_pp r1.w, r2, r3
mad_pp r2.xyz, r1.w, r2, r1
mul_pp r2.xyz, r2, c4
mul_pp r3.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v6, r3
dp3_pp r3.w, r0, r0
rsq_pp r3.w, r3.w
mul_pp r4.xyz, r3.w, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, v4
dp3_pp_sat r0.w, r0, r4
dp3_pp r4.x, r0, r3
pow r1, r0.w, c5.x
mov r0.w, r1.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul r1.w, r0, c6
add r0.xyz, v3, c16.zwww
texld r0, r0, s7
dp4 r3.w, r0, c17
add r0.xyz, v3, c16.wzww
texld r0, r0, s7
dp4 r3.z, r0, c17
mul_pp r1.xyz, c6, r1
mul_pp r2.xyz, r4.x, r2
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v3, c16.wwzw
texld r1, r1, s7
dp4 r3.y, r1, c17
dp3 r0.w, v3, v3
rsq r1.x, r0.w
add r0.xyz, v3, c16.z
texld r0, r0, s7
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r3.x, r0, c17
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c18.x, r3
cmp r0, r0, c12.x, r1.x
dp4_pp r0.y, r0, c18.y
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v4, r1
add_pp r1.y, r1.x, c20
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r4.x
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c20.z
mul_pp_sat r1.x, -r1, c20
mad_pp r1.x, r1, r1.y, c12
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.x, -r0.w, c12
mul_pp r0.w, r1, r2
add_pp r1.xyz, r1, -r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r1, r0
mov_pp oC0.w, c12.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 175 instructions, 6 temp regs, 0 temp arrays:
// ALU 143 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedjgcppieimmhfdopmicbbcagamgbncfonabaaaaaaaebjaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaaeabaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaaaeabaaaaadaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaaeabaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahaaaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciebhaaaa
eaaaaaaaobafaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaafjaaaaaeegiocaaa
abaaaaaaacaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaa
aiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafidaaaaeaahabaaaahaaaaaa
ffffaaaafidaaaaeaahabaaaaiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
hcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaai
dcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
cgbjbaaaagaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaacaaaaaackbabaaaagaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaagaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadeaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
bnaaaaaiicaabaaaacaaaaaadkaabaaaacaaaaaackaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaadkaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dbaaaaahbcaabaaaadaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaabaaaaaabkaabaiaebaaaaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaaegacbaaaabaaaaaaggaibaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaajgaebaia
ebaaaaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaajgaebaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaggaibaaaacaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadcaaaaaodcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaa
dgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaaimcaabaaaaaaaaaaa
agaebaaaaaaaaaaaagiacaaaaaaaaaaabeaaaaaadiaaaaaidcaabaaaaaaaaaaa
egaabaaaaaaaaaaapgipcaaaaaaaaaaabiaaaaaadcaaaaaodcaabaaaadaaaaaa
agiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaadaaaaaaegaabaiaibaaaaaa
adaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaaadaaaaaaamaaaaafdcaabaaa
adaaaaaaegaabaaaadaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaafaaaaaaogakbaaaadaaaaaaegaabaaaadaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaiaebaaaaaaadaaaaaa
bacaaaaiecaabaaaaaaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaacaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaddddhdlpdccaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaecabeaaaaaaaaaaadp
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
adaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaaalp
aaaaaalpaaaaaalpaaaaaaaaapcaaaaiecaabaaaaaaaaaaapgbpbaaaacaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaakhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaiaebaaaaaaabaaaaaaegacbaaaabaaaaaadcaaaaamhcaabaaaabaaaaaa
egacbaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaaaaaegbcbaaa
abaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaia
ibaaaaaaacaaaaaaaoaaaaakecaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpckaabaaaaaaaaaaaddaaaaajicaabaaaaaaaaaaaakaabaia
ibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaadiaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
icaabaaaacaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
dbaaaaaidcaabaaaadaaaaaaigaabaaaacaaaaaaigaabaiaebaaaaaaacaaaaaa
abaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaanlapejmaaaaaaaah
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaddaaaaahicaabaaa
aaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadeaaaaahicaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaacaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadhaaaaakecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
ckaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagecaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaackaabaaaaaaaaaaa
amaaaaafbcaabaaaafaaaaaackaabaaaaaaaaaaadcaaaaakecaabaaaaaaaaaaa
ckaabaiaibaaaaaaacaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabeaaaaa
iedefjlodcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaa
acaaaaaaabeaaaaakeanmjdpaaaaaaaiicaabaaaaaaaaaaackaabaiambaaaaaa
acaaaaaaabeaaaaaaaaaiadpelaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahicaabaaaabaaaaaabkaabaaaadaaaaaadkaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaaeaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaadaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaa
acaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
aeaaaaaaegaabaaaafaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaadaaaaaadiaaaaajecaabaaaaaaaaaaadkiacaaaaaaaaaaa
bfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadcaaaaaomcaabaaaaaaaaaaapgipcaia
ebaaaaaaaaaaaaaabiaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaa
afaaaaaaaagabaaaaiaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaia
ebaaaaaaabaaaaaaegacbaaaadaaaaaabnaaaaahicaabaaaabaaaaaaabeaaaaa
aaaaaaaadkbabaaaabaaaaaadhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaacaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaaapaaaaaadiaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaiaaaaaaegbcbaaa
aiaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaajbcaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaaihcaabaaaacaaaaaaagaabaaa
acaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaadaaaaaaegbcbaaa
aiaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaapgapbaaa
abaaaaaaegbcbaaaafaaaaaabacaaaahicaabaaaabaaaaaaegacbaaaadaaaaaa
egacbaaaaeaaaaaabaaaaaahbcaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaa
acaaaaaacpaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
dkiacaaaaaaaaaaabbaaaaaadiaaaaajocaabaaaacaaaaaaagijcaaaaaaaaaaa
afaaaaaaagijcaaaaaaaaaaabbaaaaaadiaaaaahocaabaaaacaaaaaapgapbaaa
abaaaaaafgaobaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaegacbaaaabaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaelaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkiacaaaabaaaaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaomfbhidpaaaaaaak
ocaabaaaacaaaaaaagbjbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaadm
aaaaaadmefaaaaajpcaabaaaadaaaaaajgahbaaaacaaaaaaeghobaaaaiaaaaaa
aagabaaaaaaaaaaabbaaaaakbcaabaaaadaaaaaaegaobaaaadaaaaaaaceaaaaa
aaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaacaaaaaaagbjbaaa
aeaaaaaaaceaaaaaaaaaaaaaaaaaaalmaaaaaalmaaaaaadmefaaaaajpcaabaaa
aeaaaaaajgahbaaaacaaaaaaeghobaaaaiaaaaaaaagabaaaaaaaaaaabbaaaaak
ccaabaaaadaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdh
impinfdbaaaaaaakocaabaaaacaaaaaaagbjbaaaaeaaaaaaaceaaaaaaaaaaaaa
aaaaaalmaaaaaadmaaaaaalmefaaaaajpcaabaaaaeaaaaaajgahbaaaacaaaaaa
eghobaaaaiaaaaaaaagabaaaaaaaaaaabbaaaaakecaabaaaadaaaaaaegaobaaa
aeaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaa
acaaaaaaagbjbaaaaeaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaalmaaaaaalm
efaaaaajpcaabaaaaeaaaaaajgahbaaaacaaaaaaeghobaaaaiaaaaaaaagabaaa
aaaaaaaabbaaaaakicaabaaaadaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaiadp
ibiaiadlicabibdhimpinfdbdbaaaaahpcaabaaaadaaaaaaegaobaaaadaaaaaa
pgapbaaaabaaaaaadhaaaaanpcaabaaaadaaaaaaegaobaaaadaaaaaaagiacaaa
acaaaaaabiaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbbaaaaak
icaabaaaabaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiado
aaaaiadobaaaaaahccaabaaaacaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
efaaaaajpcaabaaaadaaaaaafgafbaaaacaaaaaaeghobaaaagaaaaaaaagabaaa
acaaaaaaefaaaaajpcaabaaaaeaaaaaaegbcbaaaadaaaaaaeghobaaaahaaaaaa
aagabaaaabaaaaaadiaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaadkaabaaa
aeaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaah
hcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaahicaabaaa
adaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabbaaaaajbcaabaaaabaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaabaaaaaaagaabaaaabaaaaaa
egiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
koehibdpdicaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaacamb
ebcaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaaacaaaaaa
agaabaaaabaaaaaadgajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaadaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaadgcaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaa
acaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaajgahbaaaacaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
pow r0, r3.x, c3.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c9.x
mad_pp r0.y, r0, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r3.x, r0.z
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
mul r3.xyz, r3.x, c0
dp3_pp r0.z, v3, r3
add_pp r0.w, r0.z, c20.x
frc_pp r3.x, r0.w
add_pp_sat r0.w, r0, -r3.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
mul_pp r0.y, r0.x, c18.x
mul r2.xyz, r2, r0.y
add_pp r0.w, r0, c20.y
mul_pp_sat r0.y, -r0.z, c19.w
mul_pp r0.y, r0, r0.w
mad_pp r0.z, r5.w, -r0.y, r0.y
add r3.xyz, v4, c17.z
dp3 r0.y, r3, r3
add_pp r0.w, r0.z, c13.x
mul_pp r0.z, r0.x, r2.w
rsq r0.y, r0.y
rcp r0.x, r0.y
add r3.x, r0, -c9
mul_pp r2.w, r0.z, c18.x
mad_pp r0, r2, r0.w, -r1
mul_sat r2.x, r3, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 186 instructions, 7 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 199 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord7 v4.xyz
dcl_texcoord8 v5.xyz
dp3 r0.x, v3, v3
rsq r6.z, r0.x
mul r2.xyz, r6.z, v3
abs r4.xyz, r2
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r2, -r2.x
cmp r1.w, r0.y, c13.x, c13.y
mad r0.y, r1.w, r0.z, r2.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r2, r0
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.w, r0.x, -r0.y
mov r1.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r0
mad r1.xyz, r1.w, r1, r0
mov r0.z, -r2.w
dp3_sat r2.w, -r2, v1
mov r0.xy, c13.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
add r2.w, r2, c18.z
mad r3.x, r0.y, c13.z, c13.z
mad r3.y, r0.x, c13.z, c13.z
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r3.zw, r0
dsx r0.zw, r0
mul r1.xy, r3, c6.x
mov r1.z, c6.x
mad r1.zw, c13.z, -r1.z, r1.xyxy
texldd r0, r0, s1, r0.zwzw, r3.zwzw
abs r1.zw, r1
dsx r3.zw, r1
dsy r1.zw, r1
texldd r1, r1, s2, r3.zwzw, r1.zwzw
add_pp r0, r0, -r1
mad_sat r2.w, r2, c19.x, c19.y
mad_pp r0, r2.w, r0, r1
mul r1.x, v1.w, c7
mul_sat r1.x, r1, c14.w
add_pp r0, r0, c18.w
mad_pp r0, r1.x, -r0, r0
mov r1.xyz, v5
mul_pp r0, r0, c19.z
add r0, v0, r0
dp3 r4.y, v4, r1
dp3 r1.w, v4, v4
mad r1.x, -r4.y, r4.y, r1.w
rsq r2.w, r1.x
rcp r4.z, r2.w
mul r3.w, r4.z, r4.z
abs r2.w, r2.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r2
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r1, -r0, c11
min r3.z, r4.x, r2.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r1, r4.z, r1, r0
mad r4.y, r4, r3.w, c16
mad r0.x, r4.y, r3.w, c16.z
mad r0.z, r0.x, r3.w, c16.w
mul r0.w, r0.z, r3.z
mul r4.zw, r3.xyxy, c12.x
mov r0.x, c12
mad r0.xy, c13.z, -r0.x, r4.zwzw
abs r0.xy, r0
add r0.z, r4.x, -r2.w
add r3.x, -r0.w, c17
cmp r3.x, -r0.z, r0.w, r3
abs r0.z, r2.y
add r3.y, -r3.x, c15.x
cmp r2.z, r2, r3.x, r3.y
add r2.w, -r0.z, c13.x
mad r0.w, r0.z, c14.x, c14.y
mad r0.w, r0, r0.z, c13
rsq r2.w, r2.w
cmp r2.x, r2, r2.z, -r2.z
mad r0.z, r0.w, r0, c14
rcp r2.w, r2.w
mul r0.w, r0.z, r2
cmp r0.z, r2.y, c13.y, c13.x
mul r2.y, r0.z, r0.w
mad r0.w, -r2.y, c14, r0
mul r2.y, r2.x, c17
mad r0.z, r0, c15.x, r0.w
mul r2.x, r0.z, c15.y
add r4.x, r2.y, c13.z
mov r0.w, r2.x
abs r0.z, r2.y
dsx r5.xy, r0.zwzw
dsy r5.zw, r0
mov r4.y, r2.x
texldd r3, r4, s0, r5, r5.zwzw
add_pp r2, r3, -r1
texldd r5.w, r4, s3, r5, r5.zwzw
cmp r3.z, -v0.w, c13.y, c13.x
dsy r6.xy, r0
dsx r3.xy, r0
texldd r0, r4.zwzw, s5, r3, r6
mul_pp r3.z, r5.w, r3
mul_pp r4.x, r3.z, r0.w
mul_sat r0.w, c8.x, c8.x
mad_pp r1, r0.w, r2, r1
mov_pp r0.w, r4.x
add_pp r0, r0, -r1
mad_pp r0, r4.x, r0, r1
mul_pp r1, r0, c2
dp3_pp r0.x, v2, v2
rsq_pp r0.x, r0.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
rcp r4.x, r6.z
add_sat r4.x, r4, -c9
mul_pp r0.xyz, r0.x, v2
mul_pp r5.xyz, r0.w, c0
dp3_pp r2.w, v5, v5
rsq_pp r0.w, r2.w
dp3_pp r2.w, r0, r5
mad_pp r5.xyz, r0.w, v5, r5
mul_pp r2.xyz, r1, c1
dp3_pp r0.w, r5, r5
rsq_pp r0.w, r0.w
mul_pp r5.xyz, r0.w, r5
dp3_pp_sat r4.y, r0, r5
pow r0, r4.y, c3.x
dp4_pp r5.x, c0, c0
rsq_pp r0.y, r5.x
mul_pp r2.xyz, r2.w, r2
mul_pp r5.xyz, r0.y, c0
dp3_pp r0.w, v2, r5
mad_pp r4.x, r4, -r3.w, r3.w
mul r5.x, r0, r4
add_pp r4.x, r0.w, c20
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r5.x, r2
frc_pp r4.y, r4.x
add_pp_sat r2.x, r4, -r4.y
add_pp r4.x, r2, c20.y
mul_pp_sat r0.w, -r0, c19
add r2.xyz, v3, c17.z
mul_pp r4.x, r0.w, r4
dp3 r0.w, r2, r2
mad_pp r2.x, r3.w, -r4, r4
add_pp r2.y, r2.x, c13.x
rsq r0.w, r0.w
rcp r2.x, r0.w
add r2.x, r2, -c9
mul_sat r2.x, r2, c17.w
mul r0.xyz, r0, c18.x
mul_pp r0.w, r2, c18.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r4.zwzw, s4, r3, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r3.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 336 used size, 21 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 256 [_DetailVertScale]
Float 260 [_DetailDist]
Float 284 [_PlanetOpacity]
Float 288 [_OceanRadius]
Float 292 [_OceanDepthFactor]
Vector 304 [_OceanColor] 4
Float 332 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_midTex] 2D 1
SetTexture 2 [_steepTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 183 instructions, 7 temp regs, 0 temp arrays:
// ALU 157 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
"ps_3_0
; 206 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
pow r0, r3.x, c3.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c9.x
mad_pp r0.y, r0, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r3.x, r0.z
mul r0.w, r0.x, r0.y
mul r3.xyz, r3.x, c0
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v3, r3
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c13.z
dp3 r0.x, v2, v2
add_pp r0.y, r3.z, c20.x
texld r0.w, r3, s7
cmp r0.z, -v2, c13.y, c13.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.w, r0.z, r0.x
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c18
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c20
mul_pp_sat r2.x, -r3.z, c19.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v4, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 193 instructions, 7 temp regs, 0 temp arrays:
// ALU 164 float, 1 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 202 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_cube s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.x, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c9.x, c9.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c10.x
mad r4.x, r3.w, c15.z, c15.w
mad r4.x, r4, r3.w, c16
mul r4.y, r4.z, c10.x
mad r4.y, r4, c18, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c16.y
mad r1.x, r4, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r4.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c13.y, c13.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v3, v3
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.x, v3, r3
add_pp r0.y, r3.x, c20.x
frc_pp r0.z, r0.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s7
texld r0.w, v2, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c18
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c19.w
add_pp r2.y, r3, c20
mul_pp r3.x, r2, r2.y
add r2.xyz, v4, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 188 instructions, 7 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r1.w, r0.x
mul r1.xyz, r1.w, v4
abs r2.xyz, r1
max r0.x, r2, r2.z
add r0.y, r2.z, -r2.x
add r0.x, r0, -r2.y
add r0.z, r1, -r1.x
cmp r2.z, r0.y, c13.x, c13.y
mad r0.y, r2.z, r0.z, r1.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.y, r0.x, -r0
mov r4.z, -r2.y
mov r4.xy, c13.x
mov r3.y, r2
mov r0.y, -r2
dp3_sat r2.y, -r1, v1
mov r0.xz, c13.x
add r2.y, r2, c18.z
mul r0.xyz, r1.xzyw, r0
mov r3.xz, c13.x
mad r3.xyz, r1.zxyw, r3, -r0
mad r0.xyz, r2.z, r3, r0
mul r3.xyz, r1.yxzw, r4
mad r0.xyz, r1.yxzw, -r4, r0
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.w, r0.x, c13.z, c13.z
mad r2.z, r0.y, c13, c13
mul r4.xy, r2.zwzw, c6.x
mov r0.z, c6.x
mad r0.zw, c13.z, -r0.z, r4.xyxy
mul r3.zw, r2, c5.x
mov r0.x, c5
mad r0.xy, c13.z, -r0.x, r3.zwzw
abs r0.xy, r0
dsy r3.xy, r0
dsx r0.xy, r0
texldd r3, r3.zwzw, s1, r0, r3
abs r0.zw, r0
dsx r0.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r4, s2, r0, r0.zwzw
add_pp r3, r3, -r0
mad_sat r2.y, r2, c19.x, c19
mad_pp r0, r2.y, r3, r0
mov r3.xyz, v6
mul r2.y, v1.w, c7.x
dp3 r4.x, v5, r3
mul_sat r2.y, r2, c14.w
add_pp r0, r0, c18.w
mad_pp r0, r2.y, -r0, r0
mul_pp r0, r0, c19.z
add r3, v0, r0
dp3 r2.y, v5, v5
mad r2.y, -r4.x, r4.x, r2
rsq r2.y, r2.y
rcp r4.y, r2.y
mul r4.w, r4.y, r4.y
abs r2.y, r1.z
mad r5.x, c9, c9, -r4.w
max r4.w, r2.x, r2.y
rsq r5.x, r5.x
add_pp r0, -r3, c11
min r4.z, r2.x, r2.y
rcp r5.y, r5.x
rcp r4.w, r4.w
mul r5.x, r4.z, r4.w
add r4.z, r4.x, -r5.y
add r4.w, r4.z, -v1
mul r5.y, r5.x, r5.x
cmp r4.z, r4.x, c13.x, c13.y
add r4.y, -r4, c9.x
cmp r4.x, r4.y, c13, c13.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c13.x
mad r4.x, r5.y, c15.z, c15.w
mad r4.x, r4, r5.y, c16
mad r5.z, r4.x, r5.y, c16.y
frc r4.w, r4.z
add_sat r4.x, r4.z, -r4.w
mul_sat r4.y, -r4, c10.x
mul r4.x, r4, c10
mad r4.x, r4, c18.y, r4.y
mad_pp r4, r4.x, r0, r3
mul r0.zw, r2, c12.x
mad r0.x, r5.z, r5.y, c16.z
mad r2.z, r0.x, r5.y, c16.w
mov r0.x, c12
mad r0.xy, c13.z, -r0.x, r0.zwzw
abs r3.xy, r0
mul r2.z, r2, r5.x
add r0.x, r2, -r2.y
add r0.y, -r2.z, c17.x
cmp r2.y, -r0.x, r2.z, r0
abs r0.x, r1.y
add r2.z, -r2.y, c15.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
mul r1.x, r1, c17.y
add r2.x, -r0, c13
mad r0.y, r0.x, c14.x, c14
mad r0.y, r0, r0.x, c13.w
rsq r2.x, r2.x
add r6.z, r1.x, c13
mad r0.x, r0.y, r0, c14.z
rcp r2.x, r2.x
mul r0.y, r0.x, r2.x
cmp r0.x, r1.y, c13.y, c13
mul r1.y, r0.x, r0
mad r0.y, -r1, c14.w, r0
mad r0.x, r0, c15, r0.y
mul r1.z, r0.x, c15.y
mov r0.y, r1.z
abs r0.x, r1
mov r6.w, r1.z
dsx r1.xy, r0
dsy r6.xy, r0
texldd r2, r6.zwzw, s0, r1, r6
add_pp r5, r2, -r4
texldd r6.w, r6.zwzw, s3, r1, r6
cmp r1.z, -v0.w, c13.y, c13.x
mul_sat r1.y, c8.x, c8.x
mad_pp r4, r1.y, r5, r4
dsy r0.xy, r3
dsx r2.xy, r3
texldd r3, r0.zwzw, s5, r2, r0
mul_pp r2.z, r6.w, r1
mul_pp r1.x, r2.z, r3.w
mov_pp r3.w, r1.x
add_pp r3, r3, -r4
mad_pp r3, r1.x, r3, r4
mul_pp r3, r3, c2
dp3_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r6.xyz, r1.x, c0
dp3_pp r1.x, v3, v3
rsq_pp r4.w, r1.x
mul_pp r5.xyz, r4.w, v3
dp3_pp r1.y, v6, v6
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v6, r6
dp3_pp r5.w, r1, r1
rsq_pp r5.w, r5.w
dp3_pp r4.w, r5, r6
mul_pp r4.xyz, r3, c1
mul_pp r1.xyz, r5.w, r1
mul_pp r4.xyz, r4.w, r4
dp3_pp_sat r5.x, r5, r1
rcp r1.w, r1.w
add_sat r5.y, r1.w, -c9.x
pow r1, r5.x, c3.x
mad_pp r1.y, r5, -r2.w, r2.w
dp4_pp r1.z, c0, c0
rsq_pp r1.z, r1.z
mul_pp r5.xyz, r1.z, c0
mul r1.w, r1.x, r1.y
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r1.w, r4
dp3_pp r5.x, v3, r5
add_pp r4.y, r5.x, c20.x
frc_pp r4.z, r4.y
add_pp_sat r4.y, r4, -r4.z
texld r1.w, v2, s7
mul_pp r4.x, r1.w, c18
mul r1.xyz, r1, r4.x
mul_pp r1.w, r1, r4
texldd r0, r0.zwzw, s4, r2, r0
mul_pp_sat r4.x, -r5, c19.w
add_pp r4.y, r4, c20
mul_pp r5.x, r4, r4.y
add r4.xyz, v4, c17.z
mad_pp r5.x, r2.w, -r5, r5
dp3 r2.w, r4, r4
rsq r2.w, r2.w
rcp r2.w, r2.w
add r2.w, r2, -c9.x
add_pp r4.x, r5, c13
mul_pp r1.w, r1, c18.x
mad_pp r1, r1, r4.x, -r3
mul_sat r2.w, r2, c17
mad_pp r1, r2.w, r1, r3
add_pp r3.xyz, r0, -r1
mov_pp_sat r1.w, r1
add_pp r0.y, -r1.w, c13.x
mul_pp r0.x, r0.w, r2.z
mul_pp r0.x, r0, r0.y
mad_pp oC0.xyz, r0.x, r3, r1
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 185 instructions, 7 temp regs, 0 temp arrays:
// ALU 158 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmdmhbamhepmgojiieopoppnfdhnnmaacabaaaaaaimbjaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaadadaaaaomaaaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaeaaaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaomaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefccebiaaaaeaaaaaaaajagaaaafjaaaaaeegiocaaaaaaaaaaabjaaaaaa
fjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaad
aagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaa
fkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaa
agaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagcbaaaaddcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
hcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacahaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaagaaaaaaegbcbaaaagaaaaaabaaaaaahccaabaaa
aaaaaaaaegbcbaaaagaaaaaaegbcbaaaahaaaaaadcaaaaakbcaabaaaaaaaaaaa
bkaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaiecaabaaaaaaaaaaaakiacaaa
aaaaaaaabgaaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaambcaabaaaaaaaaaaaakiacaaaaaaaaaaa
bgaaaaaaakiacaaaaaaaaaaabgaaaaaaakaabaiaebaaaaaaaaaaaaaaelaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkbabaiaebaaaaaaacaaaaaaabaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaiadpaaaaiadpaaaaaaaadiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaaibcaabaaaaaaaaaaa
akaabaiaebaaaaaaaaaaaaaadkbabaaaacaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaiadpdicaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkiacaaaaaaaaaaabgaaaaaaebcaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaiecaabaaaaaaaaaaabkiacaaaaaaaaaaabgaaaaaaabeaaaaa
aaaahaebdcaaaaajbcaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadgaaaaaifcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadgaaaaaidcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaafecaabaaaaaaaaaaabkaabaaaaaaaaaaaelaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaaaacaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaa
akiacaiaebaaaaaaaaaaaaaabgaaaaaadiaaaaahhcaabaaaadaaaaaakgakbaaa
aaaaaaaacgbjbaaaafaaaaaabnaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaa
adaaaaaabkaabaiaibaaaaaaadaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaaafaaaaaa
ckaabaaaaaaaaaaabkaabaiaebaaaaaaadaaaaaadcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaadaaaaaadcaaaaakecaabaaa
aaaaaaaabkbabaiaebaaaaaaafaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaa
deaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaa
adaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaa
adaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaackaabaaaaaaaaaaackaabaaa
adaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaabaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaacaaaaaabkaabaia
ebaaaaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaaegacbaaaacaaaaaaggaibaaa
adaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaa
jgaebaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaajgaebaaaaeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaacaaaaaaggaibaaaadaaaaaaegacbaaaabaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaak
mcaabaaaaaaaaaaafgajbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpdiaaaaaidcaabaaaabaaaaaaogakbaaaaaaaaaaa
agiacaaaaaaaaaaabcaaaaaadcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaa
aaaaaaaabcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaadiaaaaaidcaabaaa
acaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaabeaaaaaadiaaaaaimcaabaaa
aaaaaaaakgaobaaaaaaaaaaapgipcaaaaaaaaaaabiaaaaaadcaaaaaomcaabaaa
acaaaaaaagiacaiaebaaaaaaaaaaaaaabeaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaacaaaaaadgaaaaagmcaabaaaacaaaaaakgaobaia
ibaaaaaaacaaaaaaalaaaaafdcaabaaaaeaaaaaaogakbaaaacaaaaaaamaaaaaf
mcaabaaaacaaaaaakgaobaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
acaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaaaeaaaaaaogakbaaa
acaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaaegaobaiaebaaaaaa
acaaaaaabacaaaaiicaabaaaadaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaa
adaaaaaaaaaaaaahicaabaaaadaaaaaadkaabaaaadaaaaaaabeaaaaaddddhdlp
dccaaaajicaabaaaadaaaaaadkaabaaaadaaaaaaabeaaaaaaaaaaaecabeaaaaa
aaaaaadpdcaaaaajpcaabaaaabaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaa
egaobaaaacaaaaaaaaaaaaakpcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaa
aaaaaalpaaaaaalpaaaaaalpaaaaaalpapcaaaaibcaabaaaacaaaaaapgbpbaaa
acaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaakpcaabaaaabaaaaaaagaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaabaaaaaadcaaaaampcaabaaa
abaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaeadpaaaaeadpaaaaeadpaaaaeadp
egbobaaaabaaaaaaaaaaaaajpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
egiocaaaaaaaaaaabhaaaaaadcaaaaajpcaabaaaabaaaaaaagaabaaaaaaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadeaaaaajbcaabaaaaaaaaaaaakaabaia
ibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaaaoaaaaakbcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaaaaaaaaaddaaaaaj
bcaabaaaacaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaa
diaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
bcaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajccaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
ccaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaochgdido
dcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aebnkjlodcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaadiphhpdpdiaaaaahccaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaadcaaaaajccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajecaabaaaacaaaaaaakaabaiaibaaaaaaadaaaaaa
bkaabaiaibaaaaaaadaaaaaaabaaaaahccaabaaaacaaaaaackaabaaaacaaaaaa
bkaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaaadaaaaaa
igaabaiaebaaaaaaadaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaanlapejmaaaaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaaddaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaa
dbaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaaacaaaaaa
deaaaaahecaabaaaacaaaaaaakaabaaaadaaaaaabkaabaaaadaaaaaabnaaaaai
ecaabaaaacaaaaaackaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaaabaaaaah
bcaabaaaacaaaaaackaabaaaacaaaaaaakaabaaaacaaaaaadhaaaaakbcaabaaa
aaaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaajbcaabaaaadaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
aeaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaia
ibaaaaaaadaaaaaaabeaaaaaiedefjlodcaaaaakbcaabaaaaaaaaaaaakaabaaa
aaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaakeanmjdpaaaaaaaibcaabaaa
acaaaaaackaabaiambaaaaaaadaaaaaaabeaaaaaaaaaiadpelaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahecaabaaaacaaaaaaakaabaaaaaaaaaaa
akaabaaaacaaaaaadcaaaaajecaabaaaacaaaaaackaabaaaacaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
ckaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaadiaaaaahccaabaaaadaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaaadaaaaaaamaaaaaf
ccaabaaaafaaaaaabkaabaaaadaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaaaeaaaaaaegaabaaa
afaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaaeghobaaaadaaaaaa
aagabaaaaeaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaaaaaaaaipcaabaaa
aeaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadiaaaaajbcaabaaa
aaaaaaaadkiacaaaaaaaaaaabfaaaaaadkiacaaaaaaaaaaabfaaaaaaddaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajpcaabaaa
abaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaaabaaaaaabnaaaaah
bcaabaaaaaaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaadcaaaaaodcaabaaa
acaaaaaapgipcaiaebaaaaaaaaaaaaaabiaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaia
ibaaaaaaacaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaacaaaaaaamaaaaaf
dcaabaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
aaaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaaegaabaaaadaaaaaaegaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaa
aagabaaaafaaaaaaegaabaaaadaaaaaaegaabaaaacaaaaaadiaaaaahicaabaaa
aeaaaaaaakaabaaaaaaaaaaadkaabaaaaeaaaaaadiaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaaipcaabaaaafaaaaaaegaobaia
ebaaaaaaabaaaaaaegaobaaaaeaaaaaadcaaaaajpcaabaaaabaaaaaapgapbaaa
aeaaaaaaegaobaaaafaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaaacaaaaaa
egacbaaaabaaaaaaegiccaaaaaaaaaaaafaaaaaadcaaaaakccaabaaaaaaaaaaa
bkaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaadkaabaaaacaaaaaabaaaaaah
ecaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaaahaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaadcaaaaajhcaabaaaafaaaaaaegbcbaaaahaaaaaakgakbaaaaaaaaaaa
egacbaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaafaaaaaaegacbaaa
afaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaafaaaaaabaaaaaahecaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhcaabaaaagaaaaaakgakbaaaaaaaaaaaegbcbaaaaeaaaaaa
bacaaaahecaabaaaaaaaaaaaegacbaaaafaaaaaaegacbaaaagaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaacpaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaj
hcaabaaaaeaaaaaaegiccaaaaaaaaaaaafaaaaaaegiccaaaaaaaaaaabbaaaaaa
diaaaaahhcaabaaaaeaaaaaafgafbaaaaaaaaaaaegacbaaaaeaaaaaadcaaaaaj
hcaabaaaacaaaaaaegacbaaaacaaaaaapgapbaaaaaaaaaaaegacbaaaaeaaaaaa
efaaaaajpcaabaaaaeaaaaaaegbabaaaadaaaaaaeghobaaaagaaaaaaaagabaaa
aaaaaaaadiaaaaahccaabaaaaaaaaaaadkaabaaaaeaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaeaaaaaafgafbaaaaaaaaaaaegacbaaaacaaaaaadiaaaaah
icaabaaaaeaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaabbaaaaajccaabaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaa
aaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
aeaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaaaaaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajccaabaaaaaaaaaaa
bkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiecaabaaa
aaaaaaaabkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaa
aaaaaaaadkaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaak
pcaabaaaacaaaaaaegaobaaaaeaaaaaafgafbaaaaaaaaaaaegaobaiaebaaaaaa
abaaaaaaaaaaaaakocaabaaaaaaaaaaaagbjbaaaafaaaaaaaceaaaaaaaaaaaaa
aaaaeiecaaaaeiecaaaaeiecbaaaaaahccaabaaaaaaaaaaajgahbaaaaaaaaaaa
jgahbaaaaaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaj
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaabgaaaaaa
dicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaknhkddmdcaaaaaj
pcaabaaaabaaaaaafgafbaaaaaaaaaaadgajbaaaacaaaaaadgajbaaaabaaaaaa
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaaiccaabaaaaaaaaaaa
akaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaiocaabaaaaaaaaaaafgaobaia
ebaaaaaaabaaaaaaagajbaaaadaaaaaadcaaaaajhccabaaaaaaaaaaaagaabaaa
aaaaaaaajgahbaaaaaaaaaaajgahbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaa
abeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
Float 13 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 211 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c14, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c15, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c16, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c17, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c18, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c19, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c20, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c14.x, c14.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c14.z, c14.z
mad r3.x, r1, c14.z, c14.z
mul r1.xy, r3, c6.x
mov r0.w, c6.x
mad r1.zw, c14.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c7.x
mov r0.w, c7.x
mad r2.zw, c14.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c19.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c20.x, c20.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c8.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c15
add_pp r1, r1, c19.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c20.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c10.x, c10.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c12
cmp r4.z, r4.x, c14.x, c14.y
add r4.y, -r4, c10.x
cmp r4.x, r4.y, c14, c14.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c14.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c11.x
mad r4.x, r3.w, c16.z, c16.w
mad r4.x, r4, r3.w, c17
mul r4.y, r4.z, c11.x
mad r4.y, r4, c19, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c17.y
mad r1.x, r4, r3.w, c17.z
mad r1.z, r1.x, r3.w, c17.w
mul r1.z, r1, r3
mul r4.xy, r3, c13.x
mov r1.x, c13
mad r1.xy, c14.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c18.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c14.x
mad r1.z, r0.w, c15.x, c15.y
mad r1.z, r1, r0.w, c14.w
rsq r1.w, r1.w
cmp r0.y, r0, c14, c14.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c16.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c15.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c15.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c16, r0.z
mul r0.y, r0.x, c16
mul r0.z, r0.w, c18.y
add r0.x, r0.z, c14.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c14.y, c14.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c9, c9
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c3
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c2
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c10.x
pow r0, r3.x, c4.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v4, r3
add_pp r0.y, r3.z, c21.x
texldp r0.x, v3, s9
rcp r0.z, v3.w
mad r0.z, -v3, r0, r0.x
mov r0.w, c1.x
cmp r3.w, r0.z, c14.x, r0
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c14.z
dp3 r0.x, v2, v2
texld r0.w, r3, s7
cmp r0.z, -v2, c14.y, c14.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r3
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c19
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c21
mul_pp_sat r2.x, -r3.z, c20.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c18.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c10
add_pp r2.y, r3.x, c14.x
mul_pp r0.w, r0, c19.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c18.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c14
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c14.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 198 instructions, 7 temp regs, 0 temp arrays:
// ALU 167 float, 1 int, 8 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailVertScale]
Float 8 [_DetailDist]
Float 9 [_PlanetOpacity]
Float 10 [_OceanRadius]
Float 11 [_OceanDepthFactor]
Vector 12 [_OceanColor]
Float 13 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 210 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c14, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c15, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c16, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c17, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c18, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c19, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c20, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c14.y, c14.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c14.y, c14.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14.x, c14
cmp r1.x, -r1, c14, c14.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c14.z, c14.z
mad r3.x, r1, c14.z, c14.z
mul r1.xy, r3, c6.x
mov r0.w, c6.x
mad r1.zw, c14.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c7.x
mov r0.w, c7.x
mad r2.zw, c14.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c19.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c20.x, c20.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c8.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c15
add_pp r1, r1, c19.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c20.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c10.x, c10.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c12
cmp r4.z, r4.x, c14.y, c14.x
add r4.y, -r4, c10.x
cmp r4.x, r4.y, c14.y, c14
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c14.y
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c11.x
mad r4.x, r3.w, c16.z, c16.w
mad r4.x, r4, r3.w, c17
mul r4.y, r4.z, c11.x
mad r4.y, r4, c19, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c17.y
mad r1.x, r4, r3.w, c17.z
mad r1.z, r1.x, r3.w, c17.w
mul r1.z, r1, r3
mul r4.xy, r3, c13.x
mov r1.x, c13
mad r1.xy, c14.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c18.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c14.y
mad r1.z, r0.w, c15.x, c15.y
mad r1.z, r1, r0.w, c14.w
rsq r1.w, r1.w
cmp r0.y, r0, c14.x, c14
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c16.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c15.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c15.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c16, r0.z
mul r0.y, r0.x, c16
mul r0.z, r0.w, c18.y
add r0.x, r0.z, c14.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c14.x, c14.y
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c9, c9
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c3
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c2
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c10.x
pow r0, r3.x, c4.x
mad_pp r0.y, r3, -r5.w, r5.w
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.z, v4, r3
mov r0.x, c1
add r0.w, c14.y, -r0.x
rcp r0.z, v2.w
mad r3.xy, v2, r0.z, c14.z
texldp r0.x, v3, s9
mad r3.w, r0.x, r0, c1.x
dp3 r0.x, v2, v2
add_pp r0.y, r3.z, c21.x
texld r0.w, r3, s7
cmp r0.z, -v2, c14.x, c14.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s8
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r3
frc_pp r0.z, r0.y
mul_pp r0.x, r0.w, c19
add_pp_sat r3.x, r0.y, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c21
mul_pp_sat r2.x, -r3.z, c20.w
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c18.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c10
add_pp r2.y, r3.x, c14
mul_pp r0.w, r0, c19.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c18.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c14.y
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c14.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 198 instructions, 7 temp regs, 0 temp arrays:
// ALU 168 float, 1 int, 8 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 200 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord7 v5.xyz
dcl_texcoord8 v6.xyz
dp3 r0.x, v4, v4
rsq r6.w, r0.x
mul r0.xyz, r6.w, v4
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v6
mul r0.w, v1, c7.x
dp3 r4.y, v5, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v5, v5
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r2, r4.z, r2, r1
mad r4.y, r4, r3.w, c16
mad r1.x, r4.y, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r5.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r5
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsy r5.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r4, r0, s0, r0.zwzw, r6
add_pp r3, r4, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsx r4.xy, r1
cmp r4.z, -v0.w, c13.y, c13.x
texldd r1, r5, s5, r4, r5.zwzw
mul_pp r4.z, r0.w, r4
mul_pp r6.x, r4.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v3, v3
dp3_pp r0.y, v6, v6
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v6, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r4.w, r4.w
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
mul r3.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r3.w, r2
dp3_pp r0.w, v3, r3
add_pp r0.z, r0.w, c20.x
texldp r0.x, v2, s7
frc_pp r3.x, r0.z
add_pp_sat r0.z, r0, -r3.x
mul_pp r0.y, r0.x, c18.x
mul r2.xyz, r2, r0.y
add_pp r0.z, r0, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
mul_pp r0.y, r0, r0.z
mad_pp r0.z, r4.w, -r0.y, r0.y
add r3.xyz, v4, c17.z
dp3 r0.y, r3, r3
add_pp r0.w, r0.z, c13.x
mul_pp r0.z, r0.x, r2.w
rsq r0.y, r0.y
rcp r0.x, r0.y
add r3.x, r0, -c9
mul_pp r2.w, r0.z, c18.x
mad_pp r0, r2, r0.w, -r1
mul_sat r2.x, r3, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r4, r5.zwzw
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r4.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_midTex] 2D 2
SetTexture 2 [_steepTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 186 instructions, 7 temp regs, 0 temp arrays:
// ALU 159 float, 1 int, 7 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailVertScale]
Float 7 [_DetailDist]
Float 8 [_PlanetOpacity]
Float 9 [_OceanRadius]
Float 10 [_OceanDepthFactor]
Vector 11 [_OceanColor]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 201 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c18, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c19, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xy
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c6.x
mov r0.w, c6.x
mad r2.zw, c13.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c18.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c19.x, c19.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c7.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c14
add_pp r1, r1, c18.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c19.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c9.x, c9.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c11
cmp r4.w, r4.y, c13.x, c13.y
add r4.z, -r4, c9.x
cmp r4.y, r4.z, c13.x, c13
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c13.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c10
mad r4.y, r3.w, c15.z, c15.w
mad r4.y, r4, r3.w, c16.x
mul r4.z, r4.w, c10.x
mad r4.z, r4, c18.y, r5.x
mad_pp r2, r4.z, r2, r1
mad r4.y, r4, r3.w, c16
mad r1.x, r4.y, r3.w, c16.z
mad r1.z, r1.x, r3.w, c16.w
mul r1.z, r1, r3
mul r5.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r5
abs r1.xy, r1
add r1.w, -r1.z, c17.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c13.x
mad r1.z, r0.w, c14.x, c14.y
mad r1.z, r1, r0.w, c13.w
rsq r1.w, r1.w
cmp r0.y, r0, c13, c13.x
dsy r5.zw, r1.xyxy
add r3.y, -r3.x, c15.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c14.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c14.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c15, r0.z
mul r0.y, r0.x, c15
mul r0.z, r0.w, c17.y
add r0.x, r0.z, c13.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r4, r0, s0, r0.zwzw, r6
add_pp r3, r4, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsx r4.xy, r1
cmp r4.z, -v0.w, c13.y, c13.x
texldd r1, r5, s5, r4, r5.zwzw
mul_pp r4.z, r0.w, r4
mul_pp r6.x, r4.z, r1.w
mul_sat r0.x, c8, c8
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c2
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.x, v4, v4
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, r3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c1
dp3_pp_sat r3.x, r0, r3
rcp r0.w, r6.w
add_sat r3.y, r0.w, -c9.x
pow r0, r3.x, c3.x
mad_pp r0.y, r3, -r4.w, r4.w
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
mul r0.w, r0.x, r0.y
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
dp3_pp r3.x, v4, r3
add_pp r0.y, r3.x, c20.x
frc_pp r0.z, r0.y
texldp r0.x, v3, s7
texld r0.w, v2, s8
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c18
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c19.w
add_pp r2.y, r3, c20
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c17.z
dp3 r2.x, r2, r2
mad_pp r3.x, r4.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c9
add_pp r2.y, r3.x, c13.x
mul_pp r0.w, r0, c18.x
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c17.w
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r4, r5.zwzw
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c13
mul_pp r0.w, r1, r4.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c13.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 188 instructions, 7 temp regs, 0 temp arrays:
// ALU 160 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 211 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c21, 0.97000003, 4.00000000, 15.00000000, -0.94999999
def c22, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c23, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c21
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c22.x, c22.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c22.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c11.x, c11.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c13
cmp r4.z, r4.x, c15.x, c15.y
add r4.y, -r4, c11.x
cmp r4.x, r4.y, c15, c15.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c15.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c12.x
mad r4.x, r3.w, c17.z, c17.w
mad r4.x, r4, r3.w, c18
mul r4.y, r4.z, c12.x
mad r4.y, r4, c21.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c18.y
mad r1.x, r4, r3.w, c18.z
mad r1.z, r1.x, r3.w, c18.w
mul r1.z, r1, r3
mul r4.xy, r3, c14.x
mov r1.x, c14
mad r1.xy, c15.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c19.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c15.x
mad r1.z, r0.w, c16.x, c16.y
mad r1.z, r1, r0.w, c15.w
rsq r1.w, r1.w
cmp r0.y, r0, c15, c15.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c17.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c16.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c16.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c15.y, c15.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c3
pow r0, r3.x, c5.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c11.x
mov r3.x, r0
mad_pp r0.w, r0.y, -r5, r5
mul r0.w, r3.x, r0
mov_pp r0.xyz, c3
dp3 r3.x, v3, v3
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s7
dp4 r0.y, r0, c20
rsq r3.x, r3.x
rcp r0.x, r3.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c21.x, r0.y
dp4 r0.z, c0, c0
mov r3.x, c2
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
cmp r0.w, r0, c15.x, r3.x
dp3_pp r3.x, v4, r0
add_pp r0.y, r3.x, c23
frc_pp r0.z, r0.y
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c21.y
add_pp_sat r3.y, r0, -r0.z
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c23
add_pp r2.y, r3, c23.z
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r3.x, c15.x
mul_pp r0.w, r0, c21.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c19.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 195 instructions, 7 temp regs, 0 temp arrays:
// ALU 166 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 212 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c21, 0.97000003, 4.00000000, 15.00000000, -0.94999999
def c22, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c23, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c21
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c22.x, c22.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c22.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c11.x, c11.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c13
cmp r4.z, r4.x, c15.x, c15.y
add r4.y, -r4, c11.x
cmp r4.x, r4.y, c15, c15.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c15.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c12.x
mad r4.x, r3.w, c17.z, c17.w
mad r4.x, r4, r3.w, c18
mul r4.y, r4.z, c12.x
mad r4.y, r4, c21.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c18.y
mad r1.x, r4, r3.w, c18.z
mad r1.z, r1.x, r3.w, c18.w
mul r1.z, r1, r3
mul r4.xy, r3, c14.x
mov r1.x, c14
mad r1.xy, c15.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c19.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c15.x
mad r1.z, r0.w, c16.x, c16.y
mad r1.z, r1, r0.w, c15.w
rsq r1.w, r1.w
cmp r0.y, r0, c15, c15.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c17.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c16.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c16.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c15.y, c15.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c3
pow r0, r3.x, c5.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c11.x
mov r3.x, r0
mad_pp r0.w, r0.y, -r5, r5
mul r0.w, r3.x, r0
mov_pp r0.xyz, c3
mul_pp r0.xyz, c6, r0
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r0, r0.w, r2
texld r0, v3, s7
dp4 r0.y, r0, c20
dp3 r3.x, v3, v3
rsq r0.x, r3.x
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c21.x, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r3.x, v4, r0
mov r3.y, c2.x
cmp r0.y, r0.w, c15.x, r3
dp3 r0.x, v2, v2
add_pp r0.z, r3.x, c23.y
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c21.y
add_pp_sat r3.y, r0.z, -r0
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
mul_pp_sat r2.x, -r3, c23
add_pp r2.y, r3, c23.z
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r3.x, c15.x
mul_pp r0.w, r0, c21.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c19.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 197 instructions, 7 temp regs, 0 temp arrays:
// ALU 167 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
Float 17 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 220 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c18, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c19, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c20, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c21, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c22, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c23, 0.25000000, 4.00000000, 15.00000000, -0.94999999
def c24, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c25, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c18.x, c18.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c18.x, c18.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c18, c18.x
cmp r1.x, -r1, c18.y, c18
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c18.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c18.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c18.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c18.z, c18.z
mad r3.x, r1, c18.z, c18.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c18.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c11.x
mov r0.w, c11.x
mad r2.zw, c18.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c23
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c24.x, c24.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c12.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c19
add_pp r1, r1, c24.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c24.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c14.x, c14.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c16
cmp r4.z, r4.x, c18.x, c18.y
add r4.y, -r4, c14.x
cmp r4.x, r4.y, c18, c18.y
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c18.x
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c15.x
mad r4.x, r3.w, c20.z, c20.w
mad r4.x, r4, r3.w, c21
mul r4.y, r4.z, c15.x
mad r4.y, r4, c23.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c21.y
mad r1.x, r4, r3.w, c21.z
mad r1.z, r1.x, r3.w, c21.w
mul r1.z, r1, r3
mul r4.xy, r3, c17.x
mov r1.x, c17
mad r1.xy, c18.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c22.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c18.x
mad r1.z, r0.w, c19.x, c19.y
mad r1.z, r1, r0.w, c18.w
rsq r1.w, r1.w
cmp r0.y, r0, c18, c18.x
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c20.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c19.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c19.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c20, r0.z
mul r0.y, r0.x, c20
mul r0.z, r0.w, c22.y
add r0.x, r0.z, c18.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c18.y, c18.x
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c13, c13
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r2, r0, c7
dp3_pp r1.x, c0, c0
rsq_pp r0.x, r1.x
mul_pp r1.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r1
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r1.w, r0, r3
dp3_pp r3.w, r0, r1
mul_pp r6.xyz, r2, c6
pow r0, r1.w, c8.x
rcp r3.x, r6.w
add_sat r0.y, r3.x, -c14.x
mul_pp r1.xyz, r3.w, r6
mad_pp r0.w, r0.y, -r5, r5
mov r1.w, r0.x
mul r1.w, r1, r0
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r3.xyz, r0, r1.w, r1
rcp r0.w, v3.w
mad r0.xy, v3, r0.w, c5
mad r1.xy, v3, r0.w, c4
texld r0.x, r0, s9
mov r1.w, r0.x
texld r1.x, r1, s9
mov r1.z, r1.x
mad r1.xy, v3, r0.w, c2
mad r0.xy, v3, r0.w, c3
texld r1.x, r1, s9
texld r0.x, r0, s9
mov r1.y, r0.x
mad r0, -v3.z, r0.w, r1
mov r1.x, c1
cmp r0, r0, c18.x, r1.x
dp4_pp r0.y, r0, c23.x
dp4 r1.y, c0, c0
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.z, v4, r1
rcp r0.x, v2.w
mad r1.xy, v2, r0.x, c18.z
texld r0.w, r1, s7
cmp r1.x, -v2.z, c18.y, c18
dp3 r0.x, v2, v2
add_pp r0.z, r1, c25.y
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s8
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
add_pp_sat r1.x, r0.z, -r0.y
mul_pp r0.x, r0.w, c23.y
add_pp r1.y, r1.x, c25.z
mul_pp_sat r1.x, -r1.z, c25
mul_pp r1.w, r1.x, r1.y
add r1.xyz, v5, c22.z
dp3 r1.x, r1, r1
mad_pp r1.w, r5, -r1, r1
rsq r1.x, r1.x
mul_pp r0.w, r0, r3
rcp r1.x, r1.x
add r1.x, r1, -c14
add_pp r1.y, r1.w, c18.x
mul_sat r1.x, r1, c22.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c23.y
mad_pp r0, r0, r1.y, -r2
mad_pp r0, r1.x, r0, r2
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c18
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c18.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 209 instructions, 7 temp regs, 0 temp arrays:
// ALU 172 float, 1 int, 8 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailVertScale]
Float 12 [_DetailDist]
Float 13 [_PlanetOpacity]
Float 14 [_OceanRadius]
Float 15 [_OceanDepthFactor]
Vector 16 [_OceanColor]
Float 17 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_LightTexture0] 2D
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_ShadowMapTexture] 2D
"ps_3_0
; 219 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c18, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c19, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c20, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c21, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c22, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c23, 0.25000000, 4.00000000, 15.00000000, -0.94999999
def c24, 32.00000000, 0.50000000, -0.50000000, 0.75000000
def c25, 10.00000000, 1.00976563, -1.00000000, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2
dcl_texcoord3 v3
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r6.w, r0.x
mul r0.xyz, r6.w, v5
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c18.y, c18.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c18.y, c18.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c18.x, c18
cmp r1.x, -r1, c18, c18.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c18.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c18.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c18.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c18.z, c18.z
mad r3.x, r1, c18.z, c18.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c18.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c11.x
mov r0.w, c11.x
mad r2.zw, c18.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c23
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c24.x, c24.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c12.x
dp3 r4.x, v6, r2
mul_sat r0.w, r0, c19
add_pp r1, r1, c24.z
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c24.w
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.x, r4.x, r0
rsq r0.w, r0.w
rcp r4.y, r0.w
mul r3.w, r4.y, r4.y
abs r0.w, r0.z
mad r4.z, c14.x, c14.x, -r3.w
max r3.w, r5.x, r0
min r3.z, r5.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.z, r4.z
rcp r4.z, r4.z
add r4.z, r4.x, -r4
add r4.w, r4.z, -v1
mul r3.w, r3.z, r3.z
add_pp r2, -r1, c16
cmp r4.z, r4.x, c18.y, c18.x
add r4.y, -r4, c14.x
cmp r4.x, r4.y, c18.y, c18
mul r4.x, r4, r4.z
mul r4.y, r4.x, r4.w
add r4.z, -r4.y, c18.y
frc r4.w, r4.z
add_sat r4.z, r4, -r4.w
mul_sat r4.w, -r4.y, c15.x
mad r4.x, r3.w, c20.z, c20.w
mad r4.x, r4, r3.w, c21
mul r4.y, r4.z, c15.x
mad r4.y, r4, c23.z, r4.w
mad_pp r2, r4.y, r2, r1
mad r4.x, r4, r3.w, c21.y
mad r1.x, r4, r3.w, c21.z
mad r1.z, r1.x, r3.w, c21.w
mul r1.z, r1, r3
mul r4.xy, r3, c17.x
mov r1.x, c17
mad r1.xy, c18.z, -r1.x, r4
abs r1.xy, r1
add r1.w, -r1.z, c22.x
add r0.w, r5.x, -r0
cmp r3.x, -r0.w, r1.z, r1.w
abs r0.w, r0.y
add r1.w, -r0, c18.y
mad r1.z, r0.w, c19.x, c19.y
mad r1.z, r1, r0.w, c18.w
rsq r1.w, r1.w
cmp r0.y, r0, c18.x, c18
dsx r4.zw, r1.xyxy
add r3.y, -r3.x, c20.x
rcp r1.w, r1.w
mad r0.w, r1.z, r0, c19.z
mul r0.w, r0, r1
mul r1.z, r0.y, r0.w
cmp r1.w, r0.z, r3.x, r3.y
mad r0.z, -r1, c19.w, r0.w
cmp r0.w, r0.x, r1, -r1
mad r0.x, r0.y, c20, r0.z
mul r0.y, r0.x, c20
mul r0.z, r0.w, c22.y
add r0.x, r0.z, c18.z
mov r1.w, r0.y
abs r1.z, r0
dsy r6.xy, r1.zwzw
dsx r0.zw, r1
texldd r5, r0, s0, r0.zwzw, r6
add_pp r3, r5, -r2
texldd r0.w, r0, s3, r0.zwzw, r6
dsy r5.xy, r1
cmp r5.z, -v0.w, c18.x, c18.y
texldd r1, r4, s5, r4.zwzw, r5
mul_pp r5.z, r0.w, r5
mul_pp r6.x, r5.z, r1.w
mul_sat r0.x, c13, c13
mad_pp r0, r0.x, r3, r2
mov_pp r1.w, r6.x
add_pp r1, r1, -r0
mad_pp r0, r6.x, r1, r0
mul_pp r1, r0, c7
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r2.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r2
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r3.x, r0, r3
dp3_pp r2.w, r0, r2
mul_pp r6.xyz, r1, c6
pow r0, r3.x, c8.x
rcp r3.y, r6.w
add_sat r0.y, r3, -c14.x
mad_pp r0.y, r0, -r5.w, r5.w
mov_pp r3.xyz, c6
rcp r3.w, v3.w
mul r0.w, r0.x, r0.y
mad r0.xyz, v3, r3.w, c5
texld r0.x, r0, s9
mul_pp r3.xyz, c9, r3
mul_pp r2.xyz, r2.w, r6
mad r2.xyz, r3, r0.w, r2
mad r3.xyz, v3, r3.w, c4
mov_pp r0.w, r0.x
texld r0.x, r3, s9
mad r3.xyz, v3, r3.w, c3
mov_pp r0.z, r0.x
texld r0.x, r3, s9
mad r3.xyz, v3, r3.w, c2
mov_pp r0.y, r0.x
texld r0.x, r3, s9
mov r3.x, c1
add r3.x, c18.y, -r3
mad r0, r0, r3.x, c1.x
dp4_pp r0.y, r0, c23.x
dp4 r3.y, c0, c0
rsq r3.y, r3.y
mul r3.xyz, r3.y, c0
dp3_pp r3.z, v4, r3
rcp r0.x, v2.w
mad r3.xy, v2, r0.x, c18.z
texld r0.w, r3, s7
cmp r3.x, -v2.z, c18, c18.y
dp3 r0.x, v2, v2
add_pp r0.z, r3, c25.y
mul_pp r0.w, r3.x, r0
texld r0.x, r0.x, s8
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c23.y
add_pp_sat r3.x, r0.z, -r0.y
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, r2
add_pp r2.y, r3.x, c25.z
mul_pp_sat r2.x, -r3.z, c25
mul_pp r3.x, r2, r2.y
add r2.xyz, v5, c22.z
dp3 r2.x, r2, r2
mad_pp r3.x, r5.w, -r3, r3
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c14
add_pp r2.y, r3.x, c18
mul_pp r0.w, r0, c23.y
mad_pp r0, r0, r2.y, -r1
mul_sat r2.x, r2, c22.w
mad_pp r0, r2.x, r0, r1
texldd r1, r4, s4, r4.zwzw, r5
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c18.y
mul_pp r0.w, r1, r5.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c18.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 464 // 464 used size, 23 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 384 [_DetailVertScale]
Float 388 [_DetailDist]
Float 412 [_PlanetOpacity]
Float 416 [_OceanRadius]
Float 420 [_OceanDepthFactor]
Vector 432 [_OceanColor] 4
Float 460 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 206 instructions, 7 temp regs, 0 temp arrays:
// ALU 173 float, 1 int, 8 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedklmibjdamochieehdgdladeodjkbfhklabaaaaaamibmaaaaadaaaaaa
cmaaaaaaeeabaaaahiabaaaaejfdeheobaabaaaaakaaaaaaaiaaaaaapiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaaeabaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaaaeabaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaaaeabaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapapaaaaaeabaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaaaeabaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaaeabaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
aiaaaaaaaeabaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaaaeabaaaa
ahaaaaaaaaaaaaaaadaaaaaaahaaaaaaahahaaaaaeabaaaaaiaaaaaaaaaaaaaa
adaaaaaaaiaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefceiblaaaa
eaaaaaaancagaaaafjaaaaaeegiocaaaaaaaaaaabnaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabjaaaaaafkaiaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaadaagabaaaafaaaaaa
fkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaafkaaaaadaagabaaa
aiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaa
ffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaa
ffffaaaafibiaaaeaahabaaaaiaaaaaaffffaaaagcbaaaadpcbabaaaabaaaaaa
gcbaaaadpcbabaaaacaaaaaagcbaaaadpcbabaaaadaaaaaagcbaaaadpcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
hcbabaaaahaaaaaagcbaaaadhcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaa
ahaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaahaaaaaaegbcbaaaaiaaaaaa
dcaaaaakbcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaai
ecaabaaaaaaaaaaaakiacaaaaaaaaaaabkaaaaaaakaabaaaaaaaaaaadiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaambcaabaaa
aaaaaaaaakiacaaaaaaaaaaabkaaaaaaakiacaaaaaaaaaaabkaaaaaaakaabaia
ebaaaaaaaaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaabnaaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaaakaabaaaaaaaaaaadkbabaiaebaaaaaaacaaaaaaabaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaiadpaaaaiadpaaaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadkbabaaaacaaaaaa
aaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaadkbabaaaacaaaaaa
aaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpdicaaaai
bcaabaaaaaaaaaaaakaabaaaaaaaaaaabkiacaaaaaaaaaaabkaaaaaaebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiecaabaaaaaaaaaaabkiacaaa
aaaaaaaabkaaaaaaabeaaaaaaaaahaebdcaaaaajbcaabaaaaaaaaaaackaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaaifcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaaidcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaeeaaaaafecaabaaaaaaaaaaabkaabaaa
aaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaacaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaabkaaaaaadiaaaaah
hcaabaaaadaaaaaakgakbaaaaaaaaaaacgbjbaaaagaaaaaabnaaaaajicaabaaa
aaaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaaabaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
abaaaaaackbabaaaagaaaaaackaabaaaaaaaaaaabkaabaiaebaaaaaaadaaaaaa
dcaaaaajicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaa
adaaaaaadcaaaaakecaabaaaaaaaaaaabkbabaiaebaaaaaaagaaaaaackaabaaa
aaaaaaaadkaabaaaabaaaaaadeaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaa
adaaaaaabkaabaiaibaaaaaaadaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaadaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaa
ckaabaaaaaaaaaaaclaaaaafccaabaaaabaaaaaackaabaaaaaaaaaaadgaaaaag
ecaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaaeaaaaaa
egacbaaaacaaaaaaggaibaaaadaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaaa
abaaaaaaegacbaaaadaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaajgaebaaaaeaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaacaaaaaaggaibaaaadaaaaaaegacbaaa
abaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaaeaaaaaadiaaaaakmcaabaaaaaaaaaaafgajbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpaoaaaaaimcaabaaaaaaaaaaakgaobaaa
aaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdiaaaaaidcaabaaa
abaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaabgaaaaaadcaaaaaomcaabaaa
abaaaaaaagiacaiaebaaaaaaaaaaaaaabgaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaaeaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaadiaaaaaidcaabaaaacaaaaaaogakbaaaaaaaaaaaagiacaaaaaaaaaaa
biaaaaaadiaaaaaimcaabaaaaaaaaaaakgaobaaaaaaaaaaapgipcaaaaaaaaaaa
bmaaaaaadcaaaaaomcaabaaaacaaaaaaagiacaiaebaaaaaaaaaaaaaabiaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaacaaaaaadgaaaaag
mcaabaaaacaaaaaakgaobaiaibaaaaaaacaaaaaaalaaaaafdcaabaaaaeaaaaaa
ogakbaaaacaaaaaaamaaaaafmcaabaaaacaaaaaakgaobaaaacaaaaaaejaaaaan
pcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
egaabaaaaeaaaaaaogakbaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaaa
abaaaaaaegaobaiaebaaaaaaacaaaaaabacaaaaiicaabaaaadaaaaaacgbjbaaa
acaaaaaaegacbaiaebaaaaaaadaaaaaaaaaaaaahicaabaaaadaaaaaadkaabaaa
adaaaaaaabeaaaaaddddhdlpdccaaaajicaabaaaadaaaaaadkaabaaaadaaaaaa
abeaaaaaaaaaaaecabeaaaaaaaaaaadpdcaaaaajpcaabaaaabaaaaaapgapbaaa
adaaaaaaegaobaaaabaaaaaaegaobaaaacaaaaaaaaaaaaakpcaabaaaabaaaaaa
egaobaaaabaaaaaaaceaaaaaaaaaaalpaaaaaalpaaaaaalpaaaaaalpapcaaaai
bcaabaaaacaaaaaapgbpbaaaacaaaaaafgifcaaaaaaaaaaabiaaaaaadcaaaaak
pcaabaaaabaaaaaaagaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaa
abaaaaaadcaaaaampcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaeadp
aaaaeadpaaaaeadpaaaaeadpegbobaaaabaaaaaaaaaaaaajpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaegiocaaaaaaaaaaablaaaaaadcaaaaajpcaabaaa
abaaaaaaagaabaaaaaaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadeaaaaaj
bcaabaaaaaaaaaaaakaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaa
aoaaaaakbcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
akaabaaaaaaaaaaaddaaaaajbcaabaaaacaaaaaaakaabaiaibaaaaaaadaaaaaa
bkaabaiaibaaaaaaadaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
akaabaaaacaaaaaadiaaaaahbcaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaa
aaaaaaaadcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaacaaaaaaakaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaacaaaaaaakaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaacaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaacaaaaaa
akaabaiaibaaaaaaadaaaaaabkaabaiaibaaaaaaadaaaaaaabaaaaahccaabaaa
acaaaaaackaabaaaacaaaaaabkaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadbaaaaaidcaabaaa
acaaaaaaigaabaaaadaaaaaaigaabaiaebaaaaaaadaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaaddaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaabkaabaaaadaaaaaadbaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaadeaaaaahecaabaaaacaaaaaaakaabaaaadaaaaaa
bkaabaaaadaaaaaabnaaaaaiecaabaaaacaaaaaackaabaaaacaaaaaackaabaia
ebaaaaaaacaaaaaaabaaaaahbcaabaaaacaaaaaackaabaaaacaaaaaaakaabaaa
acaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaalaaaaafbcaabaaaaeaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaa
afaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackaabaiaibaaaaaa
adaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakbcaabaaaaaaaaaaa
akaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaaiedefjlodcaaaaak
bcaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaiaibaaaaaaadaaaaaaabeaaaaa
keanmjdpaaaaaaaibcaabaaaacaaaaaackaabaiambaaaaaaadaaaaaaabeaaaaa
aaaaiadpelaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaahecaabaaa
acaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajecaabaaaacaaaaaa
ckaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaackaabaaaacaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaacaaaaaadiaaaaahccaabaaa
adaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaa
bkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaaejaaaaan
pcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaadaaaaaa
egaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaa
adaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaaaeaaaaaaegaabaaa
afaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaa
acaaaaaadiaaaaajbcaabaaaaaaaaaaadkiacaaaaaaaaaaabjaaaaaadkiacaaa
aaaaaaaabjaaaaaaddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaajpcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaaeaaaaaa
egaobaaaabaaaaaabnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaaaaadkbabaaa
abaaaaaadhaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
adaaaaaadcaaaaaodcaabaaaacaaaaaapgipcaiaebaaaaaaaaaaaaaabmaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaag
dcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaafdcaabaaaadaaaaaa
egaabaaaacaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaaacaaaaaaejaaaaan
pcaabaaaaeaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaaaagabaaaaiaaaaaa
egaabaaaadaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaa
aaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaaegaabaaaadaaaaaaegaabaaa
acaaaaaadiaaaaahicaabaaaaeaaaaaaakaabaaaaaaaaaaadkaabaaaaeaaaaaa
diaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaai
pcaabaaaafaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaaeaaaaaadcaaaaaj
pcaabaaaabaaaaaapgapbaaaaeaaaaaaegaobaaaafaaaaaaegaobaaaabaaaaaa
diaaaaaipcaabaaaabaaaaaaegaobaaaabaaaaaaegiocaaaaaaaaaaabdaaaaaa
diaaaaaihcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaaajaaaaaa
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaa
dkaabaaaacaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaaiaaaaaaegbcbaaa
aiaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaaeaaaaaapgapbaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaadcaaaaajhcaabaaaafaaaaaaegbcbaaa
aiaaaaaakgakbaaaaaaaaaaaegacbaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaafaaaaaaegacbaaaafaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaakgakbaaaaaaaaaaaegacbaaaafaaaaaa
baaaaaahecaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
ecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaakgakbaaa
aaaaaaaaegbcbaaaafaaaaaabacaaaahecaabaaaaaaaaaaaegacbaaaafaaaaaa
egacbaaaagaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaa
aeaaaaaacpaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaiecaabaaa
aaaaaaaackaabaaaaaaaaaaaakiacaaaaaaaaaaabeaaaaaabjaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadiaaaaajhcaabaaaaeaaaaaaegiccaaaaaaaaaaaajaaaaaa
egiccaaaaaaaaaaabfaaaaaadiaaaaahhcaabaaaaeaaaaaafgafbaaaaaaaaaaa
egacbaaaaeaaaaaadcaaaaajhcaabaaaacaaaaaaegacbaaaacaaaaaapgapbaaa
aaaaaaaaegacbaaaaeaaaaaaaaaaaaajccaabaaaaaaaaaaaakiacaiaebaaaaaa
acaaaaaabiaaaaaaabeaaaaaaaaaiadpaoaaaaahhcaabaaaaeaaaaaaegbcbaaa
aeaaaaaapgbpbaaaaeaaaaaaaaaaaaaihcaabaaaafaaaaaaegacbaaaaeaaaaaa
egiccaaaaaaaaaaaabaaaaaaehaaaaalbcaabaaaafaaaaaaegaabaaaafaaaaaa
aghabaaaaiaaaaaaaagabaaaaaaaaaaackaabaaaafaaaaaaaaaaaaaihcaabaaa
agaaaaaaegacbaaaaeaaaaaaegiccaaaaaaaaaaaacaaaaaaehaaaaalccaabaaa
afaaaaaaegaabaaaagaaaaaaaghabaaaaiaaaaaaaagabaaaaaaaaaaackaabaaa
agaaaaaaaaaaaaaihcaabaaaagaaaaaaegacbaaaaeaaaaaaegiccaaaaaaaaaaa
adaaaaaaaaaaaaaihcaabaaaaeaaaaaaegacbaaaaeaaaaaaegiccaaaaaaaaaaa
aeaaaaaaehaaaaalicaabaaaafaaaaaaegaabaaaaeaaaaaaaghabaaaaiaaaaaa
aagabaaaaaaaaaaackaabaaaaeaaaaaaehaaaaalecaabaaaafaaaaaaegaabaaa
agaaaaaaaghabaaaaiaaaaaaaagabaaaaaaaaaaackaabaaaagaaaaaadcaaaaak
pcaabaaaaeaaaaaaegaobaaaafaaaaaafgafbaaaaaaaaaaaagiacaaaacaaaaaa
biaaaaaabbaaaaakccaabaaaaaaaaaaaegaobaaaaeaaaaaaaceaaaaaaaaaiado
aaaaiadoaaaaiadoaaaaiadoaoaaaaahdcaabaaaaeaaaaaaegbabaaaadaaaaaa
pgbpbaaaadaaaaaaaaaaaaakdcaabaaaaeaaaaaaegaabaaaaeaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaaaeaaaaaaegaabaaa
aeaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahecaabaaaaaaaaaaa
abeaaaaaaaaaaaaackbabaaaadaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahecaabaaaaaaaaaaadkaabaaaaeaaaaaa
ckaabaaaaaaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaefaaaaajpcaabaaaaeaaaaaapgapbaaaadaaaaaaeghobaaaahaaaaaa
aagabaaaacaaaaaadiaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
aeaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiaeadiaaaaah
hcaabaaaaeaaaaaafgafbaaaaaaaaaaaegacbaaaacaaaaaadiaaaaahicaabaaa
aeaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaabbaaaaajccaabaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaaaaaaaaaa
agijcaaaabaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaafaaaaaa
jgahbaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiecaabaaaaaaaaaaa
bkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaa
dkaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaakpcaabaaa
acaaaaaaegaobaaaaeaaaaaafgafbaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaa
aaaaaaakocaabaaaaaaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaeiec
aaaaeiecaaaaeiecbaaaaaahccaabaaaaaaaaaaajgahbaaaaaaaaaaajgahbaaa
aaaaaaaaelaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaabkaaaaaadicaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaknhkddmdcaaaaajpcaabaaa
abaaaaaafgafbaaaaaaaaaaadgajbaaaacaaaaaadgajbaaaabaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaia
ebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaaaaaaaaaiocaabaaaaaaaaaaafgaobaiaebaaaaaa
abaaaaaaagajbaaaadaaaaaadcaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaa
jgahbaaaaaaaaaaajgahbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaaabeaaaaa
aaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTexture0] 2D
"ps_3_0
; 219 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c23, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r7.x, r0.x
mul r0.xyz, r7.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c22.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c23.x, c23.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c23.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c11.x, c11.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r2, -r1, c13
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c15.x, c15.y
add r4.z, -r4, c11.x
cmp r4.y, r4.z, c15.x, c15
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c15.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c12
mad r4.y, r3.w, c17.z, c17.w
mad r4.y, r4, r3.w, c18.x
mul r4.z, r4.w, c12.x
mad r4.z, r4, c22.y, r5.x
mad_pp r1, r4.z, r2, r1
mad r4.y, r4, r3.w, c18
mad r2.x, r4.y, r3.w, c18.z
mad r2.z, r2.x, r3.w, c18.w
mul r2.z, r2, r3
mul r5.xy, r3, c14.x
mov r2.x, c14
mad r2.xy, c15.z, -r2.x, r5
abs r2.xy, r2
add r2.w, -r2.z, c19.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r2.z, r2.w
abs r0.w, r0.y
add r2.w, -r0, c15.x
mad r2.z, r0.w, c16.x, c16.y
mad r2.z, r2, r0.w, c15.w
rsq r2.w, r2.w
cmp r0.y, r0, c15, c15.x
dsy r6.xy, r2
dsx r5.zw, r2.xyxy
add r3.y, -r3.x, c17.x
rcp r2.w, r2.w
mad r0.w, r2.z, r0, c16.z
mul r0.w, r0, r2
mul r2.z, r0.y, r0.w
cmp r2.w, r0.z, r3.x, r3.y
mad r0.z, -r2, c16.w, r0.w
cmp r0.w, r0.x, r2, -r2
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r2.w, r0.y
abs r2.z, r0
dsy r6.zw, r2
dsx r0.zw, r2
texldd r3, r0, s0, r0.zwzw, r6.zwzw
add_pp r4, r3, -r1
texldd r0.w, r0, s3, r0.zwzw, r6.zwzw
cmp r3.x, -v0.w, c15.y, c15
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r6.z, r0.w, r3.x
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r4, r1
mul_pp r2.w, r6.z, r2
mov_pp r1.xyz, r2
mov_pp r1.w, r2
add_pp r1, r1, -r0
mad_pp r0, r2.w, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r4.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r2.w, r0, r3
dp3_pp r6.w, r0, r4
mul_pp r2.xyz, r1, c3
pow r0, r2.w, c5.x
rcp r3.x, r7.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r3.w, r3.w
mul r2.w, r0.x, r0.y
add r0.xyz, v3, c20.xyyw
texld r0, r0, s7
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.yxyw
texld r0, r0, s7
dp4 r4.z, r0, c21
mul_pp r2.xyz, r6.w, r2
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r2.w, r2
add r2.xyz, v3, c20.yyxw
texld r2, r2, s7
dp4 r4.y, r2, c21
dp3 r0.w, v3, v3
rsq r2.x, r0.w
add r0.xyz, v3, c20.x
texld r0, r0, s7
dp4 r2.y, c0, c0
rcp r2.x, r2.x
dp4 r4.x, r0, c21
mul r0.x, r2, c1.w
mov r2.x, c2
mad r0, -r0.x, c20.z, r4
cmp r0, r0, c15.x, r2.x
dp4_pp r0.y, r0, c20.w
rsq r2.y, r2.y
mul r2.xyz, r2.y, c0
dp3_pp r2.x, v4, r2
add_pp r0.z, r2.x, c24.x
dp3 r0.x, v2, v2
texld r0.x, r0.x, s8
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c22
add_pp_sat r2.y, r0.z, -r0
mul_pp r0.w, r0, r6
add_pp r2.y, r2, c24
mul_pp_sat r2.x, -r2, c23.w
mul_pp r2.w, r2.x, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r2.w, r3, -r2, r2
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r2.w, c15.x
mul_sat r2.x, r2, c19.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c22.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r6.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_midTex] 2D 3
SetTexture 2 [_steepTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 206 instructions, 7 temp regs, 0 temp arrays:
// ALU 174 float, 1 int, 7 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailVertScale]
Float 9 [_DetailDist]
Float 10 [_PlanetOpacity]
Float 11 [_OceanRadius]
Float 12 [_OceanDepthFactor]
Vector 13 [_OceanColor]
Float 14 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_midTex] 2D
SetTexture 2 [_steepTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 7 [_ShadowMapTexture] CUBE
SetTexture 8 [_LightTextureB0] 2D
SetTexture 9 [_LightTexture0] CUBE
"ps_3_0
; 220 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s7
dcl_2d s8
dcl_cube s9
def c15, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c16, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c17, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c18, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c19, 1.57079601, 0.15915494, 50.00000000, 0.02000000
def c20, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c21, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c22, 4.00000000, 15.00000000, -0.94999999, -0.50000000
def c23, 32.00000000, 0.50000000, 0.75000000, 10.00000000
def c24, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0
dcl_texcoord1 v1
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord7 v6.xyz
dcl_texcoord8 v7.xyz
dp3 r0.x, v5, v5
rsq r7.x, r0.x
mul r0.xyz, r7.x, v5
abs r4.xyz, r0
add r1.x, r4.z, -r4
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c15.x, c15.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c15.z, c15.z
mad r3.x, r1, c15.z, c15.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c15.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsy r3.zw, r1
dsx r1.zw, r1
mul r2.xy, r3, c8.x
mov r0.w, c8.x
mad r2.zw, c15.z, -r0.w, r2.xyxy
dp3_sat r0.w, -r0, v1
add r0.w, r0, c22.z
texldd r1, r1, s1, r1.zwzw, r3.zwzw
abs r2.zw, r2
dsx r3.zw, r2
dsy r2.zw, r2
texldd r2, r2, s2, r3.zwzw, r2.zwzw
add_pp r1, r1, -r2
mad_sat r0.w, r0, c23.x, c23.y
mad_pp r1, r0.w, r1, r2
mov r2.xyz, v7
mul r0.w, v1, c9.x
dp3 r4.y, v6, r2
mul_sat r0.w, r0, c16
add_pp r1, r1, c22.w
mad_pp r1, r0.w, -r1, r1
mul_pp r1, r1, c23.z
add r1, v0, r1
dp3 r0.w, v6, v6
mad r0.w, -r4.y, r4.y, r0
rsq r0.w, r0.w
rcp r4.z, r0.w
mul r3.w, r4.z, r4.z
abs r0.w, r0.z
mad r4.w, c11.x, c11.x, -r3
max r3.w, r4.x, r0
min r3.z, r4.x, r0.w
rcp r3.w, r3.w
mul r3.z, r3, r3.w
rsq r4.w, r4.w
rcp r4.w, r4.w
add r4.w, r4.y, -r4
add r5.x, r4.w, -v1.w
add_pp r2, -r1, c13
mul r3.w, r3.z, r3.z
cmp r4.w, r4.y, c15.x, c15.y
add r4.z, -r4, c11.x
cmp r4.y, r4.z, c15.x, c15
mul r4.y, r4, r4.w
mul r4.z, r4.y, r5.x
add r4.w, -r4.z, c15.x
frc r5.x, r4.w
add_sat r4.w, r4, -r5.x
mul_sat r5.x, -r4.z, c12
mad r4.y, r3.w, c17.z, c17.w
mad r4.y, r4, r3.w, c18.x
mul r4.z, r4.w, c12.x
mad r4.z, r4, c22.y, r5.x
mad_pp r1, r4.z, r2, r1
mad r4.y, r4, r3.w, c18
mad r2.x, r4.y, r3.w, c18.z
mad r2.z, r2.x, r3.w, c18.w
mul r2.z, r2, r3
mul r5.xy, r3, c14.x
mov r2.x, c14
mad r2.xy, c15.z, -r2.x, r5
abs r2.xy, r2
add r2.w, -r2.z, c19.x
add r0.w, r4.x, -r0
cmp r3.x, -r0.w, r2.z, r2.w
abs r0.w, r0.y
add r2.w, -r0, c15.x
mad r2.z, r0.w, c16.x, c16.y
mad r2.z, r2, r0.w, c15.w
rsq r2.w, r2.w
cmp r0.y, r0, c15, c15.x
dsy r6.xy, r2
dsx r5.zw, r2.xyxy
add r3.y, -r3.x, c17.x
rcp r2.w, r2.w
mad r0.w, r2.z, r0, c16.z
mul r0.w, r0, r2
mul r2.z, r0.y, r0.w
cmp r2.w, r0.z, r3.x, r3.y
mad r0.z, -r2, c16.w, r0.w
cmp r0.w, r0.x, r2, -r2
mad r0.x, r0.y, c17, r0.z
mul r0.y, r0.x, c17
mul r0.z, r0.w, c19.y
add r0.x, r0.z, c15.z
mov r2.w, r0.y
abs r2.z, r0
dsy r6.zw, r2
dsx r0.zw, r2
texldd r3, r0, s0, r0.zwzw, r6.zwzw
add_pp r4, r3, -r1
texldd r0.w, r0, s3, r0.zwzw, r6.zwzw
cmp r3.x, -v0.w, c15.y, c15
texldd r2, r5, s5, r5.zwzw, r6
mul_pp r6.z, r0.w, r3.x
mul_sat r0.x, c10, c10
mad_pp r0, r0.x, r4, r1
mul_pp r2.w, r6.z, r2
mov_pp r1.xyz, r2
mov_pp r1.w, r2
add_pp r1, r1, -r0
mad_pp r0, r2.w, r1, r0
mul_pp r1, r0, c4
dp3_pp r2.x, c0, c0
rsq_pp r0.x, r2.x
mul_pp r4.xyz, r0.x, c0
dp3_pp r0.y, v7, v7
rsq_pp r0.y, r0.y
mad_pp r3.xyz, r0.y, v7, r4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
mul_pp r3.xyz, r0.w, r3
dp3_pp_sat r2.w, r0, r3
dp3_pp r6.w, r0, r4
mul_pp r2.xyz, r1, c3
pow r0, r2.w, c5.x
rcp r3.x, r7.x
add_sat r0.y, r3.x, -c11.x
mad_pp r0.y, r0, -r3.w, r3.w
mul r2.w, r0.x, r0.y
add r0.xyz, v3, c20.xyyw
texld r0, r0, s7
dp4 r4.w, r0, c21
mov_pp r3.xyz, c3
add r0.xyz, v3, c20.yxyw
texld r0, r0, s7
dp4 r4.z, r0, c21
add r0.xyz, v3, c20.x
texld r0, r0, s7
mul_pp r2.xyz, r6.w, r2
mul_pp r3.xyz, c6, r3
mad r3.xyz, r3, r2.w, r2
add r2.xyz, v3, c20.yyxw
texld r2, r2, s7
dp4 r4.y, r2, c21
dp3 r2.x, v3, v3
rsq r2.x, r2.x
dp4 r4.x, r0, c21
rcp r0.x, r2.x
dp4 r2.x, c0, c0
mul r0.x, r0, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v4, r2
mov r2.w, c2.x
mad r0, -r0.x, c20.z, r4
cmp r0, r0, c15.x, r2.w
dp4_pp r0.y, r0, c20.w
add_pp r0.z, r2.x, c24.x
dp3 r0.x, v2, v2
texld r0.w, v2, s9
texld r0.x, r0.x, s8
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
frc_pp r0.y, r0.z
mul_pp r0.x, r0.w, c22
add_pp_sat r2.y, r0.z, -r0
mul_pp r0.w, r0, r6
add_pp r2.y, r2, c24
mul_pp_sat r2.x, -r2, c23.w
mul_pp r2.w, r2.x, r2.y
add r2.xyz, v5, c19.z
dp3 r2.x, r2, r2
mad_pp r2.w, r3, -r2, r2
rsq r2.x, r2.x
rcp r2.x, r2.x
add r2.x, r2, -c11
add_pp r2.y, r2.w, c15.x
mul_sat r2.x, r2, c19.w
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c22.x
mad_pp r0, r0, r2.y, -r1
mad_pp r0, r2.x, r0, r1
texldd r1, r5, s4, r5.zwzw, r6
mov_pp_sat r0.w, r0
add_pp r2.xyz, r1, -r0
add_pp r1.x, -r0.w, c15
mul_pp r0.w, r1, r6.z
mul_pp r0.w, r0, r1.x
mad_pp oC0.xyz, r0.w, r2, r0
mov_pp oC0.w, c15.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 400 used size, 22 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 320 [_DetailVertScale]
Float 324 [_DetailDist]
Float 348 [_PlanetOpacity]
Float 352 [_OceanRadius]
Float 356 [_OceanDepthFactor]
Vector 368 [_OceanColor] 4
Float 396 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_midTex] 2D 4
SetTexture 2 [_steepTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 208 instructions, 7 temp regs, 0 temp arrays:
// ALU 175 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

}

#LINE 226

	
		}
		
		Pass {
            Tags {"LightMode" = "ForwardAdd"} 
            Blend One One                                      
            Program "vp" {
// Vertex combos: 5
//   opengl - ALU: 10 to 19
//   d3d9 - ALU: 12 to 21
//   d3d11 - ALU: 8 to 17, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 8 to 17, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "POINT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Vector 17 [_WorldSpaceLightPos0]
Matrix 5 [_Object2World]
Matrix 9 [_World2Object]
Vector 18 [unity_Scale]
Matrix 13 [_LightMatrix0]
"!!ARBvp1.0
# 18 ALU
PARAM c[19] = { program.local[0],
		state.matrix.mvp,
		program.local[5..18] };
TEMP R0;
TEMP R1;
MOV R1, c[17];
DP4 R0.w, vertex.position, c[8];
DP4 R0.z, R1, c[11];
DP4 R0.x, R1, c[9];
DP4 R0.y, R1, c[10];
MAD result.texcoord[2].xyz, R0, c[18].w, -vertex.position;
DP4 R0.z, vertex.position, c[7];
DP4 R0.x, vertex.position, c[5];
DP4 R0.y, vertex.position, c[6];
DP4 result.texcoord[3].z, R0, c[15];
DP4 result.texcoord[3].y, R0, c[14];
DP4 result.texcoord[3].x, R0, c[13];
MOV result.texcoord[5], vertex.color;
MOV result.texcoord[1].xyz, vertex.normal;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 18 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "POINT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_2_0
; 20 ALU
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
mov r0, c10
dp4 r2.z, c16, r0
mov r0, c9
dp4 r2.y, c16, r0
mov r1, c8
dp4 r2.x, c16, r1
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mad oT2.xyz, r2, c17.w, -v0
dp4 oT3.z, r0, c14
dp4 oT3.y, r0, c13
dp4 oT3.x, r0, c12
mov oT5, v1
mov oT1.xyz, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "POINT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "POINT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  highp float tmpvar_4;
  tmpvar_4 = dot (xlv_TEXCOORD3, xlv_TEXCOORD3);
  lowp float tmpvar_5;
  tmpvar_5 = texture2D (_LightTexture0, vec2(tmpvar_4)).w;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_6;
  tmpvar_6 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_5 * 2.0));
  c_1.xyz = tmpvar_7;
  highp float tmpvar_8;
  tmpvar_8 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_8;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "POINT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  highp float tmpvar_4;
  tmpvar_4 = dot (xlv_TEXCOORD3, xlv_TEXCOORD3);
  lowp float tmpvar_5;
  tmpvar_5 = texture2D (_LightTexture0, vec2(tmpvar_4)).w;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_6;
  tmpvar_6 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_5 * 2.0));
  c_1.xyz = tmpvar_7;
  highp float tmpvar_8;
  tmpvar_8 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_8;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "flash " {
Keywords { "POINT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"agal_vs
[bc]
aaaaaaaaaaaaapacakaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c10
bdaaaaaaacaaaeacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.z, c16, r0
aaaaaaaaaaaaapacajaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c9
bdaaaaaaacaaacacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.y, c16, r0
aaaaaaaaabaaapacaiaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1, c8
bdaaaaaaacaaabacbaaaaaoeabaaaaaaabaaaaoeacaaaaaa dp4 r2.x, c16, r1
bdaaaaaaaaaaaiacaaaaaaoeaaaaaaaaahaaaaoeabaaaaaa dp4 r0.w, a0, c7
bdaaaaaaaaaaaeacaaaaaaoeaaaaaaaaagaaaaoeabaaaaaa dp4 r0.z, a0, c6
bdaaaaaaaaaaabacaaaaaaoeaaaaaaaaaeaaaaoeabaaaaaa dp4 r0.x, a0, c4
bdaaaaaaaaaaacacaaaaaaoeaaaaaaaaafaaaaoeabaaaaaa dp4 r0.y, a0, c5
adaaaaaaabaaahacacaaaakeacaaaaaabbaaaappabaaaaaa mul r1.xyz, r2.xyzz, c17.w
acaaaaaaacaaahaeabaaaakeacaaaaaaaaaaaaoeaaaaaaaa sub v2.xyz, r1.xyzz, a0
bdaaaaaaadaaaeaeaaaaaaoeacaaaaaaaoaaaaoeabaaaaaa dp4 v3.z, r0, c14
bdaaaaaaadaaacaeaaaaaaoeacaaaaaaanaaaaoeabaaaaaa dp4 v3.y, r0, c13
bdaaaaaaadaaabaeaaaaaaoeacaaaaaaamaaaaoeabaaaaaa dp4 v3.x, r0, c12
aaaaaaaaafaaapaeacaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v5, a2
aaaaaaaaabaaahaeabaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v1.xyz, a1
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
aaaaaaaaabaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v1.w, c0
aaaaaaaaacaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v2.w, c0
aaaaaaaaadaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v3.w, c0
"
}

SubProgram "d3d11_9x " {
Keywords { "POINT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "POINT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec3 _LightCoord;
    highp vec4 color;
};
#line 317
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 348
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 335
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 339
    o.lightDir = ObjSpaceLightDir( v.vertex);
    o.color = v.color;
    o.normal = v.normal;
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 344
    return o;
}

out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec2(xl_retval.uv);
    xlv_TEXCOORD2 = vec3(xl_retval.lightDir);
    xlv_TEXCOORD1 = vec3(xl_retval.normal);
    xlv_TEXCOORD3 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD5 = vec4(xl_retval.color);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec3 _LightCoord;
    highp vec4 color;
};
#line 317
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 348
#line 348
lowp vec4 frag( in v2f IN ) {
    IN.lightDir = normalize(IN.lightDir);
    lowp float atten = (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0);
    #line 352
    lowp vec3 normal = IN.normal;
    lowp float diff = xll_saturate_f(dot( normal, IN.lightDir));
    lowp vec4 c;
    c.xyz = (((IN.color.xyz * _LightColor0.xyz) * diff) * (atten * 2.0));
    #line 356
    c.w = IN.color.w;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xlt_IN.lightDir = vec3(xlv_TEXCOORD2);
    xlt_IN.normal = vec3(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.color = vec4(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "DIRECTIONAL" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Vector 9 [_WorldSpaceLightPos0]
Matrix 5 [_World2Object]
"!!ARBvp1.0
# 10 ALU
PARAM c[10] = { program.local[0],
		state.matrix.mvp,
		program.local[5..9] };
TEMP R0;
MOV R0, c[9];
DP4 result.texcoord[2].z, R0, c[7];
DP4 result.texcoord[2].y, R0, c[6];
DP4 result.texcoord[2].x, R0, c[5];
MOV result.texcoord[5], vertex.color;
MOV result.texcoord[1].xyz, vertex.normal;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 10 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "DIRECTIONAL" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceLightPos0]
Matrix 4 [_World2Object]
"vs_2_0
; 12 ALU
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
mov r0, c6
dp4 oT2.z, c8, r0
mov r0, c5
mov r1, c4
dp4 oT2.y, c8, r0
dp4 oT2.x, c8, r1
mov oT5, v1
mov oT1.xyz, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "DIRECTIONAL" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 320 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 256 [_World2Object] 4
BindCB "UnityLighting" 0
BindCB "UnityPerDraw" 1
// 11 instructions, 1 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedhlffamgibkghgdhcndobnoaidcnlmladabaaaaaafiadaaaaadaaaaaa
cmaaaaaalmaaaaaafmabaaaaejfdeheoiiaaaaaaaeaaaaaaaiaaaaaagiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaahbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaahhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaahoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaahaaaaaafaepfdej
feejepeoaaedepemepfcaaeoepfcenebemaafeebeoehefeofeaaklklepfdeheo
jiaaaaaaafaaaaaaaiaaaaaaiaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaimaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadapaaaaimaaaaaa
acaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaimaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaahaiaaaaimaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
peabaaaaeaaaabaahnaaaaaafjaaaaaeegiocaaaaaaaaaaaabaaaaaafjaaaaae
egiocaaaabaaaaaabeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadpccabaaa
aeaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaabaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaabaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaabaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaajhcaabaaaaaaaaaaafgifcaaaaaaaaaaaaaaaaaaaegiccaaa
abaaaaaabbaaaaaadcaaaaalhcaabaaaaaaaaaaaegiccaaaabaaaaaabaaaaaaa
agiacaaaaaaaaaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaalhcaabaaaaaaaaaaa
egiccaaaabaaaaaabcaaaaaakgikcaaaaaaaaaaaaaaaaaaaegacbaaaaaaaaaaa
dcaaaaalhccabaaaacaaaaaaegiccaaaabaaaaaabdaaaaaapgipcaaaaaaaaaaa
aaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaaadaaaaaaegbcbaaaacaaaaaa
dgaaaaafpccabaaaaeaaaaaaegbobaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "DIRECTIONAL" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _World2Object;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (_World2Object * _WorldSpaceLightPos0).xyz;
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_4;
  tmpvar_4 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * 2.0);
  c_1.xyz = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_6;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "DIRECTIONAL" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _World2Object;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (_World2Object * _WorldSpaceLightPos0).xyz;
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_4;
  tmpvar_4 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * 2.0);
  c_1.xyz = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_6;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "flash " {
Keywords { "DIRECTIONAL" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceLightPos0]
Matrix 4 [_World2Object]
"agal_vs
[bc]
aaaaaaaaaaaaapacagaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c6
bdaaaaaaacaaaeaeaiaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 v2.z, c8, r0
aaaaaaaaaaaaapacafaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c5
aaaaaaaaabaaapacaeaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1, c4
bdaaaaaaacaaacaeaiaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 v2.y, c8, r0
bdaaaaaaacaaabaeaiaaaaoeabaaaaaaabaaaaoeacaaaaaa dp4 v2.x, c8, r1
aaaaaaaaafaaapaeacaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v5, a2
aaaaaaaaabaaahaeabaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v1.xyz, a1
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
aaaaaaaaabaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v1.w, c0
aaaaaaaaacaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v2.w, c0
"
}

SubProgram "d3d11_9x " {
Keywords { "DIRECTIONAL" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 320 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 256 [_World2Object] 4
BindCB "UnityLighting" 0
BindCB "UnityPerDraw" 1
// 11 instructions, 1 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "DIRECTIONAL" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec4 color;
};
#line 315
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 332
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 344
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 332
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 336
    o.lightDir = ObjSpaceLightDir( v.vertex);
    o.color = v.color;
    o.normal = v.normal;
    #line 340
    return o;
}

out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec2(xl_retval.uv);
    xlv_TEXCOORD2 = vec3(xl_retval.lightDir);
    xlv_TEXCOORD1 = vec3(xl_retval.normal);
    xlv_TEXCOORD5 = vec4(xl_retval.color);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec4 color;
};
#line 315
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 332
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 344
#line 344
lowp vec4 frag( in v2f IN ) {
    IN.lightDir = normalize(IN.lightDir);
    lowp float atten = 1.0;
    #line 348
    lowp vec3 normal = IN.normal;
    lowp float diff = xll_saturate_f(dot( normal, IN.lightDir));
    lowp vec4 c;
    c.xyz = (((IN.color.xyz * _LightColor0.xyz) * diff) * (atten * 2.0));
    #line 352
    c.w = IN.color.w;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xlt_IN.lightDir = vec3(xlv_TEXCOORD2);
    xlt_IN.normal = vec3(xlv_TEXCOORD1);
    xlt_IN.color = vec4(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SPOT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Vector 17 [_WorldSpaceLightPos0]
Matrix 5 [_Object2World]
Matrix 9 [_World2Object]
Vector 18 [unity_Scale]
Matrix 13 [_LightMatrix0]
"!!ARBvp1.0
# 19 ALU
PARAM c[19] = { program.local[0],
		state.matrix.mvp,
		program.local[5..18] };
TEMP R0;
TEMP R1;
MOV R1, c[17];
DP4 R0.w, vertex.position, c[8];
DP4 R0.z, R1, c[11];
DP4 R0.x, R1, c[9];
DP4 R0.y, R1, c[10];
MAD result.texcoord[2].xyz, R0, c[18].w, -vertex.position;
DP4 R0.z, vertex.position, c[7];
DP4 R0.x, vertex.position, c[5];
DP4 R0.y, vertex.position, c[6];
DP4 result.texcoord[3].w, R0, c[16];
DP4 result.texcoord[3].z, R0, c[15];
DP4 result.texcoord[3].y, R0, c[14];
DP4 result.texcoord[3].x, R0, c[13];
MOV result.texcoord[5], vertex.color;
MOV result.texcoord[1].xyz, vertex.normal;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 19 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "SPOT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_2_0
; 21 ALU
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
mov r0, c10
dp4 r2.z, c16, r0
mov r0, c9
dp4 r2.y, c16, r0
mov r1, c8
dp4 r2.x, c16, r1
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mad oT2.xyz, r2, c17.w, -v0
dp4 oT3.w, r0, c15
dp4 oT3.z, r0, c14
dp4 oT3.y, r0, c13
dp4 oT3.x, r0, c12
mov oT5, v1
mov oT1.xyz, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SPOT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefieceddiemkimndippbbnjeipihbehkfmhcbkpabaaaaaaoiaeaaaaadaaaaaa
cmaaaaaalmaaaaaaheabaaaaejfdeheoiiaaaaaaaeaaaaaaaiaaaaaagiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaahbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaahhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaahoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaahaaaaaafaepfdej
feejepeoaaedepemepfcaaeoepfcenebemaafeebeoehefeofeaaklklepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadapaaaakeaaaaaa
acaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaakeaaaaaaabaaaaaaaaaaaaaa
adaaaaaaadaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgmadaaaaeaaaabaa
nlaaaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaa
gfaaaaadpccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaagiaaaaacacaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaajhcaabaaa
aaaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaaaaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaalhcaabaaaaaaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaalhcaabaaaaaaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaaaaaaaaa
dcaaaaalhccabaaaacaaaaaaegacbaaaaaaaaaaapgipcaaaacaaaaaabeaaaaaa
egbcbaiaebaaaaaaaaaaaaaadgaaaaafhccabaaaadaaaaaaegbcbaaaacaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaanaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaakpccabaaaaeaaaaaaegiocaaaaaaaaaaaaeaaaaaa
pgapbaaaaaaaaaaaegaobaaaabaaaaaadgaaaaafpccabaaaafaaaaaaegbobaaa
abaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SPOT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  lowp float atten_4;
  lowp vec4 tmpvar_5;
  highp vec2 P_6;
  P_6 = ((xlv_TEXCOORD3.xy / xlv_TEXCOORD3.w) + 0.5);
  tmpvar_5 = texture2D (_LightTexture0, P_6);
  highp float tmpvar_7;
  tmpvar_7 = dot (xlv_TEXCOORD3.xyz, xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LightTextureB0, vec2(tmpvar_7));
  highp float tmpvar_9;
  tmpvar_9 = ((float((xlv_TEXCOORD3.z > 0.0)) * tmpvar_5.w) * tmpvar_8.w);
  atten_4 = tmpvar_9;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_10;
  tmpvar_10 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (atten_4 * 2.0));
  c_1.xyz = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_12;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SPOT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  lowp float atten_4;
  lowp vec4 tmpvar_5;
  highp vec2 P_6;
  P_6 = ((xlv_TEXCOORD3.xy / xlv_TEXCOORD3.w) + 0.5);
  tmpvar_5 = texture2D (_LightTexture0, P_6);
  highp float tmpvar_7;
  tmpvar_7 = dot (xlv_TEXCOORD3.xyz, xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = texture2D (_LightTextureB0, vec2(tmpvar_7));
  highp float tmpvar_9;
  tmpvar_9 = ((float((xlv_TEXCOORD3.z > 0.0)) * tmpvar_5.w) * tmpvar_8.w);
  atten_4 = tmpvar_9;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_10;
  tmpvar_10 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (atten_4 * 2.0));
  c_1.xyz = tmpvar_11;
  highp float tmpvar_12;
  tmpvar_12 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_12;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "flash " {
Keywords { "SPOT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"agal_vs
[bc]
aaaaaaaaaaaaapacakaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c10
bdaaaaaaacaaaeacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.z, c16, r0
aaaaaaaaaaaaapacajaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c9
bdaaaaaaacaaacacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.y, c16, r0
aaaaaaaaabaaapacaiaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1, c8
bdaaaaaaacaaabacbaaaaaoeabaaaaaaabaaaaoeacaaaaaa dp4 r2.x, c16, r1
bdaaaaaaaaaaaiacaaaaaaoeaaaaaaaaahaaaaoeabaaaaaa dp4 r0.w, a0, c7
bdaaaaaaaaaaaeacaaaaaaoeaaaaaaaaagaaaaoeabaaaaaa dp4 r0.z, a0, c6
bdaaaaaaaaaaabacaaaaaaoeaaaaaaaaaeaaaaoeabaaaaaa dp4 r0.x, a0, c4
bdaaaaaaaaaaacacaaaaaaoeaaaaaaaaafaaaaoeabaaaaaa dp4 r0.y, a0, c5
adaaaaaaabaaahacacaaaakeacaaaaaabbaaaappabaaaaaa mul r1.xyz, r2.xyzz, c17.w
acaaaaaaacaaahaeabaaaakeacaaaaaaaaaaaaoeaaaaaaaa sub v2.xyz, r1.xyzz, a0
bdaaaaaaadaaaiaeaaaaaaoeacaaaaaaapaaaaoeabaaaaaa dp4 v3.w, r0, c15
bdaaaaaaadaaaeaeaaaaaaoeacaaaaaaaoaaaaoeabaaaaaa dp4 v3.z, r0, c14
bdaaaaaaadaaacaeaaaaaaoeacaaaaaaanaaaaoeabaaaaaa dp4 v3.y, r0, c13
bdaaaaaaadaaabaeaaaaaaoeacaaaaaaamaaaaoeabaaaaaa dp4 v3.x, r0, c12
aaaaaaaaafaaapaeacaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v5, a2
aaaaaaaaabaaahaeabaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v1.xyz, a1
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
aaaaaaaaabaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v1.w, c0
aaaaaaaaacaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v2.w, c0
"
}

SubProgram "d3d11_9x " {
Keywords { "SPOT" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "SPOT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 334
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec4 _LightCoord;
    highp vec4 color;
};
#line 326
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 344
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 357
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 344
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 348
    o.lightDir = ObjSpaceLightDir( v.vertex);
    o.color = v.color;
    o.normal = v.normal;
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    #line 353
    return o;
}

out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec2(xl_retval.uv);
    xlv_TEXCOORD2 = vec3(xl_retval.lightDir);
    xlv_TEXCOORD1 = vec3(xl_retval.normal);
    xlv_TEXCOORD3 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD5 = vec4(xl_retval.color);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 334
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec4 _LightCoord;
    highp vec4 color;
};
#line 326
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 344
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 357
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 357
lowp vec4 frag( in v2f IN ) {
    IN.lightDir = normalize(IN.lightDir);
    lowp float atten = (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0);
    #line 361
    lowp vec3 normal = IN.normal;
    lowp float diff = xll_saturate_f(dot( normal, IN.lightDir));
    lowp vec4 c;
    c.xyz = (((IN.color.xyz * _LightColor0.xyz) * diff) * (atten * 2.0));
    #line 365
    c.w = IN.color.w;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xlt_IN.lightDir = vec3(xlv_TEXCOORD2);
    xlt_IN.normal = vec3(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD3);
    xlt_IN.color = vec4(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "POINT_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Vector 17 [_WorldSpaceLightPos0]
Matrix 5 [_Object2World]
Matrix 9 [_World2Object]
Vector 18 [unity_Scale]
Matrix 13 [_LightMatrix0]
"!!ARBvp1.0
# 18 ALU
PARAM c[19] = { program.local[0],
		state.matrix.mvp,
		program.local[5..18] };
TEMP R0;
TEMP R1;
MOV R1, c[17];
DP4 R0.w, vertex.position, c[8];
DP4 R0.z, R1, c[11];
DP4 R0.x, R1, c[9];
DP4 R0.y, R1, c[10];
MAD result.texcoord[2].xyz, R0, c[18].w, -vertex.position;
DP4 R0.z, vertex.position, c[7];
DP4 R0.x, vertex.position, c[5];
DP4 R0.y, vertex.position, c[6];
DP4 result.texcoord[3].z, R0, c[15];
DP4 result.texcoord[3].y, R0, c[14];
DP4 result.texcoord[3].x, R0, c[13];
MOV result.texcoord[5], vertex.color;
MOV result.texcoord[1].xyz, vertex.normal;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 18 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "POINT_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_2_0
; 20 ALU
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
mov r0, c10
dp4 r2.z, c16, r0
mov r0, c9
dp4 r2.y, c16, r0
mov r1, c8
dp4 r2.x, c16, r1
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mad oT2.xyz, r2, c17.w, -v0
dp4 oT3.z, r0, c14
dp4 oT3.y, r0, c13
dp4 oT3.x, r0, c12
mov oT5, v1
mov oT1.xyz, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "POINT_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "POINT_COOKIE" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  highp float tmpvar_4;
  tmpvar_4 = dot (xlv_TEXCOORD3, xlv_TEXCOORD3);
  lowp float tmpvar_5;
  tmpvar_5 = (texture2D (_LightTextureB0, vec2(tmpvar_4)).w * textureCube (_LightTexture0, xlv_TEXCOORD3).w);
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_6;
  tmpvar_6 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_5 * 2.0));
  c_1.xyz = tmpvar_7;
  highp float tmpvar_8;
  tmpvar_8 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_8;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "POINT_COOKIE" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz);
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  highp float tmpvar_4;
  tmpvar_4 = dot (xlv_TEXCOORD3, xlv_TEXCOORD3);
  lowp float tmpvar_5;
  tmpvar_5 = (texture2D (_LightTextureB0, vec2(tmpvar_4)).w * textureCube (_LightTexture0, xlv_TEXCOORD3).w);
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_6;
  tmpvar_6 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_5 * 2.0));
  c_1.xyz = tmpvar_7;
  highp float tmpvar_8;
  tmpvar_8 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_8;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "flash " {
Keywords { "POINT_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 17 [unity_Scale]
Matrix 12 [_LightMatrix0]
"agal_vs
[bc]
aaaaaaaaaaaaapacakaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c10
bdaaaaaaacaaaeacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.z, c16, r0
aaaaaaaaaaaaapacajaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c9
bdaaaaaaacaaacacbaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 r2.y, c16, r0
aaaaaaaaabaaapacaiaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1, c8
bdaaaaaaacaaabacbaaaaaoeabaaaaaaabaaaaoeacaaaaaa dp4 r2.x, c16, r1
bdaaaaaaaaaaaiacaaaaaaoeaaaaaaaaahaaaaoeabaaaaaa dp4 r0.w, a0, c7
bdaaaaaaaaaaaeacaaaaaaoeaaaaaaaaagaaaaoeabaaaaaa dp4 r0.z, a0, c6
bdaaaaaaaaaaabacaaaaaaoeaaaaaaaaaeaaaaoeabaaaaaa dp4 r0.x, a0, c4
bdaaaaaaaaaaacacaaaaaaoeaaaaaaaaafaaaaoeabaaaaaa dp4 r0.y, a0, c5
adaaaaaaabaaahacacaaaakeacaaaaaabbaaaappabaaaaaa mul r1.xyz, r2.xyzz, c17.w
acaaaaaaacaaahaeabaaaakeacaaaaaaaaaaaaoeaaaaaaaa sub v2.xyz, r1.xyzz, a0
bdaaaaaaadaaaeaeaaaaaaoeacaaaaaaaoaaaaoeabaaaaaa dp4 v3.z, r0, c14
bdaaaaaaadaaacaeaaaaaaoeacaaaaaaanaaaaoeabaaaaaa dp4 v3.y, r0, c13
bdaaaaaaadaaabaeaaaaaaoeacaaaaaaamaaaaoeabaaaaaa dp4 v3.x, r0, c12
aaaaaaaaafaaapaeacaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v5, a2
aaaaaaaaabaaahaeabaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v1.xyz, a1
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
aaaaaaaaabaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v1.w, c0
aaaaaaaaacaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v2.w, c0
aaaaaaaaadaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v3.w, c0
"
}

SubProgram "d3d11_9x " {
Keywords { "POINT_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 2 temp regs, 0 temp arrays:
// ALU 17 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "POINT_COOKIE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec3 _LightCoord;
    highp vec4 color;
};
#line 318
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 349
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 336
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 340
    o.lightDir = ObjSpaceLightDir( v.vertex);
    o.color = v.color;
    o.normal = v.normal;
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    #line 345
    return o;
}

out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec2(xl_retval.uv);
    xlv_TEXCOORD2 = vec3(xl_retval.lightDir);
    xlv_TEXCOORD1 = vec3(xl_retval.normal);
    xlv_TEXCOORD3 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD5 = vec4(xl_retval.color);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec3 _LightCoord;
    highp vec4 color;
};
#line 318
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 349
#line 349
lowp vec4 frag( in v2f IN ) {
    IN.lightDir = normalize(IN.lightDir);
    lowp float atten = ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0);
    #line 353
    lowp vec3 normal = IN.normal;
    lowp float diff = xll_saturate_f(dot( normal, IN.lightDir));
    lowp vec4 c;
    c.xyz = (((IN.color.xyz * _LightColor0.xyz) * diff) * (atten * 2.0));
    #line 357
    c.w = IN.color.w;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xlt_IN.lightDir = vec3(xlv_TEXCOORD2);
    xlt_IN.normal = vec3(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD3);
    xlt_IN.color = vec4(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "DIRECTIONAL_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Vector 17 [_WorldSpaceLightPos0]
Matrix 5 [_Object2World]
Matrix 9 [_World2Object]
Matrix 13 [_LightMatrix0]
"!!ARBvp1.0
# 16 ALU
PARAM c[18] = { program.local[0],
		state.matrix.mvp,
		program.local[5..17] };
TEMP R0;
MOV R0, c[17];
DP4 result.texcoord[2].z, R0, c[11];
DP4 result.texcoord[2].y, R0, c[10];
DP4 result.texcoord[2].x, R0, c[9];
DP4 R0.w, vertex.position, c[8];
DP4 R0.z, vertex.position, c[7];
DP4 R0.x, vertex.position, c[5];
DP4 R0.y, vertex.position, c[6];
DP4 result.texcoord[3].y, R0, c[14];
DP4 result.texcoord[3].x, R0, c[13];
MOV result.texcoord[5], vertex.color;
MOV result.texcoord[1].xyz, vertex.normal;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 16 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "DIRECTIONAL_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Matrix 12 [_LightMatrix0]
"vs_2_0
; 18 ALU
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
mov r0, c10
dp4 oT2.z, c16, r0
mov r0, c9
dp4 oT2.y, c16, r0
mov r1, c8
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 oT2.x, c16, r1
dp4 oT3.y, r0, c13
dp4 oT3.x, r0, c12
mov oT5, v1
mov oT1.xyz, v2
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "DIRECTIONAL_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 320 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 19 instructions, 2 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (_World2Object * _WorldSpaceLightPos0).xyz;
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  lowp float tmpvar_4;
  tmpvar_4 = texture2D (_LightTexture0, xlv_TEXCOORD3).w;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_5;
  tmpvar_5 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_4 * 2.0));
  c_1.xyz = tmpvar_6;
  highp float tmpvar_7;
  tmpvar_7 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_7;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec2 xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  highp vec2 tmpvar_1;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_1;
  xlv_TEXCOORD2 = (_World2Object * _WorldSpaceLightPos0).xyz;
  xlv_TEXCOORD1 = normalize(_glesNormal);
  xlv_TEXCOORD3 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD5 = _glesColor;
}



#endif
#ifdef FRAGMENT

varying highp vec4 xlv_TEXCOORD5;
varying highp vec2 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
void main ()
{
  lowp vec4 c_1;
  lowp float diff_2;
  lowp vec3 normal_3;
  lowp float tmpvar_4;
  tmpvar_4 = texture2D (_LightTexture0, xlv_TEXCOORD3).w;
  normal_3 = xlv_TEXCOORD1;
  highp float tmpvar_5;
  tmpvar_5 = clamp (dot (normal_3, normalize(xlv_TEXCOORD2)), 0.0, 1.0);
  diff_2 = tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = (((xlv_TEXCOORD5.xyz * _LightColor0.xyz) * diff_2) * (tmpvar_4 * 2.0));
  c_1.xyz = tmpvar_6;
  highp float tmpvar_7;
  tmpvar_7 = xlv_TEXCOORD5.w;
  c_1.w = tmpvar_7;
  gl_FragData[0] = c_1;
}



#endif"
}

SubProgram "flash " {
Keywords { "DIRECTIONAL_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Matrix 12 [_LightMatrix0]
"agal_vs
[bc]
aaaaaaaaaaaaapacakaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c10
bdaaaaaaacaaaeaebaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 v2.z, c16, r0
aaaaaaaaaaaaapacajaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r0, c9
bdaaaaaaacaaacaebaaaaaoeabaaaaaaaaaaaaoeacaaaaaa dp4 v2.y, c16, r0
aaaaaaaaabaaapacaiaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1, c8
bdaaaaaaaaaaaiacaaaaaaoeaaaaaaaaahaaaaoeabaaaaaa dp4 r0.w, a0, c7
bdaaaaaaaaaaaeacaaaaaaoeaaaaaaaaagaaaaoeabaaaaaa dp4 r0.z, a0, c6
bdaaaaaaaaaaabacaaaaaaoeaaaaaaaaaeaaaaoeabaaaaaa dp4 r0.x, a0, c4
bdaaaaaaaaaaacacaaaaaaoeaaaaaaaaafaaaaoeabaaaaaa dp4 r0.y, a0, c5
bdaaaaaaacaaabaebaaaaaoeabaaaaaaabaaaaoeacaaaaaa dp4 v2.x, c16, r1
bdaaaaaaadaaacaeaaaaaaoeacaaaaaaanaaaaoeabaaaaaa dp4 v3.y, r0, c13
bdaaaaaaadaaabaeaaaaaaoeacaaaaaaamaaaaoeabaaaaaa dp4 v3.x, r0, c12
aaaaaaaaafaaapaeacaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v5, a2
aaaaaaaaabaaahaeabaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v1.xyz, a1
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
aaaaaaaaabaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v1.w, c0
aaaaaaaaacaaaiaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v2.w, c0
aaaaaaaaadaaamaeaaaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov v3.zw, c0
"
}

SubProgram "d3d11_9x " {
Keywords { "DIRECTIONAL_COOKIE" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
ConstBuffer "$Globals" 112 // 80 used size, 4 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 320 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 19 instructions, 2 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec2 _LightCoord;
    highp vec4 color;
};
#line 317
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 348
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 335
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 339
    o.lightDir = ObjSpaceLightDir( v.vertex);
    o.color = v.color;
    o.normal = v.normal;
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    #line 344
    return o;
}

out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD1;
out highp vec2 xlv_TEXCOORD3;
out highp vec4 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec2(xl_retval.uv);
    xlv_TEXCOORD2 = vec3(xl_retval.lightDir);
    xlv_TEXCOORD1 = vec3(xl_retval.normal);
    xlv_TEXCOORD3 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD5 = vec4(xl_retval.color);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
    highp vec3 lightDir;
    highp vec3 normal;
    highp vec2 _LightCoord;
    highp vec4 color;
};
#line 317
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
#line 348
#line 348
lowp vec4 frag( in v2f IN ) {
    IN.lightDir = normalize(IN.lightDir);
    lowp float atten = (texture( _LightTexture0, IN._LightCoord).w * 1.0);
    #line 352
    lowp vec3 normal = IN.normal;
    lowp float diff = xll_saturate_f(dot( normal, IN.lightDir));
    lowp vec4 c;
    c.xyz = (((IN.color.xyz * _LightColor0.xyz) * diff) * (atten * 2.0));
    #line 356
    c.w = IN.color.w;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD1;
in highp vec2 xlv_TEXCOORD3;
in highp vec4 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xlt_IN.lightDir = vec3(xlv_TEXCOORD2);
    xlt_IN.normal = vec3(xlv_TEXCOORD1);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD3);
    xlt_IN.color = vec4(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 5
//   opengl - ALU: 8 to 17, TEX: 0 to 2
//   d3d9 - ALU: 9 to 17, TEX: 1 to 2
//   d3d11 - ALU: 7 to 14, TEX: 0 to 2, FLOW: 1 to 1
//   d3d11_9x - ALU: 7 to 14, TEX: 0 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "POINT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"!!ARBfp1.0
# 11 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 2 } };
TEMP R0;
TEMP R1;
DP3 R0.x, fragment.texcoord[3], fragment.texcoord[3];
MOV result.color.w, fragment.texcoord[5];
TEX R0.w, R0.x, texture[0], 2D;
DP3 R0.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ R0.x, R0.x;
MUL R1.xyz, R0.x, fragment.texcoord[2];
MUL R0.xyz, fragment.texcoord[5], c[0];
DP3_SAT R1.x, fragment.texcoord[1], R1;
MUL R0.w, R0, c[1].x;
MUL R0.xyz, R0, R1.x;
MUL result.color.xyz, R0, R0.w;
END
# 11 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "POINT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"ps_2_0
; 12 ALU, 1 TEX
dcl_2d s0
def c1, 2.00000000, 0, 0, 0
dcl t2.xyz
dcl t1.xyz
dcl t3.xyz
dcl t5
dp3 r0.x, t3, t3
mov r0.xy, r0.x
dp3 r1.x, t2, t2
rsq r1.x, r1.x
mul r1.xyz, r1.x, t2
dp3_pp_sat r1.x, t1, r1
mul r2.xyz, t5, c0
mul r1.xyz, r2, r1.x
texld r0, r0, s0
mul_pp r0.x, r0, c1
mul r0.xyz, r1, r0.x
mov_pp r0.w, t5
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { "POINT" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
// 12 instructions, 2 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbioionpndiclbpbkjhaodjppefcaogpfabaaaaaammacaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefckmabaaaa
eaaaaaaaglaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafkaaaaadaagabaaa
aaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadpcbabaaa
afaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaa
acaaaaaabacaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaa
diaaaaaiocaabaaaaaaaaaaaagbjbaaaafaaaaaaagijcaaaaaaaaaaaagaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaa
abaaaaaapgapbaaaaaaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaaaaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhccabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaa
dkbabaaaafaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "POINT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "POINT" }
"!!GLES"
}

SubProgram "flash " {
Keywords { "POINT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"agal_ps
c1 2.0 0.0 0.0 0.0
[bc]
bcaaaaaaaaaaabacadaaaaoeaeaaaaaaadaaaaoeaeaaaaaa dp3 r0.x, v3, v3
aaaaaaaaaaaaadacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa mov r0.xy, r0.x
adaaaaaaacaaahacafaaaaoeaeaaaaaaaaaaaaoeabaaaaaa mul r2.xyz, v5, c0
ciaaaaaaaaaaapacaaaaaafeacaaaaaaaaaaaaaaafaababb tex r0, r0.xyyy, s0 <2d wrap linear point>
bcaaaaaaaaaaabacacaaaaoeaeaaaaaaacaaaaoeaeaaaaaa dp3 r0.x, v2, v2
akaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r0.x, r0.x
adaaaaaaabaaahacaaaaaaaaacaaaaaaacaaaaoeaeaaaaaa mul r1.xyz, r0.x, v2
adaaaaaaaaaaabacaaaaaappacaaaaaaabaaaaoeabaaaaaa mul r0.x, r0.w, c1
bcaaaaaaabaaabacabaaaaoeaeaaaaaaabaaaakeacaaaaaa dp3 r1.x, v1, r1.xyzz
bgaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r1.x, r1.x
adaaaaaaabaaahacacaaaakeacaaaaaaabaaaaaaacaaaaaa mul r1.xyz, r2.xyzz, r1.x
adaaaaaaaaaaahacabaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r1.xyzz, r0.x
aaaaaaaaaaaaaiacafaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa mov r0.w, v5
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}

SubProgram "d3d11_9x " {
Keywords { "POINT" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
// 12 instructions, 2 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "POINT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "DIRECTIONAL" }
Vector 0 [_LightColor0]
"!!ARBfp1.0
# 8 ALU, 0 TEX
PARAM c[2] = { program.local[0],
		{ 2 } };
TEMP R0;
DP3 R0.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ R0.x, R0.x;
MUL R0.xyz, R0.x, fragment.texcoord[2];
DP3_SAT R0.w, fragment.texcoord[1], R0;
MUL R0.xyz, fragment.texcoord[5], c[0];
MUL R0.xyz, R0, R0.w;
MUL result.color.xyz, R0, c[1].x;
MOV result.color.w, fragment.texcoord[5];
END
# 8 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "DIRECTIONAL" }
Vector 0 [_LightColor0]
"ps_2_0
; 9 ALU
def c1, 2.00000000, 0, 0, 0
dcl t2.xyz
dcl t1.xyz
dcl t5
dp3 r0.x, t2, t2
rsq r0.x, r0.x
mul r0.xyz, r0.x, t2
dp3_pp_sat r0.x, t1, r0
mul r1.xyz, t5, c0
mul r0.xyz, r1, r0.x
mul r0.xyz, r0, c1.x
mov_pp r0.w, t5
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { "DIRECTIONAL" }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_LightColor0] 4
BindCB "$Globals" 0
// 9 instructions, 1 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedloieipnbkbffnjnmagdbeekmebefinkdabaaaaaadaacaaaaadaaaaaa
cmaaaaaammaaaaaaaaabaaaaejfdeheojiaaaaaaafaaaaaaaiaaaaaaiaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaimaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadaaaaaaimaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaimaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaimaaaaaa
afaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcciabaaaaeaaaaaaaekaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadpcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaa
acaaaaaabacaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaa
diaaaaaiocaabaaaaaaaaaaaagbjbaaaaeaaaaaaagijcaaaaaaaaaaaacaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaaaaaaaaah
hccabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaa
aaaaaaaadkbabaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "DIRECTIONAL" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "DIRECTIONAL" }
"!!GLES"
}

SubProgram "flash " {
Keywords { "DIRECTIONAL" }
Vector 0 [_LightColor0]
"agal_ps
c1 2.0 0.0 0.0 0.0
[bc]
bcaaaaaaaaaaabacacaaaaoeaeaaaaaaacaaaaoeaeaaaaaa dp3 r0.x, v2, v2
akaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r0.x, r0.x
adaaaaaaaaaaahacaaaaaaaaacaaaaaaacaaaaoeaeaaaaaa mul r0.xyz, r0.x, v2
bcaaaaaaaaaaabacabaaaaoeaeaaaaaaaaaaaakeacaaaaaa dp3 r0.x, v1, r0.xyzz
bgaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r0.x, r0.x
adaaaaaaabaaahacafaaaaoeaeaaaaaaaaaaaaoeabaaaaaa mul r1.xyz, v5, c0
adaaaaaaaaaaahacabaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r1.xyzz, r0.x
adaaaaaaaaaaahacaaaaaakeacaaaaaaabaaaaaaabaaaaaa mul r0.xyz, r0.xyzz, c1.x
aaaaaaaaaaaaaiacafaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa mov r0.w, v5
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}

SubProgram "d3d11_9x " {
Keywords { "DIRECTIONAL" }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_LightColor0] 4
BindCB "$Globals" 0
// 9 instructions, 1 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefiecedhmbgndkhekjafmbnlllfoeplpaliaonaabaaaaaapmacaaaaaeaaaaaa
daaaaaaapiaaaaaaciacaaaamiacaaaaebgpgodjmaaaaaaamaaaaaaaaaacpppp
jaaaaaaadaaaaaaaabaaceaaaaaadaaaaaaadaaaaaaaceaaaaaadaaaaaaaacaa
abaaaaaaaaaaaaaaaaacppppbpaaaaacaaaaaaiaabaaahlabpaaaaacaaaaaaia
acaachlabpaaaaacaaaaaaiaadaacplaceaaaaacaaaaahiaabaaoelaaiaaaaad
aaaadbiaacaaoelaaaaaoeiaafaaaaadaaaaaoiaadaabllaaaaablkaafaaaaad
aaaaahiaaaaaaaiaaaaabliaacaaaaadaaaachiaaaaaoeiaaaaaoeiaabaaaaac
aaaaciiaadaapplaabaaaaacaaaicpiaaaaaoeiappppaaaafdeieefcciabaaaa
eaaaaaaaekaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaagcbaaaadhcbabaaa
acaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadpcbabaaaaeaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacabaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaacaaaaaabacaaaah
bcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaadiaaaaaiocaabaaa
aaaaaaaaagbjbaaaaeaaaaaaagijcaaaaaaaaaaaacaaaaaadiaaaaahhcaabaaa
aaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaaaaaaaaahhccabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaadkbabaaa
aeaaaaaadoaaaaabejfdeheojiaaaaaaafaaaaaaaiaaaaaaiaaaaaaaaaaaaaaa
abaaaaaaadaaaaaaaaaaaaaaapaaaaaaimaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
abaaaaaaadaaaaaaimaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaa
imaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaimaaaaaaafaaaaaa
aaaaaaaaadaaaaaaaeaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffied
epepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaa
aaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl"
}

SubProgram "gles3 " {
Keywords { "DIRECTIONAL" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SPOT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
SetTexture 1 [_LightTextureB0] 2D
"!!ARBfp1.0
# 17 ALU, 2 TEX
PARAM c[2] = { program.local[0],
		{ 0, 0.5, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
DP3 R0.z, fragment.texcoord[3], fragment.texcoord[3];
RCP R0.x, fragment.texcoord[3].w;
MAD R0.xy, fragment.texcoord[3], R0.x, c[1].y;
SLT R2.x, c[1], fragment.texcoord[3].z;
MOV result.color.w, fragment.texcoord[5];
TEX R0.w, R0, texture[0], 2D;
TEX R1.w, R0.z, texture[1], 2D;
DP3 R0.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ R1.x, R0.x;
MUL R0.w, R2.x, R0;
MUL R1.xyz, R1.x, fragment.texcoord[2];
MUL R1.w, R0, R1;
DP3_SAT R0.w, fragment.texcoord[1], R1;
MUL R0.xyz, fragment.texcoord[5], c[0];
MUL R1.x, R1.w, c[1].z;
MUL R0.xyz, R0, R0.w;
MUL result.color.xyz, R0, R1.x;
END
# 17 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "SPOT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
SetTexture 1 [_LightTextureB0] 2D
"ps_2_0
; 17 ALU, 2 TEX
dcl_2d s0
dcl_2d s1
def c1, 0.50000000, 0.00000000, 1.00000000, 2.00000000
dcl t2.xyz
dcl t1.xyz
dcl t3
dcl t5
rcp r1.x, t3.w
mad r2.xy, t3, r1.x, c1.x
dp3 r0.x, t3, t3
mov r1.xy, r0.x
texld r0, r2, s0
texld r2, r1, s1
cmp r0.x, -t3.z, c1.y, c1.z
mul_pp r0.x, r0, r0.w
mul_pp r0.x, r0, r2
dp3 r1.x, t2, t2
rsq r1.x, r1.x
mul r1.xyz, r1.x, t2
mul_pp r0.x, r0, c1.w
dp3_pp_sat r1.x, t1, r1
mul r2.xyz, t5, c0
mul r1.xyz, r2, r1.x
mul r0.xyz, r1, r0.x
mov_pp r0.w, t5
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { "SPOT" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
SetTexture 1 [_LightTextureB0] 2D 1
// 18 instructions, 2 temp regs, 0 temp arrays:
// ALU 13 float, 0 int, 1 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednbeijpebpeecdfmohlgldkeeefgcibieabaaaaaakeadaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcieacaaaa
eaaaaaaakbaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadpcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaaaoaaaaahdcaabaaaaaaaaaaa
egbabaaaaeaaaaaapgbpbaaaaeaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadbaaaaah
bcaabaaaaaaaaaaaabeaaaaaaaaaaaaackbabaaaaeaaaaaaabaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaabaaaaaafgafbaaaaaaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaapaaaaahbcaabaaaaaaaaaaaagaabaaa
aaaaaaaaagaabaaaabaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaafgafbaaaaaaaaaaaagbjbaaaacaaaaaabacaaaahccaabaaa
aaaaaaaaegbcbaaaadaaaaaajgahbaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
egbcbaaaafaaaaaaegiccaaaaaaaaaaaagaaaaaadiaaaaahocaabaaaaaaaaaaa
fgafbaaaaaaaaaaaagajbaaaabaaaaaadiaaaaahhccabaaaaaaaaaaaagaabaaa
aaaaaaaajgahbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaadkbabaaaafaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SPOT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SPOT" }
"!!GLES"
}

SubProgram "flash " {
Keywords { "SPOT" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
SetTexture 1 [_LightTextureB0] 2D
"agal_ps
c1 0.5 0.0 1.0 2.0
[bc]
afaaaaaaabaaabacadaaaappaeaaaaaaaaaaaaaaaaaaaaaa rcp r1.x, v3.w
bcaaaaaaaaaaabacadaaaaoeaeaaaaaaadaaaaoeaeaaaaaa dp3 r0.x, v3, v3
adaaaaaaabaaadacadaaaaoeaeaaaaaaabaaaaaaacaaaaaa mul r1.xy, v3, r1.x
abaaaaaaabaaadacabaaaafeacaaaaaaabaaaaaaabaaaaaa add r1.xy, r1.xyyy, c1.x
aaaaaaaaaaaaadacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa mov r0.xy, r0.x
adaaaaaaacaaahacafaaaaoeaeaaaaaaaaaaaaoeabaaaaaa mul r2.xyz, v5, c0
ciaaaaaaabaaapacabaaaafeacaaaaaaaaaaaaaaafaababb tex r1, r1.xyyy, s0 <2d wrap linear point>
ciaaaaaaaaaaapacaaaaaafeacaaaaaaabaaaaaaafaababb tex r0, r0.xyyy, s1 <2d wrap linear point>
bfaaaaaaacaaaiacadaaaakkaeaaaaaaaaaaaaaaaaaaaaaa neg r2.w, v3.z
ckaaaaaaaaaaabacacaaaappacaaaaaaabaaaaffabaaaaaa slt r0.x, r2.w, c1.y
adaaaaaaaaaaabacaaaaaaaaacaaaaaaabaaaappacaaaaaa mul r0.x, r0.x, r1.w
adaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaappacaaaaaa mul r0.x, r0.x, r0.w
bcaaaaaaabaaabacacaaaaoeaeaaaaaaacaaaaoeaeaaaaaa dp3 r1.x, v2, v2
akaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r1.x, r1.x
adaaaaaaabaaahacabaaaaaaacaaaaaaacaaaaoeaeaaaaaa mul r1.xyz, r1.x, v2
bcaaaaaaabaaabacabaaaaoeaeaaaaaaabaaaakeacaaaaaa dp3 r1.x, v1, r1.xyzz
bgaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r1.x, r1.x
adaaaaaaaaaaabacaaaaaaaaacaaaaaaabaaaappabaaaaaa mul r0.x, r0.x, c1.w
adaaaaaaabaaahacacaaaakeacaaaaaaabaaaaaaacaaaaaa mul r1.xyz, r2.xyzz, r1.x
adaaaaaaaaaaahacabaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r1.xyzz, r0.x
aaaaaaaaaaaaaiacafaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa mov r0.w, v5
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}

SubProgram "d3d11_9x " {
Keywords { "SPOT" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
SetTexture 1 [_LightTextureB0] 2D 1
// 18 instructions, 2 temp regs, 0 temp arrays:
// ALU 13 float, 0 int, 1 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "SPOT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "POINT_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTextureB0] 2D
SetTexture 1 [_LightTexture0] CUBE
"!!ARBfp1.0
# 13 ALU, 2 TEX
PARAM c[2] = { program.local[0],
		{ 2 } };
TEMP R0;
TEMP R1;
TEX R1.w, fragment.texcoord[3], texture[1], CUBE;
DP3 R0.x, fragment.texcoord[3], fragment.texcoord[3];
MOV result.color.w, fragment.texcoord[5];
TEX R0.w, R0.x, texture[0], 2D;
DP3 R0.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ R1.x, R0.x;
MUL R1.xyz, R1.x, fragment.texcoord[2];
MUL R1.w, R0, R1;
DP3_SAT R0.w, fragment.texcoord[1], R1;
MUL R0.xyz, fragment.texcoord[5], c[0];
MUL R1.x, R1.w, c[1];
MUL R0.xyz, R0, R0.w;
MUL result.color.xyz, R0, R1.x;
END
# 13 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "POINT_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTextureB0] 2D
SetTexture 1 [_LightTexture0] CUBE
"ps_2_0
; 13 ALU, 2 TEX
dcl_2d s0
dcl_cube s1
def c1, 2.00000000, 0, 0, 0
dcl t2.xyz
dcl t1.xyz
dcl t3.xyz
dcl t5
dp3 r0.x, t3, t3
mov r0.xy, r0.x
texld r2, r0, s0
texld r0, t3, s1
dp3 r0.x, t2, t2
rsq r1.x, r0.x
mul r1.xyz, r1.x, t2
mul r0.x, r2, r0.w
mul_pp r0.x, r0, c1
dp3_pp_sat r1.x, t1, r1
mul r2.xyz, t5, c0
mul r1.xyz, r2, r1.x
mul r0.xyz, r1, r0.x
mov_pp r0.w, t5
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { "POINT_COOKIE" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTextureB0] 2D 1
SetTexture 1 [_LightTexture0] CUBE 0
// 13 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmibmaanhegfhgebjgfckekinpiclngbeabaaaaaaamadaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcomabaaaa
eaaaaaaahlaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fidaaaaeaahabaaaabaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaabaaaaaahbcaabaaaaaaaaaaa
egbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaaacaaaaaa
bacaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaadiaaaaai
ocaabaaaaaaaaaaaagbjbaaaafaaaaaaagijcaaaaaaaaaaaagaaaaaadiaaaaah
hcaabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaabaaaaaa
pgapbaaaaaaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaa
acaaaaaaegbcbaaaaeaaaaaaeghobaaaabaaaaaaaagabaaaaaaaaaaaapaaaaah
icaabaaaaaaaaaaaagaabaaaabaaaaaapgapbaaaacaaaaaadiaaaaahhccabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaa
dkbabaaaafaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "POINT_COOKIE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "POINT_COOKIE" }
"!!GLES"
}

SubProgram "flash " {
Keywords { "POINT_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTextureB0] 2D
SetTexture 1 [_LightTexture0] CUBE
"agal_ps
c1 2.0 0.0 0.0 0.0
[bc]
bcaaaaaaaaaaabacadaaaaoeaeaaaaaaadaaaaoeaeaaaaaa dp3 r0.x, v3, v3
aaaaaaaaaaaaadacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa mov r0.xy, r0.x
adaaaaaaacaaahacafaaaaoeaeaaaaaaaaaaaaoeabaaaaaa mul r2.xyz, v5, c0
ciaaaaaaabaaapacaaaaaafeacaaaaaaaaaaaaaaafaababb tex r1, r0.xyyy, s0 <2d wrap linear point>
ciaaaaaaaaaaapacadaaaaoeaeaaaaaaabaaaaaaafbababb tex r0, v3, s1 <cube wrap linear point>
bcaaaaaaaaaaabacacaaaaoeaeaaaaaaacaaaaoeaeaaaaaa dp3 r0.x, v2, v2
akaaaaaaabaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r1.x, r0.x
adaaaaaaaaaaabacabaaaappacaaaaaaaaaaaappacaaaaaa mul r0.x, r1.w, r0.w
adaaaaaaabaaahacabaaaaaaacaaaaaaacaaaaoeaeaaaaaa mul r1.xyz, r1.x, v2
bcaaaaaaabaaabacabaaaaoeaeaaaaaaabaaaakeacaaaaaa dp3 r1.x, v1, r1.xyzz
bgaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r1.x, r1.x
adaaaaaaaaaaabacaaaaaaaaacaaaaaaabaaaaoeabaaaaaa mul r0.x, r0.x, c1
adaaaaaaabaaahacacaaaakeacaaaaaaabaaaaaaacaaaaaa mul r1.xyz, r2.xyzz, r1.x
adaaaaaaaaaaahacabaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r1.xyzz, r0.x
aaaaaaaaaaaaaiacafaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa mov r0.w, v5
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}

SubProgram "d3d11_9x " {
Keywords { "POINT_COOKIE" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTextureB0] 2D 1
SetTexture 1 [_LightTexture0] CUBE 0
// 13 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 2 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { "POINT_COOKIE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "DIRECTIONAL_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"!!ARBfp1.0
# 10 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 2 } };
TEMP R0;
TEMP R1;
TEX R0.w, fragment.texcoord[3], texture[0], 2D;
DP3 R0.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ R0.x, R0.x;
MUL R1.xyz, R0.x, fragment.texcoord[2];
MUL R0.xyz, fragment.texcoord[5], c[0];
DP3_SAT R1.x, fragment.texcoord[1], R1;
MUL R0.w, R0, c[1].x;
MUL R0.xyz, R0, R1.x;
MUL result.color.xyz, R0, R0.w;
MOV result.color.w, fragment.texcoord[5];
END
# 10 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { "DIRECTIONAL_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"ps_2_0
; 10 ALU, 1 TEX
dcl_2d s0
def c1, 2.00000000, 0, 0, 0
dcl t2.xyz
dcl t1.xyz
dcl t3.xy
dcl t5
texld r0, t3, s0
dp3 r0.x, t2, t2
rsq r0.x, r0.x
mul r1.xyz, r0.x, t2
mul_pp r0.x, r0.w, c1
dp3_pp_sat r1.x, t1, r1
mul r2.xyz, t5, c0
mul r1.xyz, r2, r1.x
mul r0.xyz, r1, r0.x
mov_pp r0.w, t5
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { "DIRECTIONAL_COOKIE" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddlagaeffgggjojnblaiknbdlaooljhknabaaaaaalaacaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadaaaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaabaaaaaa
amamaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcjaabaaaa
eaaaaaaageaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafkaaaaadaagabaaa
aaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaadmcbabaaaabaaaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadpcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaa
acaaaaaabacaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaa
diaaaaaiocaabaaaaaaaaaaaagbjbaaaaeaaaaaaagijcaaaaaaaaaaaagaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaaefaaaaaj
pcaabaaaabaaaaaaogbkbaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaaficcabaaa
aaaaaaaadkbabaaaaeaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES"
}

SubProgram "flash " {
Keywords { "DIRECTIONAL_COOKIE" }
Vector 0 [_LightColor0]
SetTexture 0 [_LightTexture0] 2D
"agal_ps
c1 2.0 0.0 0.0 0.0
[bc]
ciaaaaaaaaaaapacadaaaaoeaeaaaaaaaaaaaaaaafaababb tex r0, v3, s0 <2d wrap linear point>
bcaaaaaaaaaaabacacaaaaoeaeaaaaaaacaaaaoeaeaaaaaa dp3 r0.x, v2, v2
akaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r0.x, r0.x
adaaaaaaabaaahacaaaaaaaaacaaaaaaacaaaaoeaeaaaaaa mul r1.xyz, r0.x, v2
adaaaaaaaaaaabacaaaaaappacaaaaaaabaaaaoeabaaaaaa mul r0.x, r0.w, c1
bcaaaaaaabaaabacabaaaaoeaeaaaaaaabaaaakeacaaaaaa dp3 r1.x, v1, r1.xyzz
bgaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r1.x, r1.x
adaaaaaaacaaahacafaaaaoeaeaaaaaaaaaaaaoeabaaaaaa mul r2.xyz, v5, c0
adaaaaaaabaaahacacaaaakeacaaaaaaabaaaaaaacaaaaaa mul r1.xyz, r2.xyzz, r1.x
adaaaaaaaaaaahacabaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r1.xyzz, r0.x
aaaaaaaaaaaaaiacafaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa mov r0.w, v5
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}

SubProgram "d3d11_9x " {
Keywords { "DIRECTIONAL_COOKIE" }
ConstBuffer "$Globals" 112 // 112 used size, 4 vars
Vector 96 [_LightColor0] 4
BindCB "$Globals" 0
SetTexture 0 [_LightTexture0] 2D 0
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 8 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefieceddjfbacnndndbchhbkadbfkdckhdefnbcabaaaaaameadaaaaaeaaaaaa
daaaaaaaeaabaaaaniacaaaajaadaaaaebgpgodjaiabaaaaaiabaaaaaaacpppp
neaaaaaadeaaaaaaabaaciaaaaaadeaaaaaadeaaabaaceaaaaaadeaaaaaaaaaa
aaaaagaaabaaaaaaaaaaaaaaaaacppppbpaaaaacaaaaaaiaaaaaaplabpaaaaac
aaaaaaiaabaaahlabpaaaaacaaaaaaiaacaachlabpaaaaacaaaaaaiaadaacpla
bpaaaaacaaaaaajaaaaiapkaceaaaaacaaaaahiaabaaoelaaiaaaaadaaaadbia
acaaoelaaaaaoeiaafaaaaadaaaaaoiaadaabllaaaaablkaafaaaaadaaaaahia
aaaaaaiaaaaabliaabaaaaacabaaadiaaaaabllaecaaaaadabaacpiaabaaoeia
aaaioekaacaaaaadaaaaaiiaabaappiaabaappiaafaaaaadaaaachiaaaaappia
aaaaoeiaabaaaaacaaaaciiaadaapplaabaaaaacaaaicpiaaaaaoeiappppaaaa
fdeieefcjaabaaaaeaaaaaaageaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaa
fkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaad
mcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadpcbabaaaaeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaa
aaaaaaaaegbcbaaaacaaaaaabacaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaa
egacbaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaaagbjbaaaaeaaaaaaagijcaaa
aaaaaaaaagaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaajgahbaaa
aaaaaaaaefaaaaajpcaabaaaabaaaaaaogbkbaaaabaaaaaaeghobaaaaaaaaaaa
aagabaaaaaaaaaaaaaaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaaficcabaaaaaaaaaaadkbabaaaaeaaaaaadoaaaaabejfdeheolaaaaaaa
agaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaa
keaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadaaaaaakeaaaaaaadaaaaaa
aaaaaaaaadaaaaaaabaaaaaaamamaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaa
acaaaaaaahahaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaa
keaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapapaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaa
caaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgf
heaaklkl"
}

SubProgram "gles3 " {
Keywords { "DIRECTIONAL_COOKIE" }
"!!GLES3"
}

}

#LINE 287

        }
	} 
	
	FallBack "VertexLit"
}
